#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2795
#define LARGE_STATE_COUNT 189
#define SYMBOL_COUNT 273
#define ALIAS_COUNT 2
#define TOKEN_COUNT 108
#define EXTERNAL_TOKEN_COUNT 12
#define FIELD_COUNT 32
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 138

enum ts_symbol_identifiers {
  sym_identifier = 1,
  anon_sym_SEMI = 2,
  anon_sym_import = 3,
  anon_sym_DOT = 4,
  anon_sym_from = 5,
  anon_sym___future__ = 6,
  anon_sym_LPAREN = 7,
  anon_sym_RPAREN = 8,
  anon_sym_COMMA = 9,
  anon_sym_as = 10,
  anon_sym_STAR = 11,
  anon_sym_print = 12,
  anon_sym_GT_GT = 13,
  anon_sym_assert = 14,
  anon_sym_COLON_EQ = 15,
  anon_sym_return = 16,
  anon_sym_del = 17,
  anon_sym_raise = 18,
  anon_sym_pass = 19,
  anon_sym_break = 20,
  anon_sym_continue = 21,
  anon_sym_if = 22,
  anon_sym_COLON = 23,
  anon_sym_elif = 24,
  anon_sym_else = 25,
  anon_sym_match = 26,
  anon_sym_case = 27,
  anon_sym_async = 28,
  anon_sym_for = 29,
  anon_sym_in = 30,
  anon_sym_while = 31,
  anon_sym_try = 32,
  anon_sym_except = 33,
  anon_sym_except_STAR = 34,
  anon_sym_finally = 35,
  anon_sym_with = 36,
  anon_sym_def = 37,
  anon_sym_DASH_GT = 38,
  anon_sym_STAR_STAR = 39,
  anon_sym_global = 40,
  anon_sym_nonlocal = 41,
  anon_sym_exec = 42,
  anon_sym_type = 43,
  anon_sym_EQ = 44,
  anon_sym_class = 45,
  anon_sym_LBRACK = 46,
  anon_sym_RBRACK = 47,
  anon_sym_AT = 48,
  anon_sym_DASH = 49,
  anon_sym__ = 50,
  anon_sym_PIPE = 51,
  anon_sym_LBRACE = 52,
  anon_sym_RBRACE = 53,
  anon_sym_PLUS = 54,
  anon_sym_not = 55,
  anon_sym_and = 56,
  anon_sym_or = 57,
  anon_sym_SLASH = 58,
  anon_sym_PERCENT = 59,
  anon_sym_SLASH_SLASH = 60,
  anon_sym_AMP = 61,
  anon_sym_CARET = 62,
  anon_sym_LT_LT = 63,
  anon_sym_TILDE = 64,
  anon_sym_is = 65,
  anon_sym_LT = 66,
  anon_sym_LT_EQ = 67,
  anon_sym_EQ_EQ = 68,
  anon_sym_BANG_EQ = 69,
  anon_sym_GT_EQ = 70,
  anon_sym_GT = 71,
  anon_sym_LT_GT = 72,
  anon_sym_lambda = 73,
  anon_sym_PLUS_EQ = 74,
  anon_sym_DASH_EQ = 75,
  anon_sym_STAR_EQ = 76,
  anon_sym_SLASH_EQ = 77,
  anon_sym_AT_EQ = 78,
  anon_sym_SLASH_SLASH_EQ = 79,
  anon_sym_PERCENT_EQ = 80,
  anon_sym_STAR_STAR_EQ = 81,
  anon_sym_GT_GT_EQ = 82,
  anon_sym_LT_LT_EQ = 83,
  anon_sym_AMP_EQ = 84,
  anon_sym_CARET_EQ = 85,
  anon_sym_PIPE_EQ = 86,
  anon_sym_yield = 87,
  sym_ellipsis = 88,
  sym_escape_sequence = 89,
  anon_sym_BSLASH = 90,
  aux_sym_format_specifier_token1 = 91,
  sym_type_conversion = 92,
  sym_integer = 93,
  sym_float = 94,
  anon_sym_await = 95,
  sym_true = 96,
  sym_false = 97,
  sym_none = 98,
  sym_comment = 99,
  sym_line_continuation = 100,
  sym__newline = 101,
  sym__indent = 102,
  sym__dedent = 103,
  sym_string_start = 104,
  sym__string_content = 105,
  sym_escape_interpolation = 106,
  sym_string_end = 107,
  sym_module = 108,
  sym__statement = 109,
  sym__simple_statements = 110,
  sym_import_statement = 111,
  sym_import_prefix = 112,
  sym_relative_import = 113,
  sym_future_import_statement = 114,
  sym_import_from_statement = 115,
  sym__import_list = 116,
  sym_aliased_import = 117,
  sym_wildcard_import = 118,
  sym_print_statement = 119,
  sym_chevron = 120,
  sym_assert_statement = 121,
  sym_expression_statement = 122,
  sym_named_expression = 123,
  sym__named_expression_lhs = 124,
  sym_return_statement = 125,
  sym_delete_statement = 126,
  sym_raise_statement = 127,
  sym_pass_statement = 128,
  sym_break_statement = 129,
  sym_continue_statement = 130,
  sym_if_statement = 131,
  sym_elif_clause = 132,
  sym_else_clause = 133,
  sym_match_statement = 134,
  sym__match_block = 135,
  sym_case_clause = 136,
  sym_for_statement = 137,
  sym_while_statement = 138,
  sym_try_statement = 139,
  sym_except_clause = 140,
  sym_except_group_clause = 141,
  sym_finally_clause = 142,
  sym_with_statement = 143,
  sym_with_clause = 144,
  sym_with_item = 145,
  sym_function_definition = 146,
  sym_parameters = 147,
  sym_lambda_parameters = 148,
  sym_list_splat = 149,
  sym_dictionary_splat = 150,
  sym_global_statement = 151,
  sym_nonlocal_statement = 152,
  sym_exec_statement = 153,
  sym_type_alias_statement = 154,
  sym_class_definition = 155,
  sym_type_parameter = 156,
  sym_parenthesized_list_splat = 157,
  sym_argument_list = 158,
  sym_decorated_definition = 159,
  sym_decorator = 160,
  sym_block = 161,
  sym_expression_list = 162,
  sym_dotted_name = 163,
  sym_case_pattern = 164,
  sym__simple_pattern = 165,
  sym__as_pattern = 166,
  sym_union_pattern = 167,
  sym__list_pattern = 168,
  sym__tuple_pattern = 169,
  sym_dict_pattern = 170,
  sym__key_value_pattern = 171,
  sym_keyword_pattern = 172,
  sym_splat_pattern = 173,
  sym_class_pattern = 174,
  sym_complex_pattern = 175,
  sym__parameters = 176,
  sym__patterns = 177,
  sym_parameter = 178,
  sym_pattern = 179,
  sym_tuple_pattern = 180,
  sym_list_pattern = 181,
  sym_default_parameter = 182,
  sym_typed_default_parameter = 183,
  sym_list_splat_pattern = 184,
  sym_dictionary_splat_pattern = 185,
  sym_as_pattern = 186,
  sym__expression_within_for_in_clause = 187,
  sym_expression = 188,
  sym_primary_expression = 189,
  sym_not_operator = 190,
  sym_boolean_operator = 191,
  sym_binary_operator = 192,
  sym_unary_operator = 193,
  sym__not_in = 194,
  sym__is_not = 195,
  sym_comparison_operator = 196,
  sym_lambda = 197,
  sym_lambda_within_for_in_clause = 198,
  sym_assignment = 199,
  sym_augmented_assignment = 200,
  sym_pattern_list = 201,
  sym__right_hand_side = 202,
  sym_yield = 203,
  sym_attribute = 204,
  sym_subscript = 205,
  sym_slice = 206,
  sym_call = 207,
  sym_typed_parameter = 208,
  sym_type = 209,
  sym_splat_type = 210,
  sym_generic_type = 211,
  sym_union_type = 212,
  sym_constrained_type = 213,
  sym_member_type = 214,
  sym_keyword_argument = 215,
  sym_list = 216,
  sym_set = 217,
  sym_tuple = 218,
  sym_dictionary = 219,
  sym_pair = 220,
  sym_list_comprehension = 221,
  sym_dictionary_comprehension = 222,
  sym_set_comprehension = 223,
  sym_generator_expression = 224,
  sym__comprehension_clauses = 225,
  sym_parenthesized_expression = 226,
  sym__collection_elements = 227,
  sym_for_in_clause = 228,
  sym_if_clause = 229,
  sym_conditional_expression = 230,
  sym_concatenated_string = 231,
  sym_string = 232,
  sym_string_content = 233,
  sym_interpolation = 234,
  sym__f_expression = 235,
  sym__not_escape_sequence = 236,
  sym_format_specifier = 237,
  sym_await = 238,
  sym_positional_separator = 239,
  sym_keyword_separator = 240,
  aux_sym_module_repeat1 = 241,
  aux_sym__simple_statements_repeat1 = 242,
  aux_sym_import_prefix_repeat1 = 243,
  aux_sym__import_list_repeat1 = 244,
  aux_sym_print_statement_repeat1 = 245,
  aux_sym_assert_statement_repeat1 = 246,
  aux_sym_if_statement_repeat1 = 247,
  aux_sym_match_statement_repeat1 = 248,
  aux_sym__match_block_repeat1 = 249,
  aux_sym_case_clause_repeat1 = 250,
  aux_sym_try_statement_repeat1 = 251,
  aux_sym_try_statement_repeat2 = 252,
  aux_sym_with_clause_repeat1 = 253,
  aux_sym_global_statement_repeat1 = 254,
  aux_sym_type_parameter_repeat1 = 255,
  aux_sym_argument_list_repeat1 = 256,
  aux_sym_decorated_definition_repeat1 = 257,
  aux_sym_dotted_name_repeat1 = 258,
  aux_sym_union_pattern_repeat1 = 259,
  aux_sym_dict_pattern_repeat1 = 260,
  aux_sym__parameters_repeat1 = 261,
  aux_sym__patterns_repeat1 = 262,
  aux_sym_comparison_operator_repeat1 = 263,
  aux_sym_subscript_repeat1 = 264,
  aux_sym_dictionary_repeat1 = 265,
  aux_sym__comprehension_clauses_repeat1 = 266,
  aux_sym__collection_elements_repeat1 = 267,
  aux_sym_for_in_clause_repeat1 = 268,
  aux_sym_concatenated_string_repeat1 = 269,
  aux_sym_string_repeat1 = 270,
  aux_sym_string_content_repeat1 = 271,
  aux_sym_format_specifier_repeat1 = 272,
  alias_sym_as_pattern_target = 273,
  alias_sym_format_expression = 274,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_SEMI] = ";",
  [anon_sym_import] = "import",
  [anon_sym_DOT] = ".",
  [anon_sym_from] = "from",
  [anon_sym___future__] = "__future__",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COMMA] = ",",
  [anon_sym_as] = "as",
  [anon_sym_STAR] = "*",
  [anon_sym_print] = "print",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_assert] = "assert",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_return] = "return",
  [anon_sym_del] = "del",
  [anon_sym_raise] = "raise",
  [anon_sym_pass] = "pass",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_if] = "if",
  [anon_sym_COLON] = ":",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_match] = "match",
  [anon_sym_case] = "case",
  [anon_sym_async] = "async",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_while] = "while",
  [anon_sym_try] = "try",
  [anon_sym_except] = "except",
  [anon_sym_except_STAR] = "except*",
  [anon_sym_finally] = "finally",
  [anon_sym_with] = "with",
  [anon_sym_def] = "def",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_global] = "global",
  [anon_sym_nonlocal] = "nonlocal",
  [anon_sym_exec] = "exec",
  [anon_sym_type] = "type",
  [anon_sym_EQ] = "=",
  [anon_sym_class] = "class",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_AT] = "@",
  [anon_sym_DASH] = "-",
  [anon_sym__] = "_",
  [anon_sym_PIPE] = "|",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_PLUS] = "+",
  [anon_sym_not] = "not",
  [anon_sym_and] = "and",
  [anon_sym_or] = "or",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_SLASH_SLASH] = "//",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_TILDE] = "~",
  [anon_sym_is] = "is",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_GT] = ">",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_lambda] = "lambda",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_AT_EQ] = "@=",
  [anon_sym_SLASH_SLASH_EQ] = "//=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_yield] = "yield",
  [sym_ellipsis] = "ellipsis",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_BSLASH] = "\\",
  [aux_sym_format_specifier_token1] = "format_specifier_token1",
  [sym_type_conversion] = "type_conversion",
  [sym_integer] = "integer",
  [sym_float] = "float",
  [anon_sym_await] = "await",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_none] = "none",
  [sym_comment] = "comment",
  [sym_line_continuation] = "line_continuation",
  [sym__newline] = "_newline",
  [sym__indent] = "_indent",
  [sym__dedent] = "_dedent",
  [sym_string_start] = "string_start",
  [sym__string_content] = "_string_content",
  [sym_escape_interpolation] = "escape_interpolation",
  [sym_string_end] = "string_end",
  [sym_module] = "module",
  [sym__statement] = "_statement",
  [sym__simple_statements] = "_simple_statements",
  [sym_import_statement] = "import_statement",
  [sym_import_prefix] = "import_prefix",
  [sym_relative_import] = "relative_import",
  [sym_future_import_statement] = "future_import_statement",
  [sym_import_from_statement] = "import_from_statement",
  [sym__import_list] = "_import_list",
  [sym_aliased_import] = "aliased_import",
  [sym_wildcard_import] = "wildcard_import",
  [sym_print_statement] = "print_statement",
  [sym_chevron] = "chevron",
  [sym_assert_statement] = "assert_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_named_expression] = "named_expression",
  [sym__named_expression_lhs] = "_named_expression_lhs",
  [sym_return_statement] = "return_statement",
  [sym_delete_statement] = "delete_statement",
  [sym_raise_statement] = "raise_statement",
  [sym_pass_statement] = "pass_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_match_statement] = "match_statement",
  [sym__match_block] = "block",
  [sym_case_clause] = "case_clause",
  [sym_for_statement] = "for_statement",
  [sym_while_statement] = "while_statement",
  [sym_try_statement] = "try_statement",
  [sym_except_clause] = "except_clause",
  [sym_except_group_clause] = "except_group_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_with_statement] = "with_statement",
  [sym_with_clause] = "with_clause",
  [sym_with_item] = "with_item",
  [sym_function_definition] = "function_definition",
  [sym_parameters] = "parameters",
  [sym_lambda_parameters] = "lambda_parameters",
  [sym_list_splat] = "list_splat",
  [sym_dictionary_splat] = "dictionary_splat",
  [sym_global_statement] = "global_statement",
  [sym_nonlocal_statement] = "nonlocal_statement",
  [sym_exec_statement] = "exec_statement",
  [sym_type_alias_statement] = "type_alias_statement",
  [sym_class_definition] = "class_definition",
  [sym_type_parameter] = "type_parameter",
  [sym_parenthesized_list_splat] = "parenthesized_list_splat",
  [sym_argument_list] = "argument_list",
  [sym_decorated_definition] = "decorated_definition",
  [sym_decorator] = "decorator",
  [sym_block] = "block",
  [sym_expression_list] = "expression_list",
  [sym_dotted_name] = "dotted_name",
  [sym_case_pattern] = "case_pattern",
  [sym__simple_pattern] = "_simple_pattern",
  [sym__as_pattern] = "as_pattern",
  [sym_union_pattern] = "union_pattern",
  [sym__list_pattern] = "list_pattern",
  [sym__tuple_pattern] = "tuple_pattern",
  [sym_dict_pattern] = "dict_pattern",
  [sym__key_value_pattern] = "_key_value_pattern",
  [sym_keyword_pattern] = "keyword_pattern",
  [sym_splat_pattern] = "splat_pattern",
  [sym_class_pattern] = "class_pattern",
  [sym_complex_pattern] = "complex_pattern",
  [sym__parameters] = "_parameters",
  [sym__patterns] = "_patterns",
  [sym_parameter] = "parameter",
  [sym_pattern] = "pattern",
  [sym_tuple_pattern] = "tuple_pattern",
  [sym_list_pattern] = "list_pattern",
  [sym_default_parameter] = "default_parameter",
  [sym_typed_default_parameter] = "typed_default_parameter",
  [sym_list_splat_pattern] = "list_splat_pattern",
  [sym_dictionary_splat_pattern] = "dictionary_splat_pattern",
  [sym_as_pattern] = "as_pattern",
  [sym__expression_within_for_in_clause] = "_expression_within_for_in_clause",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_not_operator] = "not_operator",
  [sym_boolean_operator] = "boolean_operator",
  [sym_binary_operator] = "binary_operator",
  [sym_unary_operator] = "unary_operator",
  [sym__not_in] = "not in",
  [sym__is_not] = "is not",
  [sym_comparison_operator] = "comparison_operator",
  [sym_lambda] = "lambda",
  [sym_lambda_within_for_in_clause] = "lambda",
  [sym_assignment] = "assignment",
  [sym_augmented_assignment] = "augmented_assignment",
  [sym_pattern_list] = "pattern_list",
  [sym__right_hand_side] = "_right_hand_side",
  [sym_yield] = "yield",
  [sym_attribute] = "attribute",
  [sym_subscript] = "subscript",
  [sym_slice] = "slice",
  [sym_call] = "call",
  [sym_typed_parameter] = "typed_parameter",
  [sym_type] = "type",
  [sym_splat_type] = "splat_type",
  [sym_generic_type] = "generic_type",
  [sym_union_type] = "union_type",
  [sym_constrained_type] = "constrained_type",
  [sym_member_type] = "member_type",
  [sym_keyword_argument] = "keyword_argument",
  [sym_list] = "list",
  [sym_set] = "set",
  [sym_tuple] = "tuple",
  [sym_dictionary] = "dictionary",
  [sym_pair] = "pair",
  [sym_list_comprehension] = "list_comprehension",
  [sym_dictionary_comprehension] = "dictionary_comprehension",
  [sym_set_comprehension] = "set_comprehension",
  [sym_generator_expression] = "generator_expression",
  [sym__comprehension_clauses] = "_comprehension_clauses",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym__collection_elements] = "_collection_elements",
  [sym_for_in_clause] = "for_in_clause",
  [sym_if_clause] = "if_clause",
  [sym_conditional_expression] = "conditional_expression",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_interpolation] = "interpolation",
  [sym__f_expression] = "_f_expression",
  [sym__not_escape_sequence] = "_not_escape_sequence",
  [sym_format_specifier] = "format_specifier",
  [sym_await] = "await",
  [sym_positional_separator] = "positional_separator",
  [sym_keyword_separator] = "keyword_separator",
  [aux_sym_module_repeat1] = "module_repeat1",
  [aux_sym__simple_statements_repeat1] = "_simple_statements_repeat1",
  [aux_sym_import_prefix_repeat1] = "import_prefix_repeat1",
  [aux_sym__import_list_repeat1] = "_import_list_repeat1",
  [aux_sym_print_statement_repeat1] = "print_statement_repeat1",
  [aux_sym_assert_statement_repeat1] = "assert_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_match_statement_repeat1] = "match_statement_repeat1",
  [aux_sym__match_block_repeat1] = "_match_block_repeat1",
  [aux_sym_case_clause_repeat1] = "case_clause_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_try_statement_repeat2] = "try_statement_repeat2",
  [aux_sym_with_clause_repeat1] = "with_clause_repeat1",
  [aux_sym_global_statement_repeat1] = "global_statement_repeat1",
  [aux_sym_type_parameter_repeat1] = "type_parameter_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_decorated_definition_repeat1] = "decorated_definition_repeat1",
  [aux_sym_dotted_name_repeat1] = "dotted_name_repeat1",
  [aux_sym_union_pattern_repeat1] = "union_pattern_repeat1",
  [aux_sym_dict_pattern_repeat1] = "dict_pattern_repeat1",
  [aux_sym__parameters_repeat1] = "_parameters_repeat1",
  [aux_sym__patterns_repeat1] = "_patterns_repeat1",
  [aux_sym_comparison_operator_repeat1] = "comparison_operator_repeat1",
  [aux_sym_subscript_repeat1] = "subscript_repeat1",
  [aux_sym_dictionary_repeat1] = "dictionary_repeat1",
  [aux_sym__comprehension_clauses_repeat1] = "_comprehension_clauses_repeat1",
  [aux_sym__collection_elements_repeat1] = "_collection_elements_repeat1",
  [aux_sym_for_in_clause_repeat1] = "for_in_clause_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_format_specifier_repeat1] = "format_specifier_repeat1",
  [alias_sym_as_pattern_target] = "as_pattern_target",
  [alias_sym_format_expression] = "format_expression",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_from] = anon_sym_from,
  [anon_sym___future__] = anon_sym___future__,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_print] = anon_sym_print,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_del] = anon_sym_del,
  [anon_sym_raise] = anon_sym_raise,
  [anon_sym_pass] = anon_sym_pass,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_elif] = anon_sym_elif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_except] = anon_sym_except,
  [anon_sym_except_STAR] = anon_sym_except_STAR,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_def] = anon_sym_def,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_nonlocal] = anon_sym_nonlocal,
  [anon_sym_exec] = anon_sym_exec,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym__] = anon_sym__,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_lambda] = anon_sym_lambda,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_AT_EQ] = anon_sym_AT_EQ,
  [anon_sym_SLASH_SLASH_EQ] = anon_sym_SLASH_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_yield] = anon_sym_yield,
  [sym_ellipsis] = sym_ellipsis,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [aux_sym_format_specifier_token1] = aux_sym_format_specifier_token1,
  [sym_type_conversion] = sym_type_conversion,
  [sym_integer] = sym_integer,
  [sym_float] = sym_float,
  [anon_sym_await] = anon_sym_await,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_none] = sym_none,
  [sym_comment] = sym_comment,
  [sym_line_continuation] = sym_line_continuation,
  [sym__newline] = sym__newline,
  [sym__indent] = sym__indent,
  [sym__dedent] = sym__dedent,
  [sym_string_start] = sym_string_start,
  [sym__string_content] = sym__string_content,
  [sym_escape_interpolation] = sym_escape_interpolation,
  [sym_string_end] = sym_string_end,
  [sym_module] = sym_module,
  [sym__statement] = sym__statement,
  [sym__simple_statements] = sym__simple_statements,
  [sym_import_statement] = sym_import_statement,
  [sym_import_prefix] = sym_import_prefix,
  [sym_relative_import] = sym_relative_import,
  [sym_future_import_statement] = sym_future_import_statement,
  [sym_import_from_statement] = sym_import_from_statement,
  [sym__import_list] = sym__import_list,
  [sym_aliased_import] = sym_aliased_import,
  [sym_wildcard_import] = sym_wildcard_import,
  [sym_print_statement] = sym_print_statement,
  [sym_chevron] = sym_chevron,
  [sym_assert_statement] = sym_assert_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_named_expression] = sym_named_expression,
  [sym__named_expression_lhs] = sym__named_expression_lhs,
  [sym_return_statement] = sym_return_statement,
  [sym_delete_statement] = sym_delete_statement,
  [sym_raise_statement] = sym_raise_statement,
  [sym_pass_statement] = sym_pass_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_elif_clause] = sym_elif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_match_statement] = sym_match_statement,
  [sym__match_block] = sym_block,
  [sym_case_clause] = sym_case_clause,
  [sym_for_statement] = sym_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_except_clause] = sym_except_clause,
  [sym_except_group_clause] = sym_except_group_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_with_statement] = sym_with_statement,
  [sym_with_clause] = sym_with_clause,
  [sym_with_item] = sym_with_item,
  [sym_function_definition] = sym_function_definition,
  [sym_parameters] = sym_parameters,
  [sym_lambda_parameters] = sym_lambda_parameters,
  [sym_list_splat] = sym_list_splat,
  [sym_dictionary_splat] = sym_dictionary_splat,
  [sym_global_statement] = sym_global_statement,
  [sym_nonlocal_statement] = sym_nonlocal_statement,
  [sym_exec_statement] = sym_exec_statement,
  [sym_type_alias_statement] = sym_type_alias_statement,
  [sym_class_definition] = sym_class_definition,
  [sym_type_parameter] = sym_type_parameter,
  [sym_parenthesized_list_splat] = sym_parenthesized_list_splat,
  [sym_argument_list] = sym_argument_list,
  [sym_decorated_definition] = sym_decorated_definition,
  [sym_decorator] = sym_decorator,
  [sym_block] = sym_block,
  [sym_expression_list] = sym_expression_list,
  [sym_dotted_name] = sym_dotted_name,
  [sym_case_pattern] = sym_case_pattern,
  [sym__simple_pattern] = sym__simple_pattern,
  [sym__as_pattern] = sym_as_pattern,
  [sym_union_pattern] = sym_union_pattern,
  [sym__list_pattern] = sym_list_pattern,
  [sym__tuple_pattern] = sym_tuple_pattern,
  [sym_dict_pattern] = sym_dict_pattern,
  [sym__key_value_pattern] = sym__key_value_pattern,
  [sym_keyword_pattern] = sym_keyword_pattern,
  [sym_splat_pattern] = sym_splat_pattern,
  [sym_class_pattern] = sym_class_pattern,
  [sym_complex_pattern] = sym_complex_pattern,
  [sym__parameters] = sym__parameters,
  [sym__patterns] = sym__patterns,
  [sym_parameter] = sym_parameter,
  [sym_pattern] = sym_pattern,
  [sym_tuple_pattern] = sym_tuple_pattern,
  [sym_list_pattern] = sym_list_pattern,
  [sym_default_parameter] = sym_default_parameter,
  [sym_typed_default_parameter] = sym_typed_default_parameter,
  [sym_list_splat_pattern] = sym_list_splat_pattern,
  [sym_dictionary_splat_pattern] = sym_dictionary_splat_pattern,
  [sym_as_pattern] = sym_as_pattern,
  [sym__expression_within_for_in_clause] = sym__expression_within_for_in_clause,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_not_operator] = sym_not_operator,
  [sym_boolean_operator] = sym_boolean_operator,
  [sym_binary_operator] = sym_binary_operator,
  [sym_unary_operator] = sym_unary_operator,
  [sym__not_in] = sym__not_in,
  [sym__is_not] = sym__is_not,
  [sym_comparison_operator] = sym_comparison_operator,
  [sym_lambda] = sym_lambda,
  [sym_lambda_within_for_in_clause] = sym_lambda,
  [sym_assignment] = sym_assignment,
  [sym_augmented_assignment] = sym_augmented_assignment,
  [sym_pattern_list] = sym_pattern_list,
  [sym__right_hand_side] = sym__right_hand_side,
  [sym_yield] = sym_yield,
  [sym_attribute] = sym_attribute,
  [sym_subscript] = sym_subscript,
  [sym_slice] = sym_slice,
  [sym_call] = sym_call,
  [sym_typed_parameter] = sym_typed_parameter,
  [sym_type] = sym_type,
  [sym_splat_type] = sym_splat_type,
  [sym_generic_type] = sym_generic_type,
  [sym_union_type] = sym_union_type,
  [sym_constrained_type] = sym_constrained_type,
  [sym_member_type] = sym_member_type,
  [sym_keyword_argument] = sym_keyword_argument,
  [sym_list] = sym_list,
  [sym_set] = sym_set,
  [sym_tuple] = sym_tuple,
  [sym_dictionary] = sym_dictionary,
  [sym_pair] = sym_pair,
  [sym_list_comprehension] = sym_list_comprehension,
  [sym_dictionary_comprehension] = sym_dictionary_comprehension,
  [sym_set_comprehension] = sym_set_comprehension,
  [sym_generator_expression] = sym_generator_expression,
  [sym__comprehension_clauses] = sym__comprehension_clauses,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym__collection_elements] = sym__collection_elements,
  [sym_for_in_clause] = sym_for_in_clause,
  [sym_if_clause] = sym_if_clause,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_interpolation] = sym_interpolation,
  [sym__f_expression] = sym__f_expression,
  [sym__not_escape_sequence] = sym__not_escape_sequence,
  [sym_format_specifier] = sym_format_specifier,
  [sym_await] = sym_await,
  [sym_positional_separator] = sym_positional_separator,
  [sym_keyword_separator] = sym_keyword_separator,
  [aux_sym_module_repeat1] = aux_sym_module_repeat1,
  [aux_sym__simple_statements_repeat1] = aux_sym__simple_statements_repeat1,
  [aux_sym_import_prefix_repeat1] = aux_sym_import_prefix_repeat1,
  [aux_sym__import_list_repeat1] = aux_sym__import_list_repeat1,
  [aux_sym_print_statement_repeat1] = aux_sym_print_statement_repeat1,
  [aux_sym_assert_statement_repeat1] = aux_sym_assert_statement_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_match_statement_repeat1] = aux_sym_match_statement_repeat1,
  [aux_sym__match_block_repeat1] = aux_sym__match_block_repeat1,
  [aux_sym_case_clause_repeat1] = aux_sym_case_clause_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_try_statement_repeat2] = aux_sym_try_statement_repeat2,
  [aux_sym_with_clause_repeat1] = aux_sym_with_clause_repeat1,
  [aux_sym_global_statement_repeat1] = aux_sym_global_statement_repeat1,
  [aux_sym_type_parameter_repeat1] = aux_sym_type_parameter_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_decorated_definition_repeat1] = aux_sym_decorated_definition_repeat1,
  [aux_sym_dotted_name_repeat1] = aux_sym_dotted_name_repeat1,
  [aux_sym_union_pattern_repeat1] = aux_sym_union_pattern_repeat1,
  [aux_sym_dict_pattern_repeat1] = aux_sym_dict_pattern_repeat1,
  [aux_sym__parameters_repeat1] = aux_sym__parameters_repeat1,
  [aux_sym__patterns_repeat1] = aux_sym__patterns_repeat1,
  [aux_sym_comparison_operator_repeat1] = aux_sym_comparison_operator_repeat1,
  [aux_sym_subscript_repeat1] = aux_sym_subscript_repeat1,
  [aux_sym_dictionary_repeat1] = aux_sym_dictionary_repeat1,
  [aux_sym__comprehension_clauses_repeat1] = aux_sym__comprehension_clauses_repeat1,
  [aux_sym__collection_elements_repeat1] = aux_sym__collection_elements_repeat1,
  [aux_sym_for_in_clause_repeat1] = aux_sym_for_in_clause_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_format_specifier_repeat1] = aux_sym_format_specifier_repeat1,
  [alias_sym_as_pattern_target] = alias_sym_as_pattern_target,
  [alias_sym_format_expression] = alias_sym_format_expression,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___future__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_print] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_del] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_raise] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pass] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_except_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nonlocal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lambda] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [sym_ellipsis] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_format_specifier_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_type_conversion] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_none] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_line_continuation] = {
    .visible = true,
    .named = true,
  },
  [sym__newline] = {
    .visible = false,
    .named = true,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [sym__dedent] = {
    .visible = false,
    .named = true,
  },
  [sym_string_start] = {
    .visible = true,
    .named = true,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym_escape_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym_string_end] = {
    .visible = true,
    .named = true,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_statements] = {
    .visible = false,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_relative_import] = {
    .visible = true,
    .named = true,
  },
  [sym_future_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_from_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__import_list] = {
    .visible = false,
    .named = true,
  },
  [sym_aliased_import] = {
    .visible = true,
    .named = true,
  },
  [sym_wildcard_import] = {
    .visible = true,
    .named = true,
  },
  [sym_print_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_chevron] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__named_expression_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_raise_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_pass_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_match_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__match_block] = {
    .visible = true,
    .named = true,
  },
  [sym_case_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_except_group_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_with_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_global_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_nonlocal_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exec_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_decorated_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_dotted_name] = {
    .visible = true,
    .named = true,
  },
  [sym_case_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym__as_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_union_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_dict_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__key_value_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_keyword_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_class_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_complex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__parameters] = {
    .visible = false,
    .named = true,
  },
  [sym__patterns] = {
    .visible = false,
    .named = true,
  },
  [sym_parameter] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_as_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__expression_within_for_in_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_not_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__not_in] = {
    .visible = true,
    .named = false,
  },
  [sym__is_not] = {
    .visible = true,
    .named = false,
  },
  [sym_comparison_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_within_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern_list] = {
    .visible = true,
    .named = true,
  },
  [sym__right_hand_side] = {
    .visible = false,
    .named = true,
  },
  [sym_yield] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_slice] = {
    .visible = true,
    .named = true,
  },
  [sym_call] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym_splat_type] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constrained_type] = {
    .visible = true,
    .named = true,
  },
  [sym_member_type] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_set] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_list_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_set_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__comprehension_clauses] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__collection_elements] = {
    .visible = false,
    .named = true,
  },
  [sym_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym__f_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__not_escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [sym_format_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_await] = {
    .visible = true,
    .named = true,
  },
  [sym_positional_separator] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_separator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_module_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__simple_statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_prefix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__import_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_print_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_assert_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__match_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_with_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameter_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_decorated_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dotted_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dict_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__patterns_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_comparison_operator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dictionary_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__comprehension_clauses_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__collection_elements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_in_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_format_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_as_pattern_target] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_format_expression] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_cause = 7,
  field_code = 8,
  field_condition = 9,
  field_consequence = 10,
  field_definition = 11,
  field_expression = 12,
  field_format_specifier = 13,
  field_function = 14,
  field_guard = 15,
  field_key = 16,
  field_left = 17,
  field_module_name = 18,
  field_name = 19,
  field_object = 20,
  field_operator = 21,
  field_operators = 22,
  field_parameters = 23,
  field_return_type = 24,
  field_right = 25,
  field_subject = 26,
  field_subscript = 27,
  field_superclasses = 28,
  field_type = 29,
  field_type_conversion = 30,
  field_type_parameters = 31,
  field_value = 32,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_cause] = "cause",
  [field_code] = "code",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_definition] = "definition",
  [field_expression] = "expression",
  [field_format_specifier] = "format_specifier",
  [field_function] = "function",
  [field_guard] = "guard",
  [field_key] = "key",
  [field_left] = "left",
  [field_module_name] = "module_name",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_operators] = "operators",
  [field_parameters] = "parameters",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_subject] = "subject",
  [field_subscript] = "subscript",
  [field_superclasses] = "superclasses",
  [field_type] = "type",
  [field_type_conversion] = "type_conversion",
  [field_type_parameters] = "type_parameters",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [3] = {.index = 0, .length = 1},
  [4] = {.index = 1, .length = 1},
  [6] = {.index = 2, .length = 1},
  [7] = {.index = 3, .length = 1},
  [8] = {.index = 4, .length = 1},
  [9] = {.index = 5, .length = 2},
  [10] = {.index = 7, .length = 2},
  [11] = {.index = 9, .length = 1},
  [12] = {.index = 10, .length = 1},
  [13] = {.index = 11, .length = 2},
  [14] = {.index = 13, .length = 1},
  [15] = {.index = 14, .length = 2},
  [16] = {.index = 16, .length = 1},
  [17] = {.index = 17, .length = 1},
  [18] = {.index = 18, .length = 2},
  [19] = {.index = 20, .length = 2},
  [20] = {.index = 22, .length = 2},
  [21] = {.index = 24, .length = 3},
  [22] = {.index = 27, .length = 1},
  [23] = {.index = 28, .length = 2},
  [24] = {.index = 30, .length = 1},
  [25] = {.index = 31, .length = 2},
  [26] = {.index = 33, .length = 1},
  [27] = {.index = 34, .length = 1},
  [28] = {.index = 35, .length = 2},
  [29] = {.index = 37, .length = 2},
  [30] = {.index = 39, .length = 1},
  [31] = {.index = 40, .length = 2},
  [32] = {.index = 42, .length = 1},
  [34] = {.index = 43, .length = 1},
  [35] = {.index = 44, .length = 2},
  [36] = {.index = 46, .length = 1},
  [37] = {.index = 47, .length = 2},
  [38] = {.index = 49, .length = 1},
  [39] = {.index = 50, .length = 3},
  [40] = {.index = 53, .length = 2},
  [41] = {.index = 55, .length = 2},
  [42] = {.index = 17, .length = 1},
  [43] = {.index = 57, .length = 1},
  [44] = {.index = 58, .length = 2},
  [45] = {.index = 60, .length = 2},
  [46] = {.index = 62, .length = 1},
  [47] = {.index = 63, .length = 2},
  [48] = {.index = 65, .length = 2},
  [50] = {.index = 67, .length = 2},
  [51] = {.index = 69, .length = 2},
  [52] = {.index = 71, .length = 1},
  [53] = {.index = 72, .length = 3},
  [54] = {.index = 75, .length = 3},
  [55] = {.index = 78, .length = 3},
  [56] = {.index = 81, .length = 3},
  [57] = {.index = 84, .length = 4},
  [58] = {.index = 88, .length = 1},
  [59] = {.index = 89, .length = 3},
  [60] = {.index = 92, .length = 3},
  [61] = {.index = 95, .length = 2},
  [62] = {.index = 97, .length = 2},
  [63] = {.index = 99, .length = 3},
  [64] = {.index = 102, .length = 3},
  [65] = {.index = 105, .length = 3},
  [66] = {.index = 108, .length = 3},
  [67] = {.index = 111, .length = 3},
  [68] = {.index = 18, .length = 2},
  [69] = {.index = 114, .length = 1},
  [70] = {.index = 115, .length = 3},
  [71] = {.index = 118, .length = 2},
  [72] = {.index = 120, .length = 2},
  [73] = {.index = 122, .length = 2},
  [74] = {.index = 124, .length = 3},
  [75] = {.index = 127, .length = 1},
  [76] = {.index = 128, .length = 2},
  [77] = {.index = 130, .length = 2},
  [78] = {.index = 132, .length = 4},
  [79] = {.index = 136, .length = 2},
  [80] = {.index = 138, .length = 4},
  [81] = {.index = 142, .length = 4},
  [82] = {.index = 146, .length = 1},
  [83] = {.index = 147, .length = 4},
  [84] = {.index = 151, .length = 2},
  [85] = {.index = 153, .length = 3},
  [86] = {.index = 156, .length = 3},
  [87] = {.index = 159, .length = 4},
  [89] = {.index = 163, .length = 4},
  [90] = {.index = 167, .length = 4},
  [91] = {.index = 171, .length = 4},
  [92] = {.index = 175, .length = 4},
  [93] = {.index = 179, .length = 4},
  [94] = {.index = 183, .length = 3},
  [95] = {.index = 186, .length = 3},
  [96] = {.index = 189, .length = 2},
  [97] = {.index = 191, .length = 3},
  [98] = {.index = 194, .length = 5},
  [99] = {.index = 199, .length = 3},
  [100] = {.index = 202, .length = 4},
  [101] = {.index = 206, .length = 4},
  [102] = {.index = 210, .length = 4},
  [103] = {.index = 214, .length = 4},
  [105] = {.index = 218, .length = 4},
  [106] = {.index = 222, .length = 5},
  [107] = {.index = 227, .length = 5},
  [108] = {.index = 232, .length = 3},
  [109] = {.index = 235, .length = 2},
  [110] = {.index = 237, .length = 1},
  [111] = {.index = 238, .length = 4},
  [112] = {.index = 242, .length = 4},
  [113] = {.index = 246, .length = 4},
  [114] = {.index = 250, .length = 5},
  [115] = {.index = 255, .length = 5},
  [116] = {.index = 260, .length = 5},
  [117] = {.index = 265, .length = 5},
  [118] = {.index = 270, .length = 4},
  [119] = {.index = 274, .length = 4},
  [120] = {.index = 278, .length = 2},
  [121] = {.index = 280, .length = 1},
  [122] = {.index = 281, .length = 2},
  [123] = {.index = 283, .length = 2},
  [124] = {.index = 285, .length = 5},
  [125] = {.index = 290, .length = 5},
  [126] = {.index = 295, .length = 5},
  [128] = {.index = 300, .length = 6},
  [129] = {.index = 306, .length = 2},
  [130] = {.index = 308, .length = 2},
  [131] = {.index = 310, .length = 3},
  [132] = {.index = 313, .length = 1},
  [133] = {.index = 314, .length = 6},
  [134] = {.index = 320, .length = 3},
  [135] = {.index = 323, .length = 2},
  [136] = {.index = 325, .length = 2},
  [137] = {.index = 327, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 1, .inherited = true},
  [1] =
    {field_name, 0},
  [2] =
    {field_argument, 1},
  [3] =
    {field_value, 0},
  [4] =
    {field_code, 1},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_operators, 1, .inherited = true},
  [10] =
    {field_definition, 1},
  [11] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
  [13] =
    {field_argument, 2, .inherited = true},
  [14] =
    {field_argument, 1},
    {field_argument, 2, .inherited = true},
  [16] =
    {field_cause, 2},
  [17] =
    {field_body, 2},
  [18] =
    {field_name, 0},
    {field_value, 2},
  [20] =
    {field_left, 0},
    {field_type, 2},
  [22] =
    {field_left, 0},
    {field_right, 2},
  [24] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [27] =
    {field_alias, 2},
  [28] =
    {field_attribute, 2},
    {field_object, 0},
  [30] =
    {field_operators, 0},
  [31] =
    {field_operators, 0, .inherited = true},
    {field_operators, 1, .inherited = true},
  [33] =
    {field_expression, 1},
  [34] =
    {field_name, 1},
  [35] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [37] =
    {field_alias, 2},
    {field_name, 0},
  [39] =
    {field_name, 3, .inherited = true},
  [40] =
    {field_module_name, 1},
    {field_name, 3, .inherited = true},
  [42] =
    {field_module_name, 1},
  [43] =
    {field_body, 1},
  [44] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [46] =
    {field_cause, 3},
  [47] =
    {field_condition, 1},
    {field_consequence, 3},
  [49] =
    {field_subject, 1},
  [50] =
    {field_alternative, 3, .inherited = true},
    {field_body, 3},
    {field_subject, 1},
  [53] =
    {field_subject, 0, .inherited = true},
    {field_subject, 1, .inherited = true},
  [55] =
    {field_body, 3},
    {field_condition, 1},
  [57] =
    {field_body, 3},
  [58] =
    {field_body, 3},
    {field_name, 1},
  [60] =
    {field_key, 0},
    {field_value, 2},
  [62] =
    {field_type, 2},
  [63] =
    {field_body, 3},
    {field_parameters, 1},
  [65] =
    {field_subscript, 2},
    {field_value, 0},
  [67] =
    {field_expression, 1},
    {field_type_conversion, 2},
  [69] =
    {field_expression, 1},
    {field_format_specifier, 2},
  [71] =
    {field_alternative, 0},
  [72] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 3},
  [75] =
    {field_alternative, 4, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
  [78] =
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [81] =
    {field_alternative, 4, .inherited = true},
    {field_body, 4},
    {field_subject, 1},
  [84] =
    {field_alternative, 4, .inherited = true},
    {field_body, 4},
    {field_subject, 1},
    {field_subject, 2, .inherited = true},
  [88] =
    {field_body, 4},
  [89] =
    {field_alternative, 4},
    {field_body, 3},
    {field_condition, 1},
  [92] =
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [95] =
    {field_body, 2},
    {field_body, 3},
  [97] =
    {field_body, 3},
    {field_body, 4},
  [99] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 2},
  [102] =
    {field_body, 3},
    {field_body, 4},
    {field_name, 1},
  [105] =
    {field_body, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [108] =
    {field_body, 4},
    {field_name, 1},
    {field_superclasses, 2},
  [111] =
    {field_left, 0},
    {field_right, 4},
    {field_type, 2},
  [114] =
    {field_subscript, 1},
  [115] =
    {field_subscript, 2},
    {field_subscript, 3, .inherited = true},
    {field_value, 0},
  [118] =
    {field_subscript, 0, .inherited = true},
    {field_subscript, 1, .inherited = true},
  [120] =
    {field_expression, 1},
    {field_type_conversion, 3},
  [122] =
    {field_expression, 1},
    {field_format_specifier, 3},
  [124] =
    {field_expression, 1},
    {field_format_specifier, 3},
    {field_type_conversion, 2},
  [127] =
    {field_name, 4, .inherited = true},
  [128] =
    {field_module_name, 1},
    {field_name, 4, .inherited = true},
  [130] =
    {field_left, 1},
    {field_right, 3},
  [132] =
    {field_alternative, 4, .inherited = true},
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
  [136] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [138] =
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [142] =
    {field_alternative, 5, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [146] =
    {field_alternative, 1, .inherited = true},
  [147] =
    {field_alternative, 5, .inherited = true},
    {field_body, 5},
    {field_subject, 1},
    {field_subject, 2, .inherited = true},
  [151] =
    {field_body, 4},
    {field_body, 5},
  [153] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
  [156] =
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [159] =
    {field_alternative, 5},
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [163] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 2},
  [167] =
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [171] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_type_parameters, 2},
  [175] =
    {field_body, 5},
    {field_name, 1},
    {field_superclasses, 3},
    {field_type_parameters, 2},
  [179] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_superclasses, 2},
  [183] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 4},
  [186] =
    {field_expression, 1},
    {field_format_specifier, 4},
    {field_type_conversion, 3},
  [189] =
    {field_left, 2},
    {field_right, 4},
  [191] =
    {field_left, 1},
    {field_right, 3},
    {field_right, 4},
  [194] =
    {field_alternative, 5, .inherited = true},
    {field_alternative, 6},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [199] =
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [202] =
    {field_body, 5},
    {field_body, 6},
    {field_name, 2},
    {field_parameters, 3},
  [206] =
    {field_body, 6},
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [210] =
    {field_alternative, 6},
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [214] =
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [218] =
    {field_body, 6},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [222] =
    {field_body, 5},
    {field_body, 6},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [227] =
    {field_body, 5},
    {field_body, 6},
    {field_name, 1},
    {field_superclasses, 3},
    {field_type_parameters, 2},
  [232] =
    {field_left, 2},
    {field_right, 4},
    {field_right, 5},
  [235] =
    {field_key, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [237] =
    {field_consequence, 3},
  [238] =
    {field_alternative, 7},
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [242] =
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [246] =
    {field_body, 7},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [250] =
    {field_body, 6},
    {field_body, 7},
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [255] =
    {field_alternative, 7},
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [260] =
    {field_body, 6},
    {field_body, 7},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [265] =
    {field_body, 7},
    {field_name, 1},
    {field_parameters, 3},
    {field_return_type, 5},
    {field_type_parameters, 2},
  [270] =
    {field_key, 1, .inherited = true},
    {field_key, 2, .inherited = true},
    {field_value, 1, .inherited = true},
    {field_value, 2, .inherited = true},
  [274] =
    {field_key, 0, .inherited = true},
    {field_key, 1, .inherited = true},
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [278] =
    {field_key, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [280] =
    {field_consequence, 4},
  [281] =
    {field_consequence, 3},
    {field_consequence, 4},
  [283] =
    {field_consequence, 4},
    {field_guard, 2},
  [285] =
    {field_alternative, 8},
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [290] =
    {field_body, 7},
    {field_body, 8},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [295] =
    {field_body, 8},
    {field_name, 2},
    {field_parameters, 4},
    {field_return_type, 6},
    {field_type_parameters, 3},
  [300] =
    {field_body, 7},
    {field_body, 8},
    {field_name, 1},
    {field_parameters, 3},
    {field_return_type, 5},
    {field_type_parameters, 2},
  [306] =
    {field_consequence, 4},
    {field_consequence, 5},
  [308] =
    {field_consequence, 5},
    {field_guard, 3},
  [310] =
    {field_consequence, 4},
    {field_consequence, 5},
    {field_guard, 2},
  [313] =
    {field_consequence, 5},
  [314] =
    {field_body, 8},
    {field_body, 9},
    {field_name, 2},
    {field_parameters, 4},
    {field_return_type, 6},
    {field_type_parameters, 3},
  [320] =
    {field_consequence, 5},
    {field_consequence, 6},
    {field_guard, 3},
  [323] =
    {field_consequence, 5},
    {field_consequence, 6},
  [325] =
    {field_consequence, 6},
    {field_guard, 4},
  [327] =
    {field_consequence, 6},
    {field_consequence, 7},
    {field_guard, 4},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [2] = {
    [0] = sym_list_splat,
  },
  [5] = {
    [1] = sym_identifier,
  },
  [22] = {
    [2] = alias_sym_as_pattern_target,
  },
  [33] = {
    [1] = sym_parenthesized_expression,
  },
  [37] = {
    [3] = sym_block,
  },
  [41] = {
    [3] = sym_block,
  },
  [42] = {
    [2] = sym_block,
  },
  [43] = {
    [3] = sym_block,
  },
  [44] = {
    [3] = sym_block,
  },
  [49] = {
    [0] = alias_sym_format_expression,
  },
  [53] = {
    [3] = sym_block,
  },
  [54] = {
    [3] = sym_block,
  },
  [58] = {
    [4] = sym_block,
  },
  [59] = {
    [3] = sym_block,
  },
  [63] = {
    [4] = sym_block,
  },
  [65] = {
    [4] = sym_block,
  },
  [66] = {
    [4] = sym_block,
  },
  [68] = {
    [0] = sym_identifier,
  },
  [78] = {
    [3] = sym_block,
  },
  [85] = {
    [5] = sym_block,
  },
  [86] = {
    [5] = sym_block,
  },
  [88] = {
    [2] = sym_block,
  },
  [90] = {
    [5] = sym_block,
  },
  [92] = {
    [5] = sym_block,
  },
  [99] = {
    [6] = sym_block,
  },
  [101] = {
    [6] = sym_block,
  },
  [102] = {
    [5] = sym_block,
  },
  [104] = {
    [3] = sym_block,
  },
  [105] = {
    [6] = sym_block,
  },
  [110] = {
    [3] = sym_block,
  },
  [111] = {
    [6] = sym_block,
  },
  [113] = {
    [7] = sym_block,
  },
  [117] = {
    [7] = sym_block,
  },
  [121] = {
    [4] = sym_block,
  },
  [123] = {
    [4] = sym_block,
  },
  [126] = {
    [8] = sym_block,
  },
  [127] = {
    [5] = sym_block,
  },
  [130] = {
    [5] = sym_block,
  },
  [132] = {
    [5] = sym_block,
  },
  [136] = {
    [6] = sym_block,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__simple_statements, 2,
    sym__simple_statements,
    sym_block,
  sym_parenthesized_list_splat, 2,
    sym_parenthesized_list_splat,
    sym_parenthesized_expression,
  sym_list_splat_pattern, 2,
    sym_list_splat_pattern,
    sym_list_splat,
  sym_expression, 2,
    sym_expression,
    alias_sym_as_pattern_target,
  sym_interpolation, 2,
    sym_interpolation,
    alias_sym_format_expression,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 2,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 30,
  [35] = 3,
  [36] = 4,
  [37] = 5,
  [38] = 6,
  [39] = 7,
  [40] = 8,
  [41] = 9,
  [42] = 10,
  [43] = 11,
  [44] = 12,
  [45] = 13,
  [46] = 14,
  [47] = 15,
  [48] = 48,
  [49] = 17,
  [50] = 18,
  [51] = 19,
  [52] = 20,
  [53] = 21,
  [54] = 22,
  [55] = 24,
  [56] = 25,
  [57] = 28,
  [58] = 29,
  [59] = 59,
  [60] = 48,
  [61] = 59,
  [62] = 62,
  [63] = 62,
  [64] = 64,
  [65] = 65,
  [66] = 62,
  [67] = 65,
  [68] = 62,
  [69] = 62,
  [70] = 62,
  [71] = 62,
  [72] = 62,
  [73] = 73,
  [74] = 73,
  [75] = 75,
  [76] = 76,
  [77] = 75,
  [78] = 76,
  [79] = 79,
  [80] = 80,
  [81] = 79,
  [82] = 80,
  [83] = 83,
  [84] = 83,
  [85] = 85,
  [86] = 85,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 88,
  [99] = 93,
  [100] = 100,
  [101] = 101,
  [102] = 96,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 101,
  [108] = 108,
  [109] = 109,
  [110] = 97,
  [111] = 111,
  [112] = 90,
  [113] = 100,
  [114] = 109,
  [115] = 91,
  [116] = 116,
  [117] = 92,
  [118] = 118,
  [119] = 119,
  [120] = 106,
  [121] = 121,
  [122] = 122,
  [123] = 123,
  [124] = 122,
  [125] = 94,
  [126] = 118,
  [127] = 104,
  [128] = 128,
  [129] = 105,
  [130] = 95,
  [131] = 123,
  [132] = 103,
  [133] = 121,
  [134] = 134,
  [135] = 108,
  [136] = 89,
  [137] = 137,
  [138] = 137,
  [139] = 137,
  [140] = 140,
  [141] = 140,
  [142] = 137,
  [143] = 137,
  [144] = 140,
  [145] = 137,
  [146] = 140,
  [147] = 140,
  [148] = 137,
  [149] = 140,
  [150] = 140,
  [151] = 137,
  [152] = 140,
  [153] = 153,
  [154] = 154,
  [155] = 154,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 157,
  [160] = 154,
  [161] = 156,
  [162] = 156,
  [163] = 156,
  [164] = 157,
  [165] = 158,
  [166] = 157,
  [167] = 157,
  [168] = 168,
  [169] = 169,
  [170] = 157,
  [171] = 158,
  [172] = 156,
  [173] = 157,
  [174] = 158,
  [175] = 154,
  [176] = 176,
  [177] = 156,
  [178] = 154,
  [179] = 168,
  [180] = 168,
  [181] = 169,
  [182] = 158,
  [183] = 157,
  [184] = 158,
  [185] = 158,
  [186] = 158,
  [187] = 156,
  [188] = 176,
  [189] = 189,
  [190] = 190,
  [191] = 189,
  [192] = 192,
  [193] = 190,
  [194] = 194,
  [195] = 189,
  [196] = 192,
  [197] = 190,
  [198] = 198,
  [199] = 199,
  [200] = 189,
  [201] = 189,
  [202] = 192,
  [203] = 189,
  [204] = 192,
  [205] = 189,
  [206] = 192,
  [207] = 190,
  [208] = 190,
  [209] = 209,
  [210] = 209,
  [211] = 189,
  [212] = 192,
  [213] = 190,
  [214] = 190,
  [215] = 192,
  [216] = 192,
  [217] = 189,
  [218] = 192,
  [219] = 192,
  [220] = 192,
  [221] = 190,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 225,
  [227] = 224,
  [228] = 225,
  [229] = 225,
  [230] = 230,
  [231] = 224,
  [232] = 224,
  [233] = 230,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 240,
  [245] = 243,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 240,
  [250] = 250,
  [251] = 248,
  [252] = 252,
  [253] = 222,
  [254] = 223,
  [255] = 250,
  [256] = 248,
  [257] = 240,
  [258] = 243,
  [259] = 259,
  [260] = 248,
  [261] = 248,
  [262] = 248,
  [263] = 248,
  [264] = 239,
  [265] = 239,
  [266] = 239,
  [267] = 248,
  [268] = 236,
  [269] = 237,
  [270] = 242,
  [271] = 243,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 273,
  [278] = 278,
  [279] = 275,
  [280] = 280,
  [281] = 274,
  [282] = 272,
  [283] = 272,
  [284] = 278,
  [285] = 276,
  [286] = 273,
  [287] = 275,
  [288] = 280,
  [289] = 274,
  [290] = 278,
  [291] = 272,
  [292] = 278,
  [293] = 276,
  [294] = 273,
  [295] = 275,
  [296] = 280,
  [297] = 272,
  [298] = 278,
  [299] = 276,
  [300] = 273,
  [301] = 275,
  [302] = 280,
  [303] = 274,
  [304] = 272,
  [305] = 278,
  [306] = 276,
  [307] = 273,
  [308] = 280,
  [309] = 275,
  [310] = 280,
  [311] = 272,
  [312] = 278,
  [313] = 276,
  [314] = 273,
  [315] = 275,
  [316] = 280,
  [317] = 272,
  [318] = 278,
  [319] = 276,
  [320] = 273,
  [321] = 275,
  [322] = 280,
  [323] = 274,
  [324] = 276,
  [325] = 274,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 327,
  [331] = 331,
  [332] = 332,
  [333] = 332,
  [334] = 334,
  [335] = 326,
  [336] = 329,
  [337] = 329,
  [338] = 332,
  [339] = 326,
  [340] = 334,
  [341] = 341,
  [342] = 342,
  [343] = 327,
  [344] = 176,
  [345] = 334,
  [346] = 341,
  [347] = 341,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 350,
  [352] = 352,
  [353] = 352,
  [354] = 252,
  [355] = 352,
  [356] = 348,
  [357] = 350,
  [358] = 352,
  [359] = 352,
  [360] = 252,
  [361] = 350,
  [362] = 352,
  [363] = 252,
  [364] = 350,
  [365] = 350,
  [366] = 352,
  [367] = 350,
  [368] = 350,
  [369] = 348,
  [370] = 352,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 373,
  [375] = 373,
  [376] = 376,
  [377] = 371,
  [378] = 376,
  [379] = 371,
  [380] = 328,
  [381] = 381,
  [382] = 376,
  [383] = 342,
  [384] = 373,
  [385] = 376,
  [386] = 371,
  [387] = 371,
  [388] = 371,
  [389] = 156,
  [390] = 373,
  [391] = 373,
  [392] = 373,
  [393] = 376,
  [394] = 371,
  [395] = 373,
  [396] = 376,
  [397] = 371,
  [398] = 373,
  [399] = 376,
  [400] = 371,
  [401] = 401,
  [402] = 376,
  [403] = 403,
  [404] = 404,
  [405] = 373,
  [406] = 376,
  [407] = 371,
  [408] = 376,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 328,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 156,
  [418] = 418,
  [419] = 419,
  [420] = 418,
  [421] = 421,
  [422] = 176,
  [423] = 176,
  [424] = 424,
  [425] = 425,
  [426] = 421,
  [427] = 328,
  [428] = 428,
  [429] = 409,
  [430] = 411,
  [431] = 431,
  [432] = 342,
  [433] = 433,
  [434] = 434,
  [435] = 433,
  [436] = 436,
  [437] = 411,
  [438] = 438,
  [439] = 404,
  [440] = 409,
  [441] = 441,
  [442] = 342,
  [443] = 409,
  [444] = 444,
  [445] = 409,
  [446] = 176,
  [447] = 409,
  [448] = 409,
  [449] = 409,
  [450] = 409,
  [451] = 409,
  [452] = 433,
  [453] = 441,
  [454] = 431,
  [455] = 416,
  [456] = 441,
  [457] = 418,
  [458] = 421,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 342,
  [466] = 328,
  [467] = 463,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 464,
  [473] = 470,
  [474] = 462,
  [475] = 475,
  [476] = 461,
  [477] = 468,
  [478] = 475,
  [479] = 469,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 480,
  [490] = 488,
  [491] = 481,
  [492] = 482,
  [493] = 483,
  [494] = 484,
  [495] = 487,
  [496] = 480,
  [497] = 497,
  [498] = 488,
  [499] = 481,
  [500] = 482,
  [501] = 483,
  [502] = 484,
  [503] = 487,
  [504] = 480,
  [505] = 488,
  [506] = 506,
  [507] = 488,
  [508] = 481,
  [509] = 482,
  [510] = 483,
  [511] = 484,
  [512] = 487,
  [513] = 480,
  [514] = 514,
  [515] = 488,
  [516] = 481,
  [517] = 482,
  [518] = 483,
  [519] = 484,
  [520] = 487,
  [521] = 480,
  [522] = 481,
  [523] = 482,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 525,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 483,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 484,
  [539] = 539,
  [540] = 529,
  [541] = 497,
  [542] = 530,
  [543] = 487,
  [544] = 514,
  [545] = 527,
  [546] = 546,
  [547] = 497,
  [548] = 532,
  [549] = 488,
  [550] = 525,
  [551] = 526,
  [552] = 546,
  [553] = 532,
  [554] = 554,
  [555] = 487,
  [556] = 556,
  [557] = 557,
  [558] = 546,
  [559] = 497,
  [560] = 525,
  [561] = 526,
  [562] = 562,
  [563] = 563,
  [564] = 481,
  [565] = 532,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 482,
  [570] = 570,
  [571] = 525,
  [572] = 526,
  [573] = 483,
  [574] = 484,
  [575] = 488,
  [576] = 546,
  [577] = 481,
  [578] = 482,
  [579] = 483,
  [580] = 484,
  [581] = 525,
  [582] = 526,
  [583] = 497,
  [584] = 480,
  [585] = 585,
  [586] = 586,
  [587] = 487,
  [588] = 525,
  [589] = 526,
  [590] = 562,
  [591] = 563,
  [592] = 480,
  [593] = 525,
  [594] = 485,
  [595] = 486,
  [596] = 570,
  [597] = 570,
  [598] = 570,
  [599] = 570,
  [600] = 570,
  [601] = 570,
  [602] = 570,
  [603] = 568,
  [604] = 535,
  [605] = 557,
  [606] = 606,
  [607] = 536,
  [608] = 606,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 612,
  [614] = 610,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 615,
  [619] = 616,
  [620] = 611,
  [621] = 617,
  [622] = 622,
  [623] = 623,
  [624] = 622,
  [625] = 623,
  [626] = 626,
  [627] = 627,
  [628] = 628,
  [629] = 629,
  [630] = 630,
  [631] = 631,
  [632] = 630,
  [633] = 631,
  [634] = 634,
  [635] = 634,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 639,
  [640] = 629,
  [641] = 628,
  [642] = 642,
  [643] = 643,
  [644] = 644,
  [645] = 645,
  [646] = 646,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 648,
  [651] = 651,
  [652] = 652,
  [653] = 653,
  [654] = 654,
  [655] = 655,
  [656] = 223,
  [657] = 649,
  [658] = 652,
  [659] = 653,
  [660] = 655,
  [661] = 652,
  [662] = 653,
  [663] = 654,
  [664] = 654,
  [665] = 665,
  [666] = 666,
  [667] = 649,
  [668] = 668,
  [669] = 669,
  [670] = 670,
  [671] = 655,
  [672] = 672,
  [673] = 655,
  [674] = 651,
  [675] = 675,
  [676] = 675,
  [677] = 677,
  [678] = 652,
  [679] = 653,
  [680] = 654,
  [681] = 665,
  [682] = 666,
  [683] = 649,
  [684] = 649,
  [685] = 668,
  [686] = 670,
  [687] = 672,
  [688] = 677,
  [689] = 649,
  [690] = 222,
  [691] = 655,
  [692] = 653,
  [693] = 652,
  [694] = 653,
  [695] = 654,
  [696] = 652,
  [697] = 654,
  [698] = 669,
  [699] = 655,
  [700] = 700,
  [701] = 701,
  [702] = 702,
  [703] = 703,
  [704] = 704,
  [705] = 705,
  [706] = 706,
  [707] = 707,
  [708] = 708,
  [709] = 709,
  [710] = 709,
  [711] = 708,
  [712] = 712,
  [713] = 700,
  [714] = 707,
  [715] = 712,
  [716] = 701,
  [717] = 706,
  [718] = 704,
  [719] = 703,
  [720] = 705,
  [721] = 702,
  [722] = 722,
  [723] = 723,
  [724] = 722,
  [725] = 725,
  [726] = 725,
  [727] = 723,
  [728] = 728,
  [729] = 729,
  [730] = 730,
  [731] = 731,
  [732] = 732,
  [733] = 733,
  [734] = 734,
  [735] = 735,
  [736] = 736,
  [737] = 737,
  [738] = 738,
  [739] = 739,
  [740] = 740,
  [741] = 741,
  [742] = 742,
  [743] = 743,
  [744] = 744,
  [745] = 745,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 758,
  [759] = 759,
  [760] = 760,
  [761] = 761,
  [762] = 762,
  [763] = 763,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 763,
  [770] = 764,
  [771] = 771,
  [772] = 728,
  [773] = 761,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 777,
  [778] = 731,
  [779] = 779,
  [780] = 780,
  [781] = 781,
  [782] = 736,
  [783] = 739,
  [784] = 741,
  [785] = 785,
  [786] = 786,
  [787] = 765,
  [788] = 766,
  [789] = 752,
  [790] = 762,
  [791] = 791,
  [792] = 754,
  [793] = 793,
  [794] = 742,
  [795] = 795,
  [796] = 780,
  [797] = 797,
  [798] = 223,
  [799] = 767,
  [800] = 775,
  [801] = 774,
  [802] = 776,
  [803] = 785,
  [804] = 804,
  [805] = 805,
  [806] = 791,
  [807] = 793,
  [808] = 786,
  [809] = 809,
  [810] = 810,
  [811] = 804,
  [812] = 771,
  [813] = 813,
  [814] = 730,
  [815] = 757,
  [816] = 805,
  [817] = 795,
  [818] = 729,
  [819] = 737,
  [820] = 755,
  [821] = 779,
  [822] = 809,
  [823] = 810,
  [824] = 797,
  [825] = 732,
  [826] = 733,
  [827] = 734,
  [828] = 735,
  [829] = 738,
  [830] = 740,
  [831] = 744,
  [832] = 745,
  [833] = 746,
  [834] = 747,
  [835] = 748,
  [836] = 749,
  [837] = 750,
  [838] = 751,
  [839] = 753,
  [840] = 813,
  [841] = 756,
  [842] = 777,
  [843] = 758,
  [844] = 781,
  [845] = 768,
  [846] = 759,
  [847] = 760,
  [848] = 781,
  [849] = 768,
  [850] = 743,
  [851] = 222,
  [852] = 852,
  [853] = 852,
  [854] = 852,
  [855] = 852,
  [856] = 852,
  [857] = 852,
  [858] = 858,
  [859] = 858,
  [860] = 860,
  [861] = 860,
  [862] = 860,
  [863] = 860,
  [864] = 860,
  [865] = 865,
  [866] = 860,
  [867] = 860,
  [868] = 860,
  [869] = 869,
  [870] = 870,
  [871] = 871,
  [872] = 872,
  [873] = 869,
  [874] = 874,
  [875] = 875,
  [876] = 876,
  [877] = 875,
  [878] = 876,
  [879] = 879,
  [880] = 880,
  [881] = 870,
  [882] = 871,
  [883] = 883,
  [884] = 871,
  [885] = 880,
  [886] = 886,
  [887] = 887,
  [888] = 872,
  [889] = 869,
  [890] = 874,
  [891] = 876,
  [892] = 880,
  [893] = 875,
  [894] = 870,
  [895] = 879,
  [896] = 871,
  [897] = 887,
  [898] = 869,
  [899] = 872,
  [900] = 887,
  [901] = 869,
  [902] = 880,
  [903] = 875,
  [904] = 874,
  [905] = 879,
  [906] = 870,
  [907] = 874,
  [908] = 875,
  [909] = 865,
  [910] = 879,
  [911] = 872,
  [912] = 865,
  [913] = 886,
  [914] = 871,
  [915] = 875,
  [916] = 883,
  [917] = 879,
  [918] = 870,
  [919] = 887,
  [920] = 875,
  [921] = 887,
  [922] = 871,
  [923] = 872,
  [924] = 874,
  [925] = 871,
  [926] = 875,
  [927] = 876,
  [928] = 869,
  [929] = 875,
  [930] = 874,
  [931] = 887,
  [932] = 872,
  [933] = 880,
  [934] = 879,
  [935] = 876,
  [936] = 879,
  [937] = 880,
  [938] = 887,
  [939] = 872,
  [940] = 869,
  [941] = 869,
  [942] = 874,
  [943] = 883,
  [944] = 876,
  [945] = 875,
  [946] = 880,
  [947] = 870,
  [948] = 879,
  [949] = 876,
  [950] = 871,
  [951] = 874,
  [952] = 876,
  [953] = 870,
  [954] = 883,
  [955] = 880,
  [956] = 870,
  [957] = 872,
  [958] = 875,
  [959] = 875,
  [960] = 875,
  [961] = 887,
  [962] = 883,
  [963] = 865,
  [964] = 964,
  [965] = 865,
  [966] = 865,
  [967] = 865,
  [968] = 968,
  [969] = 969,
  [970] = 865,
  [971] = 969,
  [972] = 968,
  [973] = 973,
  [974] = 974,
  [975] = 969,
  [976] = 865,
  [977] = 977,
  [978] = 964,
  [979] = 968,
  [980] = 980,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 964,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 981,
  [989] = 983,
  [990] = 985,
  [991] = 865,
  [992] = 637,
  [993] = 964,
  [994] = 985,
  [995] = 964,
  [996] = 969,
  [997] = 997,
  [998] = 977,
  [999] = 973,
  [1000] = 982,
  [1001] = 964,
  [1002] = 987,
  [1003] = 986,
  [1004] = 968,
  [1005] = 642,
  [1006] = 968,
  [1007] = 980,
  [1008] = 865,
  [1009] = 1009,
  [1010] = 969,
  [1011] = 987,
  [1012] = 986,
  [1013] = 980,
  [1014] = 974,
  [1015] = 969,
  [1016] = 645,
  [1017] = 983,
  [1018] = 643,
  [1019] = 627,
  [1020] = 964,
  [1021] = 973,
  [1022] = 968,
  [1023] = 1023,
  [1024] = 982,
  [1025] = 974,
  [1026] = 981,
  [1027] = 1027,
  [1028] = 969,
  [1029] = 968,
  [1030] = 865,
  [1031] = 977,
  [1032] = 647,
  [1033] = 644,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 986,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1042,
  [1043] = 1043,
  [1044] = 612,
  [1045] = 639,
  [1046] = 646,
  [1047] = 1034,
  [1048] = 1023,
  [1049] = 1009,
  [1050] = 983,
  [1051] = 981,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 627,
  [1056] = 973,
  [1057] = 974,
  [1058] = 977,
  [1059] = 980,
  [1060] = 985,
  [1061] = 982,
  [1062] = 987,
  [1063] = 986,
  [1064] = 644,
  [1065] = 637,
  [1066] = 645,
  [1067] = 647,
  [1068] = 642,
  [1069] = 643,
  [1070] = 626,
  [1071] = 638,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 983,
  [1076] = 981,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 973,
  [1081] = 974,
  [1082] = 977,
  [1083] = 980,
  [1084] = 985,
  [1085] = 982,
  [1086] = 987,
  [1087] = 986,
  [1088] = 997,
  [1089] = 1089,
  [1090] = 1027,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 997,
  [1095] = 983,
  [1096] = 981,
  [1097] = 1027,
  [1098] = 973,
  [1099] = 974,
  [1100] = 977,
  [1101] = 980,
  [1102] = 985,
  [1103] = 982,
  [1104] = 987,
  [1105] = 986,
  [1106] = 1106,
  [1107] = 969,
  [1108] = 1034,
  [1109] = 1023,
  [1110] = 1009,
  [1111] = 964,
  [1112] = 968,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 1073,
  [1121] = 983,
  [1122] = 981,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 1126,
  [1127] = 973,
  [1128] = 974,
  [1129] = 977,
  [1130] = 980,
  [1131] = 985,
  [1132] = 982,
  [1133] = 987,
  [1134] = 617,
  [1135] = 1078,
  [1136] = 1126,
  [1137] = 626,
  [1138] = 1035,
  [1139] = 628,
  [1140] = 629,
  [1141] = 997,
  [1142] = 631,
  [1143] = 639,
  [1144] = 646,
  [1145] = 1034,
  [1146] = 1023,
  [1147] = 1009,
  [1148] = 634,
  [1149] = 1117,
  [1150] = 1118,
  [1151] = 1123,
  [1152] = 1043,
  [1153] = 1027,
  [1154] = 1072,
  [1155] = 1079,
  [1156] = 1092,
  [1157] = 1093,
  [1158] = 1106,
  [1159] = 1113,
  [1160] = 1124,
  [1161] = 1037,
  [1162] = 1038,
  [1163] = 1039,
  [1164] = 1040,
  [1165] = 1041,
  [1166] = 1042,
  [1167] = 1074,
  [1168] = 1077,
  [1169] = 1078,
  [1170] = 1089,
  [1171] = 1091,
  [1172] = 1035,
  [1173] = 638,
  [1174] = 1034,
  [1175] = 1023,
  [1176] = 1009,
  [1177] = 1117,
  [1178] = 1118,
  [1179] = 1123,
  [1180] = 997,
  [1181] = 1043,
  [1182] = 1072,
  [1183] = 1079,
  [1184] = 1092,
  [1185] = 1093,
  [1186] = 1106,
  [1187] = 612,
  [1188] = 1113,
  [1189] = 1124,
  [1190] = 1037,
  [1191] = 1038,
  [1192] = 1039,
  [1193] = 1040,
  [1194] = 1041,
  [1195] = 1042,
  [1196] = 1074,
  [1197] = 1077,
  [1198] = 644,
  [1199] = 1125,
  [1200] = 645,
  [1201] = 1089,
  [1202] = 1091,
  [1203] = 1119,
  [1204] = 627,
  [1205] = 1052,
  [1206] = 644,
  [1207] = 637,
  [1208] = 645,
  [1209] = 647,
  [1210] = 642,
  [1211] = 643,
  [1212] = 997,
  [1213] = 638,
  [1214] = 1119,
  [1215] = 642,
  [1216] = 1073,
  [1217] = 983,
  [1218] = 981,
  [1219] = 1073,
  [1220] = 1027,
  [1221] = 1125,
  [1222] = 1126,
  [1223] = 973,
  [1224] = 974,
  [1225] = 977,
  [1226] = 980,
  [1227] = 985,
  [1228] = 982,
  [1229] = 987,
  [1230] = 986,
  [1231] = 639,
  [1232] = 646,
  [1233] = 638,
  [1234] = 1053,
  [1235] = 1054,
  [1236] = 643,
  [1237] = 626,
  [1238] = 997,
  [1239] = 612,
  [1240] = 617,
  [1241] = 1034,
  [1242] = 1023,
  [1243] = 1009,
  [1244] = 1034,
  [1245] = 1027,
  [1246] = 1052,
  [1247] = 1053,
  [1248] = 1054,
  [1249] = 1023,
  [1250] = 1009,
  [1251] = 627,
  [1252] = 647,
  [1253] = 1027,
  [1254] = 617,
  [1255] = 637,
  [1256] = 1123,
  [1257] = 638,
  [1258] = 1119,
  [1259] = 1126,
  [1260] = 1125,
  [1261] = 636,
  [1262] = 1092,
  [1263] = 1093,
  [1264] = 1106,
  [1265] = 1126,
  [1266] = 627,
  [1267] = 1113,
  [1268] = 1035,
  [1269] = 1072,
  [1270] = 1035,
  [1271] = 638,
  [1272] = 639,
  [1273] = 646,
  [1274] = 1034,
  [1275] = 1023,
  [1276] = 1009,
  [1277] = 1117,
  [1278] = 1118,
  [1279] = 1125,
  [1280] = 1123,
  [1281] = 1124,
  [1282] = 1043,
  [1283] = 1037,
  [1284] = 1072,
  [1285] = 1079,
  [1286] = 1092,
  [1287] = 1093,
  [1288] = 1106,
  [1289] = 1126,
  [1290] = 1113,
  [1291] = 1038,
  [1292] = 1039,
  [1293] = 1040,
  [1294] = 1041,
  [1295] = 1042,
  [1296] = 1089,
  [1297] = 1074,
  [1298] = 1077,
  [1299] = 1124,
  [1300] = 1037,
  [1301] = 1038,
  [1302] = 1039,
  [1303] = 1040,
  [1304] = 1041,
  [1305] = 1042,
  [1306] = 1092,
  [1307] = 1074,
  [1308] = 1077,
  [1309] = 1078,
  [1310] = 1093,
  [1311] = 627,
  [1312] = 1106,
  [1313] = 1089,
  [1314] = 1091,
  [1315] = 1043,
  [1316] = 1113,
  [1317] = 1078,
  [1318] = 1124,
  [1319] = 1037,
  [1320] = 1038,
  [1321] = 1091,
  [1322] = 1039,
  [1323] = 1040,
  [1324] = 644,
  [1325] = 1041,
  [1326] = 1042,
  [1327] = 1089,
  [1328] = 644,
  [1329] = 637,
  [1330] = 645,
  [1331] = 627,
  [1332] = 647,
  [1333] = 1074,
  [1334] = 1077,
  [1335] = 642,
  [1336] = 643,
  [1337] = 1078,
  [1338] = 1077,
  [1339] = 639,
  [1340] = 1091,
  [1341] = 644,
  [1342] = 1119,
  [1343] = 645,
  [1344] = 647,
  [1345] = 642,
  [1346] = 643,
  [1347] = 997,
  [1348] = 639,
  [1349] = 646,
  [1350] = 638,
  [1351] = 1027,
  [1352] = 628,
  [1353] = 629,
  [1354] = 631,
  [1355] = 646,
  [1356] = 637,
  [1357] = 638,
  [1358] = 634,
  [1359] = 638,
  [1360] = 1119,
  [1361] = 1117,
  [1362] = 1118,
  [1363] = 645,
  [1364] = 647,
  [1365] = 1035,
  [1366] = 1089,
  [1367] = 1035,
  [1368] = 1368,
  [1369] = 628,
  [1370] = 629,
  [1371] = 1371,
  [1372] = 631,
  [1373] = 1091,
  [1374] = 642,
  [1375] = 639,
  [1376] = 646,
  [1377] = 638,
  [1378] = 628,
  [1379] = 643,
  [1380] = 1079,
  [1381] = 629,
  [1382] = 634,
  [1383] = 1117,
  [1384] = 1118,
  [1385] = 631,
  [1386] = 1123,
  [1387] = 1123,
  [1388] = 1119,
  [1389] = 1043,
  [1390] = 1078,
  [1391] = 1072,
  [1392] = 1079,
  [1393] = 636,
  [1394] = 1092,
  [1395] = 1093,
  [1396] = 1106,
  [1397] = 1125,
  [1398] = 1113,
  [1399] = 1114,
  [1400] = 1115,
  [1401] = 1116,
  [1402] = 1126,
  [1403] = 1043,
  [1404] = 634,
  [1405] = 1117,
  [1406] = 1118,
  [1407] = 1072,
  [1408] = 1079,
  [1409] = 1074,
  [1410] = 1124,
  [1411] = 1037,
  [1412] = 1038,
  [1413] = 1039,
  [1414] = 1040,
  [1415] = 1041,
  [1416] = 1042,
  [1417] = 1125,
  [1418] = 637,
  [1419] = 1053,
  [1420] = 636,
  [1421] = 1093,
  [1422] = 1106,
  [1423] = 636,
  [1424] = 1113,
  [1425] = 627,
  [1426] = 644,
  [1427] = 637,
  [1428] = 645,
  [1429] = 647,
  [1430] = 1052,
  [1431] = 642,
  [1432] = 643,
  [1433] = 1052,
  [1434] = 1053,
  [1435] = 1054,
  [1436] = 1054,
  [1437] = 1119,
  [1438] = 1053,
  [1439] = 1092,
  [1440] = 1117,
  [1441] = 1118,
  [1442] = 1035,
  [1443] = 1123,
  [1444] = 1125,
  [1445] = 638,
  [1446] = 1126,
  [1447] = 1043,
  [1448] = 1124,
  [1449] = 1037,
  [1450] = 1038,
  [1451] = 1039,
  [1452] = 1040,
  [1453] = 1041,
  [1454] = 1042,
  [1455] = 639,
  [1456] = 1074,
  [1457] = 1077,
  [1458] = 1078,
  [1459] = 646,
  [1460] = 1072,
  [1461] = 1079,
  [1462] = 1089,
  [1463] = 1091,
  [1464] = 1052,
  [1465] = 1054,
  [1466] = 634,
  [1467] = 627,
  [1468] = 644,
  [1469] = 637,
  [1470] = 645,
  [1471] = 647,
  [1472] = 642,
  [1473] = 643,
  [1474] = 639,
  [1475] = 646,
  [1476] = 638,
  [1477] = 638,
  [1478] = 638,
  [1479] = 638,
  [1480] = 631,
  [1481] = 628,
  [1482] = 629,
  [1483] = 1371,
  [1484] = 1368,
  [1485] = 1485,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 1488,
  [1489] = 1489,
  [1490] = 1490,
  [1491] = 1491,
  [1492] = 1492,
  [1493] = 1493,
  [1494] = 1494,
  [1495] = 1487,
  [1496] = 1489,
  [1497] = 1493,
  [1498] = 1492,
  [1499] = 1499,
  [1500] = 1488,
  [1501] = 1490,
  [1502] = 1491,
  [1503] = 1499,
  [1504] = 1494,
  [1505] = 1487,
  [1506] = 1489,
  [1507] = 1493,
  [1508] = 1490,
  [1509] = 1499,
  [1510] = 1488,
  [1511] = 1490,
  [1512] = 1491,
  [1513] = 1492,
  [1514] = 1494,
  [1515] = 1491,
  [1516] = 1489,
  [1517] = 1493,
  [1518] = 1494,
  [1519] = 1499,
  [1520] = 1488,
  [1521] = 1487,
  [1522] = 1492,
  [1523] = 1523,
  [1524] = 1523,
  [1525] = 1525,
  [1526] = 1523,
  [1527] = 1527,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1531,
  [1532] = 1528,
  [1533] = 1533,
  [1534] = 1529,
  [1535] = 1531,
  [1536] = 1530,
  [1537] = 1531,
  [1538] = 1530,
  [1539] = 1528,
  [1540] = 1530,
  [1541] = 1533,
  [1542] = 1529,
  [1543] = 1529,
  [1544] = 1533,
  [1545] = 1528,
  [1546] = 1531,
  [1547] = 1533,
  [1548] = 1548,
  [1549] = 1549,
  [1550] = 1550,
  [1551] = 1549,
  [1552] = 1549,
  [1553] = 1550,
  [1554] = 1554,
  [1555] = 1555,
  [1556] = 1550,
  [1557] = 1550,
  [1558] = 1549,
  [1559] = 1555,
  [1560] = 1554,
  [1561] = 1555,
  [1562] = 1554,
  [1563] = 1554,
  [1564] = 1554,
  [1565] = 1555,
  [1566] = 1555,
  [1567] = 1555,
  [1568] = 1554,
  [1569] = 1569,
  [1570] = 1368,
  [1571] = 1555,
  [1572] = 1555,
  [1573] = 1573,
  [1574] = 634,
  [1575] = 1554,
  [1576] = 629,
  [1577] = 1371,
  [1578] = 628,
  [1579] = 1554,
  [1580] = 631,
  [1581] = 646,
  [1582] = 639,
  [1583] = 638,
  [1584] = 1584,
  [1585] = 1585,
  [1586] = 1586,
  [1587] = 1587,
  [1588] = 1588,
  [1589] = 1589,
  [1590] = 628,
  [1591] = 1589,
  [1592] = 1592,
  [1593] = 631,
  [1594] = 1368,
  [1595] = 1371,
  [1596] = 628,
  [1597] = 629,
  [1598] = 629,
  [1599] = 631,
  [1600] = 634,
  [1601] = 1368,
  [1602] = 1371,
  [1603] = 628,
  [1604] = 1604,
  [1605] = 1586,
  [1606] = 631,
  [1607] = 638,
  [1608] = 639,
  [1609] = 646,
  [1610] = 1610,
  [1611] = 1585,
  [1612] = 1589,
  [1613] = 629,
  [1614] = 1589,
  [1615] = 1589,
  [1616] = 1589,
  [1617] = 1589,
  [1618] = 1589,
  [1619] = 1589,
  [1620] = 1589,
  [1621] = 634,
  [1622] = 634,
  [1623] = 1371,
  [1624] = 1368,
  [1625] = 1588,
  [1626] = 1626,
  [1627] = 1604,
  [1628] = 1628,
  [1629] = 1628,
  [1630] = 1630,
  [1631] = 1628,
  [1632] = 1632,
  [1633] = 1633,
  [1634] = 1632,
  [1635] = 1628,
  [1636] = 1633,
  [1637] = 1628,
  [1638] = 1628,
  [1639] = 1610,
  [1640] = 1592,
  [1641] = 1587,
  [1642] = 1626,
  [1643] = 1628,
  [1644] = 1584,
  [1645] = 1628,
  [1646] = 1633,
  [1647] = 1647,
  [1648] = 1648,
  [1649] = 1649,
  [1650] = 1650,
  [1651] = 1649,
  [1652] = 1650,
  [1653] = 1653,
  [1654] = 1653,
  [1655] = 1655,
  [1656] = 1655,
  [1657] = 1657,
  [1658] = 1658,
  [1659] = 1659,
  [1660] = 1660,
  [1661] = 1661,
  [1662] = 1662,
  [1663] = 1655,
  [1664] = 1664,
  [1665] = 1665,
  [1666] = 1666,
  [1667] = 1655,
  [1668] = 1655,
  [1669] = 1655,
  [1670] = 1655,
  [1671] = 1655,
  [1672] = 1672,
  [1673] = 1673,
  [1674] = 1672,
  [1675] = 1675,
  [1676] = 1676,
  [1677] = 1677,
  [1678] = 1672,
  [1679] = 1675,
  [1680] = 1676,
  [1681] = 1676,
  [1682] = 1677,
  [1683] = 1675,
  [1684] = 1672,
  [1685] = 1675,
  [1686] = 1676,
  [1687] = 1677,
  [1688] = 1676,
  [1689] = 1672,
  [1690] = 1675,
  [1691] = 1676,
  [1692] = 1677,
  [1693] = 1677,
  [1694] = 1694,
  [1695] = 1672,
  [1696] = 1675,
  [1697] = 1676,
  [1698] = 1677,
  [1699] = 1672,
  [1700] = 1675,
  [1701] = 1676,
  [1702] = 1677,
  [1703] = 1672,
  [1704] = 1675,
  [1705] = 1673,
  [1706] = 1706,
  [1707] = 1673,
  [1708] = 1677,
  [1709] = 1673,
  [1710] = 1672,
  [1711] = 1673,
  [1712] = 1673,
  [1713] = 1673,
  [1714] = 1673,
  [1715] = 1675,
  [1716] = 1716,
  [1717] = 1666,
  [1718] = 1657,
  [1719] = 1658,
  [1720] = 1660,
  [1721] = 1661,
  [1722] = 1660,
  [1723] = 1666,
  [1724] = 1724,
  [1725] = 1665,
  [1726] = 1662,
  [1727] = 1657,
  [1728] = 1661,
  [1729] = 1664,
  [1730] = 1658,
  [1731] = 1659,
  [1732] = 1732,
  [1733] = 1664,
  [1734] = 1662,
  [1735] = 1659,
  [1736] = 1665,
  [1737] = 1737,
  [1738] = 1724,
  [1739] = 1661,
  [1740] = 1661,
  [1741] = 1665,
  [1742] = 1657,
  [1743] = 1658,
  [1744] = 1659,
  [1745] = 1664,
  [1746] = 1746,
  [1747] = 1747,
  [1748] = 1748,
  [1749] = 1660,
  [1750] = 1662,
  [1751] = 1666,
  [1752] = 1665,
  [1753] = 1657,
  [1754] = 1658,
  [1755] = 1664,
  [1756] = 1664,
  [1757] = 1757,
  [1758] = 1660,
  [1759] = 1662,
  [1760] = 1661,
  [1761] = 1724,
  [1762] = 1762,
  [1763] = 1665,
  [1764] = 1657,
  [1765] = 1658,
  [1766] = 1659,
  [1767] = 1666,
  [1768] = 1724,
  [1769] = 1769,
  [1770] = 1770,
  [1771] = 1666,
  [1772] = 1660,
  [1773] = 1662,
  [1774] = 1659,
  [1775] = 1775,
  [1776] = 1776,
  [1777] = 1662,
  [1778] = 1778,
  [1779] = 1664,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1782,
  [1783] = 1783,
  [1784] = 1784,
  [1785] = 1664,
  [1786] = 1748,
  [1787] = 1660,
  [1788] = 1788,
  [1789] = 1789,
  [1790] = 1784,
  [1791] = 1791,
  [1792] = 1792,
  [1793] = 1666,
  [1794] = 1794,
  [1795] = 1784,
  [1796] = 1791,
  [1797] = 1784,
  [1798] = 1661,
  [1799] = 1788,
  [1800] = 1784,
  [1801] = 1801,
  [1802] = 1783,
  [1803] = 1784,
  [1804] = 1801,
  [1805] = 1762,
  [1806] = 1666,
  [1807] = 1657,
  [1808] = 1658,
  [1809] = 1659,
  [1810] = 1784,
  [1811] = 1748,
  [1812] = 1812,
  [1813] = 1662,
  [1814] = 1784,
  [1815] = 1815,
  [1816] = 1661,
  [1817] = 1784,
  [1818] = 1818,
  [1819] = 1819,
  [1820] = 1784,
  [1821] = 1665,
  [1822] = 1776,
  [1823] = 1657,
  [1824] = 1783,
  [1825] = 1658,
  [1826] = 1659,
  [1827] = 1794,
  [1828] = 1828,
  [1829] = 1732,
  [1830] = 1801,
  [1831] = 1794,
  [1832] = 1660,
  [1833] = 1748,
  [1834] = 1665,
  [1835] = 1835,
  [1836] = 1836,
  [1837] = 1732,
  [1838] = 1757,
  [1839] = 1835,
  [1840] = 1757,
  [1841] = 1770,
  [1842] = 1818,
  [1843] = 1843,
  [1844] = 1844,
  [1845] = 1836,
  [1846] = 1846,
  [1847] = 1818,
  [1848] = 1732,
  [1849] = 1770,
  [1850] = 1850,
  [1851] = 1843,
  [1852] = 1852,
  [1853] = 1853,
  [1854] = 1747,
  [1855] = 1836,
  [1856] = 1856,
  [1857] = 1857,
  [1858] = 1818,
  [1859] = 1836,
  [1860] = 1860,
  [1861] = 1861,
  [1862] = 1836,
  [1863] = 1857,
  [1864] = 1770,
  [1865] = 1843,
  [1866] = 1836,
  [1867] = 1867,
  [1868] = 1856,
  [1869] = 1869,
  [1870] = 1747,
  [1871] = 1757,
  [1872] = 1861,
  [1873] = 1873,
  [1874] = 1861,
  [1875] = 1867,
  [1876] = 1747,
  [1877] = 1877,
  [1878] = 1836,
  [1879] = 1879,
  [1880] = 1852,
  [1881] = 1881,
  [1882] = 1852,
  [1883] = 1867,
  [1884] = 1836,
  [1885] = 1885,
  [1886] = 1886,
  [1887] = 1887,
  [1888] = 1888,
  [1889] = 1889,
  [1890] = 1890,
  [1891] = 1887,
  [1892] = 1892,
  [1893] = 1893,
  [1894] = 1894,
  [1895] = 1819,
  [1896] = 1896,
  [1897] = 1892,
  [1898] = 1757,
  [1899] = 1899,
  [1900] = 1900,
  [1901] = 1900,
  [1902] = 1902,
  [1903] = 1846,
  [1904] = 1904,
  [1905] = 1905,
  [1906] = 1747,
  [1907] = 1769,
  [1908] = 1908,
  [1909] = 1909,
  [1910] = 1910,
  [1911] = 1762,
  [1912] = 1912,
  [1913] = 1913,
  [1914] = 1914,
  [1915] = 1915,
  [1916] = 1916,
  [1917] = 1917,
  [1918] = 1889,
  [1919] = 1919,
  [1920] = 1869,
  [1921] = 1921,
  [1922] = 1904,
  [1923] = 1819,
  [1924] = 1924,
  [1925] = 1890,
  [1926] = 1926,
  [1927] = 1927,
  [1928] = 1928,
  [1929] = 1769,
  [1930] = 1930,
  [1931] = 1931,
  [1932] = 1896,
  [1933] = 1584,
  [1934] = 1934,
  [1935] = 1935,
  [1936] = 1902,
  [1937] = 1846,
  [1938] = 1938,
  [1939] = 1869,
  [1940] = 1940,
  [1941] = 1941,
  [1942] = 1942,
  [1943] = 1943,
  [1944] = 1902,
  [1945] = 1894,
  [1946] = 1770,
  [1947] = 1947,
  [1948] = 1948,
  [1949] = 1762,
  [1950] = 1950,
  [1951] = 1587,
  [1952] = 1952,
  [1953] = 1846,
  [1954] = 1954,
  [1955] = 1887,
  [1956] = 1762,
  [1957] = 1957,
  [1958] = 1904,
  [1959] = 1959,
  [1960] = 1960,
  [1961] = 1928,
  [1962] = 1900,
  [1963] = 1888,
  [1964] = 1928,
  [1965] = 1769,
  [1966] = 1896,
  [1967] = 1947,
  [1968] = 1869,
  [1969] = 1905,
  [1970] = 1970,
  [1971] = 1952,
  [1972] = 1957,
  [1973] = 1905,
  [1974] = 1960,
  [1975] = 1975,
  [1976] = 1976,
  [1977] = 1935,
  [1978] = 1792,
  [1979] = 1979,
  [1980] = 1935,
  [1981] = 1981,
  [1982] = 1919,
  [1983] = 1819,
  [1984] = 1948,
  [1985] = 1904,
  [1986] = 1899,
  [1987] = 1930,
  [1988] = 1899,
  [1989] = 1888,
  [1990] = 1950,
  [1991] = 1950,
  [1992] = 1992,
  [1993] = 1913,
  [1994] = 1994,
  [1995] = 1960,
  [1996] = 1996,
  [1997] = 1997,
  [1998] = 1998,
  [1999] = 1999,
  [2000] = 2000,
  [2001] = 2001,
  [2002] = 2002,
  [2003] = 2003,
  [2004] = 1893,
  [2005] = 2005,
  [2006] = 2006,
  [2007] = 2007,
  [2008] = 2008,
  [2009] = 1997,
  [2010] = 2010,
  [2011] = 1992,
  [2012] = 2012,
  [2013] = 1992,
  [2014] = 2014,
  [2015] = 1917,
  [2016] = 1894,
  [2017] = 1889,
  [2018] = 1890,
  [2019] = 2019,
  [2020] = 2020,
  [2021] = 2021,
  [2022] = 1942,
  [2023] = 2023,
  [2024] = 1943,
  [2025] = 2025,
  [2026] = 2026,
  [2027] = 2027,
  [2028] = 2028,
  [2029] = 2029,
  [2030] = 2030,
  [2031] = 1604,
  [2032] = 1889,
  [2033] = 1890,
  [2034] = 2034,
  [2035] = 2035,
  [2036] = 2036,
  [2037] = 2037,
  [2038] = 2038,
  [2039] = 2039,
  [2040] = 2040,
  [2041] = 1626,
  [2042] = 2042,
  [2043] = 2043,
  [2044] = 2044,
  [2045] = 2045,
  [2046] = 1610,
  [2047] = 1819,
  [2048] = 2020,
  [2049] = 1992,
  [2050] = 2050,
  [2051] = 2051,
  [2052] = 1592,
  [2053] = 1981,
  [2054] = 2054,
  [2055] = 2055,
  [2056] = 2056,
  [2057] = 2057,
  [2058] = 2058,
  [2059] = 1952,
  [2060] = 1957,
  [2061] = 1960,
  [2062] = 2035,
  [2063] = 1992,
  [2064] = 1852,
  [2065] = 2065,
  [2066] = 2035,
  [2067] = 1908,
  [2068] = 1913,
  [2069] = 1950,
  [2070] = 1992,
  [2071] = 2054,
  [2072] = 1959,
  [2073] = 1893,
  [2074] = 1942,
  [2075] = 1943,
  [2076] = 1992,
  [2077] = 2077,
  [2078] = 1952,
  [2079] = 2079,
  [2080] = 1908,
  [2081] = 1913,
  [2082] = 1896,
  [2083] = 2083,
  [2084] = 1992,
  [2085] = 1957,
  [2086] = 1959,
  [2087] = 1888,
  [2088] = 2088,
  [2089] = 1959,
  [2090] = 1996,
  [2091] = 2091,
  [2092] = 1886,
  [2093] = 1998,
  [2094] = 2091,
  [2095] = 2014,
  [2096] = 2019,
  [2097] = 1908,
  [2098] = 1893,
  [2099] = 2000,
  [2100] = 2088,
  [2101] = 2079,
  [2102] = 1942,
  [2103] = 1943,
  [2104] = 2020,
  [2105] = 1998,
  [2106] = 1996,
  [2107] = 1894,
  [2108] = 2108,
  [2109] = 2035,
  [2110] = 2021,
  [2111] = 2111,
  [2112] = 2039,
  [2113] = 2113,
  [2114] = 2114,
  [2115] = 2040,
  [2116] = 2042,
  [2117] = 2117,
  [2118] = 2118,
  [2119] = 2119,
  [2120] = 2003,
  [2121] = 2043,
  [2122] = 2122,
  [2123] = 2123,
  [2124] = 2045,
  [2125] = 2125,
  [2126] = 2008,
  [2127] = 2108,
  [2128] = 2128,
  [2129] = 2051,
  [2130] = 2130,
  [2131] = 2002,
  [2132] = 2055,
  [2133] = 2057,
  [2134] = 2134,
  [2135] = 2135,
  [2136] = 2136,
  [2137] = 2002,
  [2138] = 2003,
  [2139] = 2006,
  [2140] = 2005,
  [2141] = 2007,
  [2142] = 2008,
  [2143] = 2010,
  [2144] = 2010,
  [2145] = 2021,
  [2146] = 2123,
  [2147] = 2021,
  [2148] = 2023,
  [2149] = 2149,
  [2150] = 2150,
  [2151] = 2025,
  [2152] = 2026,
  [2153] = 2027,
  [2154] = 2028,
  [2155] = 2029,
  [2156] = 2030,
  [2157] = 2038,
  [2158] = 2039,
  [2159] = 2040,
  [2160] = 2042,
  [2161] = 2043,
  [2162] = 2045,
  [2163] = 2023,
  [2164] = 2164,
  [2165] = 2025,
  [2166] = 2026,
  [2167] = 2077,
  [2168] = 2027,
  [2169] = 2028,
  [2170] = 2051,
  [2171] = 2054,
  [2172] = 2055,
  [2173] = 2051,
  [2174] = 2054,
  [2175] = 2055,
  [2176] = 2057,
  [2177] = 2057,
  [2178] = 2178,
  [2179] = 2179,
  [2180] = 2029,
  [2181] = 2030,
  [2182] = 2182,
  [2183] = 2118,
  [2184] = 2119,
  [2185] = 2185,
  [2186] = 2186,
  [2187] = 2187,
  [2188] = 2118,
  [2189] = 2189,
  [2190] = 2190,
  [2191] = 2118,
  [2192] = 2123,
  [2193] = 2050,
  [2194] = 2056,
  [2195] = 2119,
  [2196] = 2002,
  [2197] = 2197,
  [2198] = 2119,
  [2199] = 2003,
  [2200] = 2006,
  [2201] = 2007,
  [2202] = 2202,
  [2203] = 2182,
  [2204] = 2008,
  [2205] = 2205,
  [2206] = 2206,
  [2207] = 2010,
  [2208] = 2208,
  [2209] = 2006,
  [2210] = 2007,
  [2211] = 2125,
  [2212] = 2212,
  [2213] = 2213,
  [2214] = 2214,
  [2215] = 2023,
  [2216] = 2025,
  [2217] = 2217,
  [2218] = 2218,
  [2219] = 2026,
  [2220] = 2027,
  [2221] = 2028,
  [2222] = 2029,
  [2223] = 2164,
  [2224] = 2030,
  [2225] = 2225,
  [2226] = 2038,
  [2227] = 2039,
  [2228] = 2040,
  [2229] = 2042,
  [2230] = 2043,
  [2231] = 2045,
  [2232] = 2232,
  [2233] = 2117,
  [2234] = 2234,
  [2235] = 2038,
  [2236] = 2234,
  [2237] = 2123,
  [2238] = 2238,
  [2239] = 1886,
  [2240] = 2240,
  [2241] = 2241,
  [2242] = 2242,
  [2243] = 2243,
  [2244] = 2244,
  [2245] = 2245,
  [2246] = 2246,
  [2247] = 2244,
  [2248] = 2246,
  [2249] = 2249,
  [2250] = 2250,
  [2251] = 2251,
  [2252] = 2250,
  [2253] = 2251,
  [2254] = 2254,
  [2255] = 2255,
  [2256] = 2256,
  [2257] = 2202,
  [2258] = 2258,
  [2259] = 649,
  [2260] = 2260,
  [2261] = 2238,
  [2262] = 2262,
  [2263] = 2263,
  [2264] = 2242,
  [2265] = 1926,
  [2266] = 2266,
  [2267] = 2267,
  [2268] = 2268,
  [2269] = 2269,
  [2270] = 2270,
  [2271] = 2245,
  [2272] = 2272,
  [2273] = 2273,
  [2274] = 2274,
  [2275] = 2275,
  [2276] = 2255,
  [2277] = 2277,
  [2278] = 1934,
  [2279] = 2267,
  [2280] = 654,
  [2281] = 1975,
  [2282] = 2282,
  [2283] = 2250,
  [2284] = 2284,
  [2285] = 1587,
  [2286] = 2286,
  [2287] = 2241,
  [2288] = 1938,
  [2289] = 2267,
  [2290] = 2290,
  [2291] = 2291,
  [2292] = 2292,
  [2293] = 2293,
  [2294] = 2260,
  [2295] = 2128,
  [2296] = 2190,
  [2297] = 2251,
  [2298] = 2242,
  [2299] = 2260,
  [2300] = 997,
  [2301] = 2282,
  [2302] = 2187,
  [2303] = 2242,
  [2304] = 2304,
  [2305] = 2267,
  [2306] = 2306,
  [2307] = 2267,
  [2308] = 2268,
  [2309] = 2284,
  [2310] = 2268,
  [2311] = 2254,
  [2312] = 1604,
  [2313] = 2245,
  [2314] = 2314,
  [2315] = 2315,
  [2316] = 2273,
  [2317] = 2274,
  [2318] = 1917,
  [2319] = 2245,
  [2320] = 2277,
  [2321] = 2292,
  [2322] = 2286,
  [2323] = 2273,
  [2324] = 2282,
  [2325] = 2274,
  [2326] = 2284,
  [2327] = 2241,
  [2328] = 2286,
  [2329] = 2241,
  [2330] = 2277,
  [2331] = 2331,
  [2332] = 2332,
  [2333] = 1917,
  [2334] = 2268,
  [2335] = 2282,
  [2336] = 2273,
  [2337] = 2337,
  [2338] = 2284,
  [2339] = 2339,
  [2340] = 2340,
  [2341] = 2260,
  [2342] = 2286,
  [2343] = 2241,
  [2344] = 2242,
  [2345] = 2345,
  [2346] = 1584,
  [2347] = 2267,
  [2348] = 2254,
  [2349] = 2202,
  [2350] = 2268,
  [2351] = 2304,
  [2352] = 2245,
  [2353] = 2242,
  [2354] = 2273,
  [2355] = 2274,
  [2356] = 2149,
  [2357] = 2345,
  [2358] = 2277,
  [2359] = 2359,
  [2360] = 2360,
  [2361] = 2282,
  [2362] = 2284,
  [2363] = 2363,
  [2364] = 2286,
  [2365] = 2241,
  [2366] = 2366,
  [2367] = 2187,
  [2368] = 2368,
  [2369] = 2369,
  [2370] = 2274,
  [2371] = 655,
  [2372] = 2360,
  [2373] = 1587,
  [2374] = 2260,
  [2375] = 2214,
  [2376] = 2260,
  [2377] = 2242,
  [2378] = 2345,
  [2379] = 2314,
  [2380] = 2267,
  [2381] = 2315,
  [2382] = 2340,
  [2383] = 2284,
  [2384] = 2360,
  [2385] = 2385,
  [2386] = 2245,
  [2387] = 2387,
  [2388] = 2273,
  [2389] = 2274,
  [2390] = 2390,
  [2391] = 2277,
  [2392] = 2368,
  [2393] = 2243,
  [2394] = 2282,
  [2395] = 2284,
  [2396] = 2396,
  [2397] = 2286,
  [2398] = 2241,
  [2399] = 2399,
  [2400] = 2400,
  [2401] = 2387,
  [2402] = 2244,
  [2403] = 2403,
  [2404] = 2246,
  [2405] = 1027,
  [2406] = 2250,
  [2407] = 2407,
  [2408] = 2277,
  [2409] = 2286,
  [2410] = 2241,
  [2411] = 2114,
  [2412] = 1924,
  [2413] = 2251,
  [2414] = 2277,
  [2415] = 2286,
  [2416] = 2241,
  [2417] = 2135,
  [2418] = 2244,
  [2419] = 2150,
  [2420] = 2420,
  [2421] = 2245,
  [2422] = 2255,
  [2423] = 2423,
  [2424] = 1587,
  [2425] = 1886,
  [2426] = 2426,
  [2427] = 2266,
  [2428] = 2266,
  [2429] = 2272,
  [2430] = 2270,
  [2431] = 2268,
  [2432] = 2202,
  [2433] = 2403,
  [2434] = 2314,
  [2435] = 2315,
  [2436] = 2260,
  [2437] = 2437,
  [2438] = 2438,
  [2439] = 2255,
  [2440] = 2440,
  [2441] = 2262,
  [2442] = 2293,
  [2443] = 2242,
  [2444] = 2238,
  [2445] = 2187,
  [2446] = 2214,
  [2447] = 2273,
  [2448] = 2274,
  [2449] = 2437,
  [2450] = 2270,
  [2451] = 2403,
  [2452] = 2260,
  [2453] = 2453,
  [2454] = 2267,
  [2455] = 2277,
  [2456] = 2366,
  [2457] = 2457,
  [2458] = 2458,
  [2459] = 2243,
  [2460] = 2268,
  [2461] = 2277,
  [2462] = 2245,
  [2463] = 2286,
  [2464] = 2291,
  [2465] = 2273,
  [2466] = 2274,
  [2467] = 2243,
  [2468] = 2275,
  [2469] = 2277,
  [2470] = 2470,
  [2471] = 2331,
  [2472] = 2282,
  [2473] = 2284,
  [2474] = 2286,
  [2475] = 2241,
  [2476] = 652,
  [2477] = 1886,
  [2478] = 1917,
  [2479] = 2282,
  [2480] = 2360,
  [2481] = 2390,
  [2482] = 2457,
  [2483] = 2399,
  [2484] = 2440,
  [2485] = 2485,
  [2486] = 2258,
  [2487] = 2458,
  [2488] = 653,
  [2489] = 2489,
  [2490] = 1940,
  [2491] = 1976,
  [2492] = 1885,
  [2493] = 2290,
  [2494] = 2470,
  [2495] = 2485,
  [2496] = 2246,
  [2497] = 2332,
  [2498] = 2268,
  [2499] = 2499,
  [2500] = 2500,
  [2501] = 2501,
  [2502] = 2001,
  [2503] = 2503,
  [2504] = 2501,
  [2505] = 2505,
  [2506] = 2506,
  [2507] = 2507,
  [2508] = 2508,
  [2509] = 2509,
  [2510] = 2501,
  [2511] = 2511,
  [2512] = 2512,
  [2513] = 2513,
  [2514] = 1610,
  [2515] = 1626,
  [2516] = 2516,
  [2517] = 2517,
  [2518] = 2518,
  [2519] = 2519,
  [2520] = 2520,
  [2521] = 2521,
  [2522] = 2522,
  [2523] = 2523,
  [2524] = 2524,
  [2525] = 652,
  [2526] = 2526,
  [2527] = 2527,
  [2528] = 1610,
  [2529] = 2529,
  [2530] = 2530,
  [2531] = 2531,
  [2532] = 2532,
  [2533] = 2529,
  [2534] = 2534,
  [2535] = 2535,
  [2536] = 2536,
  [2537] = 2537,
  [2538] = 2538,
  [2539] = 2539,
  [2540] = 2540,
  [2541] = 2541,
  [2542] = 2505,
  [2543] = 2543,
  [2544] = 2522,
  [2545] = 2545,
  [2546] = 2501,
  [2547] = 2538,
  [2548] = 1604,
  [2549] = 2549,
  [2550] = 2539,
  [2551] = 2499,
  [2552] = 2339,
  [2553] = 2553,
  [2554] = 2554,
  [2555] = 2001,
  [2556] = 2505,
  [2557] = 2506,
  [2558] = 2509,
  [2559] = 2506,
  [2560] = 2509,
  [2561] = 2561,
  [2562] = 653,
  [2563] = 2536,
  [2564] = 2561,
  [2565] = 2565,
  [2566] = 2538,
  [2567] = 2520,
  [2568] = 2539,
  [2569] = 2569,
  [2570] = 1592,
  [2571] = 2571,
  [2572] = 649,
  [2573] = 1592,
  [2574] = 654,
  [2575] = 2575,
  [2576] = 2576,
  [2577] = 2537,
  [2578] = 2578,
  [2579] = 2579,
  [2580] = 2489,
  [2581] = 2581,
  [2582] = 2582,
  [2583] = 2554,
  [2584] = 2584,
  [2585] = 2585,
  [2586] = 2586,
  [2587] = 2538,
  [2588] = 2522,
  [2589] = 2589,
  [2590] = 2539,
  [2591] = 2512,
  [2592] = 1626,
  [2593] = 2549,
  [2594] = 2565,
  [2595] = 2595,
  [2596] = 2001,
  [2597] = 2522,
  [2598] = 655,
  [2599] = 2306,
  [2600] = 2600,
  [2601] = 2601,
  [2602] = 2602,
  [2603] = 2603,
  [2604] = 2604,
  [2605] = 2605,
  [2606] = 2602,
  [2607] = 2607,
  [2608] = 2608,
  [2609] = 2609,
  [2610] = 2610,
  [2611] = 2611,
  [2612] = 2612,
  [2613] = 2601,
  [2614] = 2614,
  [2615] = 2615,
  [2616] = 2616,
  [2617] = 2617,
  [2618] = 2607,
  [2619] = 2619,
  [2620] = 2620,
  [2621] = 2619,
  [2622] = 2622,
  [2623] = 2602,
  [2624] = 2624,
  [2625] = 2602,
  [2626] = 2626,
  [2627] = 2614,
  [2628] = 2604,
  [2629] = 2629,
  [2630] = 2624,
  [2631] = 2601,
  [2632] = 2632,
  [2633] = 2622,
  [2634] = 2605,
  [2635] = 2622,
  [2636] = 2636,
  [2637] = 2608,
  [2638] = 2611,
  [2639] = 2609,
  [2640] = 2640,
  [2641] = 2641,
  [2642] = 2624,
  [2643] = 2608,
  [2644] = 2612,
  [2645] = 2624,
  [2646] = 2612,
  [2647] = 2601,
  [2648] = 2626,
  [2649] = 2626,
  [2650] = 2650,
  [2651] = 2651,
  [2652] = 2601,
  [2653] = 2653,
  [2654] = 2604,
  [2655] = 2600,
  [2656] = 2612,
  [2657] = 2657,
  [2658] = 2658,
  [2659] = 2605,
  [2660] = 2614,
  [2661] = 2604,
  [2662] = 2629,
  [2663] = 2615,
  [2664] = 2604,
  [2665] = 2605,
  [2666] = 2605,
  [2667] = 2612,
  [2668] = 2608,
  [2669] = 2607,
  [2670] = 2607,
  [2671] = 2609,
  [2672] = 2672,
  [2673] = 2619,
  [2674] = 2674,
  [2675] = 2608,
  [2676] = 2612,
  [2677] = 2609,
  [2678] = 2619,
  [2679] = 2679,
  [2680] = 2614,
  [2681] = 2615,
  [2682] = 2609,
  [2683] = 2611,
  [2684] = 2636,
  [2685] = 2685,
  [2686] = 2686,
  [2687] = 2615,
  [2688] = 2688,
  [2689] = 2622,
  [2690] = 2607,
  [2691] = 2691,
  [2692] = 2602,
  [2693] = 2693,
  [2694] = 2619,
  [2695] = 2632,
  [2696] = 2658,
  [2697] = 2641,
  [2698] = 2605,
  [2699] = 2699,
  [2700] = 2601,
  [2701] = 2701,
  [2702] = 2605,
  [2703] = 2626,
  [2704] = 2604,
  [2705] = 2705,
  [2706] = 2605,
  [2707] = 2614,
  [2708] = 2708,
  [2709] = 2612,
  [2710] = 2608,
  [2711] = 2609,
  [2712] = 2688,
  [2713] = 2614,
  [2714] = 2616,
  [2715] = 2612,
  [2716] = 2650,
  [2717] = 2609,
  [2718] = 2718,
  [2719] = 2650,
  [2720] = 2686,
  [2721] = 2614,
  [2722] = 2632,
  [2723] = 2615,
  [2724] = 2600,
  [2725] = 2615,
  [2726] = 2614,
  [2727] = 2607,
  [2728] = 2619,
  [2729] = 2686,
  [2730] = 2629,
  [2731] = 2622,
  [2732] = 2732,
  [2733] = 2615,
  [2734] = 2691,
  [2735] = 2735,
  [2736] = 2601,
  [2737] = 2626,
  [2738] = 2738,
  [2739] = 2607,
  [2740] = 2740,
  [2741] = 2619,
  [2742] = 2607,
  [2743] = 2604,
  [2744] = 2619,
  [2745] = 2745,
  [2746] = 2608,
  [2747] = 2747,
  [2748] = 2650,
  [2749] = 2622,
  [2750] = 2609,
  [2751] = 2611,
  [2752] = 2752,
  [2753] = 2753,
  [2754] = 2615,
  [2755] = 2612,
  [2756] = 2629,
  [2757] = 2608,
  [2758] = 2620,
  [2759] = 2653,
  [2760] = 2760,
  [2761] = 2760,
  [2762] = 2762,
  [2763] = 2763,
  [2764] = 2612,
  [2765] = 2640,
  [2766] = 2603,
  [2767] = 2672,
  [2768] = 2762,
  [2769] = 2640,
  [2770] = 2693,
  [2771] = 2611,
  [2772] = 2772,
  [2773] = 2611,
  [2774] = 2774,
  [2775] = 2611,
  [2776] = 2679,
  [2777] = 2611,
  [2778] = 2778,
  [2779] = 2779,
  [2780] = 2640,
  [2781] = 2650,
  [2782] = 2601,
  [2783] = 2772,
  [2784] = 2778,
  [2785] = 2785,
  [2786] = 2735,
  [2787] = 2752,
  [2788] = 2674,
  [2789] = 2685,
  [2790] = 2774,
  [2791] = 2674,
  [2792] = 2604,
  [2793] = 2622,
  [2794] = 2622,
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6},
  {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377}, {0x37b, 0x37d},
  {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x48a, 0x52f},
  {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f}, {0x671, 0x6d3},
  {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f}, {0x74d, 0x7a5},
  {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824}, {0x828, 0x828},
  {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d}, {0x950, 0x950},
  {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a}, {0xa0f, 0xa10},
  {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa72, 0xa74},
  {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd}, {0xad0, 0xad0},
  {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39},
  {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95},
  {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0}, {0xc05, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61}, {0xc80, 0xc80},
  {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde}, {0xce0, 0xce1},
  {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56}, {0xd5f, 0xd61},
  {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30}, {0xe32, 0xe32},
  {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0}, {0xeb2, 0xeb2},
  {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c}, {0xf88, 0xf8c},
  {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070}, {0x1075, 0x1081},
  {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd},
  {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731}, {0x1740, 0x1751},
  {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x18a8}, {0x18aa, 0x18aa},
  {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x1a00, 0x1a16}, {0x1a20, 0x1a54},
  {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f},
  {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa},
  {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25},
  {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6},
  {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e},
  {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9},
  {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb},
  {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef},
  {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1},
  {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06},
  {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xd7a3},
  {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28},
  {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d},
  {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf},
  {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d},
  {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d},
  {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563},
  {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
  {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808},
  {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5},
  {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35},
  {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91},
  {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c}, {0x10f27, 0x10f27},
  {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072}, {0x11075, 0x11075}, {0x11083, 0x110af},
  {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176}, {0x11183, 0x111b2}, {0x111c1, 0x111c4},
  {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d},
  {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333},
  {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a}, {0x1145f, 0x11461}, {0x11480, 0x114af},
  {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644}, {0x11680, 0x116aa}, {0x116b8, 0x116b8},
  {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916},
  {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1}, {0x119e3, 0x119e3}, {0x11a00, 0x11a00},
  {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e},
  {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68},
  {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399},
  {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e},
  {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a},
  {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3},
  {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb},
  {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2},
  {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514},
  {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0},
  {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8},
  {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c}, {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e},
  {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4},
  {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32},
  {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f},
  {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62},
  {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b},
  {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0},
  {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xb7, 0xb7}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x300, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481},
  {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd}, {0x5bf, 0x5bf}, {0x5c1, 0x5c2},
  {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669}, {0x66e, 0x6d3}, {0x6d5, 0x6dc},
  {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5}, {0x7fa, 0x7fa}, {0x7fd, 0x7fd},
  {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1}, {0x8e3, 0x963}, {0x966, 0x96f},
  {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bc, 0x9c4},
  {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1}, {0x9fc, 0x9fc}, {0x9fe, 0x9fe},
  {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39},
  {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa66, 0xa75},
  {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabc, 0xac5},
  {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff}, {0xb01, 0xb03}, {0xb05, 0xb0c},
  {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44}, {0xb47, 0xb48}, {0xb4b, 0xb4d},
  {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90},
  {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbbe, 0xbc2},
  {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28},
  {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc63},
  {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbc, 0xcc4},
  {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef}, {0xcf1, 0xcf3}, {0xd00, 0xd0c},
  {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63}, {0xd66, 0xd6f}, {0xd7a, 0xd7f},
  {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xdca, 0xdca}, {0xdcf, 0xdd4},
  {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e}, {0xe50, 0xe59}, {0xe81, 0xe82},
  {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xec8, 0xece},
  {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35}, {0xf37, 0xf37}, {0xf39, 0xf39},
  {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6}, {0x1000, 0x1049}, {0x1050, 0x109d},
  {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258},
  {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5},
  {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371}, {0x1380, 0x138f}, {0x13a0, 0x13f5},
  {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1715}, {0x171f, 0x1734},
  {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dd}, {0x17e0, 0x17e9},
  {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1920, 0x192b}, {0x1930, 0x193b},
  {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b}, {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c},
  {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c}, {0x1b50, 0x1b59}, {0x1b6b, 0x1b73},
  {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2},
  {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040}, {0x2054, 0x2054}, {0x2071, 0x2071},
  {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113},
  {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149},
  {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67},
  {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce},
  {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096},
  {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf},
  {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d}, {0xa67f, 0xa6f1}, {0xa717, 0xa71f},
  {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827}, {0xa82c, 0xa82c}, {0xa840, 0xa873},
  {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953}, {0xa960, 0xa97c}, {0xa980, 0xa9c0},
  {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76}, {0xaa7a, 0xaac2}, {0xaadb, 0xaadd},
  {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a},
  {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d},
  {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41},
  {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f},
  {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a}, {0xff65, 0xffbe}, {0xffc2, 0xffc7},
  {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d},
  {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x102e0, 0x102e0}, {0x10300, 0x1031f},
  {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104a0, 0x104a9},
  {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595},
  {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785},
  {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855},
  {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf},
  {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a}, {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c},
  {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48},
  {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac}, {0x10eb0, 0x10eb1}, {0x10efd, 0x10f1c},
  {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046}, {0x11066, 0x11075}, {0x1107f, 0x110ba},
  {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147}, {0x11150, 0x11173}, {0x11176, 0x11176},
  {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237}, {0x1123e, 0x11241}, {0x11280, 0x11286},
  {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9}, {0x11300, 0x11303}, {0x11305, 0x1130c},
  {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344}, {0x11347, 0x11348}, {0x1134b, 0x1134d},
  {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a}, {0x11450, 0x11459}, {0x1145e, 0x11461},
  {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd}, {0x11600, 0x11640}, {0x11644, 0x11644},
  {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739}, {0x11740, 0x11746}, {0x11800, 0x1183a},
  {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935}, {0x11937, 0x11938}, {0x1193b, 0x11943},
  {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e}, {0x11a47, 0x11a47}, {0x11a50, 0x11a99},
  {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59}, {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7},
  {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d}, {0x11d3f, 0x11d47}, {0x11d50, 0x11d59},
  {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9}, {0x11ee0, 0x11ef6}, {0x11f00, 0x11f10},
  {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0},
  {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69}, {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9},
  {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f},
  {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1}, {0x17000, 0x187f7}, {0x18800, 0x18cd5},
  {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155},
  {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d},
  {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad}, {0x1d242, 0x1d244}, {0x1d400, 0x1d454},
  {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3},
  {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546},
  {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e},
  {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff}, {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c},
  {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e000, 0x1e006}, {0x1e008, 0x1e018},
  {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c}, {0x1e130, 0x1e13d}, {0x1e140, 0x1e149},
  {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe},
  {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24},
  {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49},
  {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d},
  {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e},
  {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739},
  {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(55);
      if (lookahead == '\r') SKIP(51);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(95);
      if (lookahead == '&') ADVANCE(99);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == ')') ADVANCE(60);
      if (lookahead == '*') ADVANCE(63);
      if (lookahead == '+') ADVANCE(91);
      if (lookahead == ',') ADVANCE(61);
      if (lookahead == '-') ADVANCE(85);
      if (lookahead == '.') ADVANCE(58);
      if (lookahead == '/') ADVANCE(92);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(70);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(105);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(113);
      if (lookahead == '@') ADVANCE(82);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(133);
      if (lookahead == ']') ADVANCE(80);
      if (lookahead == '^') ADVANCE(101);
      if (lookahead == 'e') ADVANCE(163);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '|') ADVANCE(87);
      if (lookahead == '}') ADVANCE(89);
      if (lookahead == '~') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(51);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(168);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(130);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(3);
      if (lookahead == '\r') ADVANCE(135);
      if (lookahead == '#') ADVANCE(136);
      if (lookahead == '\\') ADVANCE(134);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '}') ADVANCE(89);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) ADVANCE(135);
      if (lookahead != 0) ADVANCE(136);
      END_STATE();
    case 4:
      if (lookahead == '\r') SKIP(4);
      if (lookahead == '!') ADVANCE(19);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(95);
      if (lookahead == '&') ADVANCE(99);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == '*') ADVANCE(63);
      if (lookahead == '+') ADVANCE(91);
      if (lookahead == ',') ADVANCE(61);
      if (lookahead == '-') ADVANCE(84);
      if (lookahead == '.') ADVANCE(58);
      if (lookahead == '/') ADVANCE(92);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(70);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(105);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(113);
      if (lookahead == '@') ADVANCE(82);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == '^') ADVANCE(101);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '|') ADVANCE(87);
      if (lookahead == '~') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(4);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 5:
      if (lookahead == '\r') SKIP(5);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(94);
      if (lookahead == '&') ADVANCE(98);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == ')') ADVANCE(60);
      if (lookahead == '*') ADVANCE(64);
      if (lookahead == '+') ADVANCE(90);
      if (lookahead == ',') ADVANCE(61);
      if (lookahead == '-') ADVANCE(83);
      if (lookahead == '.') ADVANCE(58);
      if (lookahead == '/') ADVANCE(93);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(70);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(106);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(114);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(80);
      if (lookahead == '^') ADVANCE(100);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '|') ADVANCE(86);
      if (lookahead == '}') ADVANCE(89);
      if (lookahead == '~') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(5);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 6:
      if (lookahead == '\r') SKIP(6);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(21);
      if (lookahead == '&') ADVANCE(22);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == '*') ADVANCE(65);
      if (lookahead == '+') ADVANCE(91);
      if (lookahead == '-') ADVANCE(84);
      if (lookahead == '.') ADVANCE(15);
      if (lookahead == '/') ADVANCE(17);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(69);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(18);
      if (lookahead == '=') ADVANCE(77);
      if (lookahead == '>') ADVANCE(31);
      if (lookahead == '@') ADVANCE(23);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == '^') ADVANCE(24);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '|') ADVANCE(25);
      if (lookahead == '~') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(6);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 7:
      if (lookahead == '\r') SKIP(7);
      if (lookahead == '!') ADVANCE(19);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(95);
      if (lookahead == '&') ADVANCE(99);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == ')') ADVANCE(60);
      if (lookahead == '*') ADVANCE(63);
      if (lookahead == '+') ADVANCE(91);
      if (lookahead == ',') ADVANCE(61);
      if (lookahead == '-') ADVANCE(84);
      if (lookahead == '.') ADVANCE(57);
      if (lookahead == '/') ADVANCE(92);
      if (lookahead == ':') ADVANCE(70);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(105);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(113);
      if (lookahead == '@') ADVANCE(82);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(80);
      if (lookahead == '^') ADVANCE(101);
      if (lookahead == '|') ADVANCE(87);
      if (lookahead == '}') ADVANCE(89);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(7);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 8:
      if (lookahead == '\r') SKIP(8);
      if (lookahead == '!') ADVANCE(19);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(95);
      if (lookahead == '&') ADVANCE(99);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == ')') ADVANCE(60);
      if (lookahead == '*') ADVANCE(63);
      if (lookahead == '+') ADVANCE(91);
      if (lookahead == ',') ADVANCE(61);
      if (lookahead == '-') ADVANCE(84);
      if (lookahead == '.') ADVANCE(57);
      if (lookahead == '/') ADVANCE(92);
      if (lookahead == ':') ADVANCE(69);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(105);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(113);
      if (lookahead == '@') ADVANCE(82);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(80);
      if (lookahead == '^') ADVANCE(101);
      if (lookahead == '|') ADVANCE(87);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(8);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 9:
      if (lookahead == '\r') SKIP(9);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '-') ADVANCE(30);
      if (lookahead == ':') ADVANCE(69);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == 'e') ADVANCE(163);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(9);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 10:
      if (lookahead == '\r') ADVANCE(1);
      if ((!eof && lookahead == 00) ||
          lookahead == '\n') ADVANCE(168);
      END_STATE();
    case 11:
      if (lookahead == '\r') SKIP(11);
      if (lookahead == '!') ADVANCE(19);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(95);
      if (lookahead == '&') ADVANCE(99);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == '*') ADVANCE(63);
      if (lookahead == '+') ADVANCE(91);
      if (lookahead == ',') ADVANCE(61);
      if (lookahead == '-') ADVANCE(84);
      if (lookahead == '.') ADVANCE(58);
      if (lookahead == '/') ADVANCE(92);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(69);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(105);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(113);
      if (lookahead == '@') ADVANCE(82);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == '^') ADVANCE(101);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '|') ADVANCE(87);
      if (lookahead == '~') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(11);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 12:
      if (lookahead == '\r') SKIP(12);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(94);
      if (lookahead == '&') ADVANCE(98);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == ')') ADVANCE(60);
      if (lookahead == '*') ADVANCE(64);
      if (lookahead == '+') ADVANCE(90);
      if (lookahead == ',') ADVANCE(61);
      if (lookahead == '-') ADVANCE(83);
      if (lookahead == '.') ADVANCE(58);
      if (lookahead == '/') ADVANCE(93);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(69);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(106);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(114);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(80);
      if (lookahead == '^') ADVANCE(100);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '|') ADVANCE(86);
      if (lookahead == '}') ADVANCE(89);
      if (lookahead == '~') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(12);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 13:
      if (lookahead == '\r') SKIP(13);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(94);
      if (lookahead == '&') ADVANCE(98);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == ')') ADVANCE(60);
      if (lookahead == '*') ADVANCE(64);
      if (lookahead == '+') ADVANCE(90);
      if (lookahead == ',') ADVANCE(61);
      if (lookahead == '-') ADVANCE(83);
      if (lookahead == '.') ADVANCE(57);
      if (lookahead == '/') ADVANCE(93);
      if (lookahead == ':') ADVANCE(69);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(106);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(114);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(80);
      if (lookahead == '^') ADVANCE(100);
      if (lookahead == '|') ADVANCE(86);
      if (lookahead == '}') ADVANCE(89);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(13);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 14:
      if (lookahead == '\r') SKIP(14);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(94);
      if (lookahead == '&') ADVANCE(98);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == ')') ADVANCE(60);
      if (lookahead == '*') ADVANCE(64);
      if (lookahead == '+') ADVANCE(90);
      if (lookahead == ',') ADVANCE(61);
      if (lookahead == '-') ADVANCE(83);
      if (lookahead == '.') ADVANCE(57);
      if (lookahead == '/') ADVANCE(93);
      if (lookahead == ':') ADVANCE(70);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(106);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(114);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(80);
      if (lookahead == '^') ADVANCE(100);
      if (lookahead == '|') ADVANCE(86);
      if (lookahead == '}') ADVANCE(89);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(14);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 15:
      if (lookahead == '.') ADVANCE(16);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(146);
      END_STATE();
    case 16:
      if (lookahead == '.') ADVANCE(129);
      END_STATE();
    case 17:
      if (lookahead == '/') ADVANCE(27);
      if (lookahead == '=') ADVANCE(119);
      END_STATE();
    case 18:
      if (lookahead == '<') ADVANCE(28);
      END_STATE();
    case 19:
      if (lookahead == '=') ADVANCE(110);
      END_STATE();
    case 20:
      if (lookahead == '=') ADVANCE(110);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(137);
      END_STATE();
    case 21:
      if (lookahead == '=') ADVANCE(122);
      END_STATE();
    case 22:
      if (lookahead == '=') ADVANCE(126);
      END_STATE();
    case 23:
      if (lookahead == '=') ADVANCE(120);
      END_STATE();
    case 24:
      if (lookahead == '=') ADVANCE(127);
      END_STATE();
    case 25:
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 26:
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 27:
      if (lookahead == '=') ADVANCE(121);
      END_STATE();
    case 28:
      if (lookahead == '=') ADVANCE(125);
      END_STATE();
    case 29:
      if (lookahead == '=') ADVANCE(124);
      END_STATE();
    case 30:
      if (lookahead == '>') ADVANCE(74);
      END_STATE();
    case 31:
      if (lookahead == '>') ADVANCE(29);
      END_STATE();
    case 32:
      if (lookahead == '_') ADVANCE(38);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(142);
      END_STATE();
    case 33:
      if (lookahead == '_') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(143);
      END_STATE();
    case 34:
      if (lookahead == '_') ADVANCE(42);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(144);
      END_STATE();
    case 35:
      if (lookahead == '{') ADVANCE(50);
      END_STATE();
    case 36:
      if (lookahead == '}') ADVANCE(130);
      if (lookahead != 0) ADVANCE(36);
      END_STATE();
    case 37:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(40);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(147);
      END_STATE();
    case 38:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(142);
      END_STATE();
    case 39:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(143);
      END_STATE();
    case 40:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(147);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(130);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(144);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(41);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(43);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(44);
      END_STATE();
    case 46:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(45);
      END_STATE();
    case 47:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 48:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 49:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(48);
      END_STATE();
    case 50:
      if (lookahead != 0 &&
          lookahead != '}') ADVANCE(36);
      END_STATE();
    case 51:
      if (eof) ADVANCE(55);
      if (lookahead == '\r') SKIP(51);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '%') ADVANCE(95);
      if (lookahead == '&') ADVANCE(99);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == ')') ADVANCE(60);
      if (lookahead == '*') ADVANCE(63);
      if (lookahead == '+') ADVANCE(91);
      if (lookahead == ',') ADVANCE(61);
      if (lookahead == '-') ADVANCE(85);
      if (lookahead == '.') ADVANCE(58);
      if (lookahead == '/') ADVANCE(92);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(70);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(105);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(113);
      if (lookahead == '@') ADVANCE(82);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(80);
      if (lookahead == '^') ADVANCE(101);
      if (lookahead == 'e') ADVANCE(163);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '|') ADVANCE(87);
      if (lookahead == '}') ADVANCE(89);
      if (lookahead == '~') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(51);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 52:
      if (eof) ADVANCE(55);
      if (lookahead == '\r') SKIP(52);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == ')') ADVANCE(60);
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '+') ADVANCE(90);
      if (lookahead == ',') ADVANCE(61);
      if (lookahead == '-') ADVANCE(83);
      if (lookahead == '.') ADVANCE(15);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == ':') ADVANCE(69);
      if (lookahead == ';') ADVANCE(56);
      if (lookahead == '<') ADVANCE(107);
      if (lookahead == '=') ADVANCE(78);
      if (lookahead == '>') ADVANCE(112);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(80);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '|') ADVANCE(86);
      if (lookahead == '}') ADVANCE(89);
      if (lookahead == '~') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(52);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 53:
      if (eof) ADVANCE(55);
      if (lookahead == '\r') SKIP(53);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '+') ADVANCE(90);
      if (lookahead == '-') ADVANCE(83);
      if (lookahead == '.') ADVANCE(15);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == 'e') ADVANCE(164);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '~') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(53);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 54:
      if (eof) ADVANCE(55);
      if (lookahead == '\r') SKIP(54);
      if (lookahead == '#') ADVANCE(167);
      if (lookahead == '(') ADVANCE(59);
      if (lookahead == '*') ADVANCE(62);
      if (lookahead == '+') ADVANCE(90);
      if (lookahead == '-') ADVANCE(83);
      if (lookahead == '.') ADVANCE(15);
      if (lookahead == '0') ADVANCE(139);
      if (lookahead == '@') ADVANCE(81);
      if (lookahead == '[') ADVANCE(79);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == 'e') ADVANCE(165);
      if (lookahead == '{') ADVANCE(88);
      if (lookahead == '~') ADVANCE(104);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(54);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(140);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(166);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(16);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(146);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(76);
      if (lookahead == '=') ADVANCE(118);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(75);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(26);
      if (lookahead == '=') ADVANCE(118);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(124);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(68);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_except);
      if (lookahead == '*') ADVANCE(73);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_except);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_except_STAR);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(109);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '=') ADVANCE(120);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(117);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(117);
      if (lookahead == '>') ADVANCE(74);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(116);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(97);
      if (lookahead == '=') ADVANCE(119);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(96);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(122);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '=') ADVANCE(121);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '=') ADVANCE(126);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(127);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(125);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(103);
      if (lookahead == '=') ADVANCE(108);
      if (lookahead == '>') ADVANCE(115);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(102);
      if (lookahead == '=') ADVANCE(108);
      if (lookahead == '>') ADVANCE(115);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(108);
      if (lookahead == '>') ADVANCE(115);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(111);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(111);
      if (lookahead == '>') ADVANCE(67);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(111);
      if (lookahead == '>') ADVANCE(66);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_AT_EQ);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_EQ);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_ellipsis);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(130);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(131);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      ADVANCE_MAP(
        0, 168,
        '\n', 130,
        '\r', 2,
        'N', 35,
        'U', 49,
        'u', 45,
        'x', 43,
        '"', 130,
        '\'', 130,
        '\\', 130,
        'a', 130,
        'b', 130,
        'f', 130,
        'n', 130,
        'r', 130,
        't', 130,
        'v', 130,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(132);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if ((!eof && lookahead == 00)) ADVANCE(136);
      if (lookahead == '\r') ADVANCE(136);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(136);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      ADVANCE_MAP(
        '\r', 135,
        '#', 136,
        '\\', 134,
        '\t', 135,
        0x0b, 135,
        '\f', 135,
        ' ', 135,
        0x200b, 135,
        0x2060, 135,
        0xfeff, 135,
      );
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead) &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(136);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(136);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_type_conversion);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_integer);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 148,
        '_', 141,
        'B', 32,
        'b', 32,
        'E', 37,
        'e', 37,
        'O', 33,
        'o', 33,
        'X', 34,
        'x', 34,
        'J', 138,
        'L', 138,
        'j', 138,
        'l', 138,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(140);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_integer);
      ADVANCE_MAP(
        '.', 148,
        '_', 141,
        'E', 37,
        'e', 37,
        'J', 138,
        'L', 138,
        'j', 138,
        'l', 138,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(140);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(148);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(37);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(138);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(140);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(38);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(138);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(142);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(39);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(138);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(143);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(42);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(138);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(144);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_float);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(148);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(37);
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(145);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(146);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(149);
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(145);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(147);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(37);
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(145);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(146);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'J' ||
          lookahead == 'j') ADVANCE(145);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(147);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '*') ADVANCE(73);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(154);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(155);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(156);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(157);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(158);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(159);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(160);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(161);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'p') ADVANCE(162);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(71);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(72);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 't') ADVANCE(150);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(151);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(152);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'x') ADVANCE(153);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym_identifier);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(166);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(167);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_line_continuation);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == '\r') SKIP(0);
      if (lookahead == 'F') ADVANCE(1);
      if (lookahead == 'N') ADVANCE(2);
      if (lookahead == 'T') ADVANCE(3);
      if (lookahead == '_') ADVANCE(4);
      if (lookahead == 'a') ADVANCE(5);
      if (lookahead == 'b') ADVANCE(6);
      if (lookahead == 'c') ADVANCE(7);
      if (lookahead == 'd') ADVANCE(8);
      if (lookahead == 'e') ADVANCE(9);
      if (lookahead == 'f') ADVANCE(10);
      if (lookahead == 'g') ADVANCE(11);
      if (lookahead == 'i') ADVANCE(12);
      if (lookahead == 'l') ADVANCE(13);
      if (lookahead == 'm') ADVANCE(14);
      if (lookahead == 'n') ADVANCE(15);
      if (lookahead == 'o') ADVANCE(16);
      if (lookahead == 'p') ADVANCE(17);
      if (lookahead == 'r') ADVANCE(18);
      if (lookahead == 't') ADVANCE(19);
      if (lookahead == 'w') ADVANCE(20);
      if (lookahead == 'y') ADVANCE(21);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ' ||
          lookahead == 0x200b ||
          lookahead == 0x2060 ||
          lookahead == 0xfeff) SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'a') ADVANCE(22);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(23);
      END_STATE();
    case 3:
      if (lookahead == 'r') ADVANCE(24);
      END_STATE();
    case 4:
      ACCEPT_TOKEN(anon_sym__);
      if (lookahead == '_') ADVANCE(25);
      END_STATE();
    case 5:
      if (lookahead == 'n') ADVANCE(26);
      if (lookahead == 's') ADVANCE(27);
      if (lookahead == 'w') ADVANCE(28);
      END_STATE();
    case 6:
      if (lookahead == 'r') ADVANCE(29);
      END_STATE();
    case 7:
      if (lookahead == 'a') ADVANCE(30);
      if (lookahead == 'l') ADVANCE(31);
      if (lookahead == 'o') ADVANCE(32);
      END_STATE();
    case 8:
      if (lookahead == 'e') ADVANCE(33);
      END_STATE();
    case 9:
      if (lookahead == 'l') ADVANCE(34);
      if (lookahead == 'x') ADVANCE(35);
      END_STATE();
    case 10:
      if (lookahead == 'i') ADVANCE(36);
      if (lookahead == 'o') ADVANCE(37);
      if (lookahead == 'r') ADVANCE(38);
      END_STATE();
    case 11:
      if (lookahead == 'l') ADVANCE(39);
      END_STATE();
    case 12:
      if (lookahead == 'f') ADVANCE(40);
      if (lookahead == 'm') ADVANCE(41);
      if (lookahead == 'n') ADVANCE(42);
      if (lookahead == 's') ADVANCE(43);
      END_STATE();
    case 13:
      if (lookahead == 'a') ADVANCE(44);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(45);
      END_STATE();
    case 15:
      if (lookahead == 'o') ADVANCE(46);
      END_STATE();
    case 16:
      if (lookahead == 'r') ADVANCE(47);
      END_STATE();
    case 17:
      if (lookahead == 'a') ADVANCE(48);
      if (lookahead == 'r') ADVANCE(49);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(50);
      if (lookahead == 'e') ADVANCE(51);
      END_STATE();
    case 19:
      if (lookahead == 'r') ADVANCE(52);
      if (lookahead == 'y') ADVANCE(53);
      END_STATE();
    case 20:
      if (lookahead == 'h') ADVANCE(54);
      if (lookahead == 'i') ADVANCE(55);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(56);
      END_STATE();
    case 22:
      if (lookahead == 'l') ADVANCE(57);
      END_STATE();
    case 23:
      if (lookahead == 'n') ADVANCE(58);
      END_STATE();
    case 24:
      if (lookahead == 'u') ADVANCE(59);
      END_STATE();
    case 25:
      if (lookahead == 'f') ADVANCE(60);
      END_STATE();
    case 26:
      if (lookahead == 'd') ADVANCE(61);
      END_STATE();
    case 27:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(62);
      if (lookahead == 'y') ADVANCE(63);
      END_STATE();
    case 28:
      if (lookahead == 'a') ADVANCE(64);
      END_STATE();
    case 29:
      if (lookahead == 'e') ADVANCE(65);
      END_STATE();
    case 30:
      if (lookahead == 's') ADVANCE(66);
      END_STATE();
    case 31:
      if (lookahead == 'a') ADVANCE(67);
      END_STATE();
    case 32:
      if (lookahead == 'n') ADVANCE(68);
      END_STATE();
    case 33:
      if (lookahead == 'f') ADVANCE(69);
      if (lookahead == 'l') ADVANCE(70);
      END_STATE();
    case 34:
      if (lookahead == 'i') ADVANCE(71);
      if (lookahead == 's') ADVANCE(72);
      END_STATE();
    case 35:
      if (lookahead == 'e') ADVANCE(73);
      END_STATE();
    case 36:
      if (lookahead == 'n') ADVANCE(74);
      END_STATE();
    case 37:
      if (lookahead == 'r') ADVANCE(75);
      END_STATE();
    case 38:
      if (lookahead == 'o') ADVANCE(76);
      END_STATE();
    case 39:
      if (lookahead == 'o') ADVANCE(77);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 41:
      if (lookahead == 'p') ADVANCE(78);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 44:
      if (lookahead == 'm') ADVANCE(79);
      END_STATE();
    case 45:
      if (lookahead == 't') ADVANCE(80);
      END_STATE();
    case 46:
      if (lookahead == 'n') ADVANCE(81);
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 48:
      if (lookahead == 's') ADVANCE(83);
      END_STATE();
    case 49:
      if (lookahead == 'i') ADVANCE(84);
      END_STATE();
    case 50:
      if (lookahead == 'i') ADVANCE(85);
      END_STATE();
    case 51:
      if (lookahead == 't') ADVANCE(86);
      END_STATE();
    case 52:
      if (lookahead == 'y') ADVANCE(87);
      END_STATE();
    case 53:
      if (lookahead == 'p') ADVANCE(88);
      END_STATE();
    case 54:
      if (lookahead == 'i') ADVANCE(89);
      END_STATE();
    case 55:
      if (lookahead == 't') ADVANCE(90);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(91);
      END_STATE();
    case 57:
      if (lookahead == 's') ADVANCE(92);
      END_STATE();
    case 58:
      if (lookahead == 'e') ADVANCE(93);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(94);
      END_STATE();
    case 60:
      if (lookahead == 'u') ADVANCE(95);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(96);
      END_STATE();
    case 63:
      if (lookahead == 'n') ADVANCE(97);
      END_STATE();
    case 64:
      if (lookahead == 'i') ADVANCE(98);
      END_STATE();
    case 65:
      if (lookahead == 'a') ADVANCE(99);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 67:
      if (lookahead == 's') ADVANCE(101);
      END_STATE();
    case 68:
      if (lookahead == 't') ADVANCE(102);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_def);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_del);
      END_STATE();
    case 71:
      if (lookahead == 'f') ADVANCE(103);
      END_STATE();
    case 72:
      if (lookahead == 'e') ADVANCE(104);
      END_STATE();
    case 73:
      if (lookahead == 'c') ADVANCE(105);
      END_STATE();
    case 74:
      if (lookahead == 'a') ADVANCE(106);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 76:
      if (lookahead == 'm') ADVANCE(107);
      END_STATE();
    case 77:
      if (lookahead == 'b') ADVANCE(108);
      END_STATE();
    case 78:
      if (lookahead == 'o') ADVANCE(109);
      END_STATE();
    case 79:
      if (lookahead == 'b') ADVANCE(110);
      END_STATE();
    case 80:
      if (lookahead == 'c') ADVANCE(111);
      END_STATE();
    case 81:
      if (lookahead == 'l') ADVANCE(112);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_not);
      END_STATE();
    case 83:
      if (lookahead == 's') ADVANCE(113);
      END_STATE();
    case 84:
      if (lookahead == 'n') ADVANCE(114);
      END_STATE();
    case 85:
      if (lookahead == 's') ADVANCE(115);
      END_STATE();
    case 86:
      if (lookahead == 'u') ADVANCE(116);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 88:
      if (lookahead == 'e') ADVANCE(117);
      END_STATE();
    case 89:
      if (lookahead == 'l') ADVANCE(118);
      END_STATE();
    case 90:
      if (lookahead == 'h') ADVANCE(119);
      END_STATE();
    case 91:
      if (lookahead == 'l') ADVANCE(120);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_none);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 95:
      if (lookahead == 't') ADVANCE(122);
      END_STATE();
    case 96:
      if (lookahead == 'r') ADVANCE(123);
      END_STATE();
    case 97:
      if (lookahead == 'c') ADVANCE(124);
      END_STATE();
    case 98:
      if (lookahead == 't') ADVANCE(125);
      END_STATE();
    case 99:
      if (lookahead == 'k') ADVANCE(126);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 101:
      if (lookahead == 's') ADVANCE(127);
      END_STATE();
    case 102:
      if (lookahead == 'i') ADVANCE(128);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_elif);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_exec);
      END_STATE();
    case 106:
      if (lookahead == 'l') ADVANCE(129);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 108:
      if (lookahead == 'a') ADVANCE(130);
      END_STATE();
    case 109:
      if (lookahead == 'r') ADVANCE(131);
      END_STATE();
    case 110:
      if (lookahead == 'd') ADVANCE(132);
      END_STATE();
    case 111:
      if (lookahead == 'h') ADVANCE(133);
      END_STATE();
    case 112:
      if (lookahead == 'o') ADVANCE(134);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_pass);
      END_STATE();
    case 114:
      if (lookahead == 't') ADVANCE(135);
      END_STATE();
    case 115:
      if (lookahead == 'e') ADVANCE(136);
      END_STATE();
    case 116:
      if (lookahead == 'r') ADVANCE(137);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 118:
      if (lookahead == 'e') ADVANCE(138);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 120:
      if (lookahead == 'd') ADVANCE(139);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 122:
      if (lookahead == 'u') ADVANCE(140);
      END_STATE();
    case 123:
      if (lookahead == 't') ADVANCE(141);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 128:
      if (lookahead == 'n') ADVANCE(142);
      END_STATE();
    case 129:
      if (lookahead == 'l') ADVANCE(143);
      END_STATE();
    case 130:
      if (lookahead == 'l') ADVANCE(144);
      END_STATE();
    case 131:
      if (lookahead == 't') ADVANCE(145);
      END_STATE();
    case 132:
      if (lookahead == 'a') ADVANCE(146);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 134:
      if (lookahead == 'c') ADVANCE(147);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_print);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_raise);
      END_STATE();
    case 137:
      if (lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 140:
      if (lookahead == 'r') ADVANCE(149);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 142:
      if (lookahead == 'u') ADVANCE(150);
      END_STATE();
    case 143:
      if (lookahead == 'y') ADVANCE(151);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_lambda);
      END_STATE();
    case 147:
      if (lookahead == 'a') ADVANCE(152);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 149:
      if (lookahead == 'e') ADVANCE(153);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(154);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 152:
      if (lookahead == 'l') ADVANCE(155);
      END_STATE();
    case 153:
      if (lookahead == '_') ADVANCE(156);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_nonlocal);
      END_STATE();
    case 156:
      if (lookahead == '_') ADVANCE(157);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym___future__);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 52, .external_lex_state = 2},
  [2] = {.lex_state = 52, .external_lex_state = 3},
  [3] = {.lex_state = 52, .external_lex_state = 3},
  [4] = {.lex_state = 52, .external_lex_state = 3},
  [5] = {.lex_state = 52, .external_lex_state = 3},
  [6] = {.lex_state = 52, .external_lex_state = 3},
  [7] = {.lex_state = 52, .external_lex_state = 3},
  [8] = {.lex_state = 52, .external_lex_state = 3},
  [9] = {.lex_state = 52, .external_lex_state = 3},
  [10] = {.lex_state = 52, .external_lex_state = 3},
  [11] = {.lex_state = 52, .external_lex_state = 3},
  [12] = {.lex_state = 52, .external_lex_state = 3},
  [13] = {.lex_state = 52, .external_lex_state = 3},
  [14] = {.lex_state = 52, .external_lex_state = 3},
  [15] = {.lex_state = 52, .external_lex_state = 3},
  [16] = {.lex_state = 52, .external_lex_state = 3},
  [17] = {.lex_state = 52, .external_lex_state = 3},
  [18] = {.lex_state = 52, .external_lex_state = 3},
  [19] = {.lex_state = 52, .external_lex_state = 3},
  [20] = {.lex_state = 52, .external_lex_state = 3},
  [21] = {.lex_state = 52, .external_lex_state = 3},
  [22] = {.lex_state = 52, .external_lex_state = 3},
  [23] = {.lex_state = 52, .external_lex_state = 3},
  [24] = {.lex_state = 52, .external_lex_state = 3},
  [25] = {.lex_state = 52, .external_lex_state = 3},
  [26] = {.lex_state = 52, .external_lex_state = 3},
  [27] = {.lex_state = 52, .external_lex_state = 3},
  [28] = {.lex_state = 52, .external_lex_state = 3},
  [29] = {.lex_state = 52, .external_lex_state = 3},
  [30] = {.lex_state = 52, .external_lex_state = 3},
  [31] = {.lex_state = 52, .external_lex_state = 3},
  [32] = {.lex_state = 52, .external_lex_state = 3},
  [33] = {.lex_state = 52, .external_lex_state = 3},
  [34] = {.lex_state = 52, .external_lex_state = 3},
  [35] = {.lex_state = 52, .external_lex_state = 3},
  [36] = {.lex_state = 52, .external_lex_state = 3},
  [37] = {.lex_state = 52, .external_lex_state = 3},
  [38] = {.lex_state = 52, .external_lex_state = 3},
  [39] = {.lex_state = 52, .external_lex_state = 3},
  [40] = {.lex_state = 52, .external_lex_state = 3},
  [41] = {.lex_state = 52, .external_lex_state = 3},
  [42] = {.lex_state = 52, .external_lex_state = 3},
  [43] = {.lex_state = 52, .external_lex_state = 3},
  [44] = {.lex_state = 52, .external_lex_state = 3},
  [45] = {.lex_state = 52, .external_lex_state = 3},
  [46] = {.lex_state = 52, .external_lex_state = 3},
  [47] = {.lex_state = 52, .external_lex_state = 3},
  [48] = {.lex_state = 52, .external_lex_state = 3},
  [49] = {.lex_state = 52, .external_lex_state = 3},
  [50] = {.lex_state = 52, .external_lex_state = 3},
  [51] = {.lex_state = 52, .external_lex_state = 3},
  [52] = {.lex_state = 52, .external_lex_state = 3},
  [53] = {.lex_state = 52, .external_lex_state = 3},
  [54] = {.lex_state = 52, .external_lex_state = 3},
  [55] = {.lex_state = 52, .external_lex_state = 3},
  [56] = {.lex_state = 52, .external_lex_state = 3},
  [57] = {.lex_state = 52, .external_lex_state = 3},
  [58] = {.lex_state = 52, .external_lex_state = 3},
  [59] = {.lex_state = 52, .external_lex_state = 3},
  [60] = {.lex_state = 52, .external_lex_state = 3},
  [61] = {.lex_state = 52, .external_lex_state = 3},
  [62] = {.lex_state = 52, .external_lex_state = 3},
  [63] = {.lex_state = 52, .external_lex_state = 3},
  [64] = {.lex_state = 52, .external_lex_state = 2},
  [65] = {.lex_state = 52, .external_lex_state = 3},
  [66] = {.lex_state = 52, .external_lex_state = 3},
  [67] = {.lex_state = 52, .external_lex_state = 2},
  [68] = {.lex_state = 52, .external_lex_state = 3},
  [69] = {.lex_state = 52, .external_lex_state = 3},
  [70] = {.lex_state = 52, .external_lex_state = 3},
  [71] = {.lex_state = 52, .external_lex_state = 3},
  [72] = {.lex_state = 52, .external_lex_state = 3},
  [73] = {.lex_state = 4, .external_lex_state = 4},
  [74] = {.lex_state = 4, .external_lex_state = 4},
  [75] = {.lex_state = 5, .external_lex_state = 5},
  [76] = {.lex_state = 5, .external_lex_state = 5},
  [77] = {.lex_state = 5, .external_lex_state = 5},
  [78] = {.lex_state = 5, .external_lex_state = 5},
  [79] = {.lex_state = 5, .external_lex_state = 5},
  [80] = {.lex_state = 5, .external_lex_state = 5},
  [81] = {.lex_state = 5, .external_lex_state = 5},
  [82] = {.lex_state = 5, .external_lex_state = 5},
  [83] = {.lex_state = 4, .external_lex_state = 4},
  [84] = {.lex_state = 4, .external_lex_state = 4},
  [85] = {.lex_state = 4, .external_lex_state = 4},
  [86] = {.lex_state = 4, .external_lex_state = 4},
  [87] = {.lex_state = 52, .external_lex_state = 5},
  [88] = {.lex_state = 52, .external_lex_state = 5},
  [89] = {.lex_state = 52, .external_lex_state = 5},
  [90] = {.lex_state = 52, .external_lex_state = 5},
  [91] = {.lex_state = 52, .external_lex_state = 5},
  [92] = {.lex_state = 52, .external_lex_state = 5},
  [93] = {.lex_state = 52, .external_lex_state = 5},
  [94] = {.lex_state = 52, .external_lex_state = 5},
  [95] = {.lex_state = 52, .external_lex_state = 5},
  [96] = {.lex_state = 52, .external_lex_state = 5},
  [97] = {.lex_state = 52, .external_lex_state = 5},
  [98] = {.lex_state = 52, .external_lex_state = 5},
  [99] = {.lex_state = 52, .external_lex_state = 5},
  [100] = {.lex_state = 52, .external_lex_state = 5},
  [101] = {.lex_state = 52, .external_lex_state = 5},
  [102] = {.lex_state = 52, .external_lex_state = 5},
  [103] = {.lex_state = 52, .external_lex_state = 5},
  [104] = {.lex_state = 52, .external_lex_state = 5},
  [105] = {.lex_state = 52, .external_lex_state = 5},
  [106] = {.lex_state = 52, .external_lex_state = 5},
  [107] = {.lex_state = 52, .external_lex_state = 5},
  [108] = {.lex_state = 52, .external_lex_state = 5},
  [109] = {.lex_state = 52, .external_lex_state = 5},
  [110] = {.lex_state = 52, .external_lex_state = 5},
  [111] = {.lex_state = 52, .external_lex_state = 5},
  [112] = {.lex_state = 52, .external_lex_state = 5},
  [113] = {.lex_state = 52, .external_lex_state = 5},
  [114] = {.lex_state = 52, .external_lex_state = 5},
  [115] = {.lex_state = 52, .external_lex_state = 5},
  [116] = {.lex_state = 52, .external_lex_state = 5},
  [117] = {.lex_state = 52, .external_lex_state = 5},
  [118] = {.lex_state = 52, .external_lex_state = 5},
  [119] = {.lex_state = 52, .external_lex_state = 5},
  [120] = {.lex_state = 52, .external_lex_state = 5},
  [121] = {.lex_state = 52, .external_lex_state = 5},
  [122] = {.lex_state = 52, .external_lex_state = 5},
  [123] = {.lex_state = 52, .external_lex_state = 5},
  [124] = {.lex_state = 52, .external_lex_state = 5},
  [125] = {.lex_state = 52, .external_lex_state = 5},
  [126] = {.lex_state = 52, .external_lex_state = 5},
  [127] = {.lex_state = 52, .external_lex_state = 5},
  [128] = {.lex_state = 52, .external_lex_state = 5},
  [129] = {.lex_state = 52, .external_lex_state = 5},
  [130] = {.lex_state = 52, .external_lex_state = 5},
  [131] = {.lex_state = 52, .external_lex_state = 5},
  [132] = {.lex_state = 52, .external_lex_state = 5},
  [133] = {.lex_state = 52, .external_lex_state = 5},
  [134] = {.lex_state = 52, .external_lex_state = 5},
  [135] = {.lex_state = 52, .external_lex_state = 5},
  [136] = {.lex_state = 52, .external_lex_state = 5},
  [137] = {.lex_state = 52, .external_lex_state = 4},
  [138] = {.lex_state = 52, .external_lex_state = 4},
  [139] = {.lex_state = 52, .external_lex_state = 4},
  [140] = {.lex_state = 52, .external_lex_state = 4},
  [141] = {.lex_state = 52, .external_lex_state = 4},
  [142] = {.lex_state = 52, .external_lex_state = 4},
  [143] = {.lex_state = 52, .external_lex_state = 4},
  [144] = {.lex_state = 52, .external_lex_state = 4},
  [145] = {.lex_state = 52, .external_lex_state = 4},
  [146] = {.lex_state = 52, .external_lex_state = 4},
  [147] = {.lex_state = 52, .external_lex_state = 4},
  [148] = {.lex_state = 52, .external_lex_state = 4},
  [149] = {.lex_state = 52, .external_lex_state = 4},
  [150] = {.lex_state = 52, .external_lex_state = 4},
  [151] = {.lex_state = 52, .external_lex_state = 4},
  [152] = {.lex_state = 52, .external_lex_state = 4},
  [153] = {.lex_state = 52, .external_lex_state = 2},
  [154] = {.lex_state = 4, .external_lex_state = 4},
  [155] = {.lex_state = 4, .external_lex_state = 4},
  [156] = {.lex_state = 11, .external_lex_state = 4},
  [157] = {.lex_state = 5, .external_lex_state = 4},
  [158] = {.lex_state = 12, .external_lex_state = 4},
  [159] = {.lex_state = 5, .external_lex_state = 6},
  [160] = {.lex_state = 5, .external_lex_state = 6},
  [161] = {.lex_state = 12, .external_lex_state = 4},
  [162] = {.lex_state = 12, .external_lex_state = 6},
  [163] = {.lex_state = 12, .external_lex_state = 7},
  [164] = {.lex_state = 5, .external_lex_state = 7},
  [165] = {.lex_state = 12, .external_lex_state = 6},
  [166] = {.lex_state = 5, .external_lex_state = 2},
  [167] = {.lex_state = 5, .external_lex_state = 6},
  [168] = {.lex_state = 5, .external_lex_state = 6},
  [169] = {.lex_state = 5, .external_lex_state = 7},
  [170] = {.lex_state = 5, .external_lex_state = 8},
  [171] = {.lex_state = 12, .external_lex_state = 6},
  [172] = {.lex_state = 12, .external_lex_state = 8},
  [173] = {.lex_state = 5, .external_lex_state = 8},
  [174] = {.lex_state = 12, .external_lex_state = 7},
  [175] = {.lex_state = 5, .external_lex_state = 7},
  [176] = {.lex_state = 11, .external_lex_state = 4},
  [177] = {.lex_state = 12, .external_lex_state = 2},
  [178] = {.lex_state = 5, .external_lex_state = 8},
  [179] = {.lex_state = 5, .external_lex_state = 7},
  [180] = {.lex_state = 5, .external_lex_state = 8},
  [181] = {.lex_state = 5, .external_lex_state = 7},
  [182] = {.lex_state = 12, .external_lex_state = 2},
  [183] = {.lex_state = 5, .external_lex_state = 7},
  [184] = {.lex_state = 12, .external_lex_state = 8},
  [185] = {.lex_state = 5, .external_lex_state = 8},
  [186] = {.lex_state = 5, .external_lex_state = 7},
  [187] = {.lex_state = 11, .external_lex_state = 2},
  [188] = {.lex_state = 11, .external_lex_state = 2},
  [189] = {.lex_state = 52, .external_lex_state = 7},
  [190] = {.lex_state = 5, .external_lex_state = 6},
  [191] = {.lex_state = 52, .external_lex_state = 7},
  [192] = {.lex_state = 52, .external_lex_state = 8},
  [193] = {.lex_state = 5, .external_lex_state = 6},
  [194] = {.lex_state = 52, .external_lex_state = 2},
  [195] = {.lex_state = 52, .external_lex_state = 7},
  [196] = {.lex_state = 52, .external_lex_state = 8},
  [197] = {.lex_state = 5, .external_lex_state = 6},
  [198] = {.lex_state = 52, .external_lex_state = 2},
  [199] = {.lex_state = 52, .external_lex_state = 2},
  [200] = {.lex_state = 52, .external_lex_state = 7},
  [201] = {.lex_state = 52, .external_lex_state = 7},
  [202] = {.lex_state = 52, .external_lex_state = 8},
  [203] = {.lex_state = 52, .external_lex_state = 7},
  [204] = {.lex_state = 52, .external_lex_state = 8},
  [205] = {.lex_state = 52, .external_lex_state = 7},
  [206] = {.lex_state = 52, .external_lex_state = 8},
  [207] = {.lex_state = 5, .external_lex_state = 6},
  [208] = {.lex_state = 5, .external_lex_state = 6},
  [209] = {.lex_state = 52, .external_lex_state = 7},
  [210] = {.lex_state = 52, .external_lex_state = 7},
  [211] = {.lex_state = 52, .external_lex_state = 7},
  [212] = {.lex_state = 52, .external_lex_state = 8},
  [213] = {.lex_state = 5, .external_lex_state = 6},
  [214] = {.lex_state = 5, .external_lex_state = 6},
  [215] = {.lex_state = 52, .external_lex_state = 8},
  [216] = {.lex_state = 52, .external_lex_state = 8},
  [217] = {.lex_state = 52, .external_lex_state = 7},
  [218] = {.lex_state = 52, .external_lex_state = 8},
  [219] = {.lex_state = 52, .external_lex_state = 8},
  [220] = {.lex_state = 52, .external_lex_state = 8},
  [221] = {.lex_state = 5, .external_lex_state = 6},
  [222] = {.lex_state = 6, .external_lex_state = 4},
  [223] = {.lex_state = 6, .external_lex_state = 4},
  [224] = {.lex_state = 5, .external_lex_state = 8},
  [225] = {.lex_state = 5, .external_lex_state = 8},
  [226] = {.lex_state = 5, .external_lex_state = 8},
  [227] = {.lex_state = 5, .external_lex_state = 8},
  [228] = {.lex_state = 5, .external_lex_state = 8},
  [229] = {.lex_state = 5, .external_lex_state = 8},
  [230] = {.lex_state = 52, .external_lex_state = 2},
  [231] = {.lex_state = 5, .external_lex_state = 8},
  [232] = {.lex_state = 5, .external_lex_state = 8},
  [233] = {.lex_state = 52, .external_lex_state = 2},
  [234] = {.lex_state = 5, .external_lex_state = 7},
  [235] = {.lex_state = 5, .external_lex_state = 2},
  [236] = {.lex_state = 5, .external_lex_state = 2},
  [237] = {.lex_state = 5, .external_lex_state = 2},
  [238] = {.lex_state = 52, .external_lex_state = 7},
  [239] = {.lex_state = 5, .external_lex_state = 2},
  [240] = {.lex_state = 5, .external_lex_state = 2},
  [241] = {.lex_state = 5, .external_lex_state = 2},
  [242] = {.lex_state = 5, .external_lex_state = 2},
  [243] = {.lex_state = 5, .external_lex_state = 2},
  [244] = {.lex_state = 5, .external_lex_state = 2},
  [245] = {.lex_state = 5, .external_lex_state = 2},
  [246] = {.lex_state = 5, .external_lex_state = 2},
  [247] = {.lex_state = 5, .external_lex_state = 2},
  [248] = {.lex_state = 5, .external_lex_state = 7},
  [249] = {.lex_state = 5, .external_lex_state = 2},
  [250] = {.lex_state = 5, .external_lex_state = 2},
  [251] = {.lex_state = 5, .external_lex_state = 7},
  [252] = {.lex_state = 52, .external_lex_state = 6},
  [253] = {.lex_state = 6, .external_lex_state = 2},
  [254] = {.lex_state = 6, .external_lex_state = 2},
  [255] = {.lex_state = 5, .external_lex_state = 2},
  [256] = {.lex_state = 5, .external_lex_state = 7},
  [257] = {.lex_state = 5, .external_lex_state = 2},
  [258] = {.lex_state = 5, .external_lex_state = 2},
  [259] = {.lex_state = 5, .external_lex_state = 2},
  [260] = {.lex_state = 5, .external_lex_state = 7},
  [261] = {.lex_state = 5, .external_lex_state = 7},
  [262] = {.lex_state = 5, .external_lex_state = 7},
  [263] = {.lex_state = 5, .external_lex_state = 7},
  [264] = {.lex_state = 5, .external_lex_state = 2},
  [265] = {.lex_state = 5, .external_lex_state = 2},
  [266] = {.lex_state = 5, .external_lex_state = 2},
  [267] = {.lex_state = 5, .external_lex_state = 7},
  [268] = {.lex_state = 5, .external_lex_state = 2},
  [269] = {.lex_state = 5, .external_lex_state = 2},
  [270] = {.lex_state = 5, .external_lex_state = 2},
  [271] = {.lex_state = 5, .external_lex_state = 2},
  [272] = {.lex_state = 5, .external_lex_state = 7},
  [273] = {.lex_state = 5, .external_lex_state = 7},
  [274] = {.lex_state = 52, .external_lex_state = 7},
  [275] = {.lex_state = 52, .external_lex_state = 7},
  [276] = {.lex_state = 5, .external_lex_state = 7},
  [277] = {.lex_state = 5, .external_lex_state = 7},
  [278] = {.lex_state = 5, .external_lex_state = 7},
  [279] = {.lex_state = 52, .external_lex_state = 7},
  [280] = {.lex_state = 52, .external_lex_state = 8},
  [281] = {.lex_state = 52, .external_lex_state = 7},
  [282] = {.lex_state = 5, .external_lex_state = 7},
  [283] = {.lex_state = 5, .external_lex_state = 7},
  [284] = {.lex_state = 5, .external_lex_state = 7},
  [285] = {.lex_state = 5, .external_lex_state = 7},
  [286] = {.lex_state = 5, .external_lex_state = 7},
  [287] = {.lex_state = 52, .external_lex_state = 7},
  [288] = {.lex_state = 52, .external_lex_state = 8},
  [289] = {.lex_state = 52, .external_lex_state = 7},
  [290] = {.lex_state = 5, .external_lex_state = 7},
  [291] = {.lex_state = 5, .external_lex_state = 7},
  [292] = {.lex_state = 5, .external_lex_state = 7},
  [293] = {.lex_state = 5, .external_lex_state = 7},
  [294] = {.lex_state = 5, .external_lex_state = 7},
  [295] = {.lex_state = 52, .external_lex_state = 7},
  [296] = {.lex_state = 52, .external_lex_state = 8},
  [297] = {.lex_state = 5, .external_lex_state = 7},
  [298] = {.lex_state = 5, .external_lex_state = 7},
  [299] = {.lex_state = 5, .external_lex_state = 7},
  [300] = {.lex_state = 5, .external_lex_state = 7},
  [301] = {.lex_state = 52, .external_lex_state = 7},
  [302] = {.lex_state = 52, .external_lex_state = 8},
  [303] = {.lex_state = 52, .external_lex_state = 7},
  [304] = {.lex_state = 5, .external_lex_state = 7},
  [305] = {.lex_state = 5, .external_lex_state = 7},
  [306] = {.lex_state = 5, .external_lex_state = 7},
  [307] = {.lex_state = 5, .external_lex_state = 7},
  [308] = {.lex_state = 52, .external_lex_state = 8},
  [309] = {.lex_state = 52, .external_lex_state = 7},
  [310] = {.lex_state = 52, .external_lex_state = 8},
  [311] = {.lex_state = 5, .external_lex_state = 7},
  [312] = {.lex_state = 5, .external_lex_state = 7},
  [313] = {.lex_state = 5, .external_lex_state = 7},
  [314] = {.lex_state = 5, .external_lex_state = 7},
  [315] = {.lex_state = 52, .external_lex_state = 7},
  [316] = {.lex_state = 52, .external_lex_state = 8},
  [317] = {.lex_state = 5, .external_lex_state = 7},
  [318] = {.lex_state = 5, .external_lex_state = 7},
  [319] = {.lex_state = 5, .external_lex_state = 7},
  [320] = {.lex_state = 5, .external_lex_state = 7},
  [321] = {.lex_state = 52, .external_lex_state = 7},
  [322] = {.lex_state = 52, .external_lex_state = 8},
  [323] = {.lex_state = 52, .external_lex_state = 7},
  [324] = {.lex_state = 5, .external_lex_state = 7},
  [325] = {.lex_state = 52, .external_lex_state = 7},
  [326] = {.lex_state = 52, .external_lex_state = 7},
  [327] = {.lex_state = 52, .external_lex_state = 8},
  [328] = {.lex_state = 52, .external_lex_state = 6},
  [329] = {.lex_state = 52, .external_lex_state = 8},
  [330] = {.lex_state = 52, .external_lex_state = 6},
  [331] = {.lex_state = 5, .external_lex_state = 2},
  [332] = {.lex_state = 52, .external_lex_state = 8},
  [333] = {.lex_state = 52, .external_lex_state = 7},
  [334] = {.lex_state = 52, .external_lex_state = 7},
  [335] = {.lex_state = 52, .external_lex_state = 8},
  [336] = {.lex_state = 52, .external_lex_state = 7},
  [337] = {.lex_state = 52, .external_lex_state = 6},
  [338] = {.lex_state = 52, .external_lex_state = 6},
  [339] = {.lex_state = 52, .external_lex_state = 6},
  [340] = {.lex_state = 52, .external_lex_state = 8},
  [341] = {.lex_state = 52, .external_lex_state = 6},
  [342] = {.lex_state = 52, .external_lex_state = 6},
  [343] = {.lex_state = 52, .external_lex_state = 7},
  [344] = {.lex_state = 12, .external_lex_state = 6},
  [345] = {.lex_state = 52, .external_lex_state = 6},
  [346] = {.lex_state = 52, .external_lex_state = 7},
  [347] = {.lex_state = 52, .external_lex_state = 8},
  [348] = {.lex_state = 52, .external_lex_state = 2},
  [349] = {.lex_state = 52, .external_lex_state = 4},
  [350] = {.lex_state = 5, .external_lex_state = 6},
  [351] = {.lex_state = 5, .external_lex_state = 6},
  [352] = {.lex_state = 5, .external_lex_state = 6},
  [353] = {.lex_state = 5, .external_lex_state = 6},
  [354] = {.lex_state = 52, .external_lex_state = 7},
  [355] = {.lex_state = 5, .external_lex_state = 6},
  [356] = {.lex_state = 52, .external_lex_state = 2},
  [357] = {.lex_state = 5, .external_lex_state = 6},
  [358] = {.lex_state = 5, .external_lex_state = 6},
  [359] = {.lex_state = 5, .external_lex_state = 6},
  [360] = {.lex_state = 52, .external_lex_state = 4},
  [361] = {.lex_state = 5, .external_lex_state = 6},
  [362] = {.lex_state = 5, .external_lex_state = 6},
  [363] = {.lex_state = 52, .external_lex_state = 8},
  [364] = {.lex_state = 5, .external_lex_state = 6},
  [365] = {.lex_state = 5, .external_lex_state = 6},
  [366] = {.lex_state = 5, .external_lex_state = 6},
  [367] = {.lex_state = 5, .external_lex_state = 6},
  [368] = {.lex_state = 5, .external_lex_state = 6},
  [369] = {.lex_state = 52, .external_lex_state = 2},
  [370] = {.lex_state = 5, .external_lex_state = 6},
  [371] = {.lex_state = 52, .external_lex_state = 8},
  [372] = {.lex_state = 52, .external_lex_state = 8},
  [373] = {.lex_state = 52, .external_lex_state = 8},
  [374] = {.lex_state = 52, .external_lex_state = 8},
  [375] = {.lex_state = 52, .external_lex_state = 8},
  [376] = {.lex_state = 52, .external_lex_state = 8},
  [377] = {.lex_state = 52, .external_lex_state = 8},
  [378] = {.lex_state = 52, .external_lex_state = 8},
  [379] = {.lex_state = 52, .external_lex_state = 8},
  [380] = {.lex_state = 52, .external_lex_state = 4},
  [381] = {.lex_state = 5, .external_lex_state = 2},
  [382] = {.lex_state = 52, .external_lex_state = 8},
  [383] = {.lex_state = 52, .external_lex_state = 4},
  [384] = {.lex_state = 52, .external_lex_state = 8},
  [385] = {.lex_state = 52, .external_lex_state = 8},
  [386] = {.lex_state = 52, .external_lex_state = 8},
  [387] = {.lex_state = 52, .external_lex_state = 8},
  [388] = {.lex_state = 52, .external_lex_state = 8},
  [389] = {.lex_state = 12, .external_lex_state = 7},
  [390] = {.lex_state = 52, .external_lex_state = 8},
  [391] = {.lex_state = 52, .external_lex_state = 8},
  [392] = {.lex_state = 52, .external_lex_state = 8},
  [393] = {.lex_state = 52, .external_lex_state = 8},
  [394] = {.lex_state = 52, .external_lex_state = 8},
  [395] = {.lex_state = 52, .external_lex_state = 8},
  [396] = {.lex_state = 52, .external_lex_state = 8},
  [397] = {.lex_state = 52, .external_lex_state = 8},
  [398] = {.lex_state = 52, .external_lex_state = 8},
  [399] = {.lex_state = 52, .external_lex_state = 8},
  [400] = {.lex_state = 52, .external_lex_state = 8},
  [401] = {.lex_state = 52, .external_lex_state = 8},
  [402] = {.lex_state = 52, .external_lex_state = 8},
  [403] = {.lex_state = 52, .external_lex_state = 4},
  [404] = {.lex_state = 12, .external_lex_state = 7},
  [405] = {.lex_state = 52, .external_lex_state = 8},
  [406] = {.lex_state = 52, .external_lex_state = 8},
  [407] = {.lex_state = 52, .external_lex_state = 8},
  [408] = {.lex_state = 52, .external_lex_state = 8},
  [409] = {.lex_state = 52, .external_lex_state = 2},
  [410] = {.lex_state = 52, .external_lex_state = 2},
  [411] = {.lex_state = 52, .external_lex_state = 2},
  [412] = {.lex_state = 52, .external_lex_state = 8},
  [413] = {.lex_state = 52, .external_lex_state = 8},
  [414] = {.lex_state = 52, .external_lex_state = 4},
  [415] = {.lex_state = 52, .external_lex_state = 4},
  [416] = {.lex_state = 52, .external_lex_state = 2},
  [417] = {.lex_state = 12, .external_lex_state = 2},
  [418] = {.lex_state = 52, .external_lex_state = 2},
  [419] = {.lex_state = 52, .external_lex_state = 4},
  [420] = {.lex_state = 52, .external_lex_state = 2},
  [421] = {.lex_state = 52, .external_lex_state = 2},
  [422] = {.lex_state = 5, .external_lex_state = 8},
  [423] = {.lex_state = 5, .external_lex_state = 2},
  [424] = {.lex_state = 52, .external_lex_state = 4},
  [425] = {.lex_state = 52, .external_lex_state = 8},
  [426] = {.lex_state = 52, .external_lex_state = 2},
  [427] = {.lex_state = 52, .external_lex_state = 7},
  [428] = {.lex_state = 52, .external_lex_state = 7},
  [429] = {.lex_state = 52, .external_lex_state = 2},
  [430] = {.lex_state = 52, .external_lex_state = 2},
  [431] = {.lex_state = 52, .external_lex_state = 2},
  [432] = {.lex_state = 52, .external_lex_state = 8},
  [433] = {.lex_state = 52, .external_lex_state = 2},
  [434] = {.lex_state = 52, .external_lex_state = 4},
  [435] = {.lex_state = 52, .external_lex_state = 2},
  [436] = {.lex_state = 52, .external_lex_state = 8},
  [437] = {.lex_state = 52, .external_lex_state = 2},
  [438] = {.lex_state = 52, .external_lex_state = 4},
  [439] = {.lex_state = 12, .external_lex_state = 2},
  [440] = {.lex_state = 52, .external_lex_state = 2},
  [441] = {.lex_state = 52, .external_lex_state = 2},
  [442] = {.lex_state = 52, .external_lex_state = 7},
  [443] = {.lex_state = 52, .external_lex_state = 2},
  [444] = {.lex_state = 52, .external_lex_state = 2},
  [445] = {.lex_state = 52, .external_lex_state = 2},
  [446] = {.lex_state = 5, .external_lex_state = 7},
  [447] = {.lex_state = 52, .external_lex_state = 2},
  [448] = {.lex_state = 52, .external_lex_state = 2},
  [449] = {.lex_state = 52, .external_lex_state = 2},
  [450] = {.lex_state = 52, .external_lex_state = 2},
  [451] = {.lex_state = 52, .external_lex_state = 2},
  [452] = {.lex_state = 52, .external_lex_state = 2},
  [453] = {.lex_state = 52, .external_lex_state = 2},
  [454] = {.lex_state = 52, .external_lex_state = 2},
  [455] = {.lex_state = 52, .external_lex_state = 2},
  [456] = {.lex_state = 52, .external_lex_state = 2},
  [457] = {.lex_state = 52, .external_lex_state = 2},
  [458] = {.lex_state = 52, .external_lex_state = 2},
  [459] = {.lex_state = 52, .external_lex_state = 7},
  [460] = {.lex_state = 52, .external_lex_state = 2},
  [461] = {.lex_state = 7, .external_lex_state = 4},
  [462] = {.lex_state = 52, .external_lex_state = 2},
  [463] = {.lex_state = 7, .external_lex_state = 9},
  [464] = {.lex_state = 52, .external_lex_state = 2},
  [465] = {.lex_state = 52, .external_lex_state = 2},
  [466] = {.lex_state = 52, .external_lex_state = 2},
  [467] = {.lex_state = 7, .external_lex_state = 9},
  [468] = {.lex_state = 52, .external_lex_state = 2},
  [469] = {.lex_state = 52, .external_lex_state = 2},
  [470] = {.lex_state = 52, .external_lex_state = 2},
  [471] = {.lex_state = 52, .external_lex_state = 2},
  [472] = {.lex_state = 52, .external_lex_state = 2},
  [473] = {.lex_state = 52, .external_lex_state = 2},
  [474] = {.lex_state = 52, .external_lex_state = 2},
  [475] = {.lex_state = 52, .external_lex_state = 2},
  [476] = {.lex_state = 7, .external_lex_state = 4},
  [477] = {.lex_state = 52, .external_lex_state = 2},
  [478] = {.lex_state = 52, .external_lex_state = 2},
  [479] = {.lex_state = 52, .external_lex_state = 2},
  [480] = {.lex_state = 52, .external_lex_state = 2},
  [481] = {.lex_state = 52, .external_lex_state = 2},
  [482] = {.lex_state = 52, .external_lex_state = 2},
  [483] = {.lex_state = 52, .external_lex_state = 2},
  [484] = {.lex_state = 52, .external_lex_state = 2},
  [485] = {.lex_state = 53, .external_lex_state = 10},
  [486] = {.lex_state = 54, .external_lex_state = 2},
  [487] = {.lex_state = 52, .external_lex_state = 2},
  [488] = {.lex_state = 52, .external_lex_state = 2},
  [489] = {.lex_state = 52, .external_lex_state = 2},
  [490] = {.lex_state = 52, .external_lex_state = 2},
  [491] = {.lex_state = 52, .external_lex_state = 2},
  [492] = {.lex_state = 52, .external_lex_state = 2},
  [493] = {.lex_state = 52, .external_lex_state = 2},
  [494] = {.lex_state = 52, .external_lex_state = 2},
  [495] = {.lex_state = 52, .external_lex_state = 2},
  [496] = {.lex_state = 52, .external_lex_state = 2},
  [497] = {.lex_state = 52, .external_lex_state = 2},
  [498] = {.lex_state = 52, .external_lex_state = 2},
  [499] = {.lex_state = 52, .external_lex_state = 2},
  [500] = {.lex_state = 52, .external_lex_state = 2},
  [501] = {.lex_state = 52, .external_lex_state = 2},
  [502] = {.lex_state = 52, .external_lex_state = 2},
  [503] = {.lex_state = 52, .external_lex_state = 2},
  [504] = {.lex_state = 52, .external_lex_state = 2},
  [505] = {.lex_state = 52, .external_lex_state = 2},
  [506] = {.lex_state = 52, .external_lex_state = 2},
  [507] = {.lex_state = 52, .external_lex_state = 2},
  [508] = {.lex_state = 52, .external_lex_state = 2},
  [509] = {.lex_state = 52, .external_lex_state = 2},
  [510] = {.lex_state = 52, .external_lex_state = 2},
  [511] = {.lex_state = 52, .external_lex_state = 2},
  [512] = {.lex_state = 52, .external_lex_state = 2},
  [513] = {.lex_state = 52, .external_lex_state = 2},
  [514] = {.lex_state = 52, .external_lex_state = 2},
  [515] = {.lex_state = 52, .external_lex_state = 2},
  [516] = {.lex_state = 52, .external_lex_state = 2},
  [517] = {.lex_state = 52, .external_lex_state = 2},
  [518] = {.lex_state = 52, .external_lex_state = 2},
  [519] = {.lex_state = 52, .external_lex_state = 2},
  [520] = {.lex_state = 52, .external_lex_state = 2},
  [521] = {.lex_state = 52, .external_lex_state = 2},
  [522] = {.lex_state = 52, .external_lex_state = 2},
  [523] = {.lex_state = 52, .external_lex_state = 2},
  [524] = {.lex_state = 52, .external_lex_state = 2},
  [525] = {.lex_state = 52, .external_lex_state = 2},
  [526] = {.lex_state = 52, .external_lex_state = 2},
  [527] = {.lex_state = 52, .external_lex_state = 2},
  [528] = {.lex_state = 52, .external_lex_state = 2},
  [529] = {.lex_state = 52, .external_lex_state = 2},
  [530] = {.lex_state = 52, .external_lex_state = 2},
  [531] = {.lex_state = 52, .external_lex_state = 2},
  [532] = {.lex_state = 52, .external_lex_state = 2},
  [533] = {.lex_state = 52, .external_lex_state = 2},
  [534] = {.lex_state = 52, .external_lex_state = 2},
  [535] = {.lex_state = 52, .external_lex_state = 2},
  [536] = {.lex_state = 52, .external_lex_state = 2},
  [537] = {.lex_state = 52, .external_lex_state = 2},
  [538] = {.lex_state = 52, .external_lex_state = 2},
  [539] = {.lex_state = 52, .external_lex_state = 2},
  [540] = {.lex_state = 52, .external_lex_state = 2},
  [541] = {.lex_state = 52, .external_lex_state = 2},
  [542] = {.lex_state = 52, .external_lex_state = 2},
  [543] = {.lex_state = 52, .external_lex_state = 2},
  [544] = {.lex_state = 52, .external_lex_state = 2},
  [545] = {.lex_state = 52, .external_lex_state = 2},
  [546] = {.lex_state = 52, .external_lex_state = 2},
  [547] = {.lex_state = 52, .external_lex_state = 2},
  [548] = {.lex_state = 52, .external_lex_state = 2},
  [549] = {.lex_state = 52, .external_lex_state = 2},
  [550] = {.lex_state = 52, .external_lex_state = 2},
  [551] = {.lex_state = 52, .external_lex_state = 2},
  [552] = {.lex_state = 52, .external_lex_state = 2},
  [553] = {.lex_state = 52, .external_lex_state = 2},
  [554] = {.lex_state = 52, .external_lex_state = 2},
  [555] = {.lex_state = 52, .external_lex_state = 2},
  [556] = {.lex_state = 52, .external_lex_state = 2},
  [557] = {.lex_state = 52, .external_lex_state = 2},
  [558] = {.lex_state = 52, .external_lex_state = 2},
  [559] = {.lex_state = 52, .external_lex_state = 2},
  [560] = {.lex_state = 52, .external_lex_state = 2},
  [561] = {.lex_state = 52, .external_lex_state = 2},
  [562] = {.lex_state = 53, .external_lex_state = 10},
  [563] = {.lex_state = 54, .external_lex_state = 2},
  [564] = {.lex_state = 52, .external_lex_state = 2},
  [565] = {.lex_state = 52, .external_lex_state = 2},
  [566] = {.lex_state = 52, .external_lex_state = 2},
  [567] = {.lex_state = 52, .external_lex_state = 2},
  [568] = {.lex_state = 52, .external_lex_state = 2},
  [569] = {.lex_state = 52, .external_lex_state = 2},
  [570] = {.lex_state = 52, .external_lex_state = 2},
  [571] = {.lex_state = 52, .external_lex_state = 2},
  [572] = {.lex_state = 52, .external_lex_state = 2},
  [573] = {.lex_state = 52, .external_lex_state = 2},
  [574] = {.lex_state = 52, .external_lex_state = 2},
  [575] = {.lex_state = 52, .external_lex_state = 2},
  [576] = {.lex_state = 52, .external_lex_state = 2},
  [577] = {.lex_state = 52, .external_lex_state = 2},
  [578] = {.lex_state = 52, .external_lex_state = 2},
  [579] = {.lex_state = 52, .external_lex_state = 2},
  [580] = {.lex_state = 52, .external_lex_state = 2},
  [581] = {.lex_state = 52, .external_lex_state = 2},
  [582] = {.lex_state = 52, .external_lex_state = 2},
  [583] = {.lex_state = 52, .external_lex_state = 2},
  [584] = {.lex_state = 52, .external_lex_state = 2},
  [585] = {.lex_state = 52, .external_lex_state = 2},
  [586] = {.lex_state = 52, .external_lex_state = 2},
  [587] = {.lex_state = 52, .external_lex_state = 2},
  [588] = {.lex_state = 52, .external_lex_state = 2},
  [589] = {.lex_state = 52, .external_lex_state = 2},
  [590] = {.lex_state = 53, .external_lex_state = 11},
  [591] = {.lex_state = 54, .external_lex_state = 3},
  [592] = {.lex_state = 52, .external_lex_state = 2},
  [593] = {.lex_state = 52, .external_lex_state = 2},
  [594] = {.lex_state = 53, .external_lex_state = 11},
  [595] = {.lex_state = 54, .external_lex_state = 3},
  [596] = {.lex_state = 52, .external_lex_state = 2},
  [597] = {.lex_state = 52, .external_lex_state = 2},
  [598] = {.lex_state = 52, .external_lex_state = 2},
  [599] = {.lex_state = 52, .external_lex_state = 2},
  [600] = {.lex_state = 52, .external_lex_state = 2},
  [601] = {.lex_state = 52, .external_lex_state = 2},
  [602] = {.lex_state = 52, .external_lex_state = 2},
  [603] = {.lex_state = 52, .external_lex_state = 2},
  [604] = {.lex_state = 52, .external_lex_state = 2},
  [605] = {.lex_state = 52, .external_lex_state = 2},
  [606] = {.lex_state = 52, .external_lex_state = 2},
  [607] = {.lex_state = 52, .external_lex_state = 2},
  [608] = {.lex_state = 52, .external_lex_state = 2},
  [609] = {.lex_state = 7, .external_lex_state = 9},
  [610] = {.lex_state = 52, .external_lex_state = 3},
  [611] = {.lex_state = 52, .external_lex_state = 2},
  [612] = {.lex_state = 7, .external_lex_state = 9},
  [613] = {.lex_state = 7, .external_lex_state = 9},
  [614] = {.lex_state = 52, .external_lex_state = 2},
  [615] = {.lex_state = 52, .external_lex_state = 3},
  [616] = {.lex_state = 52, .external_lex_state = 2},
  [617] = {.lex_state = 7, .external_lex_state = 9},
  [618] = {.lex_state = 52, .external_lex_state = 2},
  [619] = {.lex_state = 52, .external_lex_state = 3},
  [620] = {.lex_state = 52, .external_lex_state = 3},
  [621] = {.lex_state = 7, .external_lex_state = 9},
  [622] = {.lex_state = 53, .external_lex_state = 10},
  [623] = {.lex_state = 54, .external_lex_state = 2},
  [624] = {.lex_state = 53, .external_lex_state = 11},
  [625] = {.lex_state = 54, .external_lex_state = 3},
  [626] = {.lex_state = 7, .external_lex_state = 9},
  [627] = {.lex_state = 8, .external_lex_state = 9},
  [628] = {.lex_state = 8, .external_lex_state = 9},
  [629] = {.lex_state = 8, .external_lex_state = 9},
  [630] = {.lex_state = 52, .external_lex_state = 3},
  [631] = {.lex_state = 8, .external_lex_state = 9},
  [632] = {.lex_state = 52, .external_lex_state = 2},
  [633] = {.lex_state = 8, .external_lex_state = 9},
  [634] = {.lex_state = 8, .external_lex_state = 9},
  [635] = {.lex_state = 8, .external_lex_state = 9},
  [636] = {.lex_state = 8, .external_lex_state = 9},
  [637] = {.lex_state = 8, .external_lex_state = 9},
  [638] = {.lex_state = 8, .external_lex_state = 9},
  [639] = {.lex_state = 8, .external_lex_state = 9},
  [640] = {.lex_state = 8, .external_lex_state = 9},
  [641] = {.lex_state = 8, .external_lex_state = 9},
  [642] = {.lex_state = 8, .external_lex_state = 9},
  [643] = {.lex_state = 8, .external_lex_state = 9},
  [644] = {.lex_state = 8, .external_lex_state = 9},
  [645] = {.lex_state = 8, .external_lex_state = 9},
  [646] = {.lex_state = 8, .external_lex_state = 9},
  [647] = {.lex_state = 8, .external_lex_state = 9},
  [648] = {.lex_state = 54, .external_lex_state = 2},
  [649] = {.lex_state = 53, .external_lex_state = 11},
  [650] = {.lex_state = 54, .external_lex_state = 3},
  [651] = {.lex_state = 53, .external_lex_state = 11},
  [652] = {.lex_state = 53, .external_lex_state = 11},
  [653] = {.lex_state = 53, .external_lex_state = 11},
  [654] = {.lex_state = 53, .external_lex_state = 11},
  [655] = {.lex_state = 52, .external_lex_state = 3},
  [656] = {.lex_state = 52, .external_lex_state = 6},
  [657] = {.lex_state = 54, .external_lex_state = 3},
  [658] = {.lex_state = 53, .external_lex_state = 10},
  [659] = {.lex_state = 52, .external_lex_state = 3},
  [660] = {.lex_state = 54, .external_lex_state = 3},
  [661] = {.lex_state = 54, .external_lex_state = 3},
  [662] = {.lex_state = 54, .external_lex_state = 3},
  [663] = {.lex_state = 54, .external_lex_state = 3},
  [664] = {.lex_state = 53, .external_lex_state = 10},
  [665] = {.lex_state = 53, .external_lex_state = 11},
  [666] = {.lex_state = 54, .external_lex_state = 3},
  [667] = {.lex_state = 53, .external_lex_state = 10},
  [668] = {.lex_state = 53, .external_lex_state = 11},
  [669] = {.lex_state = 53, .external_lex_state = 10},
  [670] = {.lex_state = 54, .external_lex_state = 3},
  [671] = {.lex_state = 52, .external_lex_state = 2},
  [672] = {.lex_state = 53, .external_lex_state = 11},
  [673] = {.lex_state = 53, .external_lex_state = 10},
  [674] = {.lex_state = 53, .external_lex_state = 10},
  [675] = {.lex_state = 53, .external_lex_state = 10},
  [676] = {.lex_state = 53, .external_lex_state = 11},
  [677] = {.lex_state = 54, .external_lex_state = 3},
  [678] = {.lex_state = 54, .external_lex_state = 2},
  [679] = {.lex_state = 53, .external_lex_state = 10},
  [680] = {.lex_state = 54, .external_lex_state = 2},
  [681] = {.lex_state = 53, .external_lex_state = 10},
  [682] = {.lex_state = 54, .external_lex_state = 2},
  [683] = {.lex_state = 52, .external_lex_state = 2},
  [684] = {.lex_state = 54, .external_lex_state = 2},
  [685] = {.lex_state = 53, .external_lex_state = 10},
  [686] = {.lex_state = 54, .external_lex_state = 2},
  [687] = {.lex_state = 53, .external_lex_state = 10},
  [688] = {.lex_state = 54, .external_lex_state = 2},
  [689] = {.lex_state = 52, .external_lex_state = 3},
  [690] = {.lex_state = 52, .external_lex_state = 6},
  [691] = {.lex_state = 54, .external_lex_state = 2},
  [692] = {.lex_state = 52, .external_lex_state = 2},
  [693] = {.lex_state = 52, .external_lex_state = 3},
  [694] = {.lex_state = 54, .external_lex_state = 2},
  [695] = {.lex_state = 52, .external_lex_state = 3},
  [696] = {.lex_state = 52, .external_lex_state = 2},
  [697] = {.lex_state = 52, .external_lex_state = 2},
  [698] = {.lex_state = 53, .external_lex_state = 11},
  [699] = {.lex_state = 53, .external_lex_state = 11},
  [700] = {.lex_state = 52, .external_lex_state = 2},
  [701] = {.lex_state = 52, .external_lex_state = 2},
  [702] = {.lex_state = 52, .external_lex_state = 2},
  [703] = {.lex_state = 52, .external_lex_state = 2},
  [704] = {.lex_state = 52, .external_lex_state = 2},
  [705] = {.lex_state = 52, .external_lex_state = 2},
  [706] = {.lex_state = 52, .external_lex_state = 2},
  [707] = {.lex_state = 52, .external_lex_state = 3},
  [708] = {.lex_state = 52, .external_lex_state = 3},
  [709] = {.lex_state = 52, .external_lex_state = 2},
  [710] = {.lex_state = 52, .external_lex_state = 3},
  [711] = {.lex_state = 52, .external_lex_state = 2},
  [712] = {.lex_state = 52, .external_lex_state = 3},
  [713] = {.lex_state = 52, .external_lex_state = 3},
  [714] = {.lex_state = 52, .external_lex_state = 2},
  [715] = {.lex_state = 52, .external_lex_state = 2},
  [716] = {.lex_state = 52, .external_lex_state = 3},
  [717] = {.lex_state = 52, .external_lex_state = 3},
  [718] = {.lex_state = 52, .external_lex_state = 3},
  [719] = {.lex_state = 52, .external_lex_state = 3},
  [720] = {.lex_state = 52, .external_lex_state = 3},
  [721] = {.lex_state = 52, .external_lex_state = 3},
  [722] = {.lex_state = 52, .external_lex_state = 7},
  [723] = {.lex_state = 52, .external_lex_state = 2},
  [724] = {.lex_state = 52, .external_lex_state = 7},
  [725] = {.lex_state = 52, .external_lex_state = 2},
  [726] = {.lex_state = 52, .external_lex_state = 3},
  [727] = {.lex_state = 52, .external_lex_state = 3},
  [728] = {.lex_state = 52, .external_lex_state = 3},
  [729] = {.lex_state = 52, .external_lex_state = 2},
  [730] = {.lex_state = 52, .external_lex_state = 2},
  [731] = {.lex_state = 52, .external_lex_state = 3},
  [732] = {.lex_state = 52, .external_lex_state = 2},
  [733] = {.lex_state = 52, .external_lex_state = 2},
  [734] = {.lex_state = 52, .external_lex_state = 2},
  [735] = {.lex_state = 52, .external_lex_state = 2},
  [736] = {.lex_state = 52, .external_lex_state = 3},
  [737] = {.lex_state = 52, .external_lex_state = 2},
  [738] = {.lex_state = 52, .external_lex_state = 2},
  [739] = {.lex_state = 52, .external_lex_state = 3},
  [740] = {.lex_state = 52, .external_lex_state = 2},
  [741] = {.lex_state = 52, .external_lex_state = 3},
  [742] = {.lex_state = 52, .external_lex_state = 2},
  [743] = {.lex_state = 52, .external_lex_state = 2},
  [744] = {.lex_state = 52, .external_lex_state = 2},
  [745] = {.lex_state = 52, .external_lex_state = 2},
  [746] = {.lex_state = 52, .external_lex_state = 2},
  [747] = {.lex_state = 52, .external_lex_state = 2},
  [748] = {.lex_state = 52, .external_lex_state = 2},
  [749] = {.lex_state = 52, .external_lex_state = 2},
  [750] = {.lex_state = 52, .external_lex_state = 2},
  [751] = {.lex_state = 52, .external_lex_state = 2},
  [752] = {.lex_state = 52, .external_lex_state = 3},
  [753] = {.lex_state = 52, .external_lex_state = 2},
  [754] = {.lex_state = 52, .external_lex_state = 3},
  [755] = {.lex_state = 52, .external_lex_state = 2},
  [756] = {.lex_state = 52, .external_lex_state = 2},
  [757] = {.lex_state = 52, .external_lex_state = 2},
  [758] = {.lex_state = 52, .external_lex_state = 2},
  [759] = {.lex_state = 52, .external_lex_state = 2},
  [760] = {.lex_state = 52, .external_lex_state = 2},
  [761] = {.lex_state = 52, .external_lex_state = 3},
  [762] = {.lex_state = 52, .external_lex_state = 2},
  [763] = {.lex_state = 52, .external_lex_state = 2},
  [764] = {.lex_state = 52, .external_lex_state = 2},
  [765] = {.lex_state = 52, .external_lex_state = 2},
  [766] = {.lex_state = 52, .external_lex_state = 2},
  [767] = {.lex_state = 52, .external_lex_state = 7},
  [768] = {.lex_state = 52, .external_lex_state = 2},
  [769] = {.lex_state = 52, .external_lex_state = 3},
  [770] = {.lex_state = 52, .external_lex_state = 3},
  [771] = {.lex_state = 52, .external_lex_state = 2},
  [772] = {.lex_state = 52, .external_lex_state = 2},
  [773] = {.lex_state = 52, .external_lex_state = 2},
  [774] = {.lex_state = 52, .external_lex_state = 2},
  [775] = {.lex_state = 52, .external_lex_state = 2},
  [776] = {.lex_state = 52, .external_lex_state = 2},
  [777] = {.lex_state = 52, .external_lex_state = 2},
  [778] = {.lex_state = 52, .external_lex_state = 2},
  [779] = {.lex_state = 52, .external_lex_state = 2},
  [780] = {.lex_state = 52, .external_lex_state = 7},
  [781] = {.lex_state = 52, .external_lex_state = 2},
  [782] = {.lex_state = 52, .external_lex_state = 2},
  [783] = {.lex_state = 52, .external_lex_state = 2},
  [784] = {.lex_state = 52, .external_lex_state = 2},
  [785] = {.lex_state = 52, .external_lex_state = 2},
  [786] = {.lex_state = 52, .external_lex_state = 2},
  [787] = {.lex_state = 52, .external_lex_state = 3},
  [788] = {.lex_state = 52, .external_lex_state = 3},
  [789] = {.lex_state = 52, .external_lex_state = 2},
  [790] = {.lex_state = 52, .external_lex_state = 3},
  [791] = {.lex_state = 52, .external_lex_state = 2},
  [792] = {.lex_state = 52, .external_lex_state = 2},
  [793] = {.lex_state = 52, .external_lex_state = 2},
  [794] = {.lex_state = 52, .external_lex_state = 2},
  [795] = {.lex_state = 52, .external_lex_state = 3},
  [796] = {.lex_state = 52, .external_lex_state = 8},
  [797] = {.lex_state = 52, .external_lex_state = 2},
  [798] = {.lex_state = 52, .external_lex_state = 2},
  [799] = {.lex_state = 52, .external_lex_state = 8},
  [800] = {.lex_state = 52, .external_lex_state = 3},
  [801] = {.lex_state = 52, .external_lex_state = 3},
  [802] = {.lex_state = 52, .external_lex_state = 3},
  [803] = {.lex_state = 52, .external_lex_state = 3},
  [804] = {.lex_state = 52, .external_lex_state = 2},
  [805] = {.lex_state = 52, .external_lex_state = 2},
  [806] = {.lex_state = 52, .external_lex_state = 3},
  [807] = {.lex_state = 52, .external_lex_state = 3},
  [808] = {.lex_state = 52, .external_lex_state = 3},
  [809] = {.lex_state = 52, .external_lex_state = 2},
  [810] = {.lex_state = 52, .external_lex_state = 2},
  [811] = {.lex_state = 52, .external_lex_state = 3},
  [812] = {.lex_state = 52, .external_lex_state = 3},
  [813] = {.lex_state = 52, .external_lex_state = 3},
  [814] = {.lex_state = 52, .external_lex_state = 3},
  [815] = {.lex_state = 52, .external_lex_state = 3},
  [816] = {.lex_state = 52, .external_lex_state = 3},
  [817] = {.lex_state = 52, .external_lex_state = 2},
  [818] = {.lex_state = 52, .external_lex_state = 3},
  [819] = {.lex_state = 52, .external_lex_state = 3},
  [820] = {.lex_state = 52, .external_lex_state = 3},
  [821] = {.lex_state = 52, .external_lex_state = 3},
  [822] = {.lex_state = 52, .external_lex_state = 3},
  [823] = {.lex_state = 52, .external_lex_state = 3},
  [824] = {.lex_state = 52, .external_lex_state = 3},
  [825] = {.lex_state = 52, .external_lex_state = 3},
  [826] = {.lex_state = 52, .external_lex_state = 3},
  [827] = {.lex_state = 52, .external_lex_state = 3},
  [828] = {.lex_state = 52, .external_lex_state = 3},
  [829] = {.lex_state = 52, .external_lex_state = 3},
  [830] = {.lex_state = 52, .external_lex_state = 3},
  [831] = {.lex_state = 52, .external_lex_state = 3},
  [832] = {.lex_state = 52, .external_lex_state = 3},
  [833] = {.lex_state = 52, .external_lex_state = 3},
  [834] = {.lex_state = 52, .external_lex_state = 3},
  [835] = {.lex_state = 52, .external_lex_state = 3},
  [836] = {.lex_state = 52, .external_lex_state = 3},
  [837] = {.lex_state = 52, .external_lex_state = 3},
  [838] = {.lex_state = 52, .external_lex_state = 3},
  [839] = {.lex_state = 52, .external_lex_state = 3},
  [840] = {.lex_state = 52, .external_lex_state = 2},
  [841] = {.lex_state = 52, .external_lex_state = 3},
  [842] = {.lex_state = 52, .external_lex_state = 3},
  [843] = {.lex_state = 52, .external_lex_state = 3},
  [844] = {.lex_state = 52, .external_lex_state = 2},
  [845] = {.lex_state = 52, .external_lex_state = 2},
  [846] = {.lex_state = 52, .external_lex_state = 3},
  [847] = {.lex_state = 52, .external_lex_state = 3},
  [848] = {.lex_state = 52, .external_lex_state = 2},
  [849] = {.lex_state = 52, .external_lex_state = 2},
  [850] = {.lex_state = 52, .external_lex_state = 2},
  [851] = {.lex_state = 52, .external_lex_state = 2},
  [852] = {.lex_state = 52, .external_lex_state = 2},
  [853] = {.lex_state = 52, .external_lex_state = 2},
  [854] = {.lex_state = 52, .external_lex_state = 2},
  [855] = {.lex_state = 52, .external_lex_state = 2},
  [856] = {.lex_state = 52, .external_lex_state = 2},
  [857] = {.lex_state = 52, .external_lex_state = 2},
  [858] = {.lex_state = 52, .external_lex_state = 2},
  [859] = {.lex_state = 52, .external_lex_state = 7},
  [860] = {.lex_state = 52, .external_lex_state = 2},
  [861] = {.lex_state = 52, .external_lex_state = 2},
  [862] = {.lex_state = 52, .external_lex_state = 2},
  [863] = {.lex_state = 52, .external_lex_state = 2},
  [864] = {.lex_state = 52, .external_lex_state = 2},
  [865] = {.lex_state = 13, .external_lex_state = 9},
  [866] = {.lex_state = 52, .external_lex_state = 2},
  [867] = {.lex_state = 52, .external_lex_state = 2},
  [868] = {.lex_state = 52, .external_lex_state = 2},
  [869] = {.lex_state = 52, .external_lex_state = 2},
  [870] = {.lex_state = 52, .external_lex_state = 2},
  [871] = {.lex_state = 52, .external_lex_state = 2},
  [872] = {.lex_state = 52, .external_lex_state = 2},
  [873] = {.lex_state = 52, .external_lex_state = 2},
  [874] = {.lex_state = 52, .external_lex_state = 2},
  [875] = {.lex_state = 52, .external_lex_state = 2},
  [876] = {.lex_state = 52, .external_lex_state = 2},
  [877] = {.lex_state = 52, .external_lex_state = 2},
  [878] = {.lex_state = 52, .external_lex_state = 2},
  [879] = {.lex_state = 52, .external_lex_state = 2},
  [880] = {.lex_state = 52, .external_lex_state = 2},
  [881] = {.lex_state = 52, .external_lex_state = 2},
  [882] = {.lex_state = 52, .external_lex_state = 2},
  [883] = {.lex_state = 52, .external_lex_state = 2},
  [884] = {.lex_state = 52, .external_lex_state = 2},
  [885] = {.lex_state = 52, .external_lex_state = 2},
  [886] = {.lex_state = 52, .external_lex_state = 2},
  [887] = {.lex_state = 52, .external_lex_state = 2},
  [888] = {.lex_state = 52, .external_lex_state = 2},
  [889] = {.lex_state = 52, .external_lex_state = 2},
  [890] = {.lex_state = 52, .external_lex_state = 2},
  [891] = {.lex_state = 52, .external_lex_state = 2},
  [892] = {.lex_state = 52, .external_lex_state = 2},
  [893] = {.lex_state = 52, .external_lex_state = 2},
  [894] = {.lex_state = 52, .external_lex_state = 2},
  [895] = {.lex_state = 52, .external_lex_state = 2},
  [896] = {.lex_state = 52, .external_lex_state = 2},
  [897] = {.lex_state = 52, .external_lex_state = 2},
  [898] = {.lex_state = 52, .external_lex_state = 2},
  [899] = {.lex_state = 52, .external_lex_state = 2},
  [900] = {.lex_state = 52, .external_lex_state = 2},
  [901] = {.lex_state = 52, .external_lex_state = 2},
  [902] = {.lex_state = 52, .external_lex_state = 2},
  [903] = {.lex_state = 52, .external_lex_state = 2},
  [904] = {.lex_state = 52, .external_lex_state = 2},
  [905] = {.lex_state = 52, .external_lex_state = 2},
  [906] = {.lex_state = 52, .external_lex_state = 2},
  [907] = {.lex_state = 52, .external_lex_state = 2},
  [908] = {.lex_state = 52, .external_lex_state = 2},
  [909] = {.lex_state = 13, .external_lex_state = 12},
  [910] = {.lex_state = 52, .external_lex_state = 2},
  [911] = {.lex_state = 52, .external_lex_state = 2},
  [912] = {.lex_state = 13, .external_lex_state = 12},
  [913] = {.lex_state = 52, .external_lex_state = 2},
  [914] = {.lex_state = 52, .external_lex_state = 2},
  [915] = {.lex_state = 52, .external_lex_state = 2},
  [916] = {.lex_state = 52, .external_lex_state = 2},
  [917] = {.lex_state = 52, .external_lex_state = 2},
  [918] = {.lex_state = 52, .external_lex_state = 2},
  [919] = {.lex_state = 52, .external_lex_state = 2},
  [920] = {.lex_state = 52, .external_lex_state = 2},
  [921] = {.lex_state = 52, .external_lex_state = 2},
  [922] = {.lex_state = 52, .external_lex_state = 2},
  [923] = {.lex_state = 52, .external_lex_state = 2},
  [924] = {.lex_state = 52, .external_lex_state = 2},
  [925] = {.lex_state = 52, .external_lex_state = 2},
  [926] = {.lex_state = 52, .external_lex_state = 2},
  [927] = {.lex_state = 52, .external_lex_state = 2},
  [928] = {.lex_state = 52, .external_lex_state = 2},
  [929] = {.lex_state = 52, .external_lex_state = 2},
  [930] = {.lex_state = 52, .external_lex_state = 2},
  [931] = {.lex_state = 52, .external_lex_state = 2},
  [932] = {.lex_state = 52, .external_lex_state = 2},
  [933] = {.lex_state = 52, .external_lex_state = 2},
  [934] = {.lex_state = 52, .external_lex_state = 2},
  [935] = {.lex_state = 52, .external_lex_state = 2},
  [936] = {.lex_state = 52, .external_lex_state = 2},
  [937] = {.lex_state = 52, .external_lex_state = 2},
  [938] = {.lex_state = 52, .external_lex_state = 2},
  [939] = {.lex_state = 52, .external_lex_state = 2},
  [940] = {.lex_state = 52, .external_lex_state = 2},
  [941] = {.lex_state = 52, .external_lex_state = 2},
  [942] = {.lex_state = 52, .external_lex_state = 2},
  [943] = {.lex_state = 52, .external_lex_state = 2},
  [944] = {.lex_state = 52, .external_lex_state = 2},
  [945] = {.lex_state = 52, .external_lex_state = 2},
  [946] = {.lex_state = 52, .external_lex_state = 2},
  [947] = {.lex_state = 52, .external_lex_state = 2},
  [948] = {.lex_state = 52, .external_lex_state = 2},
  [949] = {.lex_state = 52, .external_lex_state = 2},
  [950] = {.lex_state = 52, .external_lex_state = 2},
  [951] = {.lex_state = 52, .external_lex_state = 2},
  [952] = {.lex_state = 52, .external_lex_state = 2},
  [953] = {.lex_state = 52, .external_lex_state = 2},
  [954] = {.lex_state = 52, .external_lex_state = 2},
  [955] = {.lex_state = 52, .external_lex_state = 2},
  [956] = {.lex_state = 52, .external_lex_state = 2},
  [957] = {.lex_state = 52, .external_lex_state = 2},
  [958] = {.lex_state = 52, .external_lex_state = 2},
  [959] = {.lex_state = 52, .external_lex_state = 2},
  [960] = {.lex_state = 52, .external_lex_state = 2},
  [961] = {.lex_state = 52, .external_lex_state = 2},
  [962] = {.lex_state = 52, .external_lex_state = 2},
  [963] = {.lex_state = 13, .external_lex_state = 13},
  [964] = {.lex_state = 13, .external_lex_state = 4},
  [965] = {.lex_state = 13, .external_lex_state = 14},
  [966] = {.lex_state = 13, .external_lex_state = 9},
  [967] = {.lex_state = 13, .external_lex_state = 13},
  [968] = {.lex_state = 13, .external_lex_state = 4},
  [969] = {.lex_state = 13, .external_lex_state = 4},
  [970] = {.lex_state = 13, .external_lex_state = 15},
  [971] = {.lex_state = 13, .external_lex_state = 6},
  [972] = {.lex_state = 13, .external_lex_state = 6},
  [973] = {.lex_state = 13, .external_lex_state = 9},
  [974] = {.lex_state = 13, .external_lex_state = 9},
  [975] = {.lex_state = 13, .external_lex_state = 6},
  [976] = {.lex_state = 13, .external_lex_state = 14},
  [977] = {.lex_state = 13, .external_lex_state = 9},
  [978] = {.lex_state = 13, .external_lex_state = 6},
  [979] = {.lex_state = 13, .external_lex_state = 6},
  [980] = {.lex_state = 13, .external_lex_state = 9},
  [981] = {.lex_state = 13, .external_lex_state = 9},
  [982] = {.lex_state = 13, .external_lex_state = 9},
  [983] = {.lex_state = 13, .external_lex_state = 9},
  [984] = {.lex_state = 13, .external_lex_state = 6},
  [985] = {.lex_state = 13, .external_lex_state = 9},
  [986] = {.lex_state = 13, .external_lex_state = 9},
  [987] = {.lex_state = 13, .external_lex_state = 9},
  [988] = {.lex_state = 13, .external_lex_state = 12},
  [989] = {.lex_state = 13, .external_lex_state = 12},
  [990] = {.lex_state = 13, .external_lex_state = 12},
  [991] = {.lex_state = 13, .external_lex_state = 12},
  [992] = {.lex_state = 13, .external_lex_state = 12},
  [993] = {.lex_state = 13, .external_lex_state = 2},
  [994] = {.lex_state = 13, .external_lex_state = 12},
  [995] = {.lex_state = 13, .external_lex_state = 7},
  [996] = {.lex_state = 13, .external_lex_state = 8},
  [997] = {.lex_state = 13, .external_lex_state = 4},
  [998] = {.lex_state = 13, .external_lex_state = 12},
  [999] = {.lex_state = 13, .external_lex_state = 12},
  [1000] = {.lex_state = 13, .external_lex_state = 12},
  [1001] = {.lex_state = 13, .external_lex_state = 8},
  [1002] = {.lex_state = 13, .external_lex_state = 12},
  [1003] = {.lex_state = 13, .external_lex_state = 12},
  [1004] = {.lex_state = 13, .external_lex_state = 8},
  [1005] = {.lex_state = 13, .external_lex_state = 12},
  [1006] = {.lex_state = 13, .external_lex_state = 2},
  [1007] = {.lex_state = 13, .external_lex_state = 12},
  [1008] = {.lex_state = 13, .external_lex_state = 14},
  [1009] = {.lex_state = 14, .external_lex_state = 9},
  [1010] = {.lex_state = 13, .external_lex_state = 2},
  [1011] = {.lex_state = 13, .external_lex_state = 12},
  [1012] = {.lex_state = 13, .external_lex_state = 12},
  [1013] = {.lex_state = 13, .external_lex_state = 12},
  [1014] = {.lex_state = 13, .external_lex_state = 12},
  [1015] = {.lex_state = 13, .external_lex_state = 7},
  [1016] = {.lex_state = 13, .external_lex_state = 12},
  [1017] = {.lex_state = 13, .external_lex_state = 12},
  [1018] = {.lex_state = 13, .external_lex_state = 12},
  [1019] = {.lex_state = 13, .external_lex_state = 12},
  [1020] = {.lex_state = 13, .external_lex_state = 7},
  [1021] = {.lex_state = 13, .external_lex_state = 12},
  [1022] = {.lex_state = 13, .external_lex_state = 7},
  [1023] = {.lex_state = 14, .external_lex_state = 9},
  [1024] = {.lex_state = 13, .external_lex_state = 12},
  [1025] = {.lex_state = 13, .external_lex_state = 12},
  [1026] = {.lex_state = 13, .external_lex_state = 12},
  [1027] = {.lex_state = 13, .external_lex_state = 4},
  [1028] = {.lex_state = 13, .external_lex_state = 7},
  [1029] = {.lex_state = 13, .external_lex_state = 7},
  [1030] = {.lex_state = 13, .external_lex_state = 13},
  [1031] = {.lex_state = 13, .external_lex_state = 12},
  [1032] = {.lex_state = 13, .external_lex_state = 12},
  [1033] = {.lex_state = 13, .external_lex_state = 12},
  [1034] = {.lex_state = 14, .external_lex_state = 9},
  [1035] = {.lex_state = 13, .external_lex_state = 9},
  [1036] = {.lex_state = 13, .external_lex_state = 13},
  [1037] = {.lex_state = 13, .external_lex_state = 9},
  [1038] = {.lex_state = 13, .external_lex_state = 9},
  [1039] = {.lex_state = 13, .external_lex_state = 9},
  [1040] = {.lex_state = 13, .external_lex_state = 9},
  [1041] = {.lex_state = 13, .external_lex_state = 9},
  [1042] = {.lex_state = 13, .external_lex_state = 9},
  [1043] = {.lex_state = 13, .external_lex_state = 9},
  [1044] = {.lex_state = 14, .external_lex_state = 12},
  [1045] = {.lex_state = 13, .external_lex_state = 9},
  [1046] = {.lex_state = 13, .external_lex_state = 9},
  [1047] = {.lex_state = 14, .external_lex_state = 12},
  [1048] = {.lex_state = 14, .external_lex_state = 12},
  [1049] = {.lex_state = 14, .external_lex_state = 12},
  [1050] = {.lex_state = 13, .external_lex_state = 15},
  [1051] = {.lex_state = 13, .external_lex_state = 15},
  [1052] = {.lex_state = 14, .external_lex_state = 12},
  [1053] = {.lex_state = 14, .external_lex_state = 12},
  [1054] = {.lex_state = 14, .external_lex_state = 12},
  [1055] = {.lex_state = 13, .external_lex_state = 9},
  [1056] = {.lex_state = 13, .external_lex_state = 15},
  [1057] = {.lex_state = 13, .external_lex_state = 15},
  [1058] = {.lex_state = 13, .external_lex_state = 15},
  [1059] = {.lex_state = 13, .external_lex_state = 15},
  [1060] = {.lex_state = 13, .external_lex_state = 15},
  [1061] = {.lex_state = 13, .external_lex_state = 15},
  [1062] = {.lex_state = 13, .external_lex_state = 15},
  [1063] = {.lex_state = 13, .external_lex_state = 15},
  [1064] = {.lex_state = 13, .external_lex_state = 9},
  [1065] = {.lex_state = 13, .external_lex_state = 9},
  [1066] = {.lex_state = 13, .external_lex_state = 9},
  [1067] = {.lex_state = 13, .external_lex_state = 9},
  [1068] = {.lex_state = 13, .external_lex_state = 9},
  [1069] = {.lex_state = 13, .external_lex_state = 9},
  [1070] = {.lex_state = 14, .external_lex_state = 12},
  [1071] = {.lex_state = 13, .external_lex_state = 9},
  [1072] = {.lex_state = 13, .external_lex_state = 9},
  [1073] = {.lex_state = 14, .external_lex_state = 13},
  [1074] = {.lex_state = 13, .external_lex_state = 9},
  [1075] = {.lex_state = 13, .external_lex_state = 14},
  [1076] = {.lex_state = 13, .external_lex_state = 14},
  [1077] = {.lex_state = 13, .external_lex_state = 9},
  [1078] = {.lex_state = 13, .external_lex_state = 9},
  [1079] = {.lex_state = 13, .external_lex_state = 9},
  [1080] = {.lex_state = 13, .external_lex_state = 14},
  [1081] = {.lex_state = 13, .external_lex_state = 14},
  [1082] = {.lex_state = 13, .external_lex_state = 14},
  [1083] = {.lex_state = 13, .external_lex_state = 14},
  [1084] = {.lex_state = 13, .external_lex_state = 14},
  [1085] = {.lex_state = 13, .external_lex_state = 14},
  [1086] = {.lex_state = 13, .external_lex_state = 14},
  [1087] = {.lex_state = 13, .external_lex_state = 14},
  [1088] = {.lex_state = 13, .external_lex_state = 6},
  [1089] = {.lex_state = 13, .external_lex_state = 9},
  [1090] = {.lex_state = 13, .external_lex_state = 6},
  [1091] = {.lex_state = 13, .external_lex_state = 9},
  [1092] = {.lex_state = 13, .external_lex_state = 9},
  [1093] = {.lex_state = 13, .external_lex_state = 9},
  [1094] = {.lex_state = 13, .external_lex_state = 6},
  [1095] = {.lex_state = 13, .external_lex_state = 13},
  [1096] = {.lex_state = 13, .external_lex_state = 13},
  [1097] = {.lex_state = 13, .external_lex_state = 6},
  [1098] = {.lex_state = 13, .external_lex_state = 13},
  [1099] = {.lex_state = 13, .external_lex_state = 13},
  [1100] = {.lex_state = 13, .external_lex_state = 13},
  [1101] = {.lex_state = 13, .external_lex_state = 13},
  [1102] = {.lex_state = 13, .external_lex_state = 13},
  [1103] = {.lex_state = 13, .external_lex_state = 13},
  [1104] = {.lex_state = 13, .external_lex_state = 13},
  [1105] = {.lex_state = 13, .external_lex_state = 13},
  [1106] = {.lex_state = 13, .external_lex_state = 9},
  [1107] = {.lex_state = 13, .external_lex_state = 8},
  [1108] = {.lex_state = 14, .external_lex_state = 12},
  [1109] = {.lex_state = 14, .external_lex_state = 12},
  [1110] = {.lex_state = 14, .external_lex_state = 12},
  [1111] = {.lex_state = 13, .external_lex_state = 8},
  [1112] = {.lex_state = 13, .external_lex_state = 8},
  [1113] = {.lex_state = 13, .external_lex_state = 9},
  [1114] = {.lex_state = 14, .external_lex_state = 13},
  [1115] = {.lex_state = 14, .external_lex_state = 13},
  [1116] = {.lex_state = 14, .external_lex_state = 13},
  [1117] = {.lex_state = 13, .external_lex_state = 9},
  [1118] = {.lex_state = 13, .external_lex_state = 9},
  [1119] = {.lex_state = 13, .external_lex_state = 9},
  [1120] = {.lex_state = 14, .external_lex_state = 9},
  [1121] = {.lex_state = 13, .external_lex_state = 13},
  [1122] = {.lex_state = 13, .external_lex_state = 13},
  [1123] = {.lex_state = 13, .external_lex_state = 9},
  [1124] = {.lex_state = 13, .external_lex_state = 9},
  [1125] = {.lex_state = 13, .external_lex_state = 9},
  [1126] = {.lex_state = 13, .external_lex_state = 9},
  [1127] = {.lex_state = 13, .external_lex_state = 13},
  [1128] = {.lex_state = 13, .external_lex_state = 13},
  [1129] = {.lex_state = 13, .external_lex_state = 13},
  [1130] = {.lex_state = 13, .external_lex_state = 13},
  [1131] = {.lex_state = 13, .external_lex_state = 13},
  [1132] = {.lex_state = 13, .external_lex_state = 13},
  [1133] = {.lex_state = 13, .external_lex_state = 13},
  [1134] = {.lex_state = 14, .external_lex_state = 12},
  [1135] = {.lex_state = 13, .external_lex_state = 12},
  [1136] = {.lex_state = 13, .external_lex_state = 12},
  [1137] = {.lex_state = 14, .external_lex_state = 14},
  [1138] = {.lex_state = 13, .external_lex_state = 12},
  [1139] = {.lex_state = 13, .external_lex_state = 12},
  [1140] = {.lex_state = 13, .external_lex_state = 12},
  [1141] = {.lex_state = 13, .external_lex_state = 8},
  [1142] = {.lex_state = 13, .external_lex_state = 12},
  [1143] = {.lex_state = 13, .external_lex_state = 12},
  [1144] = {.lex_state = 13, .external_lex_state = 12},
  [1145] = {.lex_state = 14, .external_lex_state = 13},
  [1146] = {.lex_state = 14, .external_lex_state = 13},
  [1147] = {.lex_state = 14, .external_lex_state = 13},
  [1148] = {.lex_state = 13, .external_lex_state = 12},
  [1149] = {.lex_state = 13, .external_lex_state = 12},
  [1150] = {.lex_state = 13, .external_lex_state = 12},
  [1151] = {.lex_state = 13, .external_lex_state = 12},
  [1152] = {.lex_state = 13, .external_lex_state = 12},
  [1153] = {.lex_state = 13, .external_lex_state = 8},
  [1154] = {.lex_state = 13, .external_lex_state = 12},
  [1155] = {.lex_state = 13, .external_lex_state = 12},
  [1156] = {.lex_state = 13, .external_lex_state = 12},
  [1157] = {.lex_state = 13, .external_lex_state = 12},
  [1158] = {.lex_state = 13, .external_lex_state = 12},
  [1159] = {.lex_state = 13, .external_lex_state = 12},
  [1160] = {.lex_state = 13, .external_lex_state = 12},
  [1161] = {.lex_state = 13, .external_lex_state = 12},
  [1162] = {.lex_state = 13, .external_lex_state = 12},
  [1163] = {.lex_state = 13, .external_lex_state = 12},
  [1164] = {.lex_state = 13, .external_lex_state = 12},
  [1165] = {.lex_state = 13, .external_lex_state = 12},
  [1166] = {.lex_state = 13, .external_lex_state = 12},
  [1167] = {.lex_state = 13, .external_lex_state = 12},
  [1168] = {.lex_state = 13, .external_lex_state = 12},
  [1169] = {.lex_state = 13, .external_lex_state = 12},
  [1170] = {.lex_state = 13, .external_lex_state = 12},
  [1171] = {.lex_state = 13, .external_lex_state = 12},
  [1172] = {.lex_state = 13, .external_lex_state = 12},
  [1173] = {.lex_state = 13, .external_lex_state = 12},
  [1174] = {.lex_state = 14, .external_lex_state = 14},
  [1175] = {.lex_state = 14, .external_lex_state = 14},
  [1176] = {.lex_state = 14, .external_lex_state = 14},
  [1177] = {.lex_state = 13, .external_lex_state = 12},
  [1178] = {.lex_state = 13, .external_lex_state = 12},
  [1179] = {.lex_state = 13, .external_lex_state = 12},
  [1180] = {.lex_state = 13, .external_lex_state = 2},
  [1181] = {.lex_state = 13, .external_lex_state = 12},
  [1182] = {.lex_state = 13, .external_lex_state = 12},
  [1183] = {.lex_state = 13, .external_lex_state = 12},
  [1184] = {.lex_state = 13, .external_lex_state = 12},
  [1185] = {.lex_state = 13, .external_lex_state = 12},
  [1186] = {.lex_state = 13, .external_lex_state = 12},
  [1187] = {.lex_state = 14, .external_lex_state = 13},
  [1188] = {.lex_state = 13, .external_lex_state = 12},
  [1189] = {.lex_state = 13, .external_lex_state = 12},
  [1190] = {.lex_state = 13, .external_lex_state = 12},
  [1191] = {.lex_state = 13, .external_lex_state = 12},
  [1192] = {.lex_state = 13, .external_lex_state = 12},
  [1193] = {.lex_state = 13, .external_lex_state = 12},
  [1194] = {.lex_state = 13, .external_lex_state = 12},
  [1195] = {.lex_state = 13, .external_lex_state = 12},
  [1196] = {.lex_state = 13, .external_lex_state = 12},
  [1197] = {.lex_state = 13, .external_lex_state = 12},
  [1198] = {.lex_state = 13, .external_lex_state = 13},
  [1199] = {.lex_state = 13, .external_lex_state = 12},
  [1200] = {.lex_state = 13, .external_lex_state = 13},
  [1201] = {.lex_state = 13, .external_lex_state = 12},
  [1202] = {.lex_state = 13, .external_lex_state = 12},
  [1203] = {.lex_state = 13, .external_lex_state = 12},
  [1204] = {.lex_state = 13, .external_lex_state = 12},
  [1205] = {.lex_state = 14, .external_lex_state = 13},
  [1206] = {.lex_state = 13, .external_lex_state = 12},
  [1207] = {.lex_state = 13, .external_lex_state = 12},
  [1208] = {.lex_state = 13, .external_lex_state = 12},
  [1209] = {.lex_state = 13, .external_lex_state = 12},
  [1210] = {.lex_state = 13, .external_lex_state = 12},
  [1211] = {.lex_state = 13, .external_lex_state = 12},
  [1212] = {.lex_state = 13, .external_lex_state = 7},
  [1213] = {.lex_state = 13, .external_lex_state = 12},
  [1214] = {.lex_state = 13, .external_lex_state = 12},
  [1215] = {.lex_state = 13, .external_lex_state = 13},
  [1216] = {.lex_state = 14, .external_lex_state = 14},
  [1217] = {.lex_state = 13, .external_lex_state = 14},
  [1218] = {.lex_state = 13, .external_lex_state = 14},
  [1219] = {.lex_state = 14, .external_lex_state = 15},
  [1220] = {.lex_state = 13, .external_lex_state = 7},
  [1221] = {.lex_state = 13, .external_lex_state = 12},
  [1222] = {.lex_state = 13, .external_lex_state = 12},
  [1223] = {.lex_state = 13, .external_lex_state = 14},
  [1224] = {.lex_state = 13, .external_lex_state = 14},
  [1225] = {.lex_state = 13, .external_lex_state = 14},
  [1226] = {.lex_state = 13, .external_lex_state = 14},
  [1227] = {.lex_state = 13, .external_lex_state = 14},
  [1228] = {.lex_state = 13, .external_lex_state = 14},
  [1229] = {.lex_state = 13, .external_lex_state = 14},
  [1230] = {.lex_state = 13, .external_lex_state = 14},
  [1231] = {.lex_state = 13, .external_lex_state = 12},
  [1232] = {.lex_state = 13, .external_lex_state = 12},
  [1233] = {.lex_state = 13, .external_lex_state = 12},
  [1234] = {.lex_state = 14, .external_lex_state = 13},
  [1235] = {.lex_state = 14, .external_lex_state = 13},
  [1236] = {.lex_state = 13, .external_lex_state = 13},
  [1237] = {.lex_state = 14, .external_lex_state = 13},
  [1238] = {.lex_state = 13, .external_lex_state = 7},
  [1239] = {.lex_state = 14, .external_lex_state = 14},
  [1240] = {.lex_state = 14, .external_lex_state = 14},
  [1241] = {.lex_state = 14, .external_lex_state = 15},
  [1242] = {.lex_state = 14, .external_lex_state = 15},
  [1243] = {.lex_state = 14, .external_lex_state = 15},
  [1244] = {.lex_state = 14, .external_lex_state = 13},
  [1245] = {.lex_state = 13, .external_lex_state = 7},
  [1246] = {.lex_state = 14, .external_lex_state = 14},
  [1247] = {.lex_state = 14, .external_lex_state = 14},
  [1248] = {.lex_state = 14, .external_lex_state = 14},
  [1249] = {.lex_state = 14, .external_lex_state = 13},
  [1250] = {.lex_state = 14, .external_lex_state = 13},
  [1251] = {.lex_state = 13, .external_lex_state = 13},
  [1252] = {.lex_state = 13, .external_lex_state = 13},
  [1253] = {.lex_state = 13, .external_lex_state = 2},
  [1254] = {.lex_state = 14, .external_lex_state = 13},
  [1255] = {.lex_state = 13, .external_lex_state = 13},
  [1256] = {.lex_state = 13, .external_lex_state = 14},
  [1257] = {.lex_state = 13, .external_lex_state = 14},
  [1258] = {.lex_state = 13, .external_lex_state = 13},
  [1259] = {.lex_state = 13, .external_lex_state = 13},
  [1260] = {.lex_state = 13, .external_lex_state = 15},
  [1261] = {.lex_state = 13, .external_lex_state = 13},
  [1262] = {.lex_state = 13, .external_lex_state = 14},
  [1263] = {.lex_state = 13, .external_lex_state = 14},
  [1264] = {.lex_state = 13, .external_lex_state = 14},
  [1265] = {.lex_state = 13, .external_lex_state = 15},
  [1266] = {.lex_state = 13, .external_lex_state = 15},
  [1267] = {.lex_state = 13, .external_lex_state = 14},
  [1268] = {.lex_state = 13, .external_lex_state = 15},
  [1269] = {.lex_state = 13, .external_lex_state = 15},
  [1270] = {.lex_state = 13, .external_lex_state = 13},
  [1271] = {.lex_state = 13, .external_lex_state = 15},
  [1272] = {.lex_state = 13, .external_lex_state = 13},
  [1273] = {.lex_state = 13, .external_lex_state = 13},
  [1274] = {.lex_state = 14, .external_lex_state = 14},
  [1275] = {.lex_state = 14, .external_lex_state = 14},
  [1276] = {.lex_state = 14, .external_lex_state = 14},
  [1277] = {.lex_state = 13, .external_lex_state = 13},
  [1278] = {.lex_state = 13, .external_lex_state = 13},
  [1279] = {.lex_state = 13, .external_lex_state = 13},
  [1280] = {.lex_state = 13, .external_lex_state = 13},
  [1281] = {.lex_state = 13, .external_lex_state = 15},
  [1282] = {.lex_state = 13, .external_lex_state = 13},
  [1283] = {.lex_state = 13, .external_lex_state = 15},
  [1284] = {.lex_state = 13, .external_lex_state = 13},
  [1285] = {.lex_state = 13, .external_lex_state = 13},
  [1286] = {.lex_state = 13, .external_lex_state = 13},
  [1287] = {.lex_state = 13, .external_lex_state = 13},
  [1288] = {.lex_state = 13, .external_lex_state = 13},
  [1289] = {.lex_state = 13, .external_lex_state = 13},
  [1290] = {.lex_state = 13, .external_lex_state = 13},
  [1291] = {.lex_state = 13, .external_lex_state = 15},
  [1292] = {.lex_state = 13, .external_lex_state = 15},
  [1293] = {.lex_state = 13, .external_lex_state = 15},
  [1294] = {.lex_state = 13, .external_lex_state = 15},
  [1295] = {.lex_state = 13, .external_lex_state = 15},
  [1296] = {.lex_state = 13, .external_lex_state = 13},
  [1297] = {.lex_state = 13, .external_lex_state = 15},
  [1298] = {.lex_state = 13, .external_lex_state = 15},
  [1299] = {.lex_state = 13, .external_lex_state = 13},
  [1300] = {.lex_state = 13, .external_lex_state = 13},
  [1301] = {.lex_state = 13, .external_lex_state = 13},
  [1302] = {.lex_state = 13, .external_lex_state = 13},
  [1303] = {.lex_state = 13, .external_lex_state = 13},
  [1304] = {.lex_state = 13, .external_lex_state = 13},
  [1305] = {.lex_state = 13, .external_lex_state = 13},
  [1306] = {.lex_state = 13, .external_lex_state = 15},
  [1307] = {.lex_state = 13, .external_lex_state = 13},
  [1308] = {.lex_state = 13, .external_lex_state = 13},
  [1309] = {.lex_state = 13, .external_lex_state = 13},
  [1310] = {.lex_state = 13, .external_lex_state = 15},
  [1311] = {.lex_state = 13, .external_lex_state = 14},
  [1312] = {.lex_state = 13, .external_lex_state = 15},
  [1313] = {.lex_state = 13, .external_lex_state = 13},
  [1314] = {.lex_state = 13, .external_lex_state = 13},
  [1315] = {.lex_state = 13, .external_lex_state = 14},
  [1316] = {.lex_state = 13, .external_lex_state = 15},
  [1317] = {.lex_state = 13, .external_lex_state = 15},
  [1318] = {.lex_state = 13, .external_lex_state = 14},
  [1319] = {.lex_state = 13, .external_lex_state = 14},
  [1320] = {.lex_state = 13, .external_lex_state = 14},
  [1321] = {.lex_state = 13, .external_lex_state = 13},
  [1322] = {.lex_state = 13, .external_lex_state = 14},
  [1323] = {.lex_state = 13, .external_lex_state = 14},
  [1324] = {.lex_state = 13, .external_lex_state = 14},
  [1325] = {.lex_state = 13, .external_lex_state = 14},
  [1326] = {.lex_state = 13, .external_lex_state = 14},
  [1327] = {.lex_state = 13, .external_lex_state = 15},
  [1328] = {.lex_state = 13, .external_lex_state = 15},
  [1329] = {.lex_state = 13, .external_lex_state = 14},
  [1330] = {.lex_state = 13, .external_lex_state = 14},
  [1331] = {.lex_state = 13, .external_lex_state = 13},
  [1332] = {.lex_state = 13, .external_lex_state = 14},
  [1333] = {.lex_state = 13, .external_lex_state = 14},
  [1334] = {.lex_state = 13, .external_lex_state = 14},
  [1335] = {.lex_state = 13, .external_lex_state = 14},
  [1336] = {.lex_state = 13, .external_lex_state = 14},
  [1337] = {.lex_state = 13, .external_lex_state = 14},
  [1338] = {.lex_state = 13, .external_lex_state = 13},
  [1339] = {.lex_state = 13, .external_lex_state = 13},
  [1340] = {.lex_state = 13, .external_lex_state = 15},
  [1341] = {.lex_state = 13, .external_lex_state = 13},
  [1342] = {.lex_state = 13, .external_lex_state = 15},
  [1343] = {.lex_state = 13, .external_lex_state = 13},
  [1344] = {.lex_state = 13, .external_lex_state = 13},
  [1345] = {.lex_state = 13, .external_lex_state = 13},
  [1346] = {.lex_state = 13, .external_lex_state = 13},
  [1347] = {.lex_state = 13, .external_lex_state = 8},
  [1348] = {.lex_state = 13, .external_lex_state = 14},
  [1349] = {.lex_state = 13, .external_lex_state = 14},
  [1350] = {.lex_state = 13, .external_lex_state = 13},
  [1351] = {.lex_state = 13, .external_lex_state = 8},
  [1352] = {.lex_state = 8, .external_lex_state = 9},
  [1353] = {.lex_state = 8, .external_lex_state = 9},
  [1354] = {.lex_state = 8, .external_lex_state = 9},
  [1355] = {.lex_state = 13, .external_lex_state = 13},
  [1356] = {.lex_state = 13, .external_lex_state = 15},
  [1357] = {.lex_state = 13, .external_lex_state = 13},
  [1358] = {.lex_state = 8, .external_lex_state = 9},
  [1359] = {.lex_state = 13, .external_lex_state = 14},
  [1360] = {.lex_state = 13, .external_lex_state = 14},
  [1361] = {.lex_state = 13, .external_lex_state = 15},
  [1362] = {.lex_state = 13, .external_lex_state = 15},
  [1363] = {.lex_state = 13, .external_lex_state = 15},
  [1364] = {.lex_state = 13, .external_lex_state = 15},
  [1365] = {.lex_state = 13, .external_lex_state = 14},
  [1366] = {.lex_state = 13, .external_lex_state = 14},
  [1367] = {.lex_state = 13, .external_lex_state = 13},
  [1368] = {.lex_state = 8, .external_lex_state = 9},
  [1369] = {.lex_state = 13, .external_lex_state = 13},
  [1370] = {.lex_state = 13, .external_lex_state = 13},
  [1371] = {.lex_state = 8, .external_lex_state = 9},
  [1372] = {.lex_state = 13, .external_lex_state = 13},
  [1373] = {.lex_state = 13, .external_lex_state = 14},
  [1374] = {.lex_state = 13, .external_lex_state = 15},
  [1375] = {.lex_state = 13, .external_lex_state = 15},
  [1376] = {.lex_state = 13, .external_lex_state = 15},
  [1377] = {.lex_state = 13, .external_lex_state = 13},
  [1378] = {.lex_state = 13, .external_lex_state = 14},
  [1379] = {.lex_state = 13, .external_lex_state = 15},
  [1380] = {.lex_state = 13, .external_lex_state = 15},
  [1381] = {.lex_state = 13, .external_lex_state = 14},
  [1382] = {.lex_state = 13, .external_lex_state = 13},
  [1383] = {.lex_state = 13, .external_lex_state = 13},
  [1384] = {.lex_state = 13, .external_lex_state = 13},
  [1385] = {.lex_state = 13, .external_lex_state = 14},
  [1386] = {.lex_state = 13, .external_lex_state = 13},
  [1387] = {.lex_state = 13, .external_lex_state = 15},
  [1388] = {.lex_state = 13, .external_lex_state = 13},
  [1389] = {.lex_state = 13, .external_lex_state = 13},
  [1390] = {.lex_state = 13, .external_lex_state = 13},
  [1391] = {.lex_state = 13, .external_lex_state = 13},
  [1392] = {.lex_state = 13, .external_lex_state = 13},
  [1393] = {.lex_state = 13, .external_lex_state = 9},
  [1394] = {.lex_state = 13, .external_lex_state = 13},
  [1395] = {.lex_state = 13, .external_lex_state = 13},
  [1396] = {.lex_state = 13, .external_lex_state = 13},
  [1397] = {.lex_state = 13, .external_lex_state = 14},
  [1398] = {.lex_state = 13, .external_lex_state = 13},
  [1399] = {.lex_state = 14, .external_lex_state = 13},
  [1400] = {.lex_state = 14, .external_lex_state = 13},
  [1401] = {.lex_state = 14, .external_lex_state = 13},
  [1402] = {.lex_state = 13, .external_lex_state = 14},
  [1403] = {.lex_state = 13, .external_lex_state = 15},
  [1404] = {.lex_state = 13, .external_lex_state = 14},
  [1405] = {.lex_state = 13, .external_lex_state = 14},
  [1406] = {.lex_state = 13, .external_lex_state = 14},
  [1407] = {.lex_state = 13, .external_lex_state = 14},
  [1408] = {.lex_state = 13, .external_lex_state = 14},
  [1409] = {.lex_state = 13, .external_lex_state = 13},
  [1410] = {.lex_state = 13, .external_lex_state = 13},
  [1411] = {.lex_state = 13, .external_lex_state = 13},
  [1412] = {.lex_state = 13, .external_lex_state = 13},
  [1413] = {.lex_state = 13, .external_lex_state = 13},
  [1414] = {.lex_state = 13, .external_lex_state = 13},
  [1415] = {.lex_state = 13, .external_lex_state = 13},
  [1416] = {.lex_state = 13, .external_lex_state = 13},
  [1417] = {.lex_state = 13, .external_lex_state = 13},
  [1418] = {.lex_state = 13, .external_lex_state = 13},
  [1419] = {.lex_state = 14, .external_lex_state = 13},
  [1420] = {.lex_state = 13, .external_lex_state = 15},
  [1421] = {.lex_state = 13, .external_lex_state = 14},
  [1422] = {.lex_state = 13, .external_lex_state = 14},
  [1423] = {.lex_state = 13, .external_lex_state = 14},
  [1424] = {.lex_state = 13, .external_lex_state = 14},
  [1425] = {.lex_state = 13, .external_lex_state = 14},
  [1426] = {.lex_state = 13, .external_lex_state = 14},
  [1427] = {.lex_state = 13, .external_lex_state = 14},
  [1428] = {.lex_state = 13, .external_lex_state = 14},
  [1429] = {.lex_state = 13, .external_lex_state = 14},
  [1430] = {.lex_state = 14, .external_lex_state = 13},
  [1431] = {.lex_state = 13, .external_lex_state = 14},
  [1432] = {.lex_state = 13, .external_lex_state = 14},
  [1433] = {.lex_state = 14, .external_lex_state = 12},
  [1434] = {.lex_state = 14, .external_lex_state = 12},
  [1435] = {.lex_state = 14, .external_lex_state = 12},
  [1436] = {.lex_state = 14, .external_lex_state = 14},
  [1437] = {.lex_state = 13, .external_lex_state = 14},
  [1438] = {.lex_state = 14, .external_lex_state = 14},
  [1439] = {.lex_state = 13, .external_lex_state = 14},
  [1440] = {.lex_state = 13, .external_lex_state = 14},
  [1441] = {.lex_state = 13, .external_lex_state = 14},
  [1442] = {.lex_state = 13, .external_lex_state = 14},
  [1443] = {.lex_state = 13, .external_lex_state = 14},
  [1444] = {.lex_state = 13, .external_lex_state = 14},
  [1445] = {.lex_state = 13, .external_lex_state = 14},
  [1446] = {.lex_state = 13, .external_lex_state = 14},
  [1447] = {.lex_state = 13, .external_lex_state = 14},
  [1448] = {.lex_state = 13, .external_lex_state = 14},
  [1449] = {.lex_state = 13, .external_lex_state = 14},
  [1450] = {.lex_state = 13, .external_lex_state = 14},
  [1451] = {.lex_state = 13, .external_lex_state = 14},
  [1452] = {.lex_state = 13, .external_lex_state = 14},
  [1453] = {.lex_state = 13, .external_lex_state = 14},
  [1454] = {.lex_state = 13, .external_lex_state = 14},
  [1455] = {.lex_state = 13, .external_lex_state = 14},
  [1456] = {.lex_state = 13, .external_lex_state = 14},
  [1457] = {.lex_state = 13, .external_lex_state = 14},
  [1458] = {.lex_state = 13, .external_lex_state = 14},
  [1459] = {.lex_state = 13, .external_lex_state = 14},
  [1460] = {.lex_state = 13, .external_lex_state = 14},
  [1461] = {.lex_state = 13, .external_lex_state = 14},
  [1462] = {.lex_state = 13, .external_lex_state = 14},
  [1463] = {.lex_state = 13, .external_lex_state = 14},
  [1464] = {.lex_state = 14, .external_lex_state = 14},
  [1465] = {.lex_state = 14, .external_lex_state = 13},
  [1466] = {.lex_state = 8, .external_lex_state = 15},
  [1467] = {.lex_state = 8, .external_lex_state = 15},
  [1468] = {.lex_state = 8, .external_lex_state = 15},
  [1469] = {.lex_state = 8, .external_lex_state = 15},
  [1470] = {.lex_state = 8, .external_lex_state = 15},
  [1471] = {.lex_state = 8, .external_lex_state = 15},
  [1472] = {.lex_state = 8, .external_lex_state = 15},
  [1473] = {.lex_state = 8, .external_lex_state = 15},
  [1474] = {.lex_state = 8, .external_lex_state = 15},
  [1475] = {.lex_state = 8, .external_lex_state = 15},
  [1476] = {.lex_state = 8, .external_lex_state = 15},
  [1477] = {.lex_state = 13, .external_lex_state = 13},
  [1478] = {.lex_state = 13, .external_lex_state = 14},
  [1479] = {.lex_state = 13, .external_lex_state = 12},
  [1480] = {.lex_state = 8, .external_lex_state = 15},
  [1481] = {.lex_state = 8, .external_lex_state = 15},
  [1482] = {.lex_state = 8, .external_lex_state = 15},
  [1483] = {.lex_state = 8, .external_lex_state = 15},
  [1484] = {.lex_state = 8, .external_lex_state = 15},
  [1485] = {.lex_state = 12, .external_lex_state = 2},
  [1486] = {.lex_state = 12, .external_lex_state = 2},
  [1487] = {.lex_state = 5, .external_lex_state = 8},
  [1488] = {.lex_state = 5, .external_lex_state = 8},
  [1489] = {.lex_state = 5, .external_lex_state = 7},
  [1490] = {.lex_state = 5, .external_lex_state = 7},
  [1491] = {.lex_state = 5, .external_lex_state = 7},
  [1492] = {.lex_state = 5, .external_lex_state = 8},
  [1493] = {.lex_state = 5, .external_lex_state = 7},
  [1494] = {.lex_state = 5, .external_lex_state = 7},
  [1495] = {.lex_state = 5, .external_lex_state = 8},
  [1496] = {.lex_state = 5, .external_lex_state = 7},
  [1497] = {.lex_state = 5, .external_lex_state = 7},
  [1498] = {.lex_state = 5, .external_lex_state = 8},
  [1499] = {.lex_state = 5, .external_lex_state = 7},
  [1500] = {.lex_state = 5, .external_lex_state = 8},
  [1501] = {.lex_state = 5, .external_lex_state = 7},
  [1502] = {.lex_state = 5, .external_lex_state = 7},
  [1503] = {.lex_state = 5, .external_lex_state = 7},
  [1504] = {.lex_state = 5, .external_lex_state = 7},
  [1505] = {.lex_state = 5, .external_lex_state = 8},
  [1506] = {.lex_state = 5, .external_lex_state = 7},
  [1507] = {.lex_state = 5, .external_lex_state = 7},
  [1508] = {.lex_state = 5, .external_lex_state = 7},
  [1509] = {.lex_state = 5, .external_lex_state = 7},
  [1510] = {.lex_state = 5, .external_lex_state = 8},
  [1511] = {.lex_state = 5, .external_lex_state = 7},
  [1512] = {.lex_state = 5, .external_lex_state = 7},
  [1513] = {.lex_state = 5, .external_lex_state = 8},
  [1514] = {.lex_state = 5, .external_lex_state = 7},
  [1515] = {.lex_state = 5, .external_lex_state = 7},
  [1516] = {.lex_state = 5, .external_lex_state = 7},
  [1517] = {.lex_state = 5, .external_lex_state = 7},
  [1518] = {.lex_state = 5, .external_lex_state = 7},
  [1519] = {.lex_state = 5, .external_lex_state = 7},
  [1520] = {.lex_state = 5, .external_lex_state = 8},
  [1521] = {.lex_state = 5, .external_lex_state = 8},
  [1522] = {.lex_state = 5, .external_lex_state = 8},
  [1523] = {.lex_state = 5, .external_lex_state = 2},
  [1524] = {.lex_state = 5, .external_lex_state = 2},
  [1525] = {.lex_state = 5, .external_lex_state = 2},
  [1526] = {.lex_state = 5, .external_lex_state = 2},
  [1527] = {.lex_state = 5, .external_lex_state = 2},
  [1528] = {.lex_state = 5, .external_lex_state = 6},
  [1529] = {.lex_state = 5, .external_lex_state = 6},
  [1530] = {.lex_state = 5, .external_lex_state = 6},
  [1531] = {.lex_state = 5, .external_lex_state = 6},
  [1532] = {.lex_state = 5, .external_lex_state = 6},
  [1533] = {.lex_state = 5, .external_lex_state = 6},
  [1534] = {.lex_state = 5, .external_lex_state = 6},
  [1535] = {.lex_state = 5, .external_lex_state = 6},
  [1536] = {.lex_state = 5, .external_lex_state = 6},
  [1537] = {.lex_state = 5, .external_lex_state = 6},
  [1538] = {.lex_state = 5, .external_lex_state = 6},
  [1539] = {.lex_state = 5, .external_lex_state = 6},
  [1540] = {.lex_state = 5, .external_lex_state = 6},
  [1541] = {.lex_state = 5, .external_lex_state = 6},
  [1542] = {.lex_state = 5, .external_lex_state = 6},
  [1543] = {.lex_state = 5, .external_lex_state = 6},
  [1544] = {.lex_state = 5, .external_lex_state = 6},
  [1545] = {.lex_state = 5, .external_lex_state = 6},
  [1546] = {.lex_state = 5, .external_lex_state = 6},
  [1547] = {.lex_state = 5, .external_lex_state = 6},
  [1548] = {.lex_state = 5, .external_lex_state = 2},
  [1549] = {.lex_state = 5, .external_lex_state = 2},
  [1550] = {.lex_state = 5, .external_lex_state = 2},
  [1551] = {.lex_state = 5, .external_lex_state = 2},
  [1552] = {.lex_state = 5, .external_lex_state = 2},
  [1553] = {.lex_state = 5, .external_lex_state = 2},
  [1554] = {.lex_state = 8, .external_lex_state = 9},
  [1555] = {.lex_state = 8, .external_lex_state = 9},
  [1556] = {.lex_state = 5, .external_lex_state = 2},
  [1557] = {.lex_state = 5, .external_lex_state = 2},
  [1558] = {.lex_state = 5, .external_lex_state = 2},
  [1559] = {.lex_state = 8, .external_lex_state = 13},
  [1560] = {.lex_state = 8, .external_lex_state = 15},
  [1561] = {.lex_state = 8, .external_lex_state = 15},
  [1562] = {.lex_state = 8, .external_lex_state = 13},
  [1563] = {.lex_state = 8, .external_lex_state = 14},
  [1564] = {.lex_state = 52, .external_lex_state = 12},
  [1565] = {.lex_state = 52, .external_lex_state = 12},
  [1566] = {.lex_state = 8, .external_lex_state = 14},
  [1567] = {.lex_state = 52, .external_lex_state = 12},
  [1568] = {.lex_state = 52, .external_lex_state = 12},
  [1569] = {.lex_state = 52, .external_lex_state = 2},
  [1570] = {.lex_state = 13, .external_lex_state = 12},
  [1571] = {.lex_state = 52, .external_lex_state = 13},
  [1572] = {.lex_state = 52, .external_lex_state = 14},
  [1573] = {.lex_state = 52, .external_lex_state = 2},
  [1574] = {.lex_state = 13, .external_lex_state = 12},
  [1575] = {.lex_state = 52, .external_lex_state = 13},
  [1576] = {.lex_state = 13, .external_lex_state = 12},
  [1577] = {.lex_state = 13, .external_lex_state = 12},
  [1578] = {.lex_state = 13, .external_lex_state = 12},
  [1579] = {.lex_state = 52, .external_lex_state = 14},
  [1580] = {.lex_state = 13, .external_lex_state = 12},
  [1581] = {.lex_state = 13, .external_lex_state = 13},
  [1582] = {.lex_state = 13, .external_lex_state = 13},
  [1583] = {.lex_state = 13, .external_lex_state = 13},
  [1584] = {.lex_state = 11, .external_lex_state = 9},
  [1585] = {.lex_state = 13, .external_lex_state = 13},
  [1586] = {.lex_state = 13, .external_lex_state = 13},
  [1587] = {.lex_state = 11, .external_lex_state = 9},
  [1588] = {.lex_state = 13, .external_lex_state = 13},
  [1589] = {.lex_state = 13, .external_lex_state = 15},
  [1590] = {.lex_state = 13, .external_lex_state = 13},
  [1591] = {.lex_state = 13, .external_lex_state = 15},
  [1592] = {.lex_state = 11, .external_lex_state = 9},
  [1593] = {.lex_state = 13, .external_lex_state = 15},
  [1594] = {.lex_state = 13, .external_lex_state = 14},
  [1595] = {.lex_state = 13, .external_lex_state = 14},
  [1596] = {.lex_state = 13, .external_lex_state = 14},
  [1597] = {.lex_state = 13, .external_lex_state = 14},
  [1598] = {.lex_state = 13, .external_lex_state = 13},
  [1599] = {.lex_state = 13, .external_lex_state = 13},
  [1600] = {.lex_state = 13, .external_lex_state = 13},
  [1601] = {.lex_state = 13, .external_lex_state = 13},
  [1602] = {.lex_state = 13, .external_lex_state = 13},
  [1603] = {.lex_state = 13, .external_lex_state = 15},
  [1604] = {.lex_state = 11, .external_lex_state = 9},
  [1605] = {.lex_state = 13, .external_lex_state = 15},
  [1606] = {.lex_state = 13, .external_lex_state = 14},
  [1607] = {.lex_state = 13, .external_lex_state = 15},
  [1608] = {.lex_state = 13, .external_lex_state = 15},
  [1609] = {.lex_state = 13, .external_lex_state = 15},
  [1610] = {.lex_state = 11, .external_lex_state = 9},
  [1611] = {.lex_state = 13, .external_lex_state = 15},
  [1612] = {.lex_state = 13, .external_lex_state = 15},
  [1613] = {.lex_state = 13, .external_lex_state = 15},
  [1614] = {.lex_state = 13, .external_lex_state = 15},
  [1615] = {.lex_state = 13, .external_lex_state = 15},
  [1616] = {.lex_state = 13, .external_lex_state = 15},
  [1617] = {.lex_state = 13, .external_lex_state = 15},
  [1618] = {.lex_state = 13, .external_lex_state = 15},
  [1619] = {.lex_state = 13, .external_lex_state = 15},
  [1620] = {.lex_state = 13, .external_lex_state = 15},
  [1621] = {.lex_state = 13, .external_lex_state = 14},
  [1622] = {.lex_state = 13, .external_lex_state = 15},
  [1623] = {.lex_state = 13, .external_lex_state = 15},
  [1624] = {.lex_state = 13, .external_lex_state = 15},
  [1625] = {.lex_state = 13, .external_lex_state = 15},
  [1626] = {.lex_state = 11, .external_lex_state = 9},
  [1627] = {.lex_state = 11, .external_lex_state = 15},
  [1628] = {.lex_state = 12, .external_lex_state = 15},
  [1629] = {.lex_state = 12, .external_lex_state = 15},
  [1630] = {.lex_state = 11, .external_lex_state = 9},
  [1631] = {.lex_state = 12, .external_lex_state = 15},
  [1632] = {.lex_state = 11, .external_lex_state = 15},
  [1633] = {.lex_state = 12, .external_lex_state = 15},
  [1634] = {.lex_state = 11, .external_lex_state = 15},
  [1635] = {.lex_state = 12, .external_lex_state = 15},
  [1636] = {.lex_state = 12, .external_lex_state = 15},
  [1637] = {.lex_state = 12, .external_lex_state = 15},
  [1638] = {.lex_state = 12, .external_lex_state = 15},
  [1639] = {.lex_state = 11, .external_lex_state = 15},
  [1640] = {.lex_state = 11, .external_lex_state = 15},
  [1641] = {.lex_state = 11, .external_lex_state = 15},
  [1642] = {.lex_state = 11, .external_lex_state = 15},
  [1643] = {.lex_state = 12, .external_lex_state = 15},
  [1644] = {.lex_state = 11, .external_lex_state = 15},
  [1645] = {.lex_state = 12, .external_lex_state = 15},
  [1646] = {.lex_state = 12, .external_lex_state = 15},
  [1647] = {.lex_state = 5, .external_lex_state = 13},
  [1648] = {.lex_state = 11, .external_lex_state = 15},
  [1649] = {.lex_state = 12, .external_lex_state = 15},
  [1650] = {.lex_state = 12, .external_lex_state = 15},
  [1651] = {.lex_state = 5, .external_lex_state = 13},
  [1652] = {.lex_state = 5, .external_lex_state = 13},
  [1653] = {.lex_state = 5, .external_lex_state = 15},
  [1654] = {.lex_state = 5, .external_lex_state = 15},
  [1655] = {.lex_state = 52, .external_lex_state = 12},
  [1656] = {.lex_state = 52, .external_lex_state = 12},
  [1657] = {.lex_state = 8, .external_lex_state = 9},
  [1658] = {.lex_state = 8, .external_lex_state = 9},
  [1659] = {.lex_state = 8, .external_lex_state = 9},
  [1660] = {.lex_state = 8, .external_lex_state = 9},
  [1661] = {.lex_state = 8, .external_lex_state = 9},
  [1662] = {.lex_state = 8, .external_lex_state = 9},
  [1663] = {.lex_state = 52, .external_lex_state = 12},
  [1664] = {.lex_state = 8, .external_lex_state = 9},
  [1665] = {.lex_state = 8, .external_lex_state = 9},
  [1666] = {.lex_state = 8, .external_lex_state = 9},
  [1667] = {.lex_state = 52, .external_lex_state = 12},
  [1668] = {.lex_state = 52, .external_lex_state = 12},
  [1669] = {.lex_state = 52, .external_lex_state = 12},
  [1670] = {.lex_state = 52, .external_lex_state = 12},
  [1671] = {.lex_state = 52, .external_lex_state = 12},
  [1672] = {.lex_state = 0, .external_lex_state = 16},
  [1673] = {.lex_state = 52, .external_lex_state = 14},
  [1674] = {.lex_state = 0, .external_lex_state = 16},
  [1675] = {.lex_state = 0, .external_lex_state = 16},
  [1676] = {.lex_state = 52, .external_lex_state = 13},
  [1677] = {.lex_state = 52, .external_lex_state = 13},
  [1678] = {.lex_state = 0, .external_lex_state = 16},
  [1679] = {.lex_state = 0, .external_lex_state = 16},
  [1680] = {.lex_state = 52, .external_lex_state = 13},
  [1681] = {.lex_state = 52, .external_lex_state = 13},
  [1682] = {.lex_state = 52, .external_lex_state = 13},
  [1683] = {.lex_state = 0, .external_lex_state = 16},
  [1684] = {.lex_state = 0, .external_lex_state = 16},
  [1685] = {.lex_state = 0, .external_lex_state = 16},
  [1686] = {.lex_state = 52, .external_lex_state = 13},
  [1687] = {.lex_state = 52, .external_lex_state = 13},
  [1688] = {.lex_state = 52, .external_lex_state = 13},
  [1689] = {.lex_state = 0, .external_lex_state = 16},
  [1690] = {.lex_state = 0, .external_lex_state = 16},
  [1691] = {.lex_state = 52, .external_lex_state = 13},
  [1692] = {.lex_state = 52, .external_lex_state = 13},
  [1693] = {.lex_state = 52, .external_lex_state = 13},
  [1694] = {.lex_state = 52, .external_lex_state = 13},
  [1695] = {.lex_state = 0, .external_lex_state = 16},
  [1696] = {.lex_state = 0, .external_lex_state = 16},
  [1697] = {.lex_state = 52, .external_lex_state = 13},
  [1698] = {.lex_state = 52, .external_lex_state = 13},
  [1699] = {.lex_state = 0, .external_lex_state = 16},
  [1700] = {.lex_state = 0, .external_lex_state = 16},
  [1701] = {.lex_state = 52, .external_lex_state = 13},
  [1702] = {.lex_state = 52, .external_lex_state = 13},
  [1703] = {.lex_state = 0, .external_lex_state = 16},
  [1704] = {.lex_state = 0, .external_lex_state = 16},
  [1705] = {.lex_state = 52, .external_lex_state = 14},
  [1706] = {.lex_state = 0, .external_lex_state = 16},
  [1707] = {.lex_state = 52, .external_lex_state = 14},
  [1708] = {.lex_state = 52, .external_lex_state = 13},
  [1709] = {.lex_state = 52, .external_lex_state = 14},
  [1710] = {.lex_state = 0, .external_lex_state = 16},
  [1711] = {.lex_state = 52, .external_lex_state = 14},
  [1712] = {.lex_state = 52, .external_lex_state = 14},
  [1713] = {.lex_state = 52, .external_lex_state = 14},
  [1714] = {.lex_state = 52, .external_lex_state = 14},
  [1715] = {.lex_state = 0, .external_lex_state = 16},
  [1716] = {.lex_state = 8, .external_lex_state = 9},
  [1717] = {.lex_state = 8, .external_lex_state = 15},
  [1718] = {.lex_state = 8, .external_lex_state = 13},
  [1719] = {.lex_state = 8, .external_lex_state = 13},
  [1720] = {.lex_state = 8, .external_lex_state = 15},
  [1721] = {.lex_state = 8, .external_lex_state = 15},
  [1722] = {.lex_state = 8, .external_lex_state = 13},
  [1723] = {.lex_state = 8, .external_lex_state = 13},
  [1724] = {.lex_state = 8, .external_lex_state = 13},
  [1725] = {.lex_state = 8, .external_lex_state = 15},
  [1726] = {.lex_state = 8, .external_lex_state = 13},
  [1727] = {.lex_state = 8, .external_lex_state = 15},
  [1728] = {.lex_state = 8, .external_lex_state = 13},
  [1729] = {.lex_state = 8, .external_lex_state = 15},
  [1730] = {.lex_state = 8, .external_lex_state = 15},
  [1731] = {.lex_state = 8, .external_lex_state = 15},
  [1732] = {.lex_state = 52, .external_lex_state = 12},
  [1733] = {.lex_state = 8, .external_lex_state = 13},
  [1734] = {.lex_state = 8, .external_lex_state = 15},
  [1735] = {.lex_state = 8, .external_lex_state = 13},
  [1736] = {.lex_state = 8, .external_lex_state = 13},
  [1737] = {.lex_state = 52, .external_lex_state = 12},
  [1738] = {.lex_state = 8, .external_lex_state = 9},
  [1739] = {.lex_state = 52, .external_lex_state = 12},
  [1740] = {.lex_state = 52, .external_lex_state = 12},
  [1741] = {.lex_state = 52, .external_lex_state = 12},
  [1742] = {.lex_state = 52, .external_lex_state = 12},
  [1743] = {.lex_state = 52, .external_lex_state = 12},
  [1744] = {.lex_state = 52, .external_lex_state = 12},
  [1745] = {.lex_state = 52, .external_lex_state = 12},
  [1746] = {.lex_state = 52, .external_lex_state = 9},
  [1747] = {.lex_state = 8, .external_lex_state = 15},
  [1748] = {.lex_state = 8, .external_lex_state = 15},
  [1749] = {.lex_state = 52, .external_lex_state = 12},
  [1750] = {.lex_state = 52, .external_lex_state = 12},
  [1751] = {.lex_state = 8, .external_lex_state = 14},
  [1752] = {.lex_state = 52, .external_lex_state = 12},
  [1753] = {.lex_state = 52, .external_lex_state = 12},
  [1754] = {.lex_state = 52, .external_lex_state = 12},
  [1755] = {.lex_state = 52, .external_lex_state = 12},
  [1756] = {.lex_state = 8, .external_lex_state = 14},
  [1757] = {.lex_state = 8, .external_lex_state = 15},
  [1758] = {.lex_state = 52, .external_lex_state = 12},
  [1759] = {.lex_state = 52, .external_lex_state = 12},
  [1760] = {.lex_state = 8, .external_lex_state = 14},
  [1761] = {.lex_state = 8, .external_lex_state = 15},
  [1762] = {.lex_state = 52, .external_lex_state = 12},
  [1763] = {.lex_state = 8, .external_lex_state = 14},
  [1764] = {.lex_state = 8, .external_lex_state = 14},
  [1765] = {.lex_state = 8, .external_lex_state = 14},
  [1766] = {.lex_state = 8, .external_lex_state = 14},
  [1767] = {.lex_state = 52, .external_lex_state = 12},
  [1768] = {.lex_state = 8, .external_lex_state = 14},
  [1769] = {.lex_state = 52, .external_lex_state = 12},
  [1770] = {.lex_state = 8, .external_lex_state = 15},
  [1771] = {.lex_state = 52, .external_lex_state = 12},
  [1772] = {.lex_state = 8, .external_lex_state = 14},
  [1773] = {.lex_state = 8, .external_lex_state = 14},
  [1774] = {.lex_state = 52, .external_lex_state = 12},
  [1775] = {.lex_state = 0, .external_lex_state = 16},
  [1776] = {.lex_state = 9, .external_lex_state = 17},
  [1777] = {.lex_state = 52, .external_lex_state = 14},
  [1778] = {.lex_state = 52, .external_lex_state = 9},
  [1779] = {.lex_state = 52, .external_lex_state = 14},
  [1780] = {.lex_state = 52, .external_lex_state = 9},
  [1781] = {.lex_state = 52, .external_lex_state = 9},
  [1782] = {.lex_state = 52, .external_lex_state = 9},
  [1783] = {.lex_state = 52, .external_lex_state = 13},
  [1784] = {.lex_state = 52, .external_lex_state = 14},
  [1785] = {.lex_state = 52, .external_lex_state = 13},
  [1786] = {.lex_state = 7, .external_lex_state = 12},
  [1787] = {.lex_state = 52, .external_lex_state = 14},
  [1788] = {.lex_state = 9, .external_lex_state = 17},
  [1789] = {.lex_state = 52, .external_lex_state = 9},
  [1790] = {.lex_state = 52, .external_lex_state = 14},
  [1791] = {.lex_state = 52, .external_lex_state = 15},
  [1792] = {.lex_state = 52, .external_lex_state = 12},
  [1793] = {.lex_state = 52, .external_lex_state = 14},
  [1794] = {.lex_state = 52, .external_lex_state = 12},
  [1795] = {.lex_state = 52, .external_lex_state = 14},
  [1796] = {.lex_state = 52, .external_lex_state = 15},
  [1797] = {.lex_state = 52, .external_lex_state = 14},
  [1798] = {.lex_state = 52, .external_lex_state = 13},
  [1799] = {.lex_state = 9, .external_lex_state = 17},
  [1800] = {.lex_state = 52, .external_lex_state = 14},
  [1801] = {.lex_state = 52, .external_lex_state = 14},
  [1802] = {.lex_state = 52, .external_lex_state = 14},
  [1803] = {.lex_state = 52, .external_lex_state = 14},
  [1804] = {.lex_state = 52, .external_lex_state = 12},
  [1805] = {.lex_state = 52, .external_lex_state = 9},
  [1806] = {.lex_state = 52, .external_lex_state = 13},
  [1807] = {.lex_state = 52, .external_lex_state = 13},
  [1808] = {.lex_state = 52, .external_lex_state = 13},
  [1809] = {.lex_state = 52, .external_lex_state = 13},
  [1810] = {.lex_state = 52, .external_lex_state = 14},
  [1811] = {.lex_state = 7, .external_lex_state = 13},
  [1812] = {.lex_state = 0, .external_lex_state = 16},
  [1813] = {.lex_state = 52, .external_lex_state = 13},
  [1814] = {.lex_state = 52, .external_lex_state = 14},
  [1815] = {.lex_state = 52, .external_lex_state = 9},
  [1816] = {.lex_state = 52, .external_lex_state = 14},
  [1817] = {.lex_state = 52, .external_lex_state = 14},
  [1818] = {.lex_state = 52, .external_lex_state = 2},
  [1819] = {.lex_state = 8, .external_lex_state = 15},
  [1820] = {.lex_state = 52, .external_lex_state = 14},
  [1821] = {.lex_state = 52, .external_lex_state = 14},
  [1822] = {.lex_state = 9, .external_lex_state = 17},
  [1823] = {.lex_state = 52, .external_lex_state = 14},
  [1824] = {.lex_state = 52, .external_lex_state = 12},
  [1825] = {.lex_state = 52, .external_lex_state = 14},
  [1826] = {.lex_state = 52, .external_lex_state = 14},
  [1827] = {.lex_state = 52, .external_lex_state = 13},
  [1828] = {.lex_state = 52, .external_lex_state = 9},
  [1829] = {.lex_state = 52, .external_lex_state = 9},
  [1830] = {.lex_state = 52, .external_lex_state = 13},
  [1831] = {.lex_state = 52, .external_lex_state = 14},
  [1832] = {.lex_state = 52, .external_lex_state = 13},
  [1833] = {.lex_state = 7, .external_lex_state = 14},
  [1834] = {.lex_state = 52, .external_lex_state = 13},
  [1835] = {.lex_state = 52, .external_lex_state = 15},
  [1836] = {.lex_state = 52, .external_lex_state = 12},
  [1837] = {.lex_state = 52, .external_lex_state = 14},
  [1838] = {.lex_state = 7, .external_lex_state = 14},
  [1839] = {.lex_state = 52, .external_lex_state = 15},
  [1840] = {.lex_state = 7, .external_lex_state = 13},
  [1841] = {.lex_state = 7, .external_lex_state = 12},
  [1842] = {.lex_state = 52, .external_lex_state = 7},
  [1843] = {.lex_state = 52, .external_lex_state = 13},
  [1844] = {.lex_state = 52, .external_lex_state = 14},
  [1845] = {.lex_state = 52, .external_lex_state = 12},
  [1846] = {.lex_state = 52, .external_lex_state = 15},
  [1847] = {.lex_state = 52, .external_lex_state = 6},
  [1848] = {.lex_state = 52, .external_lex_state = 13},
  [1849] = {.lex_state = 7, .external_lex_state = 14},
  [1850] = {.lex_state = 52, .external_lex_state = 14},
  [1851] = {.lex_state = 52, .external_lex_state = 14},
  [1852] = {.lex_state = 52, .external_lex_state = 13},
  [1853] = {.lex_state = 52, .external_lex_state = 14},
  [1854] = {.lex_state = 7, .external_lex_state = 13},
  [1855] = {.lex_state = 52, .external_lex_state = 12},
  [1856] = {.lex_state = 52, .external_lex_state = 15},
  [1857] = {.lex_state = 52, .external_lex_state = 15},
  [1858] = {.lex_state = 52, .external_lex_state = 8},
  [1859] = {.lex_state = 52, .external_lex_state = 12},
  [1860] = {.lex_state = 52, .external_lex_state = 9},
  [1861] = {.lex_state = 52, .external_lex_state = 14},
  [1862] = {.lex_state = 52, .external_lex_state = 12},
  [1863] = {.lex_state = 52, .external_lex_state = 15},
  [1864] = {.lex_state = 7, .external_lex_state = 13},
  [1865] = {.lex_state = 52, .external_lex_state = 12},
  [1866] = {.lex_state = 52, .external_lex_state = 12},
  [1867] = {.lex_state = 52, .external_lex_state = 13},
  [1868] = {.lex_state = 52, .external_lex_state = 15},
  [1869] = {.lex_state = 52, .external_lex_state = 15},
  [1870] = {.lex_state = 7, .external_lex_state = 14},
  [1871] = {.lex_state = 7, .external_lex_state = 12},
  [1872] = {.lex_state = 52, .external_lex_state = 12},
  [1873] = {.lex_state = 7, .external_lex_state = 15},
  [1874] = {.lex_state = 52, .external_lex_state = 13},
  [1875] = {.lex_state = 52, .external_lex_state = 12},
  [1876] = {.lex_state = 7, .external_lex_state = 12},
  [1877] = {.lex_state = 52, .external_lex_state = 9},
  [1878] = {.lex_state = 52, .external_lex_state = 12},
  [1879] = {.lex_state = 52, .external_lex_state = 13},
  [1880] = {.lex_state = 52, .external_lex_state = 12},
  [1881] = {.lex_state = 52, .external_lex_state = 15},
  [1882] = {.lex_state = 52, .external_lex_state = 14},
  [1883] = {.lex_state = 52, .external_lex_state = 14},
  [1884] = {.lex_state = 52, .external_lex_state = 12},
  [1885] = {.lex_state = 0, .external_lex_state = 16},
  [1886] = {.lex_state = 52, .external_lex_state = 12},
  [1887] = {.lex_state = 52, .external_lex_state = 12},
  [1888] = {.lex_state = 8, .external_lex_state = 13},
  [1889] = {.lex_state = 8, .external_lex_state = 9},
  [1890] = {.lex_state = 8, .external_lex_state = 9},
  [1891] = {.lex_state = 52, .external_lex_state = 14},
  [1892] = {.lex_state = 52, .external_lex_state = 12},
  [1893] = {.lex_state = 52, .external_lex_state = 15},
  [1894] = {.lex_state = 8, .external_lex_state = 9},
  [1895] = {.lex_state = 7, .external_lex_state = 13},
  [1896] = {.lex_state = 8, .external_lex_state = 15},
  [1897] = {.lex_state = 52, .external_lex_state = 13},
  [1898] = {.lex_state = 7, .external_lex_state = 9},
  [1899] = {.lex_state = 52, .external_lex_state = 13},
  [1900] = {.lex_state = 52, .external_lex_state = 12},
  [1901] = {.lex_state = 52, .external_lex_state = 14},
  [1902] = {.lex_state = 52, .external_lex_state = 12},
  [1903] = {.lex_state = 52, .external_lex_state = 12},
  [1904] = {.lex_state = 8, .external_lex_state = 14},
  [1905] = {.lex_state = 52, .external_lex_state = 12},
  [1906] = {.lex_state = 7, .external_lex_state = 9},
  [1907] = {.lex_state = 52, .external_lex_state = 13},
  [1908] = {.lex_state = 52, .external_lex_state = 15},
  [1909] = {.lex_state = 52, .external_lex_state = 14},
  [1910] = {.lex_state = 52, .external_lex_state = 13},
  [1911] = {.lex_state = 52, .external_lex_state = 15},
  [1912] = {.lex_state = 52, .external_lex_state = 15},
  [1913] = {.lex_state = 52, .external_lex_state = 15},
  [1914] = {.lex_state = 52, .external_lex_state = 14},
  [1915] = {.lex_state = 52, .external_lex_state = 15},
  [1916] = {.lex_state = 52, .external_lex_state = 13},
  [1917] = {.lex_state = 52, .external_lex_state = 12},
  [1918] = {.lex_state = 8, .external_lex_state = 13},
  [1919] = {.lex_state = 52, .external_lex_state = 15},
  [1920] = {.lex_state = 52, .external_lex_state = 13},
  [1921] = {.lex_state = 52, .external_lex_state = 13},
  [1922] = {.lex_state = 8, .external_lex_state = 14},
  [1923] = {.lex_state = 7, .external_lex_state = 12},
  [1924] = {.lex_state = 0, .external_lex_state = 16},
  [1925] = {.lex_state = 8, .external_lex_state = 13},
  [1926] = {.lex_state = 0, .external_lex_state = 16},
  [1927] = {.lex_state = 52, .external_lex_state = 9},
  [1928] = {.lex_state = 52, .external_lex_state = 14},
  [1929] = {.lex_state = 52, .external_lex_state = 14},
  [1930] = {.lex_state = 52, .external_lex_state = 15},
  [1931] = {.lex_state = 52, .external_lex_state = 14},
  [1932] = {.lex_state = 8, .external_lex_state = 13},
  [1933] = {.lex_state = 52, .external_lex_state = 12},
  [1934] = {.lex_state = 0, .external_lex_state = 16},
  [1935] = {.lex_state = 52, .external_lex_state = 12},
  [1936] = {.lex_state = 52, .external_lex_state = 13},
  [1937] = {.lex_state = 52, .external_lex_state = 14},
  [1938] = {.lex_state = 0, .external_lex_state = 16},
  [1939] = {.lex_state = 52, .external_lex_state = 14},
  [1940] = {.lex_state = 0, .external_lex_state = 16},
  [1941] = {.lex_state = 52, .external_lex_state = 15},
  [1942] = {.lex_state = 52, .external_lex_state = 15},
  [1943] = {.lex_state = 52, .external_lex_state = 15},
  [1944] = {.lex_state = 52, .external_lex_state = 14},
  [1945] = {.lex_state = 8, .external_lex_state = 13},
  [1946] = {.lex_state = 7, .external_lex_state = 9},
  [1947] = {.lex_state = 52, .external_lex_state = 15},
  [1948] = {.lex_state = 52, .external_lex_state = 13},
  [1949] = {.lex_state = 52, .external_lex_state = 13},
  [1950] = {.lex_state = 8, .external_lex_state = 9},
  [1951] = {.lex_state = 52, .external_lex_state = 12},
  [1952] = {.lex_state = 8, .external_lex_state = 13},
  [1953] = {.lex_state = 52, .external_lex_state = 13},
  [1954] = {.lex_state = 52, .external_lex_state = 15},
  [1955] = {.lex_state = 52, .external_lex_state = 13},
  [1956] = {.lex_state = 52, .external_lex_state = 14},
  [1957] = {.lex_state = 8, .external_lex_state = 13},
  [1958] = {.lex_state = 8, .external_lex_state = 14},
  [1959] = {.lex_state = 52, .external_lex_state = 15},
  [1960] = {.lex_state = 8, .external_lex_state = 13},
  [1961] = {.lex_state = 52, .external_lex_state = 13},
  [1962] = {.lex_state = 52, .external_lex_state = 13},
  [1963] = {.lex_state = 8, .external_lex_state = 15},
  [1964] = {.lex_state = 52, .external_lex_state = 12},
  [1965] = {.lex_state = 52, .external_lex_state = 9},
  [1966] = {.lex_state = 8, .external_lex_state = 9},
  [1967] = {.lex_state = 52, .external_lex_state = 15},
  [1968] = {.lex_state = 52, .external_lex_state = 12},
  [1969] = {.lex_state = 52, .external_lex_state = 13},
  [1970] = {.lex_state = 52, .external_lex_state = 9},
  [1971] = {.lex_state = 8, .external_lex_state = 9},
  [1972] = {.lex_state = 8, .external_lex_state = 9},
  [1973] = {.lex_state = 52, .external_lex_state = 14},
  [1974] = {.lex_state = 8, .external_lex_state = 9},
  [1975] = {.lex_state = 0, .external_lex_state = 16},
  [1976] = {.lex_state = 0, .external_lex_state = 16},
  [1977] = {.lex_state = 52, .external_lex_state = 13},
  [1978] = {.lex_state = 52, .external_lex_state = 12},
  [1979] = {.lex_state = 8, .external_lex_state = 9},
  [1980] = {.lex_state = 52, .external_lex_state = 14},
  [1981] = {.lex_state = 8, .external_lex_state = 13},
  [1982] = {.lex_state = 52, .external_lex_state = 13},
  [1983] = {.lex_state = 7, .external_lex_state = 14},
  [1984] = {.lex_state = 52, .external_lex_state = 15},
  [1985] = {.lex_state = 8, .external_lex_state = 14},
  [1986] = {.lex_state = 52, .external_lex_state = 14},
  [1987] = {.lex_state = 52, .external_lex_state = 13},
  [1988] = {.lex_state = 52, .external_lex_state = 12},
  [1989] = {.lex_state = 8, .external_lex_state = 9},
  [1990] = {.lex_state = 8, .external_lex_state = 15},
  [1991] = {.lex_state = 8, .external_lex_state = 13},
  [1992] = {.lex_state = 52, .external_lex_state = 15},
  [1993] = {.lex_state = 52, .external_lex_state = 13},
  [1994] = {.lex_state = 8, .external_lex_state = 9},
  [1995] = {.lex_state = 8, .external_lex_state = 15},
  [1996] = {.lex_state = 52, .external_lex_state = 14},
  [1997] = {.lex_state = 52, .external_lex_state = 12},
  [1998] = {.lex_state = 52, .external_lex_state = 14},
  [1999] = {.lex_state = 52, .external_lex_state = 15},
  [2000] = {.lex_state = 52, .external_lex_state = 15},
  [2001] = {.lex_state = 52, .external_lex_state = 12},
  [2002] = {.lex_state = 52, .external_lex_state = 15},
  [2003] = {.lex_state = 52, .external_lex_state = 15},
  [2004] = {.lex_state = 52, .external_lex_state = 13},
  [2005] = {.lex_state = 52, .external_lex_state = 9},
  [2006] = {.lex_state = 52, .external_lex_state = 15},
  [2007] = {.lex_state = 52, .external_lex_state = 15},
  [2008] = {.lex_state = 52, .external_lex_state = 15},
  [2009] = {.lex_state = 52, .external_lex_state = 12},
  [2010] = {.lex_state = 52, .external_lex_state = 15},
  [2011] = {.lex_state = 52, .external_lex_state = 15},
  [2012] = {.lex_state = 8, .external_lex_state = 14},
  [2013] = {.lex_state = 52, .external_lex_state = 15},
  [2014] = {.lex_state = 52, .external_lex_state = 15},
  [2015] = {.lex_state = 52, .external_lex_state = 9},
  [2016] = {.lex_state = 8, .external_lex_state = 15},
  [2017] = {.lex_state = 8, .external_lex_state = 15},
  [2018] = {.lex_state = 8, .external_lex_state = 15},
  [2019] = {.lex_state = 52, .external_lex_state = 15},
  [2020] = {.lex_state = 52, .external_lex_state = 13},
  [2021] = {.lex_state = 52, .external_lex_state = 15},
  [2022] = {.lex_state = 52, .external_lex_state = 13},
  [2023] = {.lex_state = 52, .external_lex_state = 15},
  [2024] = {.lex_state = 52, .external_lex_state = 13},
  [2025] = {.lex_state = 52, .external_lex_state = 15},
  [2026] = {.lex_state = 52, .external_lex_state = 15},
  [2027] = {.lex_state = 52, .external_lex_state = 15},
  [2028] = {.lex_state = 52, .external_lex_state = 15},
  [2029] = {.lex_state = 52, .external_lex_state = 15},
  [2030] = {.lex_state = 52, .external_lex_state = 15},
  [2031] = {.lex_state = 52, .external_lex_state = 12},
  [2032] = {.lex_state = 8, .external_lex_state = 14},
  [2033] = {.lex_state = 8, .external_lex_state = 14},
  [2034] = {.lex_state = 52, .external_lex_state = 9},
  [2035] = {.lex_state = 52, .external_lex_state = 12},
  [2036] = {.lex_state = 52, .external_lex_state = 15},
  [2037] = {.lex_state = 3, .external_lex_state = 12},
  [2038] = {.lex_state = 52, .external_lex_state = 15},
  [2039] = {.lex_state = 52, .external_lex_state = 15},
  [2040] = {.lex_state = 52, .external_lex_state = 15},
  [2041] = {.lex_state = 52, .external_lex_state = 12},
  [2042] = {.lex_state = 52, .external_lex_state = 15},
  [2043] = {.lex_state = 52, .external_lex_state = 15},
  [2044] = {.lex_state = 3, .external_lex_state = 12},
  [2045] = {.lex_state = 52, .external_lex_state = 15},
  [2046] = {.lex_state = 52, .external_lex_state = 12},
  [2047] = {.lex_state = 7, .external_lex_state = 9},
  [2048] = {.lex_state = 52, .external_lex_state = 14},
  [2049] = {.lex_state = 52, .external_lex_state = 15},
  [2050] = {.lex_state = 52, .external_lex_state = 9},
  [2051] = {.lex_state = 52, .external_lex_state = 15},
  [2052] = {.lex_state = 52, .external_lex_state = 12},
  [2053] = {.lex_state = 8, .external_lex_state = 15},
  [2054] = {.lex_state = 52, .external_lex_state = 15},
  [2055] = {.lex_state = 52, .external_lex_state = 15},
  [2056] = {.lex_state = 52, .external_lex_state = 9},
  [2057] = {.lex_state = 52, .external_lex_state = 15},
  [2058] = {.lex_state = 3, .external_lex_state = 12},
  [2059] = {.lex_state = 8, .external_lex_state = 14},
  [2060] = {.lex_state = 8, .external_lex_state = 14},
  [2061] = {.lex_state = 8, .external_lex_state = 14},
  [2062] = {.lex_state = 52, .external_lex_state = 12},
  [2063] = {.lex_state = 52, .external_lex_state = 15},
  [2064] = {.lex_state = 52, .external_lex_state = 15},
  [2065] = {.lex_state = 52, .external_lex_state = 15},
  [2066] = {.lex_state = 52, .external_lex_state = 12},
  [2067] = {.lex_state = 52, .external_lex_state = 12},
  [2068] = {.lex_state = 52, .external_lex_state = 12},
  [2069] = {.lex_state = 8, .external_lex_state = 14},
  [2070] = {.lex_state = 52, .external_lex_state = 15},
  [2071] = {.lex_state = 52, .external_lex_state = 12},
  [2072] = {.lex_state = 52, .external_lex_state = 12},
  [2073] = {.lex_state = 52, .external_lex_state = 12},
  [2074] = {.lex_state = 52, .external_lex_state = 12},
  [2075] = {.lex_state = 52, .external_lex_state = 12},
  [2076] = {.lex_state = 52, .external_lex_state = 15},
  [2077] = {.lex_state = 52, .external_lex_state = 9},
  [2078] = {.lex_state = 8, .external_lex_state = 15},
  [2079] = {.lex_state = 52, .external_lex_state = 15},
  [2080] = {.lex_state = 52, .external_lex_state = 14},
  [2081] = {.lex_state = 52, .external_lex_state = 14},
  [2082] = {.lex_state = 8, .external_lex_state = 14},
  [2083] = {.lex_state = 52, .external_lex_state = 15},
  [2084] = {.lex_state = 52, .external_lex_state = 15},
  [2085] = {.lex_state = 8, .external_lex_state = 15},
  [2086] = {.lex_state = 52, .external_lex_state = 14},
  [2087] = {.lex_state = 8, .external_lex_state = 14},
  [2088] = {.lex_state = 52, .external_lex_state = 15},
  [2089] = {.lex_state = 52, .external_lex_state = 13},
  [2090] = {.lex_state = 52, .external_lex_state = 12},
  [2091] = {.lex_state = 52, .external_lex_state = 15},
  [2092] = {.lex_state = 52, .external_lex_state = 9},
  [2093] = {.lex_state = 52, .external_lex_state = 12},
  [2094] = {.lex_state = 52, .external_lex_state = 15},
  [2095] = {.lex_state = 52, .external_lex_state = 15},
  [2096] = {.lex_state = 52, .external_lex_state = 15},
  [2097] = {.lex_state = 52, .external_lex_state = 13},
  [2098] = {.lex_state = 52, .external_lex_state = 14},
  [2099] = {.lex_state = 52, .external_lex_state = 15},
  [2100] = {.lex_state = 52, .external_lex_state = 15},
  [2101] = {.lex_state = 52, .external_lex_state = 15},
  [2102] = {.lex_state = 52, .external_lex_state = 14},
  [2103] = {.lex_state = 52, .external_lex_state = 14},
  [2104] = {.lex_state = 52, .external_lex_state = 12},
  [2105] = {.lex_state = 52, .external_lex_state = 13},
  [2106] = {.lex_state = 52, .external_lex_state = 13},
  [2107] = {.lex_state = 8, .external_lex_state = 14},
  [2108] = {.lex_state = 8, .external_lex_state = 13},
  [2109] = {.lex_state = 52, .external_lex_state = 12},
  [2110] = {.lex_state = 52, .external_lex_state = 14},
  [2111] = {.lex_state = 52, .external_lex_state = 9},
  [2112] = {.lex_state = 52, .external_lex_state = 13},
  [2113] = {.lex_state = 52, .external_lex_state = 12},
  [2114] = {.lex_state = 52, .external_lex_state = 13},
  [2115] = {.lex_state = 52, .external_lex_state = 13},
  [2116] = {.lex_state = 52, .external_lex_state = 13},
  [2117] = {.lex_state = 52, .external_lex_state = 15},
  [2118] = {.lex_state = 52, .external_lex_state = 13},
  [2119] = {.lex_state = 52, .external_lex_state = 14},
  [2120] = {.lex_state = 52, .external_lex_state = 13},
  [2121] = {.lex_state = 52, .external_lex_state = 13},
  [2122] = {.lex_state = 52, .external_lex_state = 9},
  [2123] = {.lex_state = 52, .external_lex_state = 13},
  [2124] = {.lex_state = 52, .external_lex_state = 13},
  [2125] = {.lex_state = 52, .external_lex_state = 12},
  [2126] = {.lex_state = 52, .external_lex_state = 13},
  [2127] = {.lex_state = 8, .external_lex_state = 15},
  [2128] = {.lex_state = 52, .external_lex_state = 9},
  [2129] = {.lex_state = 52, .external_lex_state = 12},
  [2130] = {.lex_state = 8, .external_lex_state = 15},
  [2131] = {.lex_state = 52, .external_lex_state = 13},
  [2132] = {.lex_state = 52, .external_lex_state = 12},
  [2133] = {.lex_state = 52, .external_lex_state = 12},
  [2134] = {.lex_state = 52, .external_lex_state = 9},
  [2135] = {.lex_state = 52, .external_lex_state = 9},
  [2136] = {.lex_state = 52, .external_lex_state = 9},
  [2137] = {.lex_state = 52, .external_lex_state = 12},
  [2138] = {.lex_state = 52, .external_lex_state = 12},
  [2139] = {.lex_state = 52, .external_lex_state = 12},
  [2140] = {.lex_state = 52, .external_lex_state = 13},
  [2141] = {.lex_state = 52, .external_lex_state = 12},
  [2142] = {.lex_state = 52, .external_lex_state = 12},
  [2143] = {.lex_state = 52, .external_lex_state = 13},
  [2144] = {.lex_state = 52, .external_lex_state = 12},
  [2145] = {.lex_state = 52, .external_lex_state = 13},
  [2146] = {.lex_state = 52, .external_lex_state = 13},
  [2147] = {.lex_state = 52, .external_lex_state = 12},
  [2148] = {.lex_state = 52, .external_lex_state = 12},
  [2149] = {.lex_state = 52, .external_lex_state = 9},
  [2150] = {.lex_state = 52, .external_lex_state = 9},
  [2151] = {.lex_state = 52, .external_lex_state = 12},
  [2152] = {.lex_state = 52, .external_lex_state = 12},
  [2153] = {.lex_state = 52, .external_lex_state = 12},
  [2154] = {.lex_state = 52, .external_lex_state = 12},
  [2155] = {.lex_state = 52, .external_lex_state = 12},
  [2156] = {.lex_state = 52, .external_lex_state = 12},
  [2157] = {.lex_state = 52, .external_lex_state = 12},
  [2158] = {.lex_state = 52, .external_lex_state = 12},
  [2159] = {.lex_state = 52, .external_lex_state = 12},
  [2160] = {.lex_state = 52, .external_lex_state = 12},
  [2161] = {.lex_state = 52, .external_lex_state = 12},
  [2162] = {.lex_state = 52, .external_lex_state = 12},
  [2163] = {.lex_state = 52, .external_lex_state = 13},
  [2164] = {.lex_state = 52, .external_lex_state = 18},
  [2165] = {.lex_state = 52, .external_lex_state = 13},
  [2166] = {.lex_state = 52, .external_lex_state = 13},
  [2167] = {.lex_state = 52, .external_lex_state = 13},
  [2168] = {.lex_state = 52, .external_lex_state = 13},
  [2169] = {.lex_state = 52, .external_lex_state = 13},
  [2170] = {.lex_state = 52, .external_lex_state = 13},
  [2171] = {.lex_state = 52, .external_lex_state = 13},
  [2172] = {.lex_state = 52, .external_lex_state = 13},
  [2173] = {.lex_state = 52, .external_lex_state = 14},
  [2174] = {.lex_state = 52, .external_lex_state = 14},
  [2175] = {.lex_state = 52, .external_lex_state = 14},
  [2176] = {.lex_state = 52, .external_lex_state = 13},
  [2177] = {.lex_state = 52, .external_lex_state = 14},
  [2178] = {.lex_state = 52, .external_lex_state = 15},
  [2179] = {.lex_state = 52, .external_lex_state = 9},
  [2180] = {.lex_state = 52, .external_lex_state = 13},
  [2181] = {.lex_state = 52, .external_lex_state = 13},
  [2182] = {.lex_state = 52, .external_lex_state = 18},
  [2183] = {.lex_state = 52, .external_lex_state = 13},
  [2184] = {.lex_state = 52, .external_lex_state = 14},
  [2185] = {.lex_state = 52, .external_lex_state = 9},
  [2186] = {.lex_state = 52, .external_lex_state = 9},
  [2187] = {.lex_state = 52, .external_lex_state = 15},
  [2188] = {.lex_state = 52, .external_lex_state = 13},
  [2189] = {.lex_state = 52, .external_lex_state = 9},
  [2190] = {.lex_state = 52, .external_lex_state = 9},
  [2191] = {.lex_state = 52, .external_lex_state = 13},
  [2192] = {.lex_state = 52, .external_lex_state = 13},
  [2193] = {.lex_state = 52, .external_lex_state = 13},
  [2194] = {.lex_state = 52, .external_lex_state = 13},
  [2195] = {.lex_state = 52, .external_lex_state = 14},
  [2196] = {.lex_state = 52, .external_lex_state = 14},
  [2197] = {.lex_state = 52, .external_lex_state = 9},
  [2198] = {.lex_state = 52, .external_lex_state = 14},
  [2199] = {.lex_state = 52, .external_lex_state = 14},
  [2200] = {.lex_state = 52, .external_lex_state = 14},
  [2201] = {.lex_state = 52, .external_lex_state = 14},
  [2202] = {.lex_state = 52, .external_lex_state = 15},
  [2203] = {.lex_state = 52, .external_lex_state = 18},
  [2204] = {.lex_state = 52, .external_lex_state = 14},
  [2205] = {.lex_state = 7, .external_lex_state = 15},
  [2206] = {.lex_state = 7, .external_lex_state = 15},
  [2207] = {.lex_state = 52, .external_lex_state = 14},
  [2208] = {.lex_state = 52, .external_lex_state = 15},
  [2209] = {.lex_state = 52, .external_lex_state = 13},
  [2210] = {.lex_state = 52, .external_lex_state = 13},
  [2211] = {.lex_state = 52, .external_lex_state = 12},
  [2212] = {.lex_state = 52, .external_lex_state = 15},
  [2213] = {.lex_state = 52, .external_lex_state = 9},
  [2214] = {.lex_state = 52, .external_lex_state = 15},
  [2215] = {.lex_state = 52, .external_lex_state = 14},
  [2216] = {.lex_state = 52, .external_lex_state = 14},
  [2217] = {.lex_state = 52, .external_lex_state = 18},
  [2218] = {.lex_state = 52, .external_lex_state = 9},
  [2219] = {.lex_state = 52, .external_lex_state = 14},
  [2220] = {.lex_state = 52, .external_lex_state = 14},
  [2221] = {.lex_state = 52, .external_lex_state = 14},
  [2222] = {.lex_state = 52, .external_lex_state = 14},
  [2223] = {.lex_state = 52, .external_lex_state = 18},
  [2224] = {.lex_state = 52, .external_lex_state = 14},
  [2225] = {.lex_state = 52, .external_lex_state = 9},
  [2226] = {.lex_state = 52, .external_lex_state = 14},
  [2227] = {.lex_state = 52, .external_lex_state = 14},
  [2228] = {.lex_state = 52, .external_lex_state = 14},
  [2229] = {.lex_state = 52, .external_lex_state = 14},
  [2230] = {.lex_state = 52, .external_lex_state = 14},
  [2231] = {.lex_state = 52, .external_lex_state = 14},
  [2232] = {.lex_state = 52, .external_lex_state = 15},
  [2233] = {.lex_state = 52, .external_lex_state = 15},
  [2234] = {.lex_state = 52, .external_lex_state = 15},
  [2235] = {.lex_state = 52, .external_lex_state = 13},
  [2236] = {.lex_state = 52, .external_lex_state = 15},
  [2237] = {.lex_state = 52, .external_lex_state = 13},
  [2238] = {.lex_state = 52, .external_lex_state = 15},
  [2239] = {.lex_state = 52, .external_lex_state = 15},
  [2240] = {.lex_state = 52, .external_lex_state = 14},
  [2241] = {.lex_state = 52, .external_lex_state = 14},
  [2242] = {.lex_state = 52, .external_lex_state = 13},
  [2243] = {.lex_state = 52, .external_lex_state = 12},
  [2244] = {.lex_state = 52, .external_lex_state = 13},
  [2245] = {.lex_state = 52, .external_lex_state = 12},
  [2246] = {.lex_state = 52, .external_lex_state = 14},
  [2247] = {.lex_state = 52, .external_lex_state = 13},
  [2248] = {.lex_state = 52, .external_lex_state = 14},
  [2249] = {.lex_state = 52, .external_lex_state = 15},
  [2250] = {.lex_state = 52, .external_lex_state = 12},
  [2251] = {.lex_state = 52, .external_lex_state = 12},
  [2252] = {.lex_state = 52, .external_lex_state = 12},
  [2253] = {.lex_state = 52, .external_lex_state = 12},
  [2254] = {.lex_state = 52, .external_lex_state = 13},
  [2255] = {.lex_state = 52, .external_lex_state = 13},
  [2256] = {.lex_state = 52, .external_lex_state = 12},
  [2257] = {.lex_state = 52, .external_lex_state = 12},
  [2258] = {.lex_state = 52, .external_lex_state = 15},
  [2259] = {.lex_state = 9, .external_lex_state = 17},
  [2260] = {.lex_state = 52, .external_lex_state = 9},
  [2261] = {.lex_state = 52, .external_lex_state = 13},
  [2262] = {.lex_state = 8, .external_lex_state = 15},
  [2263] = {.lex_state = 52, .external_lex_state = 9},
  [2264] = {.lex_state = 52, .external_lex_state = 13},
  [2265] = {.lex_state = 3, .external_lex_state = 12},
  [2266] = {.lex_state = 52, .external_lex_state = 13},
  [2267] = {.lex_state = 52, .external_lex_state = 12},
  [2268] = {.lex_state = 52, .external_lex_state = 9},
  [2269] = {.lex_state = 52, .external_lex_state = 15},
  [2270] = {.lex_state = 52, .external_lex_state = 15},
  [2271] = {.lex_state = 52, .external_lex_state = 12},
  [2272] = {.lex_state = 52, .external_lex_state = 15},
  [2273] = {.lex_state = 52, .external_lex_state = 13},
  [2274] = {.lex_state = 52, .external_lex_state = 13},
  [2275] = {.lex_state = 52, .external_lex_state = 15},
  [2276] = {.lex_state = 52, .external_lex_state = 13},
  [2277] = {.lex_state = 52, .external_lex_state = 14},
  [2278] = {.lex_state = 3, .external_lex_state = 12},
  [2279] = {.lex_state = 52, .external_lex_state = 12},
  [2280] = {.lex_state = 9, .external_lex_state = 17},
  [2281] = {.lex_state = 3, .external_lex_state = 12},
  [2282] = {.lex_state = 52, .external_lex_state = 13},
  [2283] = {.lex_state = 52, .external_lex_state = 12},
  [2284] = {.lex_state = 52, .external_lex_state = 13},
  [2285] = {.lex_state = 52, .external_lex_state = 14},
  [2286] = {.lex_state = 52, .external_lex_state = 14},
  [2287] = {.lex_state = 52, .external_lex_state = 14},
  [2288] = {.lex_state = 3, .external_lex_state = 12},
  [2289] = {.lex_state = 52, .external_lex_state = 12},
  [2290] = {.lex_state = 52, .external_lex_state = 15},
  [2291] = {.lex_state = 52, .external_lex_state = 12},
  [2292] = {.lex_state = 52, .external_lex_state = 13},
  [2293] = {.lex_state = 8, .external_lex_state = 15},
  [2294] = {.lex_state = 52, .external_lex_state = 9},
  [2295] = {.lex_state = 52, .external_lex_state = 13},
  [2296] = {.lex_state = 52, .external_lex_state = 13},
  [2297] = {.lex_state = 52, .external_lex_state = 12},
  [2298] = {.lex_state = 52, .external_lex_state = 13},
  [2299] = {.lex_state = 52, .external_lex_state = 9},
  [2300] = {.lex_state = 52, .external_lex_state = 9},
  [2301] = {.lex_state = 52, .external_lex_state = 13},
  [2302] = {.lex_state = 52, .external_lex_state = 12},
  [2303] = {.lex_state = 52, .external_lex_state = 13},
  [2304] = {.lex_state = 52, .external_lex_state = 15},
  [2305] = {.lex_state = 52, .external_lex_state = 12},
  [2306] = {.lex_state = 52, .external_lex_state = 9},
  [2307] = {.lex_state = 52, .external_lex_state = 12},
  [2308] = {.lex_state = 52, .external_lex_state = 9},
  [2309] = {.lex_state = 52, .external_lex_state = 13},
  [2310] = {.lex_state = 52, .external_lex_state = 9},
  [2311] = {.lex_state = 52, .external_lex_state = 14},
  [2312] = {.lex_state = 52, .external_lex_state = 13},
  [2313] = {.lex_state = 52, .external_lex_state = 12},
  [2314] = {.lex_state = 52, .external_lex_state = 13},
  [2315] = {.lex_state = 52, .external_lex_state = 13},
  [2316] = {.lex_state = 52, .external_lex_state = 13},
  [2317] = {.lex_state = 52, .external_lex_state = 13},
  [2318] = {.lex_state = 52, .external_lex_state = 13},
  [2319] = {.lex_state = 52, .external_lex_state = 12},
  [2320] = {.lex_state = 52, .external_lex_state = 14},
  [2321] = {.lex_state = 52, .external_lex_state = 14},
  [2322] = {.lex_state = 52, .external_lex_state = 14},
  [2323] = {.lex_state = 52, .external_lex_state = 13},
  [2324] = {.lex_state = 52, .external_lex_state = 13},
  [2325] = {.lex_state = 52, .external_lex_state = 13},
  [2326] = {.lex_state = 52, .external_lex_state = 13},
  [2327] = {.lex_state = 52, .external_lex_state = 14},
  [2328] = {.lex_state = 52, .external_lex_state = 14},
  [2329] = {.lex_state = 52, .external_lex_state = 14},
  [2330] = {.lex_state = 52, .external_lex_state = 14},
  [2331] = {.lex_state = 52, .external_lex_state = 19},
  [2332] = {.lex_state = 52, .external_lex_state = 12},
  [2333] = {.lex_state = 52, .external_lex_state = 14},
  [2334] = {.lex_state = 52, .external_lex_state = 9},
  [2335] = {.lex_state = 52, .external_lex_state = 13},
  [2336] = {.lex_state = 52, .external_lex_state = 13},
  [2337] = {.lex_state = 52, .external_lex_state = 13},
  [2338] = {.lex_state = 52, .external_lex_state = 13},
  [2339] = {.lex_state = 52, .external_lex_state = 9},
  [2340] = {.lex_state = 52, .external_lex_state = 13},
  [2341] = {.lex_state = 52, .external_lex_state = 9},
  [2342] = {.lex_state = 52, .external_lex_state = 14},
  [2343] = {.lex_state = 52, .external_lex_state = 14},
  [2344] = {.lex_state = 52, .external_lex_state = 13},
  [2345] = {.lex_state = 52, .external_lex_state = 13},
  [2346] = {.lex_state = 52, .external_lex_state = 15},
  [2347] = {.lex_state = 52, .external_lex_state = 12},
  [2348] = {.lex_state = 52, .external_lex_state = 12},
  [2349] = {.lex_state = 52, .external_lex_state = 14},
  [2350] = {.lex_state = 52, .external_lex_state = 9},
  [2351] = {.lex_state = 52, .external_lex_state = 13},
  [2352] = {.lex_state = 52, .external_lex_state = 12},
  [2353] = {.lex_state = 52, .external_lex_state = 13},
  [2354] = {.lex_state = 52, .external_lex_state = 13},
  [2355] = {.lex_state = 52, .external_lex_state = 13},
  [2356] = {.lex_state = 52, .external_lex_state = 13},
  [2357] = {.lex_state = 52, .external_lex_state = 12},
  [2358] = {.lex_state = 52, .external_lex_state = 14},
  [2359] = {.lex_state = 52, .external_lex_state = 9},
  [2360] = {.lex_state = 52, .external_lex_state = 14},
  [2361] = {.lex_state = 52, .external_lex_state = 13},
  [2362] = {.lex_state = 52, .external_lex_state = 13},
  [2363] = {.lex_state = 52, .external_lex_state = 15},
  [2364] = {.lex_state = 52, .external_lex_state = 14},
  [2365] = {.lex_state = 52, .external_lex_state = 14},
  [2366] = {.lex_state = 52, .external_lex_state = 19},
  [2367] = {.lex_state = 52, .external_lex_state = 13},
  [2368] = {.lex_state = 52, .external_lex_state = 13},
  [2369] = {.lex_state = 52, .external_lex_state = 15},
  [2370] = {.lex_state = 52, .external_lex_state = 13},
  [2371] = {.lex_state = 9, .external_lex_state = 17},
  [2372] = {.lex_state = 52, .external_lex_state = 14},
  [2373] = {.lex_state = 52, .external_lex_state = 13},
  [2374] = {.lex_state = 52, .external_lex_state = 9},
  [2375] = {.lex_state = 52, .external_lex_state = 13},
  [2376] = {.lex_state = 52, .external_lex_state = 9},
  [2377] = {.lex_state = 52, .external_lex_state = 13},
  [2378] = {.lex_state = 52, .external_lex_state = 14},
  [2379] = {.lex_state = 52, .external_lex_state = 13},
  [2380] = {.lex_state = 52, .external_lex_state = 12},
  [2381] = {.lex_state = 52, .external_lex_state = 13},
  [2382] = {.lex_state = 52, .external_lex_state = 14},
  [2383] = {.lex_state = 52, .external_lex_state = 13},
  [2384] = {.lex_state = 52, .external_lex_state = 14},
  [2385] = {.lex_state = 52, .external_lex_state = 9},
  [2386] = {.lex_state = 52, .external_lex_state = 12},
  [2387] = {.lex_state = 52, .external_lex_state = 19},
  [2388] = {.lex_state = 52, .external_lex_state = 13},
  [2389] = {.lex_state = 52, .external_lex_state = 13},
  [2390] = {.lex_state = 52, .external_lex_state = 19},
  [2391] = {.lex_state = 52, .external_lex_state = 14},
  [2392] = {.lex_state = 52, .external_lex_state = 15},
  [2393] = {.lex_state = 52, .external_lex_state = 12},
  [2394] = {.lex_state = 52, .external_lex_state = 13},
  [2395] = {.lex_state = 52, .external_lex_state = 13},
  [2396] = {.lex_state = 52, .external_lex_state = 12},
  [2397] = {.lex_state = 52, .external_lex_state = 14},
  [2398] = {.lex_state = 52, .external_lex_state = 14},
  [2399] = {.lex_state = 52, .external_lex_state = 15},
  [2400] = {.lex_state = 52, .external_lex_state = 9},
  [2401] = {.lex_state = 52, .external_lex_state = 19},
  [2402] = {.lex_state = 52, .external_lex_state = 13},
  [2403] = {.lex_state = 52, .external_lex_state = 15},
  [2404] = {.lex_state = 52, .external_lex_state = 14},
  [2405] = {.lex_state = 52, .external_lex_state = 9},
  [2406] = {.lex_state = 52, .external_lex_state = 12},
  [2407] = {.lex_state = 52, .external_lex_state = 14},
  [2408] = {.lex_state = 52, .external_lex_state = 14},
  [2409] = {.lex_state = 52, .external_lex_state = 14},
  [2410] = {.lex_state = 52, .external_lex_state = 14},
  [2411] = {.lex_state = 52, .external_lex_state = 15},
  [2412] = {.lex_state = 3, .external_lex_state = 12},
  [2413] = {.lex_state = 52, .external_lex_state = 12},
  [2414] = {.lex_state = 52, .external_lex_state = 14},
  [2415] = {.lex_state = 52, .external_lex_state = 14},
  [2416] = {.lex_state = 52, .external_lex_state = 14},
  [2417] = {.lex_state = 52, .external_lex_state = 13},
  [2418] = {.lex_state = 52, .external_lex_state = 13},
  [2419] = {.lex_state = 52, .external_lex_state = 13},
  [2420] = {.lex_state = 52, .external_lex_state = 12},
  [2421] = {.lex_state = 52, .external_lex_state = 12},
  [2422] = {.lex_state = 52, .external_lex_state = 13},
  [2423] = {.lex_state = 52, .external_lex_state = 13},
  [2424] = {.lex_state = 52, .external_lex_state = 15},
  [2425] = {.lex_state = 52, .external_lex_state = 13},
  [2426] = {.lex_state = 3, .external_lex_state = 12},
  [2427] = {.lex_state = 52, .external_lex_state = 12},
  [2428] = {.lex_state = 52, .external_lex_state = 14},
  [2429] = {.lex_state = 52, .external_lex_state = 15},
  [2430] = {.lex_state = 52, .external_lex_state = 15},
  [2431] = {.lex_state = 52, .external_lex_state = 9},
  [2432] = {.lex_state = 52, .external_lex_state = 13},
  [2433] = {.lex_state = 52, .external_lex_state = 15},
  [2434] = {.lex_state = 52, .external_lex_state = 13},
  [2435] = {.lex_state = 52, .external_lex_state = 13},
  [2436] = {.lex_state = 52, .external_lex_state = 9},
  [2437] = {.lex_state = 8, .external_lex_state = 15},
  [2438] = {.lex_state = 52, .external_lex_state = 13},
  [2439] = {.lex_state = 52, .external_lex_state = 13},
  [2440] = {.lex_state = 8, .external_lex_state = 15},
  [2441] = {.lex_state = 8, .external_lex_state = 15},
  [2442] = {.lex_state = 8, .external_lex_state = 15},
  [2443] = {.lex_state = 52, .external_lex_state = 13},
  [2444] = {.lex_state = 52, .external_lex_state = 14},
  [2445] = {.lex_state = 52, .external_lex_state = 14},
  [2446] = {.lex_state = 52, .external_lex_state = 14},
  [2447] = {.lex_state = 52, .external_lex_state = 13},
  [2448] = {.lex_state = 52, .external_lex_state = 13},
  [2449] = {.lex_state = 8, .external_lex_state = 15},
  [2450] = {.lex_state = 52, .external_lex_state = 15},
  [2451] = {.lex_state = 52, .external_lex_state = 15},
  [2452] = {.lex_state = 52, .external_lex_state = 9},
  [2453] = {.lex_state = 52, .external_lex_state = 15},
  [2454] = {.lex_state = 52, .external_lex_state = 12},
  [2455] = {.lex_state = 52, .external_lex_state = 14},
  [2456] = {.lex_state = 52, .external_lex_state = 19},
  [2457] = {.lex_state = 52, .external_lex_state = 15},
  [2458] = {.lex_state = 52, .external_lex_state = 15},
  [2459] = {.lex_state = 52, .external_lex_state = 12},
  [2460] = {.lex_state = 52, .external_lex_state = 9},
  [2461] = {.lex_state = 52, .external_lex_state = 14},
  [2462] = {.lex_state = 52, .external_lex_state = 12},
  [2463] = {.lex_state = 52, .external_lex_state = 14},
  [2464] = {.lex_state = 52, .external_lex_state = 12},
  [2465] = {.lex_state = 52, .external_lex_state = 13},
  [2466] = {.lex_state = 52, .external_lex_state = 13},
  [2467] = {.lex_state = 52, .external_lex_state = 12},
  [2468] = {.lex_state = 52, .external_lex_state = 13},
  [2469] = {.lex_state = 52, .external_lex_state = 14},
  [2470] = {.lex_state = 52, .external_lex_state = 15},
  [2471] = {.lex_state = 52, .external_lex_state = 19},
  [2472] = {.lex_state = 52, .external_lex_state = 13},
  [2473] = {.lex_state = 52, .external_lex_state = 13},
  [2474] = {.lex_state = 52, .external_lex_state = 14},
  [2475] = {.lex_state = 52, .external_lex_state = 14},
  [2476] = {.lex_state = 9, .external_lex_state = 17},
  [2477] = {.lex_state = 52, .external_lex_state = 14},
  [2478] = {.lex_state = 52, .external_lex_state = 15},
  [2479] = {.lex_state = 52, .external_lex_state = 13},
  [2480] = {.lex_state = 52, .external_lex_state = 14},
  [2481] = {.lex_state = 52, .external_lex_state = 19},
  [2482] = {.lex_state = 52, .external_lex_state = 13},
  [2483] = {.lex_state = 52, .external_lex_state = 15},
  [2484] = {.lex_state = 8, .external_lex_state = 15},
  [2485] = {.lex_state = 52, .external_lex_state = 15},
  [2486] = {.lex_state = 52, .external_lex_state = 13},
  [2487] = {.lex_state = 52, .external_lex_state = 13},
  [2488] = {.lex_state = 9, .external_lex_state = 17},
  [2489] = {.lex_state = 52, .external_lex_state = 13},
  [2490] = {.lex_state = 3, .external_lex_state = 12},
  [2491] = {.lex_state = 3, .external_lex_state = 12},
  [2492] = {.lex_state = 3, .external_lex_state = 12},
  [2493] = {.lex_state = 52, .external_lex_state = 15},
  [2494] = {.lex_state = 52, .external_lex_state = 15},
  [2495] = {.lex_state = 52, .external_lex_state = 15},
  [2496] = {.lex_state = 52, .external_lex_state = 14},
  [2497] = {.lex_state = 52, .external_lex_state = 12},
  [2498] = {.lex_state = 52, .external_lex_state = 9},
  [2499] = {.lex_state = 9, .external_lex_state = 15},
  [2500] = {.lex_state = 52, .external_lex_state = 15},
  [2501] = {.lex_state = 52, .external_lex_state = 15},
  [2502] = {.lex_state = 52, .external_lex_state = 14},
  [2503] = {.lex_state = 52, .external_lex_state = 14},
  [2504] = {.lex_state = 52, .external_lex_state = 15},
  [2505] = {.lex_state = 52, .external_lex_state = 12},
  [2506] = {.lex_state = 52, .external_lex_state = 12},
  [2507] = {.lex_state = 52, .external_lex_state = 9},
  [2508] = {.lex_state = 52, .external_lex_state = 9},
  [2509] = {.lex_state = 52, .external_lex_state = 12},
  [2510] = {.lex_state = 52, .external_lex_state = 15},
  [2511] = {.lex_state = 52, .external_lex_state = 18},
  [2512] = {.lex_state = 52, .external_lex_state = 15},
  [2513] = {.lex_state = 52, .external_lex_state = 9},
  [2514] = {.lex_state = 52, .external_lex_state = 14},
  [2515] = {.lex_state = 52, .external_lex_state = 13},
  [2516] = {.lex_state = 52, .external_lex_state = 18},
  [2517] = {.lex_state = 52, .external_lex_state = 18},
  [2518] = {.lex_state = 52, .external_lex_state = 18},
  [2519] = {.lex_state = 52, .external_lex_state = 9},
  [2520] = {.lex_state = 9, .external_lex_state = 15},
  [2521] = {.lex_state = 52, .external_lex_state = 9},
  [2522] = {.lex_state = 52, .external_lex_state = 15},
  [2523] = {.lex_state = 52, .external_lex_state = 18},
  [2524] = {.lex_state = 52, .external_lex_state = 18},
  [2525] = {.lex_state = 52, .external_lex_state = 18},
  [2526] = {.lex_state = 52, .external_lex_state = 18},
  [2527] = {.lex_state = 52, .external_lex_state = 9},
  [2528] = {.lex_state = 52, .external_lex_state = 13},
  [2529] = {.lex_state = 52, .external_lex_state = 15},
  [2530] = {.lex_state = 52, .external_lex_state = 9},
  [2531] = {.lex_state = 52, .external_lex_state = 18},
  [2532] = {.lex_state = 52, .external_lex_state = 9},
  [2533] = {.lex_state = 52, .external_lex_state = 13},
  [2534] = {.lex_state = 52, .external_lex_state = 9},
  [2535] = {.lex_state = 52, .external_lex_state = 18},
  [2536] = {.lex_state = 9, .external_lex_state = 15},
  [2537] = {.lex_state = 52, .external_lex_state = 13},
  [2538] = {.lex_state = 52, .external_lex_state = 15},
  [2539] = {.lex_state = 52, .external_lex_state = 15},
  [2540] = {.lex_state = 52, .external_lex_state = 12},
  [2541] = {.lex_state = 52, .external_lex_state = 9},
  [2542] = {.lex_state = 52, .external_lex_state = 13},
  [2543] = {.lex_state = 9, .external_lex_state = 15},
  [2544] = {.lex_state = 52, .external_lex_state = 15},
  [2545] = {.lex_state = 9, .external_lex_state = 15},
  [2546] = {.lex_state = 52, .external_lex_state = 15},
  [2547] = {.lex_state = 52, .external_lex_state = 15},
  [2548] = {.lex_state = 52, .external_lex_state = 14},
  [2549] = {.lex_state = 52, .external_lex_state = 15},
  [2550] = {.lex_state = 52, .external_lex_state = 15},
  [2551] = {.lex_state = 9, .external_lex_state = 15},
  [2552] = {.lex_state = 52, .external_lex_state = 13},
  [2553] = {.lex_state = 52, .external_lex_state = 9},
  [2554] = {.lex_state = 52, .external_lex_state = 15},
  [2555] = {.lex_state = 52, .external_lex_state = 13},
  [2556] = {.lex_state = 52, .external_lex_state = 14},
  [2557] = {.lex_state = 52, .external_lex_state = 13},
  [2558] = {.lex_state = 52, .external_lex_state = 13},
  [2559] = {.lex_state = 52, .external_lex_state = 14},
  [2560] = {.lex_state = 52, .external_lex_state = 14},
  [2561] = {.lex_state = 9, .external_lex_state = 15},
  [2562] = {.lex_state = 52, .external_lex_state = 18},
  [2563] = {.lex_state = 9, .external_lex_state = 15},
  [2564] = {.lex_state = 9, .external_lex_state = 15},
  [2565] = {.lex_state = 52, .external_lex_state = 15},
  [2566] = {.lex_state = 52, .external_lex_state = 15},
  [2567] = {.lex_state = 9, .external_lex_state = 15},
  [2568] = {.lex_state = 52, .external_lex_state = 15},
  [2569] = {.lex_state = 52, .external_lex_state = 13},
  [2570] = {.lex_state = 52, .external_lex_state = 14},
  [2571] = {.lex_state = 52, .external_lex_state = 9},
  [2572] = {.lex_state = 52, .external_lex_state = 18},
  [2573] = {.lex_state = 52, .external_lex_state = 13},
  [2574] = {.lex_state = 52, .external_lex_state = 18},
  [2575] = {.lex_state = 52, .external_lex_state = 12},
  [2576] = {.lex_state = 52, .external_lex_state = 18},
  [2577] = {.lex_state = 52, .external_lex_state = 15},
  [2578] = {.lex_state = 52, .external_lex_state = 9},
  [2579] = {.lex_state = 52, .external_lex_state = 18},
  [2580] = {.lex_state = 52, .external_lex_state = 15},
  [2581] = {.lex_state = 52, .external_lex_state = 18},
  [2582] = {.lex_state = 52, .external_lex_state = 13},
  [2583] = {.lex_state = 52, .external_lex_state = 13},
  [2584] = {.lex_state = 52, .external_lex_state = 9},
  [2585] = {.lex_state = 52, .external_lex_state = 9},
  [2586] = {.lex_state = 52, .external_lex_state = 9},
  [2587] = {.lex_state = 52, .external_lex_state = 15},
  [2588] = {.lex_state = 52, .external_lex_state = 15},
  [2589] = {.lex_state = 52, .external_lex_state = 18},
  [2590] = {.lex_state = 52, .external_lex_state = 15},
  [2591] = {.lex_state = 52, .external_lex_state = 15},
  [2592] = {.lex_state = 52, .external_lex_state = 14},
  [2593] = {.lex_state = 52, .external_lex_state = 13},
  [2594] = {.lex_state = 52, .external_lex_state = 15},
  [2595] = {.lex_state = 52, .external_lex_state = 9},
  [2596] = {.lex_state = 52, .external_lex_state = 9},
  [2597] = {.lex_state = 52, .external_lex_state = 15},
  [2598] = {.lex_state = 52, .external_lex_state = 18},
  [2599] = {.lex_state = 52, .external_lex_state = 13},
  [2600] = {.lex_state = 52, .external_lex_state = 15},
  [2601] = {.lex_state = 52, .external_lex_state = 13},
  [2602] = {.lex_state = 52, .external_lex_state = 13},
  [2603] = {.lex_state = 52, .external_lex_state = 12},
  [2604] = {.lex_state = 52, .external_lex_state = 14},
  [2605] = {.lex_state = 52, .external_lex_state = 12},
  [2606] = {.lex_state = 52, .external_lex_state = 13},
  [2607] = {.lex_state = 52, .external_lex_state = 12},
  [2608] = {.lex_state = 52, .external_lex_state = 12},
  [2609] = {.lex_state = 52, .external_lex_state = 15},
  [2610] = {.lex_state = 52, .external_lex_state = 13},
  [2611] = {.lex_state = 4, .external_lex_state = 15},
  [2612] = {.lex_state = 52, .external_lex_state = 15},
  [2613] = {.lex_state = 52, .external_lex_state = 13},
  [2614] = {.lex_state = 52, .external_lex_state = 13},
  [2615] = {.lex_state = 52, .external_lex_state = 14},
  [2616] = {.lex_state = 52, .external_lex_state = 12},
  [2617] = {.lex_state = 52, .external_lex_state = 15},
  [2618] = {.lex_state = 52, .external_lex_state = 12},
  [2619] = {.lex_state = 52, .external_lex_state = 12},
  [2620] = {.lex_state = 52, .external_lex_state = 15},
  [2621] = {.lex_state = 52, .external_lex_state = 12},
  [2622] = {.lex_state = 52, .external_lex_state = 13},
  [2623] = {.lex_state = 52, .external_lex_state = 13},
  [2624] = {.lex_state = 52, .external_lex_state = 15},
  [2625] = {.lex_state = 52, .external_lex_state = 13},
  [2626] = {.lex_state = 52, .external_lex_state = 14},
  [2627] = {.lex_state = 52, .external_lex_state = 13},
  [2628] = {.lex_state = 52, .external_lex_state = 14},
  [2629] = {.lex_state = 52, .external_lex_state = 15},
  [2630] = {.lex_state = 52, .external_lex_state = 15},
  [2631] = {.lex_state = 52, .external_lex_state = 13},
  [2632] = {.lex_state = 52, .external_lex_state = 15},
  [2633] = {.lex_state = 52, .external_lex_state = 13},
  [2634] = {.lex_state = 52, .external_lex_state = 12},
  [2635] = {.lex_state = 52, .external_lex_state = 13},
  [2636] = {.lex_state = 52, .external_lex_state = 15},
  [2637] = {.lex_state = 52, .external_lex_state = 12},
  [2638] = {.lex_state = 4, .external_lex_state = 15},
  [2639] = {.lex_state = 52, .external_lex_state = 15},
  [2640] = {.lex_state = 52, .external_lex_state = 15},
  [2641] = {.lex_state = 52, .external_lex_state = 15},
  [2642] = {.lex_state = 52, .external_lex_state = 15},
  [2643] = {.lex_state = 52, .external_lex_state = 12},
  [2644] = {.lex_state = 52, .external_lex_state = 15},
  [2645] = {.lex_state = 52, .external_lex_state = 15},
  [2646] = {.lex_state = 52, .external_lex_state = 15},
  [2647] = {.lex_state = 52, .external_lex_state = 13},
  [2648] = {.lex_state = 52, .external_lex_state = 14},
  [2649] = {.lex_state = 52, .external_lex_state = 14},
  [2650] = {.lex_state = 52, .external_lex_state = 15},
  [2651] = {.lex_state = 52, .external_lex_state = 15},
  [2652] = {.lex_state = 52, .external_lex_state = 13},
  [2653] = {.lex_state = 52, .external_lex_state = 12},
  [2654] = {.lex_state = 52, .external_lex_state = 14},
  [2655] = {.lex_state = 52, .external_lex_state = 15},
  [2656] = {.lex_state = 52, .external_lex_state = 15},
  [2657] = {.lex_state = 52, .external_lex_state = 15},
  [2658] = {.lex_state = 52, .external_lex_state = 15},
  [2659] = {.lex_state = 52, .external_lex_state = 12},
  [2660] = {.lex_state = 52, .external_lex_state = 13},
  [2661] = {.lex_state = 52, .external_lex_state = 14},
  [2662] = {.lex_state = 52, .external_lex_state = 15},
  [2663] = {.lex_state = 52, .external_lex_state = 14},
  [2664] = {.lex_state = 52, .external_lex_state = 14},
  [2665] = {.lex_state = 52, .external_lex_state = 12},
  [2666] = {.lex_state = 52, .external_lex_state = 12},
  [2667] = {.lex_state = 52, .external_lex_state = 15},
  [2668] = {.lex_state = 52, .external_lex_state = 12},
  [2669] = {.lex_state = 52, .external_lex_state = 12},
  [2670] = {.lex_state = 52, .external_lex_state = 12},
  [2671] = {.lex_state = 52, .external_lex_state = 15},
  [2672] = {.lex_state = 52, .external_lex_state = 15},
  [2673] = {.lex_state = 52, .external_lex_state = 12},
  [2674] = {.lex_state = 52, .external_lex_state = 15},
  [2675] = {.lex_state = 52, .external_lex_state = 12},
  [2676] = {.lex_state = 52, .external_lex_state = 15},
  [2677] = {.lex_state = 52, .external_lex_state = 15},
  [2678] = {.lex_state = 52, .external_lex_state = 12},
  [2679] = {.lex_state = 52, .external_lex_state = 15},
  [2680] = {.lex_state = 52, .external_lex_state = 13},
  [2681] = {.lex_state = 52, .external_lex_state = 14},
  [2682] = {.lex_state = 52, .external_lex_state = 15},
  [2683] = {.lex_state = 4, .external_lex_state = 15},
  [2684] = {.lex_state = 52, .external_lex_state = 15},
  [2685] = {.lex_state = 52, .external_lex_state = 15},
  [2686] = {.lex_state = 52, .external_lex_state = 15},
  [2687] = {.lex_state = 52, .external_lex_state = 14},
  [2688] = {.lex_state = 52, .external_lex_state = 15},
  [2689] = {.lex_state = 52, .external_lex_state = 13},
  [2690] = {.lex_state = 52, .external_lex_state = 12},
  [2691] = {.lex_state = 52, .external_lex_state = 15},
  [2692] = {.lex_state = 52, .external_lex_state = 13},
  [2693] = {.lex_state = 52, .external_lex_state = 15},
  [2694] = {.lex_state = 52, .external_lex_state = 12},
  [2695] = {.lex_state = 52, .external_lex_state = 15},
  [2696] = {.lex_state = 52, .external_lex_state = 15},
  [2697] = {.lex_state = 52, .external_lex_state = 15},
  [2698] = {.lex_state = 52, .external_lex_state = 12},
  [2699] = {.lex_state = 52, .external_lex_state = 15},
  [2700] = {.lex_state = 52, .external_lex_state = 13},
  [2701] = {.lex_state = 52, .external_lex_state = 13},
  [2702] = {.lex_state = 52, .external_lex_state = 12},
  [2703] = {.lex_state = 52, .external_lex_state = 14},
  [2704] = {.lex_state = 52, .external_lex_state = 14},
  [2705] = {.lex_state = 52, .external_lex_state = 15},
  [2706] = {.lex_state = 52, .external_lex_state = 12},
  [2707] = {.lex_state = 52, .external_lex_state = 13},
  [2708] = {.lex_state = 52, .external_lex_state = 15},
  [2709] = {.lex_state = 52, .external_lex_state = 15},
  [2710] = {.lex_state = 52, .external_lex_state = 12},
  [2711] = {.lex_state = 52, .external_lex_state = 15},
  [2712] = {.lex_state = 52, .external_lex_state = 15},
  [2713] = {.lex_state = 52, .external_lex_state = 13},
  [2714] = {.lex_state = 52, .external_lex_state = 12},
  [2715] = {.lex_state = 52, .external_lex_state = 15},
  [2716] = {.lex_state = 52, .external_lex_state = 15},
  [2717] = {.lex_state = 52, .external_lex_state = 15},
  [2718] = {.lex_state = 52, .external_lex_state = 15},
  [2719] = {.lex_state = 52, .external_lex_state = 15},
  [2720] = {.lex_state = 52, .external_lex_state = 15},
  [2721] = {.lex_state = 52, .external_lex_state = 13},
  [2722] = {.lex_state = 52, .external_lex_state = 15},
  [2723] = {.lex_state = 52, .external_lex_state = 14},
  [2724] = {.lex_state = 52, .external_lex_state = 15},
  [2725] = {.lex_state = 52, .external_lex_state = 14},
  [2726] = {.lex_state = 52, .external_lex_state = 13},
  [2727] = {.lex_state = 52, .external_lex_state = 12},
  [2728] = {.lex_state = 52, .external_lex_state = 12},
  [2729] = {.lex_state = 52, .external_lex_state = 15},
  [2730] = {.lex_state = 52, .external_lex_state = 15},
  [2731] = {.lex_state = 52, .external_lex_state = 13},
  [2732] = {.lex_state = 52, .external_lex_state = 15},
  [2733] = {.lex_state = 52, .external_lex_state = 14},
  [2734] = {.lex_state = 52, .external_lex_state = 15},
  [2735] = {.lex_state = 52, .external_lex_state = 15},
  [2736] = {.lex_state = 52, .external_lex_state = 13},
  [2737] = {.lex_state = 52, .external_lex_state = 14},
  [2738] = {.lex_state = 52, .external_lex_state = 15},
  [2739] = {.lex_state = 52, .external_lex_state = 12},
  [2740] = {.lex_state = 52, .external_lex_state = 15},
  [2741] = {.lex_state = 52, .external_lex_state = 12},
  [2742] = {.lex_state = 52, .external_lex_state = 12},
  [2743] = {.lex_state = 52, .external_lex_state = 14},
  [2744] = {.lex_state = 52, .external_lex_state = 12},
  [2745] = {.lex_state = 52, .external_lex_state = 15},
  [2746] = {.lex_state = 52, .external_lex_state = 12},
  [2747] = {.lex_state = 52, .external_lex_state = 15},
  [2748] = {.lex_state = 52, .external_lex_state = 15},
  [2749] = {.lex_state = 52, .external_lex_state = 13},
  [2750] = {.lex_state = 52, .external_lex_state = 15},
  [2751] = {.lex_state = 4, .external_lex_state = 15},
  [2752] = {.lex_state = 52, .external_lex_state = 15},
  [2753] = {.lex_state = 52, .external_lex_state = 15},
  [2754] = {.lex_state = 52, .external_lex_state = 14},
  [2755] = {.lex_state = 52, .external_lex_state = 15},
  [2756] = {.lex_state = 52, .external_lex_state = 15},
  [2757] = {.lex_state = 52, .external_lex_state = 12},
  [2758] = {.lex_state = 52, .external_lex_state = 15},
  [2759] = {.lex_state = 52, .external_lex_state = 12},
  [2760] = {.lex_state = 52, .external_lex_state = 15},
  [2761] = {.lex_state = 52, .external_lex_state = 15},
  [2762] = {.lex_state = 52, .external_lex_state = 12},
  [2763] = {.lex_state = 52, .external_lex_state = 13},
  [2764] = {.lex_state = 52, .external_lex_state = 15},
  [2765] = {.lex_state = 52, .external_lex_state = 15},
  [2766] = {.lex_state = 52, .external_lex_state = 12},
  [2767] = {.lex_state = 52, .external_lex_state = 15},
  [2768] = {.lex_state = 52, .external_lex_state = 12},
  [2769] = {.lex_state = 52, .external_lex_state = 15},
  [2770] = {.lex_state = 52, .external_lex_state = 15},
  [2771] = {.lex_state = 4, .external_lex_state = 15},
  [2772] = {.lex_state = 52, .external_lex_state = 15},
  [2773] = {.lex_state = 4, .external_lex_state = 15},
  [2774] = {.lex_state = 52, .external_lex_state = 15},
  [2775] = {.lex_state = 4, .external_lex_state = 15},
  [2776] = {.lex_state = 52, .external_lex_state = 15},
  [2777] = {.lex_state = 4, .external_lex_state = 15},
  [2778] = {.lex_state = 52, .external_lex_state = 15},
  [2779] = {.lex_state = 52, .external_lex_state = 15},
  [2780] = {.lex_state = 52, .external_lex_state = 15},
  [2781] = {.lex_state = 52, .external_lex_state = 15},
  [2782] = {.lex_state = 52, .external_lex_state = 13},
  [2783] = {.lex_state = 52, .external_lex_state = 15},
  [2784] = {.lex_state = 52, .external_lex_state = 15},
  [2785] = {.lex_state = 52, .external_lex_state = 15},
  [2786] = {.lex_state = 52, .external_lex_state = 15},
  [2787] = {.lex_state = 52, .external_lex_state = 15},
  [2788] = {.lex_state = 52, .external_lex_state = 15},
  [2789] = {.lex_state = 52, .external_lex_state = 15},
  [2790] = {.lex_state = 52, .external_lex_state = 15},
  [2791] = {.lex_state = 52, .external_lex_state = 15},
  [2792] = {.lex_state = 52, .external_lex_state = 14},
  [2793] = {.lex_state = 52, .external_lex_state = 13},
  [2794] = {.lex_state = 52, .external_lex_state = 13},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym___future__] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_print] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_del] = ACTIONS(1),
    [anon_sym_raise] = ACTIONS(1),
    [anon_sym_pass] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_except] = ACTIONS(1),
    [anon_sym_except_STAR] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_def] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_nonlocal] = ACTIONS(1),
    [anon_sym_exec] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT_GT] = ACTIONS(1),
    [anon_sym_lambda] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_AT_EQ] = ACTIONS(1),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [sym_ellipsis] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [sym_type_conversion] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_none] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(5),
    [sym__newline] = ACTIONS(1),
    [sym__indent] = ACTIONS(1),
    [sym__dedent] = ACTIONS(1),
    [sym_string_start] = ACTIONS(1),
    [sym__string_content] = ACTIONS(1),
    [sym_escape_interpolation] = ACTIONS(1),
    [sym_string_end] = ACTIONS(1),
  },
  [1] = {
    [sym_module] = STATE(2753),
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(2376),
    [sym_future_import_statement] = STATE(2376),
    [sym_import_from_statement] = STATE(2376),
    [sym_print_statement] = STATE(2376),
    [sym_assert_statement] = STATE(2376),
    [sym_expression_statement] = STATE(2376),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2376),
    [sym_delete_statement] = STATE(2376),
    [sym_raise_statement] = STATE(2376),
    [sym_pass_statement] = STATE(2376),
    [sym_break_statement] = STATE(2376),
    [sym_continue_statement] = STATE(2376),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(2376),
    [sym_nonlocal_statement] = STATE(2376),
    [sym_exec_statement] = STATE(2376),
    [sym_type_alias_statement] = STATE(2376),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1791),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1791),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_def] = ACTIONS(49),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(81),
  },
  [2] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(727),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [3] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(706),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [4] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(755),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [5] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(809),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [6] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(738),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [7] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(748),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [8] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(750),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [9] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(753),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [10] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(758),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [11] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(702),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [12] = {
    [sym__statement] = STATE(70),
    [sym__simple_statements] = STATE(70),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(70),
    [sym_match_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_with_statement] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(70),
    [sym_decorated_definition] = STATE(70),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(674),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(70),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [13] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(762),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [14] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(765),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [15] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(766),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [16] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(723),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [17] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(711),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [18] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(773),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [19] = {
    [sym__statement] = STATE(70),
    [sym__simple_statements] = STATE(70),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(70),
    [sym_match_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_with_statement] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(70),
    [sym_decorated_definition] = STATE(70),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(681),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(70),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [20] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(682),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(81),
  },
  [21] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(777),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [22] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(714),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [23] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(2579),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(81),
  },
  [24] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(783),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [25] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(789),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [26] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(2511),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(81),
  },
  [27] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(2517),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(81),
  },
  [28] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(792),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [29] = {
    [sym__statement] = STATE(70),
    [sym__simple_statements] = STATE(70),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(70),
    [sym_match_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_try_statement] = STATE(70),
    [sym_with_statement] = STATE(70),
    [sym_function_definition] = STATE(70),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(70),
    [sym_decorated_definition] = STATE(70),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(687),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(70),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym_string_start] = ACTIONS(81),
  },
  [30] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(611),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym_string_start] = ACTIONS(81),
  },
  [31] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(2523),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(81),
  },
  [32] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(2524),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(81),
  },
  [33] = {
    [sym__statement] = STATE(71),
    [sym__simple_statements] = STATE(71),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(71),
    [sym_match_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_try_statement] = STATE(71),
    [sym_with_statement] = STATE(71),
    [sym_function_definition] = STATE(71),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(71),
    [sym_decorated_definition] = STATE(71),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(2535),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(71),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym_string_start] = ACTIONS(81),
  },
  [34] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(620),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [35] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(717),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [36] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(820),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [37] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(822),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [38] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(829),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [39] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(835),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [40] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(837),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [41] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(839),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [42] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(843),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [43] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(721),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [44] = {
    [sym__statement] = STATE(72),
    [sym__simple_statements] = STATE(72),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(72),
    [sym_match_statement] = STATE(72),
    [sym_for_statement] = STATE(72),
    [sym_while_statement] = STATE(72),
    [sym_try_statement] = STATE(72),
    [sym_with_statement] = STATE(72),
    [sym_function_definition] = STATE(72),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(72),
    [sym_decorated_definition] = STATE(72),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(651),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(72),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(81),
  },
  [45] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(790),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [46] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(787),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [47] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(788),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [48] = {
    [sym__statement] = STATE(63),
    [sym__simple_statements] = STATE(63),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(63),
    [sym_match_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_with_statement] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(63),
    [sym_decorated_definition] = STATE(63),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(1776),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(63),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(113),
    [sym_string_start] = ACTIONS(81),
  },
  [49] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(708),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [50] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(761),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [51] = {
    [sym__statement] = STATE(72),
    [sym__simple_statements] = STATE(72),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(72),
    [sym_match_statement] = STATE(72),
    [sym_for_statement] = STATE(72),
    [sym_while_statement] = STATE(72),
    [sym_try_statement] = STATE(72),
    [sym_with_statement] = STATE(72),
    [sym_function_definition] = STATE(72),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(72),
    [sym_decorated_definition] = STATE(72),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(665),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(72),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(81),
  },
  [52] = {
    [sym__statement] = STATE(62),
    [sym__simple_statements] = STATE(62),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(62),
    [sym_match_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_try_statement] = STATE(62),
    [sym_with_statement] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(62),
    [sym_decorated_definition] = STATE(62),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(666),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(62),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(115),
    [sym_string_start] = ACTIONS(81),
  },
  [53] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(842),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [54] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(707),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [55] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(739),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [56] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(752),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [57] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(754),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym_string_start] = ACTIONS(81),
  },
  [58] = {
    [sym__statement] = STATE(72),
    [sym__simple_statements] = STATE(72),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(72),
    [sym_match_statement] = STATE(72),
    [sym_for_statement] = STATE(72),
    [sym_while_statement] = STATE(72),
    [sym_try_statement] = STATE(72),
    [sym_with_statement] = STATE(72),
    [sym_function_definition] = STATE(72),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(72),
    [sym_decorated_definition] = STATE(72),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(672),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(72),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(111),
    [sym_string_start] = ACTIONS(81),
  },
  [59] = {
    [sym__statement] = STATE(62),
    [sym__simple_statements] = STATE(62),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(62),
    [sym_match_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_try_statement] = STATE(62),
    [sym_with_statement] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(62),
    [sym_decorated_definition] = STATE(62),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(677),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(62),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(115),
    [sym_string_start] = ACTIONS(81),
  },
  [60] = {
    [sym__statement] = STATE(63),
    [sym__simple_statements] = STATE(63),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(63),
    [sym_match_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_with_statement] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(63),
    [sym_decorated_definition] = STATE(63),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(1822),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(63),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(113),
    [sym_string_start] = ACTIONS(81),
  },
  [61] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1796),
    [sym_block] = STATE(688),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym_string_start] = ACTIONS(81),
  },
  [62] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1796),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(117),
    [sym_string_start] = ACTIONS(81),
  },
  [63] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1796),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(119),
    [sym_string_start] = ACTIONS(81),
  },
  [64] = {
    [sym__statement] = STATE(67),
    [sym__simple_statements] = STATE(67),
    [sym_import_statement] = STATE(2376),
    [sym_future_import_statement] = STATE(2376),
    [sym_import_from_statement] = STATE(2376),
    [sym_print_statement] = STATE(2376),
    [sym_assert_statement] = STATE(2376),
    [sym_expression_statement] = STATE(2376),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2376),
    [sym_delete_statement] = STATE(2376),
    [sym_raise_statement] = STATE(2376),
    [sym_pass_statement] = STATE(2376),
    [sym_break_statement] = STATE(2376),
    [sym_continue_statement] = STATE(2376),
    [sym_if_statement] = STATE(67),
    [sym_match_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_with_statement] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_global_statement] = STATE(2376),
    [sym_nonlocal_statement] = STATE(2376),
    [sym_exec_statement] = STATE(2376),
    [sym_type_alias_statement] = STATE(2376),
    [sym_class_definition] = STATE(67),
    [sym_decorated_definition] = STATE(67),
    [sym_decorator] = STATE(1791),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(67),
    [aux_sym_decorated_definition_repeat1] = STATE(1791),
    [ts_builtin_sym_end] = ACTIONS(121),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_match] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_for] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_try] = ACTIONS(45),
    [anon_sym_with] = ACTIONS(47),
    [anon_sym_def] = ACTIONS(49),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(59),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(81),
  },
  [65] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1796),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(126),
    [anon_sym_from] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_STAR] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(138),
    [anon_sym_assert] = ACTIONS(141),
    [anon_sym_return] = ACTIONS(144),
    [anon_sym_del] = ACTIONS(147),
    [anon_sym_raise] = ACTIONS(150),
    [anon_sym_pass] = ACTIONS(153),
    [anon_sym_break] = ACTIONS(156),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_if] = ACTIONS(162),
    [anon_sym_match] = ACTIONS(165),
    [anon_sym_async] = ACTIONS(168),
    [anon_sym_for] = ACTIONS(171),
    [anon_sym_while] = ACTIONS(174),
    [anon_sym_try] = ACTIONS(177),
    [anon_sym_with] = ACTIONS(180),
    [anon_sym_def] = ACTIONS(183),
    [anon_sym_global] = ACTIONS(186),
    [anon_sym_nonlocal] = ACTIONS(189),
    [anon_sym_exec] = ACTIONS(192),
    [anon_sym_type] = ACTIONS(195),
    [anon_sym_class] = ACTIONS(198),
    [anon_sym_LBRACK] = ACTIONS(201),
    [anon_sym_AT] = ACTIONS(204),
    [anon_sym_DASH] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_PLUS] = ACTIONS(207),
    [anon_sym_not] = ACTIONS(213),
    [anon_sym_TILDE] = ACTIONS(207),
    [anon_sym_lambda] = ACTIONS(216),
    [anon_sym_yield] = ACTIONS(219),
    [sym_ellipsis] = ACTIONS(222),
    [sym_integer] = ACTIONS(225),
    [sym_float] = ACTIONS(222),
    [anon_sym_await] = ACTIONS(228),
    [sym_true] = ACTIONS(225),
    [sym_false] = ACTIONS(225),
    [sym_none] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(231),
    [sym_string_start] = ACTIONS(233),
  },
  [66] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1796),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(236),
    [sym_string_start] = ACTIONS(81),
  },
  [67] = {
    [sym__statement] = STATE(67),
    [sym__simple_statements] = STATE(67),
    [sym_import_statement] = STATE(2376),
    [sym_future_import_statement] = STATE(2376),
    [sym_import_from_statement] = STATE(2376),
    [sym_print_statement] = STATE(2376),
    [sym_assert_statement] = STATE(2376),
    [sym_expression_statement] = STATE(2376),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2376),
    [sym_delete_statement] = STATE(2376),
    [sym_raise_statement] = STATE(2376),
    [sym_pass_statement] = STATE(2376),
    [sym_break_statement] = STATE(2376),
    [sym_continue_statement] = STATE(2376),
    [sym_if_statement] = STATE(67),
    [sym_match_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_with_statement] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_global_statement] = STATE(2376),
    [sym_nonlocal_statement] = STATE(2376),
    [sym_exec_statement] = STATE(2376),
    [sym_type_alias_statement] = STATE(2376),
    [sym_class_definition] = STATE(67),
    [sym_decorated_definition] = STATE(67),
    [sym_decorator] = STATE(1791),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(67),
    [aux_sym_decorated_definition_repeat1] = STATE(1791),
    [ts_builtin_sym_end] = ACTIONS(231),
    [sym_identifier] = ACTIONS(123),
    [anon_sym_import] = ACTIONS(126),
    [anon_sym_from] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(132),
    [anon_sym_STAR] = ACTIONS(135),
    [anon_sym_print] = ACTIONS(138),
    [anon_sym_assert] = ACTIONS(141),
    [anon_sym_return] = ACTIONS(144),
    [anon_sym_del] = ACTIONS(147),
    [anon_sym_raise] = ACTIONS(150),
    [anon_sym_pass] = ACTIONS(153),
    [anon_sym_break] = ACTIONS(156),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_if] = ACTIONS(238),
    [anon_sym_match] = ACTIONS(241),
    [anon_sym_async] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(247),
    [anon_sym_while] = ACTIONS(250),
    [anon_sym_try] = ACTIONS(253),
    [anon_sym_with] = ACTIONS(256),
    [anon_sym_def] = ACTIONS(259),
    [anon_sym_global] = ACTIONS(186),
    [anon_sym_nonlocal] = ACTIONS(189),
    [anon_sym_exec] = ACTIONS(192),
    [anon_sym_type] = ACTIONS(195),
    [anon_sym_class] = ACTIONS(262),
    [anon_sym_LBRACK] = ACTIONS(201),
    [anon_sym_AT] = ACTIONS(204),
    [anon_sym_DASH] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(210),
    [anon_sym_PLUS] = ACTIONS(207),
    [anon_sym_not] = ACTIONS(213),
    [anon_sym_TILDE] = ACTIONS(207),
    [anon_sym_lambda] = ACTIONS(216),
    [anon_sym_yield] = ACTIONS(219),
    [sym_ellipsis] = ACTIONS(222),
    [sym_integer] = ACTIONS(225),
    [sym_float] = ACTIONS(222),
    [anon_sym_await] = ACTIONS(228),
    [sym_true] = ACTIONS(225),
    [sym_false] = ACTIONS(225),
    [sym_none] = ACTIONS(225),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(233),
  },
  [68] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1796),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(265),
    [sym_string_start] = ACTIONS(81),
  },
  [69] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1796),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(267),
    [sym_string_start] = ACTIONS(81),
  },
  [70] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1796),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(269),
    [sym_string_start] = ACTIONS(81),
  },
  [71] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1796),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(271),
    [sym_string_start] = ACTIONS(81),
  },
  [72] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1796),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1796),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(83),
    [anon_sym_match] = ACTIONS(85),
    [anon_sym_async] = ACTIONS(87),
    [anon_sym_for] = ACTIONS(89),
    [anon_sym_while] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [anon_sym_with] = ACTIONS(95),
    [anon_sym_def] = ACTIONS(97),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_class] = ACTIONS(99),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__dedent] = ACTIONS(273),
    [sym_string_start] = ACTIONS(81),
  },
  [73] = {
    [sym_named_expression] = STATE(1717),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_list_splat_pattern] = STATE(1342),
    [sym_as_pattern] = STATE(1717),
    [sym_expression] = STATE(1761),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1717),
    [sym_boolean_operator] = STATE(1717),
    [sym_binary_operator] = STATE(1268),
    [sym_unary_operator] = STATE(1268),
    [sym_comparison_operator] = STATE(1717),
    [sym_lambda] = STATE(1717),
    [sym_attribute] = STATE(1268),
    [sym_subscript] = STATE(1268),
    [sym_call] = STATE(1268),
    [sym_type] = STATE(2130),
    [sym_splat_type] = STATE(2016),
    [sym_generic_type] = STATE(2016),
    [sym_union_type] = STATE(2016),
    [sym_constrained_type] = STATE(2016),
    [sym_member_type] = STATE(2016),
    [sym_list] = STATE(1268),
    [sym_set] = STATE(1268),
    [sym_tuple] = STATE(1268),
    [sym_dictionary] = STATE(1268),
    [sym_list_comprehension] = STATE(1268),
    [sym_dictionary_comprehension] = STATE(1268),
    [sym_set_comprehension] = STATE(1268),
    [sym_generator_expression] = STATE(1268),
    [sym_parenthesized_expression] = STATE(1268),
    [sym_conditional_expression] = STATE(1717),
    [sym_concatenated_string] = STATE(1268),
    [sym_string] = STATE(1010),
    [sym_await] = STATE(1268),
    [sym_identifier] = ACTIONS(275),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(281),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_print] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(294),
    [anon_sym_match] = ACTIONS(297),
    [anon_sym_async] = ACTIONS(290),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_exec] = ACTIONS(290),
    [anon_sym_type] = ACTIONS(297),
    [anon_sym_EQ] = ACTIONS(302),
    [anon_sym_LBRACK] = ACTIONS(304),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(307),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(307),
    [anon_sym_not] = ACTIONS(312),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_lambda] = ACTIONS(317),
    [anon_sym_PLUS_EQ] = ACTIONS(319),
    [anon_sym_DASH_EQ] = ACTIONS(319),
    [anon_sym_STAR_EQ] = ACTIONS(319),
    [anon_sym_SLASH_EQ] = ACTIONS(319),
    [anon_sym_AT_EQ] = ACTIONS(319),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(319),
    [anon_sym_PERCENT_EQ] = ACTIONS(319),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(319),
    [anon_sym_GT_GT_EQ] = ACTIONS(319),
    [anon_sym_LT_LT_EQ] = ACTIONS(319),
    [anon_sym_AMP_EQ] = ACTIONS(319),
    [anon_sym_CARET_EQ] = ACTIONS(319),
    [anon_sym_PIPE_EQ] = ACTIONS(319),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(325),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(327),
  },
  [74] = {
    [sym_named_expression] = STATE(1717),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_list_splat_pattern] = STATE(1342),
    [sym_as_pattern] = STATE(1717),
    [sym_expression] = STATE(1761),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1717),
    [sym_boolean_operator] = STATE(1717),
    [sym_binary_operator] = STATE(1268),
    [sym_unary_operator] = STATE(1268),
    [sym_comparison_operator] = STATE(1717),
    [sym_lambda] = STATE(1717),
    [sym_attribute] = STATE(1268),
    [sym_subscript] = STATE(1268),
    [sym_call] = STATE(1268),
    [sym_type] = STATE(2130),
    [sym_splat_type] = STATE(2016),
    [sym_generic_type] = STATE(2016),
    [sym_union_type] = STATE(2016),
    [sym_constrained_type] = STATE(2016),
    [sym_member_type] = STATE(2016),
    [sym_list] = STATE(1268),
    [sym_set] = STATE(1268),
    [sym_tuple] = STATE(1268),
    [sym_dictionary] = STATE(1268),
    [sym_list_comprehension] = STATE(1268),
    [sym_dictionary_comprehension] = STATE(1268),
    [sym_set_comprehension] = STATE(1268),
    [sym_generator_expression] = STATE(1268),
    [sym_parenthesized_expression] = STATE(1268),
    [sym_conditional_expression] = STATE(1717),
    [sym_concatenated_string] = STATE(1268),
    [sym_string] = STATE(1010),
    [sym_await] = STATE(1268),
    [sym_identifier] = ACTIONS(275),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(281),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(287),
    [anon_sym_print] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(302),
    [anon_sym_match] = ACTIONS(297),
    [anon_sym_async] = ACTIONS(290),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(299),
    [anon_sym_exec] = ACTIONS(290),
    [anon_sym_type] = ACTIONS(297),
    [anon_sym_EQ] = ACTIONS(302),
    [anon_sym_LBRACK] = ACTIONS(304),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(307),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(307),
    [anon_sym_not] = ACTIONS(312),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_lambda] = ACTIONS(317),
    [anon_sym_PLUS_EQ] = ACTIONS(319),
    [anon_sym_DASH_EQ] = ACTIONS(319),
    [anon_sym_STAR_EQ] = ACTIONS(319),
    [anon_sym_SLASH_EQ] = ACTIONS(319),
    [anon_sym_AT_EQ] = ACTIONS(319),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(319),
    [anon_sym_PERCENT_EQ] = ACTIONS(319),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(319),
    [anon_sym_GT_GT_EQ] = ACTIONS(319),
    [anon_sym_LT_LT_EQ] = ACTIONS(319),
    [anon_sym_AMP_EQ] = ACTIONS(319),
    [anon_sym_CARET_EQ] = ACTIONS(319),
    [anon_sym_PIPE_EQ] = ACTIONS(319),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(325),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(327),
  },
  [75] = {
    [sym__simple_statements] = STATE(764),
    [sym_import_statement] = STATE(2376),
    [sym_future_import_statement] = STATE(2376),
    [sym_import_from_statement] = STATE(2376),
    [sym_print_statement] = STATE(2376),
    [sym_assert_statement] = STATE(2376),
    [sym_expression_statement] = STATE(2376),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2376),
    [sym_delete_statement] = STATE(2376),
    [sym_raise_statement] = STATE(2376),
    [sym_pass_statement] = STATE(2376),
    [sym_break_statement] = STATE(2376),
    [sym_continue_statement] = STATE(2376),
    [sym_global_statement] = STATE(2376),
    [sym_nonlocal_statement] = STATE(2376),
    [sym_exec_statement] = STATE(2376),
    [sym_type_alias_statement] = STATE(2376),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1716),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(629),
    [sym_subscript] = STATE(629),
    [sym_call] = STATE(1035),
    [sym_type] = STATE(2085),
    [sym_splat_type] = STATE(2016),
    [sym_generic_type] = STATE(2016),
    [sym_union_type] = STATE(2016),
    [sym_constrained_type] = STATE(2016),
    [sym_member_type] = STATE(2016),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(333),
    [anon_sym_print] = ACTIONS(335),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_async] = ACTIONS(339),
    [anon_sym_STAR_STAR] = ACTIONS(341),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(343),
    [anon_sym_type] = ACTIONS(345),
    [anon_sym_LBRACK] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(349),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(351),
    [sym__indent] = ACTIONS(353),
    [sym_string_start] = ACTIONS(81),
  },
  [76] = {
    [sym__simple_statements] = STATE(772),
    [sym_import_statement] = STATE(2376),
    [sym_future_import_statement] = STATE(2376),
    [sym_import_from_statement] = STATE(2376),
    [sym_print_statement] = STATE(2376),
    [sym_assert_statement] = STATE(2376),
    [sym_expression_statement] = STATE(2376),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2376),
    [sym_delete_statement] = STATE(2376),
    [sym_raise_statement] = STATE(2376),
    [sym_pass_statement] = STATE(2376),
    [sym_break_statement] = STATE(2376),
    [sym_continue_statement] = STATE(2376),
    [sym_global_statement] = STATE(2376),
    [sym_nonlocal_statement] = STATE(2376),
    [sym_exec_statement] = STATE(2376),
    [sym_type_alias_statement] = STATE(2376),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1716),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(629),
    [sym_subscript] = STATE(629),
    [sym_call] = STATE(1035),
    [sym_type] = STATE(2085),
    [sym_splat_type] = STATE(2016),
    [sym_generic_type] = STATE(2016),
    [sym_union_type] = STATE(2016),
    [sym_constrained_type] = STATE(2016),
    [sym_member_type] = STATE(2016),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(333),
    [anon_sym_print] = ACTIONS(335),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_async] = ACTIONS(339),
    [anon_sym_STAR_STAR] = ACTIONS(341),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(343),
    [anon_sym_type] = ACTIONS(345),
    [anon_sym_LBRACK] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(349),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(355),
    [sym__indent] = ACTIONS(357),
    [sym_string_start] = ACTIONS(81),
  },
  [77] = {
    [sym__simple_statements] = STATE(770),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1716),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(629),
    [sym_subscript] = STATE(629),
    [sym_call] = STATE(1035),
    [sym_type] = STATE(2085),
    [sym_splat_type] = STATE(2016),
    [sym_generic_type] = STATE(2016),
    [sym_union_type] = STATE(2016),
    [sym_constrained_type] = STATE(2016),
    [sym_member_type] = STATE(2016),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(333),
    [anon_sym_print] = ACTIONS(335),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_async] = ACTIONS(339),
    [anon_sym_STAR_STAR] = ACTIONS(341),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(343),
    [anon_sym_type] = ACTIONS(345),
    [anon_sym_LBRACK] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(349),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(359),
    [sym__indent] = ACTIONS(361),
    [sym_string_start] = ACTIONS(81),
  },
  [78] = {
    [sym__simple_statements] = STATE(728),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1716),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(629),
    [sym_subscript] = STATE(629),
    [sym_call] = STATE(1035),
    [sym_type] = STATE(2085),
    [sym_splat_type] = STATE(2016),
    [sym_generic_type] = STATE(2016),
    [sym_union_type] = STATE(2016),
    [sym_constrained_type] = STATE(2016),
    [sym_member_type] = STATE(2016),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(333),
    [anon_sym_print] = ACTIONS(335),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_async] = ACTIONS(339),
    [anon_sym_STAR_STAR] = ACTIONS(341),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(343),
    [anon_sym_type] = ACTIONS(345),
    [anon_sym_LBRACK] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(349),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(363),
    [sym__indent] = ACTIONS(365),
    [sym_string_start] = ACTIONS(81),
  },
  [79] = {
    [sym__simple_statements] = STATE(731),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1716),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(629),
    [sym_subscript] = STATE(629),
    [sym_call] = STATE(1035),
    [sym_type] = STATE(2085),
    [sym_splat_type] = STATE(2016),
    [sym_generic_type] = STATE(2016),
    [sym_union_type] = STATE(2016),
    [sym_constrained_type] = STATE(2016),
    [sym_member_type] = STATE(2016),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(333),
    [anon_sym_print] = ACTIONS(335),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_async] = ACTIONS(339),
    [anon_sym_STAR_STAR] = ACTIONS(341),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(343),
    [anon_sym_type] = ACTIONS(345),
    [anon_sym_LBRACK] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(349),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(367),
    [sym__indent] = ACTIONS(369),
    [sym_string_start] = ACTIONS(81),
  },
  [80] = {
    [sym__simple_statements] = STATE(784),
    [sym_import_statement] = STATE(2376),
    [sym_future_import_statement] = STATE(2376),
    [sym_import_from_statement] = STATE(2376),
    [sym_print_statement] = STATE(2376),
    [sym_assert_statement] = STATE(2376),
    [sym_expression_statement] = STATE(2376),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2376),
    [sym_delete_statement] = STATE(2376),
    [sym_raise_statement] = STATE(2376),
    [sym_pass_statement] = STATE(2376),
    [sym_break_statement] = STATE(2376),
    [sym_continue_statement] = STATE(2376),
    [sym_global_statement] = STATE(2376),
    [sym_nonlocal_statement] = STATE(2376),
    [sym_exec_statement] = STATE(2376),
    [sym_type_alias_statement] = STATE(2376),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1716),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(629),
    [sym_subscript] = STATE(629),
    [sym_call] = STATE(1035),
    [sym_type] = STATE(2085),
    [sym_splat_type] = STATE(2016),
    [sym_generic_type] = STATE(2016),
    [sym_union_type] = STATE(2016),
    [sym_constrained_type] = STATE(2016),
    [sym_member_type] = STATE(2016),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(333),
    [anon_sym_print] = ACTIONS(335),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_async] = ACTIONS(339),
    [anon_sym_STAR_STAR] = ACTIONS(341),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(343),
    [anon_sym_type] = ACTIONS(345),
    [anon_sym_LBRACK] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(349),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(371),
    [sym__indent] = ACTIONS(373),
    [sym_string_start] = ACTIONS(81),
  },
  [81] = {
    [sym__simple_statements] = STATE(778),
    [sym_import_statement] = STATE(2376),
    [sym_future_import_statement] = STATE(2376),
    [sym_import_from_statement] = STATE(2376),
    [sym_print_statement] = STATE(2376),
    [sym_assert_statement] = STATE(2376),
    [sym_expression_statement] = STATE(2376),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2376),
    [sym_delete_statement] = STATE(2376),
    [sym_raise_statement] = STATE(2376),
    [sym_pass_statement] = STATE(2376),
    [sym_break_statement] = STATE(2376),
    [sym_continue_statement] = STATE(2376),
    [sym_global_statement] = STATE(2376),
    [sym_nonlocal_statement] = STATE(2376),
    [sym_exec_statement] = STATE(2376),
    [sym_type_alias_statement] = STATE(2376),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1716),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(629),
    [sym_subscript] = STATE(629),
    [sym_call] = STATE(1035),
    [sym_type] = STATE(2085),
    [sym_splat_type] = STATE(2016),
    [sym_generic_type] = STATE(2016),
    [sym_union_type] = STATE(2016),
    [sym_constrained_type] = STATE(2016),
    [sym_member_type] = STATE(2016),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(333),
    [anon_sym_print] = ACTIONS(335),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_async] = ACTIONS(339),
    [anon_sym_STAR_STAR] = ACTIONS(341),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(343),
    [anon_sym_type] = ACTIONS(345),
    [anon_sym_LBRACK] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(349),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(375),
    [sym__indent] = ACTIONS(377),
    [sym_string_start] = ACTIONS(81),
  },
  [82] = {
    [sym__simple_statements] = STATE(741),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(628),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1716),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(629),
    [sym_subscript] = STATE(629),
    [sym_call] = STATE(1035),
    [sym_type] = STATE(2085),
    [sym_splat_type] = STATE(2016),
    [sym_generic_type] = STATE(2016),
    [sym_union_type] = STATE(2016),
    [sym_constrained_type] = STATE(2016),
    [sym_member_type] = STATE(2016),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(329),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(331),
    [anon_sym_STAR] = ACTIONS(333),
    [anon_sym_print] = ACTIONS(335),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(337),
    [anon_sym_async] = ACTIONS(339),
    [anon_sym_STAR_STAR] = ACTIONS(341),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(343),
    [anon_sym_type] = ACTIONS(345),
    [anon_sym_LBRACK] = ACTIONS(347),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(349),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(379),
    [sym__indent] = ACTIONS(381),
    [sym_string_start] = ACTIONS(81),
  },
  [83] = {
    [sym_chevron] = STATE(2186),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_list_splat_pattern] = STATE(1119),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1828),
    [sym_primary_expression] = STATE(865),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_attribute] = STATE(1035),
    [sym_subscript] = STATE(1035),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(385),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(388),
    [anon_sym_print] = ACTIONS(391),
    [anon_sym_GT_GT] = ACTIONS(393),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(302),
    [anon_sym_match] = ACTIONS(395),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(391),
    [anon_sym_type] = ACTIONS(395),
    [anon_sym_EQ] = ACTIONS(302),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(400),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(400),
    [anon_sym_not] = ACTIONS(403),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_PLUS_EQ] = ACTIONS(319),
    [anon_sym_DASH_EQ] = ACTIONS(319),
    [anon_sym_STAR_EQ] = ACTIONS(319),
    [anon_sym_SLASH_EQ] = ACTIONS(319),
    [anon_sym_AT_EQ] = ACTIONS(319),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(319),
    [anon_sym_PERCENT_EQ] = ACTIONS(319),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(319),
    [anon_sym_GT_GT_EQ] = ACTIONS(319),
    [anon_sym_LT_LT_EQ] = ACTIONS(319),
    [anon_sym_AMP_EQ] = ACTIONS(319),
    [anon_sym_CARET_EQ] = ACTIONS(319),
    [anon_sym_PIPE_EQ] = ACTIONS(319),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(406),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(81),
  },
  [84] = {
    [sym_chevron] = STATE(2186),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_list_splat_pattern] = STATE(1119),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1828),
    [sym_primary_expression] = STATE(865),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_attribute] = STATE(1035),
    [sym_subscript] = STATE(1035),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(383),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(385),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(388),
    [anon_sym_print] = ACTIONS(391),
    [anon_sym_GT_GT] = ACTIONS(393),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(294),
    [anon_sym_match] = ACTIONS(395),
    [anon_sym_async] = ACTIONS(391),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(391),
    [anon_sym_type] = ACTIONS(395),
    [anon_sym_EQ] = ACTIONS(302),
    [anon_sym_LBRACK] = ACTIONS(397),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(400),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(400),
    [anon_sym_not] = ACTIONS(403),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_PLUS_EQ] = ACTIONS(319),
    [anon_sym_DASH_EQ] = ACTIONS(319),
    [anon_sym_STAR_EQ] = ACTIONS(319),
    [anon_sym_SLASH_EQ] = ACTIONS(319),
    [anon_sym_AT_EQ] = ACTIONS(319),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(319),
    [anon_sym_PERCENT_EQ] = ACTIONS(319),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(319),
    [anon_sym_GT_GT_EQ] = ACTIONS(319),
    [anon_sym_LT_LT_EQ] = ACTIONS(319),
    [anon_sym_AMP_EQ] = ACTIONS(319),
    [anon_sym_CARET_EQ] = ACTIONS(319),
    [anon_sym_PIPE_EQ] = ACTIONS(319),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(406),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(81),
  },
  [85] = {
    [sym_named_expression] = STATE(1717),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_list_splat_pattern] = STATE(1342),
    [sym_as_pattern] = STATE(1717),
    [sym_expression] = STATE(1856),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1717),
    [sym_boolean_operator] = STATE(1717),
    [sym_binary_operator] = STATE(1268),
    [sym_unary_operator] = STATE(1268),
    [sym_comparison_operator] = STATE(1717),
    [sym_lambda] = STATE(1717),
    [sym_attribute] = STATE(1268),
    [sym_subscript] = STATE(1268),
    [sym_call] = STATE(1268),
    [sym_list] = STATE(1268),
    [sym_set] = STATE(1268),
    [sym_tuple] = STATE(1268),
    [sym_dictionary] = STATE(1268),
    [sym_list_comprehension] = STATE(1268),
    [sym_dictionary_comprehension] = STATE(1268),
    [sym_set_comprehension] = STATE(1268),
    [sym_generator_expression] = STATE(1268),
    [sym_parenthesized_expression] = STATE(1268),
    [sym_conditional_expression] = STATE(1717),
    [sym_concatenated_string] = STATE(1268),
    [sym_string] = STATE(1010),
    [sym_await] = STATE(1268),
    [sym_identifier] = ACTIONS(408),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(281),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(410),
    [anon_sym_print] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(302),
    [anon_sym_match] = ACTIONS(297),
    [anon_sym_async] = ACTIONS(290),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(290),
    [anon_sym_type] = ACTIONS(297),
    [anon_sym_EQ] = ACTIONS(302),
    [anon_sym_LBRACK] = ACTIONS(304),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(307),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(307),
    [anon_sym_not] = ACTIONS(312),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_lambda] = ACTIONS(317),
    [anon_sym_PLUS_EQ] = ACTIONS(319),
    [anon_sym_DASH_EQ] = ACTIONS(319),
    [anon_sym_STAR_EQ] = ACTIONS(319),
    [anon_sym_SLASH_EQ] = ACTIONS(319),
    [anon_sym_AT_EQ] = ACTIONS(319),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(319),
    [anon_sym_PERCENT_EQ] = ACTIONS(319),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(319),
    [anon_sym_GT_GT_EQ] = ACTIONS(319),
    [anon_sym_LT_LT_EQ] = ACTIONS(319),
    [anon_sym_AMP_EQ] = ACTIONS(319),
    [anon_sym_CARET_EQ] = ACTIONS(319),
    [anon_sym_PIPE_EQ] = ACTIONS(319),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(325),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(327),
  },
  [86] = {
    [sym_named_expression] = STATE(1717),
    [sym__named_expression_lhs] = STATE(2775),
    [sym_list_splat_pattern] = STATE(1342),
    [sym_as_pattern] = STATE(1717),
    [sym_expression] = STATE(1868),
    [sym_primary_expression] = STATE(970),
    [sym_not_operator] = STATE(1717),
    [sym_boolean_operator] = STATE(1717),
    [sym_binary_operator] = STATE(1268),
    [sym_unary_operator] = STATE(1268),
    [sym_comparison_operator] = STATE(1717),
    [sym_lambda] = STATE(1717),
    [sym_attribute] = STATE(1268),
    [sym_subscript] = STATE(1268),
    [sym_call] = STATE(1268),
    [sym_list] = STATE(1268),
    [sym_set] = STATE(1268),
    [sym_tuple] = STATE(1268),
    [sym_dictionary] = STATE(1268),
    [sym_list_comprehension] = STATE(1268),
    [sym_dictionary_comprehension] = STATE(1268),
    [sym_set_comprehension] = STATE(1268),
    [sym_generator_expression] = STATE(1268),
    [sym_parenthesized_expression] = STATE(1268),
    [sym_conditional_expression] = STATE(1717),
    [sym_concatenated_string] = STATE(1268),
    [sym_string] = STATE(1010),
    [sym_await] = STATE(1268),
    [sym_identifier] = ACTIONS(408),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(281),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(410),
    [anon_sym_print] = ACTIONS(290),
    [anon_sym_GT_GT] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(302),
    [anon_sym_match] = ACTIONS(297),
    [anon_sym_async] = ACTIONS(290),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(290),
    [anon_sym_type] = ACTIONS(297),
    [anon_sym_EQ] = ACTIONS(302),
    [anon_sym_LBRACK] = ACTIONS(304),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(307),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(307),
    [anon_sym_not] = ACTIONS(312),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_lambda] = ACTIONS(317),
    [anon_sym_PLUS_EQ] = ACTIONS(319),
    [anon_sym_DASH_EQ] = ACTIONS(319),
    [anon_sym_STAR_EQ] = ACTIONS(319),
    [anon_sym_SLASH_EQ] = ACTIONS(319),
    [anon_sym_AT_EQ] = ACTIONS(319),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(319),
    [anon_sym_PERCENT_EQ] = ACTIONS(319),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(319),
    [anon_sym_GT_GT_EQ] = ACTIONS(319),
    [anon_sym_LT_LT_EQ] = ACTIONS(319),
    [anon_sym_AMP_EQ] = ACTIONS(319),
    [anon_sym_CARET_EQ] = ACTIONS(319),
    [anon_sym_PIPE_EQ] = ACTIONS(319),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(325),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(327),
  },
  [87] = {
    [sym__simple_statements] = STATE(2526),
    [sym_import_statement] = STATE(2299),
    [sym_future_import_statement] = STATE(2299),
    [sym_import_from_statement] = STATE(2299),
    [sym_print_statement] = STATE(2299),
    [sym_assert_statement] = STATE(2299),
    [sym_expression_statement] = STATE(2299),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2299),
    [sym_delete_statement] = STATE(2299),
    [sym_raise_statement] = STATE(2299),
    [sym_pass_statement] = STATE(2299),
    [sym_break_statement] = STATE(2299),
    [sym_continue_statement] = STATE(2299),
    [sym_global_statement] = STATE(2299),
    [sym_nonlocal_statement] = STATE(2299),
    [sym_exec_statement] = STATE(2299),
    [sym_type_alias_statement] = STATE(2299),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(417),
    [sym__indent] = ACTIONS(419),
    [sym_string_start] = ACTIONS(81),
  },
  [88] = {
    [sym__simple_statements] = STATE(725),
    [sym_import_statement] = STATE(2376),
    [sym_future_import_statement] = STATE(2376),
    [sym_import_from_statement] = STATE(2376),
    [sym_print_statement] = STATE(2376),
    [sym_assert_statement] = STATE(2376),
    [sym_expression_statement] = STATE(2376),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2376),
    [sym_delete_statement] = STATE(2376),
    [sym_raise_statement] = STATE(2376),
    [sym_pass_statement] = STATE(2376),
    [sym_break_statement] = STATE(2376),
    [sym_continue_statement] = STATE(2376),
    [sym_global_statement] = STATE(2376),
    [sym_nonlocal_statement] = STATE(2376),
    [sym_exec_statement] = STATE(2376),
    [sym_type_alias_statement] = STATE(2376),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(421),
    [sym__indent] = ACTIONS(423),
    [sym_string_start] = ACTIONS(81),
  },
  [89] = {
    [sym__simple_statements] = STATE(830),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(425),
    [sym__indent] = ACTIONS(427),
    [sym_string_start] = ACTIONS(81),
  },
  [90] = {
    [sym__simple_statements] = STATE(719),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(429),
    [sym__indent] = ACTIONS(431),
    [sym_string_start] = ACTIONS(81),
  },
  [91] = {
    [sym__simple_statements] = STATE(698),
    [sym_import_statement] = STATE(2341),
    [sym_future_import_statement] = STATE(2341),
    [sym_import_from_statement] = STATE(2341),
    [sym_print_statement] = STATE(2341),
    [sym_assert_statement] = STATE(2341),
    [sym_expression_statement] = STATE(2341),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2341),
    [sym_delete_statement] = STATE(2341),
    [sym_raise_statement] = STATE(2341),
    [sym_pass_statement] = STATE(2341),
    [sym_break_statement] = STATE(2341),
    [sym_continue_statement] = STATE(2341),
    [sym_global_statement] = STATE(2341),
    [sym_nonlocal_statement] = STATE(2341),
    [sym_exec_statement] = STATE(2341),
    [sym_type_alias_statement] = STATE(2341),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(433),
    [sym__indent] = ACTIONS(435),
    [sym_string_start] = ACTIONS(81),
  },
  [92] = {
    [sym__simple_statements] = STATE(832),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(437),
    [sym__indent] = ACTIONS(439),
    [sym_string_start] = ACTIONS(81),
  },
  [93] = {
    [sym__simple_statements] = STATE(715),
    [sym_import_statement] = STATE(2376),
    [sym_future_import_statement] = STATE(2376),
    [sym_import_from_statement] = STATE(2376),
    [sym_print_statement] = STATE(2376),
    [sym_assert_statement] = STATE(2376),
    [sym_expression_statement] = STATE(2376),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2376),
    [sym_delete_statement] = STATE(2376),
    [sym_raise_statement] = STATE(2376),
    [sym_pass_statement] = STATE(2376),
    [sym_break_statement] = STATE(2376),
    [sym_continue_statement] = STATE(2376),
    [sym_global_statement] = STATE(2376),
    [sym_nonlocal_statement] = STATE(2376),
    [sym_exec_statement] = STATE(2376),
    [sym_type_alias_statement] = STATE(2376),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(441),
    [sym__indent] = ACTIONS(443),
    [sym_string_start] = ACTIONS(81),
  },
  [94] = {
    [sym__simple_statements] = STATE(836),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(445),
    [sym__indent] = ACTIONS(447),
    [sym_string_start] = ACTIONS(81),
  },
  [95] = {
    [sym__simple_statements] = STATE(779),
    [sym_import_statement] = STATE(2376),
    [sym_future_import_statement] = STATE(2376),
    [sym_import_from_statement] = STATE(2376),
    [sym_print_statement] = STATE(2376),
    [sym_assert_statement] = STATE(2376),
    [sym_expression_statement] = STATE(2376),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2376),
    [sym_delete_statement] = STATE(2376),
    [sym_raise_statement] = STATE(2376),
    [sym_pass_statement] = STATE(2376),
    [sym_break_statement] = STATE(2376),
    [sym_continue_statement] = STATE(2376),
    [sym_global_statement] = STATE(2376),
    [sym_nonlocal_statement] = STATE(2376),
    [sym_exec_statement] = STATE(2376),
    [sym_type_alias_statement] = STATE(2376),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(449),
    [sym__indent] = ACTIONS(451),
    [sym_string_start] = ACTIONS(81),
  },
  [96] = {
    [sym__simple_statements] = STATE(838),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(453),
    [sym__indent] = ACTIONS(455),
    [sym_string_start] = ACTIONS(81),
  },
  [97] = {
    [sym__simple_statements] = STATE(709),
    [sym_import_statement] = STATE(2376),
    [sym_future_import_statement] = STATE(2376),
    [sym_import_from_statement] = STATE(2376),
    [sym_print_statement] = STATE(2376),
    [sym_assert_statement] = STATE(2376),
    [sym_expression_statement] = STATE(2376),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2376),
    [sym_delete_statement] = STATE(2376),
    [sym_raise_statement] = STATE(2376),
    [sym_pass_statement] = STATE(2376),
    [sym_break_statement] = STATE(2376),
    [sym_continue_statement] = STATE(2376),
    [sym_global_statement] = STATE(2376),
    [sym_nonlocal_statement] = STATE(2376),
    [sym_exec_statement] = STATE(2376),
    [sym_type_alias_statement] = STATE(2376),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(457),
    [sym__indent] = ACTIONS(459),
    [sym_string_start] = ACTIONS(81),
  },
  [98] = {
    [sym__simple_statements] = STATE(726),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(461),
    [sym__indent] = ACTIONS(463),
    [sym_string_start] = ACTIONS(81),
  },
  [99] = {
    [sym__simple_statements] = STATE(712),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(465),
    [sym__indent] = ACTIONS(467),
    [sym_string_start] = ACTIONS(81),
  },
  [100] = {
    [sym__simple_statements] = STATE(618),
    [sym_import_statement] = STATE(2376),
    [sym_future_import_statement] = STATE(2376),
    [sym_import_from_statement] = STATE(2376),
    [sym_print_statement] = STATE(2376),
    [sym_assert_statement] = STATE(2376),
    [sym_expression_statement] = STATE(2376),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2376),
    [sym_delete_statement] = STATE(2376),
    [sym_raise_statement] = STATE(2376),
    [sym_pass_statement] = STATE(2376),
    [sym_break_statement] = STATE(2376),
    [sym_continue_statement] = STATE(2376),
    [sym_global_statement] = STATE(2376),
    [sym_nonlocal_statement] = STATE(2376),
    [sym_exec_statement] = STATE(2376),
    [sym_type_alias_statement] = STATE(2376),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(469),
    [sym__indent] = ACTIONS(471),
    [sym_string_start] = ACTIONS(81),
  },
  [101] = {
    [sym__simple_statements] = STATE(846),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(473),
    [sym__indent] = ACTIONS(475),
    [sym_string_start] = ACTIONS(81),
  },
  [102] = {
    [sym__simple_statements] = STATE(751),
    [sym_import_statement] = STATE(2376),
    [sym_future_import_statement] = STATE(2376),
    [sym_import_from_statement] = STATE(2376),
    [sym_print_statement] = STATE(2376),
    [sym_assert_statement] = STATE(2376),
    [sym_expression_statement] = STATE(2376),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2376),
    [sym_delete_statement] = STATE(2376),
    [sym_raise_statement] = STATE(2376),
    [sym_pass_statement] = STATE(2376),
    [sym_break_statement] = STATE(2376),
    [sym_continue_statement] = STATE(2376),
    [sym_global_statement] = STATE(2376),
    [sym_nonlocal_statement] = STATE(2376),
    [sym_exec_statement] = STATE(2376),
    [sym_type_alias_statement] = STATE(2376),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(477),
    [sym__indent] = ACTIONS(479),
    [sym_string_start] = ACTIONS(81),
  },
  [103] = {
    [sym__simple_statements] = STATE(810),
    [sym_import_statement] = STATE(2376),
    [sym_future_import_statement] = STATE(2376),
    [sym_import_from_statement] = STATE(2376),
    [sym_print_statement] = STATE(2376),
    [sym_assert_statement] = STATE(2376),
    [sym_expression_statement] = STATE(2376),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2376),
    [sym_delete_statement] = STATE(2376),
    [sym_raise_statement] = STATE(2376),
    [sym_pass_statement] = STATE(2376),
    [sym_break_statement] = STATE(2376),
    [sym_continue_statement] = STATE(2376),
    [sym_global_statement] = STATE(2376),
    [sym_nonlocal_statement] = STATE(2376),
    [sym_exec_statement] = STATE(2376),
    [sym_type_alias_statement] = STATE(2376),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(481),
    [sym__indent] = ACTIONS(483),
    [sym_string_start] = ACTIONS(81),
  },
  [104] = {
    [sym__simple_statements] = STATE(676),
    [sym_import_statement] = STATE(2341),
    [sym_future_import_statement] = STATE(2341),
    [sym_import_from_statement] = STATE(2341),
    [sym_print_statement] = STATE(2341),
    [sym_assert_statement] = STATE(2341),
    [sym_expression_statement] = STATE(2341),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2341),
    [sym_delete_statement] = STATE(2341),
    [sym_raise_statement] = STATE(2341),
    [sym_pass_statement] = STATE(2341),
    [sym_break_statement] = STATE(2341),
    [sym_continue_statement] = STATE(2341),
    [sym_global_statement] = STATE(2341),
    [sym_nonlocal_statement] = STATE(2341),
    [sym_exec_statement] = STATE(2341),
    [sym_type_alias_statement] = STATE(2341),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(485),
    [sym__indent] = ACTIONS(487),
    [sym_string_start] = ACTIONS(81),
  },
  [105] = {
    [sym__simple_statements] = STATE(650),
    [sym_import_statement] = STATE(2374),
    [sym_future_import_statement] = STATE(2374),
    [sym_import_from_statement] = STATE(2374),
    [sym_print_statement] = STATE(2374),
    [sym_assert_statement] = STATE(2374),
    [sym_expression_statement] = STATE(2374),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2374),
    [sym_delete_statement] = STATE(2374),
    [sym_raise_statement] = STATE(2374),
    [sym_pass_statement] = STATE(2374),
    [sym_break_statement] = STATE(2374),
    [sym_continue_statement] = STATE(2374),
    [sym_global_statement] = STATE(2374),
    [sym_nonlocal_statement] = STATE(2374),
    [sym_exec_statement] = STATE(2374),
    [sym_type_alias_statement] = STATE(2374),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(489),
    [sym__indent] = ACTIONS(491),
    [sym_string_start] = ACTIONS(81),
  },
  [106] = {
    [sym__simple_statements] = STATE(793),
    [sym_import_statement] = STATE(2376),
    [sym_future_import_statement] = STATE(2376),
    [sym_import_from_statement] = STATE(2376),
    [sym_print_statement] = STATE(2376),
    [sym_assert_statement] = STATE(2376),
    [sym_expression_statement] = STATE(2376),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2376),
    [sym_delete_statement] = STATE(2376),
    [sym_raise_statement] = STATE(2376),
    [sym_pass_statement] = STATE(2376),
    [sym_break_statement] = STATE(2376),
    [sym_continue_statement] = STATE(2376),
    [sym_global_statement] = STATE(2376),
    [sym_nonlocal_statement] = STATE(2376),
    [sym_exec_statement] = STATE(2376),
    [sym_type_alias_statement] = STATE(2376),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(493),
    [sym__indent] = ACTIONS(495),
    [sym_string_start] = ACTIONS(81),
  },
  [107] = {
    [sym__simple_statements] = STATE(759),
    [sym_import_statement] = STATE(2376),
    [sym_future_import_statement] = STATE(2376),
    [sym_import_from_statement] = STATE(2376),
    [sym_print_statement] = STATE(2376),
    [sym_assert_statement] = STATE(2376),
    [sym_expression_statement] = STATE(2376),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2376),
    [sym_delete_statement] = STATE(2376),
    [sym_raise_statement] = STATE(2376),
    [sym_pass_statement] = STATE(2376),
    [sym_break_statement] = STATE(2376),
    [sym_continue_statement] = STATE(2376),
    [sym_global_statement] = STATE(2376),
    [sym_nonlocal_statement] = STATE(2376),
    [sym_exec_statement] = STATE(2376),
    [sym_type_alias_statement] = STATE(2376),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(497),
    [sym__indent] = ACTIONS(499),
    [sym_string_start] = ACTIONS(81),
  },
  [108] = {
    [sym__simple_statements] = STATE(797),
    [sym_import_statement] = STATE(2376),
    [sym_future_import_statement] = STATE(2376),
    [sym_import_from_statement] = STATE(2376),
    [sym_print_statement] = STATE(2376),
    [sym_assert_statement] = STATE(2376),
    [sym_expression_statement] = STATE(2376),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2376),
    [sym_delete_statement] = STATE(2376),
    [sym_raise_statement] = STATE(2376),
    [sym_pass_statement] = STATE(2376),
    [sym_break_statement] = STATE(2376),
    [sym_continue_statement] = STATE(2376),
    [sym_global_statement] = STATE(2376),
    [sym_nonlocal_statement] = STATE(2376),
    [sym_exec_statement] = STATE(2376),
    [sym_type_alias_statement] = STATE(2376),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(501),
    [sym__indent] = ACTIONS(503),
    [sym_string_start] = ACTIONS(81),
  },
  [109] = {
    [sym__simple_statements] = STATE(700),
    [sym_import_statement] = STATE(2376),
    [sym_future_import_statement] = STATE(2376),
    [sym_import_from_statement] = STATE(2376),
    [sym_print_statement] = STATE(2376),
    [sym_assert_statement] = STATE(2376),
    [sym_expression_statement] = STATE(2376),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2376),
    [sym_delete_statement] = STATE(2376),
    [sym_raise_statement] = STATE(2376),
    [sym_pass_statement] = STATE(2376),
    [sym_break_statement] = STATE(2376),
    [sym_continue_statement] = STATE(2376),
    [sym_global_statement] = STATE(2376),
    [sym_nonlocal_statement] = STATE(2376),
    [sym_exec_statement] = STATE(2376),
    [sym_type_alias_statement] = STATE(2376),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(505),
    [sym__indent] = ACTIONS(507),
    [sym_string_start] = ACTIONS(81),
  },
  [110] = {
    [sym__simple_statements] = STATE(710),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(509),
    [sym__indent] = ACTIONS(511),
    [sym_string_start] = ACTIONS(81),
  },
  [111] = {
    [sym__simple_statements] = STATE(2518),
    [sym_import_statement] = STATE(2299),
    [sym_future_import_statement] = STATE(2299),
    [sym_import_from_statement] = STATE(2299),
    [sym_print_statement] = STATE(2299),
    [sym_assert_statement] = STATE(2299),
    [sym_expression_statement] = STATE(2299),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2299),
    [sym_delete_statement] = STATE(2299),
    [sym_raise_statement] = STATE(2299),
    [sym_pass_statement] = STATE(2299),
    [sym_break_statement] = STATE(2299),
    [sym_continue_statement] = STATE(2299),
    [sym_global_statement] = STATE(2299),
    [sym_nonlocal_statement] = STATE(2299),
    [sym_exec_statement] = STATE(2299),
    [sym_type_alias_statement] = STATE(2299),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(513),
    [sym__indent] = ACTIONS(515),
    [sym_string_start] = ACTIONS(81),
  },
  [112] = {
    [sym__simple_statements] = STATE(703),
    [sym_import_statement] = STATE(2376),
    [sym_future_import_statement] = STATE(2376),
    [sym_import_from_statement] = STATE(2376),
    [sym_print_statement] = STATE(2376),
    [sym_assert_statement] = STATE(2376),
    [sym_expression_statement] = STATE(2376),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2376),
    [sym_delete_statement] = STATE(2376),
    [sym_raise_statement] = STATE(2376),
    [sym_pass_statement] = STATE(2376),
    [sym_break_statement] = STATE(2376),
    [sym_continue_statement] = STATE(2376),
    [sym_global_statement] = STATE(2376),
    [sym_nonlocal_statement] = STATE(2376),
    [sym_exec_statement] = STATE(2376),
    [sym_type_alias_statement] = STATE(2376),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(517),
    [sym__indent] = ACTIONS(519),
    [sym_string_start] = ACTIONS(81),
  },
  [113] = {
    [sym__simple_statements] = STATE(615),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(521),
    [sym__indent] = ACTIONS(523),
    [sym_string_start] = ACTIONS(81),
  },
  [114] = {
    [sym__simple_statements] = STATE(713),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(525),
    [sym__indent] = ACTIONS(527),
    [sym_string_start] = ACTIONS(81),
  },
  [115] = {
    [sym__simple_statements] = STATE(669),
    [sym_import_statement] = STATE(2436),
    [sym_future_import_statement] = STATE(2436),
    [sym_import_from_statement] = STATE(2436),
    [sym_print_statement] = STATE(2436),
    [sym_assert_statement] = STATE(2436),
    [sym_expression_statement] = STATE(2436),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2436),
    [sym_delete_statement] = STATE(2436),
    [sym_raise_statement] = STATE(2436),
    [sym_pass_statement] = STATE(2436),
    [sym_break_statement] = STATE(2436),
    [sym_continue_statement] = STATE(2436),
    [sym_global_statement] = STATE(2436),
    [sym_nonlocal_statement] = STATE(2436),
    [sym_exec_statement] = STATE(2436),
    [sym_type_alias_statement] = STATE(2436),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(529),
    [sym__indent] = ACTIONS(531),
    [sym_string_start] = ACTIONS(81),
  },
  [116] = {
    [sym__simple_statements] = STATE(2576),
    [sym_import_statement] = STATE(2299),
    [sym_future_import_statement] = STATE(2299),
    [sym_import_from_statement] = STATE(2299),
    [sym_print_statement] = STATE(2299),
    [sym_assert_statement] = STATE(2299),
    [sym_expression_statement] = STATE(2299),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2299),
    [sym_delete_statement] = STATE(2299),
    [sym_raise_statement] = STATE(2299),
    [sym_pass_statement] = STATE(2299),
    [sym_break_statement] = STATE(2299),
    [sym_continue_statement] = STATE(2299),
    [sym_global_statement] = STATE(2299),
    [sym_nonlocal_statement] = STATE(2299),
    [sym_exec_statement] = STATE(2299),
    [sym_type_alias_statement] = STATE(2299),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(533),
    [sym__indent] = ACTIONS(535),
    [sym_string_start] = ACTIONS(81),
  },
  [117] = {
    [sym__simple_statements] = STATE(745),
    [sym_import_statement] = STATE(2376),
    [sym_future_import_statement] = STATE(2376),
    [sym_import_from_statement] = STATE(2376),
    [sym_print_statement] = STATE(2376),
    [sym_assert_statement] = STATE(2376),
    [sym_expression_statement] = STATE(2376),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2376),
    [sym_delete_statement] = STATE(2376),
    [sym_raise_statement] = STATE(2376),
    [sym_pass_statement] = STATE(2376),
    [sym_break_statement] = STATE(2376),
    [sym_continue_statement] = STATE(2376),
    [sym_global_statement] = STATE(2376),
    [sym_nonlocal_statement] = STATE(2376),
    [sym_exec_statement] = STATE(2376),
    [sym_type_alias_statement] = STATE(2376),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(537),
    [sym__indent] = ACTIONS(539),
    [sym_string_start] = ACTIONS(81),
  },
  [118] = {
    [sym__simple_statements] = STATE(806),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(541),
    [sym__indent] = ACTIONS(543),
    [sym_string_start] = ACTIONS(81),
  },
  [119] = {
    [sym__simple_statements] = STATE(2581),
    [sym_import_statement] = STATE(2299),
    [sym_future_import_statement] = STATE(2299),
    [sym_import_from_statement] = STATE(2299),
    [sym_print_statement] = STATE(2299),
    [sym_assert_statement] = STATE(2299),
    [sym_expression_statement] = STATE(2299),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2299),
    [sym_delete_statement] = STATE(2299),
    [sym_raise_statement] = STATE(2299),
    [sym_pass_statement] = STATE(2299),
    [sym_break_statement] = STATE(2299),
    [sym_continue_statement] = STATE(2299),
    [sym_global_statement] = STATE(2299),
    [sym_nonlocal_statement] = STATE(2299),
    [sym_exec_statement] = STATE(2299),
    [sym_type_alias_statement] = STATE(2299),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(545),
    [sym__indent] = ACTIONS(547),
    [sym_string_start] = ACTIONS(81),
  },
  [120] = {
    [sym__simple_statements] = STATE(807),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(549),
    [sym__indent] = ACTIONS(551),
    [sym_string_start] = ACTIONS(81),
  },
  [121] = {
    [sym__simple_statements] = STATE(1788),
    [sym_import_statement] = STATE(2452),
    [sym_future_import_statement] = STATE(2452),
    [sym_import_from_statement] = STATE(2452),
    [sym_print_statement] = STATE(2452),
    [sym_assert_statement] = STATE(2452),
    [sym_expression_statement] = STATE(2452),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2452),
    [sym_delete_statement] = STATE(2452),
    [sym_raise_statement] = STATE(2452),
    [sym_pass_statement] = STATE(2452),
    [sym_break_statement] = STATE(2452),
    [sym_continue_statement] = STATE(2452),
    [sym_global_statement] = STATE(2452),
    [sym_nonlocal_statement] = STATE(2452),
    [sym_exec_statement] = STATE(2452),
    [sym_type_alias_statement] = STATE(2452),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(553),
    [sym__indent] = ACTIONS(555),
    [sym_string_start] = ACTIONS(81),
  },
  [122] = {
    [sym__simple_statements] = STATE(668),
    [sym_import_statement] = STATE(2341),
    [sym_future_import_statement] = STATE(2341),
    [sym_import_from_statement] = STATE(2341),
    [sym_print_statement] = STATE(2341),
    [sym_assert_statement] = STATE(2341),
    [sym_expression_statement] = STATE(2341),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2341),
    [sym_delete_statement] = STATE(2341),
    [sym_raise_statement] = STATE(2341),
    [sym_pass_statement] = STATE(2341),
    [sym_break_statement] = STATE(2341),
    [sym_continue_statement] = STATE(2341),
    [sym_global_statement] = STATE(2341),
    [sym_nonlocal_statement] = STATE(2341),
    [sym_exec_statement] = STATE(2341),
    [sym_type_alias_statement] = STATE(2341),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(557),
    [sym__indent] = ACTIONS(559),
    [sym_string_start] = ACTIONS(81),
  },
  [123] = {
    [sym__simple_statements] = STATE(815),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(561),
    [sym__indent] = ACTIONS(563),
    [sym_string_start] = ACTIONS(81),
  },
  [124] = {
    [sym__simple_statements] = STATE(685),
    [sym_import_statement] = STATE(2436),
    [sym_future_import_statement] = STATE(2436),
    [sym_import_from_statement] = STATE(2436),
    [sym_print_statement] = STATE(2436),
    [sym_assert_statement] = STATE(2436),
    [sym_expression_statement] = STATE(2436),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2436),
    [sym_delete_statement] = STATE(2436),
    [sym_raise_statement] = STATE(2436),
    [sym_pass_statement] = STATE(2436),
    [sym_break_statement] = STATE(2436),
    [sym_continue_statement] = STATE(2436),
    [sym_global_statement] = STATE(2436),
    [sym_nonlocal_statement] = STATE(2436),
    [sym_exec_statement] = STATE(2436),
    [sym_type_alias_statement] = STATE(2436),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(565),
    [sym__indent] = ACTIONS(567),
    [sym_string_start] = ACTIONS(81),
  },
  [125] = {
    [sym__simple_statements] = STATE(749),
    [sym_import_statement] = STATE(2376),
    [sym_future_import_statement] = STATE(2376),
    [sym_import_from_statement] = STATE(2376),
    [sym_print_statement] = STATE(2376),
    [sym_assert_statement] = STATE(2376),
    [sym_expression_statement] = STATE(2376),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2376),
    [sym_delete_statement] = STATE(2376),
    [sym_raise_statement] = STATE(2376),
    [sym_pass_statement] = STATE(2376),
    [sym_break_statement] = STATE(2376),
    [sym_continue_statement] = STATE(2376),
    [sym_global_statement] = STATE(2376),
    [sym_nonlocal_statement] = STATE(2376),
    [sym_exec_statement] = STATE(2376),
    [sym_type_alias_statement] = STATE(2376),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(569),
    [sym__indent] = ACTIONS(571),
    [sym_string_start] = ACTIONS(81),
  },
  [126] = {
    [sym__simple_statements] = STATE(791),
    [sym_import_statement] = STATE(2376),
    [sym_future_import_statement] = STATE(2376),
    [sym_import_from_statement] = STATE(2376),
    [sym_print_statement] = STATE(2376),
    [sym_assert_statement] = STATE(2376),
    [sym_expression_statement] = STATE(2376),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2376),
    [sym_delete_statement] = STATE(2376),
    [sym_raise_statement] = STATE(2376),
    [sym_pass_statement] = STATE(2376),
    [sym_break_statement] = STATE(2376),
    [sym_continue_statement] = STATE(2376),
    [sym_global_statement] = STATE(2376),
    [sym_nonlocal_statement] = STATE(2376),
    [sym_exec_statement] = STATE(2376),
    [sym_type_alias_statement] = STATE(2376),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(573),
    [sym__indent] = ACTIONS(575),
    [sym_string_start] = ACTIONS(81),
  },
  [127] = {
    [sym__simple_statements] = STATE(675),
    [sym_import_statement] = STATE(2436),
    [sym_future_import_statement] = STATE(2436),
    [sym_import_from_statement] = STATE(2436),
    [sym_print_statement] = STATE(2436),
    [sym_assert_statement] = STATE(2436),
    [sym_expression_statement] = STATE(2436),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2436),
    [sym_delete_statement] = STATE(2436),
    [sym_raise_statement] = STATE(2436),
    [sym_pass_statement] = STATE(2436),
    [sym_break_statement] = STATE(2436),
    [sym_continue_statement] = STATE(2436),
    [sym_global_statement] = STATE(2436),
    [sym_nonlocal_statement] = STATE(2436),
    [sym_exec_statement] = STATE(2436),
    [sym_type_alias_statement] = STATE(2436),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(577),
    [sym__indent] = ACTIONS(579),
    [sym_string_start] = ACTIONS(81),
  },
  [128] = {
    [sym__simple_statements] = STATE(2531),
    [sym_import_statement] = STATE(2299),
    [sym_future_import_statement] = STATE(2299),
    [sym_import_from_statement] = STATE(2299),
    [sym_print_statement] = STATE(2299),
    [sym_assert_statement] = STATE(2299),
    [sym_expression_statement] = STATE(2299),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2299),
    [sym_delete_statement] = STATE(2299),
    [sym_raise_statement] = STATE(2299),
    [sym_pass_statement] = STATE(2299),
    [sym_break_statement] = STATE(2299),
    [sym_continue_statement] = STATE(2299),
    [sym_global_statement] = STATE(2299),
    [sym_nonlocal_statement] = STATE(2299),
    [sym_exec_statement] = STATE(2299),
    [sym_type_alias_statement] = STATE(2299),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(581),
    [sym__indent] = ACTIONS(583),
    [sym_string_start] = ACTIONS(81),
  },
  [129] = {
    [sym__simple_statements] = STATE(648),
    [sym_import_statement] = STATE(2260),
    [sym_future_import_statement] = STATE(2260),
    [sym_import_from_statement] = STATE(2260),
    [sym_print_statement] = STATE(2260),
    [sym_assert_statement] = STATE(2260),
    [sym_expression_statement] = STATE(2260),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2260),
    [sym_delete_statement] = STATE(2260),
    [sym_raise_statement] = STATE(2260),
    [sym_pass_statement] = STATE(2260),
    [sym_break_statement] = STATE(2260),
    [sym_continue_statement] = STATE(2260),
    [sym_global_statement] = STATE(2260),
    [sym_nonlocal_statement] = STATE(2260),
    [sym_exec_statement] = STATE(2260),
    [sym_type_alias_statement] = STATE(2260),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(585),
    [sym__indent] = ACTIONS(587),
    [sym_string_start] = ACTIONS(81),
  },
  [130] = {
    [sym__simple_statements] = STATE(821),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(589),
    [sym__indent] = ACTIONS(591),
    [sym_string_start] = ACTIONS(81),
  },
  [131] = {
    [sym__simple_statements] = STATE(757),
    [sym_import_statement] = STATE(2376),
    [sym_future_import_statement] = STATE(2376),
    [sym_import_from_statement] = STATE(2376),
    [sym_print_statement] = STATE(2376),
    [sym_assert_statement] = STATE(2376),
    [sym_expression_statement] = STATE(2376),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2376),
    [sym_delete_statement] = STATE(2376),
    [sym_raise_statement] = STATE(2376),
    [sym_pass_statement] = STATE(2376),
    [sym_break_statement] = STATE(2376),
    [sym_continue_statement] = STATE(2376),
    [sym_global_statement] = STATE(2376),
    [sym_nonlocal_statement] = STATE(2376),
    [sym_exec_statement] = STATE(2376),
    [sym_type_alias_statement] = STATE(2376),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(593),
    [sym__indent] = ACTIONS(595),
    [sym_string_start] = ACTIONS(81),
  },
  [132] = {
    [sym__simple_statements] = STATE(823),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(597),
    [sym__indent] = ACTIONS(599),
    [sym_string_start] = ACTIONS(81),
  },
  [133] = {
    [sym__simple_statements] = STATE(1799),
    [sym_import_statement] = STATE(2452),
    [sym_future_import_statement] = STATE(2452),
    [sym_import_from_statement] = STATE(2452),
    [sym_print_statement] = STATE(2452),
    [sym_assert_statement] = STATE(2452),
    [sym_expression_statement] = STATE(2452),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2452),
    [sym_delete_statement] = STATE(2452),
    [sym_raise_statement] = STATE(2452),
    [sym_pass_statement] = STATE(2452),
    [sym_break_statement] = STATE(2452),
    [sym_continue_statement] = STATE(2452),
    [sym_global_statement] = STATE(2452),
    [sym_nonlocal_statement] = STATE(2452),
    [sym_exec_statement] = STATE(2452),
    [sym_type_alias_statement] = STATE(2452),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(601),
    [sym__indent] = ACTIONS(603),
    [sym_string_start] = ACTIONS(81),
  },
  [134] = {
    [sym__simple_statements] = STATE(2516),
    [sym_import_statement] = STATE(2299),
    [sym_future_import_statement] = STATE(2299),
    [sym_import_from_statement] = STATE(2299),
    [sym_print_statement] = STATE(2299),
    [sym_assert_statement] = STATE(2299),
    [sym_expression_statement] = STATE(2299),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2299),
    [sym_delete_statement] = STATE(2299),
    [sym_raise_statement] = STATE(2299),
    [sym_pass_statement] = STATE(2299),
    [sym_break_statement] = STATE(2299),
    [sym_continue_statement] = STATE(2299),
    [sym_global_statement] = STATE(2299),
    [sym_nonlocal_statement] = STATE(2299),
    [sym_exec_statement] = STATE(2299),
    [sym_type_alias_statement] = STATE(2299),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(605),
    [sym__indent] = ACTIONS(607),
    [sym_string_start] = ACTIONS(81),
  },
  [135] = {
    [sym__simple_statements] = STATE(824),
    [sym_import_statement] = STATE(2294),
    [sym_future_import_statement] = STATE(2294),
    [sym_import_from_statement] = STATE(2294),
    [sym_print_statement] = STATE(2294),
    [sym_assert_statement] = STATE(2294),
    [sym_expression_statement] = STATE(2294),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2294),
    [sym_delete_statement] = STATE(2294),
    [sym_raise_statement] = STATE(2294),
    [sym_pass_statement] = STATE(2294),
    [sym_break_statement] = STATE(2294),
    [sym_continue_statement] = STATE(2294),
    [sym_global_statement] = STATE(2294),
    [sym_nonlocal_statement] = STATE(2294),
    [sym_exec_statement] = STATE(2294),
    [sym_type_alias_statement] = STATE(2294),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(609),
    [sym__indent] = ACTIONS(611),
    [sym_string_start] = ACTIONS(81),
  },
  [136] = {
    [sym__simple_statements] = STATE(740),
    [sym_import_statement] = STATE(2376),
    [sym_future_import_statement] = STATE(2376),
    [sym_import_from_statement] = STATE(2376),
    [sym_print_statement] = STATE(2376),
    [sym_assert_statement] = STATE(2376),
    [sym_expression_statement] = STATE(2376),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2376),
    [sym_delete_statement] = STATE(2376),
    [sym_raise_statement] = STATE(2376),
    [sym_pass_statement] = STATE(2376),
    [sym_break_statement] = STATE(2376),
    [sym_continue_statement] = STATE(2376),
    [sym_global_statement] = STATE(2376),
    [sym_nonlocal_statement] = STATE(2376),
    [sym_exec_statement] = STATE(2376),
    [sym_type_alias_statement] = STATE(2376),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(613),
    [sym__indent] = ACTIONS(615),
    [sym_string_start] = ACTIONS(81),
  },
  [137] = {
    [sym_import_statement] = STATE(2541),
    [sym_future_import_statement] = STATE(2541),
    [sym_import_from_statement] = STATE(2541),
    [sym_print_statement] = STATE(2541),
    [sym_assert_statement] = STATE(2541),
    [sym_expression_statement] = STATE(2541),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2541),
    [sym_delete_statement] = STATE(2541),
    [sym_raise_statement] = STATE(2541),
    [sym_pass_statement] = STATE(2541),
    [sym_break_statement] = STATE(2541),
    [sym_continue_statement] = STATE(2541),
    [sym_global_statement] = STATE(2541),
    [sym_nonlocal_statement] = STATE(2541),
    [sym_exec_statement] = STATE(2541),
    [sym_type_alias_statement] = STATE(2541),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(617),
    [sym_string_start] = ACTIONS(81),
  },
  [138] = {
    [sym_import_statement] = STATE(2541),
    [sym_future_import_statement] = STATE(2541),
    [sym_import_from_statement] = STATE(2541),
    [sym_print_statement] = STATE(2541),
    [sym_assert_statement] = STATE(2541),
    [sym_expression_statement] = STATE(2541),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2541),
    [sym_delete_statement] = STATE(2541),
    [sym_raise_statement] = STATE(2541),
    [sym_pass_statement] = STATE(2541),
    [sym_break_statement] = STATE(2541),
    [sym_continue_statement] = STATE(2541),
    [sym_global_statement] = STATE(2541),
    [sym_nonlocal_statement] = STATE(2541),
    [sym_exec_statement] = STATE(2541),
    [sym_type_alias_statement] = STATE(2541),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(619),
    [sym_string_start] = ACTIONS(81),
  },
  [139] = {
    [sym_import_statement] = STATE(2541),
    [sym_future_import_statement] = STATE(2541),
    [sym_import_from_statement] = STATE(2541),
    [sym_print_statement] = STATE(2541),
    [sym_assert_statement] = STATE(2541),
    [sym_expression_statement] = STATE(2541),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2541),
    [sym_delete_statement] = STATE(2541),
    [sym_raise_statement] = STATE(2541),
    [sym_pass_statement] = STATE(2541),
    [sym_break_statement] = STATE(2541),
    [sym_continue_statement] = STATE(2541),
    [sym_global_statement] = STATE(2541),
    [sym_nonlocal_statement] = STATE(2541),
    [sym_exec_statement] = STATE(2541),
    [sym_type_alias_statement] = STATE(2541),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(621),
    [sym_string_start] = ACTIONS(81),
  },
  [140] = {
    [sym_import_statement] = STATE(2541),
    [sym_future_import_statement] = STATE(2541),
    [sym_import_from_statement] = STATE(2541),
    [sym_print_statement] = STATE(2541),
    [sym_assert_statement] = STATE(2541),
    [sym_expression_statement] = STATE(2541),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2541),
    [sym_delete_statement] = STATE(2541),
    [sym_raise_statement] = STATE(2541),
    [sym_pass_statement] = STATE(2541),
    [sym_break_statement] = STATE(2541),
    [sym_continue_statement] = STATE(2541),
    [sym_global_statement] = STATE(2541),
    [sym_nonlocal_statement] = STATE(2541),
    [sym_exec_statement] = STATE(2541),
    [sym_type_alias_statement] = STATE(2541),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(623),
    [sym_string_start] = ACTIONS(81),
  },
  [141] = {
    [sym_import_statement] = STATE(2541),
    [sym_future_import_statement] = STATE(2541),
    [sym_import_from_statement] = STATE(2541),
    [sym_print_statement] = STATE(2541),
    [sym_assert_statement] = STATE(2541),
    [sym_expression_statement] = STATE(2541),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2541),
    [sym_delete_statement] = STATE(2541),
    [sym_raise_statement] = STATE(2541),
    [sym_pass_statement] = STATE(2541),
    [sym_break_statement] = STATE(2541),
    [sym_continue_statement] = STATE(2541),
    [sym_global_statement] = STATE(2541),
    [sym_nonlocal_statement] = STATE(2541),
    [sym_exec_statement] = STATE(2541),
    [sym_type_alias_statement] = STATE(2541),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(625),
    [sym_string_start] = ACTIONS(81),
  },
  [142] = {
    [sym_import_statement] = STATE(2541),
    [sym_future_import_statement] = STATE(2541),
    [sym_import_from_statement] = STATE(2541),
    [sym_print_statement] = STATE(2541),
    [sym_assert_statement] = STATE(2541),
    [sym_expression_statement] = STATE(2541),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2541),
    [sym_delete_statement] = STATE(2541),
    [sym_raise_statement] = STATE(2541),
    [sym_pass_statement] = STATE(2541),
    [sym_break_statement] = STATE(2541),
    [sym_continue_statement] = STATE(2541),
    [sym_global_statement] = STATE(2541),
    [sym_nonlocal_statement] = STATE(2541),
    [sym_exec_statement] = STATE(2541),
    [sym_type_alias_statement] = STATE(2541),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(627),
    [sym_string_start] = ACTIONS(81),
  },
  [143] = {
    [sym_import_statement] = STATE(2541),
    [sym_future_import_statement] = STATE(2541),
    [sym_import_from_statement] = STATE(2541),
    [sym_print_statement] = STATE(2541),
    [sym_assert_statement] = STATE(2541),
    [sym_expression_statement] = STATE(2541),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2541),
    [sym_delete_statement] = STATE(2541),
    [sym_raise_statement] = STATE(2541),
    [sym_pass_statement] = STATE(2541),
    [sym_break_statement] = STATE(2541),
    [sym_continue_statement] = STATE(2541),
    [sym_global_statement] = STATE(2541),
    [sym_nonlocal_statement] = STATE(2541),
    [sym_exec_statement] = STATE(2541),
    [sym_type_alias_statement] = STATE(2541),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(629),
    [sym_string_start] = ACTIONS(81),
  },
  [144] = {
    [sym_import_statement] = STATE(2541),
    [sym_future_import_statement] = STATE(2541),
    [sym_import_from_statement] = STATE(2541),
    [sym_print_statement] = STATE(2541),
    [sym_assert_statement] = STATE(2541),
    [sym_expression_statement] = STATE(2541),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2541),
    [sym_delete_statement] = STATE(2541),
    [sym_raise_statement] = STATE(2541),
    [sym_pass_statement] = STATE(2541),
    [sym_break_statement] = STATE(2541),
    [sym_continue_statement] = STATE(2541),
    [sym_global_statement] = STATE(2541),
    [sym_nonlocal_statement] = STATE(2541),
    [sym_exec_statement] = STATE(2541),
    [sym_type_alias_statement] = STATE(2541),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(631),
    [sym_string_start] = ACTIONS(81),
  },
  [145] = {
    [sym_import_statement] = STATE(2541),
    [sym_future_import_statement] = STATE(2541),
    [sym_import_from_statement] = STATE(2541),
    [sym_print_statement] = STATE(2541),
    [sym_assert_statement] = STATE(2541),
    [sym_expression_statement] = STATE(2541),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2541),
    [sym_delete_statement] = STATE(2541),
    [sym_raise_statement] = STATE(2541),
    [sym_pass_statement] = STATE(2541),
    [sym_break_statement] = STATE(2541),
    [sym_continue_statement] = STATE(2541),
    [sym_global_statement] = STATE(2541),
    [sym_nonlocal_statement] = STATE(2541),
    [sym_exec_statement] = STATE(2541),
    [sym_type_alias_statement] = STATE(2541),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(633),
    [sym_string_start] = ACTIONS(81),
  },
  [146] = {
    [sym_import_statement] = STATE(2541),
    [sym_future_import_statement] = STATE(2541),
    [sym_import_from_statement] = STATE(2541),
    [sym_print_statement] = STATE(2541),
    [sym_assert_statement] = STATE(2541),
    [sym_expression_statement] = STATE(2541),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2541),
    [sym_delete_statement] = STATE(2541),
    [sym_raise_statement] = STATE(2541),
    [sym_pass_statement] = STATE(2541),
    [sym_break_statement] = STATE(2541),
    [sym_continue_statement] = STATE(2541),
    [sym_global_statement] = STATE(2541),
    [sym_nonlocal_statement] = STATE(2541),
    [sym_exec_statement] = STATE(2541),
    [sym_type_alias_statement] = STATE(2541),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(635),
    [sym_string_start] = ACTIONS(81),
  },
  [147] = {
    [sym_import_statement] = STATE(2541),
    [sym_future_import_statement] = STATE(2541),
    [sym_import_from_statement] = STATE(2541),
    [sym_print_statement] = STATE(2541),
    [sym_assert_statement] = STATE(2541),
    [sym_expression_statement] = STATE(2541),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2541),
    [sym_delete_statement] = STATE(2541),
    [sym_raise_statement] = STATE(2541),
    [sym_pass_statement] = STATE(2541),
    [sym_break_statement] = STATE(2541),
    [sym_continue_statement] = STATE(2541),
    [sym_global_statement] = STATE(2541),
    [sym_nonlocal_statement] = STATE(2541),
    [sym_exec_statement] = STATE(2541),
    [sym_type_alias_statement] = STATE(2541),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(637),
    [sym_string_start] = ACTIONS(81),
  },
  [148] = {
    [sym_import_statement] = STATE(2541),
    [sym_future_import_statement] = STATE(2541),
    [sym_import_from_statement] = STATE(2541),
    [sym_print_statement] = STATE(2541),
    [sym_assert_statement] = STATE(2541),
    [sym_expression_statement] = STATE(2541),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2541),
    [sym_delete_statement] = STATE(2541),
    [sym_raise_statement] = STATE(2541),
    [sym_pass_statement] = STATE(2541),
    [sym_break_statement] = STATE(2541),
    [sym_continue_statement] = STATE(2541),
    [sym_global_statement] = STATE(2541),
    [sym_nonlocal_statement] = STATE(2541),
    [sym_exec_statement] = STATE(2541),
    [sym_type_alias_statement] = STATE(2541),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(639),
    [sym_string_start] = ACTIONS(81),
  },
  [149] = {
    [sym_import_statement] = STATE(2541),
    [sym_future_import_statement] = STATE(2541),
    [sym_import_from_statement] = STATE(2541),
    [sym_print_statement] = STATE(2541),
    [sym_assert_statement] = STATE(2541),
    [sym_expression_statement] = STATE(2541),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2541),
    [sym_delete_statement] = STATE(2541),
    [sym_raise_statement] = STATE(2541),
    [sym_pass_statement] = STATE(2541),
    [sym_break_statement] = STATE(2541),
    [sym_continue_statement] = STATE(2541),
    [sym_global_statement] = STATE(2541),
    [sym_nonlocal_statement] = STATE(2541),
    [sym_exec_statement] = STATE(2541),
    [sym_type_alias_statement] = STATE(2541),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(641),
    [sym_string_start] = ACTIONS(81),
  },
  [150] = {
    [sym_import_statement] = STATE(2541),
    [sym_future_import_statement] = STATE(2541),
    [sym_import_from_statement] = STATE(2541),
    [sym_print_statement] = STATE(2541),
    [sym_assert_statement] = STATE(2541),
    [sym_expression_statement] = STATE(2541),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2541),
    [sym_delete_statement] = STATE(2541),
    [sym_raise_statement] = STATE(2541),
    [sym_pass_statement] = STATE(2541),
    [sym_break_statement] = STATE(2541),
    [sym_continue_statement] = STATE(2541),
    [sym_global_statement] = STATE(2541),
    [sym_nonlocal_statement] = STATE(2541),
    [sym_exec_statement] = STATE(2541),
    [sym_type_alias_statement] = STATE(2541),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(643),
    [sym_string_start] = ACTIONS(81),
  },
  [151] = {
    [sym_import_statement] = STATE(2541),
    [sym_future_import_statement] = STATE(2541),
    [sym_import_from_statement] = STATE(2541),
    [sym_print_statement] = STATE(2541),
    [sym_assert_statement] = STATE(2541),
    [sym_expression_statement] = STATE(2541),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2541),
    [sym_delete_statement] = STATE(2541),
    [sym_raise_statement] = STATE(2541),
    [sym_pass_statement] = STATE(2541),
    [sym_break_statement] = STATE(2541),
    [sym_continue_statement] = STATE(2541),
    [sym_global_statement] = STATE(2541),
    [sym_nonlocal_statement] = STATE(2541),
    [sym_exec_statement] = STATE(2541),
    [sym_type_alias_statement] = STATE(2541),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(645),
    [sym_string_start] = ACTIONS(81),
  },
  [152] = {
    [sym_import_statement] = STATE(2541),
    [sym_future_import_statement] = STATE(2541),
    [sym_import_from_statement] = STATE(2541),
    [sym_print_statement] = STATE(2541),
    [sym_assert_statement] = STATE(2541),
    [sym_expression_statement] = STATE(2541),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2541),
    [sym_delete_statement] = STATE(2541),
    [sym_raise_statement] = STATE(2541),
    [sym_pass_statement] = STATE(2541),
    [sym_break_statement] = STATE(2541),
    [sym_continue_statement] = STATE(2541),
    [sym_global_statement] = STATE(2541),
    [sym_nonlocal_statement] = STATE(2541),
    [sym_exec_statement] = STATE(2541),
    [sym_type_alias_statement] = STATE(2541),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(647),
    [sym_string_start] = ACTIONS(81),
  },
  [153] = {
    [sym_import_statement] = STATE(2541),
    [sym_future_import_statement] = STATE(2541),
    [sym_import_from_statement] = STATE(2541),
    [sym_print_statement] = STATE(2541),
    [sym_assert_statement] = STATE(2541),
    [sym_expression_statement] = STATE(2541),
    [sym_named_expression] = STATE(1666),
    [sym__named_expression_lhs] = STATE(2751),
    [sym_return_statement] = STATE(2541),
    [sym_delete_statement] = STATE(2541),
    [sym_raise_statement] = STATE(2541),
    [sym_pass_statement] = STATE(2541),
    [sym_break_statement] = STATE(2541),
    [sym_continue_statement] = STATE(2541),
    [sym_global_statement] = STATE(2541),
    [sym_nonlocal_statement] = STATE(2541),
    [sym_exec_statement] = STATE(2541),
    [sym_type_alias_statement] = STATE(2541),
    [sym_pattern] = STATE(1634),
    [sym_tuple_pattern] = STATE(1640),
    [sym_list_pattern] = STATE(1640),
    [sym_list_splat_pattern] = STATE(641),
    [sym_as_pattern] = STATE(1666),
    [sym_expression] = STATE(1782),
    [sym_primary_expression] = STATE(966),
    [sym_not_operator] = STATE(1666),
    [sym_boolean_operator] = STATE(1666),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_comparison_operator] = STATE(1666),
    [sym_lambda] = STATE(1666),
    [sym_assignment] = STATE(2507),
    [sym_augmented_assignment] = STATE(2507),
    [sym_pattern_list] = STATE(1648),
    [sym_yield] = STATE(2507),
    [sym_attribute] = STATE(640),
    [sym_subscript] = STATE(640),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_conditional_expression] = STATE(1666),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_import] = ACTIONS(11),
    [anon_sym_from] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_STAR] = ACTIONS(17),
    [anon_sym_print] = ACTIONS(19),
    [anon_sym_assert] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_match] = ACTIONS(413),
    [anon_sym_async] = ACTIONS(415),
    [anon_sym_global] = ACTIONS(51),
    [anon_sym_nonlocal] = ACTIONS(53),
    [anon_sym_exec] = ACTIONS(55),
    [anon_sym_type] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(61),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_lambda] = ACTIONS(71),
    [anon_sym_yield] = ACTIONS(73),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(79),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(81),
  },
  [154] = {
    [sym_list_splat_pattern] = STATE(1119),
    [sym_primary_expression] = STATE(981),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_attribute] = STATE(1035),
    [sym_subscript] = STATE(1035),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(77),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(649),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(651),
    [anon_sym_print] = ACTIONS(653),
    [anon_sym_GT_GT] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(294),
    [anon_sym_match] = ACTIONS(655),
    [anon_sym_async] = ACTIONS(653),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(653),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_EQ] = ACTIONS(302),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_PLUS_EQ] = ACTIONS(319),
    [anon_sym_DASH_EQ] = ACTIONS(319),
    [anon_sym_STAR_EQ] = ACTIONS(319),
    [anon_sym_SLASH_EQ] = ACTIONS(319),
    [anon_sym_AT_EQ] = ACTIONS(319),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(319),
    [anon_sym_PERCENT_EQ] = ACTIONS(319),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(319),
    [anon_sym_GT_GT_EQ] = ACTIONS(319),
    [anon_sym_LT_LT_EQ] = ACTIONS(319),
    [anon_sym_AMP_EQ] = ACTIONS(319),
    [anon_sym_CARET_EQ] = ACTIONS(319),
    [anon_sym_PIPE_EQ] = ACTIONS(319),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(661),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(81),
  },
  [155] = {
    [sym_list_splat_pattern] = STATE(1119),
    [sym_primary_expression] = STATE(981),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_attribute] = STATE(1035),
    [sym_subscript] = STATE(1035),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(77),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(649),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(651),
    [anon_sym_print] = ACTIONS(653),
    [anon_sym_GT_GT] = ACTIONS(279),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(302),
    [anon_sym_match] = ACTIONS(655),
    [anon_sym_async] = ACTIONS(653),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(653),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_EQ] = ACTIONS(302),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(659),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(659),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [anon_sym_PLUS_EQ] = ACTIONS(319),
    [anon_sym_DASH_EQ] = ACTIONS(319),
    [anon_sym_STAR_EQ] = ACTIONS(319),
    [anon_sym_SLASH_EQ] = ACTIONS(319),
    [anon_sym_AT_EQ] = ACTIONS(319),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(319),
    [anon_sym_PERCENT_EQ] = ACTIONS(319),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(319),
    [anon_sym_GT_GT_EQ] = ACTIONS(319),
    [anon_sym_LT_LT_EQ] = ACTIONS(319),
    [anon_sym_AMP_EQ] = ACTIONS(319),
    [anon_sym_CARET_EQ] = ACTIONS(319),
    [anon_sym_PIPE_EQ] = ACTIONS(319),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(661),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(81),
  },
  [156] = {
    [sym_list_splat_pattern] = STATE(1342),
    [sym_primary_expression] = STATE(1051),
    [sym_binary_operator] = STATE(1268),
    [sym_unary_operator] = STATE(1268),
    [sym_attribute] = STATE(1268),
    [sym_subscript] = STATE(1268),
    [sym_call] = STATE(1268),
    [sym_list] = STATE(1268),
    [sym_set] = STATE(1268),
    [sym_tuple] = STATE(1268),
    [sym_dictionary] = STATE(1268),
    [sym_list_comprehension] = STATE(1268),
    [sym_dictionary_comprehension] = STATE(1268),
    [sym_set_comprehension] = STATE(1268),
    [sym_generator_expression] = STATE(1268),
    [sym_parenthesized_expression] = STATE(1268),
    [sym_concatenated_string] = STATE(1268),
    [sym_string] = STATE(1010),
    [sym_await] = STATE(1268),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_DOT] = ACTIONS(665),
    [anon_sym_LPAREN] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_as] = ACTIONS(670),
    [anon_sym_STAR] = ACTIONS(672),
    [anon_sym_print] = ACTIONS(674),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_if] = ACTIONS(670),
    [anon_sym_COLON] = ACTIONS(663),
    [anon_sym_match] = ACTIONS(676),
    [anon_sym_async] = ACTIONS(674),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(665),
    [anon_sym_exec] = ACTIONS(674),
    [anon_sym_type] = ACTIONS(676),
    [anon_sym_EQ] = ACTIONS(670),
    [anon_sym_LBRACK] = ACTIONS(678),
    [anon_sym_AT] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_PIPE] = ACTIONS(665),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_not] = ACTIONS(670),
    [anon_sym_and] = ACTIONS(670),
    [anon_sym_or] = ACTIONS(670),
    [anon_sym_SLASH] = ACTIONS(665),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_SLASH_SLASH] = ACTIONS(665),
    [anon_sym_AMP] = ACTIONS(665),
    [anon_sym_CARET] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_is] = ACTIONS(670),
    [anon_sym_LT] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_LT_GT] = ACTIONS(663),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_AT_EQ] = ACTIONS(663),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(682),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(663),
    [sym_string_start] = ACTIONS(327),
  },
  [157] = {
    [sym_list_splat_pattern] = STATE(1119),
    [sym_primary_expression] = STATE(981),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_attribute] = STATE(1035),
    [sym_subscript] = STATE(1035),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(77),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_from] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(649),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(651),
    [anon_sym_print] = ACTIONS(653),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(655),
    [anon_sym_async] = ACTIONS(653),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(653),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(661),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(81),
  },
  [158] = {
    [sym_list_splat_pattern] = STATE(1119),
    [sym_primary_expression] = STATE(981),
    [sym_binary_operator] = STATE(1035),
    [sym_unary_operator] = STATE(1035),
    [sym_attribute] = STATE(1035),
    [sym_subscript] = STATE(1035),
    [sym_call] = STATE(1035),
    [sym_list] = STATE(1035),
    [sym_set] = STATE(1035),
    [sym_tuple] = STATE(1035),
    [sym_dictionary] = STATE(1035),
    [sym_list_comprehension] = STATE(1035),
    [sym_dictionary_comprehension] = STATE(1035),
    [sym_set_comprehension] = STATE(1035),
    [sym_generator_expression] = STATE(1035),
    [sym_parenthesized_expression] = STATE(1035),
    [sym_concatenated_string] = STATE(1035),
    [sym_string] = STATE(969),
    [sym_await] = STATE(1035),
    [sym_identifier] = ACTIONS(77),
    [anon_sym_SEMI] = ACTIONS(277),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_from] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(649),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(651),
    [anon_sym_print] = ACTIONS(653),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(277),
    [anon_sym_match] = ACTIONS(655),
    [anon_sym_async] = ACTIONS(653),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(653),
    [anon_sym_type] = ACTIONS(655),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(65),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(65),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(65),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(75),
    [sym_integer] = ACTIONS(77),
    [sym_float] = ACTIONS(75),
    [anon_sym_await] = ACTIONS(661),
    [sym_true] = ACTIONS(77),
    [sym_false] = ACTIONS(77),
    [sym_none] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(277),
    [sym_string_start] = ACTIONS(81),
  },
  [159] = {
    [sym_list_splat_pattern] = STATE(1214),
    [sym_primary_expression] = STATE(1026),
    [sym_binary_operator] = STATE(1172),
    [sym_unary_operator] = STATE(1172),
    [sym_attribute] = STATE(1172),
    [sym_subscript] = STATE(1172),
    [sym_call] = STATE(1172),
    [sym_list] = STATE(1172),
    [sym_set] = STATE(1172),
    [sym_tuple] = STATE(1172),
    [sym_dictionary] = STATE(1172),
    [sym_list_comprehension] = STATE(1172),
    [sym_dictionary_comprehension] = STATE(1172),
    [sym_set_comprehension] = STATE(1172),
    [sym_generator_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(1172),
    [sym_concatenated_string] = STATE(1172),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1172),
    [sym_identifier] = ACTIONS(684),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(686),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(688),
    [anon_sym_print] = ACTIONS(690),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(692),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(690),
    [anon_sym_type] = ACTIONS(692),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(698),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(700),
    [sym_type_conversion] = ACTIONS(277),
    [sym_integer] = ACTIONS(684),
    [sym_float] = ACTIONS(700),
    [anon_sym_await] = ACTIONS(702),
    [sym_true] = ACTIONS(684),
    [sym_false] = ACTIONS(684),
    [sym_none] = ACTIONS(684),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(704),
  },
  [160] = {
    [sym_list_splat_pattern] = STATE(1214),
    [sym_primary_expression] = STATE(1026),
    [sym_binary_operator] = STATE(1172),
    [sym_unary_operator] = STATE(1172),
    [sym_attribute] = STATE(1172),
    [sym_subscript] = STATE(1172),
    [sym_call] = STATE(1172),
    [sym_list] = STATE(1172),
    [sym_set] = STATE(1172),
    [sym_tuple] = STATE(1172),
    [sym_dictionary] = STATE(1172),
    [sym_list_comprehension] = STATE(1172),
    [sym_dictionary_comprehension] = STATE(1172),
    [sym_set_comprehension] = STATE(1172),
    [sym_generator_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(1172),
    [sym_concatenated_string] = STATE(1172),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1172),
    [sym_identifier] = ACTIONS(684),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(686),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(688),
    [anon_sym_print] = ACTIONS(690),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(692),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(690),
    [anon_sym_type] = ACTIONS(692),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(698),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(700),
    [sym_type_conversion] = ACTIONS(277),
    [sym_integer] = ACTIONS(684),
    [sym_float] = ACTIONS(700),
    [anon_sym_await] = ACTIONS(702),
    [sym_true] = ACTIONS(684),
    [sym_false] = ACTIONS(684),
    [sym_none] = ACTIONS(684),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(704),
  },
  [161] = {
    [sym_list_splat_pattern] = STATE(1342),
    [sym_primary_expression] = STATE(1051),
    [sym_binary_operator] = STATE(1268),
    [sym_unary_operator] = STATE(1268),
    [sym_attribute] = STATE(1268),
    [sym_subscript] = STATE(1268),
    [sym_call] = STATE(1268),
    [sym_list] = STATE(1268),
    [sym_set] = STATE(1268),
    [sym_tuple] = STATE(1268),
    [sym_dictionary] = STATE(1268),
    [sym_list_comprehension] = STATE(1268),
    [sym_dictionary_comprehension] = STATE(1268),
    [sym_set_comprehension] = STATE(1268),
    [sym_generator_expression] = STATE(1268),
    [sym_parenthesized_expression] = STATE(1268),
    [sym_concatenated_string] = STATE(1268),
    [sym_string] = STATE(1010),
    [sym_await] = STATE(1268),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_DOT] = ACTIONS(665),
    [anon_sym_from] = ACTIONS(670),
    [anon_sym_LPAREN] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_as] = ACTIONS(670),
    [anon_sym_STAR] = ACTIONS(672),
    [anon_sym_print] = ACTIONS(674),
    [anon_sym_GT_GT] = ACTIONS(706),
    [anon_sym_if] = ACTIONS(670),
    [anon_sym_COLON] = ACTIONS(663),
    [anon_sym_match] = ACTIONS(676),
    [anon_sym_async] = ACTIONS(674),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(706),
    [anon_sym_exec] = ACTIONS(674),
    [anon_sym_type] = ACTIONS(676),
    [anon_sym_EQ] = ACTIONS(670),
    [anon_sym_LBRACK] = ACTIONS(678),
    [anon_sym_AT] = ACTIONS(706),
    [anon_sym_DASH] = ACTIONS(315),
    [anon_sym_PIPE] = ACTIONS(706),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(670),
    [anon_sym_and] = ACTIONS(670),
    [anon_sym_or] = ACTIONS(670),
    [anon_sym_SLASH] = ACTIONS(665),
    [anon_sym_PERCENT] = ACTIONS(706),
    [anon_sym_SLASH_SLASH] = ACTIONS(706),
    [anon_sym_AMP] = ACTIONS(706),
    [anon_sym_CARET] = ACTIONS(706),
    [anon_sym_LT_LT] = ACTIONS(706),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_is] = ACTIONS(670),
    [anon_sym_LT] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_LT_GT] = ACTIONS(663),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(682),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(663),
    [sym_string_start] = ACTIONS(327),
  },
  [162] = {
    [sym_list_splat_pattern] = STATE(1342),
    [sym_primary_expression] = STATE(1051),
    [sym_binary_operator] = STATE(1268),
    [sym_unary_operator] = STATE(1268),
    [sym_attribute] = STATE(1268),
    [sym_subscript] = STATE(1268),
    [sym_call] = STATE(1268),
    [sym_list] = STATE(1268),
    [sym_set] = STATE(1268),
    [sym_tuple] = STATE(1268),
    [sym_dictionary] = STATE(1268),
    [sym_list_comprehension] = STATE(1268),
    [sym_dictionary_comprehension] = STATE(1268),
    [sym_set_comprehension] = STATE(1268),
    [sym_generator_expression] = STATE(1268),
    [sym_parenthesized_expression] = STATE(1268),
    [sym_concatenated_string] = STATE(1268),
    [sym_string] = STATE(1010),
    [sym_await] = STATE(1268),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_DOT] = ACTIONS(665),
    [anon_sym_LPAREN] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_as] = ACTIONS(670),
    [anon_sym_STAR] = ACTIONS(672),
    [anon_sym_print] = ACTIONS(674),
    [anon_sym_GT_GT] = ACTIONS(706),
    [anon_sym_if] = ACTIONS(670),
    [anon_sym_COLON] = ACTIONS(663),
    [anon_sym_match] = ACTIONS(676),
    [anon_sym_async] = ACTIONS(674),
    [anon_sym_for] = ACTIONS(670),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(706),
    [anon_sym_exec] = ACTIONS(674),
    [anon_sym_type] = ACTIONS(676),
    [anon_sym_EQ] = ACTIONS(670),
    [anon_sym_LBRACK] = ACTIONS(678),
    [anon_sym_AT] = ACTIONS(706),
    [anon_sym_DASH] = ACTIONS(315),
    [anon_sym_PIPE] = ACTIONS(706),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_RBRACE] = ACTIONS(663),
    [anon_sym_PLUS] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(670),
    [anon_sym_and] = ACTIONS(670),
    [anon_sym_or] = ACTIONS(670),
    [anon_sym_SLASH] = ACTIONS(665),
    [anon_sym_PERCENT] = ACTIONS(706),
    [anon_sym_SLASH_SLASH] = ACTIONS(706),
    [anon_sym_AMP] = ACTIONS(706),
    [anon_sym_CARET] = ACTIONS(706),
    [anon_sym_LT_LT] = ACTIONS(706),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_is] = ACTIONS(670),
    [anon_sym_LT] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_LT_GT] = ACTIONS(663),
    [sym_ellipsis] = ACTIONS(321),
    [sym_type_conversion] = ACTIONS(663),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(682),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(327),
  },
  [163] = {
    [sym_list_splat_pattern] = STATE(1342),
    [sym_primary_expression] = STATE(1051),
    [sym_binary_operator] = STATE(1268),
    [sym_unary_operator] = STATE(1268),
    [sym_attribute] = STATE(1268),
    [sym_subscript] = STATE(1268),
    [sym_call] = STATE(1268),
    [sym_list] = STATE(1268),
    [sym_set] = STATE(1268),
    [sym_tuple] = STATE(1268),
    [sym_dictionary] = STATE(1268),
    [sym_list_comprehension] = STATE(1268),
    [sym_dictionary_comprehension] = STATE(1268),
    [sym_set_comprehension] = STATE(1268),
    [sym_generator_expression] = STATE(1268),
    [sym_parenthesized_expression] = STATE(1268),
    [sym_concatenated_string] = STATE(1268),
    [sym_string] = STATE(1010),
    [sym_await] = STATE(1268),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_DOT] = ACTIONS(665),
    [anon_sym_LPAREN] = ACTIONS(668),
    [anon_sym_RPAREN] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_as] = ACTIONS(670),
    [anon_sym_STAR] = ACTIONS(672),
    [anon_sym_print] = ACTIONS(674),
    [anon_sym_GT_GT] = ACTIONS(706),
    [anon_sym_if] = ACTIONS(670),
    [anon_sym_COLON] = ACTIONS(663),
    [anon_sym_match] = ACTIONS(676),
    [anon_sym_async] = ACTIONS(674),
    [anon_sym_for] = ACTIONS(670),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(706),
    [anon_sym_exec] = ACTIONS(674),
    [anon_sym_type] = ACTIONS(676),
    [anon_sym_EQ] = ACTIONS(670),
    [anon_sym_LBRACK] = ACTIONS(678),
    [anon_sym_AT] = ACTIONS(706),
    [anon_sym_DASH] = ACTIONS(315),
    [anon_sym_PIPE] = ACTIONS(706),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(670),
    [anon_sym_and] = ACTIONS(670),
    [anon_sym_or] = ACTIONS(670),
    [anon_sym_SLASH] = ACTIONS(665),
    [anon_sym_PERCENT] = ACTIONS(706),
    [anon_sym_SLASH_SLASH] = ACTIONS(706),
    [anon_sym_AMP] = ACTIONS(706),
    [anon_sym_CARET] = ACTIONS(706),
    [anon_sym_LT_LT] = ACTIONS(706),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_is] = ACTIONS(670),
    [anon_sym_LT] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_LT_GT] = ACTIONS(663),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(682),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(327),
  },
  [164] = {
    [sym_list_splat_pattern] = STATE(1388),
    [sym_primary_expression] = STATE(1096),
    [sym_binary_operator] = STATE(1270),
    [sym_unary_operator] = STATE(1270),
    [sym_attribute] = STATE(1270),
    [sym_subscript] = STATE(1270),
    [sym_call] = STATE(1270),
    [sym_list] = STATE(1270),
    [sym_set] = STATE(1270),
    [sym_tuple] = STATE(1270),
    [sym_dictionary] = STATE(1270),
    [sym_list_comprehension] = STATE(1270),
    [sym_dictionary_comprehension] = STATE(1270),
    [sym_set_comprehension] = STATE(1270),
    [sym_generator_expression] = STATE(1270),
    [sym_parenthesized_expression] = STATE(1270),
    [sym_concatenated_string] = STATE(1270),
    [sym_string] = STATE(1028),
    [sym_await] = STATE(1270),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(711),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(713),
    [anon_sym_print] = ACTIONS(715),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(717),
    [anon_sym_async] = ACTIONS(715),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(715),
    [anon_sym_type] = ACTIONS(717),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(723),
    [anon_sym_PLUS] = ACTIONS(721),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(721),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(725),
    [sym_integer] = ACTIONS(709),
    [sym_float] = ACTIONS(725),
    [anon_sym_await] = ACTIONS(727),
    [sym_true] = ACTIONS(709),
    [sym_false] = ACTIONS(709),
    [sym_none] = ACTIONS(709),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(729),
  },
  [165] = {
    [sym_list_splat_pattern] = STATE(1214),
    [sym_primary_expression] = STATE(1026),
    [sym_binary_operator] = STATE(1172),
    [sym_unary_operator] = STATE(1172),
    [sym_attribute] = STATE(1172),
    [sym_subscript] = STATE(1172),
    [sym_call] = STATE(1172),
    [sym_list] = STATE(1172),
    [sym_set] = STATE(1172),
    [sym_tuple] = STATE(1172),
    [sym_dictionary] = STATE(1172),
    [sym_list_comprehension] = STATE(1172),
    [sym_dictionary_comprehension] = STATE(1172),
    [sym_set_comprehension] = STATE(1172),
    [sym_generator_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(1172),
    [sym_concatenated_string] = STATE(1172),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1172),
    [sym_identifier] = ACTIONS(684),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(686),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(688),
    [anon_sym_print] = ACTIONS(690),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(277),
    [anon_sym_match] = ACTIONS(692),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(690),
    [anon_sym_type] = ACTIONS(692),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(698),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(700),
    [sym_type_conversion] = ACTIONS(277),
    [sym_integer] = ACTIONS(684),
    [sym_float] = ACTIONS(700),
    [anon_sym_await] = ACTIONS(702),
    [sym_true] = ACTIONS(684),
    [sym_false] = ACTIONS(684),
    [sym_none] = ACTIONS(684),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(704),
  },
  [166] = {
    [sym_list_splat_pattern] = STATE(1342),
    [sym_primary_expression] = STATE(1051),
    [sym_binary_operator] = STATE(1268),
    [sym_unary_operator] = STATE(1268),
    [sym_attribute] = STATE(1268),
    [sym_subscript] = STATE(1268),
    [sym_call] = STATE(1268),
    [sym_list] = STATE(1268),
    [sym_set] = STATE(1268),
    [sym_tuple] = STATE(1268),
    [sym_dictionary] = STATE(1268),
    [sym_list_comprehension] = STATE(1268),
    [sym_dictionary_comprehension] = STATE(1268),
    [sym_set_comprehension] = STATE(1268),
    [sym_generator_expression] = STATE(1268),
    [sym_parenthesized_expression] = STATE(1268),
    [sym_concatenated_string] = STATE(1268),
    [sym_string] = STATE(1010),
    [sym_await] = STATE(1268),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(672),
    [anon_sym_print] = ACTIONS(674),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_else] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(676),
    [anon_sym_async] = ACTIONS(674),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(674),
    [anon_sym_type] = ACTIONS(676),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(678),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(315),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(682),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(327),
  },
  [167] = {
    [sym_list_splat_pattern] = STATE(1203),
    [sym_primary_expression] = STATE(988),
    [sym_binary_operator] = STATE(1138),
    [sym_unary_operator] = STATE(1138),
    [sym_attribute] = STATE(1138),
    [sym_subscript] = STATE(1138),
    [sym_call] = STATE(1138),
    [sym_list] = STATE(1138),
    [sym_set] = STATE(1138),
    [sym_tuple] = STATE(1138),
    [sym_dictionary] = STATE(1138),
    [sym_list_comprehension] = STATE(1138),
    [sym_dictionary_comprehension] = STATE(1138),
    [sym_set_comprehension] = STATE(1138),
    [sym_generator_expression] = STATE(1138),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_concatenated_string] = STATE(1138),
    [sym_string] = STATE(971),
    [sym_await] = STATE(1138),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(735),
    [anon_sym_print] = ACTIONS(737),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(739),
    [anon_sym_async] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(737),
    [anon_sym_type] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(743),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(745),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(743),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(743),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(747),
    [sym_integer] = ACTIONS(731),
    [sym_float] = ACTIONS(747),
    [anon_sym_await] = ACTIONS(749),
    [sym_true] = ACTIONS(731),
    [sym_false] = ACTIONS(731),
    [sym_none] = ACTIONS(731),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(751),
  },
  [168] = {
    [sym_list_splat_pattern] = STATE(1214),
    [sym_primary_expression] = STATE(1026),
    [sym_binary_operator] = STATE(1172),
    [sym_unary_operator] = STATE(1172),
    [sym_attribute] = STATE(1172),
    [sym_subscript] = STATE(1172),
    [sym_call] = STATE(1172),
    [sym_list] = STATE(1172),
    [sym_set] = STATE(1172),
    [sym_tuple] = STATE(1172),
    [sym_dictionary] = STATE(1172),
    [sym_list_comprehension] = STATE(1172),
    [sym_dictionary_comprehension] = STATE(1172),
    [sym_set_comprehension] = STATE(1172),
    [sym_generator_expression] = STATE(1172),
    [sym_parenthesized_expression] = STATE(1172),
    [sym_concatenated_string] = STATE(1172),
    [sym_string] = STATE(975),
    [sym_await] = STATE(1172),
    [sym_identifier] = ACTIONS(684),
    [anon_sym_DOT] = ACTIONS(665),
    [anon_sym_LPAREN] = ACTIONS(686),
    [anon_sym_COMMA] = ACTIONS(706),
    [anon_sym_as] = ACTIONS(665),
    [anon_sym_STAR] = ACTIONS(688),
    [anon_sym_print] = ACTIONS(690),
    [anon_sym_GT_GT] = ACTIONS(706),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(665),
    [anon_sym_COLON] = ACTIONS(670),
    [anon_sym_match] = ACTIONS(692),
    [anon_sym_async] = ACTIONS(690),
    [anon_sym_for] = ACTIONS(670),
    [anon_sym_in] = ACTIONS(665),
    [anon_sym_STAR_STAR] = ACTIONS(706),
    [anon_sym_exec] = ACTIONS(690),
    [anon_sym_type] = ACTIONS(692),
    [anon_sym_LBRACK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(706),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_PIPE] = ACTIONS(706),
    [anon_sym_LBRACE] = ACTIONS(698),
    [anon_sym_RBRACE] = ACTIONS(706),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_not] = ACTIONS(665),
    [anon_sym_and] = ACTIONS(665),
    [anon_sym_or] = ACTIONS(665),
    [anon_sym_SLASH] = ACTIONS(665),
    [anon_sym_PERCENT] = ACTIONS(706),
    [anon_sym_SLASH_SLASH] = ACTIONS(706),
    [anon_sym_AMP] = ACTIONS(706),
    [anon_sym_CARET] = ACTIONS(706),
    [anon_sym_LT_LT] = ACTIONS(706),
    [anon_sym_TILDE] = ACTIONS(696),
    [anon_sym_is] = ACTIONS(665),
    [anon_sym_LT] = ACTIONS(665),
    [anon_sym_LT_EQ] = ACTIONS(706),
    [anon_sym_EQ_EQ] = ACTIONS(706),
    [anon_sym_BANG_EQ] = ACTIONS(706),
    [anon_sym_GT_EQ] = ACTIONS(706),
    [anon_sym_GT] = ACTIONS(665),
    [anon_sym_LT_GT] = ACTIONS(706),
    [sym_ellipsis] = ACTIONS(700),
    [sym_integer] = ACTIONS(684),
    [sym_float] = ACTIONS(700),
    [anon_sym_await] = ACTIONS(702),
    [sym_true] = ACTIONS(684),
    [sym_false] = ACTIONS(684),
    [sym_none] = ACTIONS(684),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(704),
  },
  [169] = {
    [sym_list_splat_pattern] = STATE(1258),
    [sym_primary_expression] = STATE(1122),
    [sym_binary_operator] = STATE(1367),
    [sym_unary_operator] = STATE(1367),
    [sym_attribute] = STATE(1367),
    [sym_subscript] = STATE(1367),
    [sym_call] = STATE(1367),
    [sym_list] = STATE(1367),
    [sym_set] = STATE(1367),
    [sym_tuple] = STATE(1367),
    [sym_dictionary] = STATE(1367),
    [sym_list_comprehension] = STATE(1367),
    [sym_dictionary_comprehension] = STATE(1367),
    [sym_set_comprehension] = STATE(1367),
    [sym_generator_expression] = STATE(1367),
    [sym_parenthesized_expression] = STATE(1367),
    [sym_concatenated_string] = STATE(1367),
    [sym_string] = STATE(1015),
    [sym_await] = STATE(1367),
    [sym_identifier] = ACTIONS(753),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(755),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(757),
    [anon_sym_print] = ACTIONS(759),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_async] = ACTIONS(759),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(759),
    [anon_sym_type] = ACTIONS(761),
    [anon_sym_EQ] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(765),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(767),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(767),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(771),
    [sym_integer] = ACTIONS(753),
    [sym_float] = ACTIONS(771),
    [anon_sym_await] = ACTIONS(773),
    [sym_true] = ACTIONS(753),
    [sym_false] = ACTIONS(753),
    [sym_none] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(775),
  },
  [170] = {
    [sym_list_splat_pattern] = STATE(1360),
    [sym_primary_expression] = STATE(1076),
    [sym_binary_operator] = STATE(1365),
    [sym_unary_operator] = STATE(1365),
    [sym_attribute] = STATE(1365),
    [sym_subscript] = STATE(1365),
    [sym_call] = STATE(1365),
    [sym_list] = STATE(1365),
    [sym_set] = STATE(1365),
    [sym_tuple] = STATE(1365),
    [sym_dictionary] = STATE(1365),
    [sym_list_comprehension] = STATE(1365),
    [sym_dictionary_comprehension] = STATE(1365),
    [sym_set_comprehension] = STATE(1365),
    [sym_generator_expression] = STATE(1365),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_concatenated_string] = STATE(1365),
    [sym_string] = STATE(996),
    [sym_await] = STATE(1365),
    [sym_identifier] = ACTIONS(777),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(781),
    [anon_sym_print] = ACTIONS(783),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(785),
    [anon_sym_async] = ACTIONS(783),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(783),
    [anon_sym_type] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(787),
    [anon_sym_RBRACK] = ACTIONS(277),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(789),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(789),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(789),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(793),
    [sym_integer] = ACTIONS(777),
    [sym_float] = ACTIONS(793),
    [anon_sym_await] = ACTIONS(795),
    [sym_true] = ACTIONS(777),
    [sym_false] = ACTIONS(777),
    [sym_none] = ACTIONS(777),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(797),
  },
  [171] = {
    [sym_list_splat_pattern] = STATE(1203),
    [sym_primary_expression] = STATE(988),
    [sym_binary_operator] = STATE(1138),
    [sym_unary_operator] = STATE(1138),
    [sym_attribute] = STATE(1138),
    [sym_subscript] = STATE(1138),
    [sym_call] = STATE(1138),
    [sym_list] = STATE(1138),
    [sym_set] = STATE(1138),
    [sym_tuple] = STATE(1138),
    [sym_dictionary] = STATE(1138),
    [sym_list_comprehension] = STATE(1138),
    [sym_dictionary_comprehension] = STATE(1138),
    [sym_set_comprehension] = STATE(1138),
    [sym_generator_expression] = STATE(1138),
    [sym_parenthesized_expression] = STATE(1138),
    [sym_concatenated_string] = STATE(1138),
    [sym_string] = STATE(971),
    [sym_await] = STATE(1138),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(735),
    [anon_sym_print] = ACTIONS(737),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(277),
    [anon_sym_match] = ACTIONS(739),
    [anon_sym_async] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(737),
    [anon_sym_type] = ACTIONS(739),
    [anon_sym_LBRACK] = ACTIONS(741),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(743),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(745),
    [anon_sym_RBRACE] = ACTIONS(277),
    [anon_sym_PLUS] = ACTIONS(743),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(743),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(747),
    [sym_integer] = ACTIONS(731),
    [sym_float] = ACTIONS(747),
    [anon_sym_await] = ACTIONS(749),
    [sym_true] = ACTIONS(731),
    [sym_false] = ACTIONS(731),
    [sym_none] = ACTIONS(731),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(751),
  },
  [172] = {
    [sym_list_splat_pattern] = STATE(1342),
    [sym_primary_expression] = STATE(1051),
    [sym_binary_operator] = STATE(1268),
    [sym_unary_operator] = STATE(1268),
    [sym_attribute] = STATE(1268),
    [sym_subscript] = STATE(1268),
    [sym_call] = STATE(1268),
    [sym_list] = STATE(1268),
    [sym_set] = STATE(1268),
    [sym_tuple] = STATE(1268),
    [sym_dictionary] = STATE(1268),
    [sym_list_comprehension] = STATE(1268),
    [sym_dictionary_comprehension] = STATE(1268),
    [sym_set_comprehension] = STATE(1268),
    [sym_generator_expression] = STATE(1268),
    [sym_parenthesized_expression] = STATE(1268),
    [sym_concatenated_string] = STATE(1268),
    [sym_string] = STATE(1010),
    [sym_await] = STATE(1268),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_DOT] = ACTIONS(665),
    [anon_sym_LPAREN] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_as] = ACTIONS(670),
    [anon_sym_STAR] = ACTIONS(672),
    [anon_sym_print] = ACTIONS(674),
    [anon_sym_GT_GT] = ACTIONS(706),
    [anon_sym_if] = ACTIONS(670),
    [anon_sym_COLON] = ACTIONS(663),
    [anon_sym_match] = ACTIONS(676),
    [anon_sym_async] = ACTIONS(674),
    [anon_sym_for] = ACTIONS(670),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(706),
    [anon_sym_exec] = ACTIONS(674),
    [anon_sym_type] = ACTIONS(676),
    [anon_sym_LBRACK] = ACTIONS(678),
    [anon_sym_RBRACK] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(706),
    [anon_sym_DASH] = ACTIONS(315),
    [anon_sym_PIPE] = ACTIONS(706),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(670),
    [anon_sym_and] = ACTIONS(670),
    [anon_sym_or] = ACTIONS(670),
    [anon_sym_SLASH] = ACTIONS(665),
    [anon_sym_PERCENT] = ACTIONS(706),
    [anon_sym_SLASH_SLASH] = ACTIONS(706),
    [anon_sym_AMP] = ACTIONS(706),
    [anon_sym_CARET] = ACTIONS(706),
    [anon_sym_LT_LT] = ACTIONS(706),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_is] = ACTIONS(670),
    [anon_sym_LT] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_LT_GT] = ACTIONS(663),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(682),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(327),
  },
  [173] = {
    [sym_list_splat_pattern] = STATE(1437),
    [sym_primary_expression] = STATE(1218),
    [sym_binary_operator] = STATE(1442),
    [sym_unary_operator] = STATE(1442),
    [sym_attribute] = STATE(1442),
    [sym_subscript] = STATE(1442),
    [sym_call] = STATE(1442),
    [sym_list] = STATE(1442),
    [sym_set] = STATE(1442),
    [sym_tuple] = STATE(1442),
    [sym_dictionary] = STATE(1442),
    [sym_list_comprehension] = STATE(1442),
    [sym_dictionary_comprehension] = STATE(1442),
    [sym_set_comprehension] = STATE(1442),
    [sym_generator_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(1442),
    [sym_concatenated_string] = STATE(1442),
    [sym_string] = STATE(1107),
    [sym_await] = STATE(1442),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(803),
    [anon_sym_print] = ACTIONS(805),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(805),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(805),
    [anon_sym_type] = ACTIONS(807),
    [anon_sym_LBRACK] = ACTIONS(809),
    [anon_sym_RBRACK] = ACTIONS(277),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(811),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(811),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(815),
    [sym_integer] = ACTIONS(799),
    [sym_float] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(817),
    [sym_true] = ACTIONS(799),
    [sym_false] = ACTIONS(799),
    [sym_none] = ACTIONS(799),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(819),
  },
  [174] = {
    [sym_list_splat_pattern] = STATE(1388),
    [sym_primary_expression] = STATE(1096),
    [sym_binary_operator] = STATE(1270),
    [sym_unary_operator] = STATE(1270),
    [sym_attribute] = STATE(1270),
    [sym_subscript] = STATE(1270),
    [sym_call] = STATE(1270),
    [sym_list] = STATE(1270),
    [sym_set] = STATE(1270),
    [sym_tuple] = STATE(1270),
    [sym_dictionary] = STATE(1270),
    [sym_list_comprehension] = STATE(1270),
    [sym_dictionary_comprehension] = STATE(1270),
    [sym_set_comprehension] = STATE(1270),
    [sym_generator_expression] = STATE(1270),
    [sym_parenthesized_expression] = STATE(1270),
    [sym_concatenated_string] = STATE(1270),
    [sym_string] = STATE(1028),
    [sym_await] = STATE(1270),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(711),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(713),
    [anon_sym_print] = ACTIONS(715),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(277),
    [anon_sym_match] = ACTIONS(717),
    [anon_sym_async] = ACTIONS(715),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(715),
    [anon_sym_type] = ACTIONS(717),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(723),
    [anon_sym_PLUS] = ACTIONS(721),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(721),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(725),
    [sym_integer] = ACTIONS(709),
    [sym_float] = ACTIONS(725),
    [anon_sym_await] = ACTIONS(727),
    [sym_true] = ACTIONS(709),
    [sym_false] = ACTIONS(709),
    [sym_none] = ACTIONS(709),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(729),
  },
  [175] = {
    [sym_list_splat_pattern] = STATE(1258),
    [sym_primary_expression] = STATE(1122),
    [sym_binary_operator] = STATE(1367),
    [sym_unary_operator] = STATE(1367),
    [sym_attribute] = STATE(1367),
    [sym_subscript] = STATE(1367),
    [sym_call] = STATE(1367),
    [sym_list] = STATE(1367),
    [sym_set] = STATE(1367),
    [sym_tuple] = STATE(1367),
    [sym_dictionary] = STATE(1367),
    [sym_list_comprehension] = STATE(1367),
    [sym_dictionary_comprehension] = STATE(1367),
    [sym_set_comprehension] = STATE(1367),
    [sym_generator_expression] = STATE(1367),
    [sym_parenthesized_expression] = STATE(1367),
    [sym_concatenated_string] = STATE(1367),
    [sym_string] = STATE(1015),
    [sym_await] = STATE(1367),
    [sym_identifier] = ACTIONS(753),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(755),
    [anon_sym_RPAREN] = ACTIONS(284),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(757),
    [anon_sym_print] = ACTIONS(759),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_async] = ACTIONS(759),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(759),
    [anon_sym_type] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(765),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(767),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(767),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(771),
    [sym_integer] = ACTIONS(753),
    [sym_float] = ACTIONS(771),
    [anon_sym_await] = ACTIONS(773),
    [sym_true] = ACTIONS(753),
    [sym_false] = ACTIONS(753),
    [sym_none] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(775),
  },
  [176] = {
    [sym_list_splat_pattern] = STATE(1342),
    [sym_primary_expression] = STATE(1051),
    [sym_binary_operator] = STATE(1268),
    [sym_unary_operator] = STATE(1268),
    [sym_attribute] = STATE(1268),
    [sym_subscript] = STATE(1268),
    [sym_call] = STATE(1268),
    [sym_list] = STATE(1268),
    [sym_set] = STATE(1268),
    [sym_tuple] = STATE(1268),
    [sym_dictionary] = STATE(1268),
    [sym_list_comprehension] = STATE(1268),
    [sym_dictionary_comprehension] = STATE(1268),
    [sym_set_comprehension] = STATE(1268),
    [sym_generator_expression] = STATE(1268),
    [sym_parenthesized_expression] = STATE(1268),
    [sym_concatenated_string] = STATE(1268),
    [sym_string] = STATE(1010),
    [sym_await] = STATE(1268),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_SEMI] = ACTIONS(319),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(319),
    [anon_sym_STAR] = ACTIONS(672),
    [anon_sym_print] = ACTIONS(674),
    [anon_sym_GT_GT] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(319),
    [anon_sym_match] = ACTIONS(676),
    [anon_sym_async] = ACTIONS(674),
    [anon_sym_STAR_STAR] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(674),
    [anon_sym_type] = ACTIONS(676),
    [anon_sym_EQ] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(678),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_PLUS_EQ] = ACTIONS(319),
    [anon_sym_DASH_EQ] = ACTIONS(319),
    [anon_sym_STAR_EQ] = ACTIONS(319),
    [anon_sym_SLASH_EQ] = ACTIONS(319),
    [anon_sym_AT_EQ] = ACTIONS(319),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(319),
    [anon_sym_PERCENT_EQ] = ACTIONS(319),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(319),
    [anon_sym_GT_GT_EQ] = ACTIONS(319),
    [anon_sym_LT_LT_EQ] = ACTIONS(319),
    [anon_sym_AMP_EQ] = ACTIONS(319),
    [anon_sym_CARET_EQ] = ACTIONS(319),
    [anon_sym_PIPE_EQ] = ACTIONS(319),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(682),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym__newline] = ACTIONS(319),
    [sym_string_start] = ACTIONS(327),
  },
  [177] = {
    [sym_list_splat_pattern] = STATE(1342),
    [sym_primary_expression] = STATE(1051),
    [sym_binary_operator] = STATE(1268),
    [sym_unary_operator] = STATE(1268),
    [sym_attribute] = STATE(1268),
    [sym_subscript] = STATE(1268),
    [sym_call] = STATE(1268),
    [sym_list] = STATE(1268),
    [sym_set] = STATE(1268),
    [sym_tuple] = STATE(1268),
    [sym_dictionary] = STATE(1268),
    [sym_list_comprehension] = STATE(1268),
    [sym_dictionary_comprehension] = STATE(1268),
    [sym_set_comprehension] = STATE(1268),
    [sym_generator_expression] = STATE(1268),
    [sym_parenthesized_expression] = STATE(1268),
    [sym_concatenated_string] = STATE(1268),
    [sym_string] = STATE(1010),
    [sym_await] = STATE(1268),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_DOT] = ACTIONS(665),
    [anon_sym_LPAREN] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_as] = ACTIONS(670),
    [anon_sym_STAR] = ACTIONS(672),
    [anon_sym_print] = ACTIONS(674),
    [anon_sym_GT_GT] = ACTIONS(706),
    [anon_sym_if] = ACTIONS(670),
    [anon_sym_COLON] = ACTIONS(663),
    [anon_sym_else] = ACTIONS(670),
    [anon_sym_match] = ACTIONS(676),
    [anon_sym_async] = ACTIONS(674),
    [anon_sym_in] = ACTIONS(670),
    [anon_sym_STAR_STAR] = ACTIONS(706),
    [anon_sym_exec] = ACTIONS(674),
    [anon_sym_type] = ACTIONS(676),
    [anon_sym_EQ] = ACTIONS(670),
    [anon_sym_LBRACK] = ACTIONS(678),
    [anon_sym_AT] = ACTIONS(706),
    [anon_sym_DASH] = ACTIONS(315),
    [anon_sym_PIPE] = ACTIONS(706),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(670),
    [anon_sym_and] = ACTIONS(670),
    [anon_sym_or] = ACTIONS(670),
    [anon_sym_SLASH] = ACTIONS(665),
    [anon_sym_PERCENT] = ACTIONS(706),
    [anon_sym_SLASH_SLASH] = ACTIONS(706),
    [anon_sym_AMP] = ACTIONS(706),
    [anon_sym_CARET] = ACTIONS(706),
    [anon_sym_LT_LT] = ACTIONS(706),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_is] = ACTIONS(670),
    [anon_sym_LT] = ACTIONS(670),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(670),
    [anon_sym_LT_GT] = ACTIONS(663),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(682),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(327),
  },
  [178] = {
    [sym_list_splat_pattern] = STATE(1360),
    [sym_primary_expression] = STATE(1076),
    [sym_binary_operator] = STATE(1365),
    [sym_unary_operator] = STATE(1365),
    [sym_attribute] = STATE(1365),
    [sym_subscript] = STATE(1365),
    [sym_call] = STATE(1365),
    [sym_list] = STATE(1365),
    [sym_set] = STATE(1365),
    [sym_tuple] = STATE(1365),
    [sym_dictionary] = STATE(1365),
    [sym_list_comprehension] = STATE(1365),
    [sym_dictionary_comprehension] = STATE(1365),
    [sym_set_comprehension] = STATE(1365),
    [sym_generator_expression] = STATE(1365),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_concatenated_string] = STATE(1365),
    [sym_string] = STATE(996),
    [sym_await] = STATE(1365),
    [sym_identifier] = ACTIONS(777),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_COMMA] = ACTIONS(284),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(781),
    [anon_sym_print] = ACTIONS(783),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(785),
    [anon_sym_async] = ACTIONS(783),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(783),
    [anon_sym_type] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(787),
    [anon_sym_RBRACK] = ACTIONS(284),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(789),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(789),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(789),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(793),
    [sym_integer] = ACTIONS(777),
    [sym_float] = ACTIONS(793),
    [anon_sym_await] = ACTIONS(795),
    [sym_true] = ACTIONS(777),
    [sym_false] = ACTIONS(777),
    [sym_none] = ACTIONS(777),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(797),
  },
  [179] = {
    [sym_list_splat_pattern] = STATE(1388),
    [sym_primary_expression] = STATE(1096),
    [sym_binary_operator] = STATE(1270),
    [sym_unary_operator] = STATE(1270),
    [sym_attribute] = STATE(1270),
    [sym_subscript] = STATE(1270),
    [sym_call] = STATE(1270),
    [sym_list] = STATE(1270),
    [sym_set] = STATE(1270),
    [sym_tuple] = STATE(1270),
    [sym_dictionary] = STATE(1270),
    [sym_list_comprehension] = STATE(1270),
    [sym_dictionary_comprehension] = STATE(1270),
    [sym_set_comprehension] = STATE(1270),
    [sym_generator_expression] = STATE(1270),
    [sym_parenthesized_expression] = STATE(1270),
    [sym_concatenated_string] = STATE(1270),
    [sym_string] = STATE(1028),
    [sym_await] = STATE(1270),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_DOT] = ACTIONS(665),
    [anon_sym_LPAREN] = ACTIONS(711),
    [anon_sym_RPAREN] = ACTIONS(706),
    [anon_sym_COMMA] = ACTIONS(706),
    [anon_sym_as] = ACTIONS(665),
    [anon_sym_STAR] = ACTIONS(713),
    [anon_sym_print] = ACTIONS(715),
    [anon_sym_GT_GT] = ACTIONS(706),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(665),
    [anon_sym_match] = ACTIONS(717),
    [anon_sym_async] = ACTIONS(715),
    [anon_sym_for] = ACTIONS(670),
    [anon_sym_in] = ACTIONS(665),
    [anon_sym_STAR_STAR] = ACTIONS(706),
    [anon_sym_exec] = ACTIONS(715),
    [anon_sym_type] = ACTIONS(717),
    [anon_sym_LBRACK] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(706),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_PIPE] = ACTIONS(706),
    [anon_sym_LBRACE] = ACTIONS(723),
    [anon_sym_PLUS] = ACTIONS(721),
    [anon_sym_not] = ACTIONS(665),
    [anon_sym_and] = ACTIONS(665),
    [anon_sym_or] = ACTIONS(665),
    [anon_sym_SLASH] = ACTIONS(665),
    [anon_sym_PERCENT] = ACTIONS(706),
    [anon_sym_SLASH_SLASH] = ACTIONS(706),
    [anon_sym_AMP] = ACTIONS(706),
    [anon_sym_CARET] = ACTIONS(706),
    [anon_sym_LT_LT] = ACTIONS(706),
    [anon_sym_TILDE] = ACTIONS(721),
    [anon_sym_is] = ACTIONS(665),
    [anon_sym_LT] = ACTIONS(665),
    [anon_sym_LT_EQ] = ACTIONS(706),
    [anon_sym_EQ_EQ] = ACTIONS(706),
    [anon_sym_BANG_EQ] = ACTIONS(706),
    [anon_sym_GT_EQ] = ACTIONS(706),
    [anon_sym_GT] = ACTIONS(665),
    [anon_sym_LT_GT] = ACTIONS(706),
    [sym_ellipsis] = ACTIONS(725),
    [sym_integer] = ACTIONS(709),
    [sym_float] = ACTIONS(725),
    [anon_sym_await] = ACTIONS(727),
    [sym_true] = ACTIONS(709),
    [sym_false] = ACTIONS(709),
    [sym_none] = ACTIONS(709),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(729),
  },
  [180] = {
    [sym_list_splat_pattern] = STATE(1437),
    [sym_primary_expression] = STATE(1218),
    [sym_binary_operator] = STATE(1442),
    [sym_unary_operator] = STATE(1442),
    [sym_attribute] = STATE(1442),
    [sym_subscript] = STATE(1442),
    [sym_call] = STATE(1442),
    [sym_list] = STATE(1442),
    [sym_set] = STATE(1442),
    [sym_tuple] = STATE(1442),
    [sym_dictionary] = STATE(1442),
    [sym_list_comprehension] = STATE(1442),
    [sym_dictionary_comprehension] = STATE(1442),
    [sym_set_comprehension] = STATE(1442),
    [sym_generator_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(1442),
    [sym_concatenated_string] = STATE(1442),
    [sym_string] = STATE(1107),
    [sym_await] = STATE(1442),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_DOT] = ACTIONS(665),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_COMMA] = ACTIONS(706),
    [anon_sym_as] = ACTIONS(665),
    [anon_sym_STAR] = ACTIONS(803),
    [anon_sym_print] = ACTIONS(805),
    [anon_sym_GT_GT] = ACTIONS(706),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(665),
    [anon_sym_match] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(670),
    [anon_sym_in] = ACTIONS(665),
    [anon_sym_STAR_STAR] = ACTIONS(706),
    [anon_sym_exec] = ACTIONS(805),
    [anon_sym_type] = ACTIONS(807),
    [anon_sym_LBRACK] = ACTIONS(809),
    [anon_sym_RBRACK] = ACTIONS(706),
    [anon_sym_AT] = ACTIONS(706),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_PIPE] = ACTIONS(706),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(811),
    [anon_sym_not] = ACTIONS(665),
    [anon_sym_and] = ACTIONS(665),
    [anon_sym_or] = ACTIONS(665),
    [anon_sym_SLASH] = ACTIONS(665),
    [anon_sym_PERCENT] = ACTIONS(706),
    [anon_sym_SLASH_SLASH] = ACTIONS(706),
    [anon_sym_AMP] = ACTIONS(706),
    [anon_sym_CARET] = ACTIONS(706),
    [anon_sym_LT_LT] = ACTIONS(706),
    [anon_sym_TILDE] = ACTIONS(811),
    [anon_sym_is] = ACTIONS(665),
    [anon_sym_LT] = ACTIONS(665),
    [anon_sym_LT_EQ] = ACTIONS(706),
    [anon_sym_EQ_EQ] = ACTIONS(706),
    [anon_sym_BANG_EQ] = ACTIONS(706),
    [anon_sym_GT_EQ] = ACTIONS(706),
    [anon_sym_GT] = ACTIONS(665),
    [anon_sym_LT_GT] = ACTIONS(706),
    [sym_ellipsis] = ACTIONS(815),
    [sym_integer] = ACTIONS(799),
    [sym_float] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(817),
    [sym_true] = ACTIONS(799),
    [sym_false] = ACTIONS(799),
    [sym_none] = ACTIONS(799),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(819),
  },
  [181] = {
    [sym_list_splat_pattern] = STATE(1388),
    [sym_primary_expression] = STATE(1096),
    [sym_binary_operator] = STATE(1270),
    [sym_unary_operator] = STATE(1270),
    [sym_attribute] = STATE(1270),
    [sym_subscript] = STATE(1270),
    [sym_call] = STATE(1270),
    [sym_list] = STATE(1270),
    [sym_set] = STATE(1270),
    [sym_tuple] = STATE(1270),
    [sym_dictionary] = STATE(1270),
    [sym_list_comprehension] = STATE(1270),
    [sym_dictionary_comprehension] = STATE(1270),
    [sym_set_comprehension] = STATE(1270),
    [sym_generator_expression] = STATE(1270),
    [sym_parenthesized_expression] = STATE(1270),
    [sym_concatenated_string] = STATE(1270),
    [sym_string] = STATE(1028),
    [sym_await] = STATE(1270),
    [sym_identifier] = ACTIONS(709),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(711),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(713),
    [anon_sym_print] = ACTIONS(715),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(717),
    [anon_sym_async] = ACTIONS(715),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(715),
    [anon_sym_type] = ACTIONS(717),
    [anon_sym_EQ] = ACTIONS(763),
    [anon_sym_LBRACK] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(723),
    [anon_sym_PLUS] = ACTIONS(721),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(721),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(725),
    [sym_integer] = ACTIONS(709),
    [sym_float] = ACTIONS(725),
    [anon_sym_await] = ACTIONS(727),
    [sym_true] = ACTIONS(709),
    [sym_false] = ACTIONS(709),
    [sym_none] = ACTIONS(709),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(729),
  },
  [182] = {
    [sym_list_splat_pattern] = STATE(1342),
    [sym_primary_expression] = STATE(1051),
    [sym_binary_operator] = STATE(1268),
    [sym_unary_operator] = STATE(1268),
    [sym_attribute] = STATE(1268),
    [sym_subscript] = STATE(1268),
    [sym_call] = STATE(1268),
    [sym_list] = STATE(1268),
    [sym_set] = STATE(1268),
    [sym_tuple] = STATE(1268),
    [sym_dictionary] = STATE(1268),
    [sym_list_comprehension] = STATE(1268),
    [sym_dictionary_comprehension] = STATE(1268),
    [sym_set_comprehension] = STATE(1268),
    [sym_generator_expression] = STATE(1268),
    [sym_parenthesized_expression] = STATE(1268),
    [sym_concatenated_string] = STATE(1268),
    [sym_string] = STATE(1010),
    [sym_await] = STATE(1268),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(672),
    [anon_sym_print] = ACTIONS(674),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(277),
    [anon_sym_else] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(676),
    [anon_sym_async] = ACTIONS(674),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(674),
    [anon_sym_type] = ACTIONS(676),
    [anon_sym_EQ] = ACTIONS(279),
    [anon_sym_LBRACK] = ACTIONS(678),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(315),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(315),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(682),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(327),
  },
  [183] = {
    [sym_list_splat_pattern] = STATE(1258),
    [sym_primary_expression] = STATE(1122),
    [sym_binary_operator] = STATE(1367),
    [sym_unary_operator] = STATE(1367),
    [sym_attribute] = STATE(1367),
    [sym_subscript] = STATE(1367),
    [sym_call] = STATE(1367),
    [sym_list] = STATE(1367),
    [sym_set] = STATE(1367),
    [sym_tuple] = STATE(1367),
    [sym_dictionary] = STATE(1367),
    [sym_list_comprehension] = STATE(1367),
    [sym_dictionary_comprehension] = STATE(1367),
    [sym_set_comprehension] = STATE(1367),
    [sym_generator_expression] = STATE(1367),
    [sym_parenthesized_expression] = STATE(1367),
    [sym_concatenated_string] = STATE(1367),
    [sym_string] = STATE(1015),
    [sym_await] = STATE(1367),
    [sym_identifier] = ACTIONS(753),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(755),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(757),
    [anon_sym_print] = ACTIONS(759),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_COLON_EQ] = ACTIONS(292),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_async] = ACTIONS(759),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(759),
    [anon_sym_type] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(765),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(767),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(767),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(771),
    [sym_integer] = ACTIONS(753),
    [sym_float] = ACTIONS(771),
    [anon_sym_await] = ACTIONS(773),
    [sym_true] = ACTIONS(753),
    [sym_false] = ACTIONS(753),
    [sym_none] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(775),
  },
  [184] = {
    [sym_list_splat_pattern] = STATE(1437),
    [sym_primary_expression] = STATE(1218),
    [sym_binary_operator] = STATE(1442),
    [sym_unary_operator] = STATE(1442),
    [sym_attribute] = STATE(1442),
    [sym_subscript] = STATE(1442),
    [sym_call] = STATE(1442),
    [sym_list] = STATE(1442),
    [sym_set] = STATE(1442),
    [sym_tuple] = STATE(1442),
    [sym_dictionary] = STATE(1442),
    [sym_list_comprehension] = STATE(1442),
    [sym_dictionary_comprehension] = STATE(1442),
    [sym_set_comprehension] = STATE(1442),
    [sym_generator_expression] = STATE(1442),
    [sym_parenthesized_expression] = STATE(1442),
    [sym_concatenated_string] = STATE(1442),
    [sym_string] = STATE(1107),
    [sym_await] = STATE(1442),
    [sym_identifier] = ACTIONS(799),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(801),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(803),
    [anon_sym_print] = ACTIONS(805),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(277),
    [anon_sym_match] = ACTIONS(807),
    [anon_sym_async] = ACTIONS(805),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(805),
    [anon_sym_type] = ACTIONS(807),
    [anon_sym_LBRACK] = ACTIONS(809),
    [anon_sym_RBRACK] = ACTIONS(277),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(811),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(813),
    [anon_sym_PLUS] = ACTIONS(811),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(811),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(815),
    [sym_integer] = ACTIONS(799),
    [sym_float] = ACTIONS(815),
    [anon_sym_await] = ACTIONS(817),
    [sym_true] = ACTIONS(799),
    [sym_false] = ACTIONS(799),
    [sym_none] = ACTIONS(799),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(819),
  },
  [185] = {
    [sym_list_splat_pattern] = STATE(1360),
    [sym_primary_expression] = STATE(1076),
    [sym_binary_operator] = STATE(1365),
    [sym_unary_operator] = STATE(1365),
    [sym_attribute] = STATE(1365),
    [sym_subscript] = STATE(1365),
    [sym_call] = STATE(1365),
    [sym_list] = STATE(1365),
    [sym_set] = STATE(1365),
    [sym_tuple] = STATE(1365),
    [sym_dictionary] = STATE(1365),
    [sym_list_comprehension] = STATE(1365),
    [sym_dictionary_comprehension] = STATE(1365),
    [sym_set_comprehension] = STATE(1365),
    [sym_generator_expression] = STATE(1365),
    [sym_parenthesized_expression] = STATE(1365),
    [sym_concatenated_string] = STATE(1365),
    [sym_string] = STATE(996),
    [sym_await] = STATE(1365),
    [sym_identifier] = ACTIONS(777),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(781),
    [anon_sym_print] = ACTIONS(783),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(785),
    [anon_sym_async] = ACTIONS(783),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(783),
    [anon_sym_type] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(787),
    [anon_sym_RBRACK] = ACTIONS(277),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(789),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(789),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(789),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(793),
    [sym_integer] = ACTIONS(777),
    [sym_float] = ACTIONS(793),
    [anon_sym_await] = ACTIONS(795),
    [sym_true] = ACTIONS(777),
    [sym_false] = ACTIONS(777),
    [sym_none] = ACTIONS(777),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(797),
  },
  [186] = {
    [sym_list_splat_pattern] = STATE(1258),
    [sym_primary_expression] = STATE(1122),
    [sym_binary_operator] = STATE(1367),
    [sym_unary_operator] = STATE(1367),
    [sym_attribute] = STATE(1367),
    [sym_subscript] = STATE(1367),
    [sym_call] = STATE(1367),
    [sym_list] = STATE(1367),
    [sym_set] = STATE(1367),
    [sym_tuple] = STATE(1367),
    [sym_dictionary] = STATE(1367),
    [sym_list_comprehension] = STATE(1367),
    [sym_dictionary_comprehension] = STATE(1367),
    [sym_set_comprehension] = STATE(1367),
    [sym_generator_expression] = STATE(1367),
    [sym_parenthesized_expression] = STATE(1367),
    [sym_concatenated_string] = STATE(1367),
    [sym_string] = STATE(1015),
    [sym_await] = STATE(1367),
    [sym_identifier] = ACTIONS(753),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(755),
    [anon_sym_RPAREN] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(277),
    [anon_sym_as] = ACTIONS(279),
    [anon_sym_STAR] = ACTIONS(757),
    [anon_sym_print] = ACTIONS(759),
    [anon_sym_GT_GT] = ACTIONS(277),
    [anon_sym_if] = ACTIONS(279),
    [anon_sym_match] = ACTIONS(761),
    [anon_sym_async] = ACTIONS(759),
    [anon_sym_for] = ACTIONS(279),
    [anon_sym_in] = ACTIONS(279),
    [anon_sym_STAR_STAR] = ACTIONS(277),
    [anon_sym_exec] = ACTIONS(759),
    [anon_sym_type] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(765),
    [anon_sym_AT] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(767),
    [anon_sym_not] = ACTIONS(279),
    [anon_sym_and] = ACTIONS(279),
    [anon_sym_or] = ACTIONS(279),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(277),
    [anon_sym_SLASH_SLASH] = ACTIONS(277),
    [anon_sym_AMP] = ACTIONS(277),
    [anon_sym_CARET] = ACTIONS(277),
    [anon_sym_LT_LT] = ACTIONS(277),
    [anon_sym_TILDE] = ACTIONS(767),
    [anon_sym_is] = ACTIONS(279),
    [anon_sym_LT] = ACTIONS(279),
    [anon_sym_LT_EQ] = ACTIONS(277),
    [anon_sym_EQ_EQ] = ACTIONS(277),
    [anon_sym_BANG_EQ] = ACTIONS(277),
    [anon_sym_GT_EQ] = ACTIONS(277),
    [anon_sym_GT] = ACTIONS(279),
    [anon_sym_LT_GT] = ACTIONS(277),
    [sym_ellipsis] = ACTIONS(771),
    [sym_integer] = ACTIONS(753),
    [sym_float] = ACTIONS(771),
    [anon_sym_await] = ACTIONS(773),
    [sym_true] = ACTIONS(753),
    [sym_false] = ACTIONS(753),
    [sym_none] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(775),
  },
  [187] = {
    [sym_list_splat_pattern] = STATE(1342),
    [sym_primary_expression] = STATE(1051),
    [sym_binary_operator] = STATE(1268),
    [sym_unary_operator] = STATE(1268),
    [sym_attribute] = STATE(1268),
    [sym_subscript] = STATE(1268),
    [sym_call] = STATE(1268),
    [sym_list] = STATE(1268),
    [sym_set] = STATE(1268),
    [sym_tuple] = STATE(1268),
    [sym_dictionary] = STATE(1268),
    [sym_list_comprehension] = STATE(1268),
    [sym_dictionary_comprehension] = STATE(1268),
    [sym_set_comprehension] = STATE(1268),
    [sym_generator_expression] = STATE(1268),
    [sym_parenthesized_expression] = STATE(1268),
    [sym_concatenated_string] = STATE(1268),
    [sym_string] = STATE(1010),
    [sym_await] = STATE(1268),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_DOT] = ACTIONS(665),
    [anon_sym_LPAREN] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_STAR] = ACTIONS(672),
    [anon_sym_print] = ACTIONS(674),
    [anon_sym_GT_GT] = ACTIONS(665),
    [anon_sym_COLON] = ACTIONS(663),
    [anon_sym_match] = ACTIONS(676),
    [anon_sym_async] = ACTIONS(674),
    [anon_sym_STAR_STAR] = ACTIONS(665),
    [anon_sym_exec] = ACTIONS(674),
    [anon_sym_type] = ACTIONS(676),
    [anon_sym_EQ] = ACTIONS(663),
    [anon_sym_LBRACK] = ACTIONS(678),
    [anon_sym_AT] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_PIPE] = ACTIONS(665),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_SLASH] = ACTIONS(665),
    [anon_sym_PERCENT] = ACTIONS(665),
    [anon_sym_SLASH_SLASH] = ACTIONS(665),
    [anon_sym_AMP] = ACTIONS(665),
    [anon_sym_CARET] = ACTIONS(665),
    [anon_sym_LT_LT] = ACTIONS(665),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_AT_EQ] = ACTIONS(663),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(682),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(327),
  },
  [188] = {
    [sym_list_splat_pattern] = STATE(1342),
    [sym_primary_expression] = STATE(1051),
    [sym_binary_operator] = STATE(1268),
    [sym_unary_operator] = STATE(1268),
    [sym_attribute] = STATE(1268),
    [sym_subscript] = STATE(1268),
    [sym_call] = STATE(1268),
    [sym_list] = STATE(1268),
    [sym_set] = STATE(1268),
    [sym_tuple] = STATE(1268),
    [sym_dictionary] = STATE(1268),
    [sym_list_comprehension] = STATE(1268),
    [sym_dictionary_comprehension] = STATE(1268),
    [sym_set_comprehension] = STATE(1268),
    [sym_generator_expression] = STATE(1268),
    [sym_parenthesized_expression] = STATE(1268),
    [sym_concatenated_string] = STATE(1268),
    [sym_string] = STATE(1010),
    [sym_await] = STATE(1268),
    [sym_identifier] = ACTIONS(323),
    [anon_sym_DOT] = ACTIONS(279),
    [anon_sym_LPAREN] = ACTIONS(668),
    [anon_sym_COMMA] = ACTIONS(319),
    [anon_sym_STAR] = ACTIONS(672),
    [anon_sym_print] = ACTIONS(674),
    [anon_sym_GT_GT] = ACTIONS(279),
    [anon_sym_COLON] = ACTIONS(319),
    [anon_sym_match] = ACTIONS(676),
    [anon_sym_async] = ACTIONS(674),
    [anon_sym_STAR_STAR] = ACTIONS(279),
    [anon_sym_exec] = ACTIONS(674),
    [anon_sym_type] = ACTIONS(676),
    [anon_sym_EQ] = ACTIONS(319),
    [anon_sym_LBRACK] = ACTIONS(678),
    [anon_sym_AT] = ACTIONS(279),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_PIPE] = ACTIONS(279),
    [anon_sym_LBRACE] = ACTIONS(310),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_SLASH] = ACTIONS(279),
    [anon_sym_PERCENT] = ACTIONS(279),
    [anon_sym_SLASH_SLASH] = ACTIONS(279),
    [anon_sym_AMP] = ACTIONS(279),
    [anon_sym_CARET] = ACTIONS(279),
    [anon_sym_LT_LT] = ACTIONS(279),
    [anon_sym_TILDE] = ACTIONS(315),
    [anon_sym_PLUS_EQ] = ACTIONS(319),
    [anon_sym_DASH_EQ] = ACTIONS(319),
    [anon_sym_STAR_EQ] = ACTIONS(319),
    [anon_sym_SLASH_EQ] = ACTIONS(319),
    [anon_sym_AT_EQ] = ACTIONS(319),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(319),
    [anon_sym_PERCENT_EQ] = ACTIONS(319),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(319),
    [anon_sym_GT_GT_EQ] = ACTIONS(319),
    [anon_sym_LT_LT_EQ] = ACTIONS(319),
    [anon_sym_AMP_EQ] = ACTIONS(319),
    [anon_sym_CARET_EQ] = ACTIONS(319),
    [anon_sym_PIPE_EQ] = ACTIONS(319),
    [sym_ellipsis] = ACTIONS(321),
    [sym_integer] = ACTIONS(323),
    [sym_float] = ACTIONS(321),
    [anon_sym_await] = ACTIONS(682),
    [sym_true] = ACTIONS(323),
    [sym_false] = ACTIONS(323),
    [sym_none] = ACTIONS(323),
    [sym_comment] = ACTIONS(3),
    [sym_line_continuation] = ACTIONS(3),
    [sym_string_start] = ACTIONS(327),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 31,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(821), 1,
      sym_identifier,
    ACTIONS(823), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_RPAREN,
    ACTIONS(827), 1,
      anon_sym_STAR,
    ACTIONS(833), 1,
      anon_sym_LBRACK,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(841), 1,
      anon_sym_await,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1369), 1,
      sym_list_splat_pattern,
    STATE(1691), 1,
      sym_expression,
    STATE(2303), 1,
      sym_yield,
    STATE(2340), 1,
      sym_pattern,
    STATE(2625), 1,
      sym__patterns,
    STATE(2771), 1,
      sym__named_expression_lhs,
    STATE(2782), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(831), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1370), 2,
      sym_attribute,
      sym_subscript,
    STATE(2345), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2573), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(829), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [126] = 30,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(845), 1,
      anon_sym_LPAREN,
    ACTIONS(847), 1,
      anon_sym_COMMA,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(857), 1,
      anon_sym_RBRACE,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_yield,
    ACTIONS(865), 1,
      anon_sym_await,
    STATE(912), 1,
      sym_primary_expression,
    STATE(971), 1,
      sym_string,
    STATE(1203), 1,
      sym_list_splat_pattern,
    STATE(1668), 1,
      sym_expression,
    STATE(1884), 1,
      sym_pair,
    STATE(2305), 1,
      sym_dictionary_splat,
    STATE(2637), 1,
      sym__collection_elements,
    STATE(2683), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2357), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1771), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [250] = 31,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(821), 1,
      sym_identifier,
    ACTIONS(823), 1,
      anon_sym_LPAREN,
    ACTIONS(827), 1,
      anon_sym_STAR,
    ACTIONS(833), 1,
      anon_sym_LBRACK,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(841), 1,
      anon_sym_await,
    ACTIONS(867), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1369), 1,
      sym_list_splat_pattern,
    STATE(1676), 1,
      sym_expression,
    STATE(2298), 1,
      sym_yield,
    STATE(2340), 1,
      sym_pattern,
    STATE(2602), 1,
      sym__patterns,
    STATE(2613), 1,
      sym__collection_elements,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(831), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1370), 2,
      sym_attribute,
      sym_subscript,
    STATE(2345), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2573), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(829), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [376] = 30,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(871), 1,
      anon_sym_LPAREN,
    ACTIONS(873), 1,
      anon_sym_STAR,
    ACTIONS(879), 1,
      anon_sym_LBRACK,
    ACTIONS(881), 1,
      anon_sym_RBRACK,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(885), 1,
      anon_sym_lambda,
    ACTIONS(887), 1,
      anon_sym_yield,
    ACTIONS(889), 1,
      anon_sym_await,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1378), 1,
      sym_list_splat_pattern,
    STATE(1709), 1,
      sym_expression,
    STATE(2382), 1,
      sym_pattern,
    STATE(2611), 1,
      sym__named_expression_lhs,
    STATE(2626), 1,
      sym__patterns,
    STATE(2654), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(877), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1381), 2,
      sym_attribute,
      sym_subscript,
    STATE(2570), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2378), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [500] = 30,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(845), 1,
      anon_sym_LPAREN,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_yield,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(891), 1,
      anon_sym_COMMA,
    ACTIONS(893), 1,
      anon_sym_RBRACE,
    STATE(912), 1,
      sym_primary_expression,
    STATE(971), 1,
      sym_string,
    STATE(1203), 1,
      sym_list_splat_pattern,
    STATE(1669), 1,
      sym_expression,
    STATE(1878), 1,
      sym_pair,
    STATE(2454), 1,
      sym_dictionary_splat,
    STATE(2675), 1,
      sym__collection_elements,
    STATE(2683), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2357), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1771), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [624] = 28,
    ACTIONS(9), 1,
      sym_identifier,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(17), 1,
      anon_sym_STAR,
    ACTIONS(61), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_yield,
    ACTIONS(79), 1,
      anon_sym_await,
    ACTIONS(81), 1,
      sym_string_start,
    STATE(641), 1,
      sym_list_splat_pattern,
    STATE(966), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1630), 1,
      sym_pattern_list,
    STATE(1632), 1,
      sym_pattern,
    STATE(1778), 1,
      sym_expression,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(413), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(640), 2,
      sym_attribute,
      sym_subscript,
    STATE(1640), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(415), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2584), 5,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [744] = 31,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(821), 1,
      sym_identifier,
    ACTIONS(823), 1,
      anon_sym_LPAREN,
    ACTIONS(827), 1,
      anon_sym_STAR,
    ACTIONS(833), 1,
      anon_sym_LBRACK,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(841), 1,
      anon_sym_await,
    ACTIONS(895), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1369), 1,
      sym_list_splat_pattern,
    STATE(1676), 1,
      sym_expression,
    STATE(2298), 1,
      sym_yield,
    STATE(2340), 1,
      sym_pattern,
    STATE(2613), 1,
      sym__collection_elements,
    STATE(2625), 1,
      sym__patterns,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(831), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1370), 2,
      sym_attribute,
      sym_subscript,
    STATE(2345), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2573), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(829), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [870] = 30,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(871), 1,
      anon_sym_LPAREN,
    ACTIONS(873), 1,
      anon_sym_STAR,
    ACTIONS(879), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(885), 1,
      anon_sym_lambda,
    ACTIONS(887), 1,
      anon_sym_yield,
    ACTIONS(889), 1,
      anon_sym_await,
    ACTIONS(897), 1,
      anon_sym_RBRACK,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1378), 1,
      sym_list_splat_pattern,
    STATE(1712), 1,
      sym_expression,
    STATE(2382), 1,
      sym_pattern,
    STATE(2611), 1,
      sym__named_expression_lhs,
    STATE(2737), 1,
      sym__patterns,
    STATE(2792), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(877), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1381), 2,
      sym_attribute,
      sym_subscript,
    STATE(2570), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2378), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [994] = 30,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(845), 1,
      anon_sym_LPAREN,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_yield,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(899), 1,
      anon_sym_COMMA,
    ACTIONS(901), 1,
      anon_sym_RBRACE,
    STATE(912), 1,
      sym_primary_expression,
    STATE(971), 1,
      sym_string,
    STATE(1203), 1,
      sym_list_splat_pattern,
    STATE(1670), 1,
      sym_expression,
    STATE(1866), 1,
      sym_pair,
    STATE(2267), 1,
      sym_dictionary_splat,
    STATE(2683), 1,
      sym__named_expression_lhs,
    STATE(2710), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2357), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1771), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1118] = 28,
    ACTIONS(9), 1,
      sym_identifier,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(17), 1,
      anon_sym_STAR,
    ACTIONS(61), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_yield,
    ACTIONS(79), 1,
      anon_sym_await,
    ACTIONS(81), 1,
      sym_string_start,
    STATE(641), 1,
      sym_list_splat_pattern,
    STATE(966), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1630), 1,
      sym_pattern_list,
    STATE(1632), 1,
      sym_pattern,
    STATE(1778), 1,
      sym_expression,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(413), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(640), 2,
      sym_attribute,
      sym_subscript,
    STATE(1640), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(415), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2586), 5,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1238] = 28,
    ACTIONS(9), 1,
      sym_identifier,
    ACTIONS(15), 1,
      anon_sym_LPAREN,
    ACTIONS(17), 1,
      anon_sym_STAR,
    ACTIONS(61), 1,
      anon_sym_LBRACK,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(73), 1,
      anon_sym_yield,
    ACTIONS(79), 1,
      anon_sym_await,
    ACTIONS(81), 1,
      sym_string_start,
    STATE(641), 1,
      sym_list_splat_pattern,
    STATE(966), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1630), 1,
      sym_pattern_list,
    STATE(1632), 1,
      sym_pattern,
    STATE(1778), 1,
      sym_expression,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(413), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(640), 2,
      sym_attribute,
      sym_subscript,
    STATE(1640), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(415), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2553), 5,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1358] = 31,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(821), 1,
      sym_identifier,
    ACTIONS(823), 1,
      anon_sym_LPAREN,
    ACTIONS(827), 1,
      anon_sym_STAR,
    ACTIONS(833), 1,
      anon_sym_LBRACK,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(841), 1,
      anon_sym_await,
    ACTIONS(903), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1369), 1,
      sym_list_splat_pattern,
    STATE(1681), 1,
      sym_expression,
    STATE(2340), 1,
      sym_pattern,
    STATE(2353), 1,
      sym_yield,
    STATE(2625), 1,
      sym__patterns,
    STATE(2647), 1,
      sym__collection_elements,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(831), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1370), 2,
      sym_attribute,
      sym_subscript,
    STATE(2345), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2573), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(829), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1484] = 31,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(821), 1,
      sym_identifier,
    ACTIONS(823), 1,
      anon_sym_LPAREN,
    ACTIONS(827), 1,
      anon_sym_STAR,
    ACTIONS(833), 1,
      anon_sym_LBRACK,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(841), 1,
      anon_sym_await,
    ACTIONS(905), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1369), 1,
      sym_list_splat_pattern,
    STATE(1676), 1,
      sym_expression,
    STATE(2298), 1,
      sym_yield,
    STATE(2340), 1,
      sym_pattern,
    STATE(2606), 1,
      sym__patterns,
    STATE(2613), 1,
      sym__collection_elements,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(831), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1370), 2,
      sym_attribute,
      sym_subscript,
    STATE(2345), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2573), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(829), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1610] = 30,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(871), 1,
      anon_sym_LPAREN,
    ACTIONS(873), 1,
      anon_sym_STAR,
    ACTIONS(879), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(885), 1,
      anon_sym_lambda,
    ACTIONS(887), 1,
      anon_sym_yield,
    ACTIONS(889), 1,
      anon_sym_await,
    ACTIONS(907), 1,
      anon_sym_RBRACK,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1378), 1,
      sym_list_splat_pattern,
    STATE(1707), 1,
      sym_expression,
    STATE(2382), 1,
      sym_pattern,
    STATE(2611), 1,
      sym__named_expression_lhs,
    STATE(2628), 1,
      sym__collection_elements,
    STATE(2648), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(877), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1381), 2,
      sym_attribute,
      sym_subscript,
    STATE(2570), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2378), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1734] = 31,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(821), 1,
      sym_identifier,
    ACTIONS(823), 1,
      anon_sym_LPAREN,
    ACTIONS(827), 1,
      anon_sym_STAR,
    ACTIONS(833), 1,
      anon_sym_LBRACK,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(841), 1,
      anon_sym_await,
    ACTIONS(909), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1369), 1,
      sym_list_splat_pattern,
    STATE(1676), 1,
      sym_expression,
    STATE(2298), 1,
      sym_yield,
    STATE(2340), 1,
      sym_pattern,
    STATE(2613), 1,
      sym__collection_elements,
    STATE(2625), 1,
      sym__patterns,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(831), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1370), 2,
      sym_attribute,
      sym_subscript,
    STATE(2345), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2573), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(829), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1860] = 30,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(871), 1,
      anon_sym_LPAREN,
    ACTIONS(873), 1,
      anon_sym_STAR,
    ACTIONS(879), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(885), 1,
      anon_sym_lambda,
    ACTIONS(887), 1,
      anon_sym_yield,
    ACTIONS(889), 1,
      anon_sym_await,
    ACTIONS(911), 1,
      anon_sym_RBRACK,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1378), 1,
      sym_list_splat_pattern,
    STATE(1705), 1,
      sym_expression,
    STATE(2382), 1,
      sym_pattern,
    STATE(2611), 1,
      sym__named_expression_lhs,
    STATE(2648), 1,
      sym__patterns,
    STATE(2664), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(877), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1381), 2,
      sym_attribute,
      sym_subscript,
    STATE(2570), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2378), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [1984] = 31,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(821), 1,
      sym_identifier,
    ACTIONS(823), 1,
      anon_sym_LPAREN,
    ACTIONS(827), 1,
      anon_sym_STAR,
    ACTIONS(833), 1,
      anon_sym_LBRACK,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(841), 1,
      anon_sym_await,
    ACTIONS(913), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1369), 1,
      sym_list_splat_pattern,
    STATE(1676), 1,
      sym_expression,
    STATE(2298), 1,
      sym_yield,
    STATE(2340), 1,
      sym_pattern,
    STATE(2613), 1,
      sym__collection_elements,
    STATE(2623), 1,
      sym__patterns,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(831), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1370), 2,
      sym_attribute,
      sym_subscript,
    STATE(2345), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2573), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(829), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2110] = 30,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(871), 1,
      anon_sym_LPAREN,
    ACTIONS(873), 1,
      anon_sym_STAR,
    ACTIONS(879), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(885), 1,
      anon_sym_lambda,
    ACTIONS(887), 1,
      anon_sym_yield,
    ACTIONS(889), 1,
      anon_sym_await,
    ACTIONS(915), 1,
      anon_sym_RBRACK,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1378), 1,
      sym_list_splat_pattern,
    STATE(1707), 1,
      sym_expression,
    STATE(2382), 1,
      sym_pattern,
    STATE(2611), 1,
      sym__named_expression_lhs,
    STATE(2628), 1,
      sym__collection_elements,
    STATE(2737), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(877), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1381), 2,
      sym_attribute,
      sym_subscript,
    STATE(2570), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2378), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2234] = 30,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(845), 1,
      anon_sym_LPAREN,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_yield,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(917), 1,
      anon_sym_COMMA,
    ACTIONS(919), 1,
      anon_sym_RBRACE,
    STATE(912), 1,
      sym_primary_expression,
    STATE(971), 1,
      sym_string,
    STATE(1203), 1,
      sym_list_splat_pattern,
    STATE(1656), 1,
      sym_expression,
    STATE(1862), 1,
      sym_pair,
    STATE(2347), 1,
      sym_dictionary_splat,
    STATE(2668), 1,
      sym__collection_elements,
    STATE(2683), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2357), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1771), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2358] = 30,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(845), 1,
      anon_sym_LPAREN,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_yield,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(921), 1,
      anon_sym_COMMA,
    ACTIONS(923), 1,
      anon_sym_RBRACE,
    STATE(912), 1,
      sym_primary_expression,
    STATE(971), 1,
      sym_string,
    STATE(1203), 1,
      sym_list_splat_pattern,
    STATE(1667), 1,
      sym_expression,
    STATE(1855), 1,
      sym_pair,
    STATE(2289), 1,
      sym_dictionary_splat,
    STATE(2683), 1,
      sym__named_expression_lhs,
    STATE(2746), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2357), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1771), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2482] = 32,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(821), 1,
      sym_identifier,
    ACTIONS(823), 1,
      anon_sym_LPAREN,
    ACTIONS(827), 1,
      anon_sym_STAR,
    ACTIONS(833), 1,
      anon_sym_LBRACK,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(841), 1,
      anon_sym_await,
    ACTIONS(925), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1369), 1,
      sym_list_splat_pattern,
    STATE(1680), 1,
      sym_expression,
    STATE(2340), 1,
      sym_pattern,
    STATE(2379), 1,
      sym_list_splat,
    STATE(2381), 1,
      sym_parenthesized_list_splat,
    STATE(2443), 1,
      sym_yield,
    STATE(2606), 1,
      sym__patterns,
    STATE(2631), 1,
      sym__collection_elements,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(831), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1370), 2,
      sym_attribute,
      sym_subscript,
    STATE(2573), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(829), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2610] = 32,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(821), 1,
      sym_identifier,
    ACTIONS(823), 1,
      anon_sym_LPAREN,
    ACTIONS(827), 1,
      anon_sym_STAR,
    ACTIONS(833), 1,
      anon_sym_LBRACK,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(841), 1,
      anon_sym_await,
    ACTIONS(927), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1369), 1,
      sym_list_splat_pattern,
    STATE(1688), 1,
      sym_expression,
    STATE(2242), 1,
      sym_yield,
    STATE(2340), 1,
      sym_pattern,
    STATE(2434), 1,
      sym_list_splat,
    STATE(2435), 1,
      sym_parenthesized_list_splat,
    STATE(2602), 1,
      sym__patterns,
    STATE(2736), 1,
      sym__collection_elements,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(831), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1370), 2,
      sym_attribute,
      sym_subscript,
    STATE(2573), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(829), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2738] = 31,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(821), 1,
      sym_identifier,
    ACTIONS(823), 1,
      anon_sym_LPAREN,
    ACTIONS(827), 1,
      anon_sym_STAR,
    ACTIONS(833), 1,
      anon_sym_LBRACK,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(841), 1,
      anon_sym_await,
    ACTIONS(929), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1369), 1,
      sym_list_splat_pattern,
    STATE(1676), 1,
      sym_expression,
    STATE(2298), 1,
      sym_yield,
    STATE(2340), 1,
      sym_pattern,
    STATE(2613), 1,
      sym__collection_elements,
    STATE(2692), 1,
      sym__patterns,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(831), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1370), 2,
      sym_attribute,
      sym_subscript,
    STATE(2345), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2573), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(829), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2864] = 30,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(871), 1,
      anon_sym_LPAREN,
    ACTIONS(873), 1,
      anon_sym_STAR,
    ACTIONS(879), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(885), 1,
      anon_sym_lambda,
    ACTIONS(887), 1,
      anon_sym_yield,
    ACTIONS(889), 1,
      anon_sym_await,
    ACTIONS(931), 1,
      anon_sym_RBRACK,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1378), 1,
      sym_list_splat_pattern,
    STATE(1707), 1,
      sym_expression,
    STATE(2382), 1,
      sym_pattern,
    STATE(2611), 1,
      sym__named_expression_lhs,
    STATE(2626), 1,
      sym__patterns,
    STATE(2628), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(877), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1381), 2,
      sym_attribute,
      sym_subscript,
    STATE(2570), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2378), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [2988] = 30,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(845), 1,
      anon_sym_LPAREN,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_yield,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(933), 1,
      anon_sym_COMMA,
    ACTIONS(935), 1,
      anon_sym_RBRACE,
    STATE(912), 1,
      sym_primary_expression,
    STATE(971), 1,
      sym_string,
    STATE(1203), 1,
      sym_list_splat_pattern,
    STATE(1655), 1,
      sym_expression,
    STATE(1836), 1,
      sym_pair,
    STATE(2380), 1,
      sym_dictionary_splat,
    STATE(2608), 1,
      sym__collection_elements,
    STATE(2683), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2357), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1771), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3112] = 30,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(845), 1,
      anon_sym_LPAREN,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_yield,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(937), 1,
      anon_sym_COMMA,
    ACTIONS(939), 1,
      anon_sym_RBRACE,
    STATE(912), 1,
      sym_primary_expression,
    STATE(971), 1,
      sym_string,
    STATE(1203), 1,
      sym_list_splat_pattern,
    STATE(1663), 1,
      sym_expression,
    STATE(1859), 1,
      sym_pair,
    STATE(2279), 1,
      sym_dictionary_splat,
    STATE(2683), 1,
      sym__named_expression_lhs,
    STATE(2757), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2357), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1771), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3236] = 30,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(871), 1,
      anon_sym_LPAREN,
    ACTIONS(873), 1,
      anon_sym_STAR,
    ACTIONS(879), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(885), 1,
      anon_sym_lambda,
    ACTIONS(887), 1,
      anon_sym_yield,
    ACTIONS(889), 1,
      anon_sym_await,
    ACTIONS(941), 1,
      anon_sym_RBRACK,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1378), 1,
      sym_list_splat_pattern,
    STATE(1713), 1,
      sym_expression,
    STATE(2382), 1,
      sym_pattern,
    STATE(2611), 1,
      sym__named_expression_lhs,
    STATE(2737), 1,
      sym__patterns,
    STATE(2743), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(877), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1381), 2,
      sym_attribute,
      sym_subscript,
    STATE(2570), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2378), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3360] = 30,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(871), 1,
      anon_sym_LPAREN,
    ACTIONS(873), 1,
      anon_sym_STAR,
    ACTIONS(879), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(885), 1,
      anon_sym_lambda,
    ACTIONS(887), 1,
      anon_sym_yield,
    ACTIONS(889), 1,
      anon_sym_await,
    ACTIONS(943), 1,
      anon_sym_RBRACK,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1378), 1,
      sym_list_splat_pattern,
    STATE(1707), 1,
      sym_expression,
    STATE(2382), 1,
      sym_pattern,
    STATE(2611), 1,
      sym__named_expression_lhs,
    STATE(2628), 1,
      sym__collection_elements,
    STATE(2737), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(877), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1381), 2,
      sym_attribute,
      sym_subscript,
    STATE(2570), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2378), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3484] = 31,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(821), 1,
      sym_identifier,
    ACTIONS(823), 1,
      anon_sym_LPAREN,
    ACTIONS(827), 1,
      anon_sym_STAR,
    ACTIONS(833), 1,
      anon_sym_LBRACK,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(841), 1,
      anon_sym_await,
    ACTIONS(945), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1369), 1,
      sym_list_splat_pattern,
    STATE(1681), 1,
      sym_expression,
    STATE(2340), 1,
      sym_pattern,
    STATE(2353), 1,
      sym_yield,
    STATE(2625), 1,
      sym__patterns,
    STATE(2647), 1,
      sym__collection_elements,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(831), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1370), 2,
      sym_attribute,
      sym_subscript,
    STATE(2345), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    STATE(2573), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(829), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3610] = 30,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(871), 1,
      anon_sym_LPAREN,
    ACTIONS(873), 1,
      anon_sym_STAR,
    ACTIONS(879), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(885), 1,
      anon_sym_lambda,
    ACTIONS(887), 1,
      anon_sym_yield,
    ACTIONS(889), 1,
      anon_sym_await,
    ACTIONS(947), 1,
      anon_sym_RBRACK,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1378), 1,
      sym_list_splat_pattern,
    STATE(1707), 1,
      sym_expression,
    STATE(2382), 1,
      sym_pattern,
    STATE(2611), 1,
      sym__named_expression_lhs,
    STATE(2628), 1,
      sym__collection_elements,
    STATE(2649), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(877), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1381), 2,
      sym_attribute,
      sym_subscript,
    STATE(2570), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2378), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3734] = 30,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(871), 1,
      anon_sym_LPAREN,
    ACTIONS(873), 1,
      anon_sym_STAR,
    ACTIONS(879), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(885), 1,
      anon_sym_lambda,
    ACTIONS(887), 1,
      anon_sym_yield,
    ACTIONS(889), 1,
      anon_sym_await,
    ACTIONS(949), 1,
      anon_sym_RBRACK,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1378), 1,
      sym_list_splat_pattern,
    STATE(1707), 1,
      sym_expression,
    STATE(2382), 1,
      sym_pattern,
    STATE(2611), 1,
      sym__named_expression_lhs,
    STATE(2628), 1,
      sym__collection_elements,
    STATE(2703), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(877), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1381), 2,
      sym_attribute,
      sym_subscript,
    STATE(2570), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2378), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3858] = 30,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(869), 1,
      sym_identifier,
    ACTIONS(871), 1,
      anon_sym_LPAREN,
    ACTIONS(873), 1,
      anon_sym_STAR,
    ACTIONS(879), 1,
      anon_sym_LBRACK,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(885), 1,
      anon_sym_lambda,
    ACTIONS(887), 1,
      anon_sym_yield,
    ACTIONS(889), 1,
      anon_sym_await,
    ACTIONS(951), 1,
      anon_sym_RBRACK,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1378), 1,
      sym_list_splat_pattern,
    STATE(1713), 1,
      sym_expression,
    STATE(2382), 1,
      sym_pattern,
    STATE(2611), 1,
      sym__named_expression_lhs,
    STATE(2737), 1,
      sym__patterns,
    STATE(2743), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(877), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1381), 2,
      sym_attribute,
      sym_subscript,
    STATE(2570), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(875), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2378), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [3982] = 30,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(845), 1,
      anon_sym_LPAREN,
    ACTIONS(849), 1,
      anon_sym_STAR,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(863), 1,
      anon_sym_yield,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(953), 1,
      anon_sym_COMMA,
    ACTIONS(955), 1,
      anon_sym_RBRACE,
    STATE(912), 1,
      sym_primary_expression,
    STATE(971), 1,
      sym_string,
    STATE(1203), 1,
      sym_list_splat_pattern,
    STATE(1671), 1,
      sym_expression,
    STATE(1845), 1,
      sym_pair,
    STATE(2307), 1,
      sym_dictionary_splat,
    STATE(2643), 1,
      sym__collection_elements,
    STATE(2683), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2357), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1771), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4106] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_TILDE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(957), 1,
      sym_identifier,
    ACTIONS(961), 1,
      anon_sym_LPAREN,
    ACTIONS(963), 1,
      anon_sym_STAR,
    ACTIONS(969), 1,
      anon_sym_LBRACK,
    ACTIONS(971), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1352), 1,
      sym_list_splat_pattern,
    STATE(1591), 1,
      sym_primary_expression,
    STATE(1610), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(680), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(967), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1353), 2,
      sym_attribute,
      sym_subscript,
    STATE(1592), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(965), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
    ACTIONS(959), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4213] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_TILDE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(957), 1,
      sym_identifier,
    ACTIONS(961), 1,
      anon_sym_LPAREN,
    ACTIONS(963), 1,
      anon_sym_STAR,
    ACTIONS(969), 1,
      anon_sym_LBRACK,
    ACTIONS(971), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1352), 1,
      sym_list_splat_pattern,
    STATE(1591), 1,
      sym_primary_expression,
    STATE(1610), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(680), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(967), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1353), 2,
      sym_attribute,
      sym_subscript,
    STATE(1592), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(965), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
    ACTIONS(973), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [4320] = 26,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(975), 1,
      sym_identifier,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(985), 1,
      anon_sym_RBRACK,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1768), 1,
      sym_expression,
    STATE(2012), 1,
      sym_type,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2107), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4434] = 26,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(975), 1,
      sym_identifier,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(993), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1768), 1,
      sym_expression,
    STATE(2012), 1,
      sym_type,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2107), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4548] = 26,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(975), 1,
      sym_identifier,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(995), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1768), 1,
      sym_expression,
    STATE(2012), 1,
      sym_type,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2107), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4662] = 26,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(975), 1,
      sym_identifier,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(997), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1768), 1,
      sym_expression,
    STATE(2012), 1,
      sym_type,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2107), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4776] = 26,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(975), 1,
      sym_identifier,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(999), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1768), 1,
      sym_expression,
    STATE(2012), 1,
      sym_type,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2107), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [4890] = 26,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(975), 1,
      sym_identifier,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1001), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1768), 1,
      sym_expression,
    STATE(2012), 1,
      sym_type,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2107), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5004] = 27,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(863), 1,
      anon_sym_yield,
    ACTIONS(1003), 1,
      sym_identifier,
    ACTIONS(1005), 1,
      anon_sym_LPAREN,
    ACTIONS(1007), 1,
      anon_sym_STAR,
    ACTIONS(1013), 1,
      anon_sym_LBRACK,
    ACTIONS(1015), 1,
      anon_sym_not,
    ACTIONS(1017), 1,
      anon_sym_lambda,
    ACTIONS(1019), 1,
      anon_sym_await,
    STATE(909), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1139), 1,
      sym_list_splat_pattern,
    STATE(1737), 1,
      sym_expression,
    STATE(2500), 1,
      sym_pattern,
    STATE(2773), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1011), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1140), 2,
      sym_attribute,
      sym_subscript,
    STATE(1640), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1009), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2009), 4,
      sym_expression_list,
      sym_pattern_list,
      sym_yield,
      sym__f_expression,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5120] = 26,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(975), 1,
      sym_identifier,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1021), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1768), 1,
      sym_expression,
    STATE(2012), 1,
      sym_type,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2107), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5234] = 26,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(975), 1,
      sym_identifier,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1023), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1768), 1,
      sym_expression,
    STATE(2012), 1,
      sym_type,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2107), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5348] = 27,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(863), 1,
      anon_sym_yield,
    ACTIONS(1003), 1,
      sym_identifier,
    ACTIONS(1005), 1,
      anon_sym_LPAREN,
    ACTIONS(1007), 1,
      anon_sym_STAR,
    ACTIONS(1013), 1,
      anon_sym_LBRACK,
    ACTIONS(1015), 1,
      anon_sym_not,
    ACTIONS(1017), 1,
      anon_sym_lambda,
    ACTIONS(1019), 1,
      anon_sym_await,
    STATE(909), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1139), 1,
      sym_list_splat_pattern,
    STATE(1737), 1,
      sym_expression,
    STATE(2500), 1,
      sym_pattern,
    STATE(2773), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1011), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1140), 2,
      sym_attribute,
      sym_subscript,
    STATE(1640), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1009), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1997), 4,
      sym_expression_list,
      sym_pattern_list,
      sym_yield,
      sym__f_expression,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5464] = 27,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1029), 1,
      anon_sym_RPAREN,
    ACTIONS(1031), 1,
      anon_sym_COMMA,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1045), 1,
      anon_sym_await,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1879), 1,
      sym_expression,
    STATE(2325), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1037), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1035), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2323), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5579] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(975), 1,
      sym_identifier,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1768), 1,
      sym_expression,
    STATE(2012), 1,
      sym_type,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2107), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5690] = 25,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(341), 1,
      anon_sym_STAR_STAR,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1047), 1,
      anon_sym_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1761), 1,
      sym_expression,
    STATE(2449), 1,
      sym_type,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2016), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5801] = 25,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(341), 1,
      anon_sym_STAR_STAR,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1047), 1,
      anon_sym_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1761), 1,
      sym_expression,
    STATE(2484), 1,
      sym_type,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2016), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [5912] = 28,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(827), 1,
      anon_sym_STAR,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1053), 1,
      anon_sym_LPAREN,
    ACTIONS(1055), 1,
      anon_sym_RPAREN,
    ACTIONS(1061), 1,
      anon_sym_await,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1694), 1,
      sym_expression,
    STATE(2298), 1,
      sym_yield,
    STATE(2423), 1,
      sym_with_item,
    STATE(2613), 1,
      sym__collection_elements,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1059), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2345), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1057), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6029] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(975), 1,
      sym_identifier,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1768), 1,
      sym_expression,
    STATE(1922), 1,
      sym_type,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2107), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6140] = 25,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(341), 1,
      anon_sym_STAR_STAR,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1047), 1,
      anon_sym_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1761), 1,
      sym_expression,
    STATE(2085), 1,
      sym_type,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2016), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6251] = 25,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1065), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    STATE(865), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1119), 1,
      sym_list_splat_pattern,
    STATE(1738), 1,
      sym_expression,
    STATE(1994), 1,
      sym_type,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1894), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6362] = 25,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(341), 1,
      anon_sym_STAR_STAR,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1047), 1,
      anon_sym_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1761), 1,
      sym_expression,
    STATE(2262), 1,
      sym_type,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2016), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6473] = 25,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(341), 1,
      anon_sym_STAR_STAR,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1047), 1,
      anon_sym_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1761), 1,
      sym_expression,
    STATE(1995), 1,
      sym_type,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2016), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6584] = 25,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1065), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    STATE(865), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1119), 1,
      sym_list_splat_pattern,
    STATE(1738), 1,
      sym_expression,
    STATE(1972), 1,
      sym_type,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1894), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6695] = 25,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1065), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    STATE(865), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1119), 1,
      sym_list_splat_pattern,
    STATE(1738), 1,
      sym_expression,
    STATE(1974), 1,
      sym_type,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1894), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6806] = 25,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1069), 1,
      sym_identifier,
    ACTIONS(1071), 1,
      anon_sym_STAR,
    ACTIONS(1077), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1079), 1,
      anon_sym_await,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1724), 1,
      sym_expression,
    STATE(1981), 1,
      sym_type,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1075), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1073), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1945), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [6917] = 25,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1069), 1,
      sym_identifier,
    ACTIONS(1071), 1,
      anon_sym_STAR,
    ACTIONS(1077), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1079), 1,
      anon_sym_await,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1724), 1,
      sym_expression,
    STATE(2108), 1,
      sym_type,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1075), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1073), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1945), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7028] = 27,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(1029), 1,
      anon_sym_RPAREN,
    ACTIONS(1031), 1,
      anon_sym_COMMA,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1053), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      sym_identifier,
    ACTIONS(1083), 1,
      anon_sym_STAR,
    ACTIONS(1089), 1,
      anon_sym_await,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1677), 1,
      sym_expression,
    STATE(2325), 1,
      sym_parenthesized_list_splat,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1087), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1085), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2323), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7143] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(975), 1,
      sym_identifier,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1768), 1,
      sym_expression,
    STATE(2060), 1,
      sym_type,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2107), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7254] = 25,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(341), 1,
      anon_sym_STAR_STAR,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1047), 1,
      anon_sym_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1761), 1,
      sym_expression,
    STATE(2442), 1,
      sym_type,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2016), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7365] = 27,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1053), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      sym_identifier,
    ACTIONS(1083), 1,
      anon_sym_STAR,
    ACTIONS(1089), 1,
      anon_sym_await,
    ACTIONS(1091), 1,
      anon_sym_RPAREN,
    ACTIONS(1093), 1,
      anon_sym_COMMA,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1682), 1,
      sym_expression,
    STATE(2466), 1,
      sym_parenthesized_list_splat,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1087), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1085), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2465), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7480] = 25,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1007), 1,
      anon_sym_STAR,
    ACTIONS(1015), 1,
      anon_sym_not,
    ACTIONS(1017), 1,
      anon_sym_lambda,
    ACTIONS(1095), 1,
      sym_identifier,
    ACTIONS(1097), 1,
      anon_sym_from,
    ACTIONS(1105), 1,
      anon_sym_await,
    STATE(909), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1214), 1,
      sym_list_splat_pattern,
    STATE(1732), 1,
      sym_expression,
    STATE(2001), 1,
      sym_expression_list,
    STATE(2773), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1103), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1101), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1099), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7591] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_TILDE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1107), 1,
      sym_identifier,
    ACTIONS(1109), 1,
      anon_sym_LPAREN,
    ACTIONS(1111), 1,
      anon_sym_STAR,
    ACTIONS(1117), 1,
      anon_sym_LBRACK,
    ACTIONS(1119), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1481), 1,
      sym_list_splat_pattern,
    STATE(1616), 1,
      sym_primary_expression,
    STATE(1639), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(680), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1115), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1482), 2,
      sym_attribute,
      sym_subscript,
    STATE(1640), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1113), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
    ACTIONS(959), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [7696] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(315), 1,
      anon_sym_TILDE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1107), 1,
      sym_identifier,
    ACTIONS(1109), 1,
      anon_sym_LPAREN,
    ACTIONS(1111), 1,
      anon_sym_STAR,
    ACTIONS(1117), 1,
      anon_sym_LBRACK,
    ACTIONS(1119), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1481), 1,
      sym_list_splat_pattern,
    STATE(1616), 1,
      sym_primary_expression,
    STATE(1639), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(680), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1115), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1482), 2,
      sym_attribute,
      sym_subscript,
    STATE(1640), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(1113), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
    ACTIONS(973), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [7801] = 25,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(341), 1,
      anon_sym_STAR_STAR,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1047), 1,
      anon_sym_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1761), 1,
      sym_expression,
    STATE(2293), 1,
      sym_type,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2016), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [7912] = 27,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1053), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      sym_identifier,
    ACTIONS(1083), 1,
      anon_sym_STAR,
    ACTIONS(1089), 1,
      anon_sym_await,
    ACTIONS(1121), 1,
      anon_sym_RPAREN,
    ACTIONS(1123), 1,
      anon_sym_COMMA,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1687), 1,
      sym_expression,
    STATE(2274), 1,
      sym_parenthesized_list_splat,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1087), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1085), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2273), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8027] = 25,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1069), 1,
      sym_identifier,
    ACTIONS(1071), 1,
      anon_sym_STAR,
    ACTIONS(1077), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1079), 1,
      anon_sym_await,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1724), 1,
      sym_expression,
    STATE(1957), 1,
      sym_type,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1075), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1073), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1945), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8138] = 25,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1069), 1,
      sym_identifier,
    ACTIONS(1071), 1,
      anon_sym_STAR,
    ACTIONS(1077), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1079), 1,
      anon_sym_await,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1724), 1,
      sym_expression,
    STATE(1960), 1,
      sym_type,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1075), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1073), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1945), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8249] = 25,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1063), 1,
      sym_identifier,
    ACTIONS(1065), 1,
      anon_sym_STAR,
    ACTIONS(1067), 1,
      anon_sym_STAR_STAR,
    STATE(865), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1119), 1,
      sym_list_splat_pattern,
    STATE(1738), 1,
      sym_expression,
    STATE(1979), 1,
      sym_type,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1894), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8360] = 27,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1053), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      sym_identifier,
    ACTIONS(1083), 1,
      anon_sym_STAR,
    ACTIONS(1089), 1,
      anon_sym_await,
    ACTIONS(1125), 1,
      anon_sym_RPAREN,
    ACTIONS(1127), 1,
      anon_sym_COMMA,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1693), 1,
      sym_expression,
    STATE(2317), 1,
      sym_parenthesized_list_splat,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1087), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1085), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2316), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8475] = 27,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1053), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      sym_identifier,
    ACTIONS(1083), 1,
      anon_sym_STAR,
    ACTIONS(1089), 1,
      anon_sym_await,
    ACTIONS(1129), 1,
      anon_sym_RPAREN,
    ACTIONS(1131), 1,
      anon_sym_COMMA,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1698), 1,
      sym_expression,
    STATE(2355), 1,
      sym_parenthesized_list_splat,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1087), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1085), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2354), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8590] = 27,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1053), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      sym_identifier,
    ACTIONS(1083), 1,
      anon_sym_STAR,
    ACTIONS(1089), 1,
      anon_sym_await,
    ACTIONS(1133), 1,
      anon_sym_RPAREN,
    ACTIONS(1135), 1,
      anon_sym_COMMA,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1702), 1,
      sym_expression,
    STATE(2389), 1,
      sym_parenthesized_list_splat,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1087), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1085), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2388), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8705] = 27,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1053), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      sym_identifier,
    ACTIONS(1083), 1,
      anon_sym_STAR,
    ACTIONS(1089), 1,
      anon_sym_await,
    ACTIONS(1137), 1,
      anon_sym_RPAREN,
    ACTIONS(1139), 1,
      anon_sym_COMMA,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1708), 1,
      sym_expression,
    STATE(2370), 1,
      sym_parenthesized_list_splat,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1087), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1085), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2336), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8820] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(975), 1,
      sym_identifier,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1768), 1,
      sym_expression,
    STATE(1958), 1,
      sym_type,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2107), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [8931] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(975), 1,
      sym_identifier,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1768), 1,
      sym_expression,
    STATE(1985), 1,
      sym_type,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2107), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9042] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(975), 1,
      sym_identifier,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1768), 1,
      sym_expression,
    STATE(1904), 1,
      sym_type,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2107), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9153] = 27,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1053), 1,
      anon_sym_LPAREN,
    ACTIONS(1081), 1,
      sym_identifier,
    ACTIONS(1083), 1,
      anon_sym_STAR,
    ACTIONS(1089), 1,
      anon_sym_await,
    ACTIONS(1141), 1,
      anon_sym_RPAREN,
    ACTIONS(1143), 1,
      anon_sym_COMMA,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1692), 1,
      sym_expression,
    STATE(2448), 1,
      sym_parenthesized_list_splat,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1087), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1085), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2447), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9268] = 25,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(341), 1,
      anon_sym_STAR_STAR,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1047), 1,
      anon_sym_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1761), 1,
      sym_expression,
    STATE(2437), 1,
      sym_type,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2016), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9379] = 25,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(341), 1,
      anon_sym_STAR_STAR,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1047), 1,
      anon_sym_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1761), 1,
      sym_expression,
    STATE(2440), 1,
      sym_type,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2016), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9490] = 25,
    ACTIONS(275), 1,
      sym_identifier,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(341), 1,
      anon_sym_STAR_STAR,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1047), 1,
      anon_sym_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1761), 1,
      sym_expression,
    STATE(2441), 1,
      sym_type,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2016), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9601] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(975), 1,
      sym_identifier,
    ACTIONS(977), 1,
      anon_sym_STAR,
    ACTIONS(983), 1,
      anon_sym_STAR_STAR,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1768), 1,
      sym_expression,
    STATE(2061), 1,
      sym_type,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(2107), 5,
      sym_splat_type,
      sym_generic_type,
      sym_union_type,
      sym_constrained_type,
      sym_member_type,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9712] = 26,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1045), 1,
      anon_sym_await,
    ACTIONS(1145), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1921), 1,
      sym_expression,
    STATE(2582), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1037), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1035), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2569), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9824] = 26,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1045), 1,
      anon_sym_await,
    ACTIONS(1147), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1921), 1,
      sym_expression,
    STATE(2582), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1037), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1035), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2569), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [9936] = 28,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(827), 1,
      anon_sym_STAR,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1053), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_await,
    ACTIONS(1149), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1686), 1,
      sym_expression,
    STATE(2264), 1,
      sym_yield,
    STATE(2314), 1,
      sym_list_splat,
    STATE(2315), 1,
      sym_parenthesized_list_splat,
    STATE(2700), 1,
      sym__collection_elements,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1059), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1057), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10052] = 27,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(827), 1,
      anon_sym_STAR,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1053), 1,
      anon_sym_LPAREN,
    ACTIONS(1055), 1,
      anon_sym_RPAREN,
    ACTIONS(1061), 1,
      anon_sym_await,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1676), 1,
      sym_expression,
    STATE(2298), 1,
      sym_yield,
    STATE(2613), 1,
      sym__collection_elements,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1059), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2345), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1057), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10166] = 26,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1045), 1,
      anon_sym_await,
    ACTIONS(1151), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1921), 1,
      sym_expression,
    STATE(2582), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1037), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1035), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2569), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10278] = 26,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1045), 1,
      anon_sym_await,
    ACTIONS(1153), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1921), 1,
      sym_expression,
    STATE(2582), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1037), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1035), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2569), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10390] = 26,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1045), 1,
      anon_sym_await,
    ACTIONS(1155), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1921), 1,
      sym_expression,
    STATE(2582), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1037), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1035), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2569), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10502] = 27,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(827), 1,
      anon_sym_STAR,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1053), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_await,
    ACTIONS(1157), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1697), 1,
      sym_expression,
    STATE(2344), 1,
      sym_yield,
    STATE(2652), 1,
      sym__collection_elements,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1059), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2345), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1057), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10616] = 26,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(873), 1,
      anon_sym_STAR,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(885), 1,
      anon_sym_lambda,
    ACTIONS(887), 1,
      anon_sym_yield,
    ACTIONS(1159), 1,
      sym_identifier,
    ACTIONS(1161), 1,
      anon_sym_LPAREN,
    ACTIONS(1167), 1,
      anon_sym_RBRACK,
    ACTIONS(1169), 1,
      anon_sym_await,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1360), 1,
      sym_list_splat_pattern,
    STATE(1711), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    STATE(2704), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1165), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1163), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2378), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10728] = 28,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(827), 1,
      anon_sym_STAR,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1053), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_await,
    ACTIONS(1171), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1680), 1,
      sym_expression,
    STATE(2379), 1,
      sym_list_splat,
    STATE(2381), 1,
      sym_parenthesized_list_splat,
    STATE(2443), 1,
      sym_yield,
    STATE(2631), 1,
      sym__collection_elements,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1059), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1057), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10844] = 26,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1045), 1,
      anon_sym_await,
    ACTIONS(1173), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1921), 1,
      sym_expression,
    STATE(2582), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1037), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1035), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2569), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [10956] = 26,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1045), 1,
      anon_sym_await,
    ACTIONS(1175), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1921), 1,
      sym_expression,
    STATE(2582), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1037), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1035), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2569), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11068] = 26,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1045), 1,
      anon_sym_await,
    ACTIONS(1177), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1921), 1,
      sym_expression,
    STATE(2582), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1037), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1035), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2569), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11180] = 26,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1045), 1,
      anon_sym_await,
    ACTIONS(1179), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1921), 1,
      sym_expression,
    STATE(2582), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1037), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1035), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2569), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11292] = 26,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1045), 1,
      anon_sym_await,
    ACTIONS(1181), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1921), 1,
      sym_expression,
    STATE(2582), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1037), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1035), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2569), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11404] = 27,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(827), 1,
      anon_sym_STAR,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1053), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_await,
    ACTIONS(1183), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1688), 1,
      sym_expression,
    STATE(2242), 1,
      sym_yield,
    STATE(2736), 1,
      sym__collection_elements,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1059), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2345), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1057), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11518] = 26,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(873), 1,
      anon_sym_STAR,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(885), 1,
      anon_sym_lambda,
    ACTIONS(887), 1,
      anon_sym_yield,
    ACTIONS(1159), 1,
      sym_identifier,
    ACTIONS(1161), 1,
      anon_sym_LPAREN,
    ACTIONS(1169), 1,
      anon_sym_await,
    ACTIONS(1185), 1,
      anon_sym_RBRACK,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1360), 1,
      sym_list_splat_pattern,
    STATE(1714), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    STATE(2661), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1165), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1163), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2378), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11630] = 28,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(827), 1,
      anon_sym_STAR,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1053), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_await,
    ACTIONS(1157), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1697), 1,
      sym_expression,
    STATE(2344), 1,
      sym_yield,
    STATE(2434), 1,
      sym_list_splat,
    STATE(2435), 1,
      sym_parenthesized_list_splat,
    STATE(2652), 1,
      sym__collection_elements,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1059), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1057), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11746] = 26,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1045), 1,
      anon_sym_await,
    ACTIONS(1187), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1921), 1,
      sym_expression,
    STATE(2582), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1037), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1035), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2569), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11858] = 26,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1045), 1,
      anon_sym_await,
    ACTIONS(1189), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1921), 1,
      sym_expression,
    STATE(2582), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1037), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1035), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2569), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [11970] = 26,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1045), 1,
      anon_sym_await,
    ACTIONS(1191), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1921), 1,
      sym_expression,
    STATE(2582), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1037), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1035), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2569), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12082] = 26,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1045), 1,
      anon_sym_await,
    ACTIONS(1193), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1921), 1,
      sym_expression,
    STATE(2582), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1037), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1035), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2569), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12194] = 26,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1045), 1,
      anon_sym_await,
    ACTIONS(1195), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1921), 1,
      sym_expression,
    STATE(2582), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1037), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1035), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2569), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12306] = 27,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(827), 1,
      anon_sym_STAR,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1053), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_await,
    ACTIONS(1197), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1701), 1,
      sym_expression,
    STATE(2377), 1,
      sym_yield,
    STATE(2601), 1,
      sym__collection_elements,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1059), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2345), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1057), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12420] = 26,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(873), 1,
      anon_sym_STAR,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(885), 1,
      anon_sym_lambda,
    ACTIONS(887), 1,
      anon_sym_yield,
    ACTIONS(1159), 1,
      sym_identifier,
    ACTIONS(1161), 1,
      anon_sym_LPAREN,
    ACTIONS(1169), 1,
      anon_sym_await,
    ACTIONS(1199), 1,
      anon_sym_RBRACK,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1360), 1,
      sym_list_splat_pattern,
    STATE(1705), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    STATE(2664), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1165), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1163), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2378), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12532] = 26,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1045), 1,
      anon_sym_await,
    ACTIONS(1201), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1921), 1,
      sym_expression,
    STATE(2582), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1037), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1035), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2569), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12644] = 26,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1045), 1,
      anon_sym_await,
    ACTIONS(1203), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1921), 1,
      sym_expression,
    STATE(2582), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1037), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1035), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2569), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12756] = 26,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1045), 1,
      anon_sym_await,
    ACTIONS(1205), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1921), 1,
      sym_expression,
    STATE(2582), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1037), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1035), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2569), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12868] = 26,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1045), 1,
      anon_sym_await,
    ACTIONS(1207), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1921), 1,
      sym_expression,
    STATE(2582), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1037), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1035), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2569), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [12980] = 27,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(827), 1,
      anon_sym_STAR,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1053), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_await,
    ACTIONS(1171), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1680), 1,
      sym_expression,
    STATE(2443), 1,
      sym_yield,
    STATE(2631), 1,
      sym__collection_elements,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1059), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2345), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1057), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13094] = 26,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(873), 1,
      anon_sym_STAR,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(885), 1,
      anon_sym_lambda,
    ACTIONS(887), 1,
      anon_sym_yield,
    ACTIONS(1159), 1,
      sym_identifier,
    ACTIONS(1161), 1,
      anon_sym_LPAREN,
    ACTIONS(1169), 1,
      anon_sym_await,
    ACTIONS(1209), 1,
      anon_sym_RBRACK,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1360), 1,
      sym_list_splat_pattern,
    STATE(1709), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    STATE(2654), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1165), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1163), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2378), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13206] = 28,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(827), 1,
      anon_sym_STAR,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1053), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_await,
    ACTIONS(1211), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1691), 1,
      sym_expression,
    STATE(2303), 1,
      sym_yield,
    STATE(2314), 1,
      sym_list_splat,
    STATE(2315), 1,
      sym_parenthesized_list_splat,
    STATE(2771), 1,
      sym__named_expression_lhs,
    STATE(2782), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1059), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1057), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13322] = 26,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1045), 1,
      anon_sym_await,
    ACTIONS(1213), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1921), 1,
      sym_expression,
    STATE(2582), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1037), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1035), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2569), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13434] = 26,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1045), 1,
      anon_sym_await,
    ACTIONS(1215), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1921), 1,
      sym_expression,
    STATE(2582), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1037), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1035), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2569), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13546] = 26,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1045), 1,
      anon_sym_await,
    ACTIONS(1217), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1921), 1,
      sym_expression,
    STATE(2582), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1037), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1035), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2569), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13658] = 26,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1045), 1,
      anon_sym_await,
    ACTIONS(1219), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1921), 1,
      sym_expression,
    STATE(2582), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1037), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1035), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2569), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13770] = 26,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(873), 1,
      anon_sym_STAR,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(885), 1,
      anon_sym_lambda,
    ACTIONS(887), 1,
      anon_sym_yield,
    ACTIONS(1159), 1,
      sym_identifier,
    ACTIONS(1161), 1,
      anon_sym_LPAREN,
    ACTIONS(1169), 1,
      anon_sym_await,
    ACTIONS(1221), 1,
      anon_sym_RBRACK,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1360), 1,
      sym_list_splat_pattern,
    STATE(1707), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    STATE(2628), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1165), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1163), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2378), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13882] = 27,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(827), 1,
      anon_sym_STAR,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1053), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_await,
    ACTIONS(1211), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1691), 1,
      sym_expression,
    STATE(2303), 1,
      sym_yield,
    STATE(2771), 1,
      sym__named_expression_lhs,
    STATE(2782), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1059), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2345), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1057), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [13996] = 26,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(873), 1,
      anon_sym_STAR,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(885), 1,
      anon_sym_lambda,
    ACTIONS(887), 1,
      anon_sym_yield,
    ACTIONS(1159), 1,
      sym_identifier,
    ACTIONS(1161), 1,
      anon_sym_LPAREN,
    ACTIONS(1169), 1,
      anon_sym_await,
    ACTIONS(1223), 1,
      anon_sym_RBRACK,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1360), 1,
      sym_list_splat_pattern,
    STATE(1673), 1,
      sym_expression,
    STATE(2604), 1,
      sym__collection_elements,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1165), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1163), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2378), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14108] = 26,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1045), 1,
      anon_sym_await,
    ACTIONS(1225), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1921), 1,
      sym_expression,
    STATE(2582), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1037), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1035), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2569), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14220] = 26,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1045), 1,
      anon_sym_await,
    ACTIONS(1227), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1921), 1,
      sym_expression,
    STATE(2582), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1037), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1035), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2569), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14332] = 26,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1045), 1,
      anon_sym_await,
    ACTIONS(1229), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1921), 1,
      sym_expression,
    STATE(2582), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1037), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1035), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2569), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14444] = 26,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1045), 1,
      anon_sym_await,
    ACTIONS(1231), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1921), 1,
      sym_expression,
    STATE(2582), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1037), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1035), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2569), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14556] = 27,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(827), 1,
      anon_sym_STAR,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1053), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_await,
    ACTIONS(1149), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1686), 1,
      sym_expression,
    STATE(2264), 1,
      sym_yield,
    STATE(2700), 1,
      sym__collection_elements,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1059), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2345), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1057), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14670] = 26,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(873), 1,
      anon_sym_STAR,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(885), 1,
      anon_sym_lambda,
    ACTIONS(887), 1,
      anon_sym_yield,
    ACTIONS(1159), 1,
      sym_identifier,
    ACTIONS(1161), 1,
      anon_sym_LPAREN,
    ACTIONS(1169), 1,
      anon_sym_await,
    ACTIONS(1233), 1,
      anon_sym_RBRACK,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1360), 1,
      sym_list_splat_pattern,
    STATE(1712), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    STATE(2792), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1165), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1163), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2378), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14782] = 26,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1045), 1,
      anon_sym_await,
    ACTIONS(1235), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1921), 1,
      sym_expression,
    STATE(2582), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1037), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1035), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2569), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [14894] = 26,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1045), 1,
      anon_sym_await,
    ACTIONS(1237), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1921), 1,
      sym_expression,
    STATE(2582), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1037), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1035), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2569), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15006] = 26,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1045), 1,
      anon_sym_await,
    ACTIONS(1239), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1921), 1,
      sym_expression,
    STATE(2582), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1037), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1035), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2569), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15118] = 26,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1045), 1,
      anon_sym_await,
    ACTIONS(1241), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1921), 1,
      sym_expression,
    STATE(2582), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1037), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1035), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2569), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15230] = 27,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(827), 1,
      anon_sym_STAR,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1053), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_await,
    ACTIONS(1243), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1681), 1,
      sym_expression,
    STATE(2353), 1,
      sym_yield,
    STATE(2647), 1,
      sym__collection_elements,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1059), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2345), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1057), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15344] = 26,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(873), 1,
      anon_sym_STAR,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(885), 1,
      anon_sym_lambda,
    ACTIONS(887), 1,
      anon_sym_yield,
    ACTIONS(1159), 1,
      sym_identifier,
    ACTIONS(1161), 1,
      anon_sym_LPAREN,
    ACTIONS(1169), 1,
      anon_sym_await,
    ACTIONS(1245), 1,
      anon_sym_RBRACK,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1360), 1,
      sym_list_splat_pattern,
    STATE(1713), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    STATE(2743), 1,
      sym__collection_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1165), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1163), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2378), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15456] = 28,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(827), 1,
      anon_sym_STAR,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1053), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_await,
    ACTIONS(1183), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1688), 1,
      sym_expression,
    STATE(2242), 1,
      sym_yield,
    STATE(2434), 1,
      sym_list_splat,
    STATE(2435), 1,
      sym_parenthesized_list_splat,
    STATE(2736), 1,
      sym__collection_elements,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1059), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1057), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15572] = 26,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1045), 1,
      anon_sym_await,
    ACTIONS(1247), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1921), 1,
      sym_expression,
    STATE(2582), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1037), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1035), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2569), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15684] = 28,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(827), 1,
      anon_sym_STAR,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1053), 1,
      anon_sym_LPAREN,
    ACTIONS(1061), 1,
      anon_sym_await,
    ACTIONS(1197), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1701), 1,
      sym_expression,
    STATE(2377), 1,
      sym_yield,
    STATE(2379), 1,
      sym_list_splat,
    STATE(2381), 1,
      sym_parenthesized_list_splat,
    STATE(2601), 1,
      sym__collection_elements,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1059), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1057), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15800] = 25,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_await,
    ACTIONS(1249), 1,
      anon_sym_RPAREN,
    ACTIONS(1251), 1,
      anon_sym_STAR,
    ACTIONS(1255), 1,
      anon_sym_lambda,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1783), 1,
      sym_expression,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1057), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1059), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2105), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1253), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [15909] = 25,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_yield,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1259), 1,
      anon_sym_LPAREN,
    ACTIONS(1261), 1,
      anon_sym_STAR,
    ACTIONS(1263), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1944), 1,
      sym_expression,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2560), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16018] = 23,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1007), 1,
      anon_sym_STAR,
    ACTIONS(1015), 1,
      anon_sym_not,
    ACTIONS(1017), 1,
      anon_sym_lambda,
    ACTIONS(1095), 1,
      sym_identifier,
    ACTIONS(1105), 1,
      anon_sym_await,
    STATE(909), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1214), 1,
      sym_list_splat_pattern,
    STATE(1762), 1,
      sym_expression,
    STATE(2773), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1103), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1101), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1265), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16123] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(1159), 1,
      sym_identifier,
    ACTIONS(1169), 1,
      anon_sym_await,
    ACTIONS(1267), 1,
      anon_sym_STAR,
    ACTIONS(1271), 1,
      anon_sym_RBRACK,
    ACTIONS(1273), 1,
      anon_sym_lambda,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1360), 1,
      sym_list_splat_pattern,
    STATE(1802), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1165), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1998), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1269), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16232] = 25,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(863), 1,
      anon_sym_yield,
    ACTIONS(1015), 1,
      anon_sym_not,
    ACTIONS(1017), 1,
      anon_sym_lambda,
    ACTIONS(1095), 1,
      sym_identifier,
    ACTIONS(1105), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      anon_sym_RBRACE,
    ACTIONS(1275), 1,
      anon_sym_LPAREN,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(909), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1214), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2773), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1103), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1101), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2509), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16341] = 25,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1025), 1,
      sym_identifier,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_STAR,
    ACTIONS(1039), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1045), 1,
      anon_sym_await,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1921), 1,
      sym_expression,
    STATE(2582), 1,
      sym_parenthesized_list_splat,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1037), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1035), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2569), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16450] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(1159), 1,
      sym_identifier,
    ACTIONS(1169), 1,
      anon_sym_await,
    ACTIONS(1267), 1,
      anon_sym_STAR,
    ACTIONS(1273), 1,
      anon_sym_lambda,
    ACTIONS(1281), 1,
      anon_sym_RBRACK,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1360), 1,
      sym_list_splat_pattern,
    STATE(1802), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1165), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1998), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1279), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16559] = 25,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_await,
    ACTIONS(1251), 1,
      anon_sym_STAR,
    ACTIONS(1255), 1,
      anon_sym_lambda,
    ACTIONS(1281), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1783), 1,
      sym_expression,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1057), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1059), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2105), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1279), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16668] = 25,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_await,
    ACTIONS(1251), 1,
      anon_sym_STAR,
    ACTIONS(1255), 1,
      anon_sym_lambda,
    ACTIONS(1283), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1783), 1,
      sym_expression,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1057), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1059), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2105), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1285), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16777] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(1159), 1,
      sym_identifier,
    ACTIONS(1169), 1,
      anon_sym_await,
    ACTIONS(1249), 1,
      anon_sym_RBRACK,
    ACTIONS(1267), 1,
      anon_sym_STAR,
    ACTIONS(1273), 1,
      anon_sym_lambda,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1360), 1,
      sym_list_splat_pattern,
    STATE(1802), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1165), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1998), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1253), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16886] = 25,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_await,
    ACTIONS(1251), 1,
      anon_sym_STAR,
    ACTIONS(1255), 1,
      anon_sym_lambda,
    ACTIONS(1271), 1,
      anon_sym_RPAREN,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1783), 1,
      sym_expression,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1057), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1059), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2105), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1269), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [16995] = 25,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1271), 1,
      anon_sym_RBRACE,
    ACTIONS(1287), 1,
      anon_sym_STAR,
    ACTIONS(1289), 1,
      anon_sym_lambda,
    STATE(912), 1,
      sym_primary_expression,
    STATE(971), 1,
      sym_string,
    STATE(1203), 1,
      sym_list_splat_pattern,
    STATE(1824), 1,
      sym_expression,
    STATE(2683), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(851), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2093), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1269), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1771), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17104] = 25,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1281), 1,
      anon_sym_RBRACE,
    ACTIONS(1287), 1,
      anon_sym_STAR,
    ACTIONS(1289), 1,
      anon_sym_lambda,
    STATE(912), 1,
      sym_primary_expression,
    STATE(971), 1,
      sym_string,
    STATE(1203), 1,
      sym_list_splat_pattern,
    STATE(1824), 1,
      sym_expression,
    STATE(2683), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(851), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2093), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1279), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1771), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17213] = 25,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1249), 1,
      anon_sym_RBRACE,
    ACTIONS(1287), 1,
      anon_sym_STAR,
    ACTIONS(1289), 1,
      anon_sym_lambda,
    STATE(912), 1,
      sym_primary_expression,
    STATE(971), 1,
      sym_string,
    STATE(1203), 1,
      sym_list_splat_pattern,
    STATE(1824), 1,
      sym_expression,
    STATE(2683), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(851), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2093), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1253), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1771), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17322] = 25,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(1159), 1,
      sym_identifier,
    ACTIONS(1169), 1,
      anon_sym_await,
    ACTIONS(1267), 1,
      anon_sym_STAR,
    ACTIONS(1273), 1,
      anon_sym_lambda,
    ACTIONS(1283), 1,
      anon_sym_RBRACK,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1360), 1,
      sym_list_splat_pattern,
    STATE(1802), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1163), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(1165), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1998), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1285), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17431] = 25,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(863), 1,
      anon_sym_yield,
    ACTIONS(1015), 1,
      anon_sym_not,
    ACTIONS(1017), 1,
      anon_sym_lambda,
    ACTIONS(1095), 1,
      sym_identifier,
    ACTIONS(1105), 1,
      anon_sym_await,
    ACTIONS(1275), 1,
      anon_sym_LPAREN,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    ACTIONS(1291), 1,
      anon_sym_RBRACE,
    STATE(909), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1214), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2773), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1103), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1101), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2509), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17540] = 23,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1007), 1,
      anon_sym_STAR,
    ACTIONS(1015), 1,
      anon_sym_not,
    ACTIONS(1017), 1,
      anon_sym_lambda,
    ACTIONS(1095), 1,
      sym_identifier,
    ACTIONS(1105), 1,
      anon_sym_await,
    STATE(909), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1214), 1,
      sym_list_splat_pattern,
    STATE(1762), 1,
      sym_expression,
    STATE(2773), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1103), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1101), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1293), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17645] = 25,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1079), 1,
      anon_sym_await,
    ACTIONS(1263), 1,
      anon_sym_RPAREN,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1297), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1936), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1075), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1073), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2558), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17754] = 19,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1051), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(319), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(277), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17851] = 25,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1283), 1,
      anon_sym_RBRACE,
    ACTIONS(1287), 1,
      anon_sym_STAR,
    ACTIONS(1289), 1,
      anon_sym_lambda,
    STATE(912), 1,
      sym_primary_expression,
    STATE(971), 1,
      sym_string,
    STATE(1203), 1,
      sym_list_splat_pattern,
    STATE(1824), 1,
      sym_expression,
    STATE(2683), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(851), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2093), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1285), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1771), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [17960] = 25,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1079), 1,
      anon_sym_await,
    ACTIONS(1291), 1,
      anon_sym_RPAREN,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1297), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1936), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1075), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1073), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2558), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18069] = 25,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_yield,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1259), 1,
      anon_sym_LPAREN,
    ACTIONS(1261), 1,
      anon_sym_STAR,
    ACTIONS(1291), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1944), 1,
      sym_expression,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2560), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18178] = 24,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(839), 1,
      anon_sym_yield,
    ACTIONS(1027), 1,
      anon_sym_LPAREN,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1079), 1,
      anon_sym_await,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1297), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1936), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1075), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1073), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2558), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18284] = 25,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1301), 1,
      anon_sym_from,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(865), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1119), 1,
      sym_list_splat_pattern,
    STATE(1746), 1,
      sym_expression,
    STATE(2359), 1,
      sym_expression_list,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1299), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18392] = 25,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1305), 1,
      anon_sym_RBRACE,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1999), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2575), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18500] = 25,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1307), 1,
      anon_sym_RBRACE,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1999), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2575), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18608] = 25,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1309), 1,
      anon_sym_RBRACE,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1999), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2575), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18716] = 25,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1311), 1,
      anon_sym_RBRACE,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1999), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2575), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18824] = 25,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1079), 1,
      anon_sym_await,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1313), 1,
      anon_sym_from,
    ACTIONS(1315), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1848), 1,
      sym_expression,
    STATE(2555), 1,
      sym_expression_list,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1075), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1099), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1073), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [18932] = 25,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1317), 1,
      anon_sym_RBRACE,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1999), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2575), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19040] = 24,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(863), 1,
      anon_sym_yield,
    ACTIONS(1015), 1,
      anon_sym_not,
    ACTIONS(1017), 1,
      anon_sym_lambda,
    ACTIONS(1095), 1,
      sym_identifier,
    ACTIONS(1105), 1,
      anon_sym_await,
    ACTIONS(1275), 1,
      anon_sym_LPAREN,
    ACTIONS(1277), 1,
      anon_sym_STAR,
    STATE(909), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1214), 1,
      sym_list_splat_pattern,
    STATE(1902), 1,
      sym_expression,
    STATE(2773), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1103), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1101), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2509), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19146] = 25,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1319), 1,
      anon_sym_RBRACE,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1999), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2575), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19254] = 25,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1321), 1,
      anon_sym_RBRACE,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1999), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2575), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19362] = 25,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1323), 1,
      anon_sym_RBRACE,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1999), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2575), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19470] = 25,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    ACTIONS(1325), 1,
      anon_sym_from,
    STATE(865), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1119), 1,
      sym_list_splat_pattern,
    STATE(1829), 1,
      sym_expression,
    STATE(2596), 1,
      sym_expression_list,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1099), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19578] = 25,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1327), 1,
      anon_sym_RBRACE,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1999), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2575), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19686] = 25,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1329), 1,
      anon_sym_RBRACE,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1999), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2575), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19794] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1331), 1,
      anon_sym_from,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1837), 1,
      sym_expression,
    STATE(2502), 1,
      sym_expression_list,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1099), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [19902] = 25,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1335), 1,
      anon_sym_RBRACE,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1999), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2575), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20010] = 25,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1337), 1,
      anon_sym_RBRACE,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1999), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2575), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20118] = 25,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1339), 1,
      anon_sym_RBRACE,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1999), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2575), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20226] = 25,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1341), 1,
      anon_sym_RBRACE,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1999), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2575), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20334] = 25,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1343), 1,
      anon_sym_RBRACE,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1999), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2575), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20442] = 24,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(887), 1,
      anon_sym_yield,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1259), 1,
      anon_sym_LPAREN,
    ACTIONS(1261), 1,
      anon_sym_STAR,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1944), 1,
      sym_expression,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(2560), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20548] = 25,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1345), 1,
      anon_sym_RBRACE,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1999), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2575), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20656] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1349), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1844), 1,
      sym_expression,
    STATE(2503), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20763] = 24,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1353), 1,
      anon_sym_COLON,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1853), 1,
      sym_expression,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1351), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20868] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1355), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1844), 1,
      sym_expression,
    STATE(2503), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [20975] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1357), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1844), 1,
      sym_expression,
    STATE(2503), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21082] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1359), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1844), 1,
      sym_expression,
    STATE(2503), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21189] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1361), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1844), 1,
      sym_expression,
    STATE(2503), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21296] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1363), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1844), 1,
      sym_expression,
    STATE(2503), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21403] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1365), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1844), 1,
      sym_expression,
    STATE(2503), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21510] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1367), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1844), 1,
      sym_expression,
    STATE(2503), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21617] = 24,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    ACTIONS(1369), 1,
      anon_sym_from,
    STATE(865), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1119), 1,
      sym_list_splat_pattern,
    STATE(1805), 1,
      sym_expression,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1265), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21722] = 24,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(855), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1049), 1,
      anon_sym_not,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1999), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    STATE(2575), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21827] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1371), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1844), 1,
      sym_expression,
    STATE(2503), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [21934] = 24,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    ACTIONS(1373), 1,
      anon_sym_from,
    STATE(865), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1119), 1,
      sym_list_splat_pattern,
    STATE(1805), 1,
      sym_expression,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1293), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22039] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1375), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1844), 1,
      sym_expression,
    STATE(2503), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22146] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1377), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1844), 1,
      sym_expression,
    STATE(2503), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22253] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1379), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1844), 1,
      sym_expression,
    STATE(2503), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22360] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1381), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1844), 1,
      sym_expression,
    STATE(2503), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22467] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1383), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1844), 1,
      sym_expression,
    STATE(2503), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22574] = 19,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1051), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(663), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(277), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22669] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1385), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1844), 1,
      sym_expression,
    STATE(2503), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22776] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1387), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1844), 1,
      sym_expression,
    STATE(2503), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22883] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1389), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1844), 1,
      sym_expression,
    STATE(2503), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [22990] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1391), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1844), 1,
      sym_expression,
    STATE(2503), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23097] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1393), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1844), 1,
      sym_expression,
    STATE(2503), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23204] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1395), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1844), 1,
      sym_expression,
    STATE(2503), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23311] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1397), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1844), 1,
      sym_expression,
    STATE(2503), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23418] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1399), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1844), 1,
      sym_expression,
    STATE(2503), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23525] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1401), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1844), 1,
      sym_expression,
    STATE(2503), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23632] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1403), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1844), 1,
      sym_expression,
    STATE(2503), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23739] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1405), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1844), 1,
      sym_expression,
    STATE(2503), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23846] = 24,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1409), 1,
      anon_sym_COLON,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1850), 1,
      sym_expression,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1407), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [23951] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1411), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1844), 1,
      sym_expression,
    STATE(2503), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24058] = 24,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(865), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1119), 1,
      sym_list_splat_pattern,
    STATE(1815), 1,
      sym_expression,
    STATE(2585), 1,
      sym_expression_list,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1413), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24163] = 19,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1051), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(1415), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(277), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24258] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1417), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1844), 1,
      sym_expression,
    STATE(2503), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24365] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1419), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1844), 1,
      sym_expression,
    STATE(2503), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24472] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1421), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1844), 1,
      sym_expression,
    STATE(2503), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24579] = 25,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    ACTIONS(1423), 1,
      anon_sym_RBRACK,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1844), 1,
      sym_expression,
    STATE(2503), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24686] = 24,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1820), 1,
      sym_expression,
    STATE(2414), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24790] = 24,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1844), 1,
      sym_expression,
    STATE(2503), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24894] = 23,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_await,
    ACTIONS(1251), 1,
      anon_sym_STAR,
    ACTIONS(1255), 1,
      anon_sym_lambda,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1830), 1,
      sym_expression,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1059), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2106), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1057), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [24996] = 23,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1914), 1,
      sym_expression,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1425), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25098] = 23,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1956), 1,
      sym_expression,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1265), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25200] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(865), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1119), 1,
      sym_list_splat_pattern,
    STATE(1805), 1,
      sym_expression,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1427), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25302] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(865), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1119), 1,
      sym_list_splat_pattern,
    STATE(1805), 1,
      sym_expression,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1429), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25404] = 24,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1431), 1,
      anon_sym_LPAREN,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1930), 1,
      sym_expression,
    STATE(2269), 1,
      sym_with_item,
    STATE(2775), 1,
      sym__named_expression_lhs,
    STATE(2776), 1,
      sym_with_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25508] = 19,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1051), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(277), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25602] = 23,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1287), 1,
      anon_sym_STAR,
    ACTIONS(1289), 1,
      anon_sym_lambda,
    STATE(912), 1,
      sym_primary_expression,
    STATE(971), 1,
      sym_string,
    STATE(1203), 1,
      sym_list_splat_pattern,
    STATE(1824), 1,
      sym_expression,
    STATE(2683), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1988), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1771), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25704] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(865), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1119), 1,
      sym_list_splat_pattern,
    STATE(1877), 1,
      sym_expression,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1435), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25806] = 23,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(1159), 1,
      sym_identifier,
    ACTIONS(1169), 1,
      anon_sym_await,
    ACTIONS(1267), 1,
      anon_sym_STAR,
    ACTIONS(1273), 1,
      anon_sym_lambda,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1360), 1,
      sym_list_splat_pattern,
    STATE(1802), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1165), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1986), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1163), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [25908] = 23,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_await,
    ACTIONS(1251), 1,
      anon_sym_STAR,
    ACTIONS(1255), 1,
      anon_sym_lambda,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1783), 1,
      sym_expression,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1059), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1962), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1057), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26010] = 19,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1051), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(319), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(277), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26104] = 20,
    ACTIONS(302), 1,
      anon_sym_in,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(319), 1,
      anon_sym_COMMA,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1051), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(277), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26200] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(865), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1119), 1,
      sym_list_splat_pattern,
    STATE(1877), 1,
      sym_expression,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1437), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26302] = 23,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1931), 1,
      sym_expression,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1407), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26404] = 23,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1287), 1,
      anon_sym_STAR,
    ACTIONS(1289), 1,
      anon_sym_lambda,
    STATE(912), 1,
      sym_primary_expression,
    STATE(971), 1,
      sym_string,
    STATE(1203), 1,
      sym_list_splat_pattern,
    STATE(1824), 1,
      sym_expression,
    STATE(2683), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1900), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1771), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26506] = 23,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1079), 1,
      anon_sym_await,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1315), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1949), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1075), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1265), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1073), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26608] = 24,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1079), 1,
      anon_sym_await,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1315), 1,
      anon_sym_STAR,
    ACTIONS(1439), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1987), 1,
      sym_expression,
    STATE(2583), 1,
      sym_with_item,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1075), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1073), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26712] = 24,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1795), 1,
      sym_expression,
    STATE(2461), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26816] = 23,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1287), 1,
      anon_sym_STAR,
    ACTIONS(1289), 1,
      anon_sym_lambda,
    STATE(912), 1,
      sym_primary_expression,
    STATE(971), 1,
      sym_string,
    STATE(1203), 1,
      sym_list_splat_pattern,
    STATE(1804), 1,
      sym_expression,
    STATE(2683), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2090), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1771), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [26918] = 24,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1431), 1,
      anon_sym_LPAREN,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1930), 1,
      sym_expression,
    STATE(2269), 1,
      sym_with_item,
    STATE(2767), 1,
      sym_with_clause,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27022] = 23,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1956), 1,
      sym_expression,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1293), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27124] = 23,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(1159), 1,
      sym_identifier,
    ACTIONS(1169), 1,
      anon_sym_await,
    ACTIONS(1267), 1,
      anon_sym_STAR,
    ACTIONS(1273), 1,
      anon_sym_lambda,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1360), 1,
      sym_list_splat_pattern,
    STATE(1831), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1165), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2048), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1163), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27226] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(865), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1119), 1,
      sym_list_splat_pattern,
    STATE(1877), 1,
      sym_expression,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1441), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27328] = 23,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1287), 1,
      anon_sym_STAR,
    ACTIONS(1289), 1,
      anon_sym_lambda,
    STATE(912), 1,
      sym_primary_expression,
    STATE(971), 1,
      sym_string,
    STATE(1203), 1,
      sym_list_splat_pattern,
    STATE(1794), 1,
      sym_expression,
    STATE(2683), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2104), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1771), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27430] = 23,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1909), 1,
      sym_expression,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1443), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27532] = 23,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(1159), 1,
      sym_identifier,
    ACTIONS(1169), 1,
      anon_sym_await,
    ACTIONS(1267), 1,
      anon_sym_STAR,
    ACTIONS(1273), 1,
      anon_sym_lambda,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1360), 1,
      sym_list_splat_pattern,
    STATE(1801), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1165), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1996), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1163), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27634] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(865), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1119), 1,
      sym_list_splat_pattern,
    STATE(1877), 1,
      sym_expression,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1445), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27736] = 19,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1051), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1415), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(277), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27830] = 24,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1814), 1,
      sym_expression,
    STATE(2455), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [27934] = 23,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1287), 1,
      anon_sym_STAR,
    ACTIONS(1289), 1,
      anon_sym_lambda,
    STATE(912), 1,
      sym_primary_expression,
    STATE(971), 1,
      sym_string,
    STATE(1203), 1,
      sym_list_splat_pattern,
    STATE(1824), 1,
      sym_expression,
    STATE(2683), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2093), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1771), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28036] = 23,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1079), 1,
      anon_sym_await,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1315), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1949), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1075), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(1293), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1073), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28138] = 24,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1803), 1,
      sym_expression,
    STATE(2330), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28242] = 24,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(1447), 1,
      anon_sym_COLON,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1930), 1,
      sym_expression,
    STATE(2554), 1,
      sym_with_item,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28346] = 24,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1784), 1,
      sym_expression,
    STATE(2469), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28450] = 19,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(672), 1,
      anon_sym_STAR,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1051), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_DOT,
      anon_sym_SLASH,
    ACTIONS(319), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(277), 9,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28544] = 24,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1790), 1,
      sym_expression,
    STATE(2277), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28648] = 24,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1797), 1,
      sym_expression,
    STATE(2320), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28752] = 24,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1800), 1,
      sym_expression,
    STATE(2358), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28856] = 24,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1810), 1,
      sym_expression,
    STATE(2391), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [28960] = 24,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1347), 1,
      anon_sym_COLON,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1817), 1,
      sym_expression,
    STATE(2408), 1,
      sym_slice,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29064] = 23,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_await,
    ACTIONS(1251), 1,
      anon_sym_STAR,
    ACTIONS(1255), 1,
      anon_sym_lambda,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1827), 1,
      sym_expression,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1059), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2020), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1057), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29166] = 23,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_await,
    ACTIONS(1251), 1,
      anon_sym_STAR,
    ACTIONS(1255), 1,
      anon_sym_lambda,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1783), 1,
      sym_expression,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1059), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(2105), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1057), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29268] = 24,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1431), 1,
      anon_sym_LPAREN,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1930), 1,
      sym_expression,
    STATE(2269), 1,
      sym_with_item,
    STATE(2672), 1,
      sym_with_clause,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29372] = 24,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1431), 1,
      anon_sym_LPAREN,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1930), 1,
      sym_expression,
    STATE(2269), 1,
      sym_with_item,
    STATE(2679), 1,
      sym_with_clause,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29476] = 23,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(1159), 1,
      sym_identifier,
    ACTIONS(1169), 1,
      anon_sym_await,
    ACTIONS(1267), 1,
      anon_sym_STAR,
    ACTIONS(1273), 1,
      anon_sym_lambda,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1360), 1,
      sym_list_splat_pattern,
    STATE(1802), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1165), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1998), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1163), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29578] = 23,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_await,
    ACTIONS(1251), 1,
      anon_sym_STAR,
    ACTIONS(1255), 1,
      anon_sym_lambda,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1783), 1,
      sym_expression,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1059), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1899), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1057), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29680] = 23,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(1159), 1,
      sym_identifier,
    ACTIONS(1169), 1,
      anon_sym_await,
    ACTIONS(1267), 1,
      anon_sym_STAR,
    ACTIONS(1273), 1,
      anon_sym_lambda,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1360), 1,
      sym_list_splat_pattern,
    STATE(1802), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1165), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1901), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1163), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29782] = 24,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1079), 1,
      anon_sym_await,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1315), 1,
      anon_sym_STAR,
    ACTIONS(1449), 1,
      anon_sym_RPAREN,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1987), 1,
      sym_expression,
    STATE(2583), 1,
      sym_with_item,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1075), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1073), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29886] = 24,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(1451), 1,
      anon_sym_COLON,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1930), 1,
      sym_expression,
    STATE(2554), 1,
      sym_with_item,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [29990] = 10,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      sym_string_start,
    STATE(2385), 1,
      sym_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(302), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(277), 10,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(319), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(279), 22,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT,
      anon_sym_GT,
  [30065] = 23,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1835), 1,
      sym_expression,
    STATE(2697), 1,
      sym_expression_list,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30166] = 10,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1457), 1,
      anon_sym_for,
    ACTIONS(1459), 1,
      anon_sym_with,
    ACTIONS(1461), 1,
      anon_sym_def,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(302), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(319), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(279), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [30241] = 23,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1930), 1,
      sym_expression,
    STATE(2554), 1,
      sym_with_item,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30342] = 23,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1293), 1,
      anon_sym_COLON,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1911), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30443] = 23,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1265), 1,
      anon_sym_COLON,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1911), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30544] = 10,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1463), 1,
      anon_sym_for,
    ACTIONS(1465), 1,
      anon_sym_with,
    ACTIONS(1467), 1,
      anon_sym_def,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(302), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(319), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(279), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [30619] = 23,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(1469), 1,
      anon_sym_COLON,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1941), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30720] = 23,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1863), 1,
      sym_expression,
    STATE(2712), 1,
      sym_expression_list,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30821] = 23,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(1471), 1,
      anon_sym_COLON,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1941), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [30922] = 23,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(865), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1119), 1,
      sym_list_splat_pattern,
    STATE(1781), 1,
      sym_expression,
    STATE(2595), 1,
      sym_expression_list,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31023] = 23,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1079), 1,
      anon_sym_await,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1315), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1987), 1,
      sym_expression,
    STATE(2583), 1,
      sym_with_item,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1075), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1073), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31124] = 23,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(1473), 1,
      anon_sym_COLON,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1941), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31225] = 23,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1839), 1,
      sym_expression,
    STATE(2641), 1,
      sym_expression_list,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31326] = 23,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(1475), 1,
      anon_sym_COLON,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1967), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31427] = 11,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(294), 1,
      anon_sym_COLON,
    ACTIONS(302), 1,
      anon_sym_EQ,
    ACTIONS(1453), 1,
      sym_identifier,
    ACTIONS(1455), 1,
      sym_string_start,
    STATE(2385), 1,
      sym_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(277), 10,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(319), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(279), 22,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT,
      anon_sym_GT,
  [31504] = 23,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(1477), 1,
      anon_sym_COLON,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1941), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31605] = 23,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(1479), 1,
      anon_sym_COLON,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1947), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31706] = 23,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1857), 1,
      sym_expression,
    STATE(2688), 1,
      sym_expression_list,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31807] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1734), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [31905] = 22,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(885), 1,
      anon_sym_lambda,
    ACTIONS(1159), 1,
      sym_identifier,
    ACTIONS(1169), 1,
      anon_sym_await,
    ACTIONS(1267), 1,
      anon_sym_STAR,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1360), 1,
      sym_list_splat_pattern,
    STATE(1821), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1165), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1163), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32003] = 22,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(885), 1,
      anon_sym_lambda,
    ACTIONS(1159), 1,
      sym_identifier,
    ACTIONS(1169), 1,
      anon_sym_await,
    ACTIONS(1267), 1,
      anon_sym_STAR,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1360), 1,
      sym_list_splat_pattern,
    STATE(1823), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1165), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1163), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32101] = 22,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(885), 1,
      anon_sym_lambda,
    ACTIONS(1159), 1,
      sym_identifier,
    ACTIONS(1169), 1,
      anon_sym_await,
    ACTIONS(1267), 1,
      anon_sym_STAR,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1360), 1,
      sym_list_splat_pattern,
    STATE(1825), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1165), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1163), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32199] = 22,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(885), 1,
      anon_sym_lambda,
    ACTIONS(1159), 1,
      sym_identifier,
    ACTIONS(1169), 1,
      anon_sym_await,
    ACTIONS(1267), 1,
      anon_sym_STAR,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1360), 1,
      sym_list_splat_pattern,
    STATE(1826), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1165), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1163), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32297] = 9,
    ACTIONS(1485), 1,
      anon_sym_else,
    ACTIONS(1487), 1,
      anon_sym_except,
    ACTIONS(1489), 1,
      anon_sym_finally,
    STATE(705), 1,
      sym_else_clause,
    STATE(747), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(622), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1481), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1483), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [32369] = 9,
    ACTIONS(1485), 1,
      anon_sym_else,
    ACTIONS(1489), 1,
      anon_sym_finally,
    ACTIONS(1491), 1,
      anon_sym_except_STAR,
    STATE(705), 1,
      sym_else_clause,
    STATE(747), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(623), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1481), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1483), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [32441] = 22,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(885), 1,
      anon_sym_lambda,
    ACTIONS(1159), 1,
      sym_identifier,
    ACTIONS(1169), 1,
      anon_sym_await,
    ACTIONS(1267), 1,
      anon_sym_STAR,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1360), 1,
      sym_list_splat_pattern,
    STATE(1787), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1165), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1163), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32539] = 22,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(885), 1,
      anon_sym_lambda,
    ACTIONS(1159), 1,
      sym_identifier,
    ACTIONS(1169), 1,
      anon_sym_await,
    ACTIONS(1267), 1,
      anon_sym_STAR,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1360), 1,
      sym_list_splat_pattern,
    STATE(1816), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1165), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1163), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32637] = 22,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(885), 1,
      anon_sym_lambda,
    ACTIONS(1159), 1,
      sym_identifier,
    ACTIONS(1169), 1,
      anon_sym_await,
    ACTIONS(1267), 1,
      anon_sym_STAR,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1360), 1,
      sym_list_splat_pattern,
    STATE(1777), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1165), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1163), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32735] = 22,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1287), 1,
      anon_sym_STAR,
    STATE(912), 1,
      sym_primary_expression,
    STATE(971), 1,
      sym_string,
    STATE(1203), 1,
      sym_list_splat_pattern,
    STATE(1739), 1,
      sym_expression,
    STATE(2683), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1771), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32833] = 22,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1287), 1,
      anon_sym_STAR,
    STATE(912), 1,
      sym_primary_expression,
    STATE(971), 1,
      sym_string,
    STATE(1203), 1,
      sym_list_splat_pattern,
    STATE(1752), 1,
      sym_expression,
    STATE(2683), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1771), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [32931] = 22,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1287), 1,
      anon_sym_STAR,
    STATE(912), 1,
      sym_primary_expression,
    STATE(971), 1,
      sym_string,
    STATE(1203), 1,
      sym_list_splat_pattern,
    STATE(1753), 1,
      sym_expression,
    STATE(2683), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1771), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33029] = 22,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1287), 1,
      anon_sym_STAR,
    STATE(912), 1,
      sym_primary_expression,
    STATE(971), 1,
      sym_string,
    STATE(1203), 1,
      sym_list_splat_pattern,
    STATE(1754), 1,
      sym_expression,
    STATE(2683), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1771), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33127] = 22,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1287), 1,
      anon_sym_STAR,
    STATE(912), 1,
      sym_primary_expression,
    STATE(971), 1,
      sym_string,
    STATE(1203), 1,
      sym_list_splat_pattern,
    STATE(1774), 1,
      sym_expression,
    STATE(2683), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1771), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33225] = 22,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1287), 1,
      anon_sym_STAR,
    STATE(912), 1,
      sym_primary_expression,
    STATE(971), 1,
      sym_string,
    STATE(1203), 1,
      sym_list_splat_pattern,
    STATE(1758), 1,
      sym_expression,
    STATE(2683), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1771), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33323] = 22,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1287), 1,
      anon_sym_STAR,
    STATE(912), 1,
      sym_primary_expression,
    STATE(971), 1,
      sym_string,
    STATE(1203), 1,
      sym_list_splat_pattern,
    STATE(1759), 1,
      sym_expression,
    STATE(2683), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1771), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33421] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(865), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1119), 1,
      sym_list_splat_pattern,
    STATE(1805), 1,
      sym_expression,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33519] = 22,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1007), 1,
      anon_sym_STAR,
    ACTIONS(1015), 1,
      anon_sym_not,
    ACTIONS(1017), 1,
      anon_sym_lambda,
    ACTIONS(1095), 1,
      sym_identifier,
    ACTIONS(1105), 1,
      anon_sym_await,
    STATE(909), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1214), 1,
      sym_list_splat_pattern,
    STATE(1740), 1,
      sym_expression,
    STATE(2773), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1103), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1101), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33617] = 22,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1007), 1,
      anon_sym_STAR,
    ACTIONS(1015), 1,
      anon_sym_not,
    ACTIONS(1017), 1,
      anon_sym_lambda,
    ACTIONS(1095), 1,
      sym_identifier,
    ACTIONS(1105), 1,
      anon_sym_await,
    STATE(909), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1214), 1,
      sym_list_splat_pattern,
    STATE(1741), 1,
      sym_expression,
    STATE(2773), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1103), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1101), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33715] = 22,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1007), 1,
      anon_sym_STAR,
    ACTIONS(1015), 1,
      anon_sym_not,
    ACTIONS(1017), 1,
      anon_sym_lambda,
    ACTIONS(1095), 1,
      sym_identifier,
    ACTIONS(1105), 1,
      anon_sym_await,
    STATE(909), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1214), 1,
      sym_list_splat_pattern,
    STATE(1742), 1,
      sym_expression,
    STATE(2773), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1103), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1101), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33813] = 22,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1007), 1,
      anon_sym_STAR,
    ACTIONS(1015), 1,
      anon_sym_not,
    ACTIONS(1017), 1,
      anon_sym_lambda,
    ACTIONS(1095), 1,
      sym_identifier,
    ACTIONS(1105), 1,
      anon_sym_await,
    STATE(909), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1214), 1,
      sym_list_splat_pattern,
    STATE(1743), 1,
      sym_expression,
    STATE(2773), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1103), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1101), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [33911] = 22,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1007), 1,
      anon_sym_STAR,
    ACTIONS(1015), 1,
      anon_sym_not,
    ACTIONS(1017), 1,
      anon_sym_lambda,
    ACTIONS(1095), 1,
      sym_identifier,
    ACTIONS(1105), 1,
      anon_sym_await,
    STATE(909), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1214), 1,
      sym_list_splat_pattern,
    STATE(1744), 1,
      sym_expression,
    STATE(2773), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1103), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1101), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34009] = 22,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1007), 1,
      anon_sym_STAR,
    ACTIONS(1015), 1,
      anon_sym_not,
    ACTIONS(1017), 1,
      anon_sym_lambda,
    ACTIONS(1095), 1,
      sym_identifier,
    ACTIONS(1105), 1,
      anon_sym_await,
    STATE(909), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1214), 1,
      sym_list_splat_pattern,
    STATE(1749), 1,
      sym_expression,
    STATE(2773), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1103), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1101), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34107] = 22,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1007), 1,
      anon_sym_STAR,
    ACTIONS(1015), 1,
      anon_sym_not,
    ACTIONS(1017), 1,
      anon_sym_lambda,
    ACTIONS(1095), 1,
      sym_identifier,
    ACTIONS(1105), 1,
      anon_sym_await,
    STATE(909), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1214), 1,
      sym_list_splat_pattern,
    STATE(1750), 1,
      sym_expression,
    STATE(2773), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1103), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1101), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34205] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1721), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34303] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(865), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1119), 1,
      sym_list_splat_pattern,
    STATE(1970), 1,
      sym_expression,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34401] = 22,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1079), 1,
      anon_sym_await,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1315), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1728), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1075), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1073), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34499] = 22,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1079), 1,
      anon_sym_await,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1315), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1736), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1075), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1073), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34597] = 22,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1079), 1,
      anon_sym_await,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1315), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1718), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1075), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1073), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34695] = 22,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1079), 1,
      anon_sym_await,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1315), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1719), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1075), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1073), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34793] = 22,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1079), 1,
      anon_sym_await,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1315), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1735), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1075), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1073), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34891] = 22,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1079), 1,
      anon_sym_await,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1315), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1722), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1075), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1073), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [34989] = 22,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1079), 1,
      anon_sym_await,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1315), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1726), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1075), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1073), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35087] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1984), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35185] = 22,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1760), 1,
      sym_expression,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35283] = 22,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1763), 1,
      sym_expression,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35381] = 22,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1764), 1,
      sym_expression,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35479] = 22,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1765), 1,
      sym_expression,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35577] = 22,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1766), 1,
      sym_expression,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35675] = 22,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1772), 1,
      sym_expression,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35773] = 22,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1773), 1,
      sym_expression,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35871] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1725), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [35969] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1727), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36067] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(865), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1119), 1,
      sym_list_splat_pattern,
    STATE(1860), 1,
      sym_expression,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36165] = 22,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_await,
    ACTIONS(1251), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1785), 1,
      sym_expression,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1059), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1057), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36263] = 23,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1493), 1,
      sym_identifier,
    ACTIONS(1499), 1,
      anon_sym_await,
    STATE(1008), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1973), 1,
      sym_expression,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1497), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1257), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1495), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36363] = 22,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1079), 1,
      anon_sym_await,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1315), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1897), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1075), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1073), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36461] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(865), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1119), 1,
      sym_list_splat_pattern,
    STATE(1664), 1,
      sym_expression,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36559] = 22,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1007), 1,
      anon_sym_STAR,
    ACTIONS(1015), 1,
      anon_sym_not,
    ACTIONS(1017), 1,
      anon_sym_lambda,
    ACTIONS(1095), 1,
      sym_identifier,
    ACTIONS(1105), 1,
      anon_sym_await,
    STATE(909), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1214), 1,
      sym_list_splat_pattern,
    STATE(1978), 1,
      sym_expression,
    STATE(2773), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1103), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1101), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36657] = 22,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1079), 1,
      anon_sym_await,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1315), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1982), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1075), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1073), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36755] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(865), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1119), 1,
      sym_list_splat_pattern,
    STATE(1927), 1,
      sym_expression,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36853] = 22,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(885), 1,
      anon_sym_lambda,
    ACTIONS(1159), 1,
      sym_identifier,
    ACTIONS(1169), 1,
      anon_sym_await,
    ACTIONS(1267), 1,
      anon_sym_STAR,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1360), 1,
      sym_list_splat_pattern,
    STATE(1882), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1165), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1163), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [36951] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1730), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37049] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(865), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1119), 1,
      sym_list_splat_pattern,
    STATE(1789), 1,
      sym_expression,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37147] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(2014), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37245] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(2079), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37343] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1915), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37441] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1731), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37539] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(2083), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37637] = 22,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1287), 1,
      anon_sym_STAR,
    STATE(912), 1,
      sym_primary_expression,
    STATE(971), 1,
      sym_string,
    STATE(1203), 1,
      sym_list_splat_pattern,
    STATE(1792), 1,
      sym_expression,
    STATE(2683), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1771), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37735] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1911), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37833] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1919), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [37931] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(865), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1119), 1,
      sym_list_splat_pattern,
    STATE(1660), 1,
      sym_expression,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38029] = 22,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1079), 1,
      anon_sym_await,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1315), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1948), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1075), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1073), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38127] = 22,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1007), 1,
      anon_sym_STAR,
    ACTIONS(1015), 1,
      anon_sym_not,
    ACTIONS(1017), 1,
      anon_sym_lambda,
    ACTIONS(1095), 1,
      sym_identifier,
    ACTIONS(1105), 1,
      anon_sym_await,
    STATE(909), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1214), 1,
      sym_list_splat_pattern,
    STATE(1892), 1,
      sym_expression,
    STATE(2773), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1103), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1101), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38225] = 22,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1929), 1,
      sym_expression,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38323] = 22,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1079), 1,
      anon_sym_await,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1315), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1949), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1075), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1073), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38421] = 22,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_await,
    ACTIONS(1251), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1852), 1,
      sym_expression,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1059), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1057), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38519] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(865), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1119), 1,
      sym_list_splat_pattern,
    STATE(1661), 1,
      sym_expression,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38617] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1729), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38715] = 23,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1007), 1,
      anon_sym_STAR,
    ACTIONS(1015), 1,
      anon_sym_not,
    ACTIONS(1017), 1,
      anon_sym_lambda,
    ACTIONS(1501), 1,
      sym_identifier,
    ACTIONS(1507), 1,
      anon_sym_await,
    STATE(975), 1,
      sym_string,
    STATE(991), 1,
      sym_primary_expression,
    STATE(1214), 1,
      sym_list_splat_pattern,
    STATE(1905), 1,
      sym_expression,
    STATE(2773), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1505), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1173), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1503), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38815] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(865), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1119), 1,
      sym_list_splat_pattern,
    STATE(1965), 1,
      sym_expression,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [38913] = 22,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1287), 1,
      anon_sym_STAR,
    STATE(912), 1,
      sym_primary_expression,
    STATE(971), 1,
      sym_string,
    STATE(1203), 1,
      sym_list_splat_pattern,
    STATE(1880), 1,
      sym_expression,
    STATE(2683), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1771), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39011] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1941), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39109] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1720), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39207] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(865), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1119), 1,
      sym_list_splat_pattern,
    STATE(1877), 1,
      sym_expression,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39305] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(2000), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39403] = 22,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1007), 1,
      anon_sym_STAR,
    ACTIONS(1015), 1,
      anon_sym_not,
    ACTIONS(1017), 1,
      anon_sym_lambda,
    ACTIONS(1095), 1,
      sym_identifier,
    ACTIONS(1105), 1,
      anon_sym_await,
    STATE(909), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1214), 1,
      sym_list_splat_pattern,
    STATE(1769), 1,
      sym_expression,
    STATE(2773), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1103), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1101), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39501] = 22,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1956), 1,
      sym_expression,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39599] = 22,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(883), 1,
      anon_sym_not,
    ACTIONS(885), 1,
      anon_sym_lambda,
    ACTIONS(1159), 1,
      sym_identifier,
    ACTIONS(1169), 1,
      anon_sym_await,
    ACTIONS(1267), 1,
      anon_sym_STAR,
    STATE(965), 1,
      sym_primary_expression,
    STATE(996), 1,
      sym_string,
    STATE(1360), 1,
      sym_list_splat_pattern,
    STATE(1779), 1,
      sym_expression,
    STATE(2611), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1165), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1163), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(777), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1793), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39697] = 23,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1315), 1,
      anon_sym_STAR,
    ACTIONS(1509), 1,
      sym_identifier,
    ACTIONS(1515), 1,
      anon_sym_await,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1969), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1513), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1477), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1511), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [39797] = 9,
    ACTIONS(1485), 1,
      anon_sym_else,
    ACTIONS(1487), 1,
      anon_sym_except,
    ACTIONS(1489), 1,
      anon_sym_finally,
    STATE(704), 1,
      sym_else_clause,
    STATE(729), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(622), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1517), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1519), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39869] = 9,
    ACTIONS(1485), 1,
      anon_sym_else,
    ACTIONS(1489), 1,
      anon_sym_finally,
    ACTIONS(1491), 1,
      anon_sym_except_STAR,
    STATE(704), 1,
      sym_else_clause,
    STATE(729), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(623), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1517), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1519), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39941] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(865), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1119), 1,
      sym_list_splat_pattern,
    STATE(1665), 1,
      sym_expression,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40039] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(2064), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40137] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(865), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1119), 1,
      sym_list_splat_pattern,
    STATE(1780), 1,
      sym_expression,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40235] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(865), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1119), 1,
      sym_list_splat_pattern,
    STATE(2034), 1,
      sym_expression,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40333] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(2091), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40431] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(865), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1119), 1,
      sym_list_splat_pattern,
    STATE(1657), 1,
      sym_expression,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40529] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(2013), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40627] = 22,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(843), 1,
      sym_identifier,
    ACTIONS(859), 1,
      anon_sym_not,
    ACTIONS(861), 1,
      anon_sym_lambda,
    ACTIONS(865), 1,
      anon_sym_await,
    ACTIONS(1287), 1,
      anon_sym_STAR,
    STATE(912), 1,
      sym_primary_expression,
    STATE(971), 1,
      sym_string,
    STATE(1203), 1,
      sym_list_splat_pattern,
    STATE(1745), 1,
      sym_expression,
    STATE(2683), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(853), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(851), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1771), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40725] = 23,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(1499), 1,
      anon_sym_await,
    ACTIONS(1521), 1,
      sym_identifier,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1973), 1,
      sym_expression,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1525), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1478), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1523), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40825] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(865), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1119), 1,
      sym_list_splat_pattern,
    STATE(1658), 1,
      sym_expression,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [40923] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(865), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1119), 1,
      sym_list_splat_pattern,
    STATE(1659), 1,
      sym_expression,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41021] = 22,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_await,
    ACTIONS(1251), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1798), 1,
      sym_expression,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1059), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1057), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41119] = 22,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1079), 1,
      anon_sym_await,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1315), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1907), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1075), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1073), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41217] = 22,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_await,
    ACTIONS(1251), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1834), 1,
      sym_expression,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1059), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1057), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41315] = 22,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_await,
    ACTIONS(1251), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1807), 1,
      sym_expression,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1059), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1057), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41413] = 22,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_await,
    ACTIONS(1251), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1808), 1,
      sym_expression,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1059), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1057), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41511] = 22,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_await,
    ACTIONS(1251), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1809), 1,
      sym_expression,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1059), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1057), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41609] = 22,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1007), 1,
      anon_sym_STAR,
    ACTIONS(1015), 1,
      anon_sym_not,
    ACTIONS(1017), 1,
      anon_sym_lambda,
    ACTIONS(1095), 1,
      sym_identifier,
    ACTIONS(1105), 1,
      anon_sym_await,
    STATE(909), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1214), 1,
      sym_list_splat_pattern,
    STATE(1755), 1,
      sym_expression,
    STATE(2773), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1103), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1101), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41707] = 23,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1007), 1,
      anon_sym_STAR,
    ACTIONS(1015), 1,
      anon_sym_not,
    ACTIONS(1017), 1,
      anon_sym_lambda,
    ACTIONS(1507), 1,
      anon_sym_await,
    ACTIONS(1527), 1,
      sym_identifier,
    STATE(909), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1214), 1,
      sym_list_splat_pattern,
    STATE(1905), 1,
      sym_expression,
    STATE(2773), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1531), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1479), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1529), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1172), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41807] = 22,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1007), 1,
      anon_sym_STAR,
    ACTIONS(1015), 1,
      anon_sym_not,
    ACTIONS(1017), 1,
      anon_sym_lambda,
    ACTIONS(1095), 1,
      sym_identifier,
    ACTIONS(1105), 1,
      anon_sym_await,
    STATE(909), 1,
      sym_primary_expression,
    STATE(975), 1,
      sym_string,
    STATE(1214), 1,
      sym_list_splat_pattern,
    STATE(1762), 1,
      sym_expression,
    STATE(2773), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1103), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1101), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(684), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1767), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [41905] = 22,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_not,
    ACTIONS(71), 1,
      anon_sym_lambda,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(383), 1,
      sym_identifier,
    ACTIONS(406), 1,
      anon_sym_await,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(865), 1,
      sym_primary_expression,
    STATE(969), 1,
      sym_string,
    STATE(1119), 1,
      sym_list_splat_pattern,
    STATE(1662), 1,
      sym_expression,
    STATE(2751), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(395), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(391), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1666), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42003] = 22,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1079), 1,
      anon_sym_await,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1315), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1910), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1075), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1073), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42101] = 22,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1079), 1,
      anon_sym_await,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1315), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1916), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1075), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1073), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42199] = 22,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_await,
    ACTIONS(1251), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1832), 1,
      sym_expression,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1059), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1057), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42297] = 22,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1079), 1,
      anon_sym_await,
    ACTIONS(1295), 1,
      sym_identifier,
    ACTIONS(1315), 1,
      anon_sym_STAR,
    STATE(967), 1,
      sym_primary_expression,
    STATE(1028), 1,
      sym_string,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1733), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1075), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1073), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42395] = 23,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1041), 1,
      anon_sym_not,
    ACTIONS(1043), 1,
      anon_sym_lambda,
    ACTIONS(1315), 1,
      anon_sym_STAR,
    ACTIONS(1515), 1,
      anon_sym_await,
    ACTIONS(1533), 1,
      sym_identifier,
    STATE(1028), 1,
      sym_string,
    STATE(1030), 1,
      sym_primary_expression,
    STATE(1388), 1,
      sym_list_splat_pattern,
    STATE(1969), 1,
      sym_expression,
    STATE(2638), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1537), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1377), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1535), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(709), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1723), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1270), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42495] = 9,
    ACTIONS(1539), 1,
      anon_sym_else,
    ACTIONS(1541), 1,
      anon_sym_except,
    ACTIONS(1543), 1,
      anon_sym_finally,
    STATE(718), 1,
      sym_else_clause,
    STATE(818), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(624), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1517), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1519), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42567] = 9,
    ACTIONS(1539), 1,
      anon_sym_else,
    ACTIONS(1543), 1,
      anon_sym_finally,
    ACTIONS(1545), 1,
      anon_sym_except_STAR,
    STATE(718), 1,
      sym_else_clause,
    STATE(818), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(625), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1517), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1519), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42639] = 22,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(835), 1,
      anon_sym_not,
    ACTIONS(837), 1,
      anon_sym_lambda,
    ACTIONS(1051), 1,
      sym_identifier,
    ACTIONS(1061), 1,
      anon_sym_await,
    ACTIONS(1251), 1,
      anon_sym_STAR,
    STATE(963), 1,
      sym_primary_expression,
    STATE(1015), 1,
      sym_string,
    STATE(1258), 1,
      sym_list_splat_pattern,
    STATE(1813), 1,
      sym_expression,
    STATE(2771), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1059), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1057), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(753), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1806), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42737] = 22,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(987), 1,
      anon_sym_not,
    ACTIONS(989), 1,
      anon_sym_lambda,
    ACTIONS(991), 1,
      anon_sym_await,
    ACTIONS(1257), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    STATE(976), 1,
      sym_primary_expression,
    STATE(1107), 1,
      sym_string,
    STATE(1437), 1,
      sym_list_splat_pattern,
    STATE(1756), 1,
      sym_expression,
    STATE(2777), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(981), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(979), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(799), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1751), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [42835] = 9,
    ACTIONS(1539), 1,
      anon_sym_else,
    ACTIONS(1541), 1,
      anon_sym_except,
    ACTIONS(1543), 1,
      anon_sym_finally,
    STATE(720), 1,
      sym_else_clause,
    STATE(834), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(624), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1481), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1483), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42907] = 9,
    ACTIONS(1539), 1,
      anon_sym_else,
    ACTIONS(1543), 1,
      anon_sym_finally,
    ACTIONS(1545), 1,
      anon_sym_except_STAR,
    STATE(720), 1,
      sym_else_clause,
    STATE(834), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(625), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1481), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1483), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42979] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(2011), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43077] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(2049), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43175] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(2063), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43273] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(2070), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43371] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(2076), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43469] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1992), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43567] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(2084), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43665] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(2094), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43763] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(2095), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43861] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(2099), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [43959] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(2100), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44057] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(2101), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44155] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(317), 1,
      anon_sym_lambda,
    ACTIONS(325), 1,
      anon_sym_await,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(408), 1,
      sym_identifier,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1049), 1,
      anon_sym_not,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(970), 1,
      sym_primary_expression,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(2088), 1,
      sym_expression,
    STATE(2775), 1,
      sym__named_expression_lhs,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(297), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(290), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1717), 7,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [44253] = 10,
    ACTIONS(1549), 1,
      anon_sym_COMMA,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1556), 1,
      anon_sym_COLON,
    ACTIONS(1559), 1,
      anon_sym_EQ,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    STATE(2018), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1563), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1552), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [44326] = 8,
    ACTIONS(1539), 1,
      anon_sym_else,
    ACTIONS(1569), 1,
      anon_sym_elif,
    STATE(630), 1,
      aux_sym_if_statement_repeat1,
    STATE(716), 1,
      sym_elif_clause,
    STATE(841), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1567), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1565), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44394] = 8,
    ACTIONS(1485), 1,
      anon_sym_else,
    ACTIONS(1575), 1,
      anon_sym_elif,
    STATE(614), 1,
      aux_sym_if_statement_repeat1,
    STATE(701), 1,
      sym_elif_clause,
    STATE(733), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1571), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1573), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44462] = 7,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(302), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(319), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(279), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [44528] = 8,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(294), 1,
      anon_sym_COLON,
    ACTIONS(302), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(319), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(279), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [44596] = 8,
    ACTIONS(1485), 1,
      anon_sym_else,
    ACTIONS(1575), 1,
      anon_sym_elif,
    STATE(632), 1,
      aux_sym_if_statement_repeat1,
    STATE(701), 1,
      sym_elif_clause,
    STATE(756), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1567), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1565), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44664] = 8,
    ACTIONS(1539), 1,
      anon_sym_else,
    ACTIONS(1569), 1,
      anon_sym_elif,
    STATE(619), 1,
      aux_sym_if_statement_repeat1,
    STATE(716), 1,
      sym_elif_clause,
    STATE(808), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1579), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1577), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44732] = 8,
    ACTIONS(1485), 1,
      anon_sym_else,
    ACTIONS(1575), 1,
      anon_sym_elif,
    STATE(632), 1,
      aux_sym_if_statement_repeat1,
    STATE(701), 1,
      sym_elif_clause,
    STATE(732), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1581), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1583), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44800] = 7,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(302), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(319), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(279), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [44866] = 8,
    ACTIONS(1485), 1,
      anon_sym_else,
    ACTIONS(1575), 1,
      anon_sym_elif,
    STATE(616), 1,
      aux_sym_if_statement_repeat1,
    STATE(701), 1,
      sym_elif_clause,
    STATE(786), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1579), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1577), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44934] = 8,
    ACTIONS(1539), 1,
      anon_sym_else,
    ACTIONS(1569), 1,
      anon_sym_elif,
    STATE(630), 1,
      aux_sym_if_statement_repeat1,
    STATE(716), 1,
      sym_elif_clause,
    STATE(825), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1581), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1583), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45002] = 8,
    ACTIONS(1539), 1,
      anon_sym_else,
    ACTIONS(1569), 1,
      anon_sym_elif,
    STATE(610), 1,
      aux_sym_if_statement_repeat1,
    STATE(716), 1,
      sym_elif_clause,
    STATE(826), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1571), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1573), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45070] = 8,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(294), 1,
      anon_sym_COLON,
    ACTIONS(302), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(319), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(279), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [45138] = 5,
    ACTIONS(1589), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(622), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1585), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1587), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45200] = 5,
    ACTIONS(1596), 1,
      anon_sym_except_STAR,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(623), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1592), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1594), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45262] = 5,
    ACTIONS(1599), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(624), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1585), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1587), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45324] = 5,
    ACTIONS(1602), 1,
      anon_sym_except_STAR,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(625), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
    ACTIONS(1592), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1594), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45386] = 7,
    ACTIONS(1549), 1,
      anon_sym_COMMA,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1559), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(1563), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1552), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [45452] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1605), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [45509] = 6,
    ACTIONS(1559), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1611), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1563), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1614), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1609), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [45572] = 6,
    ACTIONS(1559), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1549), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1563), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1552), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [45635] = 6,
    ACTIONS(1620), 1,
      anon_sym_elif,
    STATE(630), 1,
      aux_sym_if_statement_repeat1,
    STATE(716), 1,
      sym_elif_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1618), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1616), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45698] = 6,
    ACTIONS(1625), 1,
      anon_sym_COMMA,
    ACTIONS(1632), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1630), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1628), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1623), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [45761] = 6,
    ACTIONS(1634), 1,
      anon_sym_elif,
    STATE(632), 1,
      aux_sym_if_statement_repeat1,
    STATE(701), 1,
      sym_elif_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1618), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1616), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45824] = 6,
    ACTIONS(1632), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1625), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1630), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1628), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1623), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [45887] = 6,
    ACTIONS(1644), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1639), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1646), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1642), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1637), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [45950] = 6,
    ACTIONS(1639), 1,
      anon_sym_COMMA,
    ACTIONS(1644), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1646), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1642), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1637), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [46013] = 7,
    ACTIONS(1660), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1650), 2,
      anon_sym_DOT,
      anon_sym_COLON,
    ACTIONS(1652), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1658), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1655), 12,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1648), 28,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46078] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1664), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46135] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1652), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1658), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1655), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1648), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46196] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(670), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(665), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46257] = 6,
    ACTIONS(1549), 1,
      anon_sym_COMMA,
    ACTIONS(1559), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1563), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1552), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [46320] = 6,
    ACTIONS(1559), 1,
      anon_sym_EQ,
    ACTIONS(1611), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1563), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1614), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1609), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [46383] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1668), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1666), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46440] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1668), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1666), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46497] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46554] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1676), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46611] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(670), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(665), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 29,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46672] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1676), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 32,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [46729] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1678), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1680), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46785] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1684), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1682), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46841] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1678), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1680), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46897] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1688), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1686), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46953] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1692), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1690), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47009] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1696), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1694), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47065] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1700), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1698), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47121] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1704), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1702), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47177] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(1708), 1,
      anon_sym_LPAREN,
    ACTIONS(1710), 1,
      anon_sym_STAR,
    ACTIONS(1716), 1,
      anon_sym_LBRACK,
    ACTIONS(1718), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1578), 1,
      sym_list_splat_pattern,
    STATE(1620), 1,
      sym_primary_expression,
    STATE(2046), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1714), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1576), 2,
      sym_attribute,
      sym_subscript,
    STATE(2052), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1712), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(973), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [47269] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1684), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1682), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47325] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1692), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1690), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47381] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1696), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1694), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47437] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1704), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1702), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47493] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1692), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1690), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47549] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1696), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1694), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47605] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1700), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1698), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47661] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1700), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1698), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47717] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1722), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1720), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47773] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1726), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1724), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47829] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1684), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1682), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47885] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1730), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1728), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47941] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1732), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1734), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47997] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1738), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1736), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48053] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1704), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1702), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48109] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1742), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1740), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48165] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1704), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1702), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48221] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1688), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1686), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48277] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1744), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1746), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48333] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1744), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1746), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48389] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1750), 13,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1748), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48445] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1692), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1690), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48501] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1696), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1694), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48557] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1700), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1698), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48613] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1722), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1720), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48669] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1726), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1724), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48725] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1684), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1682), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48781] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1684), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1682), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48837] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1730), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1728), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48893] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1738), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1736), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48949] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1742), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1740), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49005] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1750), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1748), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49061] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1684), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1682), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49117] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(1708), 1,
      anon_sym_LPAREN,
    ACTIONS(1710), 1,
      anon_sym_STAR,
    ACTIONS(1716), 1,
      anon_sym_LBRACK,
    ACTIONS(1718), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1578), 1,
      sym_list_splat_pattern,
    STATE(1620), 1,
      sym_primary_expression,
    STATE(2046), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1714), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1576), 2,
      sym_attribute,
      sym_subscript,
    STATE(2052), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1712), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(959), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [49209] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1704), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1702), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49265] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1696), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1694), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49321] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1692), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1690), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49377] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1696), 13,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_except_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1694), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49433] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1700), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1698), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49489] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1692), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1690), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49545] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1700), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1698), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49601] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1732), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1734), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49657] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1704), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1702), 35,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49713] = 5,
    ACTIONS(1485), 1,
      anon_sym_else,
    STATE(805), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1752), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1754), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49772] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1756), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1758), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49827] = 5,
    ACTIONS(1485), 1,
      anon_sym_else,
    STATE(775), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1760), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1762), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49886] = 5,
    ACTIONS(1485), 1,
      anon_sym_else,
    STATE(760), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1764), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1766), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [49945] = 5,
    ACTIONS(1489), 1,
      anon_sym_finally,
    STATE(746), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1768), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1770), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50004] = 5,
    ACTIONS(1489), 1,
      anon_sym_finally,
    STATE(763), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1772), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1774), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50063] = 5,
    ACTIONS(1485), 1,
      anon_sym_else,
    STATE(744), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1776), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1778), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50122] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1782), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1780), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50177] = 5,
    ACTIONS(1539), 1,
      anon_sym_else,
    STATE(736), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1786), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1784), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50236] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1788), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1790), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50291] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1788), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1790), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50346] = 5,
    ACTIONS(1485), 1,
      anon_sym_else,
    STATE(782), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1786), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1784), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50405] = 5,
    ACTIONS(1539), 1,
      anon_sym_else,
    STATE(812), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1794), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1792), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50464] = 5,
    ACTIONS(1539), 1,
      anon_sym_else,
    STATE(816), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1752), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1754), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50523] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1782), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1780), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50578] = 5,
    ACTIONS(1485), 1,
      anon_sym_else,
    STATE(771), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1794), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1792), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50637] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1756), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1758), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50692] = 5,
    ACTIONS(1539), 1,
      anon_sym_else,
    STATE(831), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1776), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1778), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50751] = 5,
    ACTIONS(1543), 1,
      anon_sym_finally,
    STATE(833), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1768), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1770), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50810] = 5,
    ACTIONS(1539), 1,
      anon_sym_else,
    STATE(847), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1764), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1766), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50869] = 5,
    ACTIONS(1543), 1,
      anon_sym_finally,
    STATE(769), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1772), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1774), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50928] = 5,
    ACTIONS(1539), 1,
      anon_sym_else,
    STATE(800), 1,
      sym_else_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1760), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1762), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [50987] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1796), 1,
      sym_identifier,
    ACTIONS(1798), 1,
      anon_sym_LPAREN,
    ACTIONS(1800), 1,
      anon_sym_RPAREN,
    ACTIONS(1802), 1,
      anon_sym_STAR,
    ACTIONS(1808), 1,
      anon_sym_LBRACK,
    ACTIONS(1810), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1590), 1,
      sym_list_splat_pattern,
    STATE(1615), 1,
      sym_primary_expression,
    STATE(2340), 1,
      sym_pattern,
    STATE(2602), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1806), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1598), 2,
      sym_attribute,
      sym_subscript,
    STATE(2573), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1804), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [51079] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1812), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1814), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51133] = 22,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1796), 1,
      sym_identifier,
    ACTIONS(1798), 1,
      anon_sym_LPAREN,
    ACTIONS(1802), 1,
      anon_sym_STAR,
    ACTIONS(1808), 1,
      anon_sym_LBRACK,
    ACTIONS(1810), 1,
      anon_sym_await,
    ACTIONS(1816), 1,
      anon_sym_RPAREN,
    STATE(1010), 1,
      sym_string,
    STATE(1590), 1,
      sym_list_splat_pattern,
    STATE(1615), 1,
      sym_primary_expression,
    STATE(2340), 1,
      sym_pattern,
    STATE(2625), 1,
      sym__patterns,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1806), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1598), 2,
      sym_attribute,
      sym_subscript,
    STATE(2573), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1804), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [51225] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1818), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1820), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51279] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1818), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1820), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51333] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1812), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1814), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51387] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1824), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1822), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51440] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1768), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1770), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51493] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1826), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1828), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51546] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1832), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1830), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51599] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1834), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1836), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51652] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1838), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1840), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51705] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1842), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1844), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51758] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1846), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1848), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51811] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1852), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1850), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51864] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1481), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1483), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51917] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1854), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1856), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [51970] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1860), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1858), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52023] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1862), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1864), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52076] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1868), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1866), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52129] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(1870), 1,
      sym_identifier,
    ACTIONS(1872), 1,
      anon_sym_LPAREN,
    ACTIONS(1878), 1,
      anon_sym_LBRACK,
    ACTIONS(1880), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1603), 1,
      sym_list_splat_pattern,
    STATE(1612), 1,
      sym_primary_expression,
    STATE(2485), 1,
      sym_pattern,
    STATE(2774), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1876), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1613), 2,
      sym_attribute,
      sym_subscript,
    STATE(1640), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1874), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [52218] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(1870), 1,
      sym_identifier,
    ACTIONS(1872), 1,
      anon_sym_LPAREN,
    ACTIONS(1878), 1,
      anon_sym_LBRACK,
    ACTIONS(1880), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1603), 1,
      sym_list_splat_pattern,
    STATE(1612), 1,
      sym_primary_expression,
    STATE(2470), 1,
      sym_pattern,
    STATE(2735), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1876), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1613), 2,
      sym_attribute,
      sym_subscript,
    STATE(1640), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1874), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [52307] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1882), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1884), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52360] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1886), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1888), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52413] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1890), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1892), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52466] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1772), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1774), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52519] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1894), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1896), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52572] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1898), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1900), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52625] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1902), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1904), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52678] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1906), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1908), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52731] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1912), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1910), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52784] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1914), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1916), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52837] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1920), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1918), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52890] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1922), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1924), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52943] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1926), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1928), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [52996] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1930), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1932), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53049] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1934), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1936), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53102] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1938), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1940), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53155] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1942), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1944), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53208] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1948), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1946), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53261] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1950), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1952), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53314] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1954), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1956), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53367] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1958), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1960), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53420] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1962), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1964), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53473] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1966), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1968), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53526] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1796), 1,
      sym_identifier,
    ACTIONS(1798), 1,
      anon_sym_LPAREN,
    ACTIONS(1802), 1,
      anon_sym_STAR,
    ACTIONS(1808), 1,
      anon_sym_LBRACK,
    ACTIONS(1810), 1,
      anon_sym_await,
    ACTIONS(1970), 1,
      anon_sym_RPAREN,
    STATE(1010), 1,
      sym_string,
    STATE(1590), 1,
      sym_list_splat_pattern,
    STATE(1615), 1,
      sym_primary_expression,
    STATE(2528), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1806), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1598), 2,
      sym_attribute,
      sym_subscript,
    STATE(2573), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1804), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [53615] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(1870), 1,
      sym_identifier,
    ACTIONS(1872), 1,
      anon_sym_LPAREN,
    ACTIONS(1878), 1,
      anon_sym_LBRACK,
    ACTIONS(1880), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1603), 1,
      sym_list_splat_pattern,
    STATE(1612), 1,
      sym_primary_expression,
    STATE(2403), 1,
      sym_pattern,
    STATE(2632), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1876), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1613), 2,
      sym_attribute,
      sym_subscript,
    STATE(1640), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1874), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [53704] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1954), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1956), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53757] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1958), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1960), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53810] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1972), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1974), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53863] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1824), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1822), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53916] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1948), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1946), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [53969] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1976), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1978), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54022] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1980), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1982), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54075] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1984), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1986), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54128] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1988), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1990), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54181] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1832), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1830), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54234] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1992), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1994), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54287] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1796), 1,
      sym_identifier,
    ACTIONS(1798), 1,
      anon_sym_LPAREN,
    ACTIONS(1802), 1,
      anon_sym_STAR,
    ACTIONS(1808), 1,
      anon_sym_LBRACK,
    ACTIONS(1810), 1,
      anon_sym_await,
    ACTIONS(1996), 1,
      anon_sym_RPAREN,
    STATE(1010), 1,
      sym_string,
    STATE(1590), 1,
      sym_list_splat_pattern,
    STATE(1615), 1,
      sym_primary_expression,
    STATE(2528), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1806), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1598), 2,
      sym_attribute,
      sym_subscript,
    STATE(2573), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1804), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [54376] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(1870), 1,
      sym_identifier,
    ACTIONS(1872), 1,
      anon_sym_LPAREN,
    ACTIONS(1878), 1,
      anon_sym_LBRACK,
    ACTIONS(1880), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1603), 1,
      sym_list_splat_pattern,
    STATE(1612), 1,
      sym_primary_expression,
    STATE(2270), 1,
      sym_pattern,
    STATE(2729), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1876), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1613), 2,
      sym_attribute,
      sym_subscript,
    STATE(1640), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1874), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [54465] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1852), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1850), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54518] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1860), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1858), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54571] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1868), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1866), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54624] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1517), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1519), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54677] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1998), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2000), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54730] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1962), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1964), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54783] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1966), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1968), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54836] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1912), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1910), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54889] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1950), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1952), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54942] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2002), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2004), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [54995] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1920), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1918), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55048] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2006), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2008), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55101] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(1870), 1,
      sym_identifier,
    ACTIONS(1872), 1,
      anon_sym_LPAREN,
    ACTIONS(1878), 1,
      anon_sym_LBRACK,
    ACTIONS(1880), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1603), 1,
      sym_list_splat_pattern,
    STATE(1612), 1,
      sym_primary_expression,
    STATE(2495), 1,
      sym_pattern,
    STATE(2790), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1876), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1613), 2,
      sym_attribute,
      sym_subscript,
    STATE(1640), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1874), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [55190] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2012), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2010), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55243] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1996), 1,
      anon_sym_RBRACK,
    ACTIONS(2014), 1,
      sym_identifier,
    ACTIONS(2016), 1,
      anon_sym_LPAREN,
    ACTIONS(2018), 1,
      anon_sym_STAR,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1596), 1,
      sym_list_splat_pattern,
    STATE(1619), 1,
      sym_primary_expression,
    STATE(2514), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2022), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1597), 2,
      sym_attribute,
      sym_subscript,
    STATE(2570), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2020), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [55332] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2028), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2030), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55385] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(1870), 1,
      sym_identifier,
    ACTIONS(1872), 1,
      anon_sym_LPAREN,
    ACTIONS(1878), 1,
      anon_sym_LBRACK,
    ACTIONS(1880), 1,
      anon_sym_await,
    ACTIONS(2032), 1,
      anon_sym_in,
    STATE(1010), 1,
      sym_string,
    STATE(1603), 1,
      sym_list_splat_pattern,
    STATE(1612), 1,
      sym_primary_expression,
    STATE(1639), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1876), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1613), 2,
      sym_attribute,
      sym_subscript,
    STATE(1640), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1874), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [55474] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1970), 1,
      anon_sym_RBRACK,
    ACTIONS(2014), 1,
      sym_identifier,
    ACTIONS(2016), 1,
      anon_sym_LPAREN,
    ACTIONS(2018), 1,
      anon_sym_STAR,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1596), 1,
      sym_list_splat_pattern,
    STATE(1619), 1,
      sym_primary_expression,
    STATE(2514), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2022), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1597), 2,
      sym_attribute,
      sym_subscript,
    STATE(2570), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2020), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [55563] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1980), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1982), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55616] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1976), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1978), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55669] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1984), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1986), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55722] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1517), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1519), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55775] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2034), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2036), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55828] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2038), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2040), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55881] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2002), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2004), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55934] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2006), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2008), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [55987] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1998), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2000), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56040] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2042), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2044), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56093] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2046), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2048), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56146] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2034), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2036), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56199] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1972), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1974), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56252] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2052), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2050), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56305] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1826), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1828), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56358] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1930), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1932), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56411] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2038), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2040), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56464] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2012), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2010), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56517] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1768), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1770), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56570] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1481), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1483), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56623] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1922), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1924), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56676] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1992), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1994), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56729] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2042), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2044), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56782] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2046), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2048), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56835] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2028), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2030), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56888] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1834), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1836), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56941] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1838), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1840), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [56994] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1842), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1844), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57047] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1846), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1848), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57100] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1854), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1856), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57153] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1862), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1864), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57206] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1882), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1884), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57259] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1886), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1888), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57312] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1890), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1892), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57365] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1772), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1774), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57418] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1894), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1896), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57471] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1898), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1900), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57524] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1902), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1904), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57577] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1906), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1908), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57630] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1914), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1916), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57683] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2052), 12,
      sym_string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2050), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57736] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1926), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1928), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57789] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1988), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1990), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57842] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1934), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1936), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [57895] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(1870), 1,
      sym_identifier,
    ACTIONS(1872), 1,
      anon_sym_LPAREN,
    ACTIONS(1878), 1,
      anon_sym_LBRACK,
    ACTIONS(1880), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1603), 1,
      sym_list_splat_pattern,
    STATE(1612), 1,
      sym_primary_expression,
    STATE(2430), 1,
      sym_pattern,
    STATE(2686), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1876), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1613), 2,
      sym_attribute,
      sym_subscript,
    STATE(1640), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1874), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [57984] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(1870), 1,
      sym_identifier,
    ACTIONS(1872), 1,
      anon_sym_LPAREN,
    ACTIONS(1878), 1,
      anon_sym_LBRACK,
    ACTIONS(1880), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1603), 1,
      sym_list_splat_pattern,
    STATE(1612), 1,
      sym_primary_expression,
    STATE(2433), 1,
      sym_pattern,
    STATE(2695), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1876), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1613), 2,
      sym_attribute,
      sym_subscript,
    STATE(1640), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1874), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58073] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1938), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1940), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58126] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1942), 12,
      sym__dedent,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(1944), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_match,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_type,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [58179] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(1870), 1,
      sym_identifier,
    ACTIONS(1872), 1,
      anon_sym_LPAREN,
    ACTIONS(1878), 1,
      anon_sym_LBRACK,
    ACTIONS(1880), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1603), 1,
      sym_list_splat_pattern,
    STATE(1612), 1,
      sym_primary_expression,
    STATE(2450), 1,
      sym_pattern,
    STATE(2720), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1876), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1613), 2,
      sym_attribute,
      sym_subscript,
    STATE(1640), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1874), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58268] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(1870), 1,
      sym_identifier,
    ACTIONS(1872), 1,
      anon_sym_LPAREN,
    ACTIONS(1878), 1,
      anon_sym_LBRACK,
    ACTIONS(1880), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1603), 1,
      sym_list_splat_pattern,
    STATE(1612), 1,
      sym_primary_expression,
    STATE(2451), 1,
      sym_pattern,
    STATE(2722), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1876), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1613), 2,
      sym_attribute,
      sym_subscript,
    STATE(1640), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1874), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58357] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(1870), 1,
      sym_identifier,
    ACTIONS(1872), 1,
      anon_sym_LPAREN,
    ACTIONS(1878), 1,
      anon_sym_LBRACK,
    ACTIONS(1880), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1603), 1,
      sym_list_splat_pattern,
    STATE(1612), 1,
      sym_primary_expression,
    STATE(2494), 1,
      sym_pattern,
    STATE(2786), 1,
      sym_pattern_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1876), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1613), 2,
      sym_attribute,
      sym_subscript,
    STATE(1640), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1874), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58446] = 21,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(1870), 1,
      sym_identifier,
    ACTIONS(1872), 1,
      anon_sym_LPAREN,
    ACTIONS(1878), 1,
      anon_sym_LBRACK,
    ACTIONS(1880), 1,
      anon_sym_await,
    ACTIONS(2054), 1,
      anon_sym_in,
    STATE(1010), 1,
      sym_string,
    STATE(1603), 1,
      sym_list_splat_pattern,
    STATE(1612), 1,
      sym_primary_expression,
    STATE(1639), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1876), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1613), 2,
      sym_attribute,
      sym_subscript,
    STATE(1640), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1874), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58535] = 20,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1107), 1,
      sym_identifier,
    ACTIONS(1109), 1,
      anon_sym_LPAREN,
    ACTIONS(1117), 1,
      anon_sym_LBRACK,
    ACTIONS(1119), 1,
      anon_sym_await,
    ACTIONS(2056), 1,
      anon_sym_STAR,
    STATE(1010), 1,
      sym_string,
    STATE(1481), 1,
      sym_list_splat_pattern,
    STATE(1616), 1,
      sym_primary_expression,
    STATE(1639), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1115), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1482), 2,
      sym_attribute,
      sym_subscript,
    STATE(1640), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1113), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58621] = 20,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1706), 1,
      sym_identifier,
    ACTIONS(1708), 1,
      anon_sym_LPAREN,
    ACTIONS(1710), 1,
      anon_sym_STAR,
    ACTIONS(1716), 1,
      anon_sym_LBRACK,
    ACTIONS(1718), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1578), 1,
      sym_list_splat_pattern,
    STATE(1620), 1,
      sym_primary_expression,
    STATE(2046), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1714), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1576), 2,
      sym_attribute,
      sym_subscript,
    STATE(2052), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1712), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58707] = 20,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(1870), 1,
      sym_identifier,
    ACTIONS(1872), 1,
      anon_sym_LPAREN,
    ACTIONS(1878), 1,
      anon_sym_LBRACK,
    ACTIONS(1880), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1603), 1,
      sym_list_splat_pattern,
    STATE(1612), 1,
      sym_primary_expression,
    STATE(1639), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1876), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1613), 2,
      sym_attribute,
      sym_subscript,
    STATE(1640), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1874), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58793] = 20,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(1796), 1,
      sym_identifier,
    ACTIONS(1798), 1,
      anon_sym_LPAREN,
    ACTIONS(1802), 1,
      anon_sym_STAR,
    ACTIONS(1808), 1,
      anon_sym_LBRACK,
    ACTIONS(1810), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1590), 1,
      sym_list_splat_pattern,
    STATE(1615), 1,
      sym_primary_expression,
    STATE(2528), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1806), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1598), 2,
      sym_attribute,
      sym_subscript,
    STATE(2573), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(1804), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58879] = 20,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2014), 1,
      sym_identifier,
    ACTIONS(2016), 1,
      anon_sym_LPAREN,
    ACTIONS(2018), 1,
      anon_sym_STAR,
    ACTIONS(2024), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1596), 1,
      sym_list_splat_pattern,
    STATE(1619), 1,
      sym_primary_expression,
    STATE(2514), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2022), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1597), 2,
      sym_attribute,
      sym_subscript,
    STATE(2570), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2020), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [58965] = 20,
    ACTIONS(17), 1,
      anon_sym_STAR,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(957), 1,
      sym_identifier,
    ACTIONS(961), 1,
      anon_sym_LPAREN,
    ACTIONS(969), 1,
      anon_sym_LBRACK,
    ACTIONS(971), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1352), 1,
      sym_list_splat_pattern,
    STATE(1591), 1,
      sym_primary_expression,
    STATE(1610), 1,
      sym_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(967), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1353), 2,
      sym_attribute,
      sym_subscript,
    STATE(1592), 2,
      sym_tuple_pattern,
      sym_list_pattern,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(965), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59051] = 19,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(2058), 1,
      sym_identifier,
    ACTIONS(2066), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1612), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2060), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(2064), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1607), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2062), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59134] = 19,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(2068), 1,
      sym_identifier,
    ACTIONS(2074), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1615), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2060), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(2072), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1583), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2070), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59217] = 17,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(727), 1,
      anon_sym_await,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1315), 1,
      anon_sym_STAR,
    ACTIONS(2076), 1,
      anon_sym_not,
    STATE(1028), 1,
      sym_string,
    STATE(1100), 1,
      sym_primary_expression,
    STATE(1388), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(717), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(709), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59295] = 17,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1251), 1,
      anon_sym_STAR,
    ACTIONS(2076), 1,
      anon_sym_not,
    STATE(1015), 1,
      sym_string,
    STATE(1129), 1,
      sym_primary_expression,
    STATE(1258), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(761), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(759), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(753), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59373] = 17,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(795), 1,
      anon_sym_await,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(1267), 1,
      anon_sym_STAR,
    ACTIONS(2076), 1,
      anon_sym_not,
    STATE(996), 1,
      sym_string,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1360), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(785), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(783), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(777), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59451] = 17,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      anon_sym_await,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1007), 1,
      anon_sym_STAR,
    ACTIONS(2076), 1,
      anon_sym_not,
    STATE(975), 1,
      sym_string,
    STATE(1031), 1,
      sym_primary_expression,
    STATE(1214), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(692), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(690), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(684), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59529] = 17,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(2076), 1,
      anon_sym_not,
    STATE(1010), 1,
      sym_string,
    STATE(1058), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59607] = 21,
    ACTIONS(2080), 1,
      anon_sym_DOT,
    ACTIONS(2082), 1,
      anon_sym_LPAREN,
    ACTIONS(2090), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2092), 1,
      anon_sym_EQ,
    ACTIONS(2094), 1,
      anon_sym_LBRACK,
    ACTIONS(2100), 1,
      anon_sym_PIPE,
    ACTIONS(2102), 1,
      anon_sym_not,
    ACTIONS(2104), 1,
      anon_sym_AMP,
    ACTIONS(2106), 1,
      anon_sym_CARET,
    ACTIONS(2108), 1,
      anon_sym_is,
    STATE(1555), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2084), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2086), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2098), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2110), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(901), 2,
      sym__not_in,
      sym__is_not,
    STATE(1043), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2096), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2088), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2078), 9,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
  [59693] = 17,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(749), 1,
      anon_sym_await,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(1287), 1,
      anon_sym_STAR,
    ACTIONS(2076), 1,
      anon_sym_not,
    STATE(971), 1,
      sym_string,
    STATE(998), 1,
      sym_primary_expression,
    STATE(1203), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(739), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(737), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(731), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59771] = 17,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(817), 1,
      anon_sym_await,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    ACTIONS(2076), 1,
      anon_sym_not,
    STATE(1107), 1,
      sym_string,
    STATE(1225), 1,
      sym_primary_expression,
    STATE(1437), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(807), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(805), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(799), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59849] = 17,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_await,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    ACTIONS(2076), 1,
      anon_sym_not,
    STATE(969), 1,
      sym_string,
    STATE(977), 1,
      sym_primary_expression,
    STATE(1119), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(655), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(653), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [59927] = 16,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(795), 1,
      anon_sym_await,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(1267), 1,
      anon_sym_STAR,
    STATE(996), 1,
      sym_string,
    STATE(1082), 1,
      sym_primary_expression,
    STATE(1360), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(785), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(783), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(777), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60002] = 16,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(817), 1,
      anon_sym_await,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    STATE(1107), 1,
      sym_string,
    STATE(1229), 1,
      sym_primary_expression,
    STATE(1437), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(807), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(805), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(799), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60077] = 16,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(817), 1,
      anon_sym_await,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    STATE(1107), 1,
      sym_string,
    STATE(1230), 1,
      sym_primary_expression,
    STATE(1437), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(807), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(805), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(799), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60152] = 16,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(749), 1,
      anon_sym_await,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(1287), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_string,
    STATE(1014), 1,
      sym_primary_expression,
    STATE(1203), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(739), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(737), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(731), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60227] = 16,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(749), 1,
      anon_sym_await,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(1287), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_string,
    STATE(998), 1,
      sym_primary_expression,
    STATE(1203), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(739), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(737), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(731), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60302] = 16,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(749), 1,
      anon_sym_await,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(1287), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_string,
    STATE(1013), 1,
      sym_primary_expression,
    STATE(1203), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(739), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(737), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(731), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60377] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(2112), 1,
      sym_identifier,
    ACTIONS(2118), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1591), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2116), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(638), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2114), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60456] = 16,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(727), 1,
      anon_sym_await,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1315), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1102), 1,
      sym_primary_expression,
    STATE(1388), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(717), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(709), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60531] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(2120), 1,
      sym_identifier,
    ACTIONS(2126), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1617), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2124), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1350), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2122), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60610] = 16,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(749), 1,
      anon_sym_await,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(1287), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_string,
    STATE(990), 1,
      sym_primary_expression,
    STATE(1203), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(739), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(737), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(731), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60685] = 16,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(749), 1,
      anon_sym_await,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(1287), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_string,
    STATE(989), 1,
      sym_primary_expression,
    STATE(1203), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(739), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(737), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(731), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60760] = 16,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(749), 1,
      anon_sym_await,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(1287), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_string,
    STATE(1000), 1,
      sym_primary_expression,
    STATE(1203), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(739), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(737), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(731), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60835] = 16,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(749), 1,
      anon_sym_await,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(1287), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_string,
    STATE(1002), 1,
      sym_primary_expression,
    STATE(1203), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(739), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(737), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(731), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60910] = 16,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(749), 1,
      anon_sym_await,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(1287), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_string,
    STATE(1003), 1,
      sym_primary_expression,
    STATE(1203), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(739), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(737), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(731), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [60985] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(2118), 1,
      anon_sym_await,
    ACTIONS(2128), 1,
      sym_identifier,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1591), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2116), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(638), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2114), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61064] = 16,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(795), 1,
      anon_sym_await,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(1267), 1,
      anon_sym_STAR,
    STATE(996), 1,
      sym_string,
    STATE(1087), 1,
      sym_primary_expression,
    STATE(1360), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(785), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(783), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(777), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61139] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_await,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(969), 1,
      sym_string,
    STATE(982), 1,
      sym_primary_expression,
    STATE(1119), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(655), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(653), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61214] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(2130), 1,
      sym_identifier,
    ACTIONS(2136), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1615), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2134), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1585), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2132), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61293] = 16,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1251), 1,
      anon_sym_STAR,
    STATE(1015), 1,
      sym_string,
    STATE(1127), 1,
      sym_primary_expression,
    STATE(1258), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(761), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(759), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(753), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61368] = 16,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1251), 1,
      anon_sym_STAR,
    STATE(1015), 1,
      sym_string,
    STATE(1128), 1,
      sym_primary_expression,
    STATE(1258), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(761), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(759), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(753), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61443] = 16,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1251), 1,
      anon_sym_STAR,
    STATE(1015), 1,
      sym_string,
    STATE(1129), 1,
      sym_primary_expression,
    STATE(1258), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(761), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(759), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(753), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61518] = 16,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1251), 1,
      anon_sym_STAR,
    STATE(1015), 1,
      sym_string,
    STATE(1130), 1,
      sym_primary_expression,
    STATE(1258), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(761), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(759), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(753), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61593] = 16,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1251), 1,
      anon_sym_STAR,
    STATE(1015), 1,
      sym_string,
    STATE(1131), 1,
      sym_primary_expression,
    STATE(1258), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(761), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(759), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(753), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61668] = 16,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1251), 1,
      anon_sym_STAR,
    STATE(1015), 1,
      sym_string,
    STATE(1132), 1,
      sym_primary_expression,
    STATE(1258), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(761), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(759), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(753), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61743] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(2126), 1,
      anon_sym_await,
    ACTIONS(2138), 1,
      sym_identifier,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1615), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2142), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1357), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2140), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61822] = 16,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1251), 1,
      anon_sym_STAR,
    STATE(1015), 1,
      sym_string,
    STATE(1133), 1,
      sym_primary_expression,
    STATE(1258), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(761), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(759), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(753), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61897] = 16,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      anon_sym_await,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1007), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(1017), 1,
      sym_primary_expression,
    STATE(1214), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(692), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(690), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(684), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [61972] = 16,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1251), 1,
      anon_sym_STAR,
    STATE(1015), 1,
      sym_string,
    STATE(1036), 1,
      sym_primary_expression,
    STATE(1258), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(761), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(759), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(753), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62047] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_await,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(969), 1,
      sym_string,
    STATE(973), 1,
      sym_primary_expression,
    STATE(1119), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(655), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(653), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62122] = 16,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(727), 1,
      anon_sym_await,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1315), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1100), 1,
      sym_primary_expression,
    STATE(1388), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(717), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(709), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62197] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_await,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(969), 1,
      sym_string,
    STATE(974), 1,
      sym_primary_expression,
    STATE(1119), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(655), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(653), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62272] = 16,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(795), 1,
      anon_sym_await,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(1267), 1,
      anon_sym_STAR,
    STATE(996), 1,
      sym_string,
    STATE(1080), 1,
      sym_primary_expression,
    STATE(1360), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(785), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(783), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(777), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62347] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_await,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(969), 1,
      sym_string,
    STATE(977), 1,
      sym_primary_expression,
    STATE(1119), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(655), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(653), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62422] = 16,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(727), 1,
      anon_sym_await,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1315), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1103), 1,
      sym_primary_expression,
    STATE(1388), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(717), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(709), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62497] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(2144), 1,
      sym_identifier,
    ACTIONS(2150), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1618), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2148), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1445), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2146), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62576] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_await,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(969), 1,
      sym_string,
    STATE(980), 1,
      sym_primary_expression,
    STATE(1119), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(655), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(653), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62651] = 16,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(727), 1,
      anon_sym_await,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1315), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1095), 1,
      sym_primary_expression,
    STATE(1388), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(717), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(709), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62726] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_await,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(969), 1,
      sym_string,
    STATE(987), 1,
      sym_primary_expression,
    STATE(1119), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(655), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(653), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62801] = 16,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(727), 1,
      anon_sym_await,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1315), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1101), 1,
      sym_primary_expression,
    STATE(1388), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(717), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(709), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62876] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(2152), 1,
      sym_identifier,
    ACTIONS(2158), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1614), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2156), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1071), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2154), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [62955] = 21,
    ACTIONS(2092), 1,
      anon_sym_EQ,
    ACTIONS(2102), 1,
      anon_sym_not,
    ACTIONS(2160), 1,
      anon_sym_DOT,
    ACTIONS(2162), 1,
      anon_sym_LPAREN,
    ACTIONS(2170), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2172), 1,
      anon_sym_LBRACK,
    ACTIONS(2178), 1,
      anon_sym_PIPE,
    ACTIONS(2180), 1,
      anon_sym_AMP,
    ACTIONS(2182), 1,
      anon_sym_CARET,
    ACTIONS(2184), 1,
      anon_sym_is,
    STATE(1567), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2164), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2166), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2186), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(940), 2,
      sym__not_in,
      sym__is_not,
    STATE(1181), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2174), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2168), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2078), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [63040] = 16,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(1010), 1,
      sym_string,
    STATE(1050), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63115] = 16,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(795), 1,
      anon_sym_await,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(1267), 1,
      anon_sym_STAR,
    STATE(996), 1,
      sym_string,
    STATE(1081), 1,
      sym_primary_expression,
    STATE(1360), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(785), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(783), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(777), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63190] = 21,
    ACTIONS(2092), 1,
      anon_sym_as,
    ACTIONS(2102), 1,
      anon_sym_not,
    ACTIONS(2188), 1,
      anon_sym_DOT,
    ACTIONS(2190), 1,
      anon_sym_LPAREN,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2200), 1,
      anon_sym_LBRACK,
    ACTIONS(2206), 1,
      anon_sym_PIPE,
    ACTIONS(2208), 1,
      anon_sym_AMP,
    ACTIONS(2210), 1,
      anon_sym_CARET,
    ACTIONS(2212), 1,
      anon_sym_is,
    STATE(1565), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2192), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2194), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2204), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2214), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(873), 2,
      sym__not_in,
      sym__is_not,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2202), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2196), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2078), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [63275] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(2216), 1,
      sym_identifier,
    ACTIONS(2222), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1612), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2220), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1611), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2218), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63354] = 16,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(1010), 1,
      sym_string,
    STATE(1063), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63429] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(2150), 1,
      anon_sym_await,
    ACTIONS(2224), 1,
      sym_identifier,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1619), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2228), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1359), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2226), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63508] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(2150), 1,
      anon_sym_await,
    ACTIONS(2230), 1,
      sym_identifier,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1618), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2148), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1445), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2146), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63587] = 16,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(817), 1,
      anon_sym_await,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    STATE(1107), 1,
      sym_string,
    STATE(1217), 1,
      sym_primary_expression,
    STATE(1437), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(807), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(805), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(799), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63662] = 16,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(727), 1,
      anon_sym_await,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1315), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1104), 1,
      sym_primary_expression,
    STATE(1388), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(717), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(709), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63737] = 16,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(727), 1,
      anon_sym_await,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1315), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1098), 1,
      sym_primary_expression,
    STATE(1388), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(717), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(709), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63812] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(2232), 1,
      sym_identifier,
    ACTIONS(2238), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1612), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2236), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1271), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2234), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63891] = 16,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(1010), 1,
      sym_string,
    STATE(1056), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [63966] = 16,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(727), 1,
      anon_sym_await,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1315), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1105), 1,
      sym_primary_expression,
    STATE(1388), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(717), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(709), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64041] = 16,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(1010), 1,
      sym_string,
    STATE(1057), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64116] = 16,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(795), 1,
      anon_sym_await,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(1267), 1,
      anon_sym_STAR,
    STATE(996), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    STATE(1360), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(785), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(783), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(777), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64191] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_await,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(969), 1,
      sym_string,
    STATE(986), 1,
      sym_primary_expression,
    STATE(1119), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(655), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(653), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64266] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(2240), 1,
      sym_identifier,
    ACTIONS(2246), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1620), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2244), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1233), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2242), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64345] = 16,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(795), 1,
      anon_sym_await,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(1267), 1,
      anon_sym_STAR,
    STATE(996), 1,
      sym_string,
    STATE(1084), 1,
      sym_primary_expression,
    STATE(1360), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(785), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(783), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(777), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64420] = 16,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(1010), 1,
      sym_string,
    STATE(1058), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64495] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(2248), 1,
      sym_identifier,
    ACTIONS(2254), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1616), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2252), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1476), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2250), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64574] = 16,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(1010), 1,
      sym_string,
    STATE(1059), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64649] = 16,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(817), 1,
      anon_sym_await,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    STATE(1107), 1,
      sym_string,
    STATE(1223), 1,
      sym_primary_expression,
    STATE(1437), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(807), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(805), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(799), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64724] = 16,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(817), 1,
      anon_sym_await,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    STATE(1107), 1,
      sym_string,
    STATE(1224), 1,
      sym_primary_expression,
    STATE(1437), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(807), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(805), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(799), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64799] = 16,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(795), 1,
      anon_sym_await,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(1267), 1,
      anon_sym_STAR,
    STATE(996), 1,
      sym_string,
    STATE(1085), 1,
      sym_primary_expression,
    STATE(1360), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(785), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(783), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(777), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64874] = 16,
    ACTIONS(755), 1,
      anon_sym_LPAREN,
    ACTIONS(765), 1,
      anon_sym_LBRACK,
    ACTIONS(769), 1,
      anon_sym_LBRACE,
    ACTIONS(773), 1,
      anon_sym_await,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(1251), 1,
      anon_sym_STAR,
    STATE(1015), 1,
      sym_string,
    STATE(1121), 1,
      sym_primary_expression,
    STATE(1258), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(761), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(771), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(759), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(767), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(753), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1367), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [64949] = 16,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(1010), 1,
      sym_string,
    STATE(1060), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65024] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_await,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(969), 1,
      sym_string,
    STATE(983), 1,
      sym_primary_expression,
    STATE(1119), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(655), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(653), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65099] = 16,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(1010), 1,
      sym_string,
    STATE(1061), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65174] = 16,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      anon_sym_await,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1007), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(1021), 1,
      sym_primary_expression,
    STATE(1214), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(692), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(690), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(684), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65249] = 16,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      anon_sym_await,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1007), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(1025), 1,
      sym_primary_expression,
    STATE(1214), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(692), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(690), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(684), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65324] = 16,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      anon_sym_await,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1007), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(1031), 1,
      sym_primary_expression,
    STATE(1214), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(692), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(690), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(684), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65399] = 16,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(817), 1,
      anon_sym_await,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    STATE(1107), 1,
      sym_string,
    STATE(1225), 1,
      sym_primary_expression,
    STATE(1437), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(807), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(805), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(799), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65474] = 16,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      anon_sym_await,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1007), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(1007), 1,
      sym_primary_expression,
    STATE(1214), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(692), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(690), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(684), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65549] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(2238), 1,
      anon_sym_await,
    ACTIONS(2256), 1,
      sym_identifier,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1612), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2236), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1271), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2234), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65628] = 16,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      anon_sym_await,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1007), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(994), 1,
      sym_primary_expression,
    STATE(1214), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(692), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(690), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(684), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65703] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(2246), 1,
      anon_sym_await,
    ACTIONS(2258), 1,
      sym_identifier,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1589), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2262), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1213), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65782] = 16,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      anon_sym_await,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1007), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(1024), 1,
      sym_primary_expression,
    STATE(1214), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(692), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(690), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(684), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65857] = 16,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      anon_sym_await,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1007), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(1011), 1,
      sym_primary_expression,
    STATE(1214), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(692), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(690), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(684), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [65932] = 16,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(795), 1,
      anon_sym_await,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(1267), 1,
      anon_sym_STAR,
    STATE(996), 1,
      sym_string,
    STATE(1075), 1,
      sym_primary_expression,
    STATE(1360), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(785), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(783), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(777), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66007] = 16,
    ACTIONS(67), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(649), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_await,
    ACTIONS(1303), 1,
      anon_sym_STAR,
    STATE(969), 1,
      sym_string,
    STATE(985), 1,
      sym_primary_expression,
    STATE(1119), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(75), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(655), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(65), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(653), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(77), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1035), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66082] = 16,
    ACTIONS(686), 1,
      anon_sym_LPAREN,
    ACTIONS(694), 1,
      anon_sym_LBRACK,
    ACTIONS(698), 1,
      anon_sym_LBRACE,
    ACTIONS(702), 1,
      anon_sym_await,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(1007), 1,
      anon_sym_STAR,
    STATE(975), 1,
      sym_string,
    STATE(1012), 1,
      sym_primary_expression,
    STATE(1214), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(692), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(700), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(690), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(696), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(684), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1172), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66157] = 16,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(817), 1,
      anon_sym_await,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    STATE(1107), 1,
      sym_string,
    STATE(1226), 1,
      sym_primary_expression,
    STATE(1437), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(807), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(805), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(799), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66232] = 16,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(817), 1,
      anon_sym_await,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    STATE(1107), 1,
      sym_string,
    STATE(1227), 1,
      sym_primary_expression,
    STATE(1437), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(807), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(805), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(799), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66307] = 16,
    ACTIONS(779), 1,
      anon_sym_LPAREN,
    ACTIONS(787), 1,
      anon_sym_LBRACK,
    ACTIONS(791), 1,
      anon_sym_LBRACE,
    ACTIONS(795), 1,
      anon_sym_await,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(1267), 1,
      anon_sym_STAR,
    STATE(996), 1,
      sym_string,
    STATE(1086), 1,
      sym_primary_expression,
    STATE(1360), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(785), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(793), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(783), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(789), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(777), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1365), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66382] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(2126), 1,
      anon_sym_await,
    ACTIONS(2264), 1,
      sym_identifier,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1617), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2124), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1350), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2122), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66461] = 16,
    ACTIONS(801), 1,
      anon_sym_LPAREN,
    ACTIONS(809), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LBRACE,
    ACTIONS(817), 1,
      anon_sym_await,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(1333), 1,
      anon_sym_STAR,
    STATE(1107), 1,
      sym_string,
    STATE(1228), 1,
      sym_primary_expression,
    STATE(1437), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(807), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(815), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(805), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(811), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(799), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1442), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66536] = 16,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(682), 1,
      anon_sym_await,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    STATE(1010), 1,
      sym_string,
    STATE(1062), 1,
      sym_primary_expression,
    STATE(1342), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(676), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(674), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66611] = 16,
    ACTIONS(711), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(723), 1,
      anon_sym_LBRACE,
    ACTIONS(727), 1,
      anon_sym_await,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(1315), 1,
      anon_sym_STAR,
    STATE(1028), 1,
      sym_string,
    STATE(1099), 1,
      sym_primary_expression,
    STATE(1388), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(717), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(725), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(721), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(709), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1270), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66686] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(2246), 1,
      anon_sym_await,
    ACTIONS(2258), 1,
      sym_identifier,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1620), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2262), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1213), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66765] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(2120), 1,
      sym_identifier,
    ACTIONS(2126), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1615), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2124), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1350), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2122), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66844] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(2144), 1,
      sym_identifier,
    ACTIONS(2150), 1,
      anon_sym_await,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1619), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2148), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1445), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2146), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66923] = 16,
    ACTIONS(733), 1,
      anon_sym_LPAREN,
    ACTIONS(741), 1,
      anon_sym_LBRACK,
    ACTIONS(745), 1,
      anon_sym_LBRACE,
    ACTIONS(749), 1,
      anon_sym_await,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(1287), 1,
      anon_sym_STAR,
    STATE(971), 1,
      sym_string,
    STATE(999), 1,
      sym_primary_expression,
    STATE(1203), 1,
      sym_list_splat_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(739), 2,
      anon_sym_match,
      anon_sym_type,
    ACTIONS(747), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(737), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(743), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(731), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1138), 16,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [66998] = 18,
    ACTIONS(310), 1,
      anon_sym_LBRACE,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(668), 1,
      anon_sym_LPAREN,
    ACTIONS(678), 1,
      anon_sym_LBRACK,
    ACTIONS(1433), 1,
      anon_sym_STAR,
    ACTIONS(2158), 1,
      anon_sym_await,
    ACTIONS(2266), 1,
      sym_identifier,
    STATE(1010), 1,
      sym_string,
    STATE(1342), 1,
      sym_list_splat_pattern,
    STATE(1614), 1,
      sym_primary_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(321), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(2156), 2,
      anon_sym_match,
      anon_sym_type,
    STATE(1071), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(315), 3,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_TILDE,
    ACTIONS(2154), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(323), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1268), 14,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
      sym_await,
  [67077] = 21,
    ACTIONS(2092), 1,
      anon_sym_as,
    ACTIONS(2102), 1,
      anon_sym_not,
    ACTIONS(2268), 1,
      anon_sym_DOT,
    ACTIONS(2270), 1,
      anon_sym_LPAREN,
    ACTIONS(2278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2280), 1,
      anon_sym_LBRACK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_AMP,
    ACTIONS(2290), 1,
      anon_sym_CARET,
    ACTIONS(2292), 1,
      anon_sym_is,
    STATE(1571), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2284), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2294), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(889), 2,
      sym__not_in,
      sym__is_not,
    STATE(1389), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2282), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2276), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2078), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [67161] = 5,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(968), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2298), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2296), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67213] = 21,
    ACTIONS(2092), 1,
      anon_sym_as,
    ACTIONS(2102), 1,
      anon_sym_not,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2302), 1,
      anon_sym_LPAREN,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      anon_sym_LBRACK,
    ACTIONS(2318), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(2324), 1,
      anon_sym_is,
    STATE(1572), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2304), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2306), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2316), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2326), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(869), 2,
      sym__not_in,
      sym__is_not,
    STATE(1315), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2314), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2308), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2078), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [67297] = 20,
    ACTIONS(2082), 1,
      anon_sym_LPAREN,
    ACTIONS(2090), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2100), 1,
      anon_sym_PIPE,
    ACTIONS(2102), 1,
      anon_sym_not,
    ACTIONS(2104), 1,
      anon_sym_AMP,
    ACTIONS(2106), 1,
      anon_sym_CARET,
    ACTIONS(2108), 1,
      anon_sym_is,
    ACTIONS(2328), 1,
      anon_sym_DOT,
    ACTIONS(2330), 1,
      anon_sym_LBRACK,
    STATE(1555), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2084), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2086), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2098), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2110), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(901), 2,
      sym__not_in,
      sym__is_not,
    STATE(1043), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2096), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2088), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2078), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
  [67379] = 21,
    ACTIONS(2092), 1,
      anon_sym_EQ,
    ACTIONS(2102), 1,
      anon_sym_not,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_LBRACK,
    ACTIONS(2350), 1,
      anon_sym_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_is,
    STATE(1559), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2348), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2358), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(898), 2,
      sym__not_in,
      sym__is_not,
    STATE(1282), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2346), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2340), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2078), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
  [67463] = 5,
    ACTIONS(2364), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(968), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2362), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2360), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67515] = 5,
    ACTIONS(81), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(964), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1552), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67567] = 21,
    ACTIONS(2092), 1,
      anon_sym_EQ,
    ACTIONS(2102), 1,
      anon_sym_not,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_LPAREN,
    ACTIONS(2377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2379), 1,
      anon_sym_LBRACK,
    ACTIONS(2385), 1,
      anon_sym_PIPE,
    ACTIONS(2387), 1,
      anon_sym_AMP,
    ACTIONS(2389), 1,
      anon_sym_CARET,
    ACTIONS(2391), 1,
      anon_sym_is,
    STATE(1561), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2373), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2393), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(928), 2,
      sym__not_in,
      sym__is_not,
    STATE(1403), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2381), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2375), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2078), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_or,
  [67651] = 5,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(978), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67702] = 5,
    ACTIONS(2395), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(972), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2362), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2360), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [67753] = 8,
    ACTIONS(2080), 1,
      anon_sym_DOT,
    ACTIONS(2082), 1,
      anon_sym_LPAREN,
    ACTIONS(2090), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2094), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1043), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2400), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 27,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67810] = 11,
    ACTIONS(2080), 1,
      anon_sym_DOT,
    ACTIONS(2082), 1,
      anon_sym_LPAREN,
    ACTIONS(2090), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2094), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2084), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2098), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1043), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2096), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 22,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [67873] = 5,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(984), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1552), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [67924] = 20,
    ACTIONS(2102), 1,
      anon_sym_not,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_LPAREN,
    ACTIONS(2412), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2414), 1,
      anon_sym_LBRACK,
    ACTIONS(2420), 1,
      anon_sym_PIPE,
    ACTIONS(2422), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_is,
    STATE(1566), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2406), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2408), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2418), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2428), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(941), 2,
      sym__not_in,
      sym__is_not,
    STATE(1447), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2416), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2410), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2078), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [68005] = 15,
    ACTIONS(2080), 1,
      anon_sym_DOT,
    ACTIONS(2082), 1,
      anon_sym_LPAREN,
    ACTIONS(2090), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2094), 1,
      anon_sym_LBRACK,
    ACTIONS(2100), 1,
      anon_sym_PIPE,
    ACTIONS(2104), 1,
      anon_sym_AMP,
    ACTIONS(2106), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2084), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2086), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2098), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1043), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2096), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2432), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2430), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68076] = 5,
    ACTIONS(751), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(979), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2298), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2296), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68127] = 5,
    ACTIONS(2434), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(979), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2362), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2360), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68178] = 8,
    ACTIONS(2080), 1,
      anon_sym_DOT,
    ACTIONS(2082), 1,
      anon_sym_LPAREN,
    ACTIONS(2090), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2094), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1043), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2400), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 27,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68235] = 8,
    ACTIONS(2080), 1,
      anon_sym_DOT,
    ACTIONS(2082), 1,
      anon_sym_LPAREN,
    ACTIONS(2090), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2094), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1043), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2439), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2437), 27,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68292] = 14,
    ACTIONS(2080), 1,
      anon_sym_DOT,
    ACTIONS(2082), 1,
      anon_sym_LPAREN,
    ACTIONS(2090), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2094), 1,
      anon_sym_LBRACK,
    ACTIONS(2104), 1,
      anon_sym_AMP,
    ACTIONS(2106), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2084), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2086), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2098), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1043), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2096), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68361] = 8,
    ACTIONS(2080), 1,
      anon_sym_DOT,
    ACTIONS(2082), 1,
      anon_sym_LPAREN,
    ACTIONS(2090), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2094), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1043), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2443), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2441), 27,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68418] = 5,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(972), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2298), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2296), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [68469] = 10,
    ACTIONS(2080), 1,
      anon_sym_DOT,
    ACTIONS(2082), 1,
      anon_sym_LPAREN,
    ACTIONS(2090), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2094), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2084), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1043), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2096), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 24,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68530] = 12,
    ACTIONS(2080), 1,
      anon_sym_DOT,
    ACTIONS(2082), 1,
      anon_sym_LPAREN,
    ACTIONS(2090), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2094), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2084), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2086), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2098), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1043), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2096), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 20,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68595] = 13,
    ACTIONS(2080), 1,
      anon_sym_DOT,
    ACTIONS(2082), 1,
      anon_sym_LPAREN,
    ACTIONS(2090), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2094), 1,
      anon_sym_LBRACK,
    ACTIONS(2106), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2084), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2086), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2098), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1043), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2096), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 19,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68662] = 8,
    ACTIONS(2188), 1,
      anon_sym_DOT,
    ACTIONS(2190), 1,
      anon_sym_LPAREN,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2200), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2439), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2437), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68718] = 8,
    ACTIONS(2188), 1,
      anon_sym_DOT,
    ACTIONS(2190), 1,
      anon_sym_LPAREN,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2200), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2443), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2441), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68774] = 10,
    ACTIONS(2188), 1,
      anon_sym_DOT,
    ACTIONS(2190), 1,
      anon_sym_LPAREN,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2200), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2192), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2202), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 23,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68834] = 20,
    ACTIONS(2102), 1,
      anon_sym_not,
    ACTIONS(2162), 1,
      anon_sym_LPAREN,
    ACTIONS(2170), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2178), 1,
      anon_sym_PIPE,
    ACTIONS(2180), 1,
      anon_sym_AMP,
    ACTIONS(2182), 1,
      anon_sym_CARET,
    ACTIONS(2184), 1,
      anon_sym_is,
    ACTIONS(2188), 1,
      anon_sym_DOT,
    ACTIONS(2200), 1,
      anon_sym_LBRACK,
    STATE(1567), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2164), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2166), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2186), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(940), 2,
      sym__not_in,
      sym__is_not,
    STATE(1181), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2174), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2078), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2168), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [68914] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1664), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [68960] = 5,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1006), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2298), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2296), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69010] = 10,
    ACTIONS(2160), 1,
      anon_sym_DOT,
    ACTIONS(2162), 1,
      anon_sym_LPAREN,
    ACTIONS(2170), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2172), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2164), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1181), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2174), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 23,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [69070] = 5,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1029), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2298), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2296), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69120] = 5,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1001), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69170] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2447), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2445), 32,
      sym__newline,
      sym_string_start,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69216] = 15,
    ACTIONS(2188), 1,
      anon_sym_DOT,
    ACTIONS(2190), 1,
      anon_sym_LPAREN,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2200), 1,
      anon_sym_LBRACK,
    ACTIONS(2206), 1,
      anon_sym_PIPE,
    ACTIONS(2208), 1,
      anon_sym_AMP,
    ACTIONS(2210), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2192), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2194), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2204), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2202), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2432), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2430), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69286] = 8,
    ACTIONS(2188), 1,
      anon_sym_DOT,
    ACTIONS(2190), 1,
      anon_sym_LPAREN,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2200), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2400), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69342] = 14,
    ACTIONS(2188), 1,
      anon_sym_DOT,
    ACTIONS(2190), 1,
      anon_sym_LPAREN,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2200), 1,
      anon_sym_LBRACK,
    ACTIONS(2208), 1,
      anon_sym_AMP,
    ACTIONS(2210), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2192), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2194), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2204), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2202), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 17,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69410] = 5,
    ACTIONS(797), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1004), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2298), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2296), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69460] = 13,
    ACTIONS(2188), 1,
      anon_sym_DOT,
    ACTIONS(2190), 1,
      anon_sym_LPAREN,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2200), 1,
      anon_sym_LBRACK,
    ACTIONS(2210), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2192), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2194), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2204), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2202), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69526] = 12,
    ACTIONS(2188), 1,
      anon_sym_DOT,
    ACTIONS(2190), 1,
      anon_sym_LPAREN,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2200), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2192), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2194), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2204), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2202), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 19,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69590] = 5,
    ACTIONS(2449), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1004), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2362), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2360), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69640] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1668), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1666), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [69686] = 5,
    ACTIONS(2452), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1006), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2362), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2360), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69736] = 8,
    ACTIONS(2160), 1,
      anon_sym_DOT,
    ACTIONS(2162), 1,
      anon_sym_LPAREN,
    ACTIONS(2170), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2172), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1181), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2400), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [69792] = 20,
    ACTIONS(2102), 1,
      anon_sym_not,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2312), 1,
      anon_sym_LBRACK,
    ACTIONS(2404), 1,
      anon_sym_LPAREN,
    ACTIONS(2412), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2420), 1,
      anon_sym_PIPE,
    ACTIONS(2422), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_CARET,
    ACTIONS(2426), 1,
      anon_sym_is,
    STATE(1566), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2406), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2408), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2418), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2428), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(941), 2,
      sym__not_in,
      sym__is_not,
    STATE(1447), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2416), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2078), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2410), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69872] = 4,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69920] = 5,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(993), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1552), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [69970] = 13,
    ACTIONS(2160), 1,
      anon_sym_DOT,
    ACTIONS(2162), 1,
      anon_sym_LPAREN,
    ACTIONS(2170), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2172), 1,
      anon_sym_LBRACK,
    ACTIONS(2182), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2164), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2166), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1181), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2174), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 18,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70036] = 12,
    ACTIONS(2160), 1,
      anon_sym_DOT,
    ACTIONS(2162), 1,
      anon_sym_LPAREN,
    ACTIONS(2170), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2172), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2164), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2166), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1181), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2174), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 19,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70100] = 8,
    ACTIONS(2188), 1,
      anon_sym_DOT,
    ACTIONS(2190), 1,
      anon_sym_LPAREN,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2200), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2400), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70156] = 11,
    ACTIONS(2188), 1,
      anon_sym_DOT,
    ACTIONS(2190), 1,
      anon_sym_LPAREN,
    ACTIONS(2198), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2200), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2192), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2204), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2202), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 21,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70218] = 5,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1020), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70268] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1676), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70314] = 8,
    ACTIONS(2160), 1,
      anon_sym_DOT,
    ACTIONS(2162), 1,
      anon_sym_LPAREN,
    ACTIONS(2170), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2172), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1181), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2443), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2441), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70370] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1668), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1666), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70416] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1605), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70462] = 5,
    ACTIONS(775), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1022), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2298), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2296), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70512] = 8,
    ACTIONS(2160), 1,
      anon_sym_DOT,
    ACTIONS(2162), 1,
      anon_sym_LPAREN,
    ACTIONS(2170), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2172), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1181), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2400), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70568] = 5,
    ACTIONS(2455), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1022), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2362), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2360), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70618] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70666] = 14,
    ACTIONS(2160), 1,
      anon_sym_DOT,
    ACTIONS(2162), 1,
      anon_sym_LPAREN,
    ACTIONS(2170), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2172), 1,
      anon_sym_LBRACK,
    ACTIONS(2180), 1,
      anon_sym_AMP,
    ACTIONS(2182), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2164), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2166), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1181), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2174), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 17,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70734] = 11,
    ACTIONS(2160), 1,
      anon_sym_DOT,
    ACTIONS(2162), 1,
      anon_sym_LPAREN,
    ACTIONS(2170), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2172), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2164), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1181), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2174), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 21,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70796] = 8,
    ACTIONS(2160), 1,
      anon_sym_DOT,
    ACTIONS(2162), 1,
      anon_sym_LPAREN,
    ACTIONS(2170), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2172), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1181), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2439), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2437), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [70852] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2460), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2458), 32,
      sym__newline,
      sym_string_start,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70898] = 5,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(995), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1552), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70948] = 5,
    ACTIONS(2462), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1029), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2362), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2360), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [70998] = 20,
    ACTIONS(2102), 1,
      anon_sym_not,
    ACTIONS(2268), 1,
      anon_sym_DOT,
    ACTIONS(2280), 1,
      anon_sym_LBRACK,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2350), 1,
      anon_sym_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(2356), 1,
      anon_sym_is,
    STATE(1559), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2348), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2358), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(898), 2,
      sym__not_in,
      sym__is_not,
    STATE(1282), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2346), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2078), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2340), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71078] = 15,
    ACTIONS(2160), 1,
      anon_sym_DOT,
    ACTIONS(2162), 1,
      anon_sym_LPAREN,
    ACTIONS(2170), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2172), 1,
      anon_sym_LBRACK,
    ACTIONS(2178), 1,
      anon_sym_PIPE,
    ACTIONS(2180), 1,
      anon_sym_AMP,
    ACTIONS(2182), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2164), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2166), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2176), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1181), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2174), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2432), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2430), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [71148] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1676), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [71194] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [71240] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71288] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71333] = 12,
    ACTIONS(2268), 1,
      anon_sym_DOT,
    ACTIONS(2270), 1,
      anon_sym_LPAREN,
    ACTIONS(2278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2280), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2284), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1389), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2282), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 18,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71396] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2467), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2465), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71441] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2471), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2469), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71486] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2475), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2473), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71531] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2479), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2477), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71576] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2483), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2481), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71621] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2487), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2485), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71666] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2491), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2489), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71711] = 5,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [71760] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(670), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71809] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(670), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71858] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71905] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71952] = 4,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [71999] = 8,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_LPAREN,
    ACTIONS(2377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2379), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1403), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2443), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2441), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72054] = 8,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_LPAREN,
    ACTIONS(2377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2379), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1403), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2439), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2437), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72109] = 6,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(670), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(663), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(665), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72160] = 6,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(670), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(663), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(665), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72211] = 6,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1658), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1648), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1655), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1652), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72262] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1605), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72307] = 8,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_LPAREN,
    ACTIONS(2377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2379), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1403), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2400), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72362] = 11,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_LPAREN,
    ACTIONS(2377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2379), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1403), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2381), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 20,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72423] = 15,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_LPAREN,
    ACTIONS(2377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2379), 1,
      anon_sym_LBRACK,
    ACTIONS(2385), 1,
      anon_sym_PIPE,
    ACTIONS(2387), 1,
      anon_sym_AMP,
    ACTIONS(2389), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2373), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1403), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2381), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2432), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2430), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72492] = 8,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_LPAREN,
    ACTIONS(2377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2379), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1403), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2400), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72547] = 10,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_LPAREN,
    ACTIONS(2377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2379), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1403), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2381), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 22,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72606] = 14,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_LPAREN,
    ACTIONS(2377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2379), 1,
      anon_sym_LBRACK,
    ACTIONS(2387), 1,
      anon_sym_AMP,
    ACTIONS(2389), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2373), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1403), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2381), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72673] = 13,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_LPAREN,
    ACTIONS(2377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2379), 1,
      anon_sym_LBRACK,
    ACTIONS(2389), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2373), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1403), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2381), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 17,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72738] = 12,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_LPAREN,
    ACTIONS(2377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2379), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2373), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1403), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2381), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 18,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72801] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72846] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1664), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72891] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1676), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72936] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1676), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [72981] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1668), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1666), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73026] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1668), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1666), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73071] = 5,
    ACTIONS(1549), 1,
      anon_sym_COMMA,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [73120] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1655), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1652), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1648), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73169] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2495), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2493), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73214] = 6,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2497), 1,
      anon_sym_LBRACK,
    STATE(1925), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73265] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2501), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2499), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73310] = 8,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2302), 1,
      anon_sym_LPAREN,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1315), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2443), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2441), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73365] = 8,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2302), 1,
      anon_sym_LPAREN,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1315), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2439), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2437), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73420] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2505), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2503), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73465] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2509), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2507), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73510] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2513), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2511), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73555] = 8,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2302), 1,
      anon_sym_LPAREN,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1315), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2400), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73610] = 11,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2302), 1,
      anon_sym_LPAREN,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2304), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2316), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1315), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2314), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 20,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73671] = 15,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2302), 1,
      anon_sym_LPAREN,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      anon_sym_LBRACK,
    ACTIONS(2318), 1,
      anon_sym_PIPE,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2304), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2306), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2316), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1315), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2314), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2432), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2430), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73740] = 8,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2302), 1,
      anon_sym_LPAREN,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1315), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2400), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73795] = 10,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2302), 1,
      anon_sym_LPAREN,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2304), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1315), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2314), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 22,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73854] = 14,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2302), 1,
      anon_sym_LPAREN,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      anon_sym_LBRACK,
    ACTIONS(2320), 1,
      anon_sym_AMP,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2304), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2306), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2316), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1315), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2314), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73921] = 13,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2302), 1,
      anon_sym_LPAREN,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      anon_sym_LBRACK,
    ACTIONS(2322), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2304), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2306), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2316), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1315), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2314), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 17,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [73986] = 12,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2302), 1,
      anon_sym_LPAREN,
    ACTIONS(2310), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2312), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2304), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2306), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2316), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1315), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2314), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74049] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2447), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2445), 31,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74094] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2517), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2515), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74139] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2460), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2458), 31,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74184] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2521), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2519), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74229] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2525), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2523), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74274] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2529), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2527), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74319] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2447), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2445), 31,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [74364] = 8,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1282), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2443), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2441), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74419] = 8,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1282), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2439), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2437), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74474] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2460), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2458), 31,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [74519] = 8,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1282), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2400), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74574] = 11,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2348), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1282), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2346), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 20,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74635] = 15,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_LBRACK,
    ACTIONS(2350), 1,
      anon_sym_PIPE,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2348), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1282), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2346), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2432), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2430), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74704] = 8,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1282), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2400), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74759] = 10,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1282), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2346), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74818] = 14,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_LBRACK,
    ACTIONS(2352), 1,
      anon_sym_AMP,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2348), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1282), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2346), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 16,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74885] = 13,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_LBRACK,
    ACTIONS(2354), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2348), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1282), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2346), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 17,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [74950] = 12,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2334), 1,
      anon_sym_LPAREN,
    ACTIONS(2342), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2344), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2336), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2338), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2348), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1282), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2346), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 18,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75013] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2533), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2531), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75058] = 5,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1111), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1552), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75107] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [75154] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [75201] = 4,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [75248] = 5,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1112), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2298), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2296), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75297] = 5,
    ACTIONS(2535), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1112), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2362), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2360), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75346] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2540), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2538), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75391] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(763), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75440] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(763), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75489] = 5,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2542), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75538] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75583] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75628] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1614), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1609), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75673] = 6,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2544), 1,
      anon_sym_LBRACK,
    STATE(1890), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 27,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75724] = 8,
    ACTIONS(2268), 1,
      anon_sym_DOT,
    ACTIONS(2270), 1,
      anon_sym_LPAREN,
    ACTIONS(2278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2280), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1389), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2443), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2441), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75779] = 8,
    ACTIONS(2268), 1,
      anon_sym_DOT,
    ACTIONS(2270), 1,
      anon_sym_LPAREN,
    ACTIONS(2278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2280), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1389), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2439), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2437), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75834] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2548), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2546), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75879] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2552), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2550), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75924] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1628), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1623), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [75969] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1637), 31,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76014] = 8,
    ACTIONS(2268), 1,
      anon_sym_DOT,
    ACTIONS(2270), 1,
      anon_sym_LPAREN,
    ACTIONS(2278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2280), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1389), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2400), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76069] = 11,
    ACTIONS(2268), 1,
      anon_sym_DOT,
    ACTIONS(2270), 1,
      anon_sym_LPAREN,
    ACTIONS(2278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2280), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2284), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1389), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2282), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 20,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76130] = 15,
    ACTIONS(2268), 1,
      anon_sym_DOT,
    ACTIONS(2270), 1,
      anon_sym_LPAREN,
    ACTIONS(2278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2280), 1,
      anon_sym_LBRACK,
    ACTIONS(2286), 1,
      anon_sym_PIPE,
    ACTIONS(2288), 1,
      anon_sym_AMP,
    ACTIONS(2290), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2284), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1389), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2282), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2432), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2430), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76199] = 8,
    ACTIONS(2268), 1,
      anon_sym_DOT,
    ACTIONS(2270), 1,
      anon_sym_LPAREN,
    ACTIONS(2278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2280), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1389), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2400), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76254] = 10,
    ACTIONS(2268), 1,
      anon_sym_DOT,
    ACTIONS(2270), 1,
      anon_sym_LPAREN,
    ACTIONS(2278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2280), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1389), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2282), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76313] = 14,
    ACTIONS(2268), 1,
      anon_sym_DOT,
    ACTIONS(2270), 1,
      anon_sym_LPAREN,
    ACTIONS(2278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2280), 1,
      anon_sym_LBRACK,
    ACTIONS(2288), 1,
      anon_sym_AMP,
    ACTIONS(2290), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2284), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1389), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2282), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 16,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76380] = 13,
    ACTIONS(2268), 1,
      anon_sym_DOT,
    ACTIONS(2270), 1,
      anon_sym_LPAREN,
    ACTIONS(2278), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2280), 1,
      anon_sym_LBRACK,
    ACTIONS(2290), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2272), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2274), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2284), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1389), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2282), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2400), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 17,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76445] = 5,
    ACTIONS(284), 1,
      anon_sym_COMMA,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [76494] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2509), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2507), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [76538] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1637), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76582] = 5,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1549), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76630] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76674] = 4,
    ACTIONS(1611), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1614), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1609), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [76720] = 4,
    ACTIONS(1549), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [76766] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2447), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2445), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76810] = 4,
    ACTIONS(1625), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1628), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1623), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [76856] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(670), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [76904] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(670), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [76952] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76998] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77044] = 4,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77090] = 4,
    ACTIONS(1639), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1637), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [77136] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77180] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77224] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2548), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2546), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77268] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2491), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2489), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77312] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2460), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2458), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77356] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2495), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2493), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77400] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2513), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2511), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77444] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2525), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2523), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77488] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2529), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2527), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77532] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2533), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2531), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77576] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2540), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2538), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77620] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2550), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77664] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2467), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2465), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77708] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2471), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2469), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77752] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2475), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2473), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77796] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2479), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2477), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77840] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2483), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2481), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77884] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2487), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2485), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77928] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2501), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2499), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [77972] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2505), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2503), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78016] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2509), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2507), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78060] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2517), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2515), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78104] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2521), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2519), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78148] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78192] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1648), 3,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1655), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1652), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78238] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78284] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78330] = 4,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78376] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78420] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78464] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2548), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2546), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78508] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2447), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2445), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78552] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2491), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2489), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78596] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2495), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2493), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78640] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2513), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2511), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78684] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2525), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2523), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78728] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2529), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2527), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78772] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2533), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2531), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78816] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [78864] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2540), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2538), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78908] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2552), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2550), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78952] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2467), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2465), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [78996] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2471), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2469), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79040] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2475), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2473), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79084] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2479), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2477), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79128] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2483), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2481), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79172] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2487), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2485), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79216] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2501), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2499), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79260] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2505), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2503), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79304] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79348] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1628), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1623), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79392] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1676), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79436] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2517), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2515), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79480] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2521), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2519), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79524] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1614), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1609), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79568] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1605), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79612] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(663), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(665), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79660] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79704] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1664), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79748] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1676), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79792] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1676), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79836] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1668), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1666), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79880] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1668), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1666), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [79924] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2447), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2445), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [79968] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1655), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1652), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1648), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [80016] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1614), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1609), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [80060] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1668), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1666), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80104] = 6,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2554), 1,
      anon_sym_LBRACK,
    STATE(2033), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80154] = 8,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_LPAREN,
    ACTIONS(2412), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2414), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1447), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2443), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2441), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80208] = 8,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_LPAREN,
    ACTIONS(2412), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2414), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1447), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2439), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2437), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80262] = 6,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    STATE(2018), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80312] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2460), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2458), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80356] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1628), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1623), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [80400] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1637), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      sym_type_conversion,
  [80444] = 8,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_LPAREN,
    ACTIONS(2412), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2414), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1447), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2400), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80498] = 11,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_LPAREN,
    ACTIONS(2412), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2414), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2400), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2406), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2418), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1447), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2416), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2398), 20,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80558] = 15,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_LPAREN,
    ACTIONS(2412), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2414), 1,
      anon_sym_LBRACK,
    ACTIONS(2420), 1,
      anon_sym_PIPE,
    ACTIONS(2422), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2406), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2408), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2418), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2432), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1447), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2416), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2430), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80626] = 8,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_LPAREN,
    ACTIONS(2412), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2414), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1447), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2400), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2398), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80680] = 10,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_LPAREN,
    ACTIONS(2412), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2414), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2400), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2406), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1447), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2416), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2398), 22,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80738] = 14,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_LPAREN,
    ACTIONS(2412), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2414), 1,
      anon_sym_LBRACK,
    ACTIONS(2422), 1,
      anon_sym_AMP,
    ACTIONS(2424), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2400), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2406), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2408), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2418), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1447), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2416), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2398), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80804] = 13,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_LPAREN,
    ACTIONS(2412), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2414), 1,
      anon_sym_LBRACK,
    ACTIONS(2424), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2400), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2406), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2408), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2418), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1447), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2416), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2398), 17,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80868] = 12,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2404), 1,
      anon_sym_LPAREN,
    ACTIONS(2412), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2414), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2400), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2406), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2408), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2418), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1447), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2416), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2398), 18,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80930] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(670), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [80978] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(670), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81026] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1655), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1652), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1648), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACE,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81074] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(663), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(665), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81122] = 5,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1648), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1655), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1652), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81170] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1668), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1666), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81214] = 5,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1549), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81262] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2447), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2445), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81306] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81354] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81402] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81448] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81494] = 4,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81540] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81586] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2460), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2458), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81630] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(663), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(665), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81678] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(663), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(665), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81726] = 5,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1648), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1655), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1652), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81774] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81820] = 4,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81866] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1605), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81910] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1676), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81954] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2460), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2458), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [81998] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(284), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82046] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1664), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82090] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2548), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2546), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82133] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1648), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1655), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1652), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82178] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1614), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1609), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82221] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1637), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82264] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1628), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1623), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82307] = 7,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1655), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1650), 5,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(1648), 12,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1652), 12,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [82358] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2525), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2523), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82401] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2529), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2527), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82444] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2533), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2531), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82487] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1637), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82530] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1605), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82573] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2540), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2538), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82616] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82659] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2495), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2493), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82702] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82745] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1655), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1652), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1648), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82792] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(670), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82839] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(670), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82886] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82931] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [82976] = 4,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83021] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83064] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83107] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1628), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1623), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83150] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2548), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2546), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83193] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2552), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2550), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83236] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2491), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2489), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83279] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2467), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2465), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83322] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2495), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2493), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83365] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2513), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2511), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83408] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2525), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2523), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83451] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2529), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2527), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83494] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2533), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2531), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83537] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1637), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83580] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2540), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2538), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83623] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2471), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2469), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83666] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2475), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2473), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83709] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2479), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2477), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83752] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2483), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2481), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83795] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2487), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2485), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83838] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2517), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2515), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83881] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2501), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2499), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83924] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2505), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2503), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [83967] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2552), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2550), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84010] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2467), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2465), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84053] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2471), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2469), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84096] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2475), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2473), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84139] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2479), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2477), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84182] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2483), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2481), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84225] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2487), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2485), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84268] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2525), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2523), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84311] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2501), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2499), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84354] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2505), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2503), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84397] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2509), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2507), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84440] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2529), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2527), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84483] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1605), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84526] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2533), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2531), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84569] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2517), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2515), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84612] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2521), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2519), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84655] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2491), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2489), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84698] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2540), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2538), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84741] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2509), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2507), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84784] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2550), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84827] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2467), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2465), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84870] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2471), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2469), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84913] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2521), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2519), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84956] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2475), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2473), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [84999] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2479), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2477), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85042] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85085] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2483), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2481), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85128] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2487), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2485), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85171] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2517), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2515), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85214] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85257] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1664), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85300] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1676), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85343] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1605), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85386] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1676), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85429] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2501), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2499), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85472] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2505), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2503), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85515] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1668), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1666), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85558] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1668), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1666), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85601] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2509), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2507), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85644] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2505), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2503), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85687] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(670), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85734] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2521), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2519), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85777] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85820] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1614), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1609), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85863] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1676), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85906] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1676), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85949] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1668), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1666), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [85992] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1668), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1666), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86035] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2447), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2445), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86078] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(670), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86125] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(670), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86172] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1655), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1652), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1648), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86219] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2460), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2458), 30,
      sym_string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86262] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1609), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1614), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1563), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [86307] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1552), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1563), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [86352] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1623), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1628), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1630), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [86397] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(670), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86444] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1664), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86487] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1655), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1652), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1648), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86534] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1637), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1642), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1646), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [86579] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1655), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1652), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1648), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86626] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1614), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1609), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86669] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86712] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86755] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1676), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86798] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1676), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86841] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86884] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2517), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2515), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86927] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [86970] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(277), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(279), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(319), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [87015] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1611), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1614), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1609), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87060] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1549), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87105] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(277), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(279), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(319), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [87150] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1625), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1628), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1623), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87195] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2521), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2519), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87238] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1668), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1666), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87281] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(670), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87328] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(670), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87375] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1648), 2,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(1655), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1652), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87420] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1611), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1614), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1609), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87465] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1668), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1666), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87508] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2513), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2511), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87551] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1549), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87596] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1639), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1642), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1637), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87641] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87684] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87727] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1625), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1628), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1623), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87772] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2548), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2546), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87815] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2548), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2546), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87858] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1614), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1609), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87901] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2491), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2489), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87944] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2509), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2507), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [87987] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2495), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2493), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88030] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2513), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2511), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88073] = 7,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1655), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1650), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(1648), 12,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1652), 12,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [88124] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2525), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2523), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88167] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2529), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2527), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88210] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2533), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2531), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88253] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1628), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1623), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88296] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2540), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2538), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88339] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(763), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88386] = 5,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(763), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88433] = 5,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2542), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88480] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1637), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88523] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2491), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2489), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88566] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1639), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1642), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1637), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88611] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88654] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88697] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2495), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2493), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88740] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2513), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2511), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88783] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2501), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2499), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88826] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2552), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2550), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88869] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2467), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2465), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88912] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2471), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2469), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88955] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2475), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2473), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [88998] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2479), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2477), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89041] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2483), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2481), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89084] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2487), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2485), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89127] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1628), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1623), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89170] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1664), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89213] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89257] = 7,
    ACTIONS(1660), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1655), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1650), 4,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(1648), 12,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1652), 12,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [89307] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2529), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2527), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89349] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2533), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2531), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89391] = 6,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1655), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1650), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
    ACTIONS(1648), 12,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1652), 12,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [89439] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2540), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2538), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89481] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1605), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89523] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1670), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89565] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1664), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1662), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89607] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1676), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89649] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1676), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1674), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89691] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89735] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1668), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1666), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89777] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1668), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1666), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89819] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89863] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89907] = 4,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1655), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1652), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89951] = 4,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1655), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1652), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [89995] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1614), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1609), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90037] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90081] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2525), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2523), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90123] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90165] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(277), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90207] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1547), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90249] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2548), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2546), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90291] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1628), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1623), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90333] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1655), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1658), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1652), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1648), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90379] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1637), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90421] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2491), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2489), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90463] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2552), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2550), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90505] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2467), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2465), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90547] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2471), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2469), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90589] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2475), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2473), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90631] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2479), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2477), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90673] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2483), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2481), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90715] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2487), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2485), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90757] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(670), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90803] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2501), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2499), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90845] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2505), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2503), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90887] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2509), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2507), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90929] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(670), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [90975] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2495), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2493), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91017] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2513), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2511), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91059] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2517), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2515), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91101] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2521), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2519), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91143] = 4,
    ACTIONS(292), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(665), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(706), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91187] = 4,
    ACTIONS(1554), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1655), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1652), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91231] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1637), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1642), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1646), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91274] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1607), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1605), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91315] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1672), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1670), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91356] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1664), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1662), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91397] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1676), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1674), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91438] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1676), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1674), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91479] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1668), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1666), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91520] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1668), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1666), 19,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91561] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(706), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(665), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91604] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(706), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(665), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(663), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91647] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1652), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1655), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1648), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91690] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1655), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1652), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91731] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1655), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1652), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91772] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1655), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1652), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_is,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [91813] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1623), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1628), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1630), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91856] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1609), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1614), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1563), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91899] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1547), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1552), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1563), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91942] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(277), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(279), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(319), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [91985] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(277), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(279), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(319), 16,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [92028] = 20,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2556), 1,
      sym_identifier,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2560), 1,
      anon_sym_STAR,
    ACTIONS(2562), 1,
      anon_sym_if,
    ACTIONS(2564), 1,
      anon_sym_COLON,
    ACTIONS(2566), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    STATE(1818), 1,
      sym_string,
    STATE(1908), 1,
      sym_dotted_name,
    STATE(2238), 1,
      sym_case_pattern,
    STATE(2745), 1,
      sym_if_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2202), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2572), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1913), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92102] = 20,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2556), 1,
      sym_identifier,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2560), 1,
      anon_sym_STAR,
    ACTIONS(2562), 1,
      anon_sym_if,
    ACTIONS(2566), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2580), 1,
      anon_sym_COLON,
    STATE(1818), 1,
      sym_string,
    STATE(1908), 1,
      sym_dotted_name,
    STATE(2238), 1,
      sym_case_pattern,
    STATE(2699), 1,
      sym_if_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2202), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2572), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1913), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92176] = 18,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_STAR,
    ACTIONS(2588), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2590), 1,
      anon_sym_LBRACK,
    ACTIONS(2592), 1,
      anon_sym_RBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    STATE(1858), 1,
      sym_string,
    STATE(2080), 1,
      sym_dotted_name,
    STATE(2444), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2349), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2081), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92244] = 18,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_STAR,
    ACTIONS(2588), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2590), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2604), 1,
      anon_sym_RBRACK,
    STATE(1858), 1,
      sym_string,
    STATE(2080), 1,
      sym_dotted_name,
    STATE(2195), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2349), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2081), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92312] = 18,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(2606), 1,
      sym_identifier,
    ACTIONS(2608), 1,
      anon_sym_LPAREN,
    ACTIONS(2610), 1,
      anon_sym_RPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2618), 1,
      anon_sym_DASH,
    ACTIONS(2622), 1,
      anon_sym_LBRACE,
    ACTIONS(2624), 1,
      sym_integer,
    ACTIONS(2626), 1,
      sym_float,
    STATE(1842), 1,
      sym_string,
    STATE(2097), 1,
      sym_dotted_name,
    STATE(2261), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2432), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2620), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1993), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92380] = 18,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(2606), 1,
      sym_identifier,
    ACTIONS(2608), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2618), 1,
      anon_sym_DASH,
    ACTIONS(2622), 1,
      anon_sym_LBRACE,
    ACTIONS(2624), 1,
      sym_integer,
    ACTIONS(2626), 1,
      sym_float,
    ACTIONS(2628), 1,
      anon_sym_RPAREN,
    STATE(1842), 1,
      sym_string,
    STATE(2097), 1,
      sym_dotted_name,
    STATE(2237), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2432), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2620), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1993), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92448] = 18,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(2606), 1,
      sym_identifier,
    ACTIONS(2608), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2618), 1,
      anon_sym_DASH,
    ACTIONS(2622), 1,
      anon_sym_LBRACE,
    ACTIONS(2624), 1,
      sym_integer,
    ACTIONS(2626), 1,
      sym_float,
    ACTIONS(2630), 1,
      anon_sym_RPAREN,
    STATE(1842), 1,
      sym_string,
    STATE(2097), 1,
      sym_dotted_name,
    STATE(2261), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2432), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2620), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1993), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92516] = 18,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_STAR,
    ACTIONS(2588), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2590), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2632), 1,
      anon_sym_RBRACK,
    STATE(1858), 1,
      sym_string,
    STATE(2080), 1,
      sym_dotted_name,
    STATE(2444), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2349), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2081), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92584] = 18,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(2606), 1,
      sym_identifier,
    ACTIONS(2608), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2618), 1,
      anon_sym_DASH,
    ACTIONS(2622), 1,
      anon_sym_LBRACE,
    ACTIONS(2624), 1,
      sym_integer,
    ACTIONS(2626), 1,
      sym_float,
    ACTIONS(2634), 1,
      anon_sym_RPAREN,
    STATE(1842), 1,
      sym_string,
    STATE(2097), 1,
      sym_dotted_name,
    STATE(2261), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2432), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2620), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1993), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92652] = 18,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(2606), 1,
      sym_identifier,
    ACTIONS(2608), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2618), 1,
      anon_sym_DASH,
    ACTIONS(2622), 1,
      anon_sym_LBRACE,
    ACTIONS(2624), 1,
      sym_integer,
    ACTIONS(2626), 1,
      sym_float,
    ACTIONS(2636), 1,
      anon_sym_RPAREN,
    STATE(1842), 1,
      sym_string,
    STATE(2097), 1,
      sym_dotted_name,
    STATE(2261), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2432), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2620), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1993), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92720] = 18,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_STAR,
    ACTIONS(2588), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2590), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2638), 1,
      anon_sym_RBRACK,
    STATE(1858), 1,
      sym_string,
    STATE(2080), 1,
      sym_dotted_name,
    STATE(2444), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2349), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2081), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92788] = 18,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(2606), 1,
      sym_identifier,
    ACTIONS(2608), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2618), 1,
      anon_sym_DASH,
    ACTIONS(2622), 1,
      anon_sym_LBRACE,
    ACTIONS(2624), 1,
      sym_integer,
    ACTIONS(2626), 1,
      sym_float,
    ACTIONS(2640), 1,
      anon_sym_RPAREN,
    STATE(1842), 1,
      sym_string,
    STATE(2097), 1,
      sym_dotted_name,
    STATE(2261), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2432), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2620), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1993), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92856] = 18,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(2606), 1,
      sym_identifier,
    ACTIONS(2608), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2618), 1,
      anon_sym_DASH,
    ACTIONS(2622), 1,
      anon_sym_LBRACE,
    ACTIONS(2624), 1,
      sym_integer,
    ACTIONS(2626), 1,
      sym_float,
    ACTIONS(2642), 1,
      anon_sym_RPAREN,
    STATE(1842), 1,
      sym_string,
    STATE(2097), 1,
      sym_dotted_name,
    STATE(2261), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2432), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2620), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1993), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92924] = 18,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_STAR,
    ACTIONS(2588), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2590), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2644), 1,
      anon_sym_RBRACK,
    STATE(1858), 1,
      sym_string,
    STATE(2080), 1,
      sym_dotted_name,
    STATE(2444), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2349), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2081), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [92992] = 18,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(2606), 1,
      sym_identifier,
    ACTIONS(2608), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2618), 1,
      anon_sym_DASH,
    ACTIONS(2622), 1,
      anon_sym_LBRACE,
    ACTIONS(2624), 1,
      sym_integer,
    ACTIONS(2626), 1,
      sym_float,
    ACTIONS(2646), 1,
      anon_sym_RPAREN,
    STATE(1842), 1,
      sym_string,
    STATE(2097), 1,
      sym_dotted_name,
    STATE(2183), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2432), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2620), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1993), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93060] = 18,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_STAR,
    ACTIONS(2588), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2590), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2648), 1,
      anon_sym_RBRACK,
    STATE(1858), 1,
      sym_string,
    STATE(2080), 1,
      sym_dotted_name,
    STATE(2184), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2349), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2081), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93128] = 18,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(2606), 1,
      sym_identifier,
    ACTIONS(2608), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2618), 1,
      anon_sym_DASH,
    ACTIONS(2622), 1,
      anon_sym_LBRACE,
    ACTIONS(2624), 1,
      sym_integer,
    ACTIONS(2626), 1,
      sym_float,
    ACTIONS(2650), 1,
      anon_sym_RPAREN,
    STATE(1842), 1,
      sym_string,
    STATE(2097), 1,
      sym_dotted_name,
    STATE(2192), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2432), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2620), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1993), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93196] = 18,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(2606), 1,
      sym_identifier,
    ACTIONS(2608), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2618), 1,
      anon_sym_DASH,
    ACTIONS(2622), 1,
      anon_sym_LBRACE,
    ACTIONS(2624), 1,
      sym_integer,
    ACTIONS(2626), 1,
      sym_float,
    ACTIONS(2652), 1,
      anon_sym_RPAREN,
    STATE(1842), 1,
      sym_string,
    STATE(2097), 1,
      sym_dotted_name,
    STATE(2261), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2432), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2620), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1993), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93264] = 18,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(2606), 1,
      sym_identifier,
    ACTIONS(2608), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2618), 1,
      anon_sym_DASH,
    ACTIONS(2622), 1,
      anon_sym_LBRACE,
    ACTIONS(2624), 1,
      sym_integer,
    ACTIONS(2626), 1,
      sym_float,
    ACTIONS(2654), 1,
      anon_sym_RPAREN,
    STATE(1842), 1,
      sym_string,
    STATE(2097), 1,
      sym_dotted_name,
    STATE(2191), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2432), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2620), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1993), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93332] = 18,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(2606), 1,
      sym_identifier,
    ACTIONS(2608), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2618), 1,
      anon_sym_DASH,
    ACTIONS(2622), 1,
      anon_sym_LBRACE,
    ACTIONS(2624), 1,
      sym_integer,
    ACTIONS(2626), 1,
      sym_float,
    ACTIONS(2656), 1,
      anon_sym_RPAREN,
    STATE(1842), 1,
      sym_string,
    STATE(2097), 1,
      sym_dotted_name,
    STATE(2261), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2432), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2620), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1993), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93400] = 18,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_STAR,
    ACTIONS(2588), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2590), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2658), 1,
      anon_sym_RBRACK,
    STATE(1858), 1,
      sym_string,
    STATE(2080), 1,
      sym_dotted_name,
    STATE(2444), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2349), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2081), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93468] = 18,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(2606), 1,
      sym_identifier,
    ACTIONS(2608), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2618), 1,
      anon_sym_DASH,
    ACTIONS(2622), 1,
      anon_sym_LBRACE,
    ACTIONS(2624), 1,
      sym_integer,
    ACTIONS(2626), 1,
      sym_float,
    ACTIONS(2660), 1,
      anon_sym_RPAREN,
    STATE(1842), 1,
      sym_string,
    STATE(2097), 1,
      sym_dotted_name,
    STATE(2261), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2432), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2620), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1993), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93536] = 18,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(2606), 1,
      sym_identifier,
    ACTIONS(2608), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2618), 1,
      anon_sym_DASH,
    ACTIONS(2622), 1,
      anon_sym_LBRACE,
    ACTIONS(2624), 1,
      sym_integer,
    ACTIONS(2626), 1,
      sym_float,
    ACTIONS(2662), 1,
      anon_sym_RPAREN,
    STATE(1842), 1,
      sym_string,
    STATE(2097), 1,
      sym_dotted_name,
    STATE(2261), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2432), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2620), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1993), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93604] = 18,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(2606), 1,
      sym_identifier,
    ACTIONS(2608), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2618), 1,
      anon_sym_DASH,
    ACTIONS(2622), 1,
      anon_sym_LBRACE,
    ACTIONS(2624), 1,
      sym_integer,
    ACTIONS(2626), 1,
      sym_float,
    ACTIONS(2664), 1,
      anon_sym_RPAREN,
    STATE(1842), 1,
      sym_string,
    STATE(2097), 1,
      sym_dotted_name,
    STATE(2146), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2432), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2620), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1993), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93672] = 18,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(2606), 1,
      sym_identifier,
    ACTIONS(2608), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2618), 1,
      anon_sym_DASH,
    ACTIONS(2622), 1,
      anon_sym_LBRACE,
    ACTIONS(2624), 1,
      sym_integer,
    ACTIONS(2626), 1,
      sym_float,
    ACTIONS(2666), 1,
      anon_sym_RPAREN,
    STATE(1842), 1,
      sym_string,
    STATE(2097), 1,
      sym_dotted_name,
    STATE(2118), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2432), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2620), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1993), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93740] = 18,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_STAR,
    ACTIONS(2588), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2590), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2668), 1,
      anon_sym_RBRACK,
    STATE(1858), 1,
      sym_string,
    STATE(2080), 1,
      sym_dotted_name,
    STATE(2119), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2349), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2081), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93808] = 18,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(2606), 1,
      sym_identifier,
    ACTIONS(2608), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2618), 1,
      anon_sym_DASH,
    ACTIONS(2622), 1,
      anon_sym_LBRACE,
    ACTIONS(2624), 1,
      sym_integer,
    ACTIONS(2626), 1,
      sym_float,
    ACTIONS(2670), 1,
      anon_sym_RPAREN,
    STATE(1842), 1,
      sym_string,
    STATE(2097), 1,
      sym_dotted_name,
    STATE(2123), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2432), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2620), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1993), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93876] = 18,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(2606), 1,
      sym_identifier,
    ACTIONS(2608), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2618), 1,
      anon_sym_DASH,
    ACTIONS(2622), 1,
      anon_sym_LBRACE,
    ACTIONS(2624), 1,
      sym_integer,
    ACTIONS(2626), 1,
      sym_float,
    ACTIONS(2672), 1,
      anon_sym_RPAREN,
    STATE(1842), 1,
      sym_string,
    STATE(2097), 1,
      sym_dotted_name,
    STATE(2261), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2432), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2620), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1993), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [93944] = 18,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_STAR,
    ACTIONS(2588), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2590), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2674), 1,
      anon_sym_RBRACK,
    STATE(1858), 1,
      sym_string,
    STATE(2080), 1,
      sym_dotted_name,
    STATE(2444), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2349), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2081), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94012] = 18,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(2606), 1,
      sym_identifier,
    ACTIONS(2608), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2618), 1,
      anon_sym_DASH,
    ACTIONS(2622), 1,
      anon_sym_LBRACE,
    ACTIONS(2624), 1,
      sym_integer,
    ACTIONS(2626), 1,
      sym_float,
    ACTIONS(2676), 1,
      anon_sym_RPAREN,
    STATE(1842), 1,
      sym_string,
    STATE(2097), 1,
      sym_dotted_name,
    STATE(2261), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2432), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2620), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1993), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94080] = 18,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(2606), 1,
      sym_identifier,
    ACTIONS(2608), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2618), 1,
      anon_sym_DASH,
    ACTIONS(2622), 1,
      anon_sym_LBRACE,
    ACTIONS(2624), 1,
      sym_integer,
    ACTIONS(2626), 1,
      sym_float,
    ACTIONS(2678), 1,
      anon_sym_RPAREN,
    STATE(1842), 1,
      sym_string,
    STATE(2097), 1,
      sym_dotted_name,
    STATE(2261), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2432), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2620), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1993), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94148] = 18,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(2606), 1,
      sym_identifier,
    ACTIONS(2608), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2618), 1,
      anon_sym_DASH,
    ACTIONS(2622), 1,
      anon_sym_LBRACE,
    ACTIONS(2624), 1,
      sym_integer,
    ACTIONS(2626), 1,
      sym_float,
    ACTIONS(2680), 1,
      anon_sym_RPAREN,
    STATE(1842), 1,
      sym_string,
    STATE(2097), 1,
      sym_dotted_name,
    STATE(2261), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2432), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2620), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1993), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94216] = 18,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(2606), 1,
      sym_identifier,
    ACTIONS(2608), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2618), 1,
      anon_sym_DASH,
    ACTIONS(2622), 1,
      anon_sym_LBRACE,
    ACTIONS(2624), 1,
      sym_integer,
    ACTIONS(2626), 1,
      sym_float,
    ACTIONS(2682), 1,
      anon_sym_RPAREN,
    STATE(1842), 1,
      sym_string,
    STATE(2097), 1,
      sym_dotted_name,
    STATE(2261), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2432), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2620), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1993), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94284] = 18,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(2606), 1,
      sym_identifier,
    ACTIONS(2608), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2618), 1,
      anon_sym_DASH,
    ACTIONS(2622), 1,
      anon_sym_LBRACE,
    ACTIONS(2624), 1,
      sym_integer,
    ACTIONS(2626), 1,
      sym_float,
    ACTIONS(2684), 1,
      anon_sym_RPAREN,
    STATE(1842), 1,
      sym_string,
    STATE(2097), 1,
      sym_dotted_name,
    STATE(2261), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2432), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2620), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1993), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94352] = 18,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(2606), 1,
      sym_identifier,
    ACTIONS(2608), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2618), 1,
      anon_sym_DASH,
    ACTIONS(2622), 1,
      anon_sym_LBRACE,
    ACTIONS(2624), 1,
      sym_integer,
    ACTIONS(2626), 1,
      sym_float,
    ACTIONS(2686), 1,
      anon_sym_RPAREN,
    STATE(1842), 1,
      sym_string,
    STATE(2097), 1,
      sym_dotted_name,
    STATE(2188), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2432), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2620), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1993), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94420] = 18,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_STAR,
    ACTIONS(2588), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2590), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2688), 1,
      anon_sym_RBRACK,
    STATE(1858), 1,
      sym_string,
    STATE(2080), 1,
      sym_dotted_name,
    STATE(2198), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2349), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2081), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94488] = 18,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_STAR,
    ACTIONS(2588), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2590), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2690), 1,
      anon_sym_RBRACK,
    STATE(1858), 1,
      sym_string,
    STATE(2080), 1,
      sym_dotted_name,
    STATE(2444), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2349), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2081), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94556] = 18,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_STAR,
    ACTIONS(2588), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2590), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2692), 1,
      anon_sym_RBRACK,
    STATE(1858), 1,
      sym_string,
    STATE(2080), 1,
      sym_dotted_name,
    STATE(2444), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2349), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2081), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94624] = 17,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(2606), 1,
      sym_identifier,
    ACTIONS(2608), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2618), 1,
      anon_sym_DASH,
    ACTIONS(2622), 1,
      anon_sym_LBRACE,
    ACTIONS(2624), 1,
      sym_integer,
    ACTIONS(2626), 1,
      sym_float,
    STATE(1842), 1,
      sym_string,
    STATE(2097), 1,
      sym_dotted_name,
    STATE(2261), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2432), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2620), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1993), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94689] = 17,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(2582), 1,
      sym_identifier,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_STAR,
    ACTIONS(2588), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2590), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    STATE(1858), 1,
      sym_string,
    STATE(2080), 1,
      sym_dotted_name,
    STATE(2444), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2349), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2596), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2081), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94754] = 17,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(2694), 1,
      sym_identifier,
    ACTIONS(2696), 1,
      anon_sym_LPAREN,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2702), 1,
      anon_sym_LBRACK,
    ACTIONS(2704), 1,
      anon_sym_DASH,
    ACTIONS(2708), 1,
      anon_sym_LBRACE,
    ACTIONS(2710), 1,
      sym_integer,
    ACTIONS(2712), 1,
      sym_float,
    STATE(1847), 1,
      sym_string,
    STATE(2067), 1,
      sym_dotted_name,
    STATE(2396), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2257), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2706), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2068), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94819] = 17,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2556), 1,
      sym_identifier,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2560), 1,
      anon_sym_STAR,
    ACTIONS(2566), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    STATE(1818), 1,
      sym_string,
    STATE(1908), 1,
      sym_dotted_name,
    STATE(2238), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2202), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2572), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1913), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94884] = 17,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2556), 1,
      sym_identifier,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2560), 1,
      anon_sym_STAR,
    ACTIONS(2566), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    STATE(1818), 1,
      sym_string,
    STATE(1908), 1,
      sym_dotted_name,
    STATE(1912), 1,
      sym_case_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2202), 2,
      sym__as_pattern,
      sym_keyword_pattern,
    ACTIONS(2572), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1913), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [94949] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2718), 1,
      anon_sym_RBRACE,
    STATE(1818), 1,
      sym_string,
    STATE(1908), 1,
      sym_dotted_name,
    STATE(2113), 1,
      sym_splat_pattern,
    STATE(2540), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95015] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2720), 1,
      anon_sym_RBRACE,
    STATE(1818), 1,
      sym_string,
    STATE(1908), 1,
      sym_dotted_name,
    STATE(2113), 1,
      sym_splat_pattern,
    STATE(2540), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95081] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2722), 1,
      anon_sym_RBRACE,
    STATE(1818), 1,
      sym_string,
    STATE(1908), 1,
      sym_dotted_name,
    STATE(2113), 1,
      sym_splat_pattern,
    STATE(2540), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95147] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2724), 1,
      anon_sym_RBRACE,
    STATE(1818), 1,
      sym_string,
    STATE(1908), 1,
      sym_dotted_name,
    STATE(2035), 1,
      sym_splat_pattern,
    STATE(2467), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95213] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2726), 1,
      anon_sym_RBRACE,
    STATE(1818), 1,
      sym_string,
    STATE(1908), 1,
      sym_dotted_name,
    STATE(2113), 1,
      sym_splat_pattern,
    STATE(2540), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95279] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2728), 1,
      anon_sym_RBRACE,
    STATE(1818), 1,
      sym_string,
    STATE(1908), 1,
      sym_dotted_name,
    STATE(2113), 1,
      sym_splat_pattern,
    STATE(2540), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95345] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2730), 1,
      anon_sym_RBRACE,
    STATE(1818), 1,
      sym_string,
    STATE(1908), 1,
      sym_dotted_name,
    STATE(2113), 1,
      sym_splat_pattern,
    STATE(2540), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95411] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2732), 1,
      anon_sym_RBRACE,
    STATE(1818), 1,
      sym_string,
    STATE(1908), 1,
      sym_dotted_name,
    STATE(2066), 1,
      sym_splat_pattern,
    STATE(2243), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95477] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2734), 1,
      anon_sym_RBRACE,
    STATE(1818), 1,
      sym_string,
    STATE(1908), 1,
      sym_dotted_name,
    STATE(2113), 1,
      sym_splat_pattern,
    STATE(2540), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95543] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2736), 1,
      anon_sym_RBRACE,
    STATE(1818), 1,
      sym_string,
    STATE(1908), 1,
      sym_dotted_name,
    STATE(2109), 1,
      sym_splat_pattern,
    STATE(2393), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95609] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2738), 1,
      anon_sym_RBRACE,
    STATE(1818), 1,
      sym_string,
    STATE(1908), 1,
      sym_dotted_name,
    STATE(2113), 1,
      sym_splat_pattern,
    STATE(2540), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95675] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2740), 1,
      anon_sym_RBRACE,
    STATE(1818), 1,
      sym_string,
    STATE(1908), 1,
      sym_dotted_name,
    STATE(2113), 1,
      sym_splat_pattern,
    STATE(2540), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95741] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2742), 1,
      anon_sym_RBRACE,
    STATE(1818), 1,
      sym_string,
    STATE(1908), 1,
      sym_dotted_name,
    STATE(2113), 1,
      sym_splat_pattern,
    STATE(2540), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95807] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2744), 1,
      anon_sym_RBRACE,
    STATE(1818), 1,
      sym_string,
    STATE(1908), 1,
      sym_dotted_name,
    STATE(2113), 1,
      sym_splat_pattern,
    STATE(2540), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95873] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2746), 1,
      anon_sym_RBRACE,
    STATE(1818), 1,
      sym_string,
    STATE(1908), 1,
      sym_dotted_name,
    STATE(2113), 1,
      sym_splat_pattern,
    STATE(2540), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [95939] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2748), 1,
      anon_sym_RBRACE,
    STATE(1818), 1,
      sym_string,
    STATE(1908), 1,
      sym_dotted_name,
    STATE(2113), 1,
      sym_splat_pattern,
    STATE(2540), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96005] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2750), 1,
      anon_sym_RBRACE,
    STATE(1818), 1,
      sym_string,
    STATE(1908), 1,
      sym_dotted_name,
    STATE(2113), 1,
      sym_splat_pattern,
    STATE(2540), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96071] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2752), 1,
      anon_sym_RBRACE,
    STATE(1818), 1,
      sym_string,
    STATE(1908), 1,
      sym_dotted_name,
    STATE(2113), 1,
      sym_splat_pattern,
    STATE(2540), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96137] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2754), 1,
      anon_sym_RBRACE,
    STATE(1818), 1,
      sym_string,
    STATE(1908), 1,
      sym_dotted_name,
    STATE(2062), 1,
      sym_splat_pattern,
    STATE(2459), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96203] = 18,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2756), 1,
      anon_sym_RBRACE,
    STATE(1818), 1,
      sym_string,
    STATE(1908), 1,
      sym_dotted_name,
    STATE(2113), 1,
      sym_splat_pattern,
    STATE(2540), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96269] = 17,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2714), 1,
      sym_identifier,
    STATE(1818), 1,
      sym_string,
    STATE(1908), 1,
      sym_dotted_name,
    STATE(2113), 1,
      sym_splat_pattern,
    STATE(2540), 1,
      sym__key_value_pattern,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2716), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2453), 8,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96332] = 15,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_STAR,
    ACTIONS(2588), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2590), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2758), 1,
      sym_identifier,
    STATE(1858), 1,
      sym_string,
    STATE(2080), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2760), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2098), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96390] = 15,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(2584), 1,
      anon_sym_LPAREN,
    ACTIONS(2586), 1,
      anon_sym_STAR,
    ACTIONS(2588), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2590), 1,
      anon_sym_LBRACK,
    ACTIONS(2594), 1,
      anon_sym_DASH,
    ACTIONS(2598), 1,
      anon_sym_LBRACE,
    ACTIONS(2600), 1,
      sym_integer,
    ACTIONS(2602), 1,
      sym_float,
    ACTIONS(2758), 1,
      sym_identifier,
    STATE(1858), 1,
      sym_string,
    STATE(2080), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2762), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2102), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96448] = 15,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2560), 1,
      anon_sym_STAR,
    ACTIONS(2566), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2714), 1,
      sym_identifier,
    STATE(1818), 1,
      sym_string,
    STATE(1908), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2764), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1893), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96506] = 15,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(2696), 1,
      anon_sym_LPAREN,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2702), 1,
      anon_sym_LBRACK,
    ACTIONS(2704), 1,
      anon_sym_DASH,
    ACTIONS(2708), 1,
      anon_sym_LBRACE,
    ACTIONS(2710), 1,
      sym_integer,
    ACTIONS(2712), 1,
      sym_float,
    ACTIONS(2766), 1,
      sym_identifier,
    STATE(1847), 1,
      sym_string,
    STATE(2067), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2768), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2073), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96564] = 15,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(2696), 1,
      anon_sym_LPAREN,
    ACTIONS(2698), 1,
      anon_sym_STAR,
    ACTIONS(2700), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2702), 1,
      anon_sym_LBRACK,
    ACTIONS(2704), 1,
      anon_sym_DASH,
    ACTIONS(2708), 1,
      anon_sym_LBRACE,
    ACTIONS(2710), 1,
      sym_integer,
    ACTIONS(2712), 1,
      sym_float,
    ACTIONS(2766), 1,
      sym_identifier,
    STATE(1847), 1,
      sym_string,
    STATE(2067), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2770), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2074), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96622] = 9,
    ACTIONS(2777), 1,
      anon_sym_EQ,
    ACTIONS(2779), 1,
      anon_sym_not,
    ACTIONS(2782), 1,
      anon_sym_is,
    STATE(1554), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2785), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(901), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2774), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2772), 11,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [96668] = 9,
    ACTIONS(2102), 1,
      anon_sym_not,
    ACTIONS(2108), 1,
      anon_sym_is,
    ACTIONS(2790), 1,
      anon_sym_EQ,
    STATE(1554), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2110), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(901), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2088), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2788), 11,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [96714] = 15,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(2558), 1,
      anon_sym_LPAREN,
    ACTIONS(2560), 1,
      anon_sym_STAR,
    ACTIONS(2566), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2568), 1,
      anon_sym_LBRACK,
    ACTIONS(2570), 1,
      anon_sym_DASH,
    ACTIONS(2574), 1,
      anon_sym_LBRACE,
    ACTIONS(2576), 1,
      sym_integer,
    ACTIONS(2578), 1,
      sym_float,
    ACTIONS(2714), 1,
      sym_identifier,
    STATE(1818), 1,
      sym_string,
    STATE(1908), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2792), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(1942), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96772] = 15,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(2608), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2618), 1,
      anon_sym_DASH,
    ACTIONS(2622), 1,
      anon_sym_LBRACE,
    ACTIONS(2624), 1,
      sym_integer,
    ACTIONS(2626), 1,
      sym_float,
    ACTIONS(2794), 1,
      sym_identifier,
    STATE(1842), 1,
      sym_string,
    STATE(2097), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2796), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2022), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96830] = 15,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(2608), 1,
      anon_sym_LPAREN,
    ACTIONS(2612), 1,
      anon_sym_STAR,
    ACTIONS(2614), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2616), 1,
      anon_sym_LBRACK,
    ACTIONS(2618), 1,
      anon_sym_DASH,
    ACTIONS(2622), 1,
      anon_sym_LBRACE,
    ACTIONS(2624), 1,
      sym_integer,
    ACTIONS(2626), 1,
      sym_float,
    ACTIONS(2794), 1,
      sym_identifier,
    STATE(1842), 1,
      sym_string,
    STATE(2097), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2798), 4,
      anon_sym__,
      sym_true,
      sym_false,
      sym_none,
    STATE(2004), 9,
      sym__simple_pattern,
      sym_union_pattern,
      sym__list_pattern,
      sym__tuple_pattern,
      sym_dict_pattern,
      sym_splat_pattern,
      sym_class_pattern,
      sym_complex_pattern,
      sym_concatenated_string,
  [96888] = 9,
    ACTIONS(2102), 1,
      anon_sym_not,
    ACTIONS(2356), 1,
      anon_sym_is,
    ACTIONS(2790), 1,
      anon_sym_EQ,
    STATE(1562), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2358), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(898), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2340), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2788), 9,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [96932] = 9,
    ACTIONS(2777), 1,
      anon_sym_EQ,
    ACTIONS(2779), 1,
      anon_sym_not,
    ACTIONS(2803), 1,
      anon_sym_is,
    STATE(1560), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2806), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(928), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2800), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2772), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [96976] = 9,
    ACTIONS(2102), 1,
      anon_sym_not,
    ACTIONS(2391), 1,
      anon_sym_is,
    ACTIONS(2790), 1,
      anon_sym_EQ,
    STATE(1560), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2393), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(928), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2375), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2788), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [97020] = 9,
    ACTIONS(2777), 1,
      anon_sym_EQ,
    ACTIONS(2779), 1,
      anon_sym_not,
    ACTIONS(2812), 1,
      anon_sym_is,
    STATE(1562), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2815), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(898), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2809), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2772), 9,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [97064] = 8,
    ACTIONS(2779), 1,
      anon_sym_not,
    ACTIONS(2821), 1,
      anon_sym_is,
    STATE(1563), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2824), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(941), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2818), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2772), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [97105] = 9,
    ACTIONS(2777), 1,
      anon_sym_EQ,
    ACTIONS(2779), 1,
      anon_sym_not,
    ACTIONS(2830), 1,
      anon_sym_is,
    STATE(1564), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2833), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(940), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2827), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2772), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [97148] = 9,
    ACTIONS(2102), 1,
      anon_sym_not,
    ACTIONS(2212), 1,
      anon_sym_is,
    ACTIONS(2790), 1,
      anon_sym_as,
    STATE(1568), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2214), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(873), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2196), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2788), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [97191] = 8,
    ACTIONS(2102), 1,
      anon_sym_not,
    ACTIONS(2426), 1,
      anon_sym_is,
    STATE(1563), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2428), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(941), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2410), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2788), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [97232] = 9,
    ACTIONS(2102), 1,
      anon_sym_not,
    ACTIONS(2184), 1,
      anon_sym_is,
    ACTIONS(2790), 1,
      anon_sym_EQ,
    STATE(1564), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2186), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(940), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2168), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2788), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [97275] = 9,
    ACTIONS(2777), 1,
      anon_sym_as,
    ACTIONS(2779), 1,
      anon_sym_not,
    ACTIONS(2839), 1,
      anon_sym_is,
    STATE(1568), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2842), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(873), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2836), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2772), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [97318] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2847), 10,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2845), 11,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_type,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [97348] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(319), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97380] = 9,
    ACTIONS(2102), 1,
      anon_sym_not,
    ACTIONS(2292), 1,
      anon_sym_is,
    ACTIONS(2790), 1,
      anon_sym_as,
    STATE(1575), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2294), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(889), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2276), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2788), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [97422] = 9,
    ACTIONS(2102), 1,
      anon_sym_not,
    ACTIONS(2324), 1,
      anon_sym_is,
    ACTIONS(2790), 1,
      anon_sym_as,
    STATE(1579), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2326), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(869), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2308), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2788), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [97464] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2851), 10,
      sym_string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_TILDE,
      sym_ellipsis,
      sym_float,
    ACTIONS(2849), 11,
      anon_sym_print,
      anon_sym_match,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_type,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [97494] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(1637), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97526] = 9,
    ACTIONS(2777), 1,
      anon_sym_as,
    ACTIONS(2779), 1,
      anon_sym_not,
    ACTIONS(2856), 1,
      anon_sym_is,
    STATE(1575), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2859), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(889), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2853), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2772), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [97568] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1563), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(1547), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97600] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(319), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97632] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1614), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1563), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(1609), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97664] = 9,
    ACTIONS(2777), 1,
      anon_sym_as,
    ACTIONS(2779), 1,
      anon_sym_not,
    ACTIONS(2865), 1,
      anon_sym_is,
    STATE(1579), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2868), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(869), 2,
      sym__not_in,
      sym__is_not,
    ACTIONS(2862), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2772), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [97706] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1628), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
    ACTIONS(1623), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97738] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(663), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97768] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(663), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97798] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1547), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97828] = 4,
    ACTIONS(2871), 1,
      anon_sym_COMMA,
    STATE(1587), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(959), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [97858] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2873), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1547), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97888] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1415), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97918] = 4,
    ACTIONS(2877), 1,
      anon_sym_COMMA,
    STATE(1587), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2875), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [97948] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1415), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [97978] = 13,
    ACTIONS(2160), 1,
      anon_sym_DOT,
    ACTIONS(2172), 1,
      anon_sym_LBRACK,
    ACTIONS(2369), 1,
      anon_sym_LPAREN,
    ACTIONS(2377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2385), 1,
      anon_sym_PIPE,
    ACTIONS(2387), 1,
      anon_sym_AMP,
    ACTIONS(2389), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2373), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1403), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2381), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [98025] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1563), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1614), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98054] = 13,
    ACTIONS(2328), 1,
      anon_sym_DOT,
    ACTIONS(2330), 1,
      anon_sym_LBRACK,
    ACTIONS(2369), 1,
      anon_sym_LPAREN,
    ACTIONS(2377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2385), 1,
      anon_sym_PIPE,
    ACTIONS(2387), 1,
      anon_sym_AMP,
    ACTIONS(2389), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2373), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1403), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2381), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [98101] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1563), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [98126] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1628), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(1623), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98155] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(319), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98184] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(319), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98213] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1563), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1614), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98242] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1563), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1547), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98271] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1563), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1547), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98300] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1628), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1623), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98329] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1637), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98358] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(319), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98387] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(319), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98416] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1563), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(1614), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1609), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98445] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2880), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [98470] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1415), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98499] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1628), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1630), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1623), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98528] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1648), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1547), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98557] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(663), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98586] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(663), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98615] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2875), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [98640] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2873), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1547), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98669] = 13,
    ACTIONS(2367), 1,
      anon_sym_DOT,
    ACTIONS(2369), 1,
      anon_sym_LPAREN,
    ACTIONS(2377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2379), 1,
      anon_sym_LBRACK,
    ACTIONS(2385), 1,
      anon_sym_PIPE,
    ACTIONS(2387), 1,
      anon_sym_AMP,
    ACTIONS(2389), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2373), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1403), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2381), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [98716] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1552), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1563), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(1547), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [98745] = 13,
    ACTIONS(2080), 1,
      anon_sym_DOT,
    ACTIONS(2094), 1,
      anon_sym_LBRACK,
    ACTIONS(2369), 1,
      anon_sym_LPAREN,
    ACTIONS(2377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2385), 1,
      anon_sym_PIPE,
    ACTIONS(2387), 1,
      anon_sym_AMP,
    ACTIONS(2389), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2373), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1403), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2381), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [98792] = 13,
    ACTIONS(2268), 1,
      anon_sym_DOT,
    ACTIONS(2280), 1,
      anon_sym_LBRACK,
    ACTIONS(2369), 1,
      anon_sym_LPAREN,
    ACTIONS(2377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2385), 1,
      anon_sym_PIPE,
    ACTIONS(2387), 1,
      anon_sym_AMP,
    ACTIONS(2389), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2373), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1403), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2381), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [98839] = 13,
    ACTIONS(2369), 1,
      anon_sym_LPAREN,
    ACTIONS(2377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2385), 1,
      anon_sym_PIPE,
    ACTIONS(2387), 1,
      anon_sym_AMP,
    ACTIONS(2389), 1,
      anon_sym_CARET,
    ACTIONS(2882), 1,
      anon_sym_DOT,
    ACTIONS(2884), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2373), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1403), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2381), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [98886] = 13,
    ACTIONS(2332), 1,
      anon_sym_DOT,
    ACTIONS(2344), 1,
      anon_sym_LBRACK,
    ACTIONS(2369), 1,
      anon_sym_LPAREN,
    ACTIONS(2377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2385), 1,
      anon_sym_PIPE,
    ACTIONS(2387), 1,
      anon_sym_AMP,
    ACTIONS(2389), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2373), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1403), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2381), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [98933] = 13,
    ACTIONS(2369), 1,
      anon_sym_LPAREN,
    ACTIONS(2377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2385), 1,
      anon_sym_PIPE,
    ACTIONS(2387), 1,
      anon_sym_AMP,
    ACTIONS(2389), 1,
      anon_sym_CARET,
    ACTIONS(2402), 1,
      anon_sym_DOT,
    ACTIONS(2414), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2373), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1403), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2381), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [98980] = 13,
    ACTIONS(2300), 1,
      anon_sym_DOT,
    ACTIONS(2312), 1,
      anon_sym_LBRACK,
    ACTIONS(2369), 1,
      anon_sym_LPAREN,
    ACTIONS(2377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2385), 1,
      anon_sym_PIPE,
    ACTIONS(2387), 1,
      anon_sym_AMP,
    ACTIONS(2389), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2373), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1403), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2381), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [99027] = 13,
    ACTIONS(2188), 1,
      anon_sym_DOT,
    ACTIONS(2200), 1,
      anon_sym_LBRACK,
    ACTIONS(2369), 1,
      anon_sym_LPAREN,
    ACTIONS(2377), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2385), 1,
      anon_sym_PIPE,
    ACTIONS(2387), 1,
      anon_sym_AMP,
    ACTIONS(2389), 1,
      anon_sym_CARET,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2371), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2373), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2383), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    STATE(1403), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2381), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [99074] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1637), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99103] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1642), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1646), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(1637), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99132] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(319), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99161] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(319), 2,
      anon_sym_COMMA,
      anon_sym_in,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99190] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(279), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1415), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(277), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [99219] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2886), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99244] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2880), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99268] = 13,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2894), 1,
      anon_sym_COLON,
    ACTIONS(2896), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2898), 1,
      anon_sym_SLASH,
    STATE(2457), 1,
      sym_parameter,
    STATE(2458), 1,
      sym_tuple_pattern,
    STATE(2639), 1,
      sym_lambda_parameters,
    STATE(2718), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2580), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2577), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99314] = 13,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2898), 1,
      anon_sym_SLASH,
    ACTIONS(2900), 1,
      anon_sym_COLON,
    STATE(2457), 1,
      sym_parameter,
    STATE(2458), 1,
      sym_tuple_pattern,
    STATE(2711), 1,
      sym_lambda_parameters,
    STATE(2718), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2580), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2577), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99360] = 5,
    ACTIONS(2904), 1,
      anon_sym_COLON,
    ACTIONS(2906), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2902), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(2908), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99390] = 13,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2898), 1,
      anon_sym_SLASH,
    ACTIONS(2910), 1,
      anon_sym_COLON,
    STATE(2457), 1,
      sym_parameter,
    STATE(2458), 1,
      sym_tuple_pattern,
    STATE(2671), 1,
      sym_lambda_parameters,
    STATE(2718), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2580), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2577), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99436] = 6,
    ACTIONS(2904), 1,
      anon_sym_COLON,
    ACTIONS(2906), 1,
      anon_sym_EQ,
    ACTIONS(2912), 1,
      anon_sym_COMMA,
    STATE(1584), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2908), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99468] = 13,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2898), 1,
      anon_sym_SLASH,
    ACTIONS(2914), 1,
      anon_sym_COLON,
    STATE(2457), 1,
      sym_parameter,
    STATE(2458), 1,
      sym_tuple_pattern,
    STATE(2718), 1,
      sym__parameters,
    STATE(2724), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2580), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2577), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99514] = 6,
    ACTIONS(2904), 1,
      anon_sym_COLON,
    ACTIONS(2906), 1,
      anon_sym_EQ,
    ACTIONS(2916), 1,
      anon_sym_COMMA,
    STATE(1644), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2908), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99546] = 13,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2898), 1,
      anon_sym_SLASH,
    ACTIONS(2918), 1,
      anon_sym_COLON,
    STATE(2457), 1,
      sym_parameter,
    STATE(2458), 1,
      sym_tuple_pattern,
    STATE(2718), 1,
      sym__parameters,
    STATE(2750), 1,
      sym_lambda_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2580), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2577), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99592] = 13,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2898), 1,
      anon_sym_SLASH,
    ACTIONS(2920), 1,
      anon_sym_COLON,
    STATE(2457), 1,
      sym_parameter,
    STATE(2458), 1,
      sym_tuple_pattern,
    STATE(2600), 1,
      sym_lambda_parameters,
    STATE(2718), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2580), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2577), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99638] = 13,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2898), 1,
      anon_sym_SLASH,
    ACTIONS(2922), 1,
      anon_sym_COLON,
    STATE(2457), 1,
      sym_parameter,
    STATE(2458), 1,
      sym_tuple_pattern,
    STATE(2677), 1,
      sym_lambda_parameters,
    STATE(2718), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2580), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2577), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99684] = 13,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2898), 1,
      anon_sym_SLASH,
    ACTIONS(2924), 1,
      anon_sym_COLON,
    STATE(2457), 1,
      sym_parameter,
    STATE(2458), 1,
      sym_tuple_pattern,
    STATE(2682), 1,
      sym_lambda_parameters,
    STATE(2718), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2580), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2577), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99730] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2875), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99754] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1563), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99778] = 4,
    ACTIONS(2926), 1,
      anon_sym_COMMA,
    STATE(1641), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2875), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99806] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2886), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99830] = 13,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2898), 1,
      anon_sym_SLASH,
    ACTIONS(2929), 1,
      anon_sym_COLON,
    STATE(2457), 1,
      sym_parameter,
    STATE(2458), 1,
      sym_tuple_pattern,
    STATE(2609), 1,
      sym_lambda_parameters,
    STATE(2718), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2580), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2577), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99876] = 4,
    ACTIONS(2931), 1,
      anon_sym_COMMA,
    STATE(1641), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(959), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [99904] = 13,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2898), 1,
      anon_sym_SLASH,
    ACTIONS(2933), 1,
      anon_sym_COLON,
    STATE(2457), 1,
      sym_parameter,
    STATE(2458), 1,
      sym_tuple_pattern,
    STATE(2717), 1,
      sym_lambda_parameters,
    STATE(2718), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2580), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2577), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99950] = 13,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2898), 1,
      anon_sym_SLASH,
    ACTIONS(2935), 1,
      anon_sym_COLON,
    STATE(2457), 1,
      sym_parameter,
    STATE(2458), 1,
      sym_tuple_pattern,
    STATE(2655), 1,
      sym_lambda_parameters,
    STATE(2718), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2580), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2577), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [99996] = 12,
    ACTIONS(2937), 1,
      sym_identifier,
    ACTIONS(2939), 1,
      anon_sym_LPAREN,
    ACTIONS(2941), 1,
      anon_sym_RPAREN,
    ACTIONS(2943), 1,
      anon_sym_STAR,
    ACTIONS(2945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2947), 1,
      anon_sym_SLASH,
    STATE(2482), 1,
      sym_parameter,
    STATE(2487), 1,
      sym_tuple_pattern,
    STATE(2763), 1,
      sym__parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2489), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2537), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100039] = 4,
    ACTIONS(2904), 1,
      anon_sym_COLON,
    ACTIONS(2906), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2908), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [100065] = 11,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2898), 1,
      anon_sym_SLASH,
    ACTIONS(2949), 1,
      anon_sym_COLON,
    STATE(2458), 1,
      sym_tuple_pattern,
    STATE(2549), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2580), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2577), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100105] = 11,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2898), 1,
      anon_sym_SLASH,
    ACTIONS(2951), 1,
      anon_sym_COLON,
    STATE(2458), 1,
      sym_tuple_pattern,
    STATE(2549), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2580), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2577), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100145] = 11,
    ACTIONS(2937), 1,
      sym_identifier,
    ACTIONS(2939), 1,
      anon_sym_LPAREN,
    ACTIONS(2943), 1,
      anon_sym_STAR,
    ACTIONS(2945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2947), 1,
      anon_sym_SLASH,
    ACTIONS(2949), 1,
      anon_sym_RPAREN,
    STATE(2487), 1,
      sym_tuple_pattern,
    STATE(2593), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2489), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2537), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100185] = 11,
    ACTIONS(2937), 1,
      sym_identifier,
    ACTIONS(2939), 1,
      anon_sym_LPAREN,
    ACTIONS(2943), 1,
      anon_sym_STAR,
    ACTIONS(2945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2947), 1,
      anon_sym_SLASH,
    ACTIONS(2951), 1,
      anon_sym_RPAREN,
    STATE(2487), 1,
      sym_tuple_pattern,
    STATE(2593), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2489), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2537), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100225] = 10,
    ACTIONS(2888), 1,
      sym_identifier,
    ACTIONS(2890), 1,
      anon_sym_LPAREN,
    ACTIONS(2892), 1,
      anon_sym_STAR,
    ACTIONS(2896), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2898), 1,
      anon_sym_SLASH,
    STATE(2458), 1,
      sym_tuple_pattern,
    STATE(2549), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2580), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2577), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100262] = 10,
    ACTIONS(2937), 1,
      sym_identifier,
    ACTIONS(2939), 1,
      anon_sym_LPAREN,
    ACTIONS(2943), 1,
      anon_sym_STAR,
    ACTIONS(2945), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2947), 1,
      anon_sym_SLASH,
    STATE(2487), 1,
      sym_tuple_pattern,
    STATE(2593), 1,
      sym_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2489), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(2537), 5,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [100299] = 13,
    ACTIONS(2953), 1,
      anon_sym_COMMA,
    ACTIONS(2955), 1,
      anon_sym_as,
    ACTIONS(2957), 1,
      anon_sym_if,
    ACTIONS(2959), 1,
      anon_sym_COLON,
    ACTIONS(2961), 1,
      anon_sym_async,
    ACTIONS(2963), 1,
      anon_sym_for,
    ACTIONS(2965), 1,
      anon_sym_RBRACE,
    ACTIONS(2967), 1,
      anon_sym_and,
    ACTIONS(2969), 1,
      anon_sym_or,
    STATE(1865), 1,
      sym_for_in_clause,
    STATE(2348), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2618), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100340] = 13,
    ACTIONS(2953), 1,
      anon_sym_COMMA,
    ACTIONS(2955), 1,
      anon_sym_as,
    ACTIONS(2957), 1,
      anon_sym_if,
    ACTIONS(2959), 1,
      anon_sym_COLON,
    ACTIONS(2961), 1,
      anon_sym_async,
    ACTIONS(2963), 1,
      anon_sym_for,
    ACTIONS(2965), 1,
      anon_sym_RBRACE,
    ACTIONS(2967), 1,
      anon_sym_and,
    ACTIONS(2969), 1,
      anon_sym_or,
    STATE(1865), 1,
      sym_for_in_clause,
    STATE(2348), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2690), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100381] = 4,
    ACTIONS(2973), 1,
      anon_sym_and,
    ACTIONS(2975), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2971), 10,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [100404] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2977), 12,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [100423] = 3,
    ACTIONS(2973), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2977), 11,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_or,
  [100444] = 6,
    ACTIONS(2973), 1,
      anon_sym_and,
    ACTIONS(2975), 1,
      anon_sym_or,
    ACTIONS(2981), 1,
      anon_sym_as,
    ACTIONS(2983), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2979), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [100471] = 6,
    ACTIONS(2973), 1,
      anon_sym_and,
    ACTIONS(2975), 1,
      anon_sym_or,
    ACTIONS(2981), 1,
      anon_sym_as,
    ACTIONS(2983), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2985), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [100498] = 6,
    ACTIONS(2973), 1,
      anon_sym_and,
    ACTIONS(2975), 1,
      anon_sym_or,
    ACTIONS(2981), 1,
      anon_sym_as,
    ACTIONS(2983), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2987), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [100525] = 13,
    ACTIONS(2953), 1,
      anon_sym_COMMA,
    ACTIONS(2955), 1,
      anon_sym_as,
    ACTIONS(2957), 1,
      anon_sym_if,
    ACTIONS(2959), 1,
      anon_sym_COLON,
    ACTIONS(2961), 1,
      anon_sym_async,
    ACTIONS(2963), 1,
      anon_sym_for,
    ACTIONS(2965), 1,
      anon_sym_RBRACE,
    ACTIONS(2967), 1,
      anon_sym_and,
    ACTIONS(2969), 1,
      anon_sym_or,
    STATE(1865), 1,
      sym_for_in_clause,
    STATE(2348), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2670), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100566] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2989), 12,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [100585] = 5,
    ACTIONS(2973), 1,
      anon_sym_and,
    ACTIONS(2975), 1,
      anon_sym_or,
    ACTIONS(2993), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2991), 9,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [100610] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2078), 12,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [100629] = 13,
    ACTIONS(2953), 1,
      anon_sym_COMMA,
    ACTIONS(2955), 1,
      anon_sym_as,
    ACTIONS(2957), 1,
      anon_sym_if,
    ACTIONS(2959), 1,
      anon_sym_COLON,
    ACTIONS(2961), 1,
      anon_sym_async,
    ACTIONS(2963), 1,
      anon_sym_for,
    ACTIONS(2965), 1,
      anon_sym_RBRACE,
    ACTIONS(2967), 1,
      anon_sym_and,
    ACTIONS(2969), 1,
      anon_sym_or,
    STATE(1865), 1,
      sym_for_in_clause,
    STATE(2348), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2742), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100670] = 13,
    ACTIONS(2953), 1,
      anon_sym_COMMA,
    ACTIONS(2955), 1,
      anon_sym_as,
    ACTIONS(2957), 1,
      anon_sym_if,
    ACTIONS(2959), 1,
      anon_sym_COLON,
    ACTIONS(2961), 1,
      anon_sym_async,
    ACTIONS(2963), 1,
      anon_sym_for,
    ACTIONS(2965), 1,
      anon_sym_RBRACE,
    ACTIONS(2967), 1,
      anon_sym_and,
    ACTIONS(2969), 1,
      anon_sym_or,
    STATE(1865), 1,
      sym_for_in_clause,
    STATE(2348), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2669), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100711] = 13,
    ACTIONS(2953), 1,
      anon_sym_COMMA,
    ACTIONS(2955), 1,
      anon_sym_as,
    ACTIONS(2957), 1,
      anon_sym_if,
    ACTIONS(2959), 1,
      anon_sym_COLON,
    ACTIONS(2961), 1,
      anon_sym_async,
    ACTIONS(2963), 1,
      anon_sym_for,
    ACTIONS(2965), 1,
      anon_sym_RBRACE,
    ACTIONS(2967), 1,
      anon_sym_and,
    ACTIONS(2969), 1,
      anon_sym_or,
    STATE(1865), 1,
      sym_for_in_clause,
    STATE(2348), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2739), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100752] = 13,
    ACTIONS(2953), 1,
      anon_sym_COMMA,
    ACTIONS(2955), 1,
      anon_sym_as,
    ACTIONS(2957), 1,
      anon_sym_if,
    ACTIONS(2959), 1,
      anon_sym_COLON,
    ACTIONS(2961), 1,
      anon_sym_async,
    ACTIONS(2963), 1,
      anon_sym_for,
    ACTIONS(2965), 1,
      anon_sym_RBRACE,
    ACTIONS(2967), 1,
      anon_sym_and,
    ACTIONS(2969), 1,
      anon_sym_or,
    STATE(1865), 1,
      sym_for_in_clause,
    STATE(2348), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2727), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100793] = 13,
    ACTIONS(2953), 1,
      anon_sym_COMMA,
    ACTIONS(2955), 1,
      anon_sym_as,
    ACTIONS(2957), 1,
      anon_sym_if,
    ACTIONS(2959), 1,
      anon_sym_COLON,
    ACTIONS(2961), 1,
      anon_sym_async,
    ACTIONS(2963), 1,
      anon_sym_for,
    ACTIONS(2965), 1,
      anon_sym_RBRACE,
    ACTIONS(2967), 1,
      anon_sym_and,
    ACTIONS(2969), 1,
      anon_sym_or,
    STATE(1865), 1,
      sym_for_in_clause,
    STATE(2348), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2607), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100834] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2996), 1,
      anon_sym_LBRACE,
    ACTIONS(3000), 1,
      anon_sym_BSLASH,
    ACTIONS(3002), 1,
      sym_string_end,
    STATE(1812), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2998), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1715), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [100864] = 12,
    ACTIONS(2965), 1,
      anon_sym_RBRACK,
    ACTIONS(3004), 1,
      anon_sym_COMMA,
    ACTIONS(3006), 1,
      anon_sym_as,
    ACTIONS(3008), 1,
      anon_sym_if,
    ACTIONS(3010), 1,
      anon_sym_async,
    ACTIONS(3012), 1,
      anon_sym_for,
    ACTIONS(3014), 1,
      anon_sym_and,
    ACTIONS(3016), 1,
      anon_sym_or,
    STATE(1851), 1,
      sym_for_in_clause,
    STATE(2311), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2615), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [100902] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2996), 1,
      anon_sym_LBRACE,
    ACTIONS(3000), 1,
      anon_sym_BSLASH,
    ACTIONS(3018), 1,
      sym_string_end,
    STATE(1812), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2998), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1675), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [100932] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2996), 1,
      anon_sym_LBRACE,
    ACTIONS(3000), 1,
      anon_sym_BSLASH,
    ACTIONS(3020), 1,
      sym_string_end,
    STATE(1812), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2998), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1706), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [100962] = 12,
    ACTIONS(3022), 1,
      anon_sym_RPAREN,
    ACTIONS(3024), 1,
      anon_sym_COMMA,
    ACTIONS(3026), 1,
      anon_sym_as,
    ACTIONS(3028), 1,
      anon_sym_if,
    ACTIONS(3030), 1,
      anon_sym_async,
    ACTIONS(3032), 1,
      anon_sym_for,
    ACTIONS(3034), 1,
      anon_sym_and,
    ACTIONS(3036), 1,
      anon_sym_or,
    STATE(1843), 1,
      sym_for_in_clause,
    STATE(2254), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2660), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101000] = 12,
    ACTIONS(3026), 1,
      anon_sym_as,
    ACTIONS(3028), 1,
      anon_sym_if,
    ACTIONS(3030), 1,
      anon_sym_async,
    ACTIONS(3032), 1,
      anon_sym_for,
    ACTIONS(3034), 1,
      anon_sym_and,
    ACTIONS(3036), 1,
      anon_sym_or,
    ACTIONS(3038), 1,
      anon_sym_RPAREN,
    ACTIONS(3040), 1,
      anon_sym_COMMA,
    STATE(1843), 1,
      sym_for_in_clause,
    STATE(2335), 1,
      aux_sym_argument_list_repeat1,
    STATE(2660), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101038] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2996), 1,
      anon_sym_LBRACE,
    ACTIONS(3000), 1,
      anon_sym_BSLASH,
    ACTIONS(3042), 1,
      sym_string_end,
    STATE(1812), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2998), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1679), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101068] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2996), 1,
      anon_sym_LBRACE,
    ACTIONS(3000), 1,
      anon_sym_BSLASH,
    ACTIONS(3044), 1,
      sym_string_end,
    STATE(1812), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2998), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1706), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101098] = 12,
    ACTIONS(3024), 1,
      anon_sym_COMMA,
    ACTIONS(3026), 1,
      anon_sym_as,
    ACTIONS(3028), 1,
      anon_sym_if,
    ACTIONS(3030), 1,
      anon_sym_async,
    ACTIONS(3032), 1,
      anon_sym_for,
    ACTIONS(3034), 1,
      anon_sym_and,
    ACTIONS(3036), 1,
      anon_sym_or,
    ACTIONS(3046), 1,
      anon_sym_RPAREN,
    STATE(1843), 1,
      sym_for_in_clause,
    STATE(2254), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2726), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101136] = 12,
    ACTIONS(3024), 1,
      anon_sym_COMMA,
    ACTIONS(3026), 1,
      anon_sym_as,
    ACTIONS(3028), 1,
      anon_sym_if,
    ACTIONS(3030), 1,
      anon_sym_async,
    ACTIONS(3032), 1,
      anon_sym_for,
    ACTIONS(3034), 1,
      anon_sym_and,
    ACTIONS(3036), 1,
      anon_sym_or,
    ACTIONS(3048), 1,
      anon_sym_RPAREN,
    STATE(1843), 1,
      sym_for_in_clause,
    STATE(2254), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2707), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101174] = 12,
    ACTIONS(3026), 1,
      anon_sym_as,
    ACTIONS(3028), 1,
      anon_sym_if,
    ACTIONS(3030), 1,
      anon_sym_async,
    ACTIONS(3032), 1,
      anon_sym_for,
    ACTIONS(3034), 1,
      anon_sym_and,
    ACTIONS(3036), 1,
      anon_sym_or,
    ACTIONS(3050), 1,
      anon_sym_RPAREN,
    ACTIONS(3052), 1,
      anon_sym_COMMA,
    STATE(1843), 1,
      sym_for_in_clause,
    STATE(2472), 1,
      aux_sym_argument_list_repeat1,
    STATE(2726), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101212] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2996), 1,
      anon_sym_LBRACE,
    ACTIONS(3000), 1,
      anon_sym_BSLASH,
    ACTIONS(3054), 1,
      sym_string_end,
    STATE(1812), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2998), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1706), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101242] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2996), 1,
      anon_sym_LBRACE,
    ACTIONS(3000), 1,
      anon_sym_BSLASH,
    ACTIONS(3056), 1,
      sym_string_end,
    STATE(1812), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2998), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1685), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101272] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2996), 1,
      anon_sym_LBRACE,
    ACTIONS(3000), 1,
      anon_sym_BSLASH,
    ACTIONS(3058), 1,
      sym_string_end,
    STATE(1812), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2998), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1706), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101302] = 12,
    ACTIONS(3024), 1,
      anon_sym_COMMA,
    ACTIONS(3026), 1,
      anon_sym_as,
    ACTIONS(3028), 1,
      anon_sym_if,
    ACTIONS(3030), 1,
      anon_sym_async,
    ACTIONS(3032), 1,
      anon_sym_for,
    ACTIONS(3034), 1,
      anon_sym_and,
    ACTIONS(3036), 1,
      anon_sym_or,
    ACTIONS(3060), 1,
      anon_sym_RPAREN,
    STATE(1843), 1,
      sym_for_in_clause,
    STATE(2254), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2721), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101340] = 12,
    ACTIONS(3026), 1,
      anon_sym_as,
    ACTIONS(3028), 1,
      anon_sym_if,
    ACTIONS(3030), 1,
      anon_sym_async,
    ACTIONS(3032), 1,
      anon_sym_for,
    ACTIONS(3034), 1,
      anon_sym_and,
    ACTIONS(3036), 1,
      anon_sym_or,
    ACTIONS(3062), 1,
      anon_sym_RPAREN,
    ACTIONS(3064), 1,
      anon_sym_COMMA,
    STATE(1843), 1,
      sym_for_in_clause,
    STATE(2282), 1,
      aux_sym_argument_list_repeat1,
    STATE(2721), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101378] = 12,
    ACTIONS(3024), 1,
      anon_sym_COMMA,
    ACTIONS(3026), 1,
      anon_sym_as,
    ACTIONS(3028), 1,
      anon_sym_if,
    ACTIONS(3030), 1,
      anon_sym_async,
    ACTIONS(3032), 1,
      anon_sym_for,
    ACTIONS(3034), 1,
      anon_sym_and,
    ACTIONS(3036), 1,
      anon_sym_or,
    ACTIONS(3066), 1,
      anon_sym_RPAREN,
    STATE(1843), 1,
      sym_for_in_clause,
    STATE(2254), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2627), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101416] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2996), 1,
      anon_sym_LBRACE,
    ACTIONS(3000), 1,
      anon_sym_BSLASH,
    ACTIONS(3068), 1,
      sym_string_end,
    STATE(1812), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2998), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1690), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101446] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2996), 1,
      anon_sym_LBRACE,
    ACTIONS(3000), 1,
      anon_sym_BSLASH,
    ACTIONS(3070), 1,
      sym_string_end,
    STATE(1812), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2998), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1706), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101476] = 12,
    ACTIONS(3024), 1,
      anon_sym_COMMA,
    ACTIONS(3026), 1,
      anon_sym_as,
    ACTIONS(3028), 1,
      anon_sym_if,
    ACTIONS(3030), 1,
      anon_sym_async,
    ACTIONS(3032), 1,
      anon_sym_for,
    ACTIONS(3034), 1,
      anon_sym_and,
    ACTIONS(3036), 1,
      anon_sym_or,
    ACTIONS(3072), 1,
      anon_sym_RPAREN,
    STATE(1843), 1,
      sym_for_in_clause,
    STATE(2254), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2713), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101514] = 12,
    ACTIONS(3026), 1,
      anon_sym_as,
    ACTIONS(3028), 1,
      anon_sym_if,
    ACTIONS(3030), 1,
      anon_sym_async,
    ACTIONS(3032), 1,
      anon_sym_for,
    ACTIONS(3034), 1,
      anon_sym_and,
    ACTIONS(3036), 1,
      anon_sym_or,
    ACTIONS(3074), 1,
      anon_sym_RPAREN,
    ACTIONS(3076), 1,
      anon_sym_COMMA,
    STATE(1843), 1,
      sym_for_in_clause,
    STATE(2301), 1,
      aux_sym_argument_list_repeat1,
    STATE(2627), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101552] = 12,
    ACTIONS(3026), 1,
      anon_sym_as,
    ACTIONS(3028), 1,
      anon_sym_if,
    ACTIONS(3030), 1,
      anon_sym_async,
    ACTIONS(3032), 1,
      anon_sym_for,
    ACTIONS(3034), 1,
      anon_sym_and,
    ACTIONS(3036), 1,
      anon_sym_or,
    ACTIONS(3078), 1,
      anon_sym_RPAREN,
    ACTIONS(3080), 1,
      anon_sym_COMMA,
    STATE(1843), 1,
      sym_for_in_clause,
    STATE(2324), 1,
      aux_sym_argument_list_repeat1,
    STATE(2713), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101590] = 12,
    ACTIONS(3022), 1,
      anon_sym_RPAREN,
    ACTIONS(3026), 1,
      anon_sym_as,
    ACTIONS(3028), 1,
      anon_sym_if,
    ACTIONS(3030), 1,
      anon_sym_async,
    ACTIONS(3032), 1,
      anon_sym_for,
    ACTIONS(3034), 1,
      anon_sym_and,
    ACTIONS(3036), 1,
      anon_sym_or,
    ACTIONS(3082), 1,
      anon_sym_COMMA,
    STATE(1843), 1,
      sym_for_in_clause,
    STATE(2254), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2660), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101628] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2996), 1,
      anon_sym_LBRACE,
    ACTIONS(3000), 1,
      anon_sym_BSLASH,
    ACTIONS(3085), 1,
      sym_string_end,
    STATE(1812), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2998), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1696), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101658] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2996), 1,
      anon_sym_LBRACE,
    ACTIONS(3000), 1,
      anon_sym_BSLASH,
    ACTIONS(3087), 1,
      sym_string_end,
    STATE(1812), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2998), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1706), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101688] = 12,
    ACTIONS(3024), 1,
      anon_sym_COMMA,
    ACTIONS(3026), 1,
      anon_sym_as,
    ACTIONS(3028), 1,
      anon_sym_if,
    ACTIONS(3030), 1,
      anon_sym_async,
    ACTIONS(3032), 1,
      anon_sym_for,
    ACTIONS(3034), 1,
      anon_sym_and,
    ACTIONS(3036), 1,
      anon_sym_or,
    ACTIONS(3089), 1,
      anon_sym_RPAREN,
    STATE(1843), 1,
      sym_for_in_clause,
    STATE(2254), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2680), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101726] = 12,
    ACTIONS(3026), 1,
      anon_sym_as,
    ACTIONS(3028), 1,
      anon_sym_if,
    ACTIONS(3030), 1,
      anon_sym_async,
    ACTIONS(3032), 1,
      anon_sym_for,
    ACTIONS(3034), 1,
      anon_sym_and,
    ACTIONS(3036), 1,
      anon_sym_or,
    ACTIONS(3091), 1,
      anon_sym_RPAREN,
    ACTIONS(3093), 1,
      anon_sym_COMMA,
    STATE(1843), 1,
      sym_for_in_clause,
    STATE(2361), 1,
      aux_sym_argument_list_repeat1,
    STATE(2680), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101764] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2996), 1,
      anon_sym_LBRACE,
    ACTIONS(3000), 1,
      anon_sym_BSLASH,
    ACTIONS(3095), 1,
      sym_string_end,
    STATE(1812), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2998), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1700), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101794] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2996), 1,
      anon_sym_LBRACE,
    ACTIONS(3000), 1,
      anon_sym_BSLASH,
    ACTIONS(3097), 1,
      sym_string_end,
    STATE(1812), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2998), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1706), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101824] = 12,
    ACTIONS(3024), 1,
      anon_sym_COMMA,
    ACTIONS(3026), 1,
      anon_sym_as,
    ACTIONS(3028), 1,
      anon_sym_if,
    ACTIONS(3030), 1,
      anon_sym_async,
    ACTIONS(3032), 1,
      anon_sym_for,
    ACTIONS(3034), 1,
      anon_sym_and,
    ACTIONS(3036), 1,
      anon_sym_or,
    ACTIONS(3099), 1,
      anon_sym_RPAREN,
    STATE(1843), 1,
      sym_for_in_clause,
    STATE(2254), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2614), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101862] = 12,
    ACTIONS(3026), 1,
      anon_sym_as,
    ACTIONS(3028), 1,
      anon_sym_if,
    ACTIONS(3030), 1,
      anon_sym_async,
    ACTIONS(3032), 1,
      anon_sym_for,
    ACTIONS(3034), 1,
      anon_sym_and,
    ACTIONS(3036), 1,
      anon_sym_or,
    ACTIONS(3101), 1,
      anon_sym_RPAREN,
    ACTIONS(3103), 1,
      anon_sym_COMMA,
    STATE(1843), 1,
      sym_for_in_clause,
    STATE(2394), 1,
      aux_sym_argument_list_repeat1,
    STATE(2614), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101900] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2996), 1,
      anon_sym_LBRACE,
    ACTIONS(3000), 1,
      anon_sym_BSLASH,
    ACTIONS(3105), 1,
      sym_string_end,
    STATE(1812), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2998), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1704), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101930] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2996), 1,
      anon_sym_LBRACE,
    ACTIONS(3000), 1,
      anon_sym_BSLASH,
    ACTIONS(3107), 1,
      sym_string_end,
    STATE(1812), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2998), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1706), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [101960] = 12,
    ACTIONS(2965), 1,
      anon_sym_RBRACK,
    ACTIONS(3004), 1,
      anon_sym_COMMA,
    ACTIONS(3006), 1,
      anon_sym_as,
    ACTIONS(3008), 1,
      anon_sym_if,
    ACTIONS(3010), 1,
      anon_sym_async,
    ACTIONS(3012), 1,
      anon_sym_for,
    ACTIONS(3014), 1,
      anon_sym_and,
    ACTIONS(3016), 1,
      anon_sym_or,
    STATE(1851), 1,
      sym_for_in_clause,
    STATE(2311), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2687), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [101998] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3109), 1,
      anon_sym_LBRACE,
    ACTIONS(3115), 1,
      anon_sym_BSLASH,
    ACTIONS(3118), 1,
      sym_string_end,
    STATE(1812), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3112), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1706), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102028] = 12,
    ACTIONS(2965), 1,
      anon_sym_RBRACK,
    ACTIONS(3004), 1,
      anon_sym_COMMA,
    ACTIONS(3006), 1,
      anon_sym_as,
    ACTIONS(3008), 1,
      anon_sym_if,
    ACTIONS(3010), 1,
      anon_sym_async,
    ACTIONS(3012), 1,
      anon_sym_for,
    ACTIONS(3014), 1,
      anon_sym_and,
    ACTIONS(3016), 1,
      anon_sym_or,
    STATE(1851), 1,
      sym_for_in_clause,
    STATE(2311), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2663), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102066] = 12,
    ACTIONS(3026), 1,
      anon_sym_as,
    ACTIONS(3028), 1,
      anon_sym_if,
    ACTIONS(3030), 1,
      anon_sym_async,
    ACTIONS(3032), 1,
      anon_sym_for,
    ACTIONS(3034), 1,
      anon_sym_and,
    ACTIONS(3036), 1,
      anon_sym_or,
    ACTIONS(3120), 1,
      anon_sym_RPAREN,
    ACTIONS(3122), 1,
      anon_sym_COMMA,
    STATE(1843), 1,
      sym_for_in_clause,
    STATE(2479), 1,
      aux_sym_argument_list_repeat1,
    STATE(2707), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102104] = 12,
    ACTIONS(2965), 1,
      anon_sym_RBRACK,
    ACTIONS(3004), 1,
      anon_sym_COMMA,
    ACTIONS(3006), 1,
      anon_sym_as,
    ACTIONS(3008), 1,
      anon_sym_if,
    ACTIONS(3010), 1,
      anon_sym_async,
    ACTIONS(3012), 1,
      anon_sym_for,
    ACTIONS(3014), 1,
      anon_sym_and,
    ACTIONS(3016), 1,
      anon_sym_or,
    STATE(1851), 1,
      sym_for_in_clause,
    STATE(2311), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2733), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102142] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2996), 1,
      anon_sym_LBRACE,
    ACTIONS(3000), 1,
      anon_sym_BSLASH,
    ACTIONS(3124), 1,
      sym_string_end,
    STATE(1812), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2998), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1683), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102172] = 12,
    ACTIONS(2965), 1,
      anon_sym_RBRACK,
    ACTIONS(3004), 1,
      anon_sym_COMMA,
    ACTIONS(3006), 1,
      anon_sym_as,
    ACTIONS(3008), 1,
      anon_sym_if,
    ACTIONS(3010), 1,
      anon_sym_async,
    ACTIONS(3012), 1,
      anon_sym_for,
    ACTIONS(3014), 1,
      anon_sym_and,
    ACTIONS(3016), 1,
      anon_sym_or,
    STATE(1851), 1,
      sym_for_in_clause,
    STATE(2311), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2723), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102210] = 12,
    ACTIONS(2965), 1,
      anon_sym_RBRACK,
    ACTIONS(3004), 1,
      anon_sym_COMMA,
    ACTIONS(3006), 1,
      anon_sym_as,
    ACTIONS(3008), 1,
      anon_sym_if,
    ACTIONS(3010), 1,
      anon_sym_async,
    ACTIONS(3012), 1,
      anon_sym_for,
    ACTIONS(3014), 1,
      anon_sym_and,
    ACTIONS(3016), 1,
      anon_sym_or,
    STATE(1851), 1,
      sym_for_in_clause,
    STATE(2311), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2754), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102248] = 12,
    ACTIONS(2965), 1,
      anon_sym_RBRACK,
    ACTIONS(3004), 1,
      anon_sym_COMMA,
    ACTIONS(3006), 1,
      anon_sym_as,
    ACTIONS(3008), 1,
      anon_sym_if,
    ACTIONS(3010), 1,
      anon_sym_async,
    ACTIONS(3012), 1,
      anon_sym_for,
    ACTIONS(3014), 1,
      anon_sym_and,
    ACTIONS(3016), 1,
      anon_sym_or,
    STATE(1851), 1,
      sym_for_in_clause,
    STATE(2311), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2725), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102286] = 12,
    ACTIONS(2965), 1,
      anon_sym_RBRACK,
    ACTIONS(3004), 1,
      anon_sym_COMMA,
    ACTIONS(3006), 1,
      anon_sym_as,
    ACTIONS(3008), 1,
      anon_sym_if,
    ACTIONS(3010), 1,
      anon_sym_async,
    ACTIONS(3012), 1,
      anon_sym_for,
    ACTIONS(3014), 1,
      anon_sym_and,
    ACTIONS(3016), 1,
      anon_sym_or,
    STATE(1851), 1,
      sym_for_in_clause,
    STATE(2311), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2681), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [102324] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(2996), 1,
      anon_sym_LBRACE,
    ACTIONS(3000), 1,
      anon_sym_BSLASH,
    ACTIONS(3126), 1,
      sym_string_end,
    STATE(1812), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(2998), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
    STATE(1706), 3,
      sym_string_content,
      sym_interpolation,
      aux_sym_string_repeat1,
  [102354] = 9,
    ACTIONS(2973), 1,
      anon_sym_and,
    ACTIONS(2975), 1,
      anon_sym_or,
    ACTIONS(2981), 1,
      anon_sym_as,
    ACTIONS(2983), 1,
      anon_sym_if,
    ACTIONS(3132), 1,
      anon_sym_COMMA,
    STATE(2213), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3128), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3130), 3,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_PIPE,
  [102386] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2078), 10,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [102403] = 4,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2971), 8,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [102424] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2977), 10,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [102441] = 6,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2979), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
  [102466] = 6,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2985), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
  [102491] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3146), 1,
      anon_sym_as,
    ACTIONS(3148), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2979), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [102516] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2078), 10,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [102533] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3146), 1,
      anon_sym_as,
    ACTIONS(3148), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3130), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [102558] = 5,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3150), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2991), 7,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
  [102581] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3146), 1,
      anon_sym_as,
    ACTIONS(3148), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2987), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [102606] = 4,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2971), 8,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
  [102627] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3146), 1,
      anon_sym_as,
    ACTIONS(3148), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2985), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [102652] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2989), 10,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [102669] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2977), 10,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [102686] = 3,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2977), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_or,
  [102705] = 8,
    ACTIONS(3153), 1,
      anon_sym_COMMA,
    ACTIONS(3155), 1,
      anon_sym_as,
    ACTIONS(3157), 1,
      anon_sym_if,
    ACTIONS(3161), 1,
      anon_sym_and,
    ACTIONS(3163), 1,
      anon_sym_or,
    STATE(1886), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3159), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [102734] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2989), 10,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [102751] = 6,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2987), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_PIPE,
  [102776] = 3,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2977), 9,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_or,
  [102795] = 5,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3165), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2991), 7,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [102818] = 8,
    ACTIONS(3153), 1,
      anon_sym_COMMA,
    ACTIONS(3155), 1,
      anon_sym_as,
    ACTIONS(3157), 1,
      anon_sym_if,
    ACTIONS(3161), 1,
      anon_sym_and,
    ACTIONS(3163), 1,
      anon_sym_or,
    STATE(1886), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3168), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [102847] = 6,
    ACTIONS(2973), 1,
      anon_sym_and,
    ACTIONS(2975), 1,
      anon_sym_or,
    ACTIONS(2981), 1,
      anon_sym_as,
    ACTIONS(2983), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3130), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [102872] = 6,
    ACTIONS(2955), 1,
      anon_sym_as,
    ACTIONS(2957), 1,
      anon_sym_if,
    ACTIONS(2967), 1,
      anon_sym_and,
    ACTIONS(2969), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2985), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [102896] = 6,
    ACTIONS(3155), 1,
      anon_sym_as,
    ACTIONS(3157), 1,
      anon_sym_if,
    ACTIONS(3161), 1,
      anon_sym_and,
    ACTIONS(3163), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2985), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [102920] = 5,
    ACTIONS(3161), 1,
      anon_sym_and,
    ACTIONS(3163), 1,
      anon_sym_or,
    ACTIONS(3170), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2991), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [102942] = 4,
    ACTIONS(3161), 1,
      anon_sym_and,
    ACTIONS(3163), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2971), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [102962] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2977), 9,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [102978] = 3,
    ACTIONS(3161), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2977), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_or,
      sym_type_conversion,
  [102996] = 3,
    ACTIONS(3173), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2989), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [103014] = 9,
    ACTIONS(2973), 1,
      anon_sym_and,
    ACTIONS(2975), 1,
      anon_sym_or,
    ACTIONS(2981), 1,
      anon_sym_as,
    ACTIONS(2983), 1,
      anon_sym_if,
    ACTIONS(3177), 1,
      anon_sym_from,
    ACTIONS(3179), 1,
      anon_sym_COMMA,
    STATE(2092), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3175), 2,
      sym__newline,
      anon_sym_SEMI,
  [103044] = 4,
    ACTIONS(3183), 1,
      anon_sym_DOT,
    STATE(1757), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3181), 7,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [103064] = 5,
    ACTIONS(3183), 1,
      anon_sym_DOT,
    ACTIONS(3185), 1,
      anon_sym_EQ,
    STATE(1757), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3181), 6,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [103086] = 6,
    ACTIONS(3155), 1,
      anon_sym_as,
    ACTIONS(3157), 1,
      anon_sym_if,
    ACTIONS(3161), 1,
      anon_sym_and,
    ACTIONS(3163), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2979), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [103110] = 6,
    ACTIONS(3155), 1,
      anon_sym_as,
    ACTIONS(3157), 1,
      anon_sym_if,
    ACTIONS(3161), 1,
      anon_sym_and,
    ACTIONS(3163), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2987), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [103134] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2078), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [103150] = 5,
    ACTIONS(2967), 1,
      anon_sym_and,
    ACTIONS(2969), 1,
      anon_sym_or,
    ACTIONS(3187), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2991), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [103172] = 5,
    ACTIONS(2967), 1,
      anon_sym_and,
    ACTIONS(2969), 1,
      anon_sym_or,
    ACTIONS(3190), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2971), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [103194] = 3,
    ACTIONS(3192), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2977), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [103212] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2989), 9,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [103228] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2989), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [103244] = 4,
    ACTIONS(3183), 1,
      anon_sym_DOT,
    STATE(1770), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3194), 7,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [103264] = 6,
    ACTIONS(2955), 1,
      anon_sym_as,
    ACTIONS(2957), 1,
      anon_sym_if,
    ACTIONS(2967), 1,
      anon_sym_and,
    ACTIONS(2969), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2979), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [103288] = 6,
    ACTIONS(2955), 1,
      anon_sym_as,
    ACTIONS(2957), 1,
      anon_sym_if,
    ACTIONS(2967), 1,
      anon_sym_and,
    ACTIONS(2969), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2987), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [103312] = 6,
    ACTIONS(3196), 1,
      anon_sym_as,
    ACTIONS(3198), 1,
      anon_sym_if,
    ACTIONS(3200), 1,
      anon_sym_and,
    ACTIONS(3202), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2985), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [103336] = 6,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3130), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [103360] = 6,
    ACTIONS(3155), 1,
      anon_sym_as,
    ACTIONS(3157), 1,
      anon_sym_if,
    ACTIONS(3161), 1,
      anon_sym_and,
    ACTIONS(3163), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3204), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [103384] = 5,
    ACTIONS(3200), 1,
      anon_sym_and,
    ACTIONS(3202), 1,
      anon_sym_or,
    ACTIONS(3206), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2991), 6,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [103406] = 4,
    ACTIONS(3200), 1,
      anon_sym_and,
    ACTIONS(3202), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2971), 7,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [103426] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2977), 9,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_and,
      anon_sym_or,
  [103442] = 3,
    ACTIONS(3200), 1,
      anon_sym_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2977), 8,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_or,
  [103460] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2078), 9,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
      sym_type_conversion,
  [103476] = 6,
    ACTIONS(3196), 1,
      anon_sym_as,
    ACTIONS(3198), 1,
      anon_sym_if,
    ACTIONS(3200), 1,
      anon_sym_and,
    ACTIONS(3202), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3130), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [103500] = 6,
    ACTIONS(3155), 1,
      anon_sym_as,
    ACTIONS(3157), 1,
      anon_sym_if,
    ACTIONS(3161), 1,
      anon_sym_and,
    ACTIONS(3163), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3209), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [103524] = 4,
    ACTIONS(3213), 1,
      anon_sym_DOT,
    STATE(1770), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3211), 7,
      anon_sym_import,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [103544] = 3,
    ACTIONS(2092), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2078), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_and,
      anon_sym_or,
  [103562] = 6,
    ACTIONS(3196), 1,
      anon_sym_as,
    ACTIONS(3198), 1,
      anon_sym_if,
    ACTIONS(3200), 1,
      anon_sym_and,
    ACTIONS(3202), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2979), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [103586] = 6,
    ACTIONS(3196), 1,
      anon_sym_as,
    ACTIONS(3198), 1,
      anon_sym_if,
    ACTIONS(3200), 1,
      anon_sym_and,
    ACTIONS(3202), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2987), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [103610] = 4,
    ACTIONS(2967), 1,
      anon_sym_and,
    ACTIONS(3192), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2977), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
      anon_sym_or,
  [103630] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3221), 1,
      anon_sym_BSLASH,
    ACTIONS(3216), 2,
      sym_string_end,
      anon_sym_LBRACE,
    STATE(1775), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3218), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
  [103653] = 7,
    ACTIONS(1487), 1,
      anon_sym_except,
    ACTIONS(1491), 1,
      anon_sym_except_STAR,
    ACTIONS(3224), 1,
      anon_sym_finally,
    STATE(737), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(485), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    STATE(486), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
  [103678] = 6,
    ACTIONS(3006), 1,
      anon_sym_as,
    ACTIONS(3008), 1,
      anon_sym_if,
    ACTIONS(3014), 1,
      anon_sym_and,
    ACTIONS(3016), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2987), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [103701] = 8,
    ACTIONS(2973), 1,
      anon_sym_and,
    ACTIONS(2975), 1,
      anon_sym_or,
    ACTIONS(2981), 1,
      anon_sym_as,
    ACTIONS(2983), 1,
      anon_sym_if,
    ACTIONS(3179), 1,
      anon_sym_COMMA,
    STATE(2092), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2902), 2,
      sym__newline,
      anon_sym_SEMI,
  [103728] = 3,
    ACTIONS(3173), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2989), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [103745] = 8,
    ACTIONS(2973), 1,
      anon_sym_and,
    ACTIONS(2975), 1,
      anon_sym_or,
    ACTIONS(2981), 1,
      anon_sym_as,
    ACTIONS(2983), 1,
      anon_sym_if,
    ACTIONS(3228), 1,
      anon_sym_COMMA,
    STATE(2189), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3226), 2,
      sym__newline,
      anon_sym_SEMI,
  [103772] = 8,
    ACTIONS(2973), 1,
      anon_sym_and,
    ACTIONS(2975), 1,
      anon_sym_or,
    ACTIONS(2981), 1,
      anon_sym_as,
    ACTIONS(2983), 1,
      anon_sym_if,
    ACTIONS(3179), 1,
      anon_sym_COMMA,
    STATE(2092), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3230), 2,
      sym__newline,
      anon_sym_SEMI,
  [103799] = 8,
    ACTIONS(2973), 1,
      anon_sym_and,
    ACTIONS(2975), 1,
      anon_sym_or,
    ACTIONS(2981), 1,
      anon_sym_as,
    ACTIONS(2983), 1,
      anon_sym_if,
    ACTIONS(3132), 1,
      anon_sym_COMMA,
    STATE(2213), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3128), 2,
      sym__newline,
      anon_sym_SEMI,
  [103826] = 5,
    ACTIONS(3026), 1,
      anon_sym_as,
    ACTIONS(3034), 1,
      anon_sym_and,
    ACTIONS(3036), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3232), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [103847] = 9,
    ACTIONS(3196), 1,
      anon_sym_as,
    ACTIONS(3198), 1,
      anon_sym_if,
    ACTIONS(3200), 1,
      anon_sym_and,
    ACTIONS(3202), 1,
      anon_sym_or,
    ACTIONS(3234), 1,
      anon_sym_COMMA,
    ACTIONS(3236), 1,
      anon_sym_COLON,
    ACTIONS(3238), 1,
      anon_sym_RBRACK,
    STATE(2474), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [103876] = 3,
    ACTIONS(3173), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2989), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [103893] = 5,
    ACTIONS(3240), 1,
      anon_sym_DOT,
    ACTIONS(3242), 1,
      anon_sym_EQ,
    STATE(1871), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3181), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [103914] = 6,
    ACTIONS(3006), 1,
      anon_sym_as,
    ACTIONS(3008), 1,
      anon_sym_if,
    ACTIONS(3014), 1,
      anon_sym_and,
    ACTIONS(3016), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2979), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [103937] = 7,
    ACTIONS(1487), 1,
      anon_sym_except,
    ACTIONS(1491), 1,
      anon_sym_except_STAR,
    ACTIONS(3224), 1,
      anon_sym_finally,
    STATE(785), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(562), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    STATE(563), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
  [103962] = 8,
    ACTIONS(2973), 1,
      anon_sym_and,
    ACTIONS(2975), 1,
      anon_sym_or,
    ACTIONS(2981), 1,
      anon_sym_as,
    ACTIONS(2983), 1,
      anon_sym_if,
    ACTIONS(3228), 1,
      anon_sym_COMMA,
    STATE(2218), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3244), 2,
      sym__newline,
      anon_sym_SEMI,
  [103989] = 9,
    ACTIONS(3196), 1,
      anon_sym_as,
    ACTIONS(3198), 1,
      anon_sym_if,
    ACTIONS(3200), 1,
      anon_sym_and,
    ACTIONS(3202), 1,
      anon_sym_or,
    ACTIONS(3236), 1,
      anon_sym_COLON,
    ACTIONS(3246), 1,
      anon_sym_COMMA,
    ACTIONS(3248), 1,
      anon_sym_RBRACK,
    STATE(2286), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104018] = 7,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(3250), 1,
      anon_sym_async,
    ACTIONS(3252), 1,
      anon_sym_def,
    ACTIONS(3254), 1,
      anon_sym_class,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(817), 2,
      sym_function_definition,
      sym_class_definition,
    STATE(1954), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
  [104043] = 6,
    ACTIONS(2955), 1,
      anon_sym_as,
    ACTIONS(2957), 1,
      anon_sym_if,
    ACTIONS(2967), 1,
      anon_sym_and,
    ACTIONS(2969), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3256), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [104066] = 3,
    ACTIONS(2092), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2078), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [104083] = 5,
    ACTIONS(2955), 1,
      anon_sym_as,
    ACTIONS(2967), 1,
      anon_sym_and,
    ACTIONS(2969), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3232), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [104104] = 9,
    ACTIONS(3196), 1,
      anon_sym_as,
    ACTIONS(3198), 1,
      anon_sym_if,
    ACTIONS(3200), 1,
      anon_sym_and,
    ACTIONS(3202), 1,
      anon_sym_or,
    ACTIONS(3236), 1,
      anon_sym_COLON,
    ACTIONS(3258), 1,
      anon_sym_COMMA,
    ACTIONS(3260), 1,
      anon_sym_RBRACK,
    STATE(2463), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104133] = 7,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(3262), 1,
      anon_sym_async,
    ACTIONS(3264), 1,
      anon_sym_def,
    ACTIONS(3266), 1,
      anon_sym_class,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(795), 2,
      sym_function_definition,
      sym_class_definition,
    STATE(1954), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
  [104158] = 9,
    ACTIONS(3196), 1,
      anon_sym_as,
    ACTIONS(3198), 1,
      anon_sym_if,
    ACTIONS(3200), 1,
      anon_sym_and,
    ACTIONS(3202), 1,
      anon_sym_or,
    ACTIONS(3236), 1,
      anon_sym_COLON,
    ACTIONS(3268), 1,
      anon_sym_COMMA,
    ACTIONS(3270), 1,
      anon_sym_RBRACK,
    STATE(2328), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104187] = 6,
    ACTIONS(3026), 1,
      anon_sym_as,
    ACTIONS(3028), 1,
      anon_sym_if,
    ACTIONS(3034), 1,
      anon_sym_and,
    ACTIONS(3036), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2985), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [104210] = 7,
    ACTIONS(1541), 1,
      anon_sym_except,
    ACTIONS(1545), 1,
      anon_sym_except_STAR,
    ACTIONS(3272), 1,
      anon_sym_finally,
    STATE(803), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(590), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    STATE(591), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
  [104235] = 9,
    ACTIONS(3196), 1,
      anon_sym_as,
    ACTIONS(3198), 1,
      anon_sym_if,
    ACTIONS(3200), 1,
      anon_sym_and,
    ACTIONS(3202), 1,
      anon_sym_or,
    ACTIONS(3236), 1,
      anon_sym_COLON,
    ACTIONS(3274), 1,
      anon_sym_COMMA,
    ACTIONS(3276), 1,
      anon_sym_RBRACK,
    STATE(2364), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104264] = 5,
    ACTIONS(3006), 1,
      anon_sym_as,
    ACTIONS(3014), 1,
      anon_sym_and,
    ACTIONS(3016), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3232), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [104285] = 5,
    ACTIONS(3006), 1,
      anon_sym_as,
    ACTIONS(3014), 1,
      anon_sym_and,
    ACTIONS(3016), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3232), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [104306] = 9,
    ACTIONS(3196), 1,
      anon_sym_as,
    ACTIONS(3198), 1,
      anon_sym_if,
    ACTIONS(3200), 1,
      anon_sym_and,
    ACTIONS(3202), 1,
      anon_sym_or,
    ACTIONS(3236), 1,
      anon_sym_COLON,
    ACTIONS(3278), 1,
      anon_sym_COMMA,
    ACTIONS(3280), 1,
      anon_sym_RBRACK,
    STATE(2342), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104335] = 5,
    ACTIONS(2955), 1,
      anon_sym_as,
    ACTIONS(2967), 1,
      anon_sym_and,
    ACTIONS(2969), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3232), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [104356] = 6,
    ACTIONS(2973), 1,
      anon_sym_and,
    ACTIONS(2975), 1,
      anon_sym_or,
    ACTIONS(2981), 1,
      anon_sym_as,
    ACTIONS(2983), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3204), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
  [104379] = 3,
    ACTIONS(2092), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2078), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [104396] = 5,
    ACTIONS(3034), 1,
      anon_sym_and,
    ACTIONS(3036), 1,
      anon_sym_or,
    ACTIONS(3190), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2971), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [104417] = 3,
    ACTIONS(3192), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2977), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [104434] = 4,
    ACTIONS(3034), 1,
      anon_sym_and,
    ACTIONS(3192), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2977), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_or,
  [104453] = 9,
    ACTIONS(3196), 1,
      anon_sym_as,
    ACTIONS(3198), 1,
      anon_sym_if,
    ACTIONS(3200), 1,
      anon_sym_and,
    ACTIONS(3202), 1,
      anon_sym_or,
    ACTIONS(3236), 1,
      anon_sym_COLON,
    ACTIONS(3282), 1,
      anon_sym_COMMA,
    ACTIONS(3284), 1,
      anon_sym_RBRACK,
    STATE(2397), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104482] = 5,
    ACTIONS(3286), 1,
      anon_sym_DOT,
    ACTIONS(3288), 1,
      anon_sym_EQ,
    STATE(1840), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3181), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [104503] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3294), 1,
      anon_sym_BSLASH,
    ACTIONS(3290), 2,
      sym_string_end,
      anon_sym_LBRACE,
    STATE(1775), 2,
      sym__not_escape_sequence,
      aux_sym_string_content_repeat1,
    ACTIONS(3292), 3,
      sym__string_content,
      sym_escape_interpolation,
      sym_escape_sequence,
  [104526] = 6,
    ACTIONS(3026), 1,
      anon_sym_as,
    ACTIONS(3028), 1,
      anon_sym_if,
    ACTIONS(3034), 1,
      anon_sym_and,
    ACTIONS(3036), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2987), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [104549] = 9,
    ACTIONS(3196), 1,
      anon_sym_as,
    ACTIONS(3198), 1,
      anon_sym_if,
    ACTIONS(3200), 1,
      anon_sym_and,
    ACTIONS(3202), 1,
      anon_sym_or,
    ACTIONS(3236), 1,
      anon_sym_COLON,
    ACTIONS(3296), 1,
      anon_sym_COMMA,
    ACTIONS(3298), 1,
      anon_sym_RBRACK,
    STATE(2322), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104578] = 8,
    ACTIONS(2973), 1,
      anon_sym_and,
    ACTIONS(2975), 1,
      anon_sym_or,
    ACTIONS(2981), 1,
      anon_sym_as,
    ACTIONS(2983), 1,
      anon_sym_if,
    ACTIONS(3179), 1,
      anon_sym_COMMA,
    STATE(2092), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3300), 2,
      sym__newline,
      anon_sym_SEMI,
  [104605] = 6,
    ACTIONS(3006), 1,
      anon_sym_as,
    ACTIONS(3008), 1,
      anon_sym_if,
    ACTIONS(3014), 1,
      anon_sym_and,
    ACTIONS(3016), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2985), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [104628] = 9,
    ACTIONS(3196), 1,
      anon_sym_as,
    ACTIONS(3198), 1,
      anon_sym_if,
    ACTIONS(3200), 1,
      anon_sym_and,
    ACTIONS(3202), 1,
      anon_sym_or,
    ACTIONS(3236), 1,
      anon_sym_COLON,
    ACTIONS(3302), 1,
      anon_sym_COMMA,
    ACTIONS(3304), 1,
      anon_sym_RBRACK,
    STATE(2409), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104657] = 4,
    ACTIONS(327), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(993), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3306), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [104676] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3211), 8,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [104691] = 9,
    ACTIONS(3196), 1,
      anon_sym_as,
    ACTIONS(3198), 1,
      anon_sym_if,
    ACTIONS(3200), 1,
      anon_sym_and,
    ACTIONS(3202), 1,
      anon_sym_or,
    ACTIONS(3236), 1,
      anon_sym_COLON,
    ACTIONS(3308), 1,
      anon_sym_COMMA,
    ACTIONS(3310), 1,
      anon_sym_RBRACK,
    STATE(2415), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [104720] = 5,
    ACTIONS(3014), 1,
      anon_sym_and,
    ACTIONS(3016), 1,
      anon_sym_or,
    ACTIONS(3312), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2991), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [104741] = 7,
    ACTIONS(1541), 1,
      anon_sym_except,
    ACTIONS(1545), 1,
      anon_sym_except_STAR,
    ACTIONS(3272), 1,
      anon_sym_finally,
    STATE(819), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(594), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    STATE(595), 2,
      sym_except_group_clause,
      aux_sym_try_statement_repeat2,
  [104766] = 5,
    ACTIONS(3014), 1,
      anon_sym_and,
    ACTIONS(3016), 1,
      anon_sym_or,
    ACTIONS(3190), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2971), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [104787] = 5,
    ACTIONS(2955), 1,
      anon_sym_as,
    ACTIONS(2967), 1,
      anon_sym_and,
    ACTIONS(2969), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3232), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [104808] = 3,
    ACTIONS(3192), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2977), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [104825] = 4,
    ACTIONS(3014), 1,
      anon_sym_and,
    ACTIONS(3192), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2977), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_or,
  [104844] = 5,
    ACTIONS(3026), 1,
      anon_sym_as,
    ACTIONS(3034), 1,
      anon_sym_and,
    ACTIONS(3036), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3232), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [104865] = 8,
    ACTIONS(2973), 1,
      anon_sym_and,
    ACTIONS(2975), 1,
      anon_sym_or,
    ACTIONS(2981), 1,
      anon_sym_as,
    ACTIONS(2983), 1,
      anon_sym_if,
    ACTIONS(3317), 1,
      anon_sym_COMMA,
    STATE(2185), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3315), 2,
      sym__newline,
      anon_sym_SEMI,
  [104892] = 8,
    ACTIONS(2973), 1,
      anon_sym_and,
    ACTIONS(2975), 1,
      anon_sym_or,
    ACTIONS(2981), 1,
      anon_sym_as,
    ACTIONS(2983), 1,
      anon_sym_if,
    ACTIONS(3179), 1,
      anon_sym_COMMA,
    STATE(2092), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3159), 2,
      sym__newline,
      anon_sym_SEMI,
  [104919] = 5,
    ACTIONS(3026), 1,
      anon_sym_as,
    ACTIONS(3034), 1,
      anon_sym_and,
    ACTIONS(3036), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3232), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [104940] = 5,
    ACTIONS(3006), 1,
      anon_sym_as,
    ACTIONS(3014), 1,
      anon_sym_and,
    ACTIONS(3016), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3232), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [104961] = 6,
    ACTIONS(3026), 1,
      anon_sym_as,
    ACTIONS(3028), 1,
      anon_sym_if,
    ACTIONS(3034), 1,
      anon_sym_and,
    ACTIONS(3036), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2979), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [104984] = 5,
    ACTIONS(3319), 1,
      anon_sym_DOT,
    ACTIONS(3321), 1,
      anon_sym_EQ,
    STATE(1838), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3181), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [105005] = 5,
    ACTIONS(3034), 1,
      anon_sym_and,
    ACTIONS(3036), 1,
      anon_sym_or,
    ACTIONS(3323), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2991), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [105026] = 8,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3326), 1,
      anon_sym_COMMA,
    ACTIONS(3328), 1,
      anon_sym_COLON,
    STATE(2239), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105052] = 8,
    ACTIONS(2961), 1,
      anon_sym_async,
    ACTIONS(2963), 1,
      anon_sym_for,
    ACTIONS(3330), 1,
      anon_sym_COMMA,
    ACTIONS(3332), 1,
      anon_sym_RBRACE,
    STATE(1865), 1,
      sym_for_in_clause,
    STATE(2386), 1,
      aux_sym_dictionary_repeat1,
    STATE(2619), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105078] = 8,
    ACTIONS(3159), 1,
      anon_sym_RBRACK,
    ACTIONS(3196), 1,
      anon_sym_as,
    ACTIONS(3198), 1,
      anon_sym_if,
    ACTIONS(3200), 1,
      anon_sym_and,
    ACTIONS(3202), 1,
      anon_sym_or,
    ACTIONS(3334), 1,
      anon_sym_COMMA,
    STATE(2477), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105104] = 4,
    ACTIONS(3319), 1,
      anon_sym_DOT,
    STATE(1849), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3194), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [105122] = 8,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3326), 1,
      anon_sym_COMMA,
    ACTIONS(3336), 1,
      anon_sym_COLON,
    STATE(2239), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105148] = 4,
    ACTIONS(3286), 1,
      anon_sym_DOT,
    STATE(1864), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3194), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [105166] = 4,
    ACTIONS(3338), 1,
      anon_sym_DOT,
    STATE(1841), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3211), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [105184] = 4,
    ACTIONS(729), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(995), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3306), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [105202] = 6,
    ACTIONS(3030), 1,
      anon_sym_async,
    ACTIONS(3032), 1,
      anon_sym_for,
    ACTIONS(3341), 1,
      anon_sym_RPAREN,
    ACTIONS(3343), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1874), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [105224] = 7,
    ACTIONS(3196), 1,
      anon_sym_as,
    ACTIONS(3198), 1,
      anon_sym_if,
    ACTIONS(3200), 1,
      anon_sym_and,
    ACTIONS(3202), 1,
      anon_sym_or,
    ACTIONS(3236), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3345), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [105248] = 8,
    ACTIONS(2961), 1,
      anon_sym_async,
    ACTIONS(2963), 1,
      anon_sym_for,
    ACTIONS(3347), 1,
      anon_sym_COMMA,
    ACTIONS(3349), 1,
      anon_sym_RBRACE,
    STATE(1865), 1,
      sym_for_in_clause,
    STATE(2313), 1,
      aux_sym_dictionary_repeat1,
    STATE(2621), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105274] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3351), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3306), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [105290] = 4,
    ACTIONS(704), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(984), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3306), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [105308] = 8,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3146), 1,
      anon_sym_as,
    ACTIONS(3148), 1,
      anon_sym_if,
    ACTIONS(3159), 1,
      anon_sym_RPAREN,
    ACTIONS(3353), 1,
      anon_sym_COMMA,
    STATE(2425), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105334] = 4,
    ACTIONS(3355), 1,
      anon_sym_DOT,
    STATE(1849), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3211), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [105352] = 7,
    ACTIONS(3196), 1,
      anon_sym_as,
    ACTIONS(3198), 1,
      anon_sym_if,
    ACTIONS(3200), 1,
      anon_sym_and,
    ACTIONS(3202), 1,
      anon_sym_or,
    ACTIONS(3358), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1425), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [105376] = 6,
    ACTIONS(3010), 1,
      anon_sym_async,
    ACTIONS(3012), 1,
      anon_sym_for,
    ACTIONS(3341), 1,
      anon_sym_RBRACK,
    ACTIONS(3360), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1861), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [105398] = 5,
    ACTIONS(3026), 1,
      anon_sym_as,
    ACTIONS(3034), 1,
      anon_sym_and,
    ACTIONS(3036), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3362), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [105418] = 7,
    ACTIONS(1409), 1,
      anon_sym_COLON,
    ACTIONS(3196), 1,
      anon_sym_as,
    ACTIONS(3198), 1,
      anon_sym_if,
    ACTIONS(3200), 1,
      anon_sym_and,
    ACTIONS(3202), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1407), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [105442] = 4,
    ACTIONS(3286), 1,
      anon_sym_DOT,
    STATE(1840), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3181), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [105460] = 8,
    ACTIONS(2961), 1,
      anon_sym_async,
    ACTIONS(2963), 1,
      anon_sym_for,
    ACTIONS(3364), 1,
      anon_sym_COMMA,
    ACTIONS(3366), 1,
      anon_sym_RBRACE,
    STATE(1865), 1,
      sym_for_in_clause,
    STATE(2421), 1,
      aux_sym_dictionary_repeat1,
    STATE(2744), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105486] = 8,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3368), 1,
      anon_sym_COMMA,
    ACTIONS(3370), 1,
      anon_sym_COLON,
    STATE(2399), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105512] = 8,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3326), 1,
      anon_sym_COMMA,
    ACTIONS(3372), 1,
      anon_sym_COLON,
    STATE(2239), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105538] = 4,
    ACTIONS(819), 1,
      sym_string_start,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1111), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3306), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [105556] = 8,
    ACTIONS(2961), 1,
      anon_sym_async,
    ACTIONS(2963), 1,
      anon_sym_for,
    ACTIONS(3374), 1,
      anon_sym_COMMA,
    ACTIONS(3376), 1,
      anon_sym_RBRACE,
    STATE(1865), 1,
      sym_for_in_clause,
    STATE(2245), 1,
      aux_sym_dictionary_repeat1,
    STATE(2678), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105582] = 6,
    ACTIONS(2973), 1,
      anon_sym_and,
    ACTIONS(2975), 1,
      anon_sym_or,
    ACTIONS(2981), 1,
      anon_sym_as,
    ACTIONS(2983), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3378), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [105604] = 6,
    ACTIONS(3010), 1,
      anon_sym_async,
    ACTIONS(3012), 1,
      anon_sym_for,
    ACTIONS(3360), 1,
      anon_sym_if,
    ACTIONS(3380), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1883), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [105626] = 8,
    ACTIONS(2961), 1,
      anon_sym_async,
    ACTIONS(2963), 1,
      anon_sym_for,
    ACTIONS(3382), 1,
      anon_sym_COMMA,
    ACTIONS(3384), 1,
      anon_sym_RBRACE,
    STATE(1865), 1,
      sym_for_in_clause,
    STATE(2352), 1,
      aux_sym_dictionary_repeat1,
    STATE(2694), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105652] = 8,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3326), 1,
      anon_sym_COMMA,
    ACTIONS(3386), 1,
      anon_sym_COLON,
    STATE(2239), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105678] = 4,
    ACTIONS(3388), 1,
      anon_sym_DOT,
    STATE(1864), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3211), 5,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [105696] = 6,
    ACTIONS(2961), 1,
      anon_sym_async,
    ACTIONS(2963), 1,
      anon_sym_for,
    ACTIONS(3341), 1,
      anon_sym_RBRACE,
    ACTIONS(3391), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1872), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [105718] = 8,
    ACTIONS(2961), 1,
      anon_sym_async,
    ACTIONS(2963), 1,
      anon_sym_for,
    ACTIONS(3393), 1,
      anon_sym_COMMA,
    ACTIONS(3395), 1,
      anon_sym_RBRACE,
    STATE(1865), 1,
      sym_for_in_clause,
    STATE(2271), 1,
      aux_sym_dictionary_repeat1,
    STATE(2728), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105744] = 6,
    ACTIONS(3397), 1,
      anon_sym_RPAREN,
    ACTIONS(3399), 1,
      anon_sym_if,
    ACTIONS(3402), 1,
      anon_sym_async,
    ACTIONS(3405), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1867), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [105766] = 8,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3408), 1,
      anon_sym_COMMA,
    ACTIONS(3410), 1,
      anon_sym_COLON,
    STATE(2483), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [105792] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3414), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3412), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [105808] = 4,
    ACTIONS(3319), 1,
      anon_sym_DOT,
    STATE(1838), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3181), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [105826] = 4,
    ACTIONS(3240), 1,
      anon_sym_DOT,
    STATE(1841), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3194), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [105844] = 6,
    ACTIONS(2961), 1,
      anon_sym_async,
    ACTIONS(2963), 1,
      anon_sym_for,
    ACTIONS(3380), 1,
      anon_sym_RBRACE,
    ACTIONS(3391), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1875), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [105866] = 7,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(3416), 1,
      anon_sym_DOT,
    ACTIONS(3418), 1,
      anon_sym___future__,
    STATE(2205), 1,
      aux_sym_import_prefix_repeat1,
    STATE(2363), 1,
      sym_import_prefix,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(2740), 2,
      sym_relative_import,
      sym_dotted_name,
  [105890] = 6,
    ACTIONS(3030), 1,
      anon_sym_async,
    ACTIONS(3032), 1,
      anon_sym_for,
    ACTIONS(3343), 1,
      anon_sym_if,
    ACTIONS(3380), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1867), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [105912] = 6,
    ACTIONS(3397), 1,
      anon_sym_RBRACE,
    ACTIONS(3420), 1,
      anon_sym_if,
    ACTIONS(3423), 1,
      anon_sym_async,
    ACTIONS(3426), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1875), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [105934] = 4,
    ACTIONS(3240), 1,
      anon_sym_DOT,
    STATE(1871), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3181), 5,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [105952] = 6,
    ACTIONS(2973), 1,
      anon_sym_and,
    ACTIONS(2975), 1,
      anon_sym_or,
    ACTIONS(2981), 1,
      anon_sym_as,
    ACTIONS(2983), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3429), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [105974] = 8,
    ACTIONS(2961), 1,
      anon_sym_async,
    ACTIONS(2963), 1,
      anon_sym_for,
    ACTIONS(3431), 1,
      anon_sym_COMMA,
    ACTIONS(3433), 1,
      anon_sym_RBRACE,
    STATE(1865), 1,
      sym_for_in_clause,
    STATE(2462), 1,
      aux_sym_dictionary_repeat1,
    STATE(2741), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106000] = 8,
    ACTIONS(3038), 1,
      anon_sym_RPAREN,
    ACTIONS(3040), 1,
      anon_sym_COMMA,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3146), 1,
      anon_sym_as,
    ACTIONS(3148), 1,
      anon_sym_if,
    STATE(2335), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106026] = 5,
    ACTIONS(2955), 1,
      anon_sym_as,
    ACTIONS(2967), 1,
      anon_sym_and,
    ACTIONS(2969), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3362), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [106046] = 8,
    ACTIONS(3435), 1,
      sym_identifier,
    ACTIONS(3437), 1,
      anon_sym_LPAREN,
    ACTIONS(3439), 1,
      anon_sym_STAR,
    STATE(2077), 1,
      sym_dotted_name,
    STATE(2149), 1,
      sym_aliased_import,
    STATE(2530), 1,
      sym__import_list,
    STATE(2532), 1,
      sym_wildcard_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106072] = 5,
    ACTIONS(3006), 1,
      anon_sym_as,
    ACTIONS(3014), 1,
      anon_sym_and,
    ACTIONS(3016), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3362), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [106092] = 6,
    ACTIONS(3397), 1,
      anon_sym_RBRACK,
    ACTIONS(3441), 1,
      anon_sym_if,
    ACTIONS(3444), 1,
      anon_sym_async,
    ACTIONS(3447), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1883), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [106114] = 8,
    ACTIONS(2961), 1,
      anon_sym_async,
    ACTIONS(2963), 1,
      anon_sym_for,
    ACTIONS(3450), 1,
      anon_sym_COMMA,
    ACTIONS(3452), 1,
      anon_sym_RBRACE,
    STATE(1865), 1,
      sym_for_in_clause,
    STATE(2319), 1,
      aux_sym_dictionary_repeat1,
    STATE(2673), 1,
      sym__comprehension_clauses,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106140] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3456), 1,
      anon_sym_BSLASH,
    ACTIONS(3454), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [106157] = 4,
    ACTIONS(3458), 1,
      anon_sym_COMMA,
    STATE(1917), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1293), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [106174] = 4,
    ACTIONS(3460), 1,
      anon_sym_COMMA,
    STATE(1964), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3462), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [106191] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3464), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [106204] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1650), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [106217] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3466), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [106230] = 4,
    ACTIONS(3468), 1,
      anon_sym_COMMA,
    STATE(1928), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3462), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [106247] = 6,
    ACTIONS(3155), 1,
      anon_sym_as,
    ACTIONS(3157), 1,
      anon_sym_if,
    ACTIONS(3161), 1,
      anon_sym_and,
    ACTIONS(3163), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3470), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [106268] = 4,
    ACTIONS(3474), 1,
      anon_sym_PIPE,
    STATE(1959), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3472), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [106285] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3130), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [106298] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3211), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [106311] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3476), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [106324] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3146), 1,
      anon_sym_as,
    ACTIONS(3148), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3470), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [106345] = 4,
    ACTIONS(3478), 1,
      anon_sym_DOT,
    STATE(1946), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3194), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [106362] = 4,
    ACTIONS(3482), 1,
      anon_sym_COMMA,
    STATE(1977), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3480), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [106379] = 4,
    ACTIONS(3484), 1,
      anon_sym_COMMA,
    STATE(1887), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3486), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [106396] = 4,
    ACTIONS(3488), 1,
      anon_sym_COMMA,
    STATE(1891), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3486), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [106413] = 6,
    ACTIONS(3155), 1,
      anon_sym_as,
    ACTIONS(3157), 1,
      anon_sym_if,
    ACTIONS(3161), 1,
      anon_sym_and,
    ACTIONS(3163), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3490), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [106434] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3492), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3306), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [106449] = 7,
    ACTIONS(3494), 1,
      anon_sym_DOT,
    ACTIONS(3496), 1,
      anon_sym_COMMA,
    ACTIONS(3498), 1,
      anon_sym_COLON,
    ACTIONS(3500), 1,
      anon_sym_RBRACK,
    ACTIONS(3502), 1,
      anon_sym_PIPE,
    STATE(2480), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106472] = 6,
    ACTIONS(3155), 1,
      anon_sym_as,
    ACTIONS(3157), 1,
      anon_sym_if,
    ACTIONS(3161), 1,
      anon_sym_and,
    ACTIONS(3163), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3504), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [106493] = 4,
    ACTIONS(3478), 1,
      anon_sym_DOT,
    STATE(1898), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3181), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [106510] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3146), 1,
      anon_sym_as,
    ACTIONS(3148), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3209), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [106531] = 3,
    ACTIONS(3506), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3306), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [106546] = 6,
    ACTIONS(3196), 1,
      anon_sym_as,
    ACTIONS(3198), 1,
      anon_sym_if,
    ACTIONS(3200), 1,
      anon_sym_and,
    ACTIONS(3202), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3508), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [106567] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3146), 1,
      anon_sym_as,
    ACTIONS(3148), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3510), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [106588] = 6,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3204), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [106609] = 7,
    ACTIONS(3512), 1,
      anon_sym_COMMA,
    ACTIONS(3514), 1,
      anon_sym_as,
    ACTIONS(3516), 1,
      anon_sym_if,
    ACTIONS(3518), 1,
      anon_sym_COLON,
    STATE(2065), 1,
      aux_sym_case_clause_repeat1,
    STATE(2779), 1,
      sym_if_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106632] = 4,
    ACTIONS(3474), 1,
      anon_sym_PIPE,
    STATE(1959), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3520), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [106649] = 6,
    ACTIONS(3196), 1,
      anon_sym_as,
    ACTIONS(3198), 1,
      anon_sym_if,
    ACTIONS(3200), 1,
      anon_sym_and,
    ACTIONS(3202), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1443), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [106670] = 4,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2971), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [106687] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3146), 1,
      anon_sym_as,
    ACTIONS(3148), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3522), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [106708] = 4,
    ACTIONS(3524), 1,
      anon_sym_COMMA,
    STATE(1917), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3204), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [106725] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1650), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [106738] = 6,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3527), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [106759] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3529), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3412), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [106774] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3146), 1,
      anon_sym_as,
    ACTIONS(3148), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3531), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [106795] = 7,
    ACTIONS(3494), 1,
      anon_sym_DOT,
    ACTIONS(3498), 1,
      anon_sym_COLON,
    ACTIONS(3502), 1,
      anon_sym_PIPE,
    ACTIONS(3533), 1,
      anon_sym_COMMA,
    ACTIONS(3535), 1,
      anon_sym_RBRACK,
    STATE(2372), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [106818] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3211), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [106831] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3539), 1,
      anon_sym_BSLASH,
    ACTIONS(3537), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [106848] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3466), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [106861] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3543), 1,
      anon_sym_BSLASH,
    ACTIONS(3541), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [106878] = 6,
    ACTIONS(2973), 1,
      anon_sym_and,
    ACTIONS(2975), 1,
      anon_sym_or,
    ACTIONS(2981), 1,
      anon_sym_as,
    ACTIONS(2983), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3545), 2,
      sym__newline,
      anon_sym_SEMI,
  [106899] = 4,
    ACTIONS(3547), 1,
      anon_sym_COMMA,
    STATE(1928), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3550), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [106916] = 6,
    ACTIONS(3196), 1,
      anon_sym_as,
    ACTIONS(3198), 1,
      anon_sym_if,
    ACTIONS(3200), 1,
      anon_sym_and,
    ACTIONS(3202), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3209), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [106937] = 6,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3552), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [106958] = 6,
    ACTIONS(3196), 1,
      anon_sym_as,
    ACTIONS(3198), 1,
      anon_sym_if,
    ACTIONS(3200), 1,
      anon_sym_and,
    ACTIONS(3202), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1425), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [106979] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3476), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [106992] = 4,
    ACTIONS(3554), 1,
      anon_sym_COMMA,
    STATE(1951), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(959), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [107009] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3558), 1,
      anon_sym_BSLASH,
    ACTIONS(3556), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [107026] = 4,
    ACTIONS(3560), 1,
      anon_sym_COMMA,
    STATE(1964), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3562), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [107043] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3146), 1,
      anon_sym_as,
    ACTIONS(3148), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3490), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107064] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3564), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3306), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [107079] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3568), 1,
      anon_sym_BSLASH,
    ACTIONS(3566), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [107096] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3570), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3412), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [107111] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3574), 1,
      anon_sym_BSLASH,
    ACTIONS(3572), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [107128] = 6,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3576), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [107149] = 3,
    STATE(1959), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3578), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [107164] = 4,
    ACTIONS(3580), 1,
      anon_sym_PIPE,
    STATE(1943), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3578), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [107181] = 6,
    ACTIONS(3196), 1,
      anon_sym_as,
    ACTIONS(3198), 1,
      anon_sym_if,
    ACTIONS(3200), 1,
      anon_sym_and,
    ACTIONS(3202), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3490), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [107202] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3130), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107215] = 4,
    ACTIONS(3583), 1,
      anon_sym_DOT,
    STATE(1946), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3211), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [107232] = 7,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3586), 1,
      anon_sym_COMMA,
    ACTIONS(3588), 1,
      anon_sym_as,
    ACTIONS(3590), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107255] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3146), 1,
      anon_sym_as,
    ACTIONS(3148), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3592), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107276] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3146), 1,
      anon_sym_as,
    ACTIONS(3148), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3204), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107297] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3594), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107310] = 4,
    ACTIONS(3596), 1,
      anon_sym_COMMA,
    STATE(1951), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2875), 4,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [107327] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3599), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107340] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3601), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3306), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [107355] = 4,
    ACTIONS(3605), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    STATE(1954), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
    ACTIONS(3603), 3,
      anon_sym_async,
      anon_sym_def,
      anon_sym_class,
  [107372] = 4,
    ACTIONS(3608), 1,
      anon_sym_COMMA,
    STATE(1961), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3462), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [107389] = 6,
    ACTIONS(3196), 1,
      anon_sym_as,
    ACTIONS(3198), 1,
      anon_sym_if,
    ACTIONS(3200), 1,
      anon_sym_and,
    ACTIONS(3202), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3204), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [107410] = 5,
    ACTIONS(3610), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_COLON,
    ACTIONS(3616), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3612), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [107429] = 7,
    ACTIONS(3494), 1,
      anon_sym_DOT,
    ACTIONS(3498), 1,
      anon_sym_COLON,
    ACTIONS(3502), 1,
      anon_sym_PIPE,
    ACTIONS(3618), 1,
      anon_sym_COMMA,
    ACTIONS(3620), 1,
      anon_sym_RBRACK,
    STATE(2384), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107452] = 4,
    ACTIONS(3474), 1,
      anon_sym_PIPE,
    STATE(1943), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3622), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [107469] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3624), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107482] = 4,
    ACTIONS(3626), 1,
      anon_sym_COMMA,
    STATE(1961), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3550), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [107499] = 4,
    ACTIONS(3629), 1,
      anon_sym_COMMA,
    STATE(1955), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3486), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [107516] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3464), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107529] = 4,
    ACTIONS(3631), 1,
      anon_sym_COMMA,
    STATE(1964), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3550), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [107546] = 6,
    ACTIONS(2973), 1,
      anon_sym_and,
    ACTIONS(2975), 1,
      anon_sym_or,
    ACTIONS(2981), 1,
      anon_sym_as,
    ACTIONS(2983), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3209), 2,
      sym__newline,
      anon_sym_SEMI,
  [107567] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3476), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107580] = 7,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3588), 1,
      anon_sym_as,
    ACTIONS(3634), 1,
      anon_sym_COMMA,
    ACTIONS(3636), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107603] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3638), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3412), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [107618] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3146), 1,
      anon_sym_as,
    ACTIONS(3148), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3504), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107639] = 6,
    ACTIONS(2973), 1,
      anon_sym_and,
    ACTIONS(2975), 1,
      anon_sym_or,
    ACTIONS(2981), 1,
      anon_sym_as,
    ACTIONS(2983), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3640), 2,
      sym__newline,
      anon_sym_SEMI,
  [107660] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3599), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107673] = 5,
    ACTIONS(3642), 1,
      anon_sym_DOT,
    ACTIONS(3644), 1,
      anon_sym_COLON,
    ACTIONS(3646), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3612), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_EQ,
  [107692] = 6,
    ACTIONS(3196), 1,
      anon_sym_as,
    ACTIONS(3198), 1,
      anon_sym_if,
    ACTIONS(3200), 1,
      anon_sym_and,
    ACTIONS(3202), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3504), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [107713] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3624), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [107726] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3650), 1,
      anon_sym_BSLASH,
    ACTIONS(3648), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [107743] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_line_continuation,
    ACTIONS(3654), 1,
      anon_sym_BSLASH,
    ACTIONS(3652), 5,
      sym__string_content,
      sym_escape_interpolation,
      sym_string_end,
      anon_sym_LBRACE,
      sym_escape_sequence,
  [107760] = 4,
    ACTIONS(3656), 1,
      anon_sym_COMMA,
    STATE(1961), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3562), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [107777] = 6,
    ACTIONS(3155), 1,
      anon_sym_as,
    ACTIONS(3157), 1,
      anon_sym_if,
    ACTIONS(3161), 1,
      anon_sym_and,
    ACTIONS(3163), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3256), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [107798] = 6,
    ACTIONS(3642), 1,
      anon_sym_DOT,
    ACTIONS(3644), 1,
      anon_sym_COLON,
    ACTIONS(3646), 1,
      anon_sym_PIPE,
    ACTIONS(3660), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3658), 2,
      sym__newline,
      anon_sym_SEMI,
  [107819] = 4,
    ACTIONS(3662), 1,
      anon_sym_COMMA,
    STATE(1928), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3562), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [107836] = 6,
    ACTIONS(3610), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_COLON,
    ACTIONS(3616), 1,
      anon_sym_PIPE,
    ACTIONS(3666), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3664), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107857] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3146), 1,
      anon_sym_as,
    ACTIONS(3148), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3527), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107878] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3211), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [107891] = 6,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3592), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [107912] = 7,
    ACTIONS(3494), 1,
      anon_sym_DOT,
    ACTIONS(3498), 1,
      anon_sym_COLON,
    ACTIONS(3502), 1,
      anon_sym_PIPE,
    ACTIONS(3668), 1,
      anon_sym_COMMA,
    ACTIONS(3670), 1,
      anon_sym_RBRACK,
    STATE(2360), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [107935] = 4,
    ACTIONS(3672), 1,
      anon_sym_COMMA,
    STATE(1980), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3480), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [107952] = 6,
    ACTIONS(3134), 1,
      anon_sym_and,
    ACTIONS(3136), 1,
      anon_sym_or,
    ACTIONS(3146), 1,
      anon_sym_as,
    ACTIONS(3148), 1,
      anon_sym_if,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3552), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [107973] = 4,
    ACTIONS(3674), 1,
      anon_sym_COMMA,
    STATE(1935), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3480), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [107990] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3464), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [108003] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3594), 6,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [108016] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3594), 6,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [108029] = 6,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3676), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108049] = 4,
    ACTIONS(3678), 1,
      anon_sym_PIPE,
    STATE(2089), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3520), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [108065] = 5,
    ACTIONS(3642), 1,
      anon_sym_DOT,
    ACTIONS(3644), 1,
      anon_sym_COLON,
    ACTIONS(3646), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3680), 2,
      sym__newline,
      anon_sym_SEMI,
  [108083] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3624), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [108095] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3682), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [108107] = 6,
    ACTIONS(3684), 1,
      anon_sym_COLON,
    ACTIONS(3686), 1,
      anon_sym_EQ,
    ACTIONS(3688), 1,
      anon_sym_RBRACE,
    ACTIONS(3690), 1,
      sym_type_conversion,
    STATE(2616), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108127] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3550), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [108139] = 6,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3692), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108159] = 6,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3694), 1,
      anon_sym_as,
    ACTIONS(3696), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108179] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3159), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [108191] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3698), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108203] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3700), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108215] = 4,
    ACTIONS(3678), 1,
      anon_sym_PIPE,
    STATE(2089), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3472), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [108231] = 5,
    ACTIONS(3435), 1,
      sym_identifier,
    STATE(2135), 1,
      sym_dotted_name,
    STATE(2306), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3702), 2,
      sym__newline,
      anon_sym_SEMI,
  [108249] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3704), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108261] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3706), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108273] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3708), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108285] = 6,
    ACTIONS(3684), 1,
      anon_sym_COLON,
    ACTIONS(3710), 1,
      anon_sym_EQ,
    ACTIONS(3712), 1,
      anon_sym_RBRACE,
    ACTIONS(3714), 1,
      sym_type_conversion,
    STATE(2714), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108305] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3716), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108317] = 6,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3718), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108337] = 5,
    ACTIONS(3494), 1,
      anon_sym_DOT,
    ACTIONS(3498), 1,
      anon_sym_COLON,
    ACTIONS(3502), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3720), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [108355] = 6,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3722), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108375] = 6,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3724), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108395] = 4,
    ACTIONS(3726), 1,
      anon_sym_COMMA,
    STATE(2015), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3204), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
  [108411] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3130), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [108423] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1650), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [108435] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3466), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [108447] = 6,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(3729), 1,
      anon_sym_LPAREN,
    ACTIONS(3731), 1,
      anon_sym_COLON,
    STATE(2272), 1,
      sym_type_parameter,
    STATE(2636), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108467] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3733), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [108479] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3735), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108491] = 3,
    STATE(2089), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3578), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [108505] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3737), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108517] = 4,
    ACTIONS(3739), 1,
      anon_sym_PIPE,
    STATE(2024), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3578), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [108533] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3742), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108545] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3744), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108557] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3746), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108569] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3748), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108581] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3750), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108593] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3752), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108605] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2880), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [108617] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1650), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [108629] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3466), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [108641] = 6,
    ACTIONS(2973), 1,
      anon_sym_and,
    ACTIONS(2975), 1,
      anon_sym_or,
    ACTIONS(2981), 1,
      anon_sym_as,
    ACTIONS(2983), 1,
      anon_sym_if,
    ACTIONS(3754), 1,
      sym__newline,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108661] = 5,
    ACTIONS(3756), 1,
      anon_sym_COMMA,
    ACTIONS(3758), 1,
      anon_sym_RBRACE,
    STATE(2253), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3306), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108679] = 6,
    ACTIONS(3435), 1,
      sym_identifier,
    ACTIONS(3760), 1,
      anon_sym_LPAREN,
    STATE(2077), 1,
      sym_dotted_name,
    STATE(2149), 1,
      sym_aliased_import,
    STATE(2513), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108699] = 6,
    ACTIONS(3762), 1,
      anon_sym_LBRACE,
    ACTIONS(3764), 1,
      anon_sym_RBRACE,
    ACTIONS(3766), 1,
      aux_sym_format_specifier_token1,
    STATE(2058), 1,
      aux_sym_format_specifier_repeat1,
    STATE(2426), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
  [108719] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3768), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108731] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3770), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108743] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3772), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108755] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2886), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [108767] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3774), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108779] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3776), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108791] = 6,
    ACTIONS(3762), 1,
      anon_sym_LBRACE,
    ACTIONS(3778), 1,
      anon_sym_RBRACE,
    ACTIONS(3780), 1,
      aux_sym_format_specifier_token1,
    STATE(2037), 1,
      aux_sym_format_specifier_repeat1,
    STATE(2426), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
  [108811] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3782), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108823] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2875), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [108835] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3211), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
  [108847] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3733), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [108859] = 6,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3784), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108879] = 5,
    ACTIONS(3435), 1,
      sym_identifier,
    STATE(2135), 1,
      sym_dotted_name,
    STATE(2306), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3786), 2,
      sym__newline,
      anon_sym_SEMI,
  [108897] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3788), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108909] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1563), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [108921] = 6,
    ACTIONS(3664), 1,
      anon_sym_COMMA,
    ACTIONS(3790), 1,
      anon_sym_DOT,
    ACTIONS(3792), 1,
      anon_sym_COLON,
    ACTIONS(3794), 1,
      anon_sym_EQ,
    ACTIONS(3796), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [108941] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3798), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108953] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3800), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108965] = 5,
    ACTIONS(3435), 1,
      sym_identifier,
    STATE(2135), 1,
      sym_dotted_name,
    STATE(2306), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3786), 2,
      sym__newline,
      anon_sym_SEMI,
  [108983] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3802), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_PIPE,
  [108995] = 6,
    ACTIONS(3804), 1,
      anon_sym_LBRACE,
    ACTIONS(3807), 1,
      anon_sym_RBRACE,
    ACTIONS(3809), 1,
      aux_sym_format_specifier_token1,
    STATE(2058), 1,
      aux_sym_format_specifier_repeat1,
    STATE(2426), 1,
      sym_interpolation,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
  [109015] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3599), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [109027] = 5,
    ACTIONS(3494), 1,
      anon_sym_DOT,
    ACTIONS(3498), 1,
      anon_sym_COLON,
    ACTIONS(3502), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3612), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [109045] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3624), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [109057] = 5,
    ACTIONS(3812), 1,
      anon_sym_COMMA,
    ACTIONS(3814), 1,
      anon_sym_RBRACE,
    STATE(2297), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3306), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109075] = 6,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3816), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109095] = 6,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3362), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109115] = 6,
    ACTIONS(2580), 1,
      anon_sym_COLON,
    ACTIONS(3516), 1,
      anon_sym_if,
    ACTIONS(3818), 1,
      anon_sym_COMMA,
    STATE(2214), 1,
      aux_sym_case_clause_repeat1,
    STATE(2699), 1,
      sym_if_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109135] = 5,
    ACTIONS(3820), 1,
      anon_sym_COMMA,
    ACTIONS(3822), 1,
      anon_sym_RBRACE,
    STATE(2251), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3306), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109153] = 3,
    ACTIONS(3824), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3306), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [109167] = 4,
    ACTIONS(3826), 1,
      anon_sym_PIPE,
    STATE(2072), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3520), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [109183] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3594), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [109195] = 6,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3828), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109215] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3798), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [109227] = 4,
    ACTIONS(3826), 1,
      anon_sym_PIPE,
    STATE(2075), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3622), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [109243] = 4,
    ACTIONS(3826), 1,
      anon_sym_PIPE,
    STATE(2072), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3472), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [109259] = 3,
    STATE(2072), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3578), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [109273] = 4,
    ACTIONS(3830), 1,
      anon_sym_PIPE,
    STATE(2075), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3578), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [109289] = 6,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3833), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109309] = 5,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    ACTIONS(3839), 1,
      anon_sym_as,
    STATE(2190), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3835), 2,
      sym__newline,
      anon_sym_SEMI,
  [109327] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3599), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PIPE,
  [109339] = 6,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3841), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109359] = 3,
    ACTIONS(3843), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3306), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [109373] = 4,
    ACTIONS(3845), 1,
      anon_sym_PIPE,
    STATE(2086), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3520), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [109389] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3476), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [109401] = 4,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2971), 3,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [109417] = 6,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3847), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109437] = 5,
    ACTIONS(3790), 1,
      anon_sym_DOT,
    ACTIONS(3792), 1,
      anon_sym_COLON,
    ACTIONS(3796), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3612), 2,
      anon_sym_COMMA,
      anon_sym_EQ,
  [109455] = 4,
    ACTIONS(3845), 1,
      anon_sym_PIPE,
    STATE(2103), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3622), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [109471] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3464), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [109483] = 6,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3849), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109503] = 4,
    ACTIONS(3678), 1,
      anon_sym_PIPE,
    STATE(2024), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3622), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [109519] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3682), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [109531] = 6,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3851), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109551] = 4,
    ACTIONS(3853), 1,
      anon_sym_COMMA,
    STATE(2015), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1293), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
  [109567] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3550), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [109579] = 6,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3855), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109599] = 6,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3857), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109619] = 6,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(3729), 1,
      anon_sym_LPAREN,
    ACTIONS(3859), 1,
      anon_sym_COLON,
    STATE(2429), 1,
      sym_type_parameter,
    STATE(2684), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109639] = 3,
    ACTIONS(3861), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3306), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [109653] = 4,
    ACTIONS(3845), 1,
      anon_sym_PIPE,
    STATE(2086), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3472), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [109669] = 6,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3694), 1,
      anon_sym_as,
    ACTIONS(3863), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109689] = 6,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3865), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109709] = 6,
    ACTIONS(3138), 1,
      anon_sym_as,
    ACTIONS(3140), 1,
      anon_sym_if,
    ACTIONS(3142), 1,
      anon_sym_and,
    ACTIONS(3144), 1,
      anon_sym_or,
    ACTIONS(3867), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109729] = 3,
    STATE(2086), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3578), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [109743] = 4,
    ACTIONS(3869), 1,
      anon_sym_PIPE,
    STATE(2103), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3578), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [109759] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3733), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [109771] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3550), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [109783] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3682), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [109795] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3130), 5,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [109807] = 5,
    ACTIONS(3610), 1,
      anon_sym_DOT,
    ACTIONS(3614), 1,
      anon_sym_COLON,
    ACTIONS(3616), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3664), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [109825] = 5,
    ACTIONS(3872), 1,
      anon_sym_COMMA,
    ACTIONS(3874), 1,
      anon_sym_RBRACE,
    STATE(2413), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3306), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
  [109843] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3735), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [109854] = 4,
    ACTIONS(3878), 1,
      anon_sym_COMMA,
    STATE(2134), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3876), 2,
      sym__newline,
      anon_sym_SEMI,
  [109869] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3770), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [109880] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3306), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(3880), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [109893] = 4,
    ACTIONS(3884), 1,
      anon_sym_COLON,
    ACTIONS(3886), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3882), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [109908] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3772), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [109919] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3774), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [109930] = 5,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(3888), 1,
      anon_sym_LPAREN,
    STATE(2512), 1,
      sym_type_parameter,
    STATE(2536), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109947] = 5,
    ACTIONS(3890), 1,
      anon_sym_RPAREN,
    ACTIONS(3892), 1,
      anon_sym_COMMA,
    ACTIONS(3894), 1,
      anon_sym_as,
    STATE(2247), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109964] = 5,
    ACTIONS(3896), 1,
      anon_sym_COMMA,
    ACTIONS(3898), 1,
      anon_sym_as,
    ACTIONS(3900), 1,
      anon_sym_RBRACK,
    STATE(2248), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [109981] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3700), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [109992] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3776), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110003] = 4,
    ACTIONS(3878), 1,
      anon_sym_COMMA,
    STATE(2225), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3902), 2,
      sym__newline,
      anon_sym_SEMI,
  [110018] = 5,
    ACTIONS(3894), 1,
      anon_sym_as,
    ACTIONS(3904), 1,
      anon_sym_RPAREN,
    ACTIONS(3906), 1,
      anon_sym_COMMA,
    STATE(2255), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110035] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3782), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110046] = 5,
    ACTIONS(3684), 1,
      anon_sym_COLON,
    ACTIONS(3908), 1,
      anon_sym_RBRACE,
    ACTIONS(3910), 1,
      sym_type_conversion,
    STATE(2768), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110063] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3708), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110074] = 5,
    ACTIONS(3664), 1,
      anon_sym_COMMA,
    ACTIONS(3790), 1,
      anon_sym_DOT,
    ACTIONS(3792), 1,
      anon_sym_COLON,
    ACTIONS(3796), 1,
      anon_sym_PIPE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110091] = 4,
    ACTIONS(3914), 1,
      anon_sym_COMMA,
    STATE(2150), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3912), 2,
      sym__newline,
      anon_sym_SEMI,
  [110106] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3788), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110117] = 5,
    ACTIONS(3790), 1,
      anon_sym_DOT,
    ACTIONS(3792), 1,
      anon_sym_COLON,
    ACTIONS(3796), 1,
      anon_sym_PIPE,
    ACTIONS(3916), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110134] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3698), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110145] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3800), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110156] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3802), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110167] = 4,
    ACTIONS(3920), 1,
      anon_sym_COMMA,
    STATE(2134), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3918), 2,
      sym__newline,
      anon_sym_SEMI,
  [110182] = 3,
    ACTIONS(3839), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3923), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [110195] = 4,
    ACTIONS(3927), 1,
      anon_sym_COMMA,
    STATE(2136), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3925), 2,
      sym__newline,
      anon_sym_SEMI,
  [110210] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3698), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110221] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3700), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110232] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3704), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110243] = 5,
    ACTIONS(3702), 1,
      anon_sym_RPAREN,
    ACTIONS(3930), 1,
      sym_identifier,
    STATE(2417), 1,
      sym_dotted_name,
    STATE(2599), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110260] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3706), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110271] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3708), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110282] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3716), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110293] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3716), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110304] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3735), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110315] = 5,
    ACTIONS(3894), 1,
      anon_sym_as,
    ACTIONS(3932), 1,
      anon_sym_RPAREN,
    ACTIONS(3934), 1,
      anon_sym_COMMA,
    STATE(2439), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110332] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3735), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110343] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3737), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110354] = 4,
    ACTIONS(3837), 1,
      anon_sym_COMMA,
    STATE(2128), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3835), 2,
      sym__newline,
      anon_sym_SEMI,
  [110369] = 4,
    ACTIONS(3938), 1,
      anon_sym_COMMA,
    STATE(2150), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3936), 2,
      sym__newline,
      anon_sym_SEMI,
  [110384] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3742), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110395] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3744), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110406] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3746), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110417] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3748), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110428] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3750), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110439] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3752), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110450] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3768), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110461] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3770), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110472] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3772), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110483] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3774), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110494] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3776), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110505] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3782), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
      anon_sym_RBRACE,
  [110516] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3737), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110527] = 5,
    ACTIONS(3941), 1,
      anon_sym_case,
    ACTIONS(3943), 1,
      sym__dedent,
    STATE(2182), 1,
      aux_sym__match_block_repeat1,
    STATE(2589), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110544] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3742), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110555] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3744), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110566] = 5,
    ACTIONS(3835), 1,
      anon_sym_RPAREN,
    ACTIONS(3945), 1,
      anon_sym_COMMA,
    ACTIONS(3947), 1,
      anon_sym_as,
    STATE(2296), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110583] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3746), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110594] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3748), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110605] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3788), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110616] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3798), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110627] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3800), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110638] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3788), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110649] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3798), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110660] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3800), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110671] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3802), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110682] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3802), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110693] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3949), 4,
      anon_sym_async,
      anon_sym_def,
      anon_sym_class,
      anon_sym_AT,
  [110704] = 4,
    ACTIONS(3878), 1,
      anon_sym_COMMA,
    STATE(2111), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3951), 2,
      sym__newline,
      anon_sym_SEMI,
  [110719] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3750), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110730] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3752), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [110741] = 5,
    ACTIONS(3941), 1,
      anon_sym_case,
    ACTIONS(3953), 1,
      sym__dedent,
    STATE(2217), 1,
      aux_sym__match_block_repeat1,
    STATE(2589), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110758] = 5,
    ACTIONS(3894), 1,
      anon_sym_as,
    ACTIONS(3955), 1,
      anon_sym_RPAREN,
    ACTIONS(3957), 1,
      anon_sym_COMMA,
    STATE(2402), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110775] = 5,
    ACTIONS(3898), 1,
      anon_sym_as,
    ACTIONS(3959), 1,
      anon_sym_COMMA,
    ACTIONS(3961), 1,
      anon_sym_RBRACK,
    STATE(2404), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110792] = 4,
    ACTIONS(3965), 1,
      anon_sym_COMMA,
    STATE(2136), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3963), 2,
      sym__newline,
      anon_sym_SEMI,
  [110807] = 4,
    ACTIONS(3969), 1,
      anon_sym_COMMA,
    STATE(2197), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3967), 2,
      sym__newline,
      anon_sym_SEMI,
  [110822] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3971), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [110833] = 5,
    ACTIONS(3894), 1,
      anon_sym_as,
    ACTIONS(3973), 1,
      anon_sym_RPAREN,
    ACTIONS(3975), 1,
      anon_sym_COMMA,
    STATE(2418), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110850] = 4,
    ACTIONS(3228), 1,
      anon_sym_COMMA,
    STATE(2015), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3977), 2,
      sym__newline,
      anon_sym_SEMI,
  [110865] = 4,
    ACTIONS(3979), 1,
      anon_sym_COMMA,
    STATE(2150), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3912), 2,
      sym__newline,
      anon_sym_SEMI,
  [110880] = 5,
    ACTIONS(3894), 1,
      anon_sym_as,
    ACTIONS(3981), 1,
      anon_sym_RPAREN,
    ACTIONS(3983), 1,
      anon_sym_COMMA,
    STATE(2244), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110897] = 5,
    ACTIONS(3894), 1,
      anon_sym_as,
    ACTIONS(3985), 1,
      anon_sym_RPAREN,
    ACTIONS(3987), 1,
      anon_sym_COMMA,
    STATE(2422), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110914] = 5,
    ACTIONS(3786), 1,
      anon_sym_RPAREN,
    ACTIONS(3930), 1,
      sym_identifier,
    STATE(2417), 1,
      sym_dotted_name,
    STATE(2599), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110931] = 5,
    ACTIONS(3786), 1,
      anon_sym_RPAREN,
    ACTIONS(3930), 1,
      sym_identifier,
    STATE(2417), 1,
      sym_dotted_name,
    STATE(2599), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110948] = 5,
    ACTIONS(3898), 1,
      anon_sym_as,
    ACTIONS(3989), 1,
      anon_sym_COMMA,
    ACTIONS(3991), 1,
      anon_sym_RBRACK,
    STATE(2246), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [110965] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3698), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [110976] = 4,
    ACTIONS(3995), 1,
      anon_sym_COMMA,
    STATE(2136), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3993), 2,
      sym__newline,
      anon_sym_SEMI,
  [110991] = 5,
    ACTIONS(3898), 1,
      anon_sym_as,
    ACTIONS(3997), 1,
      anon_sym_COMMA,
    ACTIONS(3999), 1,
      anon_sym_RBRACK,
    STATE(2496), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111008] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3700), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111019] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3704), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111030] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3706), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111041] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3520), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [111052] = 5,
    ACTIONS(3941), 1,
      anon_sym_case,
    ACTIONS(4001), 1,
      sym__dedent,
    STATE(2217), 1,
      aux_sym__match_block_repeat1,
    STATE(2589), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111069] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3708), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111080] = 4,
    ACTIONS(4005), 1,
      anon_sym_DOT,
    STATE(2206), 1,
      aux_sym_import_prefix_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4003), 2,
      anon_sym_import,
      sym_identifier,
  [111095] = 4,
    ACTIONS(4009), 1,
      anon_sym_DOT,
    STATE(2206), 1,
      aux_sym_import_prefix_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4007), 2,
      anon_sym_import,
      sym_identifier,
  [111110] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3716), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111121] = 5,
    ACTIONS(3930), 1,
      sym_identifier,
    STATE(2167), 1,
      sym_dotted_name,
    STATE(2356), 1,
      sym_aliased_import,
    STATE(2610), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111138] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3704), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111149] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3706), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111160] = 5,
    ACTIONS(3684), 1,
      anon_sym_COLON,
    ACTIONS(4012), 1,
      anon_sym_RBRACE,
    ACTIONS(4014), 1,
      sym_type_conversion,
    STATE(2762), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111177] = 5,
    ACTIONS(3930), 1,
      sym_identifier,
    STATE(2167), 1,
      sym_dotted_name,
    STATE(2356), 1,
      sym_aliased_import,
    STATE(2701), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111194] = 4,
    ACTIONS(4016), 1,
      anon_sym_COMMA,
    STATE(2015), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1429), 2,
      sym__newline,
      anon_sym_SEMI,
  [111209] = 4,
    ACTIONS(4018), 1,
      anon_sym_COMMA,
    STATE(2214), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4021), 2,
      anon_sym_if,
      anon_sym_COLON,
  [111224] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3737), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111235] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3742), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111246] = 5,
    ACTIONS(4023), 1,
      anon_sym_case,
    ACTIONS(4026), 1,
      sym__dedent,
    STATE(2217), 1,
      aux_sym__match_block_repeat1,
    STATE(2589), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111263] = 4,
    ACTIONS(3228), 1,
      anon_sym_COMMA,
    STATE(2015), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4028), 2,
      sym__newline,
      anon_sym_SEMI,
  [111278] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3744), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111289] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3746), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111300] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3748), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111311] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3750), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111322] = 5,
    ACTIONS(3941), 1,
      anon_sym_case,
    ACTIONS(4030), 1,
      sym__dedent,
    STATE(2203), 1,
      aux_sym__match_block_repeat1,
    STATE(2589), 1,
      sym_case_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111339] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3752), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111350] = 4,
    ACTIONS(3878), 1,
      anon_sym_COMMA,
    STATE(2134), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4032), 2,
      sym__newline,
      anon_sym_SEMI,
  [111365] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3768), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111376] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3770), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111387] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3772), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111398] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3774), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111409] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3776), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111420] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3782), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
      anon_sym_PIPE,
  [111431] = 5,
    ACTIONS(3435), 1,
      sym_identifier,
    STATE(2077), 1,
      sym_dotted_name,
    STATE(2149), 1,
      sym_aliased_import,
    STATE(2571), 1,
      sym__import_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111448] = 5,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(3888), 1,
      anon_sym_LPAREN,
    STATE(2563), 1,
      sym_parameters,
    STATE(2591), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111465] = 5,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(3888), 1,
      anon_sym_LPAREN,
    STATE(2564), 1,
      sym_parameters,
    STATE(2594), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111482] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3768), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_PIPE,
  [111493] = 5,
    ACTIONS(1561), 1,
      anon_sym_LBRACK,
    ACTIONS(3888), 1,
      anon_sym_LPAREN,
    STATE(2561), 1,
      sym_parameters,
    STATE(2565), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111510] = 5,
    ACTIONS(3894), 1,
      anon_sym_as,
    ACTIONS(4034), 1,
      anon_sym_RPAREN,
    ACTIONS(4036), 1,
      anon_sym_COMMA,
    STATE(2276), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111527] = 3,
    ACTIONS(3514), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4021), 3,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
  [111540] = 4,
    ACTIONS(1293), 1,
      anon_sym_COLON,
    ACTIONS(4038), 1,
      anon_sym_COMMA,
    STATE(2478), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111554] = 4,
    ACTIONS(3720), 1,
      anon_sym_RBRACK,
    ACTIONS(4040), 1,
      anon_sym_COMMA,
    STATE(2240), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111568] = 4,
    ACTIONS(4043), 1,
      anon_sym_COMMA,
    ACTIONS(4045), 1,
      anon_sym_RBRACK,
    STATE(2407), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111582] = 4,
    ACTIONS(3024), 1,
      anon_sym_COMMA,
    ACTIONS(3066), 1,
      anon_sym_RPAREN,
    STATE(2254), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111596] = 4,
    ACTIONS(4047), 1,
      anon_sym_COMMA,
    ACTIONS(4049), 1,
      anon_sym_RBRACE,
    STATE(2250), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111610] = 4,
    ACTIONS(2630), 1,
      anon_sym_RPAREN,
    ACTIONS(4051), 1,
      anon_sym_COMMA,
    STATE(2375), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111624] = 4,
    ACTIONS(1341), 1,
      anon_sym_RBRACE,
    ACTIONS(4053), 1,
      anon_sym_COMMA,
    STATE(2256), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111638] = 4,
    ACTIONS(2632), 1,
      anon_sym_RBRACK,
    ACTIONS(4055), 1,
      anon_sym_COMMA,
    STATE(2446), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111652] = 4,
    ACTIONS(2672), 1,
      anon_sym_RPAREN,
    ACTIONS(4057), 1,
      anon_sym_COMMA,
    STATE(2375), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111666] = 4,
    ACTIONS(2674), 1,
      anon_sym_RBRACK,
    ACTIONS(4059), 1,
      anon_sym_COMMA,
    STATE(2446), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111680] = 4,
    ACTIONS(1447), 1,
      anon_sym_COLON,
    ACTIONS(4061), 1,
      anon_sym_COMMA,
    STATE(2275), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111694] = 4,
    ACTIONS(4063), 1,
      anon_sym_COMMA,
    ACTIONS(4065), 1,
      anon_sym_RBRACE,
    STATE(2420), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111708] = 4,
    ACTIONS(4067), 1,
      anon_sym_COMMA,
    ACTIONS(4069), 1,
      anon_sym_RBRACE,
    STATE(2420), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111722] = 4,
    ACTIONS(4071), 1,
      anon_sym_COMMA,
    ACTIONS(4073), 1,
      anon_sym_RBRACE,
    STATE(2420), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111736] = 4,
    ACTIONS(4075), 1,
      anon_sym_COMMA,
    ACTIONS(4077), 1,
      anon_sym_RBRACE,
    STATE(2420), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111750] = 4,
    ACTIONS(1291), 1,
      anon_sym_RPAREN,
    ACTIONS(4079), 1,
      anon_sym_COMMA,
    STATE(2266), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111764] = 4,
    ACTIONS(2680), 1,
      anon_sym_RPAREN,
    ACTIONS(4081), 1,
      anon_sym_COMMA,
    STATE(2375), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111778] = 4,
    ACTIONS(4083), 1,
      anon_sym_COMMA,
    ACTIONS(4086), 1,
      anon_sym_RBRACE,
    STATE(2256), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111792] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3520), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [111802] = 4,
    ACTIONS(4088), 1,
      anon_sym_COMMA,
    ACTIONS(4091), 1,
      anon_sym_COLON,
    STATE(2258), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111816] = 3,
    ACTIONS(1682), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1684), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [111828] = 4,
    ACTIONS(4093), 1,
      anon_sym_SEMI,
    ACTIONS(4095), 1,
      sym__newline,
    STATE(2268), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111842] = 3,
    ACTIONS(3894), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4021), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [111854] = 4,
    ACTIONS(3790), 1,
      anon_sym_DOT,
    ACTIONS(3796), 1,
      anon_sym_PIPE,
    ACTIONS(4097), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111868] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3918), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [111878] = 4,
    ACTIONS(3024), 1,
      anon_sym_COMMA,
    ACTIONS(3060), 1,
      anon_sym_RPAREN,
    STATE(2254), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111892] = 3,
    ACTIONS(3541), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3543), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [111904] = 4,
    ACTIONS(3490), 1,
      anon_sym_RPAREN,
    ACTIONS(4099), 1,
      anon_sym_COMMA,
    STATE(2266), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111918] = 4,
    ACTIONS(3393), 1,
      anon_sym_COMMA,
    ACTIONS(3395), 1,
      anon_sym_RBRACE,
    STATE(2271), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111932] = 4,
    ACTIONS(629), 1,
      sym__newline,
    ACTIONS(4102), 1,
      anon_sym_SEMI,
    STATE(2400), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111946] = 4,
    ACTIONS(4104), 1,
      anon_sym_COMMA,
    ACTIONS(4106), 1,
      anon_sym_COLON,
    STATE(2249), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111960] = 4,
    ACTIONS(4108), 1,
      anon_sym_COMMA,
    ACTIONS(4110), 1,
      anon_sym_in,
    STATE(2346), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111974] = 4,
    ACTIONS(1307), 1,
      anon_sym_RBRACE,
    ACTIONS(4112), 1,
      anon_sym_COMMA,
    STATE(2256), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [111988] = 4,
    ACTIONS(3729), 1,
      anon_sym_LPAREN,
    ACTIONS(4114), 1,
      anon_sym_COLON,
    STATE(2770), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112002] = 4,
    ACTIONS(3062), 1,
      anon_sym_RPAREN,
    ACTIONS(3064), 1,
      anon_sym_COMMA,
    STATE(2282), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112016] = 4,
    ACTIONS(4116), 1,
      anon_sym_RPAREN,
    ACTIONS(4118), 1,
      anon_sym_COMMA,
    STATE(2284), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112030] = 4,
    ACTIONS(4120), 1,
      anon_sym_COMMA,
    ACTIONS(4123), 1,
      anon_sym_COLON,
    STATE(2275), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112044] = 4,
    ACTIONS(2640), 1,
      anon_sym_RPAREN,
    ACTIONS(4125), 1,
      anon_sym_COMMA,
    STATE(2375), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112058] = 4,
    ACTIONS(3246), 1,
      anon_sym_COMMA,
    ACTIONS(3248), 1,
      anon_sym_RBRACK,
    STATE(2287), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112072] = 3,
    ACTIONS(3556), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3558), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [112084] = 4,
    ACTIONS(3374), 1,
      anon_sym_COMMA,
    ACTIONS(3376), 1,
      anon_sym_RBRACE,
    STATE(2245), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112098] = 3,
    ACTIONS(1698), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1700), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [112110] = 3,
    ACTIONS(3648), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3650), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [112122] = 4,
    ACTIONS(1201), 1,
      anon_sym_RPAREN,
    ACTIONS(4127), 1,
      anon_sym_COMMA,
    STATE(2438), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112136] = 4,
    ACTIONS(4129), 1,
      anon_sym_COMMA,
    ACTIONS(4131), 1,
      anon_sym_RBRACE,
    STATE(2420), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112150] = 4,
    ACTIONS(1203), 1,
      anon_sym_RPAREN,
    ACTIONS(4133), 1,
      anon_sym_COMMA,
    STATE(2438), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112164] = 4,
    ACTIONS(2875), 1,
      anon_sym_RBRACK,
    ACTIONS(4135), 1,
      anon_sym_COMMA,
    STATE(2285), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112178] = 4,
    ACTIONS(4138), 1,
      anon_sym_COMMA,
    ACTIONS(4140), 1,
      anon_sym_RBRACK,
    STATE(2407), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112192] = 4,
    ACTIONS(4142), 1,
      anon_sym_COMMA,
    ACTIONS(4144), 1,
      anon_sym_RBRACK,
    STATE(2407), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112206] = 3,
    ACTIONS(3566), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3568), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [112218] = 4,
    ACTIONS(3364), 1,
      anon_sym_COMMA,
    ACTIONS(3366), 1,
      anon_sym_RBRACE,
    STATE(2421), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112232] = 4,
    ACTIONS(3435), 1,
      sym_identifier,
    STATE(2135), 1,
      sym_dotted_name,
    STATE(2306), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112246] = 4,
    ACTIONS(3684), 1,
      anon_sym_COLON,
    ACTIONS(4146), 1,
      anon_sym_RBRACE,
    STATE(2603), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112260] = 4,
    ACTIONS(1996), 1,
      anon_sym_RPAREN,
    ACTIONS(4148), 1,
      anon_sym_COMMA,
    STATE(2373), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112274] = 4,
    ACTIONS(3790), 1,
      anon_sym_DOT,
    ACTIONS(3796), 1,
      anon_sym_PIPE,
    ACTIONS(4150), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112288] = 4,
    ACTIONS(4152), 1,
      anon_sym_SEMI,
    ACTIONS(4154), 1,
      sym__newline,
    STATE(2308), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112302] = 4,
    ACTIONS(3912), 1,
      anon_sym_RPAREN,
    ACTIONS(4156), 1,
      anon_sym_COMMA,
    STATE(2419), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112316] = 4,
    ACTIONS(3912), 1,
      anon_sym_RPAREN,
    ACTIONS(4158), 1,
      anon_sym_COMMA,
    STATE(2419), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112330] = 4,
    ACTIONS(4160), 1,
      anon_sym_COMMA,
    ACTIONS(4162), 1,
      anon_sym_RBRACE,
    STATE(2420), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112344] = 4,
    ACTIONS(3022), 1,
      anon_sym_RPAREN,
    ACTIONS(3024), 1,
      anon_sym_COMMA,
    STATE(2254), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112358] = 4,
    ACTIONS(4164), 1,
      anon_sym_SEMI,
    ACTIONS(4166), 1,
      sym__newline,
    STATE(2310), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112372] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2445), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_in,
  [112382] = 4,
    ACTIONS(1173), 1,
      anon_sym_RPAREN,
    ACTIONS(4168), 1,
      anon_sym_COMMA,
    STATE(2438), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112396] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3971), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACE,
  [112406] = 4,
    ACTIONS(3024), 1,
      anon_sym_COMMA,
    ACTIONS(3072), 1,
      anon_sym_RPAREN,
    STATE(2254), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112420] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1630), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
  [112430] = 4,
    ACTIONS(3450), 1,
      anon_sym_COMMA,
    ACTIONS(3452), 1,
      anon_sym_RBRACE,
    STATE(2319), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112444] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3923), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [112454] = 4,
    ACTIONS(3347), 1,
      anon_sym_COMMA,
    ACTIONS(3349), 1,
      anon_sym_RBRACE,
    STATE(2313), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112468] = 4,
    ACTIONS(627), 1,
      sym__newline,
    ACTIONS(4170), 1,
      anon_sym_SEMI,
    STATE(2400), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112482] = 4,
    ACTIONS(1187), 1,
      anon_sym_RPAREN,
    ACTIONS(4172), 1,
      anon_sym_COMMA,
    STATE(2438), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112496] = 4,
    ACTIONS(633), 1,
      sym__newline,
    ACTIONS(4174), 1,
      anon_sym_SEMI,
    STATE(2400), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112510] = 4,
    ACTIONS(1291), 1,
      anon_sym_RBRACK,
    ACTIONS(4176), 1,
      anon_sym_COMMA,
    STATE(2428), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112524] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2880), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [112534] = 4,
    ACTIONS(1319), 1,
      anon_sym_RBRACE,
    ACTIONS(4178), 1,
      anon_sym_COMMA,
    STATE(2256), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112548] = 4,
    ACTIONS(3024), 1,
      anon_sym_COMMA,
    ACTIONS(4180), 1,
      anon_sym_RPAREN,
    STATE(2254), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112562] = 4,
    ACTIONS(3024), 1,
      anon_sym_COMMA,
    ACTIONS(4182), 1,
      anon_sym_RPAREN,
    STATE(2254), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112576] = 4,
    ACTIONS(3078), 1,
      anon_sym_RPAREN,
    ACTIONS(3080), 1,
      anon_sym_COMMA,
    STATE(2324), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112590] = 4,
    ACTIONS(4184), 1,
      anon_sym_RPAREN,
    ACTIONS(4186), 1,
      anon_sym_COMMA,
    STATE(2326), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112604] = 4,
    ACTIONS(3204), 1,
      anon_sym_RPAREN,
    ACTIONS(4188), 1,
      anon_sym_COMMA,
    STATE(2318), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112618] = 4,
    ACTIONS(1305), 1,
      anon_sym_RBRACE,
    ACTIONS(4191), 1,
      anon_sym_COMMA,
    STATE(2256), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112632] = 4,
    ACTIONS(3268), 1,
      anon_sym_COMMA,
    ACTIONS(3270), 1,
      anon_sym_RBRACK,
    STATE(2329), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112646] = 4,
    ACTIONS(1996), 1,
      anon_sym_RBRACK,
    ACTIONS(4193), 1,
      anon_sym_COMMA,
    STATE(2285), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112660] = 4,
    ACTIONS(4195), 1,
      anon_sym_COMMA,
    ACTIONS(4197), 1,
      anon_sym_RBRACK,
    STATE(2407), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112674] = 4,
    ACTIONS(3038), 1,
      anon_sym_RPAREN,
    ACTIONS(3040), 1,
      anon_sym_COMMA,
    STATE(2335), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112688] = 4,
    ACTIONS(1213), 1,
      anon_sym_RPAREN,
    ACTIONS(4199), 1,
      anon_sym_COMMA,
    STATE(2438), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112702] = 4,
    ACTIONS(4201), 1,
      anon_sym_RPAREN,
    ACTIONS(4203), 1,
      anon_sym_COMMA,
    STATE(2338), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112716] = 4,
    ACTIONS(1215), 1,
      anon_sym_RPAREN,
    ACTIONS(4205), 1,
      anon_sym_COMMA,
    STATE(2438), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112730] = 4,
    ACTIONS(4207), 1,
      anon_sym_COMMA,
    ACTIONS(4209), 1,
      anon_sym_RBRACK,
    STATE(2407), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112744] = 4,
    ACTIONS(4211), 1,
      anon_sym_COMMA,
    ACTIONS(4213), 1,
      anon_sym_RBRACK,
    STATE(2407), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112758] = 4,
    ACTIONS(4215), 1,
      anon_sym_COMMA,
    ACTIONS(4217), 1,
      anon_sym_RBRACK,
    STATE(2407), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112772] = 4,
    ACTIONS(3278), 1,
      anon_sym_COMMA,
    ACTIONS(3280), 1,
      anon_sym_RBRACK,
    STATE(2343), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112786] = 4,
    ACTIONS(4219), 1,
      sym__newline,
    ACTIONS(4221), 1,
      sym__indent,
    STATE(804), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112800] = 4,
    ACTIONS(3684), 1,
      anon_sym_COLON,
    ACTIONS(4223), 1,
      anon_sym_RBRACE,
    STATE(2653), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112814] = 4,
    ACTIONS(3204), 1,
      anon_sym_RBRACK,
    ACTIONS(4225), 1,
      anon_sym_COMMA,
    STATE(2333), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112828] = 4,
    ACTIONS(617), 1,
      sym__newline,
    ACTIONS(4228), 1,
      anon_sym_SEMI,
    STATE(2400), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112842] = 4,
    ACTIONS(1175), 1,
      anon_sym_RPAREN,
    ACTIONS(4230), 1,
      anon_sym_COMMA,
    STATE(2438), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112856] = 4,
    ACTIONS(3120), 1,
      anon_sym_RPAREN,
    ACTIONS(3122), 1,
      anon_sym_COMMA,
    STATE(2479), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112870] = 4,
    ACTIONS(1439), 1,
      anon_sym_RPAREN,
    ACTIONS(4232), 1,
      anon_sym_COMMA,
    STATE(2468), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112884] = 4,
    ACTIONS(1177), 1,
      anon_sym_RPAREN,
    ACTIONS(4234), 1,
      anon_sym_COMMA,
    STATE(2438), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112898] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4236), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [112908] = 4,
    ACTIONS(4238), 1,
      anon_sym_RPAREN,
    ACTIONS(4240), 1,
      anon_sym_COMMA,
    STATE(2292), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112922] = 4,
    ACTIONS(4242), 1,
      anon_sym_SEMI,
    ACTIONS(4244), 1,
      sym__newline,
    STATE(2350), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112936] = 4,
    ACTIONS(4246), 1,
      anon_sym_COMMA,
    ACTIONS(4248), 1,
      anon_sym_RBRACK,
    STATE(2407), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112950] = 4,
    ACTIONS(4250), 1,
      anon_sym_COMMA,
    ACTIONS(4252), 1,
      anon_sym_RBRACK,
    STATE(2407), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112964] = 4,
    ACTIONS(3024), 1,
      anon_sym_COMMA,
    ACTIONS(3089), 1,
      anon_sym_RPAREN,
    STATE(2254), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112978] = 4,
    ACTIONS(2965), 1,
      anon_sym_RPAREN,
    ACTIONS(3024), 1,
      anon_sym_COMMA,
    STATE(2254), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [112992] = 4,
    ACTIONS(959), 1,
      anon_sym_in,
    ACTIONS(4254), 1,
      anon_sym_COMMA,
    STATE(2424), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113006] = 4,
    ACTIONS(3382), 1,
      anon_sym_COMMA,
    ACTIONS(3384), 1,
      anon_sym_RBRACE,
    STATE(2352), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113020] = 4,
    ACTIONS(1291), 1,
      anon_sym_RBRACE,
    ACTIONS(4256), 1,
      anon_sym_COMMA,
    STATE(2427), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113034] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3520), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [113044] = 4,
    ACTIONS(639), 1,
      sym__newline,
    ACTIONS(4258), 1,
      anon_sym_SEMI,
    STATE(2400), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113058] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1630), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [113068] = 4,
    ACTIONS(1327), 1,
      anon_sym_RBRACE,
    ACTIONS(4260), 1,
      anon_sym_COMMA,
    STATE(2256), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113082] = 4,
    ACTIONS(3024), 1,
      anon_sym_COMMA,
    ACTIONS(3048), 1,
      anon_sym_RPAREN,
    STATE(2254), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113096] = 4,
    ACTIONS(3091), 1,
      anon_sym_RPAREN,
    ACTIONS(3093), 1,
      anon_sym_COMMA,
    STATE(2361), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113110] = 4,
    ACTIONS(4262), 1,
      anon_sym_RPAREN,
    ACTIONS(4264), 1,
      anon_sym_COMMA,
    STATE(2362), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113124] = 4,
    ACTIONS(3835), 1,
      anon_sym_RPAREN,
    ACTIONS(3945), 1,
      anon_sym_COMMA,
    STATE(2295), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113138] = 4,
    ACTIONS(2953), 1,
      anon_sym_COMMA,
    ACTIONS(2965), 1,
      anon_sym_RBRACE,
    STATE(2348), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113152] = 4,
    ACTIONS(3274), 1,
      anon_sym_COMMA,
    ACTIONS(3276), 1,
      anon_sym_RBRACK,
    STATE(2365), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113166] = 3,
    ACTIONS(3177), 1,
      anon_sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3175), 2,
      sym__newline,
      anon_sym_SEMI,
  [113178] = 4,
    ACTIONS(985), 1,
      anon_sym_RBRACK,
    ACTIONS(4266), 1,
      anon_sym_COMMA,
    STATE(2240), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113192] = 4,
    ACTIONS(1225), 1,
      anon_sym_RPAREN,
    ACTIONS(4268), 1,
      anon_sym_COMMA,
    STATE(2438), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113206] = 4,
    ACTIONS(1227), 1,
      anon_sym_RPAREN,
    ACTIONS(4270), 1,
      anon_sym_COMMA,
    STATE(2438), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113220] = 4,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(4272), 1,
      anon_sym_import,
    STATE(2732), 1,
      sym_dotted_name,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113234] = 4,
    ACTIONS(4274), 1,
      anon_sym_COMMA,
    ACTIONS(4276), 1,
      anon_sym_RBRACK,
    STATE(2407), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113248] = 4,
    ACTIONS(4278), 1,
      anon_sym_COMMA,
    ACTIONS(4280), 1,
      anon_sym_RBRACK,
    STATE(2407), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113262] = 4,
    ACTIONS(4219), 1,
      sym__newline,
    ACTIONS(4221), 1,
      sym__indent,
    STATE(730), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113276] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3971), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [113286] = 4,
    ACTIONS(2951), 1,
      anon_sym_RPAREN,
    ACTIONS(4282), 1,
      anon_sym_COMMA,
    STATE(2486), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113300] = 4,
    ACTIONS(4284), 1,
      anon_sym_COMMA,
    ACTIONS(4287), 1,
      anon_sym_COLON,
    STATE(2369), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113314] = 4,
    ACTIONS(4289), 1,
      anon_sym_RPAREN,
    ACTIONS(4291), 1,
      anon_sym_COMMA,
    STATE(2383), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113328] = 3,
    ACTIONS(1702), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1704), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [113340] = 4,
    ACTIONS(1023), 1,
      anon_sym_RBRACK,
    ACTIONS(4293), 1,
      anon_sym_COMMA,
    STATE(2240), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113354] = 4,
    ACTIONS(2875), 1,
      anon_sym_RPAREN,
    ACTIONS(4295), 1,
      anon_sym_COMMA,
    STATE(2373), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113368] = 4,
    ACTIONS(4298), 1,
      anon_sym_SEMI,
    ACTIONS(4300), 1,
      sym__newline,
    STATE(2498), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113382] = 4,
    ACTIONS(4021), 1,
      anon_sym_RPAREN,
    ACTIONS(4302), 1,
      anon_sym_COMMA,
    STATE(2375), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113396] = 4,
    ACTIONS(4305), 1,
      anon_sym_SEMI,
    ACTIONS(4307), 1,
      sym__newline,
    STATE(2431), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113410] = 4,
    ACTIONS(3024), 1,
      anon_sym_COMMA,
    ACTIONS(3099), 1,
      anon_sym_RPAREN,
    STATE(2254), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113424] = 4,
    ACTIONS(2965), 1,
      anon_sym_RBRACK,
    ACTIONS(3004), 1,
      anon_sym_COMMA,
    STATE(2311), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113438] = 4,
    ACTIONS(3024), 1,
      anon_sym_COMMA,
    ACTIONS(4309), 1,
      anon_sym_RPAREN,
    STATE(2254), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113452] = 4,
    ACTIONS(3330), 1,
      anon_sym_COMMA,
    ACTIONS(3332), 1,
      anon_sym_RBRACE,
    STATE(2386), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113466] = 4,
    ACTIONS(3024), 1,
      anon_sym_COMMA,
    ACTIONS(4311), 1,
      anon_sym_RPAREN,
    STATE(2254), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113480] = 4,
    ACTIONS(4238), 1,
      anon_sym_RBRACK,
    ACTIONS(4313), 1,
      anon_sym_COMMA,
    STATE(2321), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113494] = 4,
    ACTIONS(1155), 1,
      anon_sym_RPAREN,
    ACTIONS(4315), 1,
      anon_sym_COMMA,
    STATE(2438), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113508] = 4,
    ACTIONS(997), 1,
      anon_sym_RBRACK,
    ACTIONS(4317), 1,
      anon_sym_COMMA,
    STATE(2240), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113522] = 3,
    ACTIONS(4321), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4319), 2,
      sym__newline,
      anon_sym_SEMI,
  [113534] = 4,
    ACTIONS(1337), 1,
      anon_sym_RBRACE,
    ACTIONS(4323), 1,
      anon_sym_COMMA,
    STATE(2256), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113548] = 4,
    ACTIONS(4219), 1,
      sym__newline,
    ACTIONS(4221), 1,
      sym__indent,
    STATE(735), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113562] = 4,
    ACTIONS(3101), 1,
      anon_sym_RPAREN,
    ACTIONS(3103), 1,
      anon_sym_COMMA,
    STATE(2394), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113576] = 4,
    ACTIONS(4325), 1,
      anon_sym_RPAREN,
    ACTIONS(4327), 1,
      anon_sym_COMMA,
    STATE(2395), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113590] = 4,
    ACTIONS(4329), 1,
      sym__newline,
    ACTIONS(4331), 1,
      sym__indent,
    STATE(802), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113604] = 4,
    ACTIONS(3282), 1,
      anon_sym_COMMA,
    ACTIONS(3284), 1,
      anon_sym_RBRACK,
    STATE(2398), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113618] = 4,
    ACTIONS(2951), 1,
      anon_sym_COLON,
    ACTIONS(4333), 1,
      anon_sym_COMMA,
    STATE(2258), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113632] = 4,
    ACTIONS(4335), 1,
      anon_sym_COMMA,
    ACTIONS(4337), 1,
      anon_sym_RBRACE,
    STATE(2406), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113646] = 4,
    ACTIONS(1235), 1,
      anon_sym_RPAREN,
    ACTIONS(4339), 1,
      anon_sym_COMMA,
    STATE(2438), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113660] = 4,
    ACTIONS(1237), 1,
      anon_sym_RPAREN,
    ACTIONS(4341), 1,
      anon_sym_COMMA,
    STATE(2438), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113674] = 3,
    ACTIONS(4345), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4343), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [113686] = 4,
    ACTIONS(4347), 1,
      anon_sym_COMMA,
    ACTIONS(4349), 1,
      anon_sym_RBRACK,
    STATE(2407), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113700] = 4,
    ACTIONS(4351), 1,
      anon_sym_COMMA,
    ACTIONS(4353), 1,
      anon_sym_RBRACK,
    STATE(2407), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113714] = 4,
    ACTIONS(4355), 1,
      anon_sym_COMMA,
    ACTIONS(4357), 1,
      anon_sym_COLON,
    STATE(2369), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113728] = 4,
    ACTIONS(4359), 1,
      anon_sym_SEMI,
    ACTIONS(4362), 1,
      sym__newline,
    STATE(2400), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113742] = 4,
    ACTIONS(4329), 1,
      sym__newline,
    ACTIONS(4331), 1,
      sym__indent,
    STATE(828), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113756] = 4,
    ACTIONS(2652), 1,
      anon_sym_RPAREN,
    ACTIONS(4364), 1,
      anon_sym_COMMA,
    STATE(2375), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113770] = 4,
    ACTIONS(4108), 1,
      anon_sym_COMMA,
    ACTIONS(4366), 1,
      anon_sym_in,
    STATE(2346), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113784] = 4,
    ACTIONS(2692), 1,
      anon_sym_RBRACK,
    ACTIONS(4368), 1,
      anon_sym_COMMA,
    STATE(2446), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113798] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2458), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_in,
  [113808] = 4,
    ACTIONS(4370), 1,
      anon_sym_COMMA,
    ACTIONS(4372), 1,
      anon_sym_RBRACE,
    STATE(2420), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113822] = 4,
    ACTIONS(4374), 1,
      anon_sym_COMMA,
    ACTIONS(4377), 1,
      anon_sym_RBRACK,
    STATE(2407), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113836] = 4,
    ACTIONS(3302), 1,
      anon_sym_COMMA,
    ACTIONS(3304), 1,
      anon_sym_RBRACK,
    STATE(2410), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113850] = 4,
    ACTIONS(4379), 1,
      anon_sym_COMMA,
    ACTIONS(4381), 1,
      anon_sym_RBRACK,
    STATE(2407), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113864] = 4,
    ACTIONS(4383), 1,
      anon_sym_COMMA,
    ACTIONS(4385), 1,
      anon_sym_RBRACK,
    STATE(2407), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113878] = 3,
    ACTIONS(4387), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3882), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [113890] = 3,
    ACTIONS(3537), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3539), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [113902] = 4,
    ACTIONS(4389), 1,
      anon_sym_COMMA,
    ACTIONS(4391), 1,
      anon_sym_RBRACE,
    STATE(2420), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113916] = 4,
    ACTIONS(3308), 1,
      anon_sym_COMMA,
    ACTIONS(3310), 1,
      anon_sym_RBRACK,
    STATE(2416), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113930] = 4,
    ACTIONS(4393), 1,
      anon_sym_COMMA,
    ACTIONS(4395), 1,
      anon_sym_RBRACK,
    STATE(2407), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113944] = 4,
    ACTIONS(4397), 1,
      anon_sym_COMMA,
    ACTIONS(4399), 1,
      anon_sym_RBRACK,
    STATE(2407), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113958] = 3,
    ACTIONS(3947), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3923), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [113970] = 4,
    ACTIONS(2678), 1,
      anon_sym_RPAREN,
    ACTIONS(4401), 1,
      anon_sym_COMMA,
    STATE(2375), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113984] = 4,
    ACTIONS(3936), 1,
      anon_sym_RPAREN,
    ACTIONS(4403), 1,
      anon_sym_COMMA,
    STATE(2419), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [113998] = 4,
    ACTIONS(4406), 1,
      anon_sym_COMMA,
    ACTIONS(4409), 1,
      anon_sym_RBRACE,
    STATE(2420), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114012] = 4,
    ACTIONS(1335), 1,
      anon_sym_RBRACE,
    ACTIONS(4411), 1,
      anon_sym_COMMA,
    STATE(2256), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114026] = 4,
    ACTIONS(2660), 1,
      anon_sym_RPAREN,
    ACTIONS(4413), 1,
      anon_sym_COMMA,
    STATE(2375), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114040] = 4,
    ACTIONS(4415), 1,
      anon_sym_RPAREN,
    ACTIONS(4417), 1,
      anon_sym_COMMA,
    STATE(2337), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114054] = 4,
    ACTIONS(2875), 1,
      anon_sym_in,
    ACTIONS(4419), 1,
      anon_sym_COMMA,
    STATE(2424), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114068] = 4,
    ACTIONS(1293), 1,
      anon_sym_RPAREN,
    ACTIONS(4422), 1,
      anon_sym_COMMA,
    STATE(2318), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114082] = 3,
    ACTIONS(4426), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4424), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [114094] = 4,
    ACTIONS(3490), 1,
      anon_sym_RBRACE,
    ACTIONS(4428), 1,
      anon_sym_COMMA,
    STATE(2427), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114108] = 4,
    ACTIONS(3490), 1,
      anon_sym_RBRACK,
    ACTIONS(4431), 1,
      anon_sym_COMMA,
    STATE(2428), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114122] = 4,
    ACTIONS(3729), 1,
      anon_sym_LPAREN,
    ACTIONS(4434), 1,
      anon_sym_COLON,
    STATE(2693), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114136] = 4,
    ACTIONS(4108), 1,
      anon_sym_COMMA,
    ACTIONS(4436), 1,
      anon_sym_in,
    STATE(2346), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114150] = 4,
    ACTIONS(619), 1,
      sym__newline,
    ACTIONS(4438), 1,
      anon_sym_SEMI,
    STATE(2400), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114164] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3520), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [114174] = 4,
    ACTIONS(4108), 1,
      anon_sym_COMMA,
    ACTIONS(4440), 1,
      anon_sym_in,
    STATE(2346), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114188] = 4,
    ACTIONS(3024), 1,
      anon_sym_COMMA,
    ACTIONS(4442), 1,
      anon_sym_RPAREN,
    STATE(2254), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114202] = 4,
    ACTIONS(3024), 1,
      anon_sym_COMMA,
    ACTIONS(4444), 1,
      anon_sym_RPAREN,
    STATE(2254), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114216] = 4,
    ACTIONS(4446), 1,
      anon_sym_SEMI,
    ACTIONS(4448), 1,
      sym__newline,
    STATE(2460), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114230] = 4,
    ACTIONS(3790), 1,
      anon_sym_DOT,
    ACTIONS(3796), 1,
      anon_sym_PIPE,
    ACTIONS(4450), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114244] = 4,
    ACTIONS(3531), 1,
      anon_sym_RPAREN,
    ACTIONS(4452), 1,
      anon_sym_COMMA,
    STATE(2438), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114258] = 4,
    ACTIONS(2610), 1,
      anon_sym_RPAREN,
    ACTIONS(4455), 1,
      anon_sym_COMMA,
    STATE(2375), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114272] = 4,
    ACTIONS(3790), 1,
      anon_sym_DOT,
    ACTIONS(3796), 1,
      anon_sym_PIPE,
    ACTIONS(4457), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114286] = 4,
    ACTIONS(3790), 1,
      anon_sym_DOT,
    ACTIONS(3796), 1,
      anon_sym_PIPE,
    ACTIONS(4459), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114300] = 4,
    ACTIONS(3790), 1,
      anon_sym_DOT,
    ACTIONS(3796), 1,
      anon_sym_PIPE,
    ACTIONS(4461), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114314] = 4,
    ACTIONS(3024), 1,
      anon_sym_COMMA,
    ACTIONS(3046), 1,
      anon_sym_RPAREN,
    STATE(2254), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114328] = 3,
    ACTIONS(3898), 1,
      anon_sym_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4021), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [114340] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3971), 3,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_RBRACK,
  [114350] = 4,
    ACTIONS(4021), 1,
      anon_sym_RBRACK,
    ACTIONS(4463), 1,
      anon_sym_COMMA,
    STATE(2446), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114364] = 4,
    ACTIONS(3074), 1,
      anon_sym_RPAREN,
    ACTIONS(3076), 1,
      anon_sym_COMMA,
    STATE(2301), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114378] = 4,
    ACTIONS(4466), 1,
      anon_sym_RPAREN,
    ACTIONS(4468), 1,
      anon_sym_COMMA,
    STATE(2309), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114392] = 4,
    ACTIONS(3790), 1,
      anon_sym_DOT,
    ACTIONS(3796), 1,
      anon_sym_PIPE,
    ACTIONS(4470), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114406] = 4,
    ACTIONS(4108), 1,
      anon_sym_COMMA,
    ACTIONS(4472), 1,
      anon_sym_in,
    STATE(2346), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114420] = 4,
    ACTIONS(4108), 1,
      anon_sym_COMMA,
    ACTIONS(4474), 1,
      anon_sym_in,
    STATE(2346), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114434] = 4,
    ACTIONS(4476), 1,
      anon_sym_SEMI,
    ACTIONS(4478), 1,
      sym__newline,
    STATE(2334), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114448] = 4,
    ACTIONS(3474), 1,
      anon_sym_PIPE,
    ACTIONS(4480), 1,
      anon_sym_COLON,
    STATE(1959), 1,
      aux_sym_union_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114462] = 4,
    ACTIONS(3431), 1,
      anon_sym_COMMA,
    ACTIONS(3433), 1,
      anon_sym_RBRACE,
    STATE(2462), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114476] = 4,
    ACTIONS(3296), 1,
      anon_sym_COMMA,
    ACTIONS(3298), 1,
      anon_sym_RBRACK,
    STATE(2327), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114490] = 4,
    ACTIONS(4329), 1,
      sym__newline,
    ACTIONS(4331), 1,
      sym__indent,
    STATE(814), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114504] = 4,
    ACTIONS(4482), 1,
      anon_sym_COMMA,
    ACTIONS(4484), 1,
      anon_sym_COLON,
    STATE(2392), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114518] = 3,
    ACTIONS(4387), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3882), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [114530] = 4,
    ACTIONS(4486), 1,
      anon_sym_COMMA,
    ACTIONS(4488), 1,
      anon_sym_RBRACE,
    STATE(2283), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114544] = 4,
    ACTIONS(621), 1,
      sym__newline,
    ACTIONS(4490), 1,
      anon_sym_SEMI,
    STATE(2400), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114558] = 4,
    ACTIONS(3258), 1,
      anon_sym_COMMA,
    ACTIONS(3260), 1,
      anon_sym_RBRACK,
    STATE(2241), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114572] = 4,
    ACTIONS(1343), 1,
      anon_sym_RBRACE,
    ACTIONS(4492), 1,
      anon_sym_COMMA,
    STATE(2256), 1,
      aux_sym_dictionary_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114586] = 4,
    ACTIONS(4494), 1,
      anon_sym_COMMA,
    ACTIONS(4496), 1,
      anon_sym_RBRACK,
    STATE(2407), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114600] = 4,
    ACTIONS(3684), 1,
      anon_sym_COLON,
    ACTIONS(4498), 1,
      anon_sym_RBRACE,
    STATE(2766), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114614] = 4,
    ACTIONS(3050), 1,
      anon_sym_RPAREN,
    ACTIONS(3052), 1,
      anon_sym_COMMA,
    STATE(2472), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114628] = 4,
    ACTIONS(4500), 1,
      anon_sym_RPAREN,
    ACTIONS(4502), 1,
      anon_sym_COMMA,
    STATE(2473), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114642] = 4,
    ACTIONS(4504), 1,
      anon_sym_COMMA,
    ACTIONS(4506), 1,
      anon_sym_RBRACE,
    STATE(2252), 1,
      aux_sym_dict_pattern_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114656] = 4,
    ACTIONS(4123), 1,
      anon_sym_RPAREN,
    ACTIONS(4508), 1,
      anon_sym_COMMA,
    STATE(2468), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114670] = 4,
    ACTIONS(3234), 1,
      anon_sym_COMMA,
    ACTIONS(3238), 1,
      anon_sym_RBRACK,
    STATE(2475), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114684] = 4,
    ACTIONS(4108), 1,
      anon_sym_COMMA,
    ACTIONS(4511), 1,
      anon_sym_in,
    STATE(2346), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114698] = 4,
    ACTIONS(4329), 1,
      sym__newline,
    ACTIONS(4331), 1,
      sym__indent,
    STATE(811), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114712] = 4,
    ACTIONS(1189), 1,
      anon_sym_RPAREN,
    ACTIONS(4513), 1,
      anon_sym_COMMA,
    STATE(2438), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114726] = 4,
    ACTIONS(1191), 1,
      anon_sym_RPAREN,
    ACTIONS(4515), 1,
      anon_sym_COMMA,
    STATE(2438), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114740] = 4,
    ACTIONS(4517), 1,
      anon_sym_COMMA,
    ACTIONS(4519), 1,
      anon_sym_RBRACK,
    STATE(2407), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114754] = 4,
    ACTIONS(4521), 1,
      anon_sym_COMMA,
    ACTIONS(4523), 1,
      anon_sym_RBRACK,
    STATE(2407), 1,
      aux_sym_subscript_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114768] = 3,
    ACTIONS(1690), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1692), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [114780] = 4,
    ACTIONS(1293), 1,
      anon_sym_RBRACK,
    ACTIONS(4525), 1,
      anon_sym_COMMA,
    STATE(2333), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114794] = 4,
    ACTIONS(3204), 1,
      anon_sym_COLON,
    ACTIONS(4527), 1,
      anon_sym_COMMA,
    STATE(2478), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114808] = 4,
    ACTIONS(1145), 1,
      anon_sym_RPAREN,
    ACTIONS(4530), 1,
      anon_sym_COMMA,
    STATE(2438), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114822] = 4,
    ACTIONS(1021), 1,
      anon_sym_RBRACK,
    ACTIONS(4532), 1,
      anon_sym_COMMA,
    STATE(2240), 1,
      aux_sym_type_parameter_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114836] = 4,
    ACTIONS(4219), 1,
      sym__newline,
    ACTIONS(4221), 1,
      sym__indent,
    STATE(776), 1,
      sym__match_block,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114850] = 4,
    ACTIONS(4484), 1,
      anon_sym_RPAREN,
    ACTIONS(4534), 1,
      anon_sym_COMMA,
    STATE(2368), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114864] = 4,
    ACTIONS(4536), 1,
      anon_sym_COMMA,
    ACTIONS(4538), 1,
      anon_sym_COLON,
    STATE(2369), 1,
      aux_sym_match_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114878] = 4,
    ACTIONS(3790), 1,
      anon_sym_DOT,
    ACTIONS(3796), 1,
      anon_sym_PIPE,
    ACTIONS(4540), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114892] = 4,
    ACTIONS(4108), 1,
      anon_sym_COMMA,
    ACTIONS(4542), 1,
      anon_sym_in,
    STATE(2346), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114906] = 4,
    ACTIONS(4091), 1,
      anon_sym_RPAREN,
    ACTIONS(4544), 1,
      anon_sym_COMMA,
    STATE(2486), 1,
      aux_sym__parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [114920] = 3,
    ACTIONS(3886), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3882), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [114932] = 3,
    ACTIONS(1694), 1,
      anon_sym_except,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1696), 2,
      anon_sym_except_STAR,
      anon_sym_finally,
  [114944] = 3,
    ACTIONS(4547), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3882), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [114956] = 3,
    ACTIONS(3572), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3574), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [114968] = 3,
    ACTIONS(3652), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3654), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [114980] = 3,
    ACTIONS(3454), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3456), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [114992] = 4,
    ACTIONS(3930), 1,
      sym_identifier,
    STATE(2417), 1,
      sym_dotted_name,
    STATE(2599), 1,
      sym_aliased_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115006] = 4,
    ACTIONS(4108), 1,
      anon_sym_COMMA,
    ACTIONS(4549), 1,
      anon_sym_in,
    STATE(2346), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115020] = 4,
    ACTIONS(4108), 1,
      anon_sym_COMMA,
    ACTIONS(4551), 1,
      anon_sym_in,
    STATE(2346), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115034] = 4,
    ACTIONS(2644), 1,
      anon_sym_RBRACK,
    ACTIONS(4553), 1,
      anon_sym_COMMA,
    STATE(2446), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115048] = 4,
    ACTIONS(3684), 1,
      anon_sym_COLON,
    ACTIONS(4555), 1,
      anon_sym_RBRACE,
    STATE(2759), 1,
      sym_format_specifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115062] = 4,
    ACTIONS(645), 1,
      sym__newline,
    ACTIONS(4557), 1,
      anon_sym_SEMI,
    STATE(2400), 1,
      aux_sym__simple_statements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115076] = 3,
    ACTIONS(4559), 1,
      anon_sym_COLON,
    ACTIONS(4561), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115087] = 3,
    ACTIONS(4563), 1,
      anon_sym_COMMA,
    STATE(1933), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115098] = 3,
    ACTIONS(4565), 1,
      sym_integer,
    ACTIONS(4567), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115109] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3159), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [115118] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3345), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [115127] = 3,
    ACTIONS(4569), 1,
      sym_integer,
    ACTIONS(4571), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115138] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4573), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [115147] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4575), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [115156] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3128), 2,
      sym__newline,
      anon_sym_SEMI,
  [115165] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4577), 2,
      sym__newline,
      anon_sym_SEMI,
  [115174] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3490), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [115183] = 3,
    ACTIONS(4579), 1,
      sym_integer,
    ACTIONS(4581), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115194] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4583), 2,
      sym__dedent,
      anon_sym_case,
  [115203] = 3,
    ACTIONS(3888), 1,
      anon_sym_LPAREN,
    STATE(2551), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115214] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4585), 2,
      sym__newline,
      anon_sym_SEMI,
  [115223] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2875), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [115232] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2886), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115241] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4587), 2,
      sym__dedent,
      anon_sym_case,
  [115250] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4589), 2,
      sym__dedent,
      anon_sym_case,
  [115259] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4591), 2,
      sym__dedent,
      anon_sym_case,
  [115268] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4593), 2,
      sym__newline,
      anon_sym_SEMI,
  [115277] = 3,
    ACTIONS(4595), 1,
      anon_sym_COLON,
    ACTIONS(4597), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115288] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4599), 2,
      sym__newline,
      anon_sym_SEMI,
  [115297] = 3,
    ACTIONS(4601), 1,
      sym_integer,
    ACTIONS(4603), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115308] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4605), 2,
      sym__dedent,
      anon_sym_case,
  [115317] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4607), 2,
      sym__dedent,
      anon_sym_case,
  [115326] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1692), 2,
      sym__dedent,
      anon_sym_case,
  [115335] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4609), 2,
      sym__dedent,
      anon_sym_case,
  [115344] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4611), 2,
      sym__newline,
      anon_sym_SEMI,
  [115353] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2875), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115362] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4613), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [115371] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4615), 2,
      sym__newline,
      anon_sym_SEMI,
  [115380] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4617), 2,
      sym__dedent,
      anon_sym_case,
  [115389] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4619), 2,
      sym__newline,
      anon_sym_SEMI,
  [115398] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4613), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115407] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4621), 2,
      sym__newline,
      anon_sym_SEMI,
  [115416] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4623), 2,
      sym__dedent,
      anon_sym_case,
  [115425] = 3,
    ACTIONS(4625), 1,
      anon_sym_COLON,
    ACTIONS(4627), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115436] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3882), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115445] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4629), 2,
      anon_sym__,
      sym_identifier,
  [115454] = 3,
    ACTIONS(4631), 1,
      sym_integer,
    ACTIONS(4633), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115465] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4635), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [115474] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4362), 2,
      sym__newline,
      anon_sym_SEMI,
  [115483] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4573), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115492] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4637), 2,
      anon_sym_COLON,
      anon_sym_DASH_GT,
  [115501] = 3,
    ACTIONS(4639), 1,
      sym_integer,
    ACTIONS(4641), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115512] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4643), 2,
      anon_sym_COLON,
      anon_sym_DASH_GT,
  [115521] = 3,
    ACTIONS(4645), 1,
      sym_integer,
    ACTIONS(4647), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115532] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4649), 2,
      anon_sym__,
      sym_identifier,
  [115541] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2880), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [115550] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4091), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [115559] = 3,
    ACTIONS(4651), 1,
      sym_integer,
    ACTIONS(4653), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115570] = 3,
    ACTIONS(4655), 1,
      anon_sym_COLON,
    ACTIONS(4657), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115581] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4236), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115590] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4659), 2,
      sym__newline,
      anon_sym_SEMI,
  [115599] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4123), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [115608] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3159), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115617] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4573), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [115626] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4575), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115635] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3490), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115644] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4575), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [115653] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3490), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [115662] = 3,
    ACTIONS(4661), 1,
      anon_sym_COLON,
    ACTIONS(4663), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115673] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1696), 2,
      sym__dedent,
      anon_sym_case,
  [115682] = 3,
    ACTIONS(4665), 1,
      anon_sym_COLON,
    ACTIONS(4667), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115693] = 3,
    ACTIONS(4669), 1,
      anon_sym_COLON,
    ACTIONS(4671), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115704] = 3,
    ACTIONS(3888), 1,
      anon_sym_LPAREN,
    STATE(2520), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115715] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4673), 2,
      anon_sym__,
      sym_identifier,
  [115724] = 3,
    ACTIONS(4675), 1,
      anon_sym_COLON,
    ACTIONS(4677), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115735] = 3,
    ACTIONS(4679), 1,
      sym_integer,
    ACTIONS(4681), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115746] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3531), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115755] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1563), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [115764] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4683), 2,
      sym__newline,
      anon_sym_SEMI,
  [115773] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1684), 2,
      sym__dedent,
      anon_sym_case,
  [115782] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1563), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115791] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1700), 2,
      sym__dedent,
      anon_sym_case,
  [115800] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4086), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [115809] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4685), 2,
      sym__dedent,
      anon_sym_case,
  [115818] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3882), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [115827] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4687), 2,
      sym__newline,
      anon_sym_SEMI,
  [115836] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4689), 2,
      sym__dedent,
      anon_sym_case,
  [115845] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3882), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [115854] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4691), 2,
      sym__dedent,
      anon_sym_case,
  [115863] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4693), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115872] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4123), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115881] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4695), 2,
      sym__newline,
      anon_sym_SEMI,
  [115890] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3300), 2,
      sym__newline,
      anon_sym_SEMI,
  [115899] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4697), 2,
      sym__newline,
      anon_sym_SEMI,
  [115908] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4699), 2,
      anon_sym__,
      sym_identifier,
  [115917] = 3,
    ACTIONS(4701), 1,
      sym_integer,
    ACTIONS(4703), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115928] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4705), 2,
      sym__dedent,
      anon_sym_case,
  [115937] = 3,
    ACTIONS(4707), 1,
      sym_integer,
    ACTIONS(4709), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115948] = 3,
    ACTIONS(3888), 1,
      anon_sym_LPAREN,
    STATE(2499), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115959] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(2886), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [115968] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(4091), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [115977] = 3,
    ACTIONS(3888), 1,
      anon_sym_LPAREN,
    STATE(2567), 1,
      sym_parameters,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [115988] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3230), 2,
      sym__newline,
      anon_sym_SEMI,
  [115997] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3159), 2,
      sym__newline,
      anon_sym_SEMI,
  [116006] = 3,
    ACTIONS(4711), 1,
      sym_integer,
    ACTIONS(4713), 1,
      sym_float,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116017] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(1704), 2,
      sym__dedent,
      anon_sym_case,
  [116026] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
    ACTIONS(3923), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [116035] = 2,
    ACTIONS(4715), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116043] = 2,
    ACTIONS(4717), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116051] = 2,
    ACTIONS(4719), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116059] = 2,
    ACTIONS(4721), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116067] = 2,
    ACTIONS(4723), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116075] = 2,
    ACTIONS(3332), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116083] = 2,
    ACTIONS(4725), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116091] = 2,
    ACTIONS(4727), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116099] = 2,
    ACTIONS(4729), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116107] = 2,
    ACTIONS(4731), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116115] = 2,
    ACTIONS(4733), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116123] = 2,
    ACTIONS(4735), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116131] = 2,
    ACTIONS(4737), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116139] = 2,
    ACTIONS(4739), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116147] = 2,
    ACTIONS(4741), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116155] = 2,
    ACTIONS(4743), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116163] = 2,
    ACTIONS(4745), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116171] = 2,
    ACTIONS(4747), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116179] = 2,
    ACTIONS(4749), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116187] = 2,
    ACTIONS(4751), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116195] = 2,
    ACTIONS(4753), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116203] = 2,
    ACTIONS(4755), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116211] = 2,
    ACTIONS(3101), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116219] = 2,
    ACTIONS(4757), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116227] = 2,
    ACTIONS(4759), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116235] = 2,
    ACTIONS(4761), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116243] = 2,
    ACTIONS(4763), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116251] = 2,
    ACTIONS(4765), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116259] = 2,
    ACTIONS(4767), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116267] = 2,
    ACTIONS(4769), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116275] = 2,
    ACTIONS(4771), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116283] = 2,
    ACTIONS(4773), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116291] = 2,
    ACTIONS(4366), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116299] = 2,
    ACTIONS(3078), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116307] = 2,
    ACTIONS(3452), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116315] = 2,
    ACTIONS(3074), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116323] = 2,
    ACTIONS(4775), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116331] = 2,
    ACTIONS(4777), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116339] = 2,
    ACTIONS(4779), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116347] = 2,
    ACTIONS(4781), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116355] = 2,
    ACTIONS(4783), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116363] = 2,
    ACTIONS(3336), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116371] = 2,
    ACTIONS(4785), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116379] = 2,
    ACTIONS(4787), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116387] = 2,
    ACTIONS(4789), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116395] = 2,
    ACTIONS(4791), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116403] = 2,
    ACTIONS(4793), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116411] = 2,
    ACTIONS(4795), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116419] = 2,
    ACTIONS(4797), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116427] = 2,
    ACTIONS(4799), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116435] = 2,
    ACTIONS(4801), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116443] = 2,
    ACTIONS(4803), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116451] = 2,
    ACTIONS(4805), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116459] = 2,
    ACTIONS(4807), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116467] = 2,
    ACTIONS(4809), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116475] = 2,
    ACTIONS(4811), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116483] = 2,
    ACTIONS(4813), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116491] = 2,
    ACTIONS(4815), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116499] = 2,
    ACTIONS(4817), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116507] = 2,
    ACTIONS(3349), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116515] = 2,
    ACTIONS(4819), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116523] = 2,
    ACTIONS(4821), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116531] = 2,
    ACTIONS(4823), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116539] = 2,
    ACTIONS(4825), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116547] = 2,
    ACTIONS(4827), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116555] = 2,
    ACTIONS(3384), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116563] = 2,
    ACTIONS(3433), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116571] = 2,
    ACTIONS(4829), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116579] = 2,
    ACTIONS(4831), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116587] = 2,
    ACTIONS(4833), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116595] = 2,
    ACTIONS(4835), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116603] = 2,
    ACTIONS(4837), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116611] = 2,
    ACTIONS(4839), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116619] = 2,
    ACTIONS(4841), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116627] = 2,
    ACTIONS(4843), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116635] = 2,
    ACTIONS(4845), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116643] = 2,
    ACTIONS(4847), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116651] = 2,
    ACTIONS(4849), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116659] = 2,
    ACTIONS(4851), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116667] = 2,
    ACTIONS(4853), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116675] = 2,
    ACTIONS(4855), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116683] = 2,
    ACTIONS(4857), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116691] = 2,
    ACTIONS(4859), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116699] = 2,
    ACTIONS(4861), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116707] = 2,
    ACTIONS(4863), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116715] = 2,
    ACTIONS(4865), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116723] = 2,
    ACTIONS(4436), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116731] = 2,
    ACTIONS(4867), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116739] = 2,
    ACTIONS(3372), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116747] = 2,
    ACTIONS(3038), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116755] = 2,
    ACTIONS(4869), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116763] = 2,
    ACTIONS(4871), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116771] = 2,
    ACTIONS(4873), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116779] = 2,
    ACTIONS(4875), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116787] = 2,
    ACTIONS(4877), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116795] = 2,
    ACTIONS(4440), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116803] = 2,
    ACTIONS(4879), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116811] = 2,
    ACTIONS(3328), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116819] = 2,
    ACTIONS(3366), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116827] = 2,
    ACTIONS(4881), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116835] = 2,
    ACTIONS(4883), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116843] = 2,
    ACTIONS(4885), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116851] = 2,
    ACTIONS(3376), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116859] = 2,
    ACTIONS(4887), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116867] = 2,
    ACTIONS(4889), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116875] = 2,
    ACTIONS(1451), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116883] = 2,
    ACTIONS(3395), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116891] = 2,
    ACTIONS(4891), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116899] = 2,
    ACTIONS(4893), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116907] = 2,
    ACTIONS(4895), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116915] = 2,
    ACTIONS(4897), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116923] = 2,
    ACTIONS(4899), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116931] = 2,
    ACTIONS(3386), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116939] = 2,
    ACTIONS(4901), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116947] = 2,
    ACTIONS(4903), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116955] = 2,
    ACTIONS(4905), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116963] = 2,
    ACTIONS(4907), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116971] = 2,
    ACTIONS(4909), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116979] = 2,
    ACTIONS(4911), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116987] = 2,
    ACTIONS(4913), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [116995] = 2,
    ACTIONS(4472), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117003] = 2,
    ACTIONS(4915), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117011] = 2,
    ACTIONS(4474), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117019] = 2,
    ACTIONS(4917), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117027] = 2,
    ACTIONS(4919), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117035] = 2,
    ACTIONS(4921), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117043] = 2,
    ACTIONS(4923), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117051] = 2,
    ACTIONS(4925), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117059] = 2,
    ACTIONS(4927), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117067] = 2,
    ACTIONS(4110), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117075] = 2,
    ACTIONS(4929), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117083] = 2,
    ACTIONS(3062), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117091] = 2,
    ACTIONS(4931), 1,
      anon_sym_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117099] = 2,
    ACTIONS(4933), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117107] = 2,
    ACTIONS(4935), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117115] = 2,
    ACTIONS(4511), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117123] = 2,
    ACTIONS(4937), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117131] = 2,
    ACTIONS(4939), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117139] = 2,
    ACTIONS(4941), 1,
      anon_sym_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117147] = 2,
    ACTIONS(4943), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117155] = 2,
    ACTIONS(4945), 1,
      anon_sym_import,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117163] = 2,
    ACTIONS(4947), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117171] = 2,
    ACTIONS(4949), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117179] = 2,
    ACTIONS(4951), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117187] = 2,
    ACTIONS(4953), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117195] = 2,
    ACTIONS(4955), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117203] = 2,
    ACTIONS(4957), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117211] = 2,
    ACTIONS(4959), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117219] = 2,
    ACTIONS(4961), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117227] = 2,
    ACTIONS(3050), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117235] = 2,
    ACTIONS(4963), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117243] = 2,
    ACTIONS(4965), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117251] = 2,
    ACTIONS(1467), 1,
      anon_sym_def,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117259] = 2,
    ACTIONS(4967), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117267] = 2,
    ACTIONS(4969), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117275] = 2,
    ACTIONS(4971), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117283] = 2,
    ACTIONS(4973), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117291] = 2,
    ACTIONS(4975), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117299] = 2,
    ACTIONS(4977), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117307] = 2,
    ACTIONS(4979), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117315] = 2,
    ACTIONS(4981), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117323] = 2,
    ACTIONS(4983), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117331] = 2,
    ACTIONS(4985), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117339] = 2,
    ACTIONS(4987), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117347] = 2,
    ACTIONS(4989), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117355] = 2,
    ACTIONS(4991), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117363] = 2,
    ACTIONS(4993), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117371] = 2,
    ACTIONS(4995), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117379] = 2,
    ACTIONS(4997), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117387] = 2,
    ACTIONS(4999), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117395] = 2,
    ACTIONS(5001), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117403] = 2,
    ACTIONS(5003), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117411] = 2,
    ACTIONS(5005), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117419] = 2,
    ACTIONS(5007), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117427] = 2,
    ACTIONS(4542), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117435] = 2,
    ACTIONS(5009), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117443] = 2,
    ACTIONS(5011), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117451] = 2,
    ACTIONS(5013), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117459] = 2,
    ACTIONS(5015), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117467] = 2,
    ACTIONS(5017), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117475] = 2,
    ACTIONS(5019), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117483] = 2,
    ACTIONS(5021), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117491] = 2,
    ACTIONS(5023), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117499] = 2,
    ACTIONS(5025), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117507] = 2,
    ACTIONS(5027), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117515] = 2,
    ACTIONS(5029), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117523] = 2,
    ACTIONS(4549), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117531] = 2,
    ACTIONS(1461), 1,
      anon_sym_def,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117539] = 2,
    ACTIONS(5031), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117547] = 2,
    ACTIONS(5033), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117555] = 2,
    ACTIONS(4551), 1,
      anon_sym_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117563] = 2,
    ACTIONS(5035), 1,
      anon_sym_for,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117571] = 2,
    ACTIONS(5037), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117579] = 2,
    ACTIONS(3120), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
  [117587] = 2,
    ACTIONS(3091), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_line_continuation,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(189)] = 0,
  [SMALL_STATE(190)] = 126,
  [SMALL_STATE(191)] = 250,
  [SMALL_STATE(192)] = 376,
  [SMALL_STATE(193)] = 500,
  [SMALL_STATE(194)] = 624,
  [SMALL_STATE(195)] = 744,
  [SMALL_STATE(196)] = 870,
  [SMALL_STATE(197)] = 994,
  [SMALL_STATE(198)] = 1118,
  [SMALL_STATE(199)] = 1238,
  [SMALL_STATE(200)] = 1358,
  [SMALL_STATE(201)] = 1484,
  [SMALL_STATE(202)] = 1610,
  [SMALL_STATE(203)] = 1734,
  [SMALL_STATE(204)] = 1860,
  [SMALL_STATE(205)] = 1984,
  [SMALL_STATE(206)] = 2110,
  [SMALL_STATE(207)] = 2234,
  [SMALL_STATE(208)] = 2358,
  [SMALL_STATE(209)] = 2482,
  [SMALL_STATE(210)] = 2610,
  [SMALL_STATE(211)] = 2738,
  [SMALL_STATE(212)] = 2864,
  [SMALL_STATE(213)] = 2988,
  [SMALL_STATE(214)] = 3112,
  [SMALL_STATE(215)] = 3236,
  [SMALL_STATE(216)] = 3360,
  [SMALL_STATE(217)] = 3484,
  [SMALL_STATE(218)] = 3610,
  [SMALL_STATE(219)] = 3734,
  [SMALL_STATE(220)] = 3858,
  [SMALL_STATE(221)] = 3982,
  [SMALL_STATE(222)] = 4106,
  [SMALL_STATE(223)] = 4213,
  [SMALL_STATE(224)] = 4320,
  [SMALL_STATE(225)] = 4434,
  [SMALL_STATE(226)] = 4548,
  [SMALL_STATE(227)] = 4662,
  [SMALL_STATE(228)] = 4776,
  [SMALL_STATE(229)] = 4890,
  [SMALL_STATE(230)] = 5004,
  [SMALL_STATE(231)] = 5120,
  [SMALL_STATE(232)] = 5234,
  [SMALL_STATE(233)] = 5348,
  [SMALL_STATE(234)] = 5464,
  [SMALL_STATE(235)] = 5579,
  [SMALL_STATE(236)] = 5690,
  [SMALL_STATE(237)] = 5801,
  [SMALL_STATE(238)] = 5912,
  [SMALL_STATE(239)] = 6029,
  [SMALL_STATE(240)] = 6140,
  [SMALL_STATE(241)] = 6251,
  [SMALL_STATE(242)] = 6362,
  [SMALL_STATE(243)] = 6473,
  [SMALL_STATE(244)] = 6584,
  [SMALL_STATE(245)] = 6695,
  [SMALL_STATE(246)] = 6806,
  [SMALL_STATE(247)] = 6917,
  [SMALL_STATE(248)] = 7028,
  [SMALL_STATE(249)] = 7143,
  [SMALL_STATE(250)] = 7254,
  [SMALL_STATE(251)] = 7365,
  [SMALL_STATE(252)] = 7480,
  [SMALL_STATE(253)] = 7591,
  [SMALL_STATE(254)] = 7696,
  [SMALL_STATE(255)] = 7801,
  [SMALL_STATE(256)] = 7912,
  [SMALL_STATE(257)] = 8027,
  [SMALL_STATE(258)] = 8138,
  [SMALL_STATE(259)] = 8249,
  [SMALL_STATE(260)] = 8360,
  [SMALL_STATE(261)] = 8475,
  [SMALL_STATE(262)] = 8590,
  [SMALL_STATE(263)] = 8705,
  [SMALL_STATE(264)] = 8820,
  [SMALL_STATE(265)] = 8931,
  [SMALL_STATE(266)] = 9042,
  [SMALL_STATE(267)] = 9153,
  [SMALL_STATE(268)] = 9268,
  [SMALL_STATE(269)] = 9379,
  [SMALL_STATE(270)] = 9490,
  [SMALL_STATE(271)] = 9601,
  [SMALL_STATE(272)] = 9712,
  [SMALL_STATE(273)] = 9824,
  [SMALL_STATE(274)] = 9936,
  [SMALL_STATE(275)] = 10052,
  [SMALL_STATE(276)] = 10166,
  [SMALL_STATE(277)] = 10278,
  [SMALL_STATE(278)] = 10390,
  [SMALL_STATE(279)] = 10502,
  [SMALL_STATE(280)] = 10616,
  [SMALL_STATE(281)] = 10728,
  [SMALL_STATE(282)] = 10844,
  [SMALL_STATE(283)] = 10956,
  [SMALL_STATE(284)] = 11068,
  [SMALL_STATE(285)] = 11180,
  [SMALL_STATE(286)] = 11292,
  [SMALL_STATE(287)] = 11404,
  [SMALL_STATE(288)] = 11518,
  [SMALL_STATE(289)] = 11630,
  [SMALL_STATE(290)] = 11746,
  [SMALL_STATE(291)] = 11858,
  [SMALL_STATE(292)] = 11970,
  [SMALL_STATE(293)] = 12082,
  [SMALL_STATE(294)] = 12194,
  [SMALL_STATE(295)] = 12306,
  [SMALL_STATE(296)] = 12420,
  [SMALL_STATE(297)] = 12532,
  [SMALL_STATE(298)] = 12644,
  [SMALL_STATE(299)] = 12756,
  [SMALL_STATE(300)] = 12868,
  [SMALL_STATE(301)] = 12980,
  [SMALL_STATE(302)] = 13094,
  [SMALL_STATE(303)] = 13206,
  [SMALL_STATE(304)] = 13322,
  [SMALL_STATE(305)] = 13434,
  [SMALL_STATE(306)] = 13546,
  [SMALL_STATE(307)] = 13658,
  [SMALL_STATE(308)] = 13770,
  [SMALL_STATE(309)] = 13882,
  [SMALL_STATE(310)] = 13996,
  [SMALL_STATE(311)] = 14108,
  [SMALL_STATE(312)] = 14220,
  [SMALL_STATE(313)] = 14332,
  [SMALL_STATE(314)] = 14444,
  [SMALL_STATE(315)] = 14556,
  [SMALL_STATE(316)] = 14670,
  [SMALL_STATE(317)] = 14782,
  [SMALL_STATE(318)] = 14894,
  [SMALL_STATE(319)] = 15006,
  [SMALL_STATE(320)] = 15118,
  [SMALL_STATE(321)] = 15230,
  [SMALL_STATE(322)] = 15344,
  [SMALL_STATE(323)] = 15456,
  [SMALL_STATE(324)] = 15572,
  [SMALL_STATE(325)] = 15684,
  [SMALL_STATE(326)] = 15800,
  [SMALL_STATE(327)] = 15909,
  [SMALL_STATE(328)] = 16018,
  [SMALL_STATE(329)] = 16123,
  [SMALL_STATE(330)] = 16232,
  [SMALL_STATE(331)] = 16341,
  [SMALL_STATE(332)] = 16450,
  [SMALL_STATE(333)] = 16559,
  [SMALL_STATE(334)] = 16668,
  [SMALL_STATE(335)] = 16777,
  [SMALL_STATE(336)] = 16886,
  [SMALL_STATE(337)] = 16995,
  [SMALL_STATE(338)] = 17104,
  [SMALL_STATE(339)] = 17213,
  [SMALL_STATE(340)] = 17322,
  [SMALL_STATE(341)] = 17431,
  [SMALL_STATE(342)] = 17540,
  [SMALL_STATE(343)] = 17645,
  [SMALL_STATE(344)] = 17754,
  [SMALL_STATE(345)] = 17851,
  [SMALL_STATE(346)] = 17960,
  [SMALL_STATE(347)] = 18069,
  [SMALL_STATE(348)] = 18178,
  [SMALL_STATE(349)] = 18284,
  [SMALL_STATE(350)] = 18392,
  [SMALL_STATE(351)] = 18500,
  [SMALL_STATE(352)] = 18608,
  [SMALL_STATE(353)] = 18716,
  [SMALL_STATE(354)] = 18824,
  [SMALL_STATE(355)] = 18932,
  [SMALL_STATE(356)] = 19040,
  [SMALL_STATE(357)] = 19146,
  [SMALL_STATE(358)] = 19254,
  [SMALL_STATE(359)] = 19362,
  [SMALL_STATE(360)] = 19470,
  [SMALL_STATE(361)] = 19578,
  [SMALL_STATE(362)] = 19686,
  [SMALL_STATE(363)] = 19794,
  [SMALL_STATE(364)] = 19902,
  [SMALL_STATE(365)] = 20010,
  [SMALL_STATE(366)] = 20118,
  [SMALL_STATE(367)] = 20226,
  [SMALL_STATE(368)] = 20334,
  [SMALL_STATE(369)] = 20442,
  [SMALL_STATE(370)] = 20548,
  [SMALL_STATE(371)] = 20656,
  [SMALL_STATE(372)] = 20763,
  [SMALL_STATE(373)] = 20868,
  [SMALL_STATE(374)] = 20975,
  [SMALL_STATE(375)] = 21082,
  [SMALL_STATE(376)] = 21189,
  [SMALL_STATE(377)] = 21296,
  [SMALL_STATE(378)] = 21403,
  [SMALL_STATE(379)] = 21510,
  [SMALL_STATE(380)] = 21617,
  [SMALL_STATE(381)] = 21722,
  [SMALL_STATE(382)] = 21827,
  [SMALL_STATE(383)] = 21934,
  [SMALL_STATE(384)] = 22039,
  [SMALL_STATE(385)] = 22146,
  [SMALL_STATE(386)] = 22253,
  [SMALL_STATE(387)] = 22360,
  [SMALL_STATE(388)] = 22467,
  [SMALL_STATE(389)] = 22574,
  [SMALL_STATE(390)] = 22669,
  [SMALL_STATE(391)] = 22776,
  [SMALL_STATE(392)] = 22883,
  [SMALL_STATE(393)] = 22990,
  [SMALL_STATE(394)] = 23097,
  [SMALL_STATE(395)] = 23204,
  [SMALL_STATE(396)] = 23311,
  [SMALL_STATE(397)] = 23418,
  [SMALL_STATE(398)] = 23525,
  [SMALL_STATE(399)] = 23632,
  [SMALL_STATE(400)] = 23739,
  [SMALL_STATE(401)] = 23846,
  [SMALL_STATE(402)] = 23951,
  [SMALL_STATE(403)] = 24058,
  [SMALL_STATE(404)] = 24163,
  [SMALL_STATE(405)] = 24258,
  [SMALL_STATE(406)] = 24365,
  [SMALL_STATE(407)] = 24472,
  [SMALL_STATE(408)] = 24579,
  [SMALL_STATE(409)] = 24686,
  [SMALL_STATE(410)] = 24790,
  [SMALL_STATE(411)] = 24894,
  [SMALL_STATE(412)] = 24996,
  [SMALL_STATE(413)] = 25098,
  [SMALL_STATE(414)] = 25200,
  [SMALL_STATE(415)] = 25302,
  [SMALL_STATE(416)] = 25404,
  [SMALL_STATE(417)] = 25508,
  [SMALL_STATE(418)] = 25602,
  [SMALL_STATE(419)] = 25704,
  [SMALL_STATE(420)] = 25806,
  [SMALL_STATE(421)] = 25908,
  [SMALL_STATE(422)] = 26010,
  [SMALL_STATE(423)] = 26104,
  [SMALL_STATE(424)] = 26200,
  [SMALL_STATE(425)] = 26302,
  [SMALL_STATE(426)] = 26404,
  [SMALL_STATE(427)] = 26506,
  [SMALL_STATE(428)] = 26608,
  [SMALL_STATE(429)] = 26712,
  [SMALL_STATE(430)] = 26816,
  [SMALL_STATE(431)] = 26918,
  [SMALL_STATE(432)] = 27022,
  [SMALL_STATE(433)] = 27124,
  [SMALL_STATE(434)] = 27226,
  [SMALL_STATE(435)] = 27328,
  [SMALL_STATE(436)] = 27430,
  [SMALL_STATE(437)] = 27532,
  [SMALL_STATE(438)] = 27634,
  [SMALL_STATE(439)] = 27736,
  [SMALL_STATE(440)] = 27830,
  [SMALL_STATE(441)] = 27934,
  [SMALL_STATE(442)] = 28036,
  [SMALL_STATE(443)] = 28138,
  [SMALL_STATE(444)] = 28242,
  [SMALL_STATE(445)] = 28346,
  [SMALL_STATE(446)] = 28450,
  [SMALL_STATE(447)] = 28544,
  [SMALL_STATE(448)] = 28648,
  [SMALL_STATE(449)] = 28752,
  [SMALL_STATE(450)] = 28856,
  [SMALL_STATE(451)] = 28960,
  [SMALL_STATE(452)] = 29064,
  [SMALL_STATE(453)] = 29166,
  [SMALL_STATE(454)] = 29268,
  [SMALL_STATE(455)] = 29372,
  [SMALL_STATE(456)] = 29476,
  [SMALL_STATE(457)] = 29578,
  [SMALL_STATE(458)] = 29680,
  [SMALL_STATE(459)] = 29782,
  [SMALL_STATE(460)] = 29886,
  [SMALL_STATE(461)] = 29990,
  [SMALL_STATE(462)] = 30065,
  [SMALL_STATE(463)] = 30166,
  [SMALL_STATE(464)] = 30241,
  [SMALL_STATE(465)] = 30342,
  [SMALL_STATE(466)] = 30443,
  [SMALL_STATE(467)] = 30544,
  [SMALL_STATE(468)] = 30619,
  [SMALL_STATE(469)] = 30720,
  [SMALL_STATE(470)] = 30821,
  [SMALL_STATE(471)] = 30922,
  [SMALL_STATE(472)] = 31023,
  [SMALL_STATE(473)] = 31124,
  [SMALL_STATE(474)] = 31225,
  [SMALL_STATE(475)] = 31326,
  [SMALL_STATE(476)] = 31427,
  [SMALL_STATE(477)] = 31504,
  [SMALL_STATE(478)] = 31605,
  [SMALL_STATE(479)] = 31706,
  [SMALL_STATE(480)] = 31807,
  [SMALL_STATE(481)] = 31905,
  [SMALL_STATE(482)] = 32003,
  [SMALL_STATE(483)] = 32101,
  [SMALL_STATE(484)] = 32199,
  [SMALL_STATE(485)] = 32297,
  [SMALL_STATE(486)] = 32369,
  [SMALL_STATE(487)] = 32441,
  [SMALL_STATE(488)] = 32539,
  [SMALL_STATE(489)] = 32637,
  [SMALL_STATE(490)] = 32735,
  [SMALL_STATE(491)] = 32833,
  [SMALL_STATE(492)] = 32931,
  [SMALL_STATE(493)] = 33029,
  [SMALL_STATE(494)] = 33127,
  [SMALL_STATE(495)] = 33225,
  [SMALL_STATE(496)] = 33323,
  [SMALL_STATE(497)] = 33421,
  [SMALL_STATE(498)] = 33519,
  [SMALL_STATE(499)] = 33617,
  [SMALL_STATE(500)] = 33715,
  [SMALL_STATE(501)] = 33813,
  [SMALL_STATE(502)] = 33911,
  [SMALL_STATE(503)] = 34009,
  [SMALL_STATE(504)] = 34107,
  [SMALL_STATE(505)] = 34205,
  [SMALL_STATE(506)] = 34303,
  [SMALL_STATE(507)] = 34401,
  [SMALL_STATE(508)] = 34499,
  [SMALL_STATE(509)] = 34597,
  [SMALL_STATE(510)] = 34695,
  [SMALL_STATE(511)] = 34793,
  [SMALL_STATE(512)] = 34891,
  [SMALL_STATE(513)] = 34989,
  [SMALL_STATE(514)] = 35087,
  [SMALL_STATE(515)] = 35185,
  [SMALL_STATE(516)] = 35283,
  [SMALL_STATE(517)] = 35381,
  [SMALL_STATE(518)] = 35479,
  [SMALL_STATE(519)] = 35577,
  [SMALL_STATE(520)] = 35675,
  [SMALL_STATE(521)] = 35773,
  [SMALL_STATE(522)] = 35871,
  [SMALL_STATE(523)] = 35969,
  [SMALL_STATE(524)] = 36067,
  [SMALL_STATE(525)] = 36165,
  [SMALL_STATE(526)] = 36263,
  [SMALL_STATE(527)] = 36363,
  [SMALL_STATE(528)] = 36461,
  [SMALL_STATE(529)] = 36559,
  [SMALL_STATE(530)] = 36657,
  [SMALL_STATE(531)] = 36755,
  [SMALL_STATE(532)] = 36853,
  [SMALL_STATE(533)] = 36951,
  [SMALL_STATE(534)] = 37049,
  [SMALL_STATE(535)] = 37147,
  [SMALL_STATE(536)] = 37245,
  [SMALL_STATE(537)] = 37343,
  [SMALL_STATE(538)] = 37441,
  [SMALL_STATE(539)] = 37539,
  [SMALL_STATE(540)] = 37637,
  [SMALL_STATE(541)] = 37735,
  [SMALL_STATE(542)] = 37833,
  [SMALL_STATE(543)] = 37931,
  [SMALL_STATE(544)] = 38029,
  [SMALL_STATE(545)] = 38127,
  [SMALL_STATE(546)] = 38225,
  [SMALL_STATE(547)] = 38323,
  [SMALL_STATE(548)] = 38421,
  [SMALL_STATE(549)] = 38519,
  [SMALL_STATE(550)] = 38617,
  [SMALL_STATE(551)] = 38715,
  [SMALL_STATE(552)] = 38815,
  [SMALL_STATE(553)] = 38913,
  [SMALL_STATE(554)] = 39011,
  [SMALL_STATE(555)] = 39109,
  [SMALL_STATE(556)] = 39207,
  [SMALL_STATE(557)] = 39305,
  [SMALL_STATE(558)] = 39403,
  [SMALL_STATE(559)] = 39501,
  [SMALL_STATE(560)] = 39599,
  [SMALL_STATE(561)] = 39697,
  [SMALL_STATE(562)] = 39797,
  [SMALL_STATE(563)] = 39869,
  [SMALL_STATE(564)] = 39941,
  [SMALL_STATE(565)] = 40039,
  [SMALL_STATE(566)] = 40137,
  [SMALL_STATE(567)] = 40235,
  [SMALL_STATE(568)] = 40333,
  [SMALL_STATE(569)] = 40431,
  [SMALL_STATE(570)] = 40529,
  [SMALL_STATE(571)] = 40627,
  [SMALL_STATE(572)] = 40725,
  [SMALL_STATE(573)] = 40825,
  [SMALL_STATE(574)] = 40923,
  [SMALL_STATE(575)] = 41021,
  [SMALL_STATE(576)] = 41119,
  [SMALL_STATE(577)] = 41217,
  [SMALL_STATE(578)] = 41315,
  [SMALL_STATE(579)] = 41413,
  [SMALL_STATE(580)] = 41511,
  [SMALL_STATE(581)] = 41609,
  [SMALL_STATE(582)] = 41707,
  [SMALL_STATE(583)] = 41807,
  [SMALL_STATE(584)] = 41905,
  [SMALL_STATE(585)] = 42003,
  [SMALL_STATE(586)] = 42101,
  [SMALL_STATE(587)] = 42199,
  [SMALL_STATE(588)] = 42297,
  [SMALL_STATE(589)] = 42395,
  [SMALL_STATE(590)] = 42495,
  [SMALL_STATE(591)] = 42567,
  [SMALL_STATE(592)] = 42639,
  [SMALL_STATE(593)] = 42737,
  [SMALL_STATE(594)] = 42835,
  [SMALL_STATE(595)] = 42907,
  [SMALL_STATE(596)] = 42979,
  [SMALL_STATE(597)] = 43077,
  [SMALL_STATE(598)] = 43175,
  [SMALL_STATE(599)] = 43273,
  [SMALL_STATE(600)] = 43371,
  [SMALL_STATE(601)] = 43469,
  [SMALL_STATE(602)] = 43567,
  [SMALL_STATE(603)] = 43665,
  [SMALL_STATE(604)] = 43763,
  [SMALL_STATE(605)] = 43861,
  [SMALL_STATE(606)] = 43959,
  [SMALL_STATE(607)] = 44057,
  [SMALL_STATE(608)] = 44155,
  [SMALL_STATE(609)] = 44253,
  [SMALL_STATE(610)] = 44326,
  [SMALL_STATE(611)] = 44394,
  [SMALL_STATE(612)] = 44462,
  [SMALL_STATE(613)] = 44528,
  [SMALL_STATE(614)] = 44596,
  [SMALL_STATE(615)] = 44664,
  [SMALL_STATE(616)] = 44732,
  [SMALL_STATE(617)] = 44800,
  [SMALL_STATE(618)] = 44866,
  [SMALL_STATE(619)] = 44934,
  [SMALL_STATE(620)] = 45002,
  [SMALL_STATE(621)] = 45070,
  [SMALL_STATE(622)] = 45138,
  [SMALL_STATE(623)] = 45200,
  [SMALL_STATE(624)] = 45262,
  [SMALL_STATE(625)] = 45324,
  [SMALL_STATE(626)] = 45386,
  [SMALL_STATE(627)] = 45452,
  [SMALL_STATE(628)] = 45509,
  [SMALL_STATE(629)] = 45572,
  [SMALL_STATE(630)] = 45635,
  [SMALL_STATE(631)] = 45698,
  [SMALL_STATE(632)] = 45761,
  [SMALL_STATE(633)] = 45824,
  [SMALL_STATE(634)] = 45887,
  [SMALL_STATE(635)] = 45950,
  [SMALL_STATE(636)] = 46013,
  [SMALL_STATE(637)] = 46078,
  [SMALL_STATE(638)] = 46135,
  [SMALL_STATE(639)] = 46196,
  [SMALL_STATE(640)] = 46257,
  [SMALL_STATE(641)] = 46320,
  [SMALL_STATE(642)] = 46383,
  [SMALL_STATE(643)] = 46440,
  [SMALL_STATE(644)] = 46497,
  [SMALL_STATE(645)] = 46554,
  [SMALL_STATE(646)] = 46611,
  [SMALL_STATE(647)] = 46672,
  [SMALL_STATE(648)] = 46729,
  [SMALL_STATE(649)] = 46785,
  [SMALL_STATE(650)] = 46841,
  [SMALL_STATE(651)] = 46897,
  [SMALL_STATE(652)] = 46953,
  [SMALL_STATE(653)] = 47009,
  [SMALL_STATE(654)] = 47065,
  [SMALL_STATE(655)] = 47121,
  [SMALL_STATE(656)] = 47177,
  [SMALL_STATE(657)] = 47269,
  [SMALL_STATE(658)] = 47325,
  [SMALL_STATE(659)] = 47381,
  [SMALL_STATE(660)] = 47437,
  [SMALL_STATE(661)] = 47493,
  [SMALL_STATE(662)] = 47549,
  [SMALL_STATE(663)] = 47605,
  [SMALL_STATE(664)] = 47661,
  [SMALL_STATE(665)] = 47717,
  [SMALL_STATE(666)] = 47773,
  [SMALL_STATE(667)] = 47829,
  [SMALL_STATE(668)] = 47885,
  [SMALL_STATE(669)] = 47941,
  [SMALL_STATE(670)] = 47997,
  [SMALL_STATE(671)] = 48053,
  [SMALL_STATE(672)] = 48109,
  [SMALL_STATE(673)] = 48165,
  [SMALL_STATE(674)] = 48221,
  [SMALL_STATE(675)] = 48277,
  [SMALL_STATE(676)] = 48333,
  [SMALL_STATE(677)] = 48389,
  [SMALL_STATE(678)] = 48445,
  [SMALL_STATE(679)] = 48501,
  [SMALL_STATE(680)] = 48557,
  [SMALL_STATE(681)] = 48613,
  [SMALL_STATE(682)] = 48669,
  [SMALL_STATE(683)] = 48725,
  [SMALL_STATE(684)] = 48781,
  [SMALL_STATE(685)] = 48837,
  [SMALL_STATE(686)] = 48893,
  [SMALL_STATE(687)] = 48949,
  [SMALL_STATE(688)] = 49005,
  [SMALL_STATE(689)] = 49061,
  [SMALL_STATE(690)] = 49117,
  [SMALL_STATE(691)] = 49209,
  [SMALL_STATE(692)] = 49265,
  [SMALL_STATE(693)] = 49321,
  [SMALL_STATE(694)] = 49377,
  [SMALL_STATE(695)] = 49433,
  [SMALL_STATE(696)] = 49489,
  [SMALL_STATE(697)] = 49545,
  [SMALL_STATE(698)] = 49601,
  [SMALL_STATE(699)] = 49657,
  [SMALL_STATE(700)] = 49713,
  [SMALL_STATE(701)] = 49772,
  [SMALL_STATE(702)] = 49827,
  [SMALL_STATE(703)] = 49886,
  [SMALL_STATE(704)] = 49945,
  [SMALL_STATE(705)] = 50004,
  [SMALL_STATE(706)] = 50063,
  [SMALL_STATE(707)] = 50122,
  [SMALL_STATE(708)] = 50177,
  [SMALL_STATE(709)] = 50236,
  [SMALL_STATE(710)] = 50291,
  [SMALL_STATE(711)] = 50346,
  [SMALL_STATE(712)] = 50405,
  [SMALL_STATE(713)] = 50464,
  [SMALL_STATE(714)] = 50523,
  [SMALL_STATE(715)] = 50578,
  [SMALL_STATE(716)] = 50637,
  [SMALL_STATE(717)] = 50692,
  [SMALL_STATE(718)] = 50751,
  [SMALL_STATE(719)] = 50810,
  [SMALL_STATE(720)] = 50869,
  [SMALL_STATE(721)] = 50928,
  [SMALL_STATE(722)] = 50987,
  [SMALL_STATE(723)] = 51079,
  [SMALL_STATE(724)] = 51133,
  [SMALL_STATE(725)] = 51225,
  [SMALL_STATE(726)] = 51279,
  [SMALL_STATE(727)] = 51333,
  [SMALL_STATE(728)] = 51387,
  [SMALL_STATE(729)] = 51440,
  [SMALL_STATE(730)] = 51493,
  [SMALL_STATE(731)] = 51546,
  [SMALL_STATE(732)] = 51599,
  [SMALL_STATE(733)] = 51652,
  [SMALL_STATE(734)] = 51705,
  [SMALL_STATE(735)] = 51758,
  [SMALL_STATE(736)] = 51811,
  [SMALL_STATE(737)] = 51864,
  [SMALL_STATE(738)] = 51917,
  [SMALL_STATE(739)] = 51970,
  [SMALL_STATE(740)] = 52023,
  [SMALL_STATE(741)] = 52076,
  [SMALL_STATE(742)] = 52129,
  [SMALL_STATE(743)] = 52218,
  [SMALL_STATE(744)] = 52307,
  [SMALL_STATE(745)] = 52360,
  [SMALL_STATE(746)] = 52413,
  [SMALL_STATE(747)] = 52466,
  [SMALL_STATE(748)] = 52519,
  [SMALL_STATE(749)] = 52572,
  [SMALL_STATE(750)] = 52625,
  [SMALL_STATE(751)] = 52678,
  [SMALL_STATE(752)] = 52731,
  [SMALL_STATE(753)] = 52784,
  [SMALL_STATE(754)] = 52837,
  [SMALL_STATE(755)] = 52890,
  [SMALL_STATE(756)] = 52943,
  [SMALL_STATE(757)] = 52996,
  [SMALL_STATE(758)] = 53049,
  [SMALL_STATE(759)] = 53102,
  [SMALL_STATE(760)] = 53155,
  [SMALL_STATE(761)] = 53208,
  [SMALL_STATE(762)] = 53261,
  [SMALL_STATE(763)] = 53314,
  [SMALL_STATE(764)] = 53367,
  [SMALL_STATE(765)] = 53420,
  [SMALL_STATE(766)] = 53473,
  [SMALL_STATE(767)] = 53526,
  [SMALL_STATE(768)] = 53615,
  [SMALL_STATE(769)] = 53704,
  [SMALL_STATE(770)] = 53757,
  [SMALL_STATE(771)] = 53810,
  [SMALL_STATE(772)] = 53863,
  [SMALL_STATE(773)] = 53916,
  [SMALL_STATE(774)] = 53969,
  [SMALL_STATE(775)] = 54022,
  [SMALL_STATE(776)] = 54075,
  [SMALL_STATE(777)] = 54128,
  [SMALL_STATE(778)] = 54181,
  [SMALL_STATE(779)] = 54234,
  [SMALL_STATE(780)] = 54287,
  [SMALL_STATE(781)] = 54376,
  [SMALL_STATE(782)] = 54465,
  [SMALL_STATE(783)] = 54518,
  [SMALL_STATE(784)] = 54571,
  [SMALL_STATE(785)] = 54624,
  [SMALL_STATE(786)] = 54677,
  [SMALL_STATE(787)] = 54730,
  [SMALL_STATE(788)] = 54783,
  [SMALL_STATE(789)] = 54836,
  [SMALL_STATE(790)] = 54889,
  [SMALL_STATE(791)] = 54942,
  [SMALL_STATE(792)] = 54995,
  [SMALL_STATE(793)] = 55048,
  [SMALL_STATE(794)] = 55101,
  [SMALL_STATE(795)] = 55190,
  [SMALL_STATE(796)] = 55243,
  [SMALL_STATE(797)] = 55332,
  [SMALL_STATE(798)] = 55385,
  [SMALL_STATE(799)] = 55474,
  [SMALL_STATE(800)] = 55563,
  [SMALL_STATE(801)] = 55616,
  [SMALL_STATE(802)] = 55669,
  [SMALL_STATE(803)] = 55722,
  [SMALL_STATE(804)] = 55775,
  [SMALL_STATE(805)] = 55828,
  [SMALL_STATE(806)] = 55881,
  [SMALL_STATE(807)] = 55934,
  [SMALL_STATE(808)] = 55987,
  [SMALL_STATE(809)] = 56040,
  [SMALL_STATE(810)] = 56093,
  [SMALL_STATE(811)] = 56146,
  [SMALL_STATE(812)] = 56199,
  [SMALL_STATE(813)] = 56252,
  [SMALL_STATE(814)] = 56305,
  [SMALL_STATE(815)] = 56358,
  [SMALL_STATE(816)] = 56411,
  [SMALL_STATE(817)] = 56464,
  [SMALL_STATE(818)] = 56517,
  [SMALL_STATE(819)] = 56570,
  [SMALL_STATE(820)] = 56623,
  [SMALL_STATE(821)] = 56676,
  [SMALL_STATE(822)] = 56729,
  [SMALL_STATE(823)] = 56782,
  [SMALL_STATE(824)] = 56835,
  [SMALL_STATE(825)] = 56888,
  [SMALL_STATE(826)] = 56941,
  [SMALL_STATE(827)] = 56994,
  [SMALL_STATE(828)] = 57047,
  [SMALL_STATE(829)] = 57100,
  [SMALL_STATE(830)] = 57153,
  [SMALL_STATE(831)] = 57206,
  [SMALL_STATE(832)] = 57259,
  [SMALL_STATE(833)] = 57312,
  [SMALL_STATE(834)] = 57365,
  [SMALL_STATE(835)] = 57418,
  [SMALL_STATE(836)] = 57471,
  [SMALL_STATE(837)] = 57524,
  [SMALL_STATE(838)] = 57577,
  [SMALL_STATE(839)] = 57630,
  [SMALL_STATE(840)] = 57683,
  [SMALL_STATE(841)] = 57736,
  [SMALL_STATE(842)] = 57789,
  [SMALL_STATE(843)] = 57842,
  [SMALL_STATE(844)] = 57895,
  [SMALL_STATE(845)] = 57984,
  [SMALL_STATE(846)] = 58073,
  [SMALL_STATE(847)] = 58126,
  [SMALL_STATE(848)] = 58179,
  [SMALL_STATE(849)] = 58268,
  [SMALL_STATE(850)] = 58357,
  [SMALL_STATE(851)] = 58446,
  [SMALL_STATE(852)] = 58535,
  [SMALL_STATE(853)] = 58621,
  [SMALL_STATE(854)] = 58707,
  [SMALL_STATE(855)] = 58793,
  [SMALL_STATE(856)] = 58879,
  [SMALL_STATE(857)] = 58965,
  [SMALL_STATE(858)] = 59051,
  [SMALL_STATE(859)] = 59134,
  [SMALL_STATE(860)] = 59217,
  [SMALL_STATE(861)] = 59295,
  [SMALL_STATE(862)] = 59373,
  [SMALL_STATE(863)] = 59451,
  [SMALL_STATE(864)] = 59529,
  [SMALL_STATE(865)] = 59607,
  [SMALL_STATE(866)] = 59693,
  [SMALL_STATE(867)] = 59771,
  [SMALL_STATE(868)] = 59849,
  [SMALL_STATE(869)] = 59927,
  [SMALL_STATE(870)] = 60002,
  [SMALL_STATE(871)] = 60077,
  [SMALL_STATE(872)] = 60152,
  [SMALL_STATE(873)] = 60227,
  [SMALL_STATE(874)] = 60302,
  [SMALL_STATE(875)] = 60377,
  [SMALL_STATE(876)] = 60456,
  [SMALL_STATE(877)] = 60531,
  [SMALL_STATE(878)] = 60610,
  [SMALL_STATE(879)] = 60685,
  [SMALL_STATE(880)] = 60760,
  [SMALL_STATE(881)] = 60835,
  [SMALL_STATE(882)] = 60910,
  [SMALL_STATE(883)] = 60985,
  [SMALL_STATE(884)] = 61064,
  [SMALL_STATE(885)] = 61139,
  [SMALL_STATE(886)] = 61214,
  [SMALL_STATE(887)] = 61293,
  [SMALL_STATE(888)] = 61368,
  [SMALL_STATE(889)] = 61443,
  [SMALL_STATE(890)] = 61518,
  [SMALL_STATE(891)] = 61593,
  [SMALL_STATE(892)] = 61668,
  [SMALL_STATE(893)] = 61743,
  [SMALL_STATE(894)] = 61822,
  [SMALL_STATE(895)] = 61897,
  [SMALL_STATE(896)] = 61972,
  [SMALL_STATE(897)] = 62047,
  [SMALL_STATE(898)] = 62122,
  [SMALL_STATE(899)] = 62197,
  [SMALL_STATE(900)] = 62272,
  [SMALL_STATE(901)] = 62347,
  [SMALL_STATE(902)] = 62422,
  [SMALL_STATE(903)] = 62497,
  [SMALL_STATE(904)] = 62576,
  [SMALL_STATE(905)] = 62651,
  [SMALL_STATE(906)] = 62726,
  [SMALL_STATE(907)] = 62801,
  [SMALL_STATE(908)] = 62876,
  [SMALL_STATE(909)] = 62955,
  [SMALL_STATE(910)] = 63040,
  [SMALL_STATE(911)] = 63115,
  [SMALL_STATE(912)] = 63190,
  [SMALL_STATE(913)] = 63275,
  [SMALL_STATE(914)] = 63354,
  [SMALL_STATE(915)] = 63429,
  [SMALL_STATE(916)] = 63508,
  [SMALL_STATE(917)] = 63587,
  [SMALL_STATE(918)] = 63662,
  [SMALL_STATE(919)] = 63737,
  [SMALL_STATE(920)] = 63812,
  [SMALL_STATE(921)] = 63891,
  [SMALL_STATE(922)] = 63966,
  [SMALL_STATE(923)] = 64041,
  [SMALL_STATE(924)] = 64116,
  [SMALL_STATE(925)] = 64191,
  [SMALL_STATE(926)] = 64266,
  [SMALL_STATE(927)] = 64345,
  [SMALL_STATE(928)] = 64420,
  [SMALL_STATE(929)] = 64495,
  [SMALL_STATE(930)] = 64574,
  [SMALL_STATE(931)] = 64649,
  [SMALL_STATE(932)] = 64724,
  [SMALL_STATE(933)] = 64799,
  [SMALL_STATE(934)] = 64874,
  [SMALL_STATE(935)] = 64949,
  [SMALL_STATE(936)] = 65024,
  [SMALL_STATE(937)] = 65099,
  [SMALL_STATE(938)] = 65174,
  [SMALL_STATE(939)] = 65249,
  [SMALL_STATE(940)] = 65324,
  [SMALL_STATE(941)] = 65399,
  [SMALL_STATE(942)] = 65474,
  [SMALL_STATE(943)] = 65549,
  [SMALL_STATE(944)] = 65628,
  [SMALL_STATE(945)] = 65703,
  [SMALL_STATE(946)] = 65782,
  [SMALL_STATE(947)] = 65857,
  [SMALL_STATE(948)] = 65932,
  [SMALL_STATE(949)] = 66007,
  [SMALL_STATE(950)] = 66082,
  [SMALL_STATE(951)] = 66157,
  [SMALL_STATE(952)] = 66232,
  [SMALL_STATE(953)] = 66307,
  [SMALL_STATE(954)] = 66382,
  [SMALL_STATE(955)] = 66461,
  [SMALL_STATE(956)] = 66536,
  [SMALL_STATE(957)] = 66611,
  [SMALL_STATE(958)] = 66686,
  [SMALL_STATE(959)] = 66765,
  [SMALL_STATE(960)] = 66844,
  [SMALL_STATE(961)] = 66923,
  [SMALL_STATE(962)] = 66998,
  [SMALL_STATE(963)] = 67077,
  [SMALL_STATE(964)] = 67161,
  [SMALL_STATE(965)] = 67213,
  [SMALL_STATE(966)] = 67297,
  [SMALL_STATE(967)] = 67379,
  [SMALL_STATE(968)] = 67463,
  [SMALL_STATE(969)] = 67515,
  [SMALL_STATE(970)] = 67567,
  [SMALL_STATE(971)] = 67651,
  [SMALL_STATE(972)] = 67702,
  [SMALL_STATE(973)] = 67753,
  [SMALL_STATE(974)] = 67810,
  [SMALL_STATE(975)] = 67873,
  [SMALL_STATE(976)] = 67924,
  [SMALL_STATE(977)] = 68005,
  [SMALL_STATE(978)] = 68076,
  [SMALL_STATE(979)] = 68127,
  [SMALL_STATE(980)] = 68178,
  [SMALL_STATE(981)] = 68235,
  [SMALL_STATE(982)] = 68292,
  [SMALL_STATE(983)] = 68361,
  [SMALL_STATE(984)] = 68418,
  [SMALL_STATE(985)] = 68469,
  [SMALL_STATE(986)] = 68530,
  [SMALL_STATE(987)] = 68595,
  [SMALL_STATE(988)] = 68662,
  [SMALL_STATE(989)] = 68718,
  [SMALL_STATE(990)] = 68774,
  [SMALL_STATE(991)] = 68834,
  [SMALL_STATE(992)] = 68914,
  [SMALL_STATE(993)] = 68960,
  [SMALL_STATE(994)] = 69010,
  [SMALL_STATE(995)] = 69070,
  [SMALL_STATE(996)] = 69120,
  [SMALL_STATE(997)] = 69170,
  [SMALL_STATE(998)] = 69216,
  [SMALL_STATE(999)] = 69286,
  [SMALL_STATE(1000)] = 69342,
  [SMALL_STATE(1001)] = 69410,
  [SMALL_STATE(1002)] = 69460,
  [SMALL_STATE(1003)] = 69526,
  [SMALL_STATE(1004)] = 69590,
  [SMALL_STATE(1005)] = 69640,
  [SMALL_STATE(1006)] = 69686,
  [SMALL_STATE(1007)] = 69736,
  [SMALL_STATE(1008)] = 69792,
  [SMALL_STATE(1009)] = 69872,
  [SMALL_STATE(1010)] = 69920,
  [SMALL_STATE(1011)] = 69970,
  [SMALL_STATE(1012)] = 70036,
  [SMALL_STATE(1013)] = 70100,
  [SMALL_STATE(1014)] = 70156,
  [SMALL_STATE(1015)] = 70218,
  [SMALL_STATE(1016)] = 70268,
  [SMALL_STATE(1017)] = 70314,
  [SMALL_STATE(1018)] = 70370,
  [SMALL_STATE(1019)] = 70416,
  [SMALL_STATE(1020)] = 70462,
  [SMALL_STATE(1021)] = 70512,
  [SMALL_STATE(1022)] = 70568,
  [SMALL_STATE(1023)] = 70618,
  [SMALL_STATE(1024)] = 70666,
  [SMALL_STATE(1025)] = 70734,
  [SMALL_STATE(1026)] = 70796,
  [SMALL_STATE(1027)] = 70852,
  [SMALL_STATE(1028)] = 70898,
  [SMALL_STATE(1029)] = 70948,
  [SMALL_STATE(1030)] = 70998,
  [SMALL_STATE(1031)] = 71078,
  [SMALL_STATE(1032)] = 71148,
  [SMALL_STATE(1033)] = 71194,
  [SMALL_STATE(1034)] = 71240,
  [SMALL_STATE(1035)] = 71288,
  [SMALL_STATE(1036)] = 71333,
  [SMALL_STATE(1037)] = 71396,
  [SMALL_STATE(1038)] = 71441,
  [SMALL_STATE(1039)] = 71486,
  [SMALL_STATE(1040)] = 71531,
  [SMALL_STATE(1041)] = 71576,
  [SMALL_STATE(1042)] = 71621,
  [SMALL_STATE(1043)] = 71666,
  [SMALL_STATE(1044)] = 71711,
  [SMALL_STATE(1045)] = 71760,
  [SMALL_STATE(1046)] = 71809,
  [SMALL_STATE(1047)] = 71858,
  [SMALL_STATE(1048)] = 71905,
  [SMALL_STATE(1049)] = 71952,
  [SMALL_STATE(1050)] = 71999,
  [SMALL_STATE(1051)] = 72054,
  [SMALL_STATE(1052)] = 72109,
  [SMALL_STATE(1053)] = 72160,
  [SMALL_STATE(1054)] = 72211,
  [SMALL_STATE(1055)] = 72262,
  [SMALL_STATE(1056)] = 72307,
  [SMALL_STATE(1057)] = 72362,
  [SMALL_STATE(1058)] = 72423,
  [SMALL_STATE(1059)] = 72492,
  [SMALL_STATE(1060)] = 72547,
  [SMALL_STATE(1061)] = 72606,
  [SMALL_STATE(1062)] = 72673,
  [SMALL_STATE(1063)] = 72738,
  [SMALL_STATE(1064)] = 72801,
  [SMALL_STATE(1065)] = 72846,
  [SMALL_STATE(1066)] = 72891,
  [SMALL_STATE(1067)] = 72936,
  [SMALL_STATE(1068)] = 72981,
  [SMALL_STATE(1069)] = 73026,
  [SMALL_STATE(1070)] = 73071,
  [SMALL_STATE(1071)] = 73120,
  [SMALL_STATE(1072)] = 73169,
  [SMALL_STATE(1073)] = 73214,
  [SMALL_STATE(1074)] = 73265,
  [SMALL_STATE(1075)] = 73310,
  [SMALL_STATE(1076)] = 73365,
  [SMALL_STATE(1077)] = 73420,
  [SMALL_STATE(1078)] = 73465,
  [SMALL_STATE(1079)] = 73510,
  [SMALL_STATE(1080)] = 73555,
  [SMALL_STATE(1081)] = 73610,
  [SMALL_STATE(1082)] = 73671,
  [SMALL_STATE(1083)] = 73740,
  [SMALL_STATE(1084)] = 73795,
  [SMALL_STATE(1085)] = 73854,
  [SMALL_STATE(1086)] = 73921,
  [SMALL_STATE(1087)] = 73986,
  [SMALL_STATE(1088)] = 74049,
  [SMALL_STATE(1089)] = 74094,
  [SMALL_STATE(1090)] = 74139,
  [SMALL_STATE(1091)] = 74184,
  [SMALL_STATE(1092)] = 74229,
  [SMALL_STATE(1093)] = 74274,
  [SMALL_STATE(1094)] = 74319,
  [SMALL_STATE(1095)] = 74364,
  [SMALL_STATE(1096)] = 74419,
  [SMALL_STATE(1097)] = 74474,
  [SMALL_STATE(1098)] = 74519,
  [SMALL_STATE(1099)] = 74574,
  [SMALL_STATE(1100)] = 74635,
  [SMALL_STATE(1101)] = 74704,
  [SMALL_STATE(1102)] = 74759,
  [SMALL_STATE(1103)] = 74818,
  [SMALL_STATE(1104)] = 74885,
  [SMALL_STATE(1105)] = 74950,
  [SMALL_STATE(1106)] = 75013,
  [SMALL_STATE(1107)] = 75058,
  [SMALL_STATE(1108)] = 75107,
  [SMALL_STATE(1109)] = 75154,
  [SMALL_STATE(1110)] = 75201,
  [SMALL_STATE(1111)] = 75248,
  [SMALL_STATE(1112)] = 75297,
  [SMALL_STATE(1113)] = 75346,
  [SMALL_STATE(1114)] = 75391,
  [SMALL_STATE(1115)] = 75440,
  [SMALL_STATE(1116)] = 75489,
  [SMALL_STATE(1117)] = 75538,
  [SMALL_STATE(1118)] = 75583,
  [SMALL_STATE(1119)] = 75628,
  [SMALL_STATE(1120)] = 75673,
  [SMALL_STATE(1121)] = 75724,
  [SMALL_STATE(1122)] = 75779,
  [SMALL_STATE(1123)] = 75834,
  [SMALL_STATE(1124)] = 75879,
  [SMALL_STATE(1125)] = 75924,
  [SMALL_STATE(1126)] = 75969,
  [SMALL_STATE(1127)] = 76014,
  [SMALL_STATE(1128)] = 76069,
  [SMALL_STATE(1129)] = 76130,
  [SMALL_STATE(1130)] = 76199,
  [SMALL_STATE(1131)] = 76254,
  [SMALL_STATE(1132)] = 76313,
  [SMALL_STATE(1133)] = 76380,
  [SMALL_STATE(1134)] = 76445,
  [SMALL_STATE(1135)] = 76494,
  [SMALL_STATE(1136)] = 76538,
  [SMALL_STATE(1137)] = 76582,
  [SMALL_STATE(1138)] = 76630,
  [SMALL_STATE(1139)] = 76674,
  [SMALL_STATE(1140)] = 76720,
  [SMALL_STATE(1141)] = 76766,
  [SMALL_STATE(1142)] = 76810,
  [SMALL_STATE(1143)] = 76856,
  [SMALL_STATE(1144)] = 76904,
  [SMALL_STATE(1145)] = 76952,
  [SMALL_STATE(1146)] = 76998,
  [SMALL_STATE(1147)] = 77044,
  [SMALL_STATE(1148)] = 77090,
  [SMALL_STATE(1149)] = 77136,
  [SMALL_STATE(1150)] = 77180,
  [SMALL_STATE(1151)] = 77224,
  [SMALL_STATE(1152)] = 77268,
  [SMALL_STATE(1153)] = 77312,
  [SMALL_STATE(1154)] = 77356,
  [SMALL_STATE(1155)] = 77400,
  [SMALL_STATE(1156)] = 77444,
  [SMALL_STATE(1157)] = 77488,
  [SMALL_STATE(1158)] = 77532,
  [SMALL_STATE(1159)] = 77576,
  [SMALL_STATE(1160)] = 77620,
  [SMALL_STATE(1161)] = 77664,
  [SMALL_STATE(1162)] = 77708,
  [SMALL_STATE(1163)] = 77752,
  [SMALL_STATE(1164)] = 77796,
  [SMALL_STATE(1165)] = 77840,
  [SMALL_STATE(1166)] = 77884,
  [SMALL_STATE(1167)] = 77928,
  [SMALL_STATE(1168)] = 77972,
  [SMALL_STATE(1169)] = 78016,
  [SMALL_STATE(1170)] = 78060,
  [SMALL_STATE(1171)] = 78104,
  [SMALL_STATE(1172)] = 78148,
  [SMALL_STATE(1173)] = 78192,
  [SMALL_STATE(1174)] = 78238,
  [SMALL_STATE(1175)] = 78284,
  [SMALL_STATE(1176)] = 78330,
  [SMALL_STATE(1177)] = 78376,
  [SMALL_STATE(1178)] = 78420,
  [SMALL_STATE(1179)] = 78464,
  [SMALL_STATE(1180)] = 78508,
  [SMALL_STATE(1181)] = 78552,
  [SMALL_STATE(1182)] = 78596,
  [SMALL_STATE(1183)] = 78640,
  [SMALL_STATE(1184)] = 78684,
  [SMALL_STATE(1185)] = 78728,
  [SMALL_STATE(1186)] = 78772,
  [SMALL_STATE(1187)] = 78816,
  [SMALL_STATE(1188)] = 78864,
  [SMALL_STATE(1189)] = 78908,
  [SMALL_STATE(1190)] = 78952,
  [SMALL_STATE(1191)] = 78996,
  [SMALL_STATE(1192)] = 79040,
  [SMALL_STATE(1193)] = 79084,
  [SMALL_STATE(1194)] = 79128,
  [SMALL_STATE(1195)] = 79172,
  [SMALL_STATE(1196)] = 79216,
  [SMALL_STATE(1197)] = 79260,
  [SMALL_STATE(1198)] = 79304,
  [SMALL_STATE(1199)] = 79348,
  [SMALL_STATE(1200)] = 79392,
  [SMALL_STATE(1201)] = 79436,
  [SMALL_STATE(1202)] = 79480,
  [SMALL_STATE(1203)] = 79524,
  [SMALL_STATE(1204)] = 79568,
  [SMALL_STATE(1205)] = 79612,
  [SMALL_STATE(1206)] = 79660,
  [SMALL_STATE(1207)] = 79704,
  [SMALL_STATE(1208)] = 79748,
  [SMALL_STATE(1209)] = 79792,
  [SMALL_STATE(1210)] = 79836,
  [SMALL_STATE(1211)] = 79880,
  [SMALL_STATE(1212)] = 79924,
  [SMALL_STATE(1213)] = 79968,
  [SMALL_STATE(1214)] = 80016,
  [SMALL_STATE(1215)] = 80060,
  [SMALL_STATE(1216)] = 80104,
  [SMALL_STATE(1217)] = 80154,
  [SMALL_STATE(1218)] = 80208,
  [SMALL_STATE(1219)] = 80262,
  [SMALL_STATE(1220)] = 80312,
  [SMALL_STATE(1221)] = 80356,
  [SMALL_STATE(1222)] = 80400,
  [SMALL_STATE(1223)] = 80444,
  [SMALL_STATE(1224)] = 80498,
  [SMALL_STATE(1225)] = 80558,
  [SMALL_STATE(1226)] = 80626,
  [SMALL_STATE(1227)] = 80680,
  [SMALL_STATE(1228)] = 80738,
  [SMALL_STATE(1229)] = 80804,
  [SMALL_STATE(1230)] = 80868,
  [SMALL_STATE(1231)] = 80930,
  [SMALL_STATE(1232)] = 80978,
  [SMALL_STATE(1233)] = 81026,
  [SMALL_STATE(1234)] = 81074,
  [SMALL_STATE(1235)] = 81122,
  [SMALL_STATE(1236)] = 81170,
  [SMALL_STATE(1237)] = 81214,
  [SMALL_STATE(1238)] = 81262,
  [SMALL_STATE(1239)] = 81306,
  [SMALL_STATE(1240)] = 81354,
  [SMALL_STATE(1241)] = 81402,
  [SMALL_STATE(1242)] = 81448,
  [SMALL_STATE(1243)] = 81494,
  [SMALL_STATE(1244)] = 81540,
  [SMALL_STATE(1245)] = 81586,
  [SMALL_STATE(1246)] = 81630,
  [SMALL_STATE(1247)] = 81678,
  [SMALL_STATE(1248)] = 81726,
  [SMALL_STATE(1249)] = 81774,
  [SMALL_STATE(1250)] = 81820,
  [SMALL_STATE(1251)] = 81866,
  [SMALL_STATE(1252)] = 81910,
  [SMALL_STATE(1253)] = 81954,
  [SMALL_STATE(1254)] = 81998,
  [SMALL_STATE(1255)] = 82046,
  [SMALL_STATE(1256)] = 82090,
  [SMALL_STATE(1257)] = 82133,
  [SMALL_STATE(1258)] = 82178,
  [SMALL_STATE(1259)] = 82221,
  [SMALL_STATE(1260)] = 82264,
  [SMALL_STATE(1261)] = 82307,
  [SMALL_STATE(1262)] = 82358,
  [SMALL_STATE(1263)] = 82401,
  [SMALL_STATE(1264)] = 82444,
  [SMALL_STATE(1265)] = 82487,
  [SMALL_STATE(1266)] = 82530,
  [SMALL_STATE(1267)] = 82573,
  [SMALL_STATE(1268)] = 82616,
  [SMALL_STATE(1269)] = 82659,
  [SMALL_STATE(1270)] = 82702,
  [SMALL_STATE(1271)] = 82745,
  [SMALL_STATE(1272)] = 82792,
  [SMALL_STATE(1273)] = 82839,
  [SMALL_STATE(1274)] = 82886,
  [SMALL_STATE(1275)] = 82931,
  [SMALL_STATE(1276)] = 82976,
  [SMALL_STATE(1277)] = 83021,
  [SMALL_STATE(1278)] = 83064,
  [SMALL_STATE(1279)] = 83107,
  [SMALL_STATE(1280)] = 83150,
  [SMALL_STATE(1281)] = 83193,
  [SMALL_STATE(1282)] = 83236,
  [SMALL_STATE(1283)] = 83279,
  [SMALL_STATE(1284)] = 83322,
  [SMALL_STATE(1285)] = 83365,
  [SMALL_STATE(1286)] = 83408,
  [SMALL_STATE(1287)] = 83451,
  [SMALL_STATE(1288)] = 83494,
  [SMALL_STATE(1289)] = 83537,
  [SMALL_STATE(1290)] = 83580,
  [SMALL_STATE(1291)] = 83623,
  [SMALL_STATE(1292)] = 83666,
  [SMALL_STATE(1293)] = 83709,
  [SMALL_STATE(1294)] = 83752,
  [SMALL_STATE(1295)] = 83795,
  [SMALL_STATE(1296)] = 83838,
  [SMALL_STATE(1297)] = 83881,
  [SMALL_STATE(1298)] = 83924,
  [SMALL_STATE(1299)] = 83967,
  [SMALL_STATE(1300)] = 84010,
  [SMALL_STATE(1301)] = 84053,
  [SMALL_STATE(1302)] = 84096,
  [SMALL_STATE(1303)] = 84139,
  [SMALL_STATE(1304)] = 84182,
  [SMALL_STATE(1305)] = 84225,
  [SMALL_STATE(1306)] = 84268,
  [SMALL_STATE(1307)] = 84311,
  [SMALL_STATE(1308)] = 84354,
  [SMALL_STATE(1309)] = 84397,
  [SMALL_STATE(1310)] = 84440,
  [SMALL_STATE(1311)] = 84483,
  [SMALL_STATE(1312)] = 84526,
  [SMALL_STATE(1313)] = 84569,
  [SMALL_STATE(1314)] = 84612,
  [SMALL_STATE(1315)] = 84655,
  [SMALL_STATE(1316)] = 84698,
  [SMALL_STATE(1317)] = 84741,
  [SMALL_STATE(1318)] = 84784,
  [SMALL_STATE(1319)] = 84827,
  [SMALL_STATE(1320)] = 84870,
  [SMALL_STATE(1321)] = 84913,
  [SMALL_STATE(1322)] = 84956,
  [SMALL_STATE(1323)] = 84999,
  [SMALL_STATE(1324)] = 85042,
  [SMALL_STATE(1325)] = 85085,
  [SMALL_STATE(1326)] = 85128,
  [SMALL_STATE(1327)] = 85171,
  [SMALL_STATE(1328)] = 85214,
  [SMALL_STATE(1329)] = 85257,
  [SMALL_STATE(1330)] = 85300,
  [SMALL_STATE(1331)] = 85343,
  [SMALL_STATE(1332)] = 85386,
  [SMALL_STATE(1333)] = 85429,
  [SMALL_STATE(1334)] = 85472,
  [SMALL_STATE(1335)] = 85515,
  [SMALL_STATE(1336)] = 85558,
  [SMALL_STATE(1337)] = 85601,
  [SMALL_STATE(1338)] = 85644,
  [SMALL_STATE(1339)] = 85687,
  [SMALL_STATE(1340)] = 85734,
  [SMALL_STATE(1341)] = 85777,
  [SMALL_STATE(1342)] = 85820,
  [SMALL_STATE(1343)] = 85863,
  [SMALL_STATE(1344)] = 85906,
  [SMALL_STATE(1345)] = 85949,
  [SMALL_STATE(1346)] = 85992,
  [SMALL_STATE(1347)] = 86035,
  [SMALL_STATE(1348)] = 86078,
  [SMALL_STATE(1349)] = 86125,
  [SMALL_STATE(1350)] = 86172,
  [SMALL_STATE(1351)] = 86219,
  [SMALL_STATE(1352)] = 86262,
  [SMALL_STATE(1353)] = 86307,
  [SMALL_STATE(1354)] = 86352,
  [SMALL_STATE(1355)] = 86397,
  [SMALL_STATE(1356)] = 86444,
  [SMALL_STATE(1357)] = 86487,
  [SMALL_STATE(1358)] = 86534,
  [SMALL_STATE(1359)] = 86579,
  [SMALL_STATE(1360)] = 86626,
  [SMALL_STATE(1361)] = 86669,
  [SMALL_STATE(1362)] = 86712,
  [SMALL_STATE(1363)] = 86755,
  [SMALL_STATE(1364)] = 86798,
  [SMALL_STATE(1365)] = 86841,
  [SMALL_STATE(1366)] = 86884,
  [SMALL_STATE(1367)] = 86927,
  [SMALL_STATE(1368)] = 86970,
  [SMALL_STATE(1369)] = 87015,
  [SMALL_STATE(1370)] = 87060,
  [SMALL_STATE(1371)] = 87105,
  [SMALL_STATE(1372)] = 87150,
  [SMALL_STATE(1373)] = 87195,
  [SMALL_STATE(1374)] = 87238,
  [SMALL_STATE(1375)] = 87281,
  [SMALL_STATE(1376)] = 87328,
  [SMALL_STATE(1377)] = 87375,
  [SMALL_STATE(1378)] = 87420,
  [SMALL_STATE(1379)] = 87465,
  [SMALL_STATE(1380)] = 87508,
  [SMALL_STATE(1381)] = 87551,
  [SMALL_STATE(1382)] = 87596,
  [SMALL_STATE(1383)] = 87641,
  [SMALL_STATE(1384)] = 87684,
  [SMALL_STATE(1385)] = 87727,
  [SMALL_STATE(1386)] = 87772,
  [SMALL_STATE(1387)] = 87815,
  [SMALL_STATE(1388)] = 87858,
  [SMALL_STATE(1389)] = 87901,
  [SMALL_STATE(1390)] = 87944,
  [SMALL_STATE(1391)] = 87987,
  [SMALL_STATE(1392)] = 88030,
  [SMALL_STATE(1393)] = 88073,
  [SMALL_STATE(1394)] = 88124,
  [SMALL_STATE(1395)] = 88167,
  [SMALL_STATE(1396)] = 88210,
  [SMALL_STATE(1397)] = 88253,
  [SMALL_STATE(1398)] = 88296,
  [SMALL_STATE(1399)] = 88339,
  [SMALL_STATE(1400)] = 88386,
  [SMALL_STATE(1401)] = 88433,
  [SMALL_STATE(1402)] = 88480,
  [SMALL_STATE(1403)] = 88523,
  [SMALL_STATE(1404)] = 88566,
  [SMALL_STATE(1405)] = 88611,
  [SMALL_STATE(1406)] = 88654,
  [SMALL_STATE(1407)] = 88697,
  [SMALL_STATE(1408)] = 88740,
  [SMALL_STATE(1409)] = 88783,
  [SMALL_STATE(1410)] = 88826,
  [SMALL_STATE(1411)] = 88869,
  [SMALL_STATE(1412)] = 88912,
  [SMALL_STATE(1413)] = 88955,
  [SMALL_STATE(1414)] = 88998,
  [SMALL_STATE(1415)] = 89041,
  [SMALL_STATE(1416)] = 89084,
  [SMALL_STATE(1417)] = 89127,
  [SMALL_STATE(1418)] = 89170,
  [SMALL_STATE(1419)] = 89213,
  [SMALL_STATE(1420)] = 89257,
  [SMALL_STATE(1421)] = 89307,
  [SMALL_STATE(1422)] = 89349,
  [SMALL_STATE(1423)] = 89391,
  [SMALL_STATE(1424)] = 89439,
  [SMALL_STATE(1425)] = 89481,
  [SMALL_STATE(1426)] = 89523,
  [SMALL_STATE(1427)] = 89565,
  [SMALL_STATE(1428)] = 89607,
  [SMALL_STATE(1429)] = 89649,
  [SMALL_STATE(1430)] = 89691,
  [SMALL_STATE(1431)] = 89735,
  [SMALL_STATE(1432)] = 89777,
  [SMALL_STATE(1433)] = 89819,
  [SMALL_STATE(1434)] = 89863,
  [SMALL_STATE(1435)] = 89907,
  [SMALL_STATE(1436)] = 89951,
  [SMALL_STATE(1437)] = 89995,
  [SMALL_STATE(1438)] = 90037,
  [SMALL_STATE(1439)] = 90081,
  [SMALL_STATE(1440)] = 90123,
  [SMALL_STATE(1441)] = 90165,
  [SMALL_STATE(1442)] = 90207,
  [SMALL_STATE(1443)] = 90249,
  [SMALL_STATE(1444)] = 90291,
  [SMALL_STATE(1445)] = 90333,
  [SMALL_STATE(1446)] = 90379,
  [SMALL_STATE(1447)] = 90421,
  [SMALL_STATE(1448)] = 90463,
  [SMALL_STATE(1449)] = 90505,
  [SMALL_STATE(1450)] = 90547,
  [SMALL_STATE(1451)] = 90589,
  [SMALL_STATE(1452)] = 90631,
  [SMALL_STATE(1453)] = 90673,
  [SMALL_STATE(1454)] = 90715,
  [SMALL_STATE(1455)] = 90757,
  [SMALL_STATE(1456)] = 90803,
  [SMALL_STATE(1457)] = 90845,
  [SMALL_STATE(1458)] = 90887,
  [SMALL_STATE(1459)] = 90929,
  [SMALL_STATE(1460)] = 90975,
  [SMALL_STATE(1461)] = 91017,
  [SMALL_STATE(1462)] = 91059,
  [SMALL_STATE(1463)] = 91101,
  [SMALL_STATE(1464)] = 91143,
  [SMALL_STATE(1465)] = 91187,
  [SMALL_STATE(1466)] = 91231,
  [SMALL_STATE(1467)] = 91274,
  [SMALL_STATE(1468)] = 91315,
  [SMALL_STATE(1469)] = 91356,
  [SMALL_STATE(1470)] = 91397,
  [SMALL_STATE(1471)] = 91438,
  [SMALL_STATE(1472)] = 91479,
  [SMALL_STATE(1473)] = 91520,
  [SMALL_STATE(1474)] = 91561,
  [SMALL_STATE(1475)] = 91604,
  [SMALL_STATE(1476)] = 91647,
  [SMALL_STATE(1477)] = 91690,
  [SMALL_STATE(1478)] = 91731,
  [SMALL_STATE(1479)] = 91772,
  [SMALL_STATE(1480)] = 91813,
  [SMALL_STATE(1481)] = 91856,
  [SMALL_STATE(1482)] = 91899,
  [SMALL_STATE(1483)] = 91942,
  [SMALL_STATE(1484)] = 91985,
  [SMALL_STATE(1485)] = 92028,
  [SMALL_STATE(1486)] = 92102,
  [SMALL_STATE(1487)] = 92176,
  [SMALL_STATE(1488)] = 92244,
  [SMALL_STATE(1489)] = 92312,
  [SMALL_STATE(1490)] = 92380,
  [SMALL_STATE(1491)] = 92448,
  [SMALL_STATE(1492)] = 92516,
  [SMALL_STATE(1493)] = 92584,
  [SMALL_STATE(1494)] = 92652,
  [SMALL_STATE(1495)] = 92720,
  [SMALL_STATE(1496)] = 92788,
  [SMALL_STATE(1497)] = 92856,
  [SMALL_STATE(1498)] = 92924,
  [SMALL_STATE(1499)] = 92992,
  [SMALL_STATE(1500)] = 93060,
  [SMALL_STATE(1501)] = 93128,
  [SMALL_STATE(1502)] = 93196,
  [SMALL_STATE(1503)] = 93264,
  [SMALL_STATE(1504)] = 93332,
  [SMALL_STATE(1505)] = 93400,
  [SMALL_STATE(1506)] = 93468,
  [SMALL_STATE(1507)] = 93536,
  [SMALL_STATE(1508)] = 93604,
  [SMALL_STATE(1509)] = 93672,
  [SMALL_STATE(1510)] = 93740,
  [SMALL_STATE(1511)] = 93808,
  [SMALL_STATE(1512)] = 93876,
  [SMALL_STATE(1513)] = 93944,
  [SMALL_STATE(1514)] = 94012,
  [SMALL_STATE(1515)] = 94080,
  [SMALL_STATE(1516)] = 94148,
  [SMALL_STATE(1517)] = 94216,
  [SMALL_STATE(1518)] = 94284,
  [SMALL_STATE(1519)] = 94352,
  [SMALL_STATE(1520)] = 94420,
  [SMALL_STATE(1521)] = 94488,
  [SMALL_STATE(1522)] = 94556,
  [SMALL_STATE(1523)] = 94624,
  [SMALL_STATE(1524)] = 94689,
  [SMALL_STATE(1525)] = 94754,
  [SMALL_STATE(1526)] = 94819,
  [SMALL_STATE(1527)] = 94884,
  [SMALL_STATE(1528)] = 94949,
  [SMALL_STATE(1529)] = 95015,
  [SMALL_STATE(1530)] = 95081,
  [SMALL_STATE(1531)] = 95147,
  [SMALL_STATE(1532)] = 95213,
  [SMALL_STATE(1533)] = 95279,
  [SMALL_STATE(1534)] = 95345,
  [SMALL_STATE(1535)] = 95411,
  [SMALL_STATE(1536)] = 95477,
  [SMALL_STATE(1537)] = 95543,
  [SMALL_STATE(1538)] = 95609,
  [SMALL_STATE(1539)] = 95675,
  [SMALL_STATE(1540)] = 95741,
  [SMALL_STATE(1541)] = 95807,
  [SMALL_STATE(1542)] = 95873,
  [SMALL_STATE(1543)] = 95939,
  [SMALL_STATE(1544)] = 96005,
  [SMALL_STATE(1545)] = 96071,
  [SMALL_STATE(1546)] = 96137,
  [SMALL_STATE(1547)] = 96203,
  [SMALL_STATE(1548)] = 96269,
  [SMALL_STATE(1549)] = 96332,
  [SMALL_STATE(1550)] = 96390,
  [SMALL_STATE(1551)] = 96448,
  [SMALL_STATE(1552)] = 96506,
  [SMALL_STATE(1553)] = 96564,
  [SMALL_STATE(1554)] = 96622,
  [SMALL_STATE(1555)] = 96668,
  [SMALL_STATE(1556)] = 96714,
  [SMALL_STATE(1557)] = 96772,
  [SMALL_STATE(1558)] = 96830,
  [SMALL_STATE(1559)] = 96888,
  [SMALL_STATE(1560)] = 96932,
  [SMALL_STATE(1561)] = 96976,
  [SMALL_STATE(1562)] = 97020,
  [SMALL_STATE(1563)] = 97064,
  [SMALL_STATE(1564)] = 97105,
  [SMALL_STATE(1565)] = 97148,
  [SMALL_STATE(1566)] = 97191,
  [SMALL_STATE(1567)] = 97232,
  [SMALL_STATE(1568)] = 97275,
  [SMALL_STATE(1569)] = 97318,
  [SMALL_STATE(1570)] = 97348,
  [SMALL_STATE(1571)] = 97380,
  [SMALL_STATE(1572)] = 97422,
  [SMALL_STATE(1573)] = 97464,
  [SMALL_STATE(1574)] = 97494,
  [SMALL_STATE(1575)] = 97526,
  [SMALL_STATE(1576)] = 97568,
  [SMALL_STATE(1577)] = 97600,
  [SMALL_STATE(1578)] = 97632,
  [SMALL_STATE(1579)] = 97664,
  [SMALL_STATE(1580)] = 97706,
  [SMALL_STATE(1581)] = 97738,
  [SMALL_STATE(1582)] = 97768,
  [SMALL_STATE(1583)] = 97798,
  [SMALL_STATE(1584)] = 97828,
  [SMALL_STATE(1585)] = 97858,
  [SMALL_STATE(1586)] = 97888,
  [SMALL_STATE(1587)] = 97918,
  [SMALL_STATE(1588)] = 97948,
  [SMALL_STATE(1589)] = 97978,
  [SMALL_STATE(1590)] = 98025,
  [SMALL_STATE(1591)] = 98054,
  [SMALL_STATE(1592)] = 98101,
  [SMALL_STATE(1593)] = 98126,
  [SMALL_STATE(1594)] = 98155,
  [SMALL_STATE(1595)] = 98184,
  [SMALL_STATE(1596)] = 98213,
  [SMALL_STATE(1597)] = 98242,
  [SMALL_STATE(1598)] = 98271,
  [SMALL_STATE(1599)] = 98300,
  [SMALL_STATE(1600)] = 98329,
  [SMALL_STATE(1601)] = 98358,
  [SMALL_STATE(1602)] = 98387,
  [SMALL_STATE(1603)] = 98416,
  [SMALL_STATE(1604)] = 98445,
  [SMALL_STATE(1605)] = 98470,
  [SMALL_STATE(1606)] = 98499,
  [SMALL_STATE(1607)] = 98528,
  [SMALL_STATE(1608)] = 98557,
  [SMALL_STATE(1609)] = 98586,
  [SMALL_STATE(1610)] = 98615,
  [SMALL_STATE(1611)] = 98640,
  [SMALL_STATE(1612)] = 98669,
  [SMALL_STATE(1613)] = 98716,
  [SMALL_STATE(1614)] = 98745,
  [SMALL_STATE(1615)] = 98792,
  [SMALL_STATE(1616)] = 98839,
  [SMALL_STATE(1617)] = 98886,
  [SMALL_STATE(1618)] = 98933,
  [SMALL_STATE(1619)] = 98980,
  [SMALL_STATE(1620)] = 99027,
  [SMALL_STATE(1621)] = 99074,
  [SMALL_STATE(1622)] = 99103,
  [SMALL_STATE(1623)] = 99132,
  [SMALL_STATE(1624)] = 99161,
  [SMALL_STATE(1625)] = 99190,
  [SMALL_STATE(1626)] = 99219,
  [SMALL_STATE(1627)] = 99244,
  [SMALL_STATE(1628)] = 99268,
  [SMALL_STATE(1629)] = 99314,
  [SMALL_STATE(1630)] = 99360,
  [SMALL_STATE(1631)] = 99390,
  [SMALL_STATE(1632)] = 99436,
  [SMALL_STATE(1633)] = 99468,
  [SMALL_STATE(1634)] = 99514,
  [SMALL_STATE(1635)] = 99546,
  [SMALL_STATE(1636)] = 99592,
  [SMALL_STATE(1637)] = 99638,
  [SMALL_STATE(1638)] = 99684,
  [SMALL_STATE(1639)] = 99730,
  [SMALL_STATE(1640)] = 99754,
  [SMALL_STATE(1641)] = 99778,
  [SMALL_STATE(1642)] = 99806,
  [SMALL_STATE(1643)] = 99830,
  [SMALL_STATE(1644)] = 99876,
  [SMALL_STATE(1645)] = 99904,
  [SMALL_STATE(1646)] = 99950,
  [SMALL_STATE(1647)] = 99996,
  [SMALL_STATE(1648)] = 100039,
  [SMALL_STATE(1649)] = 100065,
  [SMALL_STATE(1650)] = 100105,
  [SMALL_STATE(1651)] = 100145,
  [SMALL_STATE(1652)] = 100185,
  [SMALL_STATE(1653)] = 100225,
  [SMALL_STATE(1654)] = 100262,
  [SMALL_STATE(1655)] = 100299,
  [SMALL_STATE(1656)] = 100340,
  [SMALL_STATE(1657)] = 100381,
  [SMALL_STATE(1658)] = 100404,
  [SMALL_STATE(1659)] = 100423,
  [SMALL_STATE(1660)] = 100444,
  [SMALL_STATE(1661)] = 100471,
  [SMALL_STATE(1662)] = 100498,
  [SMALL_STATE(1663)] = 100525,
  [SMALL_STATE(1664)] = 100566,
  [SMALL_STATE(1665)] = 100585,
  [SMALL_STATE(1666)] = 100610,
  [SMALL_STATE(1667)] = 100629,
  [SMALL_STATE(1668)] = 100670,
  [SMALL_STATE(1669)] = 100711,
  [SMALL_STATE(1670)] = 100752,
  [SMALL_STATE(1671)] = 100793,
  [SMALL_STATE(1672)] = 100834,
  [SMALL_STATE(1673)] = 100864,
  [SMALL_STATE(1674)] = 100902,
  [SMALL_STATE(1675)] = 100932,
  [SMALL_STATE(1676)] = 100962,
  [SMALL_STATE(1677)] = 101000,
  [SMALL_STATE(1678)] = 101038,
  [SMALL_STATE(1679)] = 101068,
  [SMALL_STATE(1680)] = 101098,
  [SMALL_STATE(1681)] = 101136,
  [SMALL_STATE(1682)] = 101174,
  [SMALL_STATE(1683)] = 101212,
  [SMALL_STATE(1684)] = 101242,
  [SMALL_STATE(1685)] = 101272,
  [SMALL_STATE(1686)] = 101302,
  [SMALL_STATE(1687)] = 101340,
  [SMALL_STATE(1688)] = 101378,
  [SMALL_STATE(1689)] = 101416,
  [SMALL_STATE(1690)] = 101446,
  [SMALL_STATE(1691)] = 101476,
  [SMALL_STATE(1692)] = 101514,
  [SMALL_STATE(1693)] = 101552,
  [SMALL_STATE(1694)] = 101590,
  [SMALL_STATE(1695)] = 101628,
  [SMALL_STATE(1696)] = 101658,
  [SMALL_STATE(1697)] = 101688,
  [SMALL_STATE(1698)] = 101726,
  [SMALL_STATE(1699)] = 101764,
  [SMALL_STATE(1700)] = 101794,
  [SMALL_STATE(1701)] = 101824,
  [SMALL_STATE(1702)] = 101862,
  [SMALL_STATE(1703)] = 101900,
  [SMALL_STATE(1704)] = 101930,
  [SMALL_STATE(1705)] = 101960,
  [SMALL_STATE(1706)] = 101998,
  [SMALL_STATE(1707)] = 102028,
  [SMALL_STATE(1708)] = 102066,
  [SMALL_STATE(1709)] = 102104,
  [SMALL_STATE(1710)] = 102142,
  [SMALL_STATE(1711)] = 102172,
  [SMALL_STATE(1712)] = 102210,
  [SMALL_STATE(1713)] = 102248,
  [SMALL_STATE(1714)] = 102286,
  [SMALL_STATE(1715)] = 102324,
  [SMALL_STATE(1716)] = 102354,
  [SMALL_STATE(1717)] = 102386,
  [SMALL_STATE(1718)] = 102403,
  [SMALL_STATE(1719)] = 102424,
  [SMALL_STATE(1720)] = 102441,
  [SMALL_STATE(1721)] = 102466,
  [SMALL_STATE(1722)] = 102491,
  [SMALL_STATE(1723)] = 102516,
  [SMALL_STATE(1724)] = 102533,
  [SMALL_STATE(1725)] = 102558,
  [SMALL_STATE(1726)] = 102581,
  [SMALL_STATE(1727)] = 102606,
  [SMALL_STATE(1728)] = 102627,
  [SMALL_STATE(1729)] = 102652,
  [SMALL_STATE(1730)] = 102669,
  [SMALL_STATE(1731)] = 102686,
  [SMALL_STATE(1732)] = 102705,
  [SMALL_STATE(1733)] = 102734,
  [SMALL_STATE(1734)] = 102751,
  [SMALL_STATE(1735)] = 102776,
  [SMALL_STATE(1736)] = 102795,
  [SMALL_STATE(1737)] = 102818,
  [SMALL_STATE(1738)] = 102847,
  [SMALL_STATE(1739)] = 102872,
  [SMALL_STATE(1740)] = 102896,
  [SMALL_STATE(1741)] = 102920,
  [SMALL_STATE(1742)] = 102942,
  [SMALL_STATE(1743)] = 102962,
  [SMALL_STATE(1744)] = 102978,
  [SMALL_STATE(1745)] = 102996,
  [SMALL_STATE(1746)] = 103014,
  [SMALL_STATE(1747)] = 103044,
  [SMALL_STATE(1748)] = 103064,
  [SMALL_STATE(1749)] = 103086,
  [SMALL_STATE(1750)] = 103110,
  [SMALL_STATE(1751)] = 103134,
  [SMALL_STATE(1752)] = 103150,
  [SMALL_STATE(1753)] = 103172,
  [SMALL_STATE(1754)] = 103194,
  [SMALL_STATE(1755)] = 103212,
  [SMALL_STATE(1756)] = 103228,
  [SMALL_STATE(1757)] = 103244,
  [SMALL_STATE(1758)] = 103264,
  [SMALL_STATE(1759)] = 103288,
  [SMALL_STATE(1760)] = 103312,
  [SMALL_STATE(1761)] = 103336,
  [SMALL_STATE(1762)] = 103360,
  [SMALL_STATE(1763)] = 103384,
  [SMALL_STATE(1764)] = 103406,
  [SMALL_STATE(1765)] = 103426,
  [SMALL_STATE(1766)] = 103442,
  [SMALL_STATE(1767)] = 103460,
  [SMALL_STATE(1768)] = 103476,
  [SMALL_STATE(1769)] = 103500,
  [SMALL_STATE(1770)] = 103524,
  [SMALL_STATE(1771)] = 103544,
  [SMALL_STATE(1772)] = 103562,
  [SMALL_STATE(1773)] = 103586,
  [SMALL_STATE(1774)] = 103610,
  [SMALL_STATE(1775)] = 103630,
  [SMALL_STATE(1776)] = 103653,
  [SMALL_STATE(1777)] = 103678,
  [SMALL_STATE(1778)] = 103701,
  [SMALL_STATE(1779)] = 103728,
  [SMALL_STATE(1780)] = 103745,
  [SMALL_STATE(1781)] = 103772,
  [SMALL_STATE(1782)] = 103799,
  [SMALL_STATE(1783)] = 103826,
  [SMALL_STATE(1784)] = 103847,
  [SMALL_STATE(1785)] = 103876,
  [SMALL_STATE(1786)] = 103893,
  [SMALL_STATE(1787)] = 103914,
  [SMALL_STATE(1788)] = 103937,
  [SMALL_STATE(1789)] = 103962,
  [SMALL_STATE(1790)] = 103989,
  [SMALL_STATE(1791)] = 104018,
  [SMALL_STATE(1792)] = 104043,
  [SMALL_STATE(1793)] = 104066,
  [SMALL_STATE(1794)] = 104083,
  [SMALL_STATE(1795)] = 104104,
  [SMALL_STATE(1796)] = 104133,
  [SMALL_STATE(1797)] = 104158,
  [SMALL_STATE(1798)] = 104187,
  [SMALL_STATE(1799)] = 104210,
  [SMALL_STATE(1800)] = 104235,
  [SMALL_STATE(1801)] = 104264,
  [SMALL_STATE(1802)] = 104285,
  [SMALL_STATE(1803)] = 104306,
  [SMALL_STATE(1804)] = 104335,
  [SMALL_STATE(1805)] = 104356,
  [SMALL_STATE(1806)] = 104379,
  [SMALL_STATE(1807)] = 104396,
  [SMALL_STATE(1808)] = 104417,
  [SMALL_STATE(1809)] = 104434,
  [SMALL_STATE(1810)] = 104453,
  [SMALL_STATE(1811)] = 104482,
  [SMALL_STATE(1812)] = 104503,
  [SMALL_STATE(1813)] = 104526,
  [SMALL_STATE(1814)] = 104549,
  [SMALL_STATE(1815)] = 104578,
  [SMALL_STATE(1816)] = 104605,
  [SMALL_STATE(1817)] = 104628,
  [SMALL_STATE(1818)] = 104657,
  [SMALL_STATE(1819)] = 104676,
  [SMALL_STATE(1820)] = 104691,
  [SMALL_STATE(1821)] = 104720,
  [SMALL_STATE(1822)] = 104741,
  [SMALL_STATE(1823)] = 104766,
  [SMALL_STATE(1824)] = 104787,
  [SMALL_STATE(1825)] = 104808,
  [SMALL_STATE(1826)] = 104825,
  [SMALL_STATE(1827)] = 104844,
  [SMALL_STATE(1828)] = 104865,
  [SMALL_STATE(1829)] = 104892,
  [SMALL_STATE(1830)] = 104919,
  [SMALL_STATE(1831)] = 104940,
  [SMALL_STATE(1832)] = 104961,
  [SMALL_STATE(1833)] = 104984,
  [SMALL_STATE(1834)] = 105005,
  [SMALL_STATE(1835)] = 105026,
  [SMALL_STATE(1836)] = 105052,
  [SMALL_STATE(1837)] = 105078,
  [SMALL_STATE(1838)] = 105104,
  [SMALL_STATE(1839)] = 105122,
  [SMALL_STATE(1840)] = 105148,
  [SMALL_STATE(1841)] = 105166,
  [SMALL_STATE(1842)] = 105184,
  [SMALL_STATE(1843)] = 105202,
  [SMALL_STATE(1844)] = 105224,
  [SMALL_STATE(1845)] = 105248,
  [SMALL_STATE(1846)] = 105274,
  [SMALL_STATE(1847)] = 105290,
  [SMALL_STATE(1848)] = 105308,
  [SMALL_STATE(1849)] = 105334,
  [SMALL_STATE(1850)] = 105352,
  [SMALL_STATE(1851)] = 105376,
  [SMALL_STATE(1852)] = 105398,
  [SMALL_STATE(1853)] = 105418,
  [SMALL_STATE(1854)] = 105442,
  [SMALL_STATE(1855)] = 105460,
  [SMALL_STATE(1856)] = 105486,
  [SMALL_STATE(1857)] = 105512,
  [SMALL_STATE(1858)] = 105538,
  [SMALL_STATE(1859)] = 105556,
  [SMALL_STATE(1860)] = 105582,
  [SMALL_STATE(1861)] = 105604,
  [SMALL_STATE(1862)] = 105626,
  [SMALL_STATE(1863)] = 105652,
  [SMALL_STATE(1864)] = 105678,
  [SMALL_STATE(1865)] = 105696,
  [SMALL_STATE(1866)] = 105718,
  [SMALL_STATE(1867)] = 105744,
  [SMALL_STATE(1868)] = 105766,
  [SMALL_STATE(1869)] = 105792,
  [SMALL_STATE(1870)] = 105808,
  [SMALL_STATE(1871)] = 105826,
  [SMALL_STATE(1872)] = 105844,
  [SMALL_STATE(1873)] = 105866,
  [SMALL_STATE(1874)] = 105890,
  [SMALL_STATE(1875)] = 105912,
  [SMALL_STATE(1876)] = 105934,
  [SMALL_STATE(1877)] = 105952,
  [SMALL_STATE(1878)] = 105974,
  [SMALL_STATE(1879)] = 106000,
  [SMALL_STATE(1880)] = 106026,
  [SMALL_STATE(1881)] = 106046,
  [SMALL_STATE(1882)] = 106072,
  [SMALL_STATE(1883)] = 106092,
  [SMALL_STATE(1884)] = 106114,
  [SMALL_STATE(1885)] = 106140,
  [SMALL_STATE(1886)] = 106157,
  [SMALL_STATE(1887)] = 106174,
  [SMALL_STATE(1888)] = 106191,
  [SMALL_STATE(1889)] = 106204,
  [SMALL_STATE(1890)] = 106217,
  [SMALL_STATE(1891)] = 106230,
  [SMALL_STATE(1892)] = 106247,
  [SMALL_STATE(1893)] = 106268,
  [SMALL_STATE(1894)] = 106285,
  [SMALL_STATE(1895)] = 106298,
  [SMALL_STATE(1896)] = 106311,
  [SMALL_STATE(1897)] = 106324,
  [SMALL_STATE(1898)] = 106345,
  [SMALL_STATE(1899)] = 106362,
  [SMALL_STATE(1900)] = 106379,
  [SMALL_STATE(1901)] = 106396,
  [SMALL_STATE(1902)] = 106413,
  [SMALL_STATE(1903)] = 106434,
  [SMALL_STATE(1904)] = 106449,
  [SMALL_STATE(1905)] = 106472,
  [SMALL_STATE(1906)] = 106493,
  [SMALL_STATE(1907)] = 106510,
  [SMALL_STATE(1908)] = 106531,
  [SMALL_STATE(1909)] = 106546,
  [SMALL_STATE(1910)] = 106567,
  [SMALL_STATE(1911)] = 106588,
  [SMALL_STATE(1912)] = 106609,
  [SMALL_STATE(1913)] = 106632,
  [SMALL_STATE(1914)] = 106649,
  [SMALL_STATE(1915)] = 106670,
  [SMALL_STATE(1916)] = 106687,
  [SMALL_STATE(1917)] = 106708,
  [SMALL_STATE(1918)] = 106725,
  [SMALL_STATE(1919)] = 106738,
  [SMALL_STATE(1920)] = 106759,
  [SMALL_STATE(1921)] = 106774,
  [SMALL_STATE(1922)] = 106795,
  [SMALL_STATE(1923)] = 106818,
  [SMALL_STATE(1924)] = 106831,
  [SMALL_STATE(1925)] = 106848,
  [SMALL_STATE(1926)] = 106861,
  [SMALL_STATE(1927)] = 106878,
  [SMALL_STATE(1928)] = 106899,
  [SMALL_STATE(1929)] = 106916,
  [SMALL_STATE(1930)] = 106937,
  [SMALL_STATE(1931)] = 106958,
  [SMALL_STATE(1932)] = 106979,
  [SMALL_STATE(1933)] = 106992,
  [SMALL_STATE(1934)] = 107009,
  [SMALL_STATE(1935)] = 107026,
  [SMALL_STATE(1936)] = 107043,
  [SMALL_STATE(1937)] = 107064,
  [SMALL_STATE(1938)] = 107079,
  [SMALL_STATE(1939)] = 107096,
  [SMALL_STATE(1940)] = 107111,
  [SMALL_STATE(1941)] = 107128,
  [SMALL_STATE(1942)] = 107149,
  [SMALL_STATE(1943)] = 107164,
  [SMALL_STATE(1944)] = 107181,
  [SMALL_STATE(1945)] = 107202,
  [SMALL_STATE(1946)] = 107215,
  [SMALL_STATE(1947)] = 107232,
  [SMALL_STATE(1948)] = 107255,
  [SMALL_STATE(1949)] = 107276,
  [SMALL_STATE(1950)] = 107297,
  [SMALL_STATE(1951)] = 107310,
  [SMALL_STATE(1952)] = 107327,
  [SMALL_STATE(1953)] = 107340,
  [SMALL_STATE(1954)] = 107355,
  [SMALL_STATE(1955)] = 107372,
  [SMALL_STATE(1956)] = 107389,
  [SMALL_STATE(1957)] = 107410,
  [SMALL_STATE(1958)] = 107429,
  [SMALL_STATE(1959)] = 107452,
  [SMALL_STATE(1960)] = 107469,
  [SMALL_STATE(1961)] = 107482,
  [SMALL_STATE(1962)] = 107499,
  [SMALL_STATE(1963)] = 107516,
  [SMALL_STATE(1964)] = 107529,
  [SMALL_STATE(1965)] = 107546,
  [SMALL_STATE(1966)] = 107567,
  [SMALL_STATE(1967)] = 107580,
  [SMALL_STATE(1968)] = 107603,
  [SMALL_STATE(1969)] = 107618,
  [SMALL_STATE(1970)] = 107639,
  [SMALL_STATE(1971)] = 107660,
  [SMALL_STATE(1972)] = 107673,
  [SMALL_STATE(1973)] = 107692,
  [SMALL_STATE(1974)] = 107713,
  [SMALL_STATE(1975)] = 107726,
  [SMALL_STATE(1976)] = 107743,
  [SMALL_STATE(1977)] = 107760,
  [SMALL_STATE(1978)] = 107777,
  [SMALL_STATE(1979)] = 107798,
  [SMALL_STATE(1980)] = 107819,
  [SMALL_STATE(1981)] = 107836,
  [SMALL_STATE(1982)] = 107857,
  [SMALL_STATE(1983)] = 107878,
  [SMALL_STATE(1984)] = 107891,
  [SMALL_STATE(1985)] = 107912,
  [SMALL_STATE(1986)] = 107935,
  [SMALL_STATE(1987)] = 107952,
  [SMALL_STATE(1988)] = 107973,
  [SMALL_STATE(1989)] = 107990,
  [SMALL_STATE(1990)] = 108003,
  [SMALL_STATE(1991)] = 108016,
  [SMALL_STATE(1992)] = 108029,
  [SMALL_STATE(1993)] = 108049,
  [SMALL_STATE(1994)] = 108065,
  [SMALL_STATE(1995)] = 108083,
  [SMALL_STATE(1996)] = 108095,
  [SMALL_STATE(1997)] = 108107,
  [SMALL_STATE(1998)] = 108127,
  [SMALL_STATE(1999)] = 108139,
  [SMALL_STATE(2000)] = 108159,
  [SMALL_STATE(2001)] = 108179,
  [SMALL_STATE(2002)] = 108191,
  [SMALL_STATE(2003)] = 108203,
  [SMALL_STATE(2004)] = 108215,
  [SMALL_STATE(2005)] = 108231,
  [SMALL_STATE(2006)] = 108249,
  [SMALL_STATE(2007)] = 108261,
  [SMALL_STATE(2008)] = 108273,
  [SMALL_STATE(2009)] = 108285,
  [SMALL_STATE(2010)] = 108305,
  [SMALL_STATE(2011)] = 108317,
  [SMALL_STATE(2012)] = 108337,
  [SMALL_STATE(2013)] = 108355,
  [SMALL_STATE(2014)] = 108375,
  [SMALL_STATE(2015)] = 108395,
  [SMALL_STATE(2016)] = 108411,
  [SMALL_STATE(2017)] = 108423,
  [SMALL_STATE(2018)] = 108435,
  [SMALL_STATE(2019)] = 108447,
  [SMALL_STATE(2020)] = 108467,
  [SMALL_STATE(2021)] = 108479,
  [SMALL_STATE(2022)] = 108491,
  [SMALL_STATE(2023)] = 108505,
  [SMALL_STATE(2024)] = 108517,
  [SMALL_STATE(2025)] = 108533,
  [SMALL_STATE(2026)] = 108545,
  [SMALL_STATE(2027)] = 108557,
  [SMALL_STATE(2028)] = 108569,
  [SMALL_STATE(2029)] = 108581,
  [SMALL_STATE(2030)] = 108593,
  [SMALL_STATE(2031)] = 108605,
  [SMALL_STATE(2032)] = 108617,
  [SMALL_STATE(2033)] = 108629,
  [SMALL_STATE(2034)] = 108641,
  [SMALL_STATE(2035)] = 108661,
  [SMALL_STATE(2036)] = 108679,
  [SMALL_STATE(2037)] = 108699,
  [SMALL_STATE(2038)] = 108719,
  [SMALL_STATE(2039)] = 108731,
  [SMALL_STATE(2040)] = 108743,
  [SMALL_STATE(2041)] = 108755,
  [SMALL_STATE(2042)] = 108767,
  [SMALL_STATE(2043)] = 108779,
  [SMALL_STATE(2044)] = 108791,
  [SMALL_STATE(2045)] = 108811,
  [SMALL_STATE(2046)] = 108823,
  [SMALL_STATE(2047)] = 108835,
  [SMALL_STATE(2048)] = 108847,
  [SMALL_STATE(2049)] = 108859,
  [SMALL_STATE(2050)] = 108879,
  [SMALL_STATE(2051)] = 108897,
  [SMALL_STATE(2052)] = 108909,
  [SMALL_STATE(2053)] = 108921,
  [SMALL_STATE(2054)] = 108941,
  [SMALL_STATE(2055)] = 108953,
  [SMALL_STATE(2056)] = 108965,
  [SMALL_STATE(2057)] = 108983,
  [SMALL_STATE(2058)] = 108995,
  [SMALL_STATE(2059)] = 109015,
  [SMALL_STATE(2060)] = 109027,
  [SMALL_STATE(2061)] = 109045,
  [SMALL_STATE(2062)] = 109057,
  [SMALL_STATE(2063)] = 109075,
  [SMALL_STATE(2064)] = 109095,
  [SMALL_STATE(2065)] = 109115,
  [SMALL_STATE(2066)] = 109135,
  [SMALL_STATE(2067)] = 109153,
  [SMALL_STATE(2068)] = 109167,
  [SMALL_STATE(2069)] = 109183,
  [SMALL_STATE(2070)] = 109195,
  [SMALL_STATE(2071)] = 109215,
  [SMALL_STATE(2072)] = 109227,
  [SMALL_STATE(2073)] = 109243,
  [SMALL_STATE(2074)] = 109259,
  [SMALL_STATE(2075)] = 109273,
  [SMALL_STATE(2076)] = 109289,
  [SMALL_STATE(2077)] = 109309,
  [SMALL_STATE(2078)] = 109327,
  [SMALL_STATE(2079)] = 109339,
  [SMALL_STATE(2080)] = 109359,
  [SMALL_STATE(2081)] = 109373,
  [SMALL_STATE(2082)] = 109389,
  [SMALL_STATE(2083)] = 109401,
  [SMALL_STATE(2084)] = 109417,
  [SMALL_STATE(2085)] = 109437,
  [SMALL_STATE(2086)] = 109455,
  [SMALL_STATE(2087)] = 109471,
  [SMALL_STATE(2088)] = 109483,
  [SMALL_STATE(2089)] = 109503,
  [SMALL_STATE(2090)] = 109519,
  [SMALL_STATE(2091)] = 109531,
  [SMALL_STATE(2092)] = 109551,
  [SMALL_STATE(2093)] = 109567,
  [SMALL_STATE(2094)] = 109579,
  [SMALL_STATE(2095)] = 109599,
  [SMALL_STATE(2096)] = 109619,
  [SMALL_STATE(2097)] = 109639,
  [SMALL_STATE(2098)] = 109653,
  [SMALL_STATE(2099)] = 109669,
  [SMALL_STATE(2100)] = 109689,
  [SMALL_STATE(2101)] = 109709,
  [SMALL_STATE(2102)] = 109729,
  [SMALL_STATE(2103)] = 109743,
  [SMALL_STATE(2104)] = 109759,
  [SMALL_STATE(2105)] = 109771,
  [SMALL_STATE(2106)] = 109783,
  [SMALL_STATE(2107)] = 109795,
  [SMALL_STATE(2108)] = 109807,
  [SMALL_STATE(2109)] = 109825,
  [SMALL_STATE(2110)] = 109843,
  [SMALL_STATE(2111)] = 109854,
  [SMALL_STATE(2112)] = 109869,
  [SMALL_STATE(2113)] = 109880,
  [SMALL_STATE(2114)] = 109893,
  [SMALL_STATE(2115)] = 109908,
  [SMALL_STATE(2116)] = 109919,
  [SMALL_STATE(2117)] = 109930,
  [SMALL_STATE(2118)] = 109947,
  [SMALL_STATE(2119)] = 109964,
  [SMALL_STATE(2120)] = 109981,
  [SMALL_STATE(2121)] = 109992,
  [SMALL_STATE(2122)] = 110003,
  [SMALL_STATE(2123)] = 110018,
  [SMALL_STATE(2124)] = 110035,
  [SMALL_STATE(2125)] = 110046,
  [SMALL_STATE(2126)] = 110063,
  [SMALL_STATE(2127)] = 110074,
  [SMALL_STATE(2128)] = 110091,
  [SMALL_STATE(2129)] = 110106,
  [SMALL_STATE(2130)] = 110117,
  [SMALL_STATE(2131)] = 110134,
  [SMALL_STATE(2132)] = 110145,
  [SMALL_STATE(2133)] = 110156,
  [SMALL_STATE(2134)] = 110167,
  [SMALL_STATE(2135)] = 110182,
  [SMALL_STATE(2136)] = 110195,
  [SMALL_STATE(2137)] = 110210,
  [SMALL_STATE(2138)] = 110221,
  [SMALL_STATE(2139)] = 110232,
  [SMALL_STATE(2140)] = 110243,
  [SMALL_STATE(2141)] = 110260,
  [SMALL_STATE(2142)] = 110271,
  [SMALL_STATE(2143)] = 110282,
  [SMALL_STATE(2144)] = 110293,
  [SMALL_STATE(2145)] = 110304,
  [SMALL_STATE(2146)] = 110315,
  [SMALL_STATE(2147)] = 110332,
  [SMALL_STATE(2148)] = 110343,
  [SMALL_STATE(2149)] = 110354,
  [SMALL_STATE(2150)] = 110369,
  [SMALL_STATE(2151)] = 110384,
  [SMALL_STATE(2152)] = 110395,
  [SMALL_STATE(2153)] = 110406,
  [SMALL_STATE(2154)] = 110417,
  [SMALL_STATE(2155)] = 110428,
  [SMALL_STATE(2156)] = 110439,
  [SMALL_STATE(2157)] = 110450,
  [SMALL_STATE(2158)] = 110461,
  [SMALL_STATE(2159)] = 110472,
  [SMALL_STATE(2160)] = 110483,
  [SMALL_STATE(2161)] = 110494,
  [SMALL_STATE(2162)] = 110505,
  [SMALL_STATE(2163)] = 110516,
  [SMALL_STATE(2164)] = 110527,
  [SMALL_STATE(2165)] = 110544,
  [SMALL_STATE(2166)] = 110555,
  [SMALL_STATE(2167)] = 110566,
  [SMALL_STATE(2168)] = 110583,
  [SMALL_STATE(2169)] = 110594,
  [SMALL_STATE(2170)] = 110605,
  [SMALL_STATE(2171)] = 110616,
  [SMALL_STATE(2172)] = 110627,
  [SMALL_STATE(2173)] = 110638,
  [SMALL_STATE(2174)] = 110649,
  [SMALL_STATE(2175)] = 110660,
  [SMALL_STATE(2176)] = 110671,
  [SMALL_STATE(2177)] = 110682,
  [SMALL_STATE(2178)] = 110693,
  [SMALL_STATE(2179)] = 110704,
  [SMALL_STATE(2180)] = 110719,
  [SMALL_STATE(2181)] = 110730,
  [SMALL_STATE(2182)] = 110741,
  [SMALL_STATE(2183)] = 110758,
  [SMALL_STATE(2184)] = 110775,
  [SMALL_STATE(2185)] = 110792,
  [SMALL_STATE(2186)] = 110807,
  [SMALL_STATE(2187)] = 110822,
  [SMALL_STATE(2188)] = 110833,
  [SMALL_STATE(2189)] = 110850,
  [SMALL_STATE(2190)] = 110865,
  [SMALL_STATE(2191)] = 110880,
  [SMALL_STATE(2192)] = 110897,
  [SMALL_STATE(2193)] = 110914,
  [SMALL_STATE(2194)] = 110931,
  [SMALL_STATE(2195)] = 110948,
  [SMALL_STATE(2196)] = 110965,
  [SMALL_STATE(2197)] = 110976,
  [SMALL_STATE(2198)] = 110991,
  [SMALL_STATE(2199)] = 111008,
  [SMALL_STATE(2200)] = 111019,
  [SMALL_STATE(2201)] = 111030,
  [SMALL_STATE(2202)] = 111041,
  [SMALL_STATE(2203)] = 111052,
  [SMALL_STATE(2204)] = 111069,
  [SMALL_STATE(2205)] = 111080,
  [SMALL_STATE(2206)] = 111095,
  [SMALL_STATE(2207)] = 111110,
  [SMALL_STATE(2208)] = 111121,
  [SMALL_STATE(2209)] = 111138,
  [SMALL_STATE(2210)] = 111149,
  [SMALL_STATE(2211)] = 111160,
  [SMALL_STATE(2212)] = 111177,
  [SMALL_STATE(2213)] = 111194,
  [SMALL_STATE(2214)] = 111209,
  [SMALL_STATE(2215)] = 111224,
  [SMALL_STATE(2216)] = 111235,
  [SMALL_STATE(2217)] = 111246,
  [SMALL_STATE(2218)] = 111263,
  [SMALL_STATE(2219)] = 111278,
  [SMALL_STATE(2220)] = 111289,
  [SMALL_STATE(2221)] = 111300,
  [SMALL_STATE(2222)] = 111311,
  [SMALL_STATE(2223)] = 111322,
  [SMALL_STATE(2224)] = 111339,
  [SMALL_STATE(2225)] = 111350,
  [SMALL_STATE(2226)] = 111365,
  [SMALL_STATE(2227)] = 111376,
  [SMALL_STATE(2228)] = 111387,
  [SMALL_STATE(2229)] = 111398,
  [SMALL_STATE(2230)] = 111409,
  [SMALL_STATE(2231)] = 111420,
  [SMALL_STATE(2232)] = 111431,
  [SMALL_STATE(2233)] = 111448,
  [SMALL_STATE(2234)] = 111465,
  [SMALL_STATE(2235)] = 111482,
  [SMALL_STATE(2236)] = 111493,
  [SMALL_STATE(2237)] = 111510,
  [SMALL_STATE(2238)] = 111527,
  [SMALL_STATE(2239)] = 111540,
  [SMALL_STATE(2240)] = 111554,
  [SMALL_STATE(2241)] = 111568,
  [SMALL_STATE(2242)] = 111582,
  [SMALL_STATE(2243)] = 111596,
  [SMALL_STATE(2244)] = 111610,
  [SMALL_STATE(2245)] = 111624,
  [SMALL_STATE(2246)] = 111638,
  [SMALL_STATE(2247)] = 111652,
  [SMALL_STATE(2248)] = 111666,
  [SMALL_STATE(2249)] = 111680,
  [SMALL_STATE(2250)] = 111694,
  [SMALL_STATE(2251)] = 111708,
  [SMALL_STATE(2252)] = 111722,
  [SMALL_STATE(2253)] = 111736,
  [SMALL_STATE(2254)] = 111750,
  [SMALL_STATE(2255)] = 111764,
  [SMALL_STATE(2256)] = 111778,
  [SMALL_STATE(2257)] = 111792,
  [SMALL_STATE(2258)] = 111802,
  [SMALL_STATE(2259)] = 111816,
  [SMALL_STATE(2260)] = 111828,
  [SMALL_STATE(2261)] = 111842,
  [SMALL_STATE(2262)] = 111854,
  [SMALL_STATE(2263)] = 111868,
  [SMALL_STATE(2264)] = 111878,
  [SMALL_STATE(2265)] = 111892,
  [SMALL_STATE(2266)] = 111904,
  [SMALL_STATE(2267)] = 111918,
  [SMALL_STATE(2268)] = 111932,
  [SMALL_STATE(2269)] = 111946,
  [SMALL_STATE(2270)] = 111960,
  [SMALL_STATE(2271)] = 111974,
  [SMALL_STATE(2272)] = 111988,
  [SMALL_STATE(2273)] = 112002,
  [SMALL_STATE(2274)] = 112016,
  [SMALL_STATE(2275)] = 112030,
  [SMALL_STATE(2276)] = 112044,
  [SMALL_STATE(2277)] = 112058,
  [SMALL_STATE(2278)] = 112072,
  [SMALL_STATE(2279)] = 112084,
  [SMALL_STATE(2280)] = 112098,
  [SMALL_STATE(2281)] = 112110,
  [SMALL_STATE(2282)] = 112122,
  [SMALL_STATE(2283)] = 112136,
  [SMALL_STATE(2284)] = 112150,
  [SMALL_STATE(2285)] = 112164,
  [SMALL_STATE(2286)] = 112178,
  [SMALL_STATE(2287)] = 112192,
  [SMALL_STATE(2288)] = 112206,
  [SMALL_STATE(2289)] = 112218,
  [SMALL_STATE(2290)] = 112232,
  [SMALL_STATE(2291)] = 112246,
  [SMALL_STATE(2292)] = 112260,
  [SMALL_STATE(2293)] = 112274,
  [SMALL_STATE(2294)] = 112288,
  [SMALL_STATE(2295)] = 112302,
  [SMALL_STATE(2296)] = 112316,
  [SMALL_STATE(2297)] = 112330,
  [SMALL_STATE(2298)] = 112344,
  [SMALL_STATE(2299)] = 112358,
  [SMALL_STATE(2300)] = 112372,
  [SMALL_STATE(2301)] = 112382,
  [SMALL_STATE(2302)] = 112396,
  [SMALL_STATE(2303)] = 112406,
  [SMALL_STATE(2304)] = 112420,
  [SMALL_STATE(2305)] = 112430,
  [SMALL_STATE(2306)] = 112444,
  [SMALL_STATE(2307)] = 112454,
  [SMALL_STATE(2308)] = 112468,
  [SMALL_STATE(2309)] = 112482,
  [SMALL_STATE(2310)] = 112496,
  [SMALL_STATE(2311)] = 112510,
  [SMALL_STATE(2312)] = 112524,
  [SMALL_STATE(2313)] = 112534,
  [SMALL_STATE(2314)] = 112548,
  [SMALL_STATE(2315)] = 112562,
  [SMALL_STATE(2316)] = 112576,
  [SMALL_STATE(2317)] = 112590,
  [SMALL_STATE(2318)] = 112604,
  [SMALL_STATE(2319)] = 112618,
  [SMALL_STATE(2320)] = 112632,
  [SMALL_STATE(2321)] = 112646,
  [SMALL_STATE(2322)] = 112660,
  [SMALL_STATE(2323)] = 112674,
  [SMALL_STATE(2324)] = 112688,
  [SMALL_STATE(2325)] = 112702,
  [SMALL_STATE(2326)] = 112716,
  [SMALL_STATE(2327)] = 112730,
  [SMALL_STATE(2328)] = 112744,
  [SMALL_STATE(2329)] = 112758,
  [SMALL_STATE(2330)] = 112772,
  [SMALL_STATE(2331)] = 112786,
  [SMALL_STATE(2332)] = 112800,
  [SMALL_STATE(2333)] = 112814,
  [SMALL_STATE(2334)] = 112828,
  [SMALL_STATE(2335)] = 112842,
  [SMALL_STATE(2336)] = 112856,
  [SMALL_STATE(2337)] = 112870,
  [SMALL_STATE(2338)] = 112884,
  [SMALL_STATE(2339)] = 112898,
  [SMALL_STATE(2340)] = 112908,
  [SMALL_STATE(2341)] = 112922,
  [SMALL_STATE(2342)] = 112936,
  [SMALL_STATE(2343)] = 112950,
  [SMALL_STATE(2344)] = 112964,
  [SMALL_STATE(2345)] = 112978,
  [SMALL_STATE(2346)] = 112992,
  [SMALL_STATE(2347)] = 113006,
  [SMALL_STATE(2348)] = 113020,
  [SMALL_STATE(2349)] = 113034,
  [SMALL_STATE(2350)] = 113044,
  [SMALL_STATE(2351)] = 113058,
  [SMALL_STATE(2352)] = 113068,
  [SMALL_STATE(2353)] = 113082,
  [SMALL_STATE(2354)] = 113096,
  [SMALL_STATE(2355)] = 113110,
  [SMALL_STATE(2356)] = 113124,
  [SMALL_STATE(2357)] = 113138,
  [SMALL_STATE(2358)] = 113152,
  [SMALL_STATE(2359)] = 113166,
  [SMALL_STATE(2360)] = 113178,
  [SMALL_STATE(2361)] = 113192,
  [SMALL_STATE(2362)] = 113206,
  [SMALL_STATE(2363)] = 113220,
  [SMALL_STATE(2364)] = 113234,
  [SMALL_STATE(2365)] = 113248,
  [SMALL_STATE(2366)] = 113262,
  [SMALL_STATE(2367)] = 113276,
  [SMALL_STATE(2368)] = 113286,
  [SMALL_STATE(2369)] = 113300,
  [SMALL_STATE(2370)] = 113314,
  [SMALL_STATE(2371)] = 113328,
  [SMALL_STATE(2372)] = 113340,
  [SMALL_STATE(2373)] = 113354,
  [SMALL_STATE(2374)] = 113368,
  [SMALL_STATE(2375)] = 113382,
  [SMALL_STATE(2376)] = 113396,
  [SMALL_STATE(2377)] = 113410,
  [SMALL_STATE(2378)] = 113424,
  [SMALL_STATE(2379)] = 113438,
  [SMALL_STATE(2380)] = 113452,
  [SMALL_STATE(2381)] = 113466,
  [SMALL_STATE(2382)] = 113480,
  [SMALL_STATE(2383)] = 113494,
  [SMALL_STATE(2384)] = 113508,
  [SMALL_STATE(2385)] = 113522,
  [SMALL_STATE(2386)] = 113534,
  [SMALL_STATE(2387)] = 113548,
  [SMALL_STATE(2388)] = 113562,
  [SMALL_STATE(2389)] = 113576,
  [SMALL_STATE(2390)] = 113590,
  [SMALL_STATE(2391)] = 113604,
  [SMALL_STATE(2392)] = 113618,
  [SMALL_STATE(2393)] = 113632,
  [SMALL_STATE(2394)] = 113646,
  [SMALL_STATE(2395)] = 113660,
  [SMALL_STATE(2396)] = 113674,
  [SMALL_STATE(2397)] = 113686,
  [SMALL_STATE(2398)] = 113700,
  [SMALL_STATE(2399)] = 113714,
  [SMALL_STATE(2400)] = 113728,
  [SMALL_STATE(2401)] = 113742,
  [SMALL_STATE(2402)] = 113756,
  [SMALL_STATE(2403)] = 113770,
  [SMALL_STATE(2404)] = 113784,
  [SMALL_STATE(2405)] = 113798,
  [SMALL_STATE(2406)] = 113808,
  [SMALL_STATE(2407)] = 113822,
  [SMALL_STATE(2408)] = 113836,
  [SMALL_STATE(2409)] = 113850,
  [SMALL_STATE(2410)] = 113864,
  [SMALL_STATE(2411)] = 113878,
  [SMALL_STATE(2412)] = 113890,
  [SMALL_STATE(2413)] = 113902,
  [SMALL_STATE(2414)] = 113916,
  [SMALL_STATE(2415)] = 113930,
  [SMALL_STATE(2416)] = 113944,
  [SMALL_STATE(2417)] = 113958,
  [SMALL_STATE(2418)] = 113970,
  [SMALL_STATE(2419)] = 113984,
  [SMALL_STATE(2420)] = 113998,
  [SMALL_STATE(2421)] = 114012,
  [SMALL_STATE(2422)] = 114026,
  [SMALL_STATE(2423)] = 114040,
  [SMALL_STATE(2424)] = 114054,
  [SMALL_STATE(2425)] = 114068,
  [SMALL_STATE(2426)] = 114082,
  [SMALL_STATE(2427)] = 114094,
  [SMALL_STATE(2428)] = 114108,
  [SMALL_STATE(2429)] = 114122,
  [SMALL_STATE(2430)] = 114136,
  [SMALL_STATE(2431)] = 114150,
  [SMALL_STATE(2432)] = 114164,
  [SMALL_STATE(2433)] = 114174,
  [SMALL_STATE(2434)] = 114188,
  [SMALL_STATE(2435)] = 114202,
  [SMALL_STATE(2436)] = 114216,
  [SMALL_STATE(2437)] = 114230,
  [SMALL_STATE(2438)] = 114244,
  [SMALL_STATE(2439)] = 114258,
  [SMALL_STATE(2440)] = 114272,
  [SMALL_STATE(2441)] = 114286,
  [SMALL_STATE(2442)] = 114300,
  [SMALL_STATE(2443)] = 114314,
  [SMALL_STATE(2444)] = 114328,
  [SMALL_STATE(2445)] = 114340,
  [SMALL_STATE(2446)] = 114350,
  [SMALL_STATE(2447)] = 114364,
  [SMALL_STATE(2448)] = 114378,
  [SMALL_STATE(2449)] = 114392,
  [SMALL_STATE(2450)] = 114406,
  [SMALL_STATE(2451)] = 114420,
  [SMALL_STATE(2452)] = 114434,
  [SMALL_STATE(2453)] = 114448,
  [SMALL_STATE(2454)] = 114462,
  [SMALL_STATE(2455)] = 114476,
  [SMALL_STATE(2456)] = 114490,
  [SMALL_STATE(2457)] = 114504,
  [SMALL_STATE(2458)] = 114518,
  [SMALL_STATE(2459)] = 114530,
  [SMALL_STATE(2460)] = 114544,
  [SMALL_STATE(2461)] = 114558,
  [SMALL_STATE(2462)] = 114572,
  [SMALL_STATE(2463)] = 114586,
  [SMALL_STATE(2464)] = 114600,
  [SMALL_STATE(2465)] = 114614,
  [SMALL_STATE(2466)] = 114628,
  [SMALL_STATE(2467)] = 114642,
  [SMALL_STATE(2468)] = 114656,
  [SMALL_STATE(2469)] = 114670,
  [SMALL_STATE(2470)] = 114684,
  [SMALL_STATE(2471)] = 114698,
  [SMALL_STATE(2472)] = 114712,
  [SMALL_STATE(2473)] = 114726,
  [SMALL_STATE(2474)] = 114740,
  [SMALL_STATE(2475)] = 114754,
  [SMALL_STATE(2476)] = 114768,
  [SMALL_STATE(2477)] = 114780,
  [SMALL_STATE(2478)] = 114794,
  [SMALL_STATE(2479)] = 114808,
  [SMALL_STATE(2480)] = 114822,
  [SMALL_STATE(2481)] = 114836,
  [SMALL_STATE(2482)] = 114850,
  [SMALL_STATE(2483)] = 114864,
  [SMALL_STATE(2484)] = 114878,
  [SMALL_STATE(2485)] = 114892,
  [SMALL_STATE(2486)] = 114906,
  [SMALL_STATE(2487)] = 114920,
  [SMALL_STATE(2488)] = 114932,
  [SMALL_STATE(2489)] = 114944,
  [SMALL_STATE(2490)] = 114956,
  [SMALL_STATE(2491)] = 114968,
  [SMALL_STATE(2492)] = 114980,
  [SMALL_STATE(2493)] = 114992,
  [SMALL_STATE(2494)] = 115006,
  [SMALL_STATE(2495)] = 115020,
  [SMALL_STATE(2496)] = 115034,
  [SMALL_STATE(2497)] = 115048,
  [SMALL_STATE(2498)] = 115062,
  [SMALL_STATE(2499)] = 115076,
  [SMALL_STATE(2500)] = 115087,
  [SMALL_STATE(2501)] = 115098,
  [SMALL_STATE(2502)] = 115109,
  [SMALL_STATE(2503)] = 115118,
  [SMALL_STATE(2504)] = 115127,
  [SMALL_STATE(2505)] = 115138,
  [SMALL_STATE(2506)] = 115147,
  [SMALL_STATE(2507)] = 115156,
  [SMALL_STATE(2508)] = 115165,
  [SMALL_STATE(2509)] = 115174,
  [SMALL_STATE(2510)] = 115183,
  [SMALL_STATE(2511)] = 115194,
  [SMALL_STATE(2512)] = 115203,
  [SMALL_STATE(2513)] = 115214,
  [SMALL_STATE(2514)] = 115223,
  [SMALL_STATE(2515)] = 115232,
  [SMALL_STATE(2516)] = 115241,
  [SMALL_STATE(2517)] = 115250,
  [SMALL_STATE(2518)] = 115259,
  [SMALL_STATE(2519)] = 115268,
  [SMALL_STATE(2520)] = 115277,
  [SMALL_STATE(2521)] = 115288,
  [SMALL_STATE(2522)] = 115297,
  [SMALL_STATE(2523)] = 115308,
  [SMALL_STATE(2524)] = 115317,
  [SMALL_STATE(2525)] = 115326,
  [SMALL_STATE(2526)] = 115335,
  [SMALL_STATE(2527)] = 115344,
  [SMALL_STATE(2528)] = 115353,
  [SMALL_STATE(2529)] = 115362,
  [SMALL_STATE(2530)] = 115371,
  [SMALL_STATE(2531)] = 115380,
  [SMALL_STATE(2532)] = 115389,
  [SMALL_STATE(2533)] = 115398,
  [SMALL_STATE(2534)] = 115407,
  [SMALL_STATE(2535)] = 115416,
  [SMALL_STATE(2536)] = 115425,
  [SMALL_STATE(2537)] = 115436,
  [SMALL_STATE(2538)] = 115445,
  [SMALL_STATE(2539)] = 115454,
  [SMALL_STATE(2540)] = 115465,
  [SMALL_STATE(2541)] = 115474,
  [SMALL_STATE(2542)] = 115483,
  [SMALL_STATE(2543)] = 115492,
  [SMALL_STATE(2544)] = 115501,
  [SMALL_STATE(2545)] = 115512,
  [SMALL_STATE(2546)] = 115521,
  [SMALL_STATE(2547)] = 115532,
  [SMALL_STATE(2548)] = 115541,
  [SMALL_STATE(2549)] = 115550,
  [SMALL_STATE(2550)] = 115559,
  [SMALL_STATE(2551)] = 115570,
  [SMALL_STATE(2552)] = 115581,
  [SMALL_STATE(2553)] = 115590,
  [SMALL_STATE(2554)] = 115599,
  [SMALL_STATE(2555)] = 115608,
  [SMALL_STATE(2556)] = 115617,
  [SMALL_STATE(2557)] = 115626,
  [SMALL_STATE(2558)] = 115635,
  [SMALL_STATE(2559)] = 115644,
  [SMALL_STATE(2560)] = 115653,
  [SMALL_STATE(2561)] = 115662,
  [SMALL_STATE(2562)] = 115673,
  [SMALL_STATE(2563)] = 115682,
  [SMALL_STATE(2564)] = 115693,
  [SMALL_STATE(2565)] = 115704,
  [SMALL_STATE(2566)] = 115715,
  [SMALL_STATE(2567)] = 115724,
  [SMALL_STATE(2568)] = 115735,
  [SMALL_STATE(2569)] = 115746,
  [SMALL_STATE(2570)] = 115755,
  [SMALL_STATE(2571)] = 115764,
  [SMALL_STATE(2572)] = 115773,
  [SMALL_STATE(2573)] = 115782,
  [SMALL_STATE(2574)] = 115791,
  [SMALL_STATE(2575)] = 115800,
  [SMALL_STATE(2576)] = 115809,
  [SMALL_STATE(2577)] = 115818,
  [SMALL_STATE(2578)] = 115827,
  [SMALL_STATE(2579)] = 115836,
  [SMALL_STATE(2580)] = 115845,
  [SMALL_STATE(2581)] = 115854,
  [SMALL_STATE(2582)] = 115863,
  [SMALL_STATE(2583)] = 115872,
  [SMALL_STATE(2584)] = 115881,
  [SMALL_STATE(2585)] = 115890,
  [SMALL_STATE(2586)] = 115899,
  [SMALL_STATE(2587)] = 115908,
  [SMALL_STATE(2588)] = 115917,
  [SMALL_STATE(2589)] = 115928,
  [SMALL_STATE(2590)] = 115937,
  [SMALL_STATE(2591)] = 115948,
  [SMALL_STATE(2592)] = 115959,
  [SMALL_STATE(2593)] = 115968,
  [SMALL_STATE(2594)] = 115977,
  [SMALL_STATE(2595)] = 115988,
  [SMALL_STATE(2596)] = 115997,
  [SMALL_STATE(2597)] = 116006,
  [SMALL_STATE(2598)] = 116017,
  [SMALL_STATE(2599)] = 116026,
  [SMALL_STATE(2600)] = 116035,
  [SMALL_STATE(2601)] = 116043,
  [SMALL_STATE(2602)] = 116051,
  [SMALL_STATE(2603)] = 116059,
  [SMALL_STATE(2604)] = 116067,
  [SMALL_STATE(2605)] = 116075,
  [SMALL_STATE(2606)] = 116083,
  [SMALL_STATE(2607)] = 116091,
  [SMALL_STATE(2608)] = 116099,
  [SMALL_STATE(2609)] = 116107,
  [SMALL_STATE(2610)] = 116115,
  [SMALL_STATE(2611)] = 116123,
  [SMALL_STATE(2612)] = 116131,
  [SMALL_STATE(2613)] = 116139,
  [SMALL_STATE(2614)] = 116147,
  [SMALL_STATE(2615)] = 116155,
  [SMALL_STATE(2616)] = 116163,
  [SMALL_STATE(2617)] = 116171,
  [SMALL_STATE(2618)] = 116179,
  [SMALL_STATE(2619)] = 116187,
  [SMALL_STATE(2620)] = 116195,
  [SMALL_STATE(2621)] = 116203,
  [SMALL_STATE(2622)] = 116211,
  [SMALL_STATE(2623)] = 116219,
  [SMALL_STATE(2624)] = 116227,
  [SMALL_STATE(2625)] = 116235,
  [SMALL_STATE(2626)] = 116243,
  [SMALL_STATE(2627)] = 116251,
  [SMALL_STATE(2628)] = 116259,
  [SMALL_STATE(2629)] = 116267,
  [SMALL_STATE(2630)] = 116275,
  [SMALL_STATE(2631)] = 116283,
  [SMALL_STATE(2632)] = 116291,
  [SMALL_STATE(2633)] = 116299,
  [SMALL_STATE(2634)] = 116307,
  [SMALL_STATE(2635)] = 116315,
  [SMALL_STATE(2636)] = 116323,
  [SMALL_STATE(2637)] = 116331,
  [SMALL_STATE(2638)] = 116339,
  [SMALL_STATE(2639)] = 116347,
  [SMALL_STATE(2640)] = 116355,
  [SMALL_STATE(2641)] = 116363,
  [SMALL_STATE(2642)] = 116371,
  [SMALL_STATE(2643)] = 116379,
  [SMALL_STATE(2644)] = 116387,
  [SMALL_STATE(2645)] = 116395,
  [SMALL_STATE(2646)] = 116403,
  [SMALL_STATE(2647)] = 116411,
  [SMALL_STATE(2648)] = 116419,
  [SMALL_STATE(2649)] = 116427,
  [SMALL_STATE(2650)] = 116435,
  [SMALL_STATE(2651)] = 116443,
  [SMALL_STATE(2652)] = 116451,
  [SMALL_STATE(2653)] = 116459,
  [SMALL_STATE(2654)] = 116467,
  [SMALL_STATE(2655)] = 116475,
  [SMALL_STATE(2656)] = 116483,
  [SMALL_STATE(2657)] = 116491,
  [SMALL_STATE(2658)] = 116499,
  [SMALL_STATE(2659)] = 116507,
  [SMALL_STATE(2660)] = 116515,
  [SMALL_STATE(2661)] = 116523,
  [SMALL_STATE(2662)] = 116531,
  [SMALL_STATE(2663)] = 116539,
  [SMALL_STATE(2664)] = 116547,
  [SMALL_STATE(2665)] = 116555,
  [SMALL_STATE(2666)] = 116563,
  [SMALL_STATE(2667)] = 116571,
  [SMALL_STATE(2668)] = 116579,
  [SMALL_STATE(2669)] = 116587,
  [SMALL_STATE(2670)] = 116595,
  [SMALL_STATE(2671)] = 116603,
  [SMALL_STATE(2672)] = 116611,
  [SMALL_STATE(2673)] = 116619,
  [SMALL_STATE(2674)] = 116627,
  [SMALL_STATE(2675)] = 116635,
  [SMALL_STATE(2676)] = 116643,
  [SMALL_STATE(2677)] = 116651,
  [SMALL_STATE(2678)] = 116659,
  [SMALL_STATE(2679)] = 116667,
  [SMALL_STATE(2680)] = 116675,
  [SMALL_STATE(2681)] = 116683,
  [SMALL_STATE(2682)] = 116691,
  [SMALL_STATE(2683)] = 116699,
  [SMALL_STATE(2684)] = 116707,
  [SMALL_STATE(2685)] = 116715,
  [SMALL_STATE(2686)] = 116723,
  [SMALL_STATE(2687)] = 116731,
  [SMALL_STATE(2688)] = 116739,
  [SMALL_STATE(2689)] = 116747,
  [SMALL_STATE(2690)] = 116755,
  [SMALL_STATE(2691)] = 116763,
  [SMALL_STATE(2692)] = 116771,
  [SMALL_STATE(2693)] = 116779,
  [SMALL_STATE(2694)] = 116787,
  [SMALL_STATE(2695)] = 116795,
  [SMALL_STATE(2696)] = 116803,
  [SMALL_STATE(2697)] = 116811,
  [SMALL_STATE(2698)] = 116819,
  [SMALL_STATE(2699)] = 116827,
  [SMALL_STATE(2700)] = 116835,
  [SMALL_STATE(2701)] = 116843,
  [SMALL_STATE(2702)] = 116851,
  [SMALL_STATE(2703)] = 116859,
  [SMALL_STATE(2704)] = 116867,
  [SMALL_STATE(2705)] = 116875,
  [SMALL_STATE(2706)] = 116883,
  [SMALL_STATE(2707)] = 116891,
  [SMALL_STATE(2708)] = 116899,
  [SMALL_STATE(2709)] = 116907,
  [SMALL_STATE(2710)] = 116915,
  [SMALL_STATE(2711)] = 116923,
  [SMALL_STATE(2712)] = 116931,
  [SMALL_STATE(2713)] = 116939,
  [SMALL_STATE(2714)] = 116947,
  [SMALL_STATE(2715)] = 116955,
  [SMALL_STATE(2716)] = 116963,
  [SMALL_STATE(2717)] = 116971,
  [SMALL_STATE(2718)] = 116979,
  [SMALL_STATE(2719)] = 116987,
  [SMALL_STATE(2720)] = 116995,
  [SMALL_STATE(2721)] = 117003,
  [SMALL_STATE(2722)] = 117011,
  [SMALL_STATE(2723)] = 117019,
  [SMALL_STATE(2724)] = 117027,
  [SMALL_STATE(2725)] = 117035,
  [SMALL_STATE(2726)] = 117043,
  [SMALL_STATE(2727)] = 117051,
  [SMALL_STATE(2728)] = 117059,
  [SMALL_STATE(2729)] = 117067,
  [SMALL_STATE(2730)] = 117075,
  [SMALL_STATE(2731)] = 117083,
  [SMALL_STATE(2732)] = 117091,
  [SMALL_STATE(2733)] = 117099,
  [SMALL_STATE(2734)] = 117107,
  [SMALL_STATE(2735)] = 117115,
  [SMALL_STATE(2736)] = 117123,
  [SMALL_STATE(2737)] = 117131,
  [SMALL_STATE(2738)] = 117139,
  [SMALL_STATE(2739)] = 117147,
  [SMALL_STATE(2740)] = 117155,
  [SMALL_STATE(2741)] = 117163,
  [SMALL_STATE(2742)] = 117171,
  [SMALL_STATE(2743)] = 117179,
  [SMALL_STATE(2744)] = 117187,
  [SMALL_STATE(2745)] = 117195,
  [SMALL_STATE(2746)] = 117203,
  [SMALL_STATE(2747)] = 117211,
  [SMALL_STATE(2748)] = 117219,
  [SMALL_STATE(2749)] = 117227,
  [SMALL_STATE(2750)] = 117235,
  [SMALL_STATE(2751)] = 117243,
  [SMALL_STATE(2752)] = 117251,
  [SMALL_STATE(2753)] = 117259,
  [SMALL_STATE(2754)] = 117267,
  [SMALL_STATE(2755)] = 117275,
  [SMALL_STATE(2756)] = 117283,
  [SMALL_STATE(2757)] = 117291,
  [SMALL_STATE(2758)] = 117299,
  [SMALL_STATE(2759)] = 117307,
  [SMALL_STATE(2760)] = 117315,
  [SMALL_STATE(2761)] = 117323,
  [SMALL_STATE(2762)] = 117331,
  [SMALL_STATE(2763)] = 117339,
  [SMALL_STATE(2764)] = 117347,
  [SMALL_STATE(2765)] = 117355,
  [SMALL_STATE(2766)] = 117363,
  [SMALL_STATE(2767)] = 117371,
  [SMALL_STATE(2768)] = 117379,
  [SMALL_STATE(2769)] = 117387,
  [SMALL_STATE(2770)] = 117395,
  [SMALL_STATE(2771)] = 117403,
  [SMALL_STATE(2772)] = 117411,
  [SMALL_STATE(2773)] = 117419,
  [SMALL_STATE(2774)] = 117427,
  [SMALL_STATE(2775)] = 117435,
  [SMALL_STATE(2776)] = 117443,
  [SMALL_STATE(2777)] = 117451,
  [SMALL_STATE(2778)] = 117459,
  [SMALL_STATE(2779)] = 117467,
  [SMALL_STATE(2780)] = 117475,
  [SMALL_STATE(2781)] = 117483,
  [SMALL_STATE(2782)] = 117491,
  [SMALL_STATE(2783)] = 117499,
  [SMALL_STATE(2784)] = 117507,
  [SMALL_STATE(2785)] = 117515,
  [SMALL_STATE(2786)] = 117523,
  [SMALL_STATE(2787)] = 117531,
  [SMALL_STATE(2788)] = 117539,
  [SMALL_STATE(2789)] = 117547,
  [SMALL_STATE(2790)] = 117555,
  [SMALL_STATE(2791)] = 117563,
  [SMALL_STATE(2792)] = 117571,
  [SMALL_STATE(2793)] = 117579,
  [SMALL_STATE(2794)] = 117587,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2534),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2508),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2620),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2772),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2708),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2657),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2761),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(603),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(604),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2758),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2783),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2760),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 1, 0, 0),
  [123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(626),
  [126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2232),
  [129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1873),
  [132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(200),
  [135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(875),
  [138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(83),
  [141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(566),
  [144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(403),
  [147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(471),
  [150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(349),
  [153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2534),
  [156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2508),
  [159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2578),
  [162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(603),
  [165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(85),
  [168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(463),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(850),
  [174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(604),
  [177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2758),
  [180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(454),
  [183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2783),
  [186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2708),
  [189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2657),
  [192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(461),
  [195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(74),
  [198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2760),
  [201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(215),
  [204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(567),
  [207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(936),
  [210] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(214),
  [213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(528),
  [216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1645),
  [219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(360),
  [222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1035),
  [225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1035),
  [228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(155),
  [231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0),
  [233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(1672),
  [236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(568),
  [241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(86),
  [244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(467),
  [247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(743),
  [250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(535),
  [253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2620),
  [256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(431),
  [259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2772),
  [262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2, 0, 0), SHIFT_REPEAT(2761),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1),
  [281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(275),
  [284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 1), REDUCE(sym_primary_expression, 1, 0, 1),
  [287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(943),
  [290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_expression_lhs, 1, 0, 1),
  [294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, 0, 1), REDUCE(sym_primary_expression, 1, 0, 1),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(2630),
  [302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, 0, 1),
  [304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(308),
  [307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(910),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(550),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 1),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(321),
  [388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(908),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(322),
  [400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(936),
  [403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(528),
  [406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), SHIFT(920),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(612),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat_pattern, 2, 0, 5),
  [665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_list_splat_pattern, 2, 0, 5),
  [668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_splat_pattern, 2, 0, 5),
  [672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 1), REDUCE(sym_list_splat_pattern, 2, 0, 5),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(585),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1405),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1440),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1441),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1049),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1048),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1629),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_list, 2, 0, 0),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_list, 3, 0, 0),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1643),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1637),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [1065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [1099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 1, 0, 0),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [1125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [1129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [1131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [1135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [1137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [1139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [1141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [1143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [1151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [1181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [1189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [1191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [1195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [1197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [1201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [1249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, 0, 97),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [1253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 6, 0, 97),
  [1255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [1263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 3, 0, 0),
  [1265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 3, 0, 0),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [1269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 5, 0, 77),
  [1271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, 0, 77),
  [1273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1636),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [1279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 6, 0, 96),
  [1281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, 0, 96),
  [1283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 7, 0, 108),
  [1285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 7, 0, 108),
  [1287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [1289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1633),
  [1291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 2, 0, 0),
  [1293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 2, 0, 0),
  [1295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [1297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [1299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 1, 0, 0),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [1303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [1307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [1309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [1315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [1325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [1329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [1331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [1333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [1341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [1343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [1345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [1349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [1351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 1, 0, 0),
  [1353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [1355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [1357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [1361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [1363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [1365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [1367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [1369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 3, 0, 0),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [1373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 2, 0, 0),
  [1375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [1379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [1383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [1393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [1395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [1397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [1399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [1401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [1403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [1405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [1407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 2, 0, 0),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [1411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [1413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 1, 0, 0),
  [1415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat_pattern, 2, 0, 5),
  [1417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [1419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [1421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [1423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [1425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 3, 0, 0),
  [1427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 3, 0, 0),
  [1429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [1435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, 0, 0),
  [1437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 4, -1, 15),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [1441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 4, 0, 14),
  [1443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 4, 0, 0),
  [1445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, -1, 6),
  [1447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 2, 0, 0),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [1451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 3, 0, 0),
  [1453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2385),
  [1455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [1457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [1459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [1463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [1481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 5, 0, 61),
  [1483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 5, 0, 61),
  [1485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2658),
  [1487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [1489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2734),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [1493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [1495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [1497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [1499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [1503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [1505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [1507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [1509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [1511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [1513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1419),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [1517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 42),
  [1519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 42),
  [1521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1436),
  [1523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1464),
  [1525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [1527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1435),
  [1529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [1531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [1533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [1535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [1537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [1539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2696),
  [1541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [1543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2691),
  [1545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [1547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0), REDUCE(sym_primary_expression, 1, 0, 0),
  [1552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_expression_lhs, 1, 0, 0),
  [1556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, 0, 0), REDUCE(sym_primary_expression, 1, 0, 0),
  [1559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, 0, 0),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [1563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0),
  [1565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 81),
  [1567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 81),
  [1569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [1571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 55),
  [1573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 55),
  [1575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [1577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, 0, 37),
  [1579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 37),
  [1581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 54),
  [1583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 54),
  [1585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [1587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [1589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(475),
  [1592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat2, 2, 0, 0),
  [1594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat2, 2, 0, 0),
  [1596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(557),
  [1599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(478),
  [1602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(605),
  [1605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 23),
  [1607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 3, 0, 23),
  [1609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 2),
  [1611] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0), REDUCE(sym_primary_expression, 1, 0, 2),
  [1614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 2),
  [1616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 79),
  [1618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 79),
  [1620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 79), SHIFT_REPEAT(606),
  [1623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 2, 0, 0),
  [1625] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_tuple_pattern, 2, 0, 0), REDUCE(sym_tuple, 2, 0, 0),
  [1628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 2, 0, 0),
  [1630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 2, 0, 0),
  [1632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 2, 0, 0),
  [1634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 79), SHIFT_REPEAT(608),
  [1637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 2, 0, 0),
  [1639] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_list_pattern, 2, 0, 0), REDUCE(sym_list, 2, 0, 0),
  [1642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 2, 0, 0),
  [1644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [1646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [1648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat_pattern, 2, 0, 0),
  [1650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_splat_type, 2, 0, 0),
  [1652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_list_splat_pattern, 2, 0, 0),
  [1655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym_list_splat_pattern, 2, 0, 0),
  [1658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_splat_pattern, 2, 0, 0),
  [1660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_splat_type, 2, 0, 0),
  [1662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, 0, 48),
  [1664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, 0, 48),
  [1666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, 0, 70),
  [1668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, 0, 70),
  [1670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, 0, 48),
  [1672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, 0, 48),
  [1674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, 0, 70),
  [1676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, 0, 70),
  [1678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 4, 0, 104),
  [1680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 4, 0, 104),
  [1682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 2, 0, 0),
  [1684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 2, 0, 0),
  [1686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 4, 0, 0),
  [1688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 4, 0, 0),
  [1690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 1, 0, 0),
  [1692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 1, 0, 0),
  [1694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 4, 0, 0),
  [1696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 4, 0, 0),
  [1698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [1700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [1702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 3, 0, 0),
  [1704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 3, 0, 0),
  [1706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1576),
  [1708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [1710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [1712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [1714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1577),
  [1716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [1718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [1720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 5, 0, 0),
  [1722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 5, 0, 0),
  [1724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 5, 0, 0),
  [1726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 5, 0, 0),
  [1728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 6, 0, 127),
  [1730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 6, 0, 127),
  [1732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 3, 0, 88),
  [1734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 3, 0, 88),
  [1736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 6, 0, 127),
  [1738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 6, 0, 127),
  [1740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 7, 0, 0),
  [1742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 7, 0, 0),
  [1744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 4, 0, 104),
  [1746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 4, 0, 104),
  [1748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_group_clause, 7, 0, 0),
  [1750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_group_clause, 7, 0, 0),
  [1752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 4, 0, 41),
  [1754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 4, 0, 41),
  [1756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 52),
  [1758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, 0, 52),
  [1760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 103),
  [1762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 103),
  [1764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 86),
  [1766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 86),
  [1768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 5, 0, 42),
  [1770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 5, 0, 42),
  [1772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 6, 0, 61),
  [1774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 6, 0, 61),
  [1776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 60),
  [1778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 60),
  [1780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 5, 0, 55),
  [1782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif_clause, 5, 0, 55),
  [1784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 112),
  [1786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 112),
  [1788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif_clause, 4, 0, 37),
  [1790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 4, 0, 37),
  [1792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 99),
  [1794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 99),
  [1796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [1798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [1800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [1802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [1804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [1806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [1808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [1810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [1812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 4, 0, 61),
  [1814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 4, 0, 61),
  [1816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [1818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 3, 0, 42),
  [1820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 3, 0, 42),
  [1822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 113),
  [1824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 113),
  [1826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 5, 0, 57),
  [1828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 5, 0, 57),
  [1830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 117),
  [1832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 117),
  [1834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 78),
  [1836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 78),
  [1838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 80),
  [1840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, 0, 80),
  [1842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_block, 3, 0, 82),
  [1844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_block, 3, 0, 82),
  [1846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 6, 0, 83),
  [1848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 6, 0, 83),
  [1850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 124),
  [1852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 124),
  [1854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 6, 0, 84),
  [1856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 6, 0, 84),
  [1858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, 0, 125),
  [1860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, 0, 125),
  [1862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 85),
  [1864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 85),
  [1866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, 0, 126),
  [1868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, 0, 126),
  [1870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [1872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [1874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [1876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [1878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [1880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [1882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 6, 0, 87),
  [1884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 6, 0, 87),
  [1886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 3, 0, 88),
  [1888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 3, 0, 88),
  [1890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 6, 0, 42),
  [1892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 6, 0, 42),
  [1894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 89),
  [1896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 89),
  [1898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 90),
  [1900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 90),
  [1902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, 0, 91),
  [1904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, 0, 91),
  [1906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, 0, 92),
  [1908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, 0, 92),
  [1910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, 0, 128),
  [1912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, 0, 128),
  [1914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, 0, 93),
  [1916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, 0, 93),
  [1918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 10, 0, 133),
  [1920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 10, 0, 133),
  [1922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 5, 0, 62),
  [1924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 5, 0, 62),
  [1926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 98),
  [1928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, 0, 98),
  [1930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 5, 0, 58),
  [1932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 5, 0, 58),
  [1934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 100),
  [1936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 100),
  [1938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 101),
  [1940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 101),
  [1942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 102),
  [1944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 102),
  [1946] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 114),
  [1948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 114),
  [1950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 4, 0, 0),
  [1952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 4, 0, 0),
  [1954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 7, 0, 61),
  [1956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 7, 0, 61),
  [1958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 105),
  [1960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 105),
  [1962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, 0, 106),
  [1964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, 0, 106),
  [1966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 7, 0, 107),
  [1968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 7, 0, 107),
  [1970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 3, 0, 0),
  [1972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 111),
  [1974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 111),
  [1976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_block, 1, 0, 0),
  [1978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_block, 1, 0, 0),
  [1980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 115),
  [1982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 115),
  [1984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 4, 0, 39),
  [1986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 4, 0, 39),
  [1988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, 0, 116),
  [1990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, 0, 116),
  [1992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 63),
  [1994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 63),
  [1996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 2, 0, 0),
  [1998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 53),
  [2000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 53),
  [2002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 4, 0, 43),
  [2004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 4, 0, 43),
  [2006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, 0, 44),
  [2008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, 0, 44),
  [2010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorated_definition, 2, 0, 12),
  [2012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorated_definition, 2, 0, 12),
  [2014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [2016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [2018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [2020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [2022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [2024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [2026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [2028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, 0, 66),
  [2030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, 0, 66),
  [2032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern_list, 3, 0, 0),
  [2034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 5, 0, 56),
  [2036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 5, 0, 56),
  [2038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, 0, 59),
  [2040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, 0, 59),
  [2042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, 0, 64),
  [2044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, 0, 64),
  [2046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, 0, 65),
  [2048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, 0, 65),
  [2050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_block, 2, 0, 0),
  [2052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_block, 2, 0, 0),
  [2054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern_list, 2, 0, 0),
  [2056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [2058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [2060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_separator, 1, 0, 0),
  [2062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [2064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [2066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [2068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1583),
  [2070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [2072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [2074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [2076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1573),
  [2078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [2080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [2082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [2086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [2088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [2090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [2092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [2094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [2098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [2100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [2102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2651),
  [2104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [2106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [2108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [2110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [2112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [2114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [2116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [2118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [2120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [2122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [2124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [2126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [2128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [2130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [2132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [2134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1586),
  [2136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(404),
  [2138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1357),
  [2140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [2142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [2144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1445),
  [2146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [2148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [2150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [2152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [2154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [2156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [2158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [2160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [2162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [2164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [2166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [2168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [2170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [2172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [2174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [2176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [2178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [2180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [2182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [2184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [2186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [2188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [2190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [2192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [2194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [2196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [2198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [2200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [2202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [2204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [2206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [2208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [2210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [2212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [2214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [2216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [2218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [2220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [2222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [2224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [2226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [2228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [2230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [2232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [2234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [2236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [2238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [2240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [2242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [2244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [2246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [2250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [2252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [2254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [2256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [2258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [2260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [2262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [2264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [2266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [2268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [2270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [2272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [2274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [2276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [2278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [2280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [2282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [2284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [2286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [2288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [2290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [2292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [2294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [2296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [2298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2, 0, 0),
  [2300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [2302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [2304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [2308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [2310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [2312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [2314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [2316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [2318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [2320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [2322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [2326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [2328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2755),
  [2330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [2334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [2336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [2340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [2342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [2344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [2346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [2348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [2350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [2352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [2354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [2358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [2360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [2362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0),
  [2364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1672),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [2371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [2393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [2395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1695),
  [2398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_operator, 3, 0, 21),
  [2400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_operator, 3, 0, 21),
  [2402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [2406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [2414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [2428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [2430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24),
  [2432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 24),
  [2434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1689),
  [2437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await, 2, 0, 0),
  [2439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await, 2, 0, 0),
  [2441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_operator, 2, 0, 9),
  [2443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_operator, 2, 0, 9),
  [2445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [2447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [2449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1684),
  [2452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1674),
  [2455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1710),
  [2458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [2460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [2462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1699),
  [2465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_comprehension, 4, 0, 34),
  [2467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_comprehension, 4, 0, 34),
  [2469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 4, 0, 0),
  [2471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 4, 0, 0),
  [2473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_comprehension, 4, 0, 34),
  [2475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_comprehension, 4, 0, 34),
  [2477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_comprehension, 4, 0, 34),
  [2479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary_comprehension, 4, 0, 34),
  [2481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [2483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [2485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 33),
  [2487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 33),
  [2489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 2, 0, 10),
  [2491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 2, 0, 10),
  [2493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [2495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [2499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 5, 0, 0),
  [2501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 5, 0, 0),
  [2503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [2505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [2507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 33),
  [2509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 33),
  [2511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 3, 0, 0),
  [2513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 3, 0, 0),
  [2515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, 0, 0),
  [2517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, 0, 0),
  [2519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, 0, 33),
  [2521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, 0, 33),
  [2523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3, 0, 0),
  [2525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3, 0, 0),
  [2527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 3, 0, 0),
  [2529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 3, 0, 0),
  [2531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set, 3, 0, 0),
  [2533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set, 3, 0, 0),
  [2535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1703),
  [2538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [2540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [2542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [2546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 2, 0, 0),
  [2548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 2, 0, 0),
  [2550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_expression, 4, 0, 34),
  [2552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_expression, 4, 0, 34),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1748),
  [2558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [2560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2547),
  [2562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [2564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [2570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [2572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [2574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [2576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1846),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [2580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [2582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [2584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [2586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2587),
  [2588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [2590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [2596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [2598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [2600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1937),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [2606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1811),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [2612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2566),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [2616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [2618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [2620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [2622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [2624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [2630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [2632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [2634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [2636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [2642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [2652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [2660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [2672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [2694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1786),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [2698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2538),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [2706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [2708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [2710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [2714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1747),
  [2716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2453),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2228),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [2732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [2738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [2742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [2750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [2756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [2758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [2760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [2762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [2764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [2766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [2768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2073),
  [2770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [2772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25),
  [2774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(901),
  [2777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25),
  [2779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(2651),
  [2782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(868),
  [2785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(901),
  [2788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comparison_operator, 2, 0, 11),
  [2790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comparison_operator, 2, 0, 11),
  [2792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1942),
  [2794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [2796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [2798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [2800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(928),
  [2803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(864),
  [2806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(928),
  [2809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(898),
  [2812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(860),
  [2815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(898),
  [2818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(941),
  [2821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(867),
  [2824] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(941),
  [2827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(940),
  [2830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(863),
  [2833] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(940),
  [2836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(873),
  [2839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(866),
  [2842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(873),
  [2845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__not_in, 2, 0, 0),
  [2847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__not_in, 2, 0, 0),
  [2849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__is_not, 2, 0, 0),
  [2851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__is_not, 2, 0, 0),
  [2853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(889),
  [2856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(861),
  [2859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(889),
  [2862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(869),
  [2865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(862),
  [2868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, 0, 25), SHIFT_REPEAT(869),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [2873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat_pattern, 2, 0, 0),
  [2875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0),
  [2877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(857),
  [2880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [2884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [2886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 3, 0, 0),
  [2888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [2892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [2894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [2898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [2900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [2902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__right_hand_side, 1, 0, 0),
  [2904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [2906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [2908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [2912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [2926] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(852),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [2937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [2943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [2949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 3, 0, 0),
  [2951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 2, 0, 0),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [2955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [2965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 1, 0, 0),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [2971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_pattern, 3, 0, 22),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [2977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_operator, 3, 0, 21),
  [2979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 4, 0, 47),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [2985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 3, 0, 17),
  [2987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, 0, 0),
  [2989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_not_operator, 2, 0, 6),
  [2991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 18),
  [2993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(569),
  [2996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [3000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1812),
  [3002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [3004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [3006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [3008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [3010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [3012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [3014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [3016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [3018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [3020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [3024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [3026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [3032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [3038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [3044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [3046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [3048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [3052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [3056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [3060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [3064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [3074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [3076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [3082] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_with_item, 1, 1, 7), SHIFT(346),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [3089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [3107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [3109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(233),
  [3112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1812),
  [3115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1812),
  [3118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2, 0, 0),
  [3120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [3122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [3128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [3130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [3134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [3138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [3140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [3142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [3146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [3150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(523),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [3159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 2, 0, 0),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [3165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(509),
  [3168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__f_expression, 1, 0, 0),
  [3170] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(500),
  [3173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_not_operator, 2, 0, 6),
  [3175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 2, 0, 0),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [3181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_name, 1, 0, 0),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [3187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(492),
  [3190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_pattern, 3, 0, 22),
  [3192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_operator, 3, 0, 21),
  [3194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_name, 2, 0, 0),
  [3196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [3198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [3200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [3202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [3204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0),
  [3206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(517),
  [3209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 3, 0, 0),
  [3211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0),
  [3213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2781),
  [3216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [3218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(1775),
  [3221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(1775),
  [3224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [3226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 2, 0, 0),
  [3228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [3230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_statement, 2, 0, 0),
  [3232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_within_for_in_clause, 1, 0, 0),
  [3234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [3236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [3238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [3240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [3242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [3244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 4, 0, 8),
  [3246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [3248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [3250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [3252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [3254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [3256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, 0, 45),
  [3258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [3260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [3262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [3264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [3266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [3268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [3270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [3272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [3274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [3276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [3278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [3280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [3282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [3284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [3286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [3288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [3290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_content, 1, 0, 0),
  [3292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [3294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [3296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [3298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [3300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [3302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [3304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [3306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_pattern, 1, 0, 0),
  [3308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [3310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [3312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(482),
  [3315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 2, -1, 6),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [3323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, 0, 18), SHIFT(578),
  [3326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [3330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [3332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [3334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [3336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [3338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2719),
  [3341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clauses, 1, 0, 0),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [3345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, 0, 69),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [3355] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2716),
  [3358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [3360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [3362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_clause, 2, 0, 0),
  [3364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [3366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [3368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [3370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [3372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [3374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [3378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chevron, 2, 0, 0),
  [3380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clauses, 2, 0, 0),
  [3382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [3384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [3386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [3388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2650),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [3397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0),
  [3399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(548),
  [3402] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(2674),
  [3405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(781),
  [3408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [3410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [3412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_pattern, 2, 0, 0),
  [3414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [3416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [3418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [3420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(553),
  [3423] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(2791),
  [3426] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(848),
  [3429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, 0, 6),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [3441] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(532),
  [3444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(2788),
  [3447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2, 0, 0), SHIFT_REPEAT(844),
  [3450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [3452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [3454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4, 0, 51),
  [3456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4, 0, 51),
  [3458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [3460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [3462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, 0, 108),
  [3464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 5, 0, 0),
  [3466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 0, 0),
  [3468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [3470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat, 2, 0, 0),
  [3472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_pattern, 3, 0, 0),
  [3474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [3476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 4, 0, 0),
  [3478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [3480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 4, 0, 77),
  [3482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [3484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [3486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, 0, 96),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [3490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2, 0, 0),
  [3492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [3494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [3496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [3498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [3500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [3502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [3504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat, 2, 0, 0),
  [3506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [3508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 5, 0, 0),
  [3510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_argument, 3, 0, 68),
  [3512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [3514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [3516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [3518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [3520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_pattern, 1, 0, 0),
  [3522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_argument, 3, 0, 18),
  [3524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(583),
  [3527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_parameter, 3, 0, 18),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [3531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [3537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 3, 0, 26),
  [3539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 3, 0, 26),
  [3541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5, 0, 72),
  [3543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5, 0, 72),
  [3545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 3, 0, 16),
  [3547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(456),
  [3550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2, 0, 0),
  [3552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_item, 1, 1, 7),
  [3554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [3556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5, 0, 73),
  [3558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5, 0, 73),
  [3560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [3562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, 0, 97),
  [3564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [3566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 6, 0, 95),
  [3568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 6, 0, 95),
  [3570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [3572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4, 0, 26),
  [3574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4, 0, 26),
  [3576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, 0, 38),
  [3578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0),
  [3580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(1556),
  [3583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2, 0, 0), SHIFT_REPEAT(2748),
  [3586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [3588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [3590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [3592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_default_parameter, 5, 0, 94),
  [3594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, 0, 0),
  [3596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(853),
  [3599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_type, 3, 0, 0),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [3603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_decorated_definition_repeat1, 2, 0, 0),
  [3605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_decorated_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(567),
  [3608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [3612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrained_type, 3, 0, 0),
  [3614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [3622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_pattern, 2, 0, 0),
  [3624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 3, 0, 0),
  [3626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(453),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [3631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(441),
  [3634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [3636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [3638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [3640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 4, 0, 36),
  [3642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [3644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [3648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5, 0, 74),
  [3650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5, 0, 74),
  [3652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4, 0, 50),
  [3654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4, 0, 50),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [3658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, 0, 19),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [3664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_parameter, 3, 0, 46),
  [3666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [3668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [3670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [3672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [3674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [3678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [3680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias_statement, 4, 1, 0),
  [3682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_within_for_in_clause, 3, 0, 17),
  [3684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [3686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [3688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [3690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [3694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [3696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [3698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_pattern, 3, 0, 0),
  [3700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_pattern, 3, 0, 0),
  [3702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 2, 0, 4),
  [3704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 3, 0, 109),
  [3706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 3, 0, 0),
  [3708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_complex_pattern, 3, 0, 0),
  [3710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [3716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_pattern, 3, 0, 0),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [3720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameter_repeat1, 2, 0, 0),
  [3722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [3726] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(497),
  [3729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [3733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_within_for_in_clause, 4, 0, 47),
  [3735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_pattern, 4, 0, 0),
  [3737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_pattern, 4, 0, 0),
  [3739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(1557),
  [3742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_complex_pattern, 4, 0, 0),
  [3744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 4, 0, 109),
  [3746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 4, 0, 118),
  [3748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 4, 0, 0),
  [3750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 4, 0, 120),
  [3752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_pattern, 4, 0, 0),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [3758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [3760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [3762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [3764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_specifier, 2, 0, 0),
  [3766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [3768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_pattern, 5, 0, 0),
  [3770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_pattern, 5, 0, 0),
  [3772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 5, 0, 118),
  [3774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 5, 0, 120),
  [3776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_pattern, 5, 0, 0),
  [3778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_specifier, 1, 0, 0),
  [3780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [3782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_pattern, 6, 0, 0),
  [3784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [3786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 3, 0, 13),
  [3788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_pattern, 2, 0, 0),
  [3790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [3792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [3794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [3796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [3798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_splat_pattern, 2, 0, 0),
  [3800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__list_pattern, 2, 0, 0),
  [3802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dict_pattern, 2, 0, 0),
  [3804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(230),
  [3807] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 2, 0, 0),
  [3809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_format_specifier_repeat1, 2, 0, 0), SHIFT_REPEAT(2058),
  [3812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [3814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [3816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [3818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [3830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(1553),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [3835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 1, 0, 4),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [3869] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(1550),
  [3872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [3874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [3876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nonlocal_statement, 3, 0, 0),
  [3878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [3880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dict_pattern_repeat1, 2, 0, 0),
  [3882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 0),
  [3884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [3886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [3888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [3890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [3892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [3894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [3896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [3898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [3900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [3902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_statement, 2, 0, 0),
  [3904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [3906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [3908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [3910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [3912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 2, 0, 13),
  [3914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [3916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [3918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_statement_repeat1, 2, 0, 0),
  [3920] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2747),
  [3923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 27),
  [3925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, 0, 35),
  [3927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, 0, 35), SHIFT_REPEAT(556),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [3934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [3936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 28),
  [3938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 28), SHIFT_REPEAT(2290),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [3947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [3949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 3, 0, 0),
  [3951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nonlocal_statement, 2, 0, 0),
  [3953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [3963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, -1, 15),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [3967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 2, 0, 0),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [3971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__as_pattern, 3, 0, 0),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [3977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 3, 0, 0),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [3981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [3987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [3989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [3993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, 0, 14),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [3997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [3999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [4001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [4003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_prefix, 1, 0, 0),
  [4005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [4007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_import_prefix_repeat1, 2, 0, 0),
  [4009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_prefix_repeat1, 2, 0, 0), SHIFT_REPEAT(2206),
  [4012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [4014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [4016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [4018] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1526),
  [4021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, 0, 0),
  [4023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__match_block_repeat1, 2, 0, 79), SHIFT_REPEAT(1527),
  [4026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__match_block_repeat1, 2, 0, 79),
  [4028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 5, 0, 8),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [4032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_statement, 3, 0, 0),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [4036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [4038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [4040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameter_repeat1, 2, 0, 0), SHIFT_REPEAT(235),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [4051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [4055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [4059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [4061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [4063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [4067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [4071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [4073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [4077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [4081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [4083] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dictionary_repeat1, 2, 0, 0), SHIFT_REPEAT(381),
  [4086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dictionary_repeat1, 2, 0, 0),
  [4088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(1653),
  [4091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2, 0, 0),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [4099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(348),
  [4102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [4104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [4106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 1, 0, 0),
  [4108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [4110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [4112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [4114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [4116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [4118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [4120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(464),
  [4123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2, 0, 0),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [4135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(856),
  [4138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [4140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [4144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [4146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [4150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [4154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [4158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [4160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [4164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [4188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(547),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [4211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [4215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [4217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [4219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [4221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [4223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [4225] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(559),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [4236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_aliased_import, 3, 0, 29),
  [4238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 1, 0, 0),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [4254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [4262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [4272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relative_import, 1, 0, 0),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [4284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, 0, 40), SHIFT_REPEAT(554),
  [4287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, 0, 40),
  [4289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [4291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [4293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [4295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(855),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [4302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1523),
  [4305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [4307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [4309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [4311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [4319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 2, 0, 8),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [4323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [4325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [4327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [4329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [4335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [4343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_value_pattern, 3, 0, 45),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [4359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__simple_statements_repeat1, 2, 0, 0), SHIFT_REPEAT(153),
  [4362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__simple_statements_repeat1, 2, 0, 0),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [4374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, 0, 71), SHIFT_REPEAT(410),
  [4377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, 0, 71),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [4395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [4403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, 0, 28), SHIFT_REPEAT(2493),
  [4406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dict_pattern_repeat1, 2, 0, 119), SHIFT_REPEAT(1548),
  [4409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dict_pattern_repeat1, 2, 0, 119),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [4419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2, 0, 0), SHIFT_REPEAT(854),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [4424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 1, 0, 49),
  [4426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_format_specifier_repeat1, 1, 0, 49),
  [4428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(356),
  [4431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2, 0, 0), SHIFT_REPEAT(369),
  [4434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [4436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [4444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [4446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [4450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [4452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(331),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [4459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [4463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1524),
  [4466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [4476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [4484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 1, 0, 0),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [4508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(472),
  [4511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [4513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [4515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [4517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [4519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [4521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [4523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [4525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [4527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(541),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [4532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [4536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [4542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [4544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(1654),
  [4547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [4549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [4551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [4553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [4555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [4557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [4559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [4561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [4563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [4565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2216),
  [4567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [4569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [4571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [4573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_list_splat, 3, 0, 0),
  [4575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_list_splat, 3, 0, 33),
  [4577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 1, 0, 0),
  [4579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [4581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [4583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, 0, 129),
  [4585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_future_import_statement, 4, 0, 30),
  [4587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, 0, 130),
  [4589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, 0, 131),
  [4591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, 0, 132),
  [4593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_future_import_statement, 6, 0, 75),
  [4595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [4597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [4599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 6, 0, 76),
  [4601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [4603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [4605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, 0, 134),
  [4607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, 0, 135),
  [4609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 4, 0, 110),
  [4611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard_import, 1, 0, 0),
  [4613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_positional_separator, 1, 0, 0),
  [4615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 4, 0, 31),
  [4617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, 0, 136),
  [4619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 4, 0, 32),
  [4621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pass_statement, 1, 0, 0),
  [4623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 8, 0, 137),
  [4625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [4627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [4629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2071),
  [4631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1968),
  [4633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [4635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dict_pattern_repeat1, 2, 0, 109),
  [4637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2, 0, 0),
  [4639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [4641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [4643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3, 0, 0),
  [4645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [4647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [4649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2054),
  [4651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [4653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [4657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [4659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment, 3, 0, 21),
  [4661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [4663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [4665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [4669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [4671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [4673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [4675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [4677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [4679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [4681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [4683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 2, 0, 3),
  [4685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, 0, 121),
  [4687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 1, 0, 0),
  [4689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, 0, 122),
  [4691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, 0, 123),
  [4693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 33),
  [4695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, 0, 20),
  [4697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 5, 0, 67),
  [4699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2174),
  [4701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [4703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [4705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__match_block_repeat1, 1, 0, 52),
  [4707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1939),
  [4709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [4711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2204),
  [4713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [4715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [4723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [4725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [4729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [4731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [4733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [4735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [4737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [4739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [4741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [4743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [4745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [4747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 5, 0, 0),
  [4749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [4751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [4753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [4755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [4757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [4759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [4761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [4763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [4765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [4767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [4769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [4771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [4773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [4775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [4777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [4781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [4783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [4785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [4787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [4791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [4795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [4799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [4801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [4803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [4805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [4807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [4809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [4811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [4815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [4817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [4819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [4823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [4825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [4827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [4829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [4831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [4833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [4835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [4837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [4839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [4841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [4843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [4845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [4847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [4849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [4851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [4853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [4855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [4857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [4859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [4861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [4863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [4865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [4867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [4869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [4871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [4873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [4875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [4877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [4879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [4881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [4883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [4887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [4889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [4891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [4893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [4901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [4907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [4911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_parameters, 1, 0, 0),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [4919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [4923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [4925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [4927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [4929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [4931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_import, 2, 0, 0),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [4935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [4937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [4963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [4967] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [4973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [4975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [4977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [4979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [4983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [4985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [4987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [4991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [4993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [4995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [5003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [5005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [5007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [5009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [5011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [5015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [5017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [5019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [5021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [5023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [5025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [5027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [5029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 4, 0, 0),
  [5031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [5033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [5035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [5037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__newline = 0,
  ts_external_token__indent = 1,
  ts_external_token__dedent = 2,
  ts_external_token_string_start = 3,
  ts_external_token__string_content = 4,
  ts_external_token_escape_interpolation = 5,
  ts_external_token_string_end = 6,
  ts_external_token_comment = 7,
  ts_external_token_RBRACK = 8,
  ts_external_token_RPAREN = 9,
  ts_external_token_RBRACE = 10,
  ts_external_token_except = 11,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__newline] = sym__newline,
  [ts_external_token__indent] = sym__indent,
  [ts_external_token__dedent] = sym__dedent,
  [ts_external_token_string_start] = sym_string_start,
  [ts_external_token__string_content] = sym__string_content,
  [ts_external_token_escape_interpolation] = sym_escape_interpolation,
  [ts_external_token_string_end] = sym_string_end,
  [ts_external_token_comment] = sym_comment,
  [ts_external_token_RBRACK] = anon_sym_RBRACK,
  [ts_external_token_RPAREN] = anon_sym_RPAREN,
  [ts_external_token_RBRACE] = anon_sym_RBRACE,
  [ts_external_token_except] = anon_sym_except,
};

static const bool ts_external_scanner_states[20][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__dedent] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token__string_content] = true,
    [ts_external_token_escape_interpolation] = true,
    [ts_external_token_string_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_RPAREN] = true,
    [ts_external_token_RBRACE] = true,
    [ts_external_token_except] = true,
  },
  [2] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [3] = {
    [ts_external_token__dedent] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [4] = {
    [ts_external_token__newline] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [5] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
  },
  [6] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACE] = true,
  },
  [7] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RPAREN] = true,
  },
  [8] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
  },
  [9] = {
    [ts_external_token__newline] = true,
    [ts_external_token_comment] = true,
  },
  [10] = {
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_except] = true,
  },
  [11] = {
    [ts_external_token__dedent] = true,
    [ts_external_token_string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_except] = true,
  },
  [12] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACE] = true,
  },
  [13] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RPAREN] = true,
  },
  [14] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
  },
  [15] = {
    [ts_external_token_comment] = true,
  },
  [16] = {
    [ts_external_token__string_content] = true,
    [ts_external_token_escape_interpolation] = true,
    [ts_external_token_string_end] = true,
    [ts_external_token_comment] = true,
  },
  [17] = {
    [ts_external_token_comment] = true,
    [ts_external_token_except] = true,
  },
  [18] = {
    [ts_external_token__dedent] = true,
    [ts_external_token_comment] = true,
  },
  [19] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token_comment] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_python_external_scanner_create(void);
void tree_sitter_python_external_scanner_destroy(void *);
bool tree_sitter_python_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_python_external_scanner_serialize(void *, char *);
void tree_sitter_python_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_python(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_python_external_scanner_create,
      tree_sitter_python_external_scanner_destroy,
      tree_sitter_python_external_scanner_scan,
      tree_sitter_python_external_scanner_serialize,
      tree_sitter_python_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
