#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 3620
#define LARGE_STATE_COUNT 1004
#define SYMBOL_COUNT 343
#define ALIAS_COUNT 4
#define TOKEN_COUNT 153
#define EXTERNAL_TOKEN_COUNT 10
#define FIELD_COUNT 31
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 279

enum ts_symbol_identifiers {
  sym_identifier = 1,
  anon_sym_SEMI = 2,
  anon_sym_macro_rules_BANG = 3,
  anon_sym_LPAREN = 4,
  anon_sym_RPAREN = 5,
  anon_sym_LBRACK = 6,
  anon_sym_RBRACK = 7,
  anon_sym_LBRACE = 8,
  anon_sym_RBRACE = 9,
  anon_sym_EQ_GT = 10,
  anon_sym_COLON = 11,
  anon_sym_DOLLAR = 12,
  aux_sym_token_repetition_pattern_token1 = 13,
  anon_sym_PLUS = 14,
  anon_sym_STAR = 15,
  anon_sym_QMARK = 16,
  anon_sym_block = 17,
  anon_sym_expr = 18,
  anon_sym_ident = 19,
  anon_sym_item = 20,
  anon_sym_lifetime = 21,
  anon_sym_literal = 22,
  anon_sym_meta = 23,
  anon_sym_pat = 24,
  anon_sym_path = 25,
  anon_sym_stmt = 26,
  anon_sym_tt = 27,
  anon_sym_ty = 28,
  anon_sym_vis = 29,
  anon_sym_u8 = 30,
  anon_sym_i8 = 31,
  anon_sym_u16 = 32,
  anon_sym_i16 = 33,
  anon_sym_u32 = 34,
  anon_sym_i32 = 35,
  anon_sym_u64 = 36,
  anon_sym_i64 = 37,
  anon_sym_u128 = 38,
  anon_sym_i128 = 39,
  anon_sym_isize = 40,
  anon_sym_usize = 41,
  anon_sym_f32 = 42,
  anon_sym_f64 = 43,
  anon_sym_bool = 44,
  anon_sym_str = 45,
  anon_sym_char = 46,
  anon_sym_DASH = 47,
  anon_sym_SLASH = 48,
  anon_sym_PERCENT = 49,
  anon_sym_CARET = 50,
  anon_sym_BANG = 51,
  anon_sym_AMP = 52,
  anon_sym_PIPE = 53,
  anon_sym_AMP_AMP = 54,
  anon_sym_PIPE_PIPE = 55,
  anon_sym_LT_LT = 56,
  anon_sym_GT_GT = 57,
  anon_sym_PLUS_EQ = 58,
  anon_sym_DASH_EQ = 59,
  anon_sym_STAR_EQ = 60,
  anon_sym_SLASH_EQ = 61,
  anon_sym_PERCENT_EQ = 62,
  anon_sym_CARET_EQ = 63,
  anon_sym_AMP_EQ = 64,
  anon_sym_PIPE_EQ = 65,
  anon_sym_LT_LT_EQ = 66,
  anon_sym_GT_GT_EQ = 67,
  anon_sym_EQ = 68,
  anon_sym_EQ_EQ = 69,
  anon_sym_BANG_EQ = 70,
  anon_sym_GT = 71,
  anon_sym_LT = 72,
  anon_sym_GT_EQ = 73,
  anon_sym_LT_EQ = 74,
  anon_sym_AT = 75,
  anon_sym__ = 76,
  anon_sym_DOT = 77,
  anon_sym_DOT_DOT = 78,
  anon_sym_DOT_DOT_DOT = 79,
  anon_sym_DOT_DOT_EQ = 80,
  anon_sym_COMMA = 81,
  anon_sym_COLON_COLON = 82,
  anon_sym_DASH_GT = 83,
  anon_sym_POUND = 84,
  anon_sym_SQUOTE = 85,
  anon_sym_as = 86,
  anon_sym_async = 87,
  anon_sym_await = 88,
  anon_sym_break = 89,
  anon_sym_const = 90,
  anon_sym_continue = 91,
  anon_sym_default = 92,
  anon_sym_enum = 93,
  anon_sym_fn = 94,
  anon_sym_for = 95,
  anon_sym_if = 96,
  anon_sym_impl = 97,
  anon_sym_let = 98,
  anon_sym_loop = 99,
  anon_sym_match = 100,
  anon_sym_mod = 101,
  anon_sym_pub = 102,
  anon_sym_return = 103,
  anon_sym_static = 104,
  anon_sym_struct = 105,
  anon_sym_trait = 106,
  anon_sym_type = 107,
  anon_sym_union = 108,
  anon_sym_unsafe = 109,
  anon_sym_use = 110,
  anon_sym_where = 111,
  anon_sym_while = 112,
  anon_sym_extern = 113,
  anon_sym_ref = 114,
  anon_sym_else = 115,
  anon_sym_in = 116,
  anon_sym_LT2 = 117,
  anon_sym_dyn = 118,
  sym_mutable_specifier = 119,
  anon_sym_yield = 120,
  anon_sym_move = 121,
  anon_sym_try = 122,
  sym_integer_literal = 123,
  aux_sym_string_literal_token1 = 124,
  anon_sym_DQUOTE = 125,
  sym_char_literal = 126,
  sym_escape_sequence = 127,
  anon_sym_true = 128,
  anon_sym_false = 129,
  anon_sym_SLASH_SLASH = 130,
  aux_sym_line_comment_token1 = 131,
  aux_sym_line_comment_token2 = 132,
  aux_sym_line_comment_token3 = 133,
  anon_sym_BANG2 = 134,
  anon_sym_SLASH2 = 135,
  anon_sym_SLASH_STAR = 136,
  anon_sym_STAR_SLASH = 137,
  sym_shebang = 138,
  sym_self = 139,
  sym_super = 140,
  sym_crate = 141,
  sym_metavariable = 142,
  sym_string_content = 143,
  sym__raw_string_literal_start = 144,
  sym_raw_string_literal_content = 145,
  sym__raw_string_literal_end = 146,
  sym_float_literal = 147,
  sym__outer_block_doc_comment_marker = 148,
  sym__inner_block_doc_comment_marker = 149,
  sym__block_comment_content = 150,
  sym__line_doc_content = 151,
  sym__error_sentinel = 152,
  sym_source_file = 153,
  sym__statement = 154,
  sym_empty_statement = 155,
  sym_expression_statement = 156,
  sym_macro_definition = 157,
  sym_macro_rule = 158,
  sym__token_pattern = 159,
  sym_token_tree_pattern = 160,
  sym_token_binding_pattern = 161,
  sym_token_repetition_pattern = 162,
  sym_fragment_specifier = 163,
  sym_token_tree = 164,
  sym_token_repetition = 165,
  sym_attribute_item = 166,
  sym_inner_attribute_item = 167,
  sym_attribute = 168,
  sym_mod_item = 169,
  sym_foreign_mod_item = 170,
  sym_declaration_list = 171,
  sym_struct_item = 172,
  sym_union_item = 173,
  sym_enum_item = 174,
  sym_enum_variant_list = 175,
  sym_enum_variant = 176,
  sym_field_declaration_list = 177,
  sym_field_declaration = 178,
  sym_ordered_field_declaration_list = 179,
  sym_extern_crate_declaration = 180,
  sym_const_item = 181,
  sym_static_item = 182,
  sym_type_item = 183,
  sym_function_item = 184,
  sym_function_signature_item = 185,
  sym_function_modifiers = 186,
  sym_where_clause = 187,
  sym_where_predicate = 188,
  sym_impl_item = 189,
  sym_trait_item = 190,
  sym_associated_type = 191,
  sym_trait_bounds = 192,
  sym_higher_ranked_trait_bound = 193,
  sym_removed_trait_bound = 194,
  sym_type_parameters = 195,
  sym_const_parameter = 196,
  sym_constrained_type_parameter = 197,
  sym_optional_type_parameter = 198,
  sym_let_declaration = 199,
  sym_use_declaration = 200,
  sym__use_clause = 201,
  sym_scoped_use_list = 202,
  sym_use_list = 203,
  sym_use_as_clause = 204,
  sym_use_wildcard = 205,
  sym_parameters = 206,
  sym_self_parameter = 207,
  sym_variadic_parameter = 208,
  sym_parameter = 209,
  sym_extern_modifier = 210,
  sym_visibility_modifier = 211,
  sym__type = 212,
  sym_bracketed_type = 213,
  sym_qualified_type = 214,
  sym_lifetime = 215,
  sym_array_type = 216,
  sym_for_lifetimes = 217,
  sym_function_type = 218,
  sym_tuple_type = 219,
  sym_unit_type = 220,
  sym_generic_function = 221,
  sym_generic_type = 222,
  sym_generic_type_with_turbofish = 223,
  sym_bounded_type = 224,
  sym_type_arguments = 225,
  sym_type_binding = 226,
  sym_reference_type = 227,
  sym_pointer_type = 228,
  sym_never_type = 229,
  sym_abstract_type = 230,
  sym_dynamic_type = 231,
  sym__expression_except_range = 232,
  sym__expression = 233,
  sym_macro_invocation = 234,
  sym_delim_token_tree = 235,
  sym__delim_tokens = 236,
  sym__non_delim_token = 237,
  sym_scoped_identifier = 238,
  sym_scoped_type_identifier_in_expression_position = 239,
  sym_scoped_type_identifier = 240,
  sym_range_expression = 241,
  sym_unary_expression = 242,
  sym_try_expression = 243,
  sym_reference_expression = 244,
  sym_binary_expression = 245,
  sym_assignment_expression = 246,
  sym_compound_assignment_expr = 247,
  sym_type_cast_expression = 248,
  sym_return_expression = 249,
  sym_yield_expression = 250,
  sym_call_expression = 251,
  sym_arguments = 252,
  sym_array_expression = 253,
  sym_parenthesized_expression = 254,
  sym_tuple_expression = 255,
  sym_unit_expression = 256,
  sym_struct_expression = 257,
  sym_field_initializer_list = 258,
  sym_shorthand_field_initializer = 259,
  sym_field_initializer = 260,
  sym_base_field_initializer = 261,
  sym_if_expression = 262,
  sym_let_condition = 263,
  sym__let_chain = 264,
  sym__condition = 265,
  sym_else_clause = 266,
  sym_match_expression = 267,
  sym_match_block = 268,
  sym_match_arm = 269,
  sym_last_match_arm = 270,
  sym_match_pattern = 271,
  sym_while_expression = 272,
  sym_loop_expression = 273,
  sym_for_expression = 274,
  sym_const_block = 275,
  sym_closure_expression = 276,
  sym_closure_parameters = 277,
  sym_label = 278,
  sym_break_expression = 279,
  sym_continue_expression = 280,
  sym_index_expression = 281,
  sym_await_expression = 282,
  sym_field_expression = 283,
  sym_unsafe_block = 284,
  sym_async_block = 285,
  sym_try_block = 286,
  sym_block = 287,
  sym__pattern = 288,
  sym_tuple_pattern = 289,
  sym_slice_pattern = 290,
  sym_tuple_struct_pattern = 291,
  sym_struct_pattern = 292,
  sym_field_pattern = 293,
  sym_remaining_field_pattern = 294,
  sym_mut_pattern = 295,
  sym_range_pattern = 296,
  sym_ref_pattern = 297,
  sym_captured_pattern = 298,
  sym_reference_pattern = 299,
  sym_or_pattern = 300,
  sym__literal = 301,
  sym__literal_pattern = 302,
  sym_negative_literal = 303,
  sym_string_literal = 304,
  sym_raw_string_literal = 305,
  sym_boolean_literal = 306,
  sym_line_comment = 307,
  sym__line_doc_comment_marker = 308,
  sym__inner_line_doc_comment_marker = 309,
  sym__outer_line_doc_comment_marker = 310,
  sym_block_comment = 311,
  sym__block_doc_comment_marker = 312,
  aux_sym_source_file_repeat1 = 313,
  aux_sym_macro_definition_repeat1 = 314,
  aux_sym_token_tree_pattern_repeat1 = 315,
  aux_sym_token_tree_repeat1 = 316,
  aux_sym__non_special_token_repeat1 = 317,
  aux_sym_declaration_list_repeat1 = 318,
  aux_sym_enum_variant_list_repeat1 = 319,
  aux_sym_enum_variant_list_repeat2 = 320,
  aux_sym_field_declaration_list_repeat1 = 321,
  aux_sym_ordered_field_declaration_list_repeat1 = 322,
  aux_sym_function_modifiers_repeat1 = 323,
  aux_sym_where_clause_repeat1 = 324,
  aux_sym_trait_bounds_repeat1 = 325,
  aux_sym_type_parameters_repeat1 = 326,
  aux_sym_use_list_repeat1 = 327,
  aux_sym_parameters_repeat1 = 328,
  aux_sym_for_lifetimes_repeat1 = 329,
  aux_sym_tuple_type_repeat1 = 330,
  aux_sym_type_arguments_repeat1 = 331,
  aux_sym_delim_token_tree_repeat1 = 332,
  aux_sym_arguments_repeat1 = 333,
  aux_sym_tuple_expression_repeat1 = 334,
  aux_sym_field_initializer_list_repeat1 = 335,
  aux_sym_match_block_repeat1 = 336,
  aux_sym_match_arm_repeat1 = 337,
  aux_sym_closure_parameters_repeat1 = 338,
  aux_sym_tuple_pattern_repeat1 = 339,
  aux_sym_slice_pattern_repeat1 = 340,
  aux_sym_struct_pattern_repeat1 = 341,
  aux_sym_string_literal_repeat1 = 342,
  alias_sym_field_identifier = 343,
  alias_sym_let_chain = 344,
  alias_sym_shorthand_field_identifier = 345,
  alias_sym_type_identifier = 346,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_SEMI] = ";",
  [anon_sym_macro_rules_BANG] = "macro_rules!",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_COLON] = ":",
  [anon_sym_DOLLAR] = "$",
  [aux_sym_token_repetition_pattern_token1] = "token_repetition_pattern_token1",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_QMARK] = "\?",
  [anon_sym_block] = "block",
  [anon_sym_expr] = "expr",
  [anon_sym_ident] = "ident",
  [anon_sym_item] = "item",
  [anon_sym_lifetime] = "lifetime",
  [anon_sym_literal] = "literal",
  [anon_sym_meta] = "meta",
  [anon_sym_pat] = "pat",
  [anon_sym_path] = "path",
  [anon_sym_stmt] = "stmt",
  [anon_sym_tt] = "tt",
  [anon_sym_ty] = "ty",
  [anon_sym_vis] = "vis",
  [anon_sym_u8] = "primitive_type",
  [anon_sym_i8] = "primitive_type",
  [anon_sym_u16] = "primitive_type",
  [anon_sym_i16] = "primitive_type",
  [anon_sym_u32] = "primitive_type",
  [anon_sym_i32] = "primitive_type",
  [anon_sym_u64] = "primitive_type",
  [anon_sym_i64] = "primitive_type",
  [anon_sym_u128] = "primitive_type",
  [anon_sym_i128] = "primitive_type",
  [anon_sym_isize] = "primitive_type",
  [anon_sym_usize] = "primitive_type",
  [anon_sym_f32] = "primitive_type",
  [anon_sym_f64] = "primitive_type",
  [anon_sym_bool] = "primitive_type",
  [anon_sym_str] = "primitive_type",
  [anon_sym_char] = "primitive_type",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_CARET] = "^",
  [anon_sym_BANG] = "!",
  [anon_sym_AMP] = "&",
  [anon_sym_PIPE] = "|",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_EQ] = "=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_LT] = "<",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_AT] = "@",
  [anon_sym__] = "_",
  [anon_sym_DOT] = ".",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_DOT_DOT_EQ] = "..=",
  [anon_sym_COMMA] = ",",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_POUND] = "#",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_as] = "as",
  [anon_sym_async] = "async",
  [anon_sym_await] = "await",
  [anon_sym_break] = "break",
  [anon_sym_const] = "const",
  [anon_sym_continue] = "continue",
  [anon_sym_default] = "default",
  [anon_sym_enum] = "enum",
  [anon_sym_fn] = "fn",
  [anon_sym_for] = "for",
  [anon_sym_if] = "if",
  [anon_sym_impl] = "impl",
  [anon_sym_let] = "let",
  [anon_sym_loop] = "loop",
  [anon_sym_match] = "match",
  [anon_sym_mod] = "mod",
  [anon_sym_pub] = "pub",
  [anon_sym_return] = "return",
  [anon_sym_static] = "static",
  [anon_sym_struct] = "struct",
  [anon_sym_trait] = "trait",
  [anon_sym_type] = "type",
  [anon_sym_union] = "union",
  [anon_sym_unsafe] = "unsafe",
  [anon_sym_use] = "use",
  [anon_sym_where] = "where",
  [anon_sym_while] = "while",
  [anon_sym_extern] = "extern",
  [anon_sym_ref] = "ref",
  [anon_sym_else] = "else",
  [anon_sym_in] = "in",
  [anon_sym_LT2] = "<",
  [anon_sym_dyn] = "dyn",
  [sym_mutable_specifier] = "mutable_specifier",
  [anon_sym_yield] = "yield",
  [anon_sym_move] = "move",
  [anon_sym_try] = "try",
  [sym_integer_literal] = "integer_literal",
  [aux_sym_string_literal_token1] = "\"",
  [anon_sym_DQUOTE] = "\"",
  [sym_char_literal] = "char_literal",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [anon_sym_SLASH_SLASH] = "//",
  [aux_sym_line_comment_token1] = "line_comment_token1",
  [aux_sym_line_comment_token2] = "line_comment_token2",
  [aux_sym_line_comment_token3] = "line_comment_token3",
  [anon_sym_BANG2] = "!",
  [anon_sym_SLASH2] = "/",
  [anon_sym_SLASH_STAR] = "/*",
  [anon_sym_STAR_SLASH] = "*/",
  [sym_shebang] = "shebang",
  [sym_self] = "self",
  [sym_super] = "super",
  [sym_crate] = "crate",
  [sym_metavariable] = "metavariable",
  [sym_string_content] = "string_content",
  [sym__raw_string_literal_start] = "_raw_string_literal_start",
  [sym_raw_string_literal_content] = "string_content",
  [sym__raw_string_literal_end] = "_raw_string_literal_end",
  [sym_float_literal] = "float_literal",
  [sym__outer_block_doc_comment_marker] = "outer_doc_comment_marker",
  [sym__inner_block_doc_comment_marker] = "inner_doc_comment_marker",
  [sym__block_comment_content] = "_block_comment_content",
  [sym__line_doc_content] = "doc_comment",
  [sym__error_sentinel] = "_error_sentinel",
  [sym_source_file] = "source_file",
  [sym__statement] = "_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_macro_definition] = "macro_definition",
  [sym_macro_rule] = "macro_rule",
  [sym__token_pattern] = "_token_pattern",
  [sym_token_tree_pattern] = "token_tree_pattern",
  [sym_token_binding_pattern] = "token_binding_pattern",
  [sym_token_repetition_pattern] = "token_repetition_pattern",
  [sym_fragment_specifier] = "fragment_specifier",
  [sym_token_tree] = "token_tree",
  [sym_token_repetition] = "token_repetition",
  [sym_attribute_item] = "attribute_item",
  [sym_inner_attribute_item] = "inner_attribute_item",
  [sym_attribute] = "attribute",
  [sym_mod_item] = "mod_item",
  [sym_foreign_mod_item] = "foreign_mod_item",
  [sym_declaration_list] = "declaration_list",
  [sym_struct_item] = "struct_item",
  [sym_union_item] = "union_item",
  [sym_enum_item] = "enum_item",
  [sym_enum_variant_list] = "enum_variant_list",
  [sym_enum_variant] = "enum_variant",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym_field_declaration] = "field_declaration",
  [sym_ordered_field_declaration_list] = "ordered_field_declaration_list",
  [sym_extern_crate_declaration] = "extern_crate_declaration",
  [sym_const_item] = "const_item",
  [sym_static_item] = "static_item",
  [sym_type_item] = "type_item",
  [sym_function_item] = "function_item",
  [sym_function_signature_item] = "function_signature_item",
  [sym_function_modifiers] = "function_modifiers",
  [sym_where_clause] = "where_clause",
  [sym_where_predicate] = "where_predicate",
  [sym_impl_item] = "impl_item",
  [sym_trait_item] = "trait_item",
  [sym_associated_type] = "associated_type",
  [sym_trait_bounds] = "trait_bounds",
  [sym_higher_ranked_trait_bound] = "higher_ranked_trait_bound",
  [sym_removed_trait_bound] = "removed_trait_bound",
  [sym_type_parameters] = "type_parameters",
  [sym_const_parameter] = "const_parameter",
  [sym_constrained_type_parameter] = "constrained_type_parameter",
  [sym_optional_type_parameter] = "optional_type_parameter",
  [sym_let_declaration] = "let_declaration",
  [sym_use_declaration] = "use_declaration",
  [sym__use_clause] = "_use_clause",
  [sym_scoped_use_list] = "scoped_use_list",
  [sym_use_list] = "use_list",
  [sym_use_as_clause] = "use_as_clause",
  [sym_use_wildcard] = "use_wildcard",
  [sym_parameters] = "parameters",
  [sym_self_parameter] = "self_parameter",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym_parameter] = "parameter",
  [sym_extern_modifier] = "extern_modifier",
  [sym_visibility_modifier] = "visibility_modifier",
  [sym__type] = "_type",
  [sym_bracketed_type] = "bracketed_type",
  [sym_qualified_type] = "qualified_type",
  [sym_lifetime] = "lifetime",
  [sym_array_type] = "array_type",
  [sym_for_lifetimes] = "for_lifetimes",
  [sym_function_type] = "function_type",
  [sym_tuple_type] = "tuple_type",
  [sym_unit_type] = "unit_type",
  [sym_generic_function] = "generic_function",
  [sym_generic_type] = "generic_type",
  [sym_generic_type_with_turbofish] = "generic_type_with_turbofish",
  [sym_bounded_type] = "bounded_type",
  [sym_type_arguments] = "type_arguments",
  [sym_type_binding] = "type_binding",
  [sym_reference_type] = "reference_type",
  [sym_pointer_type] = "pointer_type",
  [sym_never_type] = "never_type",
  [sym_abstract_type] = "abstract_type",
  [sym_dynamic_type] = "dynamic_type",
  [sym__expression_except_range] = "_expression_except_range",
  [sym__expression] = "_expression",
  [sym_macro_invocation] = "macro_invocation",
  [sym_delim_token_tree] = "token_tree",
  [sym__delim_tokens] = "_delim_tokens",
  [sym__non_delim_token] = "_non_delim_token",
  [sym_scoped_identifier] = "scoped_identifier",
  [sym_scoped_type_identifier_in_expression_position] = "scoped_type_identifier",
  [sym_scoped_type_identifier] = "scoped_type_identifier",
  [sym_range_expression] = "range_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_try_expression] = "try_expression",
  [sym_reference_expression] = "reference_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_compound_assignment_expr] = "compound_assignment_expr",
  [sym_type_cast_expression] = "type_cast_expression",
  [sym_return_expression] = "return_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_call_expression] = "call_expression",
  [sym_arguments] = "arguments",
  [sym_array_expression] = "array_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_tuple_expression] = "tuple_expression",
  [sym_unit_expression] = "unit_expression",
  [sym_struct_expression] = "struct_expression",
  [sym_field_initializer_list] = "field_initializer_list",
  [sym_shorthand_field_initializer] = "shorthand_field_initializer",
  [sym_field_initializer] = "field_initializer",
  [sym_base_field_initializer] = "base_field_initializer",
  [sym_if_expression] = "if_expression",
  [sym_let_condition] = "let_condition",
  [sym__let_chain] = "_let_chain",
  [sym__condition] = "_condition",
  [sym_else_clause] = "else_clause",
  [sym_match_expression] = "match_expression",
  [sym_match_block] = "match_block",
  [sym_match_arm] = "match_arm",
  [sym_last_match_arm] = "match_arm",
  [sym_match_pattern] = "match_pattern",
  [sym_while_expression] = "while_expression",
  [sym_loop_expression] = "loop_expression",
  [sym_for_expression] = "for_expression",
  [sym_const_block] = "const_block",
  [sym_closure_expression] = "closure_expression",
  [sym_closure_parameters] = "closure_parameters",
  [sym_label] = "label",
  [sym_break_expression] = "break_expression",
  [sym_continue_expression] = "continue_expression",
  [sym_index_expression] = "index_expression",
  [sym_await_expression] = "await_expression",
  [sym_field_expression] = "field_expression",
  [sym_unsafe_block] = "unsafe_block",
  [sym_async_block] = "async_block",
  [sym_try_block] = "try_block",
  [sym_block] = "block",
  [sym__pattern] = "_pattern",
  [sym_tuple_pattern] = "tuple_pattern",
  [sym_slice_pattern] = "slice_pattern",
  [sym_tuple_struct_pattern] = "tuple_struct_pattern",
  [sym_struct_pattern] = "struct_pattern",
  [sym_field_pattern] = "field_pattern",
  [sym_remaining_field_pattern] = "remaining_field_pattern",
  [sym_mut_pattern] = "mut_pattern",
  [sym_range_pattern] = "range_pattern",
  [sym_ref_pattern] = "ref_pattern",
  [sym_captured_pattern] = "captured_pattern",
  [sym_reference_pattern] = "reference_pattern",
  [sym_or_pattern] = "or_pattern",
  [sym__literal] = "_literal",
  [sym__literal_pattern] = "_literal_pattern",
  [sym_negative_literal] = "negative_literal",
  [sym_string_literal] = "string_literal",
  [sym_raw_string_literal] = "raw_string_literal",
  [sym_boolean_literal] = "boolean_literal",
  [sym_line_comment] = "line_comment",
  [sym__line_doc_comment_marker] = "_line_doc_comment_marker",
  [sym__inner_line_doc_comment_marker] = "inner_doc_comment_marker",
  [sym__outer_line_doc_comment_marker] = "outer_doc_comment_marker",
  [sym_block_comment] = "block_comment",
  [sym__block_doc_comment_marker] = "_block_doc_comment_marker",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_macro_definition_repeat1] = "macro_definition_repeat1",
  [aux_sym_token_tree_pattern_repeat1] = "token_tree_pattern_repeat1",
  [aux_sym_token_tree_repeat1] = "token_tree_repeat1",
  [aux_sym__non_special_token_repeat1] = "_non_special_token_repeat1",
  [aux_sym_declaration_list_repeat1] = "declaration_list_repeat1",
  [aux_sym_enum_variant_list_repeat1] = "enum_variant_list_repeat1",
  [aux_sym_enum_variant_list_repeat2] = "enum_variant_list_repeat2",
  [aux_sym_field_declaration_list_repeat1] = "field_declaration_list_repeat1",
  [aux_sym_ordered_field_declaration_list_repeat1] = "ordered_field_declaration_list_repeat1",
  [aux_sym_function_modifiers_repeat1] = "function_modifiers_repeat1",
  [aux_sym_where_clause_repeat1] = "where_clause_repeat1",
  [aux_sym_trait_bounds_repeat1] = "trait_bounds_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym_use_list_repeat1] = "use_list_repeat1",
  [aux_sym_parameters_repeat1] = "parameters_repeat1",
  [aux_sym_for_lifetimes_repeat1] = "for_lifetimes_repeat1",
  [aux_sym_tuple_type_repeat1] = "tuple_type_repeat1",
  [aux_sym_type_arguments_repeat1] = "type_arguments_repeat1",
  [aux_sym_delim_token_tree_repeat1] = "delim_token_tree_repeat1",
  [aux_sym_arguments_repeat1] = "arguments_repeat1",
  [aux_sym_tuple_expression_repeat1] = "tuple_expression_repeat1",
  [aux_sym_field_initializer_list_repeat1] = "field_initializer_list_repeat1",
  [aux_sym_match_block_repeat1] = "match_block_repeat1",
  [aux_sym_match_arm_repeat1] = "match_arm_repeat1",
  [aux_sym_closure_parameters_repeat1] = "closure_parameters_repeat1",
  [aux_sym_tuple_pattern_repeat1] = "tuple_pattern_repeat1",
  [aux_sym_slice_pattern_repeat1] = "slice_pattern_repeat1",
  [aux_sym_struct_pattern_repeat1] = "struct_pattern_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_let_chain] = "let_chain",
  [alias_sym_shorthand_field_identifier] = "shorthand_field_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_macro_rules_BANG] = anon_sym_macro_rules_BANG,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [aux_sym_token_repetition_pattern_token1] = aux_sym_token_repetition_pattern_token1,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_block] = anon_sym_block,
  [anon_sym_expr] = anon_sym_expr,
  [anon_sym_ident] = anon_sym_ident,
  [anon_sym_item] = anon_sym_item,
  [anon_sym_lifetime] = anon_sym_lifetime,
  [anon_sym_literal] = anon_sym_literal,
  [anon_sym_meta] = anon_sym_meta,
  [anon_sym_pat] = anon_sym_pat,
  [anon_sym_path] = anon_sym_path,
  [anon_sym_stmt] = anon_sym_stmt,
  [anon_sym_tt] = anon_sym_tt,
  [anon_sym_ty] = anon_sym_ty,
  [anon_sym_vis] = anon_sym_vis,
  [anon_sym_u8] = anon_sym_u8,
  [anon_sym_i8] = anon_sym_u8,
  [anon_sym_u16] = anon_sym_u8,
  [anon_sym_i16] = anon_sym_u8,
  [anon_sym_u32] = anon_sym_u8,
  [anon_sym_i32] = anon_sym_u8,
  [anon_sym_u64] = anon_sym_u8,
  [anon_sym_i64] = anon_sym_u8,
  [anon_sym_u128] = anon_sym_u8,
  [anon_sym_i128] = anon_sym_u8,
  [anon_sym_isize] = anon_sym_u8,
  [anon_sym_usize] = anon_sym_u8,
  [anon_sym_f32] = anon_sym_u8,
  [anon_sym_f64] = anon_sym_u8,
  [anon_sym_bool] = anon_sym_u8,
  [anon_sym_str] = anon_sym_u8,
  [anon_sym_char] = anon_sym_u8,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym__] = anon_sym__,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_DOT_DOT_EQ] = anon_sym_DOT_DOT_EQ,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_fn] = anon_sym_fn,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_impl] = anon_sym_impl,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_loop] = anon_sym_loop,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_mod] = anon_sym_mod,
  [anon_sym_pub] = anon_sym_pub,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_trait] = anon_sym_trait,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_unsafe] = anon_sym_unsafe,
  [anon_sym_use] = anon_sym_use,
  [anon_sym_where] = anon_sym_where,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym_ref] = anon_sym_ref,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_LT2] = anon_sym_LT,
  [anon_sym_dyn] = anon_sym_dyn,
  [sym_mutable_specifier] = sym_mutable_specifier,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_move] = anon_sym_move,
  [anon_sym_try] = anon_sym_try,
  [sym_integer_literal] = sym_integer_literal,
  [aux_sym_string_literal_token1] = anon_sym_DQUOTE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [sym_char_literal] = sym_char_literal,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [aux_sym_line_comment_token1] = aux_sym_line_comment_token1,
  [aux_sym_line_comment_token2] = aux_sym_line_comment_token2,
  [aux_sym_line_comment_token3] = aux_sym_line_comment_token3,
  [anon_sym_BANG2] = anon_sym_BANG,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [anon_sym_SLASH_STAR] = anon_sym_SLASH_STAR,
  [anon_sym_STAR_SLASH] = anon_sym_STAR_SLASH,
  [sym_shebang] = sym_shebang,
  [sym_self] = sym_self,
  [sym_super] = sym_super,
  [sym_crate] = sym_crate,
  [sym_metavariable] = sym_metavariable,
  [sym_string_content] = sym_string_content,
  [sym__raw_string_literal_start] = sym__raw_string_literal_start,
  [sym_raw_string_literal_content] = sym_string_content,
  [sym__raw_string_literal_end] = sym__raw_string_literal_end,
  [sym_float_literal] = sym_float_literal,
  [sym__outer_block_doc_comment_marker] = sym__outer_block_doc_comment_marker,
  [sym__inner_block_doc_comment_marker] = sym__inner_block_doc_comment_marker,
  [sym__block_comment_content] = sym__block_comment_content,
  [sym__line_doc_content] = sym__line_doc_content,
  [sym__error_sentinel] = sym__error_sentinel,
  [sym_source_file] = sym_source_file,
  [sym__statement] = sym__statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_macro_definition] = sym_macro_definition,
  [sym_macro_rule] = sym_macro_rule,
  [sym__token_pattern] = sym__token_pattern,
  [sym_token_tree_pattern] = sym_token_tree_pattern,
  [sym_token_binding_pattern] = sym_token_binding_pattern,
  [sym_token_repetition_pattern] = sym_token_repetition_pattern,
  [sym_fragment_specifier] = sym_fragment_specifier,
  [sym_token_tree] = sym_token_tree,
  [sym_token_repetition] = sym_token_repetition,
  [sym_attribute_item] = sym_attribute_item,
  [sym_inner_attribute_item] = sym_inner_attribute_item,
  [sym_attribute] = sym_attribute,
  [sym_mod_item] = sym_mod_item,
  [sym_foreign_mod_item] = sym_foreign_mod_item,
  [sym_declaration_list] = sym_declaration_list,
  [sym_struct_item] = sym_struct_item,
  [sym_union_item] = sym_union_item,
  [sym_enum_item] = sym_enum_item,
  [sym_enum_variant_list] = sym_enum_variant_list,
  [sym_enum_variant] = sym_enum_variant,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym_field_declaration] = sym_field_declaration,
  [sym_ordered_field_declaration_list] = sym_ordered_field_declaration_list,
  [sym_extern_crate_declaration] = sym_extern_crate_declaration,
  [sym_const_item] = sym_const_item,
  [sym_static_item] = sym_static_item,
  [sym_type_item] = sym_type_item,
  [sym_function_item] = sym_function_item,
  [sym_function_signature_item] = sym_function_signature_item,
  [sym_function_modifiers] = sym_function_modifiers,
  [sym_where_clause] = sym_where_clause,
  [sym_where_predicate] = sym_where_predicate,
  [sym_impl_item] = sym_impl_item,
  [sym_trait_item] = sym_trait_item,
  [sym_associated_type] = sym_associated_type,
  [sym_trait_bounds] = sym_trait_bounds,
  [sym_higher_ranked_trait_bound] = sym_higher_ranked_trait_bound,
  [sym_removed_trait_bound] = sym_removed_trait_bound,
  [sym_type_parameters] = sym_type_parameters,
  [sym_const_parameter] = sym_const_parameter,
  [sym_constrained_type_parameter] = sym_constrained_type_parameter,
  [sym_optional_type_parameter] = sym_optional_type_parameter,
  [sym_let_declaration] = sym_let_declaration,
  [sym_use_declaration] = sym_use_declaration,
  [sym__use_clause] = sym__use_clause,
  [sym_scoped_use_list] = sym_scoped_use_list,
  [sym_use_list] = sym_use_list,
  [sym_use_as_clause] = sym_use_as_clause,
  [sym_use_wildcard] = sym_use_wildcard,
  [sym_parameters] = sym_parameters,
  [sym_self_parameter] = sym_self_parameter,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym_parameter] = sym_parameter,
  [sym_extern_modifier] = sym_extern_modifier,
  [sym_visibility_modifier] = sym_visibility_modifier,
  [sym__type] = sym__type,
  [sym_bracketed_type] = sym_bracketed_type,
  [sym_qualified_type] = sym_qualified_type,
  [sym_lifetime] = sym_lifetime,
  [sym_array_type] = sym_array_type,
  [sym_for_lifetimes] = sym_for_lifetimes,
  [sym_function_type] = sym_function_type,
  [sym_tuple_type] = sym_tuple_type,
  [sym_unit_type] = sym_unit_type,
  [sym_generic_function] = sym_generic_function,
  [sym_generic_type] = sym_generic_type,
  [sym_generic_type_with_turbofish] = sym_generic_type_with_turbofish,
  [sym_bounded_type] = sym_bounded_type,
  [sym_type_arguments] = sym_type_arguments,
  [sym_type_binding] = sym_type_binding,
  [sym_reference_type] = sym_reference_type,
  [sym_pointer_type] = sym_pointer_type,
  [sym_never_type] = sym_never_type,
  [sym_abstract_type] = sym_abstract_type,
  [sym_dynamic_type] = sym_dynamic_type,
  [sym__expression_except_range] = sym__expression_except_range,
  [sym__expression] = sym__expression,
  [sym_macro_invocation] = sym_macro_invocation,
  [sym_delim_token_tree] = sym_token_tree,
  [sym__delim_tokens] = sym__delim_tokens,
  [sym__non_delim_token] = sym__non_delim_token,
  [sym_scoped_identifier] = sym_scoped_identifier,
  [sym_scoped_type_identifier_in_expression_position] = sym_scoped_type_identifier,
  [sym_scoped_type_identifier] = sym_scoped_type_identifier,
  [sym_range_expression] = sym_range_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_try_expression] = sym_try_expression,
  [sym_reference_expression] = sym_reference_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_compound_assignment_expr] = sym_compound_assignment_expr,
  [sym_type_cast_expression] = sym_type_cast_expression,
  [sym_return_expression] = sym_return_expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_arguments] = sym_arguments,
  [sym_array_expression] = sym_array_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_tuple_expression] = sym_tuple_expression,
  [sym_unit_expression] = sym_unit_expression,
  [sym_struct_expression] = sym_struct_expression,
  [sym_field_initializer_list] = sym_field_initializer_list,
  [sym_shorthand_field_initializer] = sym_shorthand_field_initializer,
  [sym_field_initializer] = sym_field_initializer,
  [sym_base_field_initializer] = sym_base_field_initializer,
  [sym_if_expression] = sym_if_expression,
  [sym_let_condition] = sym_let_condition,
  [sym__let_chain] = sym__let_chain,
  [sym__condition] = sym__condition,
  [sym_else_clause] = sym_else_clause,
  [sym_match_expression] = sym_match_expression,
  [sym_match_block] = sym_match_block,
  [sym_match_arm] = sym_match_arm,
  [sym_last_match_arm] = sym_match_arm,
  [sym_match_pattern] = sym_match_pattern,
  [sym_while_expression] = sym_while_expression,
  [sym_loop_expression] = sym_loop_expression,
  [sym_for_expression] = sym_for_expression,
  [sym_const_block] = sym_const_block,
  [sym_closure_expression] = sym_closure_expression,
  [sym_closure_parameters] = sym_closure_parameters,
  [sym_label] = sym_label,
  [sym_break_expression] = sym_break_expression,
  [sym_continue_expression] = sym_continue_expression,
  [sym_index_expression] = sym_index_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_field_expression] = sym_field_expression,
  [sym_unsafe_block] = sym_unsafe_block,
  [sym_async_block] = sym_async_block,
  [sym_try_block] = sym_try_block,
  [sym_block] = sym_block,
  [sym__pattern] = sym__pattern,
  [sym_tuple_pattern] = sym_tuple_pattern,
  [sym_slice_pattern] = sym_slice_pattern,
  [sym_tuple_struct_pattern] = sym_tuple_struct_pattern,
  [sym_struct_pattern] = sym_struct_pattern,
  [sym_field_pattern] = sym_field_pattern,
  [sym_remaining_field_pattern] = sym_remaining_field_pattern,
  [sym_mut_pattern] = sym_mut_pattern,
  [sym_range_pattern] = sym_range_pattern,
  [sym_ref_pattern] = sym_ref_pattern,
  [sym_captured_pattern] = sym_captured_pattern,
  [sym_reference_pattern] = sym_reference_pattern,
  [sym_or_pattern] = sym_or_pattern,
  [sym__literal] = sym__literal,
  [sym__literal_pattern] = sym__literal_pattern,
  [sym_negative_literal] = sym_negative_literal,
  [sym_string_literal] = sym_string_literal,
  [sym_raw_string_literal] = sym_raw_string_literal,
  [sym_boolean_literal] = sym_boolean_literal,
  [sym_line_comment] = sym_line_comment,
  [sym__line_doc_comment_marker] = sym__line_doc_comment_marker,
  [sym__inner_line_doc_comment_marker] = sym__inner_block_doc_comment_marker,
  [sym__outer_line_doc_comment_marker] = sym__outer_block_doc_comment_marker,
  [sym_block_comment] = sym_block_comment,
  [sym__block_doc_comment_marker] = sym__block_doc_comment_marker,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_macro_definition_repeat1] = aux_sym_macro_definition_repeat1,
  [aux_sym_token_tree_pattern_repeat1] = aux_sym_token_tree_pattern_repeat1,
  [aux_sym_token_tree_repeat1] = aux_sym_token_tree_repeat1,
  [aux_sym__non_special_token_repeat1] = aux_sym__non_special_token_repeat1,
  [aux_sym_declaration_list_repeat1] = aux_sym_declaration_list_repeat1,
  [aux_sym_enum_variant_list_repeat1] = aux_sym_enum_variant_list_repeat1,
  [aux_sym_enum_variant_list_repeat2] = aux_sym_enum_variant_list_repeat2,
  [aux_sym_field_declaration_list_repeat1] = aux_sym_field_declaration_list_repeat1,
  [aux_sym_ordered_field_declaration_list_repeat1] = aux_sym_ordered_field_declaration_list_repeat1,
  [aux_sym_function_modifiers_repeat1] = aux_sym_function_modifiers_repeat1,
  [aux_sym_where_clause_repeat1] = aux_sym_where_clause_repeat1,
  [aux_sym_trait_bounds_repeat1] = aux_sym_trait_bounds_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym_use_list_repeat1] = aux_sym_use_list_repeat1,
  [aux_sym_parameters_repeat1] = aux_sym_parameters_repeat1,
  [aux_sym_for_lifetimes_repeat1] = aux_sym_for_lifetimes_repeat1,
  [aux_sym_tuple_type_repeat1] = aux_sym_tuple_type_repeat1,
  [aux_sym_type_arguments_repeat1] = aux_sym_type_arguments_repeat1,
  [aux_sym_delim_token_tree_repeat1] = aux_sym_delim_token_tree_repeat1,
  [aux_sym_arguments_repeat1] = aux_sym_arguments_repeat1,
  [aux_sym_tuple_expression_repeat1] = aux_sym_tuple_expression_repeat1,
  [aux_sym_field_initializer_list_repeat1] = aux_sym_field_initializer_list_repeat1,
  [aux_sym_match_block_repeat1] = aux_sym_match_block_repeat1,
  [aux_sym_match_arm_repeat1] = aux_sym_match_arm_repeat1,
  [aux_sym_closure_parameters_repeat1] = aux_sym_closure_parameters_repeat1,
  [aux_sym_tuple_pattern_repeat1] = aux_sym_tuple_pattern_repeat1,
  [aux_sym_slice_pattern_repeat1] = aux_sym_slice_pattern_repeat1,
  [aux_sym_struct_pattern_repeat1] = aux_sym_struct_pattern_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_let_chain] = alias_sym_let_chain,
  [alias_sym_shorthand_field_identifier] = alias_sym_shorthand_field_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_macro_rules_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_token_repetition_pattern_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_block] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_expr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ident] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_item] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lifetime] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_literal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_meta] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pat] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_path] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_stmt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_tt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ty] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_vis] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_i8] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_u16] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_i16] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_u32] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_i32] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_u64] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_i64] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_u128] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_i128] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_isize] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_usize] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_f32] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_f64] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_str] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_char] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_impl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_loop] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mod] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pub] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_trait] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsafe] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_use] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_where] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ref] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_dyn] = {
    .visible = true,
    .named = false,
  },
  [sym_mutable_specifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_move] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [sym_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_literal_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_char_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_line_comment_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_line_comment_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_line_comment_token3] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BANG2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym_shebang] = {
    .visible = true,
    .named = true,
  },
  [sym_self] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_crate] = {
    .visible = true,
    .named = true,
  },
  [sym_metavariable] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym__raw_string_literal_start] = {
    .visible = false,
    .named = true,
  },
  [sym_raw_string_literal_content] = {
    .visible = true,
    .named = true,
  },
  [sym__raw_string_literal_end] = {
    .visible = false,
    .named = true,
  },
  [sym_float_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__outer_block_doc_comment_marker] = {
    .visible = true,
    .named = true,
  },
  [sym__inner_block_doc_comment_marker] = {
    .visible = true,
    .named = true,
  },
  [sym__block_comment_content] = {
    .visible = false,
    .named = true,
  },
  [sym__line_doc_content] = {
    .visible = true,
    .named = true,
  },
  [sym__error_sentinel] = {
    .visible = false,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_macro_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_macro_rule] = {
    .visible = true,
    .named = true,
  },
  [sym__token_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_token_tree_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_token_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_token_repetition_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_fragment_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_token_tree] = {
    .visible = true,
    .named = true,
  },
  [sym_token_repetition] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_item] = {
    .visible = true,
    .named = true,
  },
  [sym_inner_attribute_item] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_mod_item] = {
    .visible = true,
    .named = true,
  },
  [sym_foreign_mod_item] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_item] = {
    .visible = true,
    .named = true,
  },
  [sym_union_item] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_item] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_variant_list] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_variant] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_ordered_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_extern_crate_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_const_item] = {
    .visible = true,
    .named = true,
  },
  [sym_static_item] = {
    .visible = true,
    .named = true,
  },
  [sym_type_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_signature_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_modifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_where_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_where_predicate] = {
    .visible = true,
    .named = true,
  },
  [sym_impl_item] = {
    .visible = true,
    .named = true,
  },
  [sym_trait_item] = {
    .visible = true,
    .named = true,
  },
  [sym_associated_type] = {
    .visible = true,
    .named = true,
  },
  [sym_trait_bounds] = {
    .visible = true,
    .named = true,
  },
  [sym_higher_ranked_trait_bound] = {
    .visible = true,
    .named = true,
  },
  [sym_removed_trait_bound] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_const_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_constrained_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_let_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_use_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__use_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_scoped_use_list] = {
    .visible = true,
    .named = true,
  },
  [sym_use_list] = {
    .visible = true,
    .named = true,
  },
  [sym_use_as_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_use_wildcard] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_self_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_extern_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_visibility_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_bracketed_type] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_type] = {
    .visible = true,
    .named = true,
  },
  [sym_lifetime] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_for_lifetimes] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_unit_type] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type_with_turbofish] = {
    .visible = true,
    .named = true,
  },
  [sym_bounded_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_type_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_type] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_never_type] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_type] = {
    .visible = true,
    .named = true,
  },
  [sym_dynamic_type] = {
    .visible = true,
    .named = true,
  },
  [sym__expression_except_range] = {
    .visible = false,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_macro_invocation] = {
    .visible = true,
    .named = true,
  },
  [sym_delim_token_tree] = {
    .visible = true,
    .named = true,
  },
  [sym__delim_tokens] = {
    .visible = false,
    .named = true,
  },
  [sym__non_delim_token] = {
    .visible = false,
    .named = true,
  },
  [sym_scoped_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_type_identifier_in_expression_position] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_range_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_try_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_assignment_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_type_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_return_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_array_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unit_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_shorthand_field_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_base_field_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_if_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_condition] = {
    .visible = true,
    .named = true,
  },
  [sym__let_chain] = {
    .visible = false,
    .named = true,
  },
  [sym__condition] = {
    .visible = false,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_block] = {
    .visible = true,
    .named = true,
  },
  [sym_match_arm] = {
    .visible = true,
    .named = true,
  },
  [sym_last_match_arm] = {
    .visible = true,
    .named = true,
  },
  [sym_match_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_while_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_loop_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_for_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_const_block] = {
    .visible = true,
    .named = true,
  },
  [sym_closure_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_closure_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_label] = {
    .visible = true,
    .named = true,
  },
  [sym_break_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_index_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unsafe_block] = {
    .visible = true,
    .named = true,
  },
  [sym_async_block] = {
    .visible = true,
    .named = true,
  },
  [sym_try_block] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym__pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_struct_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_field_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_remaining_field_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_mut_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_range_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_ref_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_captured_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_or_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__literal] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__literal_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_negative_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_line_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__line_doc_comment_marker] = {
    .visible = false,
    .named = true,
  },
  [sym__inner_line_doc_comment_marker] = {
    .visible = true,
    .named = true,
  },
  [sym__outer_line_doc_comment_marker] = {
    .visible = true,
    .named = true,
  },
  [sym_block_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__block_doc_comment_marker] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_macro_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_token_tree_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_token_tree_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__non_special_token_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_variant_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_variant_list_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_ordered_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_modifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_where_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_trait_bounds_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_use_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_lifetimes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_delim_token_tree_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_arm_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_closure_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_slice_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_struct_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_let_chain] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_body = 5,
  field_bounds = 6,
  field_condition = 7,
  field_consequence = 8,
  field_default_type = 9,
  field_doc = 10,
  field_element = 11,
  field_field = 12,
  field_function = 13,
  field_inner = 14,
  field_left = 15,
  field_length = 16,
  field_list = 17,
  field_macro = 18,
  field_name = 19,
  field_operator = 20,
  field_outer = 21,
  field_parameters = 22,
  field_path = 23,
  field_pattern = 24,
  field_return_type = 25,
  field_right = 26,
  field_trait = 27,
  field_type = 28,
  field_type_arguments = 29,
  field_type_parameters = 30,
  field_value = 31,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_bounds] = "bounds",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_default_type] = "default_type",
  [field_doc] = "doc",
  [field_element] = "element",
  [field_field] = "field",
  [field_function] = "function",
  [field_inner] = "inner",
  [field_left] = "left",
  [field_length] = "length",
  [field_list] = "list",
  [field_macro] = "macro",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_outer] = "outer",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_pattern] = "pattern",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_trait] = "trait",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_parameters] = "type_parameters",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 1},
  [6] = {.index = 3, .length = 1},
  [7] = {.index = 3, .length = 1},
  [8] = {.index = 4, .length = 1},
  [10] = {.index = 5, .length = 2},
  [11] = {.index = 5, .length = 2},
  [12] = {.index = 7, .length = 2},
  [13] = {.index = 9, .length = 2},
  [14] = {.index = 11, .length = 3},
  [15] = {.index = 14, .length = 2},
  [16] = {.index = 16, .length = 2},
  [17] = {.index = 16, .length = 2},
  [18] = {.index = 18, .length = 1},
  [19] = {.index = 19, .length = 2},
  [20] = {.index = 19, .length = 2},
  [21] = {.index = 19, .length = 2},
  [22] = {.index = 21, .length = 1},
  [23] = {.index = 22, .length = 1},
  [24] = {.index = 23, .length = 1},
  [25] = {.index = 23, .length = 1},
  [26] = {.index = 24, .length = 2},
  [27] = {.index = 24, .length = 2},
  [28] = {.index = 26, .length = 1},
  [29] = {.index = 27, .length = 2},
  [30] = {.index = 29, .length = 2},
  [31] = {.index = 31, .length = 2},
  [32] = {.index = 33, .length = 1},
  [33] = {.index = 34, .length = 2},
  [34] = {.index = 27, .length = 2},
  [35] = {.index = 36, .length = 2},
  [36] = {.index = 38, .length = 1},
  [37] = {.index = 39, .length = 1},
  [38] = {.index = 40, .length = 2},
  [39] = {.index = 26, .length = 1},
  [40] = {.index = 16, .length = 2},
  [41] = {.index = 16, .length = 2},
  [42] = {.index = 42, .length = 2},
  [43] = {.index = 44, .length = 2},
  [44] = {.index = 46, .length = 1},
  [45] = {.index = 16, .length = 2},
  [46] = {.index = 16, .length = 2},
  [47] = {.index = 47, .length = 3},
  [48] = {.index = 50, .length = 2},
  [49] = {.index = 52, .length = 2},
  [50] = {.index = 52, .length = 2},
  [51] = {.index = 54, .length = 2},
  [52] = {.index = 44, .length = 2},
  [53] = {.index = 11, .length = 3},
  [54] = {.index = 3, .length = 1},
  [56] = {.index = 56, .length = 1},
  [57] = {.index = 56, .length = 1},
  [58] = {.index = 57, .length = 1},
  [60] = {.index = 58, .length = 2},
  [61] = {.index = 56, .length = 1},
  [62] = {.index = 60, .length = 1},
  [63] = {.index = 61, .length = 1},
  [64] = {.index = 62, .length = 1},
  [65] = {.index = 63, .length = 2},
  [66] = {.index = 65, .length = 2},
  [67] = {.index = 65, .length = 2},
  [68] = {.index = 67, .length = 1},
  [69] = {.index = 67, .length = 1},
  [70] = {.index = 57, .length = 1},
  [71] = {.index = 68, .length = 2},
  [72] = {.index = 70, .length = 3},
  [73] = {.index = 73, .length = 2},
  [74] = {.index = 75, .length = 3},
  [75] = {.index = 78, .length = 3},
  [77] = {.index = 81, .length = 2},
  [78] = {.index = 81, .length = 2},
  [79] = {.index = 83, .length = 2},
  [80] = {.index = 85, .length = 3},
  [81] = {.index = 88, .length = 2},
  [82] = {.index = 90, .length = 1},
  [83] = {.index = 91, .length = 2},
  [84] = {.index = 93, .length = 2},
  [85] = {.index = 95, .length = 3},
  [86] = {.index = 98, .length = 2},
  [87] = {.index = 100, .length = 2},
  [88] = {.index = 102, .length = 2},
  [89] = {.index = 104, .length = 2},
  [90] = {.index = 106, .length = 2},
  [91] = {.index = 104, .length = 2},
  [92] = {.index = 106, .length = 2},
  [93] = {.index = 108, .length = 1},
  [94] = {.index = 102, .length = 2},
  [95] = {.index = 108, .length = 1},
  [96] = {.index = 109, .length = 1},
  [97] = {.index = 110, .length = 3},
  [98] = {.index = 113, .length = 1},
  [99] = {.index = 114, .length = 1},
  [100] = {.index = 115, .length = 2},
  [101] = {.index = 3, .length = 1},
  [102] = {.index = 117, .length = 1},
  [103] = {.index = 118, .length = 2},
  [104] = {.index = 120, .length = 1},
  [105] = {.index = 120, .length = 1},
  [106] = {.index = 121, .length = 3},
  [107] = {.index = 124, .length = 1},
  [108] = {.index = 121, .length = 3},
  [109] = {.index = 18, .length = 1},
  [110] = {.index = 125, .length = 2},
  [111] = {.index = 127, .length = 3},
  [112] = {.index = 130, .length = 3},
  [113] = {.index = 133, .length = 4},
  [114] = {.index = 137, .length = 3},
  [115] = {.index = 140, .length = 3},
  [116] = {.index = 143, .length = 2},
  [117] = {.index = 145, .length = 2},
  [118] = {.index = 145, .length = 2},
  [120] = {.index = 147, .length = 2},
  [121] = {.index = 149, .length = 3},
  [122] = {.index = 152, .length = 3},
  [123] = {.index = 147, .length = 2},
  [124] = {.index = 149, .length = 3},
  [125] = {.index = 155, .length = 2},
  [127] = {.index = 157, .length = 3},
  [128] = {.index = 160, .length = 3},
  [129] = {.index = 163, .length = 4},
  [130] = {.index = 125, .length = 2},
  [131] = {.index = 167, .length = 3},
  [132] = {.index = 170, .length = 2},
  [133] = {.index = 172, .length = 3},
  [134] = {.index = 175, .length = 2},
  [135] = {.index = 177, .length = 2},
  [136] = {.index = 179, .length = 3},
  [137] = {.index = 182, .length = 3},
  [138] = {.index = 185, .length = 2},
  [139] = {.index = 185, .length = 2},
  [140] = {.index = 187, .length = 2},
  [141] = {.index = 189, .length = 3},
  [142] = {.index = 192, .length = 2},
  [143] = {.index = 194, .length = 2},
  [144] = {.index = 196, .length = 1},
  [145] = {.index = 197, .length = 2},
  [146] = {.index = 199, .length = 1},
  [147] = {.index = 200, .length = 2},
  [148] = {.index = 108, .length = 1},
  [149] = {.index = 202, .length = 2},
  [150] = {.index = 204, .length = 2},
  [151] = {.index = 206, .length = 1},
  [152] = {.index = 207, .length = 2},
  [153] = {.index = 209, .length = 3},
  [154] = {.index = 209, .length = 3},
  [155] = {.index = 212, .length = 2},
  [156] = {.index = 214, .length = 4},
  [157] = {.index = 218, .length = 3},
  [158] = {.index = 221, .length = 4},
  [159] = {.index = 225, .length = 2},
  [160] = {.index = 227, .length = 3},
  [161] = {.index = 225, .length = 2},
  [162] = {.index = 227, .length = 3},
  [163] = {.index = 230, .length = 3},
  [164] = {.index = 233, .length = 3},
  [165] = {.index = 236, .length = 4},
  [166] = {.index = 233, .length = 3},
  [167] = {.index = 236, .length = 4},
  [168] = {.index = 230, .length = 3},
  [169] = {.index = 240, .length = 2},
  [170] = {.index = 242, .length = 2},
  [171] = {.index = 244, .length = 2},
  [172] = {.index = 246, .length = 2},
  [173] = {.index = 248, .length = 1},
  [174] = {.index = 249, .length = 2},
  [175] = {.index = 251, .length = 3},
  [176] = {.index = 254, .length = 2},
  [177] = {.index = 256, .length = 2},
  [178] = {.index = 200, .length = 2},
  [179] = {.index = 258, .length = 4},
  [180] = {.index = 262, .length = 3},
  [181] = {.index = 265, .length = 3},
  [182] = {.index = 268, .length = 3},
  [183] = {.index = 271, .length = 3},
  [184] = {.index = 274, .length = 4},
  [185] = {.index = 278, .length = 2},
  [186] = {.index = 280, .length = 2},
  [187] = {.index = 280, .length = 2},
  [188] = {.index = 282, .length = 3},
  [189] = {.index = 285, .length = 4},
  [190] = {.index = 289, .length = 3},
  [191] = {.index = 249, .length = 2},
  [192] = {.index = 292, .length = 2},
  [193] = {.index = 294, .length = 3},
  [194] = {.index = 297, .length = 3},
  [195] = {.index = 300, .length = 2},
  [196] = {.index = 302, .length = 3},
  [197] = {.index = 200, .length = 2},
  [198] = {.index = 305, .length = 3},
  [199] = {.index = 308, .length = 2},
  [200] = {.index = 310, .length = 2},
  [201] = {.index = 312, .length = 3},
  [202] = {.index = 315, .length = 3},
  [203] = {.index = 318, .length = 2},
  [204] = {.index = 320, .length = 4},
  [205] = {.index = 324, .length = 5},
  [206] = {.index = 329, .length = 4},
  [207] = {.index = 333, .length = 3},
  [208] = {.index = 333, .length = 3},
  [209] = {.index = 336, .length = 3},
  [210] = {.index = 339, .length = 4},
  [211] = {.index = 336, .length = 3},
  [212] = {.index = 339, .length = 4},
  [213] = {.index = 343, .length = 4},
  [214] = {.index = 343, .length = 4},
  [215] = {.index = 347, .length = 3},
  [216] = {.index = 350, .length = 3},
  [217] = {.index = 353, .length = 3},
  [218] = {.index = 356, .length = 2},
  [219] = {.index = 358, .length = 2},
  [220] = {.index = 125, .length = 2},
  [221] = {.index = 360, .length = 2},
  [222] = {.index = 362, .length = 3},
  [223] = {.index = 360, .length = 2},
  [224] = {.index = 362, .length = 3},
  [225] = {.index = 365, .length = 3},
  [226] = {.index = 368, .length = 4},
  [227] = {.index = 365, .length = 3},
  [228] = {.index = 368, .length = 4},
  [229] = {.index = 372, .length = 4},
  [230] = {.index = 376, .length = 4},
  [231] = {.index = 380, .length = 3},
  [232] = {.index = 383, .length = 4},
  [233] = {.index = 387, .length = 3},
  [234] = {.index = 390, .length = 3},
  [235] = {.index = 393, .length = 3},
  [236] = {.index = 396, .length = 4},
  [237] = {.index = 400, .length = 2},
  [238] = {.index = 402, .length = 3},
  [239] = {.index = 405, .length = 4},
  [240] = {.index = 409, .length = 3},
  [241] = {.index = 412, .length = 3},
  [242] = {.index = 415, .length = 2},
  [243] = {.index = 417, .length = 3},
  [244] = {.index = 420, .length = 5},
  [245] = {.index = 425, .length = 4},
  [246] = {.index = 425, .length = 4},
  [247] = {.index = 429, .length = 3},
  [248] = {.index = 432, .length = 3},
  [249] = {.index = 435, .length = 3},
  [250] = {.index = 438, .length = 3},
  [251] = {.index = 441, .length = 2},
  [252] = {.index = 443, .length = 3},
  [253] = {.index = 443, .length = 3},
  [254] = {.index = 446, .length = 3},
  [255] = {.index = 449, .length = 4},
  [256] = {.index = 446, .length = 3},
  [257] = {.index = 449, .length = 4},
  [258] = {.index = 453, .length = 4},
  [259] = {.index = 453, .length = 4},
  [260] = {.index = 457, .length = 4},
  [261] = {.index = 461, .length = 5},
  [262] = {.index = 466, .length = 4},
  [263] = {.index = 470, .length = 2},
  [264] = {.index = 472, .length = 4},
  [265] = {.index = 476, .length = 4},
  [266] = {.index = 480, .length = 3},
  [267] = {.index = 483, .length = 4},
  [268] = {.index = 487, .length = 4},
  [269] = {.index = 491, .length = 3},
  [270] = {.index = 494, .length = 4},
  [271] = {.index = 494, .length = 4},
  [272] = {.index = 498, .length = 5},
  [273] = {.index = 503, .length = 4},
  [274] = {.index = 507, .length = 5},
  [275] = {.index = 512, .length = 4},
  [276] = {.index = 516, .length = 4},
  [277] = {.index = 520, .length = 3},
  [278] = {.index = 523, .length = 5},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_inner, 0},
  [1] =
    {field_outer, 0},
  [2] =
    {field_value, 1},
  [3] =
    {field_name, 1},
  [4] =
    {field_body, 1},
  [5] =
    {field_body, 1},
    {field_name, 0},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_body, 1},
    {field_parameters, 0},
  [11] =
    {field_doc, 2},
    {field_inner, 1, .inherited = true},
    {field_outer, 1, .inherited = true},
  [14] =
    {field_inner, 1, .inherited = true},
    {field_outer, 1, .inherited = true},
  [16] =
    {field_name, 2},
    {field_path, 0},
  [18] =
    {field_value, 2},
  [19] =
    {field_type, 0},
    {field_type_arguments, 1},
  [21] =
    {field_type, 1},
  [22] =
    {field_parameters, 1},
  [23] =
    {field_trait, 1},
  [24] =
    {field_parameters, 1},
    {field_trait, 0},
  [26] =
    {field_macro, 0},
  [27] =
    {field_body, 2},
    {field_name, 1},
  [29] =
    {field_condition, 1},
    {field_consequence, 2},
  [31] =
    {field_body, 2},
    {field_type, 1},
  [33] =
    {field_pattern, 1},
  [34] =
    {field_body, 2},
    {field_value, 1},
  [36] =
    {field_body, 2},
    {field_parameters, 1},
  [38] =
    {field_list, 1},
  [39] =
    {field_argument, 1},
  [40] =
    {field_body, 2},
    {field_condition, 1},
  [42] =
    {field_function, 0},
    {field_type_arguments, 2},
  [44] =
    {field_type, 0},
    {field_type_arguments, 2},
  [46] =
    {field_body, 2},
  [47] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [50] =
    {field_left, 0},
    {field_right, 2},
  [52] =
    {field_field, 2},
    {field_value, 0},
  [54] =
    {field_type, 2},
    {field_value, 0},
  [56] =
    {field_type, 0},
  [57] =
    {field_name, 0},
  [58] =
    {field_pattern, 0},
    {field_type, 2},
  [60] =
    {field_element, 1},
  [61] =
    {field_type, 2},
  [62] =
    {field_parameters, 2},
  [63] =
    {field_alias, 2},
    {field_type, 0},
  [65] =
    {field_parameters, 2},
    {field_trait, 1},
  [67] =
    {field_arguments, 1},
  [68] =
    {field_body, 3},
    {field_name, 1},
  [70] =
    {field_body, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [73] =
    {field_name, 1},
    {field_parameters, 2},
  [75] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [78] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [81] =
    {field_bounds, 1},
    {field_left, 0},
  [83] =
    {field_type, 2},
    {field_type_parameters, 1},
  [85] =
    {field_body, 3},
    {field_type, 2},
    {field_type_parameters, 1},
  [88] =
    {field_body, 3},
    {field_type, 1},
  [90] =
    {field_pattern, 2},
  [91] =
    {field_body, 3},
    {field_parameters, 2},
  [93] =
    {field_name, 1},
    {field_type_parameters, 2},
  [95] =
    {field_body, 3},
    {field_bounds, 2},
    {field_name, 1},
  [98] =
    {field_bounds, 2},
    {field_name, 1},
  [100] =
    {field_body, 3},
    {field_type, 2},
  [102] =
    {field_body, 3},
    {field_name, 2},
  [104] =
    {field_list, 2},
    {field_path, 0},
  [106] =
    {field_alias, 2},
    {field_path, 0},
  [108] =
    {field_name, 2},
  [109] =
    {field_argument, 2},
  [110] =
    {field_body, 3},
    {field_parameters, 0},
    {field_return_type, 2},
  [113] =
    {field_body, 3},
  [114] =
    {field_length, 3},
  [115] =
    {field_pattern, 1},
    {field_type, 3},
  [117] =
    {field_type, 3},
  [118] =
    {field_parameters, 1},
    {field_return_type, 3},
  [120] =
    {field_trait, 3},
  [121] =
    {field_parameters, 1},
    {field_return_type, 3},
    {field_trait, 0},
  [124] =
    {field_parameters, 3},
  [125] =
    {field_name, 1},
    {field_type, 3},
  [127] =
    {field_body, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [130] =
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [133] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [137] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 2},
  [140] =
    {field_body, 4},
    {field_pattern, 1},
    {field_value, 3},
  [143] =
    {field_pattern, 1},
    {field_value, 3},
  [145] =
    {field_default_type, 2},
    {field_name, 0},
  [147] =
    {field_trait, 1},
    {field_type, 3},
  [149] =
    {field_body, 4},
    {field_trait, 1},
    {field_type, 3},
  [152] =
    {field_body, 4},
    {field_type, 2},
    {field_type_parameters, 1},
  [155] =
    {field_alternative, 3},
    {field_pattern, 1},
  [157] =
    {field_body, 4},
    {field_parameters, 1},
    {field_return_type, 3},
  [160] =
    {field_body, 4},
    {field_bounds, 2},
    {field_name, 1},
  [163] =
    {field_body, 4},
    {field_bounds, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [167] =
    {field_bounds, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [170] =
    {field_type, 3},
    {field_type_parameters, 2},
  [172] =
    {field_body, 4},
    {field_type, 3},
    {field_type_parameters, 2},
  [175] =
    {field_body, 4},
    {field_type, 2},
  [177] =
    {field_body, 4},
    {field_name, 2},
  [179] =
    {field_body, 4},
    {field_bounds, 3},
    {field_name, 2},
  [182] =
    {field_body, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [185] =
    {field_field, 0},
    {field_value, 2},
  [187] =
    {field_name, 2},
    {field_parameters, 3},
  [189] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
  [192] =
    {field_name, 2},
    {field_type_parameters, 3},
  [194] =
    {field_body, 4},
    {field_name, 3},
  [196] =
    {field_name, 3},
  [197] =
    {field_body, 4},
    {field_condition, 3},
  [199] =
    {field_length, 4},
  [200] =
    {field_name, 0},
    {field_type, 2},
  [202] =
    {field_name, 0},
    {field_pattern, 2},
  [204] =
    {field_element, 1},
    {field_length, 3},
  [206] =
    {field_pattern, 0},
  [207] =
    {field_parameters, 2},
    {field_return_type, 4},
  [209] =
    {field_parameters, 2},
    {field_return_type, 4},
    {field_trait, 1},
  [212] =
    {field_name, 0},
    {field_value, 2},
  [214] =
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [218] =
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [221] =
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [225] =
    {field_trait, 2},
    {field_type, 4},
  [227] =
    {field_body, 5},
    {field_trait, 2},
    {field_type, 4},
  [230] =
    {field_body, 5},
    {field_trait, 1},
    {field_type, 3},
  [233] =
    {field_trait, 2},
    {field_type, 4},
    {field_type_parameters, 1},
  [236] =
    {field_body, 5},
    {field_trait, 2},
    {field_type, 4},
    {field_type_parameters, 1},
  [240] =
    {field_pattern, 2},
    {field_type, 4},
  [242] =
    {field_pattern, 2},
    {field_value, 4},
  [244] =
    {field_alternative, 4},
    {field_pattern, 2},
  [246] =
    {field_pattern, 0},
    {field_value, 2},
  [248] =
    {field_condition, 2},
  [249] =
    {field_name, 2},
    {field_type, 4},
  [251] =
    {field_body, 5},
    {field_parameters, 2},
    {field_return_type, 4},
  [254] =
    {field_type, 1},
    {field_type, 2, .inherited = true},
  [256] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [258] =
    {field_body, 5},
    {field_bounds, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [262] =
    {field_name, 1},
    {field_type, 4},
    {field_type_parameters, 2},
  [265] =
    {field_body, 5},
    {field_type, 3},
    {field_type_parameters, 2},
  [268] =
    {field_body, 5},
    {field_bounds, 3},
    {field_name, 2},
  [271] =
    {field_body, 5},
    {field_name, 2},
    {field_type_parameters, 3},
  [274] =
    {field_body, 5},
    {field_bounds, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [278] =
    {field_alias, 4},
    {field_name, 2},
  [280] =
    {field_field, 1},
    {field_value, 3},
  [282] =
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [285] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [289] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
  [292] =
    {field_body, 5},
    {field_name, 3},
  [294] =
    {field_body, 5},
    {field_bounds, 4},
    {field_name, 3},
  [297] =
    {field_body, 5},
    {field_name, 3},
    {field_type_parameters, 4},
  [300] =
    {field_name, 3},
    {field_parameters, 4},
  [302] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4},
  [305] =
    {field_name, 0},
    {field_type, 3},
    {field_type_arguments, 1},
  [308] =
    {field_name, 1},
    {field_pattern, 3},
  [310] =
    {field_parameters, 3},
    {field_return_type, 5},
  [312] =
    {field_name, 1},
    {field_type, 3},
    {field_value, 5},
  [315] =
    {field_body, 1},
    {field_name, 0},
    {field_value, 3},
  [318] =
    {field_name, 1},
    {field_value, 3},
  [320] =
    {field_name, 1},
    {field_parameters, 3},
    {field_return_type, 5},
    {field_type_parameters, 2},
  [324] =
    {field_body, 6},
    {field_name, 1},
    {field_parameters, 3},
    {field_return_type, 5},
    {field_type_parameters, 2},
  [329] =
    {field_body, 6},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [333] =
    {field_body, 6},
    {field_trait, 2},
    {field_type, 4},
  [336] =
    {field_trait, 3},
    {field_type, 5},
    {field_type_parameters, 1},
  [339] =
    {field_body, 6},
    {field_trait, 3},
    {field_type, 5},
    {field_type_parameters, 1},
  [343] =
    {field_body, 6},
    {field_trait, 2},
    {field_type, 4},
    {field_type_parameters, 1},
  [347] =
    {field_pattern, 1},
    {field_type, 3},
    {field_value, 5},
  [350] =
    {field_alternative, 5},
    {field_pattern, 1},
    {field_type, 3},
  [353] =
    {field_alternative, 5},
    {field_pattern, 1},
    {field_value, 3},
  [356] =
    {field_name, 3},
    {field_type, 5},
  [358] =
    {field_type, 2},
    {field_type, 3, .inherited = true},
  [360] =
    {field_trait, 3},
    {field_type, 5},
  [362] =
    {field_body, 6},
    {field_trait, 3},
    {field_type, 5},
  [365] =
    {field_trait, 3},
    {field_type, 5},
    {field_type_parameters, 2},
  [368] =
    {field_body, 6},
    {field_trait, 3},
    {field_type, 5},
    {field_type_parameters, 2},
  [372] =
    {field_body, 6},
    {field_bounds, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [376] =
    {field_body, 6},
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [380] =
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [383] =
    {field_body, 6},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [387] =
    {field_name, 2},
    {field_type, 5},
    {field_type_parameters, 3},
  [390] =
    {field_body, 6},
    {field_bounds, 4},
    {field_name, 3},
  [393] =
    {field_body, 6},
    {field_name, 3},
    {field_type_parameters, 4},
  [396] =
    {field_body, 6},
    {field_bounds, 5},
    {field_name, 3},
    {field_type_parameters, 4},
  [400] =
    {field_alias, 5},
    {field_name, 3},
  [402] =
    {field_name, 3},
    {field_parameters, 5},
    {field_type_parameters, 4},
  [405] =
    {field_body, 6},
    {field_name, 3},
    {field_parameters, 5},
    {field_type_parameters, 4},
  [409] =
    {field_body, 6},
    {field_name, 3},
    {field_parameters, 4},
  [412] =
    {field_body, 6},
    {field_pattern, 3},
    {field_value, 5},
  [415] =
    {field_name, 2},
    {field_pattern, 4},
  [417] =
    {field_body, 2},
    {field_name, 1},
    {field_value, 4},
  [420] =
    {field_body, 7},
    {field_name, 1},
    {field_parameters, 3},
    {field_return_type, 5},
    {field_type_parameters, 2},
  [425] =
    {field_body, 7},
    {field_trait, 3},
    {field_type, 5},
    {field_type_parameters, 1},
  [429] =
    {field_pattern, 2},
    {field_type, 4},
    {field_value, 6},
  [432] =
    {field_alternative, 6},
    {field_pattern, 2},
    {field_type, 4},
  [435] =
    {field_alternative, 6},
    {field_pattern, 2},
    {field_value, 4},
  [438] =
    {field_name, 2},
    {field_type, 4},
    {field_value, 6},
  [441] =
    {field_type, 3},
    {field_type, 4, .inherited = true},
  [443] =
    {field_body, 7},
    {field_trait, 3},
    {field_type, 5},
  [446] =
    {field_trait, 4},
    {field_type, 6},
    {field_type_parameters, 2},
  [449] =
    {field_body, 7},
    {field_trait, 4},
    {field_type, 6},
    {field_type_parameters, 2},
  [453] =
    {field_body, 7},
    {field_trait, 3},
    {field_type, 5},
    {field_type_parameters, 2},
  [457] =
    {field_name, 2},
    {field_parameters, 4},
    {field_return_type, 6},
    {field_type_parameters, 3},
  [461] =
    {field_body, 7},
    {field_name, 2},
    {field_parameters, 4},
    {field_return_type, 6},
    {field_type_parameters, 3},
  [466] =
    {field_body, 7},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [470] =
    {field_name, 4},
    {field_type, 6},
  [472] =
    {field_body, 7},
    {field_bounds, 5},
    {field_name, 3},
    {field_type_parameters, 4},
  [476] =
    {field_body, 7},
    {field_name, 3},
    {field_parameters, 5},
    {field_type_parameters, 4},
  [480] =
    {field_name, 3},
    {field_parameters, 4},
    {field_return_type, 6},
  [483] =
    {field_body, 7},
    {field_name, 3},
    {field_parameters, 4},
    {field_return_type, 6},
  [487] =
    {field_alternative, 7},
    {field_pattern, 1},
    {field_type, 3},
    {field_value, 5},
  [491] =
    {field_name, 3},
    {field_type, 5},
    {field_value, 7},
  [494] =
    {field_body, 8},
    {field_trait, 4},
    {field_type, 6},
    {field_type_parameters, 2},
  [498] =
    {field_body, 8},
    {field_name, 2},
    {field_parameters, 4},
    {field_return_type, 6},
    {field_type_parameters, 3},
  [503] =
    {field_name, 3},
    {field_parameters, 5},
    {field_return_type, 7},
    {field_type_parameters, 4},
  [507] =
    {field_body, 8},
    {field_name, 3},
    {field_parameters, 5},
    {field_return_type, 7},
    {field_type_parameters, 4},
  [512] =
    {field_body, 8},
    {field_name, 3},
    {field_parameters, 4},
    {field_return_type, 6},
  [516] =
    {field_alternative, 8},
    {field_pattern, 2},
    {field_type, 4},
    {field_value, 6},
  [520] =
    {field_name, 4},
    {field_type, 6},
    {field_value, 8},
  [523] =
    {field_body, 9},
    {field_name, 3},
    {field_parameters, 5},
    {field_return_type, 7},
    {field_type_parameters, 4},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [5] = {
    [0] = alias_sym_type_identifier,
  },
  [7] = {
    [1] = alias_sym_type_identifier,
  },
  [9] = {
    [0] = alias_sym_let_chain,
  },
  [10] = {
    [0] = alias_sym_type_identifier,
  },
  [16] = {
    [0] = sym_identifier,
  },
  [17] = {
    [0] = sym_identifier,
    [2] = alias_sym_type_identifier,
  },
  [19] = {
    [0] = sym_identifier,
  },
  [20] = {
    [0] = alias_sym_type_identifier,
  },
  [24] = {
    [1] = alias_sym_type_identifier,
  },
  [26] = {
    [0] = alias_sym_type_identifier,
  },
  [28] = {
    [0] = sym_identifier,
  },
  [29] = {
    [1] = alias_sym_type_identifier,
  },
  [41] = {
    [2] = alias_sym_type_identifier,
  },
  [43] = {
    [0] = alias_sym_type_identifier,
  },
  [45] = {
    [0] = sym_generic_type,
  },
  [46] = {
    [0] = sym_generic_type,
    [2] = alias_sym_type_identifier,
  },
  [50] = {
    [2] = alias_sym_field_identifier,
  },
  [53] = {
    [2] = sym__line_doc_content,
  },
  [54] = {
    [1] = sym_identifier,
  },
  [55] = {
    [0] = sym_identifier,
    [2] = sym_identifier,
  },
  [57] = {
    [0] = alias_sym_type_identifier,
  },
  [58] = {
    [0] = alias_sym_shorthand_field_identifier,
  },
  [59] = {
    [2] = sym_identifier,
  },
  [61] = {
    [0] = sym_generic_type,
  },
  [66] = {
    [1] = alias_sym_type_identifier,
  },
  [68] = {
    [0] = sym_identifier,
  },
  [71] = {
    [1] = alias_sym_type_identifier,
  },
  [72] = {
    [1] = alias_sym_type_identifier,
  },
  [76] = {
    [1] = alias_sym_type_identifier,
  },
  [77] = {
    [0] = alias_sym_type_identifier,
  },
  [84] = {
    [1] = alias_sym_type_identifier,
  },
  [85] = {
    [1] = alias_sym_type_identifier,
  },
  [86] = {
    [1] = alias_sym_type_identifier,
  },
  [88] = {
    [2] = alias_sym_type_identifier,
  },
  [89] = {
    [0] = sym_identifier,
  },
  [90] = {
    [0] = sym_identifier,
  },
  [95] = {
    [2] = alias_sym_type_identifier,
  },
  [101] = {
    [1] = alias_sym_shorthand_field_identifier,
  },
  [104] = {
    [3] = alias_sym_type_identifier,
  },
  [106] = {
    [0] = alias_sym_type_identifier,
  },
  [109] = {
    [0] = sym_identifier,
  },
  [111] = {
    [1] = alias_sym_type_identifier,
  },
  [117] = {
    [0] = alias_sym_type_identifier,
  },
  [119] = {
    [2] = alias_sym_type_identifier,
  },
  [120] = {
    [1] = alias_sym_type_identifier,
  },
  [121] = {
    [1] = alias_sym_type_identifier,
  },
  [126] = {
    [3] = sym_identifier,
  },
  [128] = {
    [1] = alias_sym_type_identifier,
  },
  [129] = {
    [1] = alias_sym_type_identifier,
  },
  [130] = {
    [1] = alias_sym_type_identifier,
  },
  [131] = {
    [1] = alias_sym_type_identifier,
  },
  [135] = {
    [2] = alias_sym_type_identifier,
  },
  [136] = {
    [2] = alias_sym_type_identifier,
  },
  [137] = {
    [2] = alias_sym_type_identifier,
  },
  [139] = {
    [0] = alias_sym_field_identifier,
  },
  [142] = {
    [2] = alias_sym_type_identifier,
  },
  [143] = {
    [3] = alias_sym_type_identifier,
  },
  [147] = {
    [0] = alias_sym_type_identifier,
  },
  [148] = {
    [2] = alias_sym_shorthand_field_identifier,
  },
  [149] = {
    [0] = alias_sym_field_identifier,
  },
  [153] = {
    [1] = alias_sym_type_identifier,
  },
  [159] = {
    [2] = alias_sym_type_identifier,
  },
  [160] = {
    [2] = alias_sym_type_identifier,
  },
  [163] = {
    [1] = alias_sym_type_identifier,
  },
  [164] = {
    [2] = alias_sym_type_identifier,
  },
  [165] = {
    [2] = alias_sym_type_identifier,
  },
  [178] = {
    [0] = alias_sym_field_identifier,
  },
  [179] = {
    [1] = alias_sym_type_identifier,
  },
  [180] = {
    [1] = alias_sym_type_identifier,
  },
  [182] = {
    [2] = alias_sym_type_identifier,
  },
  [183] = {
    [2] = alias_sym_type_identifier,
  },
  [184] = {
    [2] = alias_sym_type_identifier,
  },
  [187] = {
    [1] = alias_sym_field_identifier,
  },
  [191] = {
    [2] = alias_sym_type_identifier,
  },
  [192] = {
    [3] = alias_sym_type_identifier,
  },
  [193] = {
    [3] = alias_sym_type_identifier,
  },
  [194] = {
    [3] = alias_sym_type_identifier,
  },
  [198] = {
    [0] = alias_sym_type_identifier,
  },
  [199] = {
    [1] = alias_sym_field_identifier,
  },
  [207] = {
    [2] = alias_sym_type_identifier,
  },
  [209] = {
    [3] = alias_sym_type_identifier,
  },
  [210] = {
    [3] = alias_sym_type_identifier,
  },
  [213] = {
    [2] = alias_sym_type_identifier,
  },
  [220] = {
    [1] = alias_sym_field_identifier,
  },
  [221] = {
    [3] = alias_sym_type_identifier,
  },
  [222] = {
    [3] = alias_sym_type_identifier,
  },
  [225] = {
    [3] = alias_sym_type_identifier,
  },
  [226] = {
    [3] = alias_sym_type_identifier,
  },
  [229] = {
    [2] = alias_sym_type_identifier,
  },
  [233] = {
    [2] = alias_sym_type_identifier,
  },
  [234] = {
    [3] = alias_sym_type_identifier,
  },
  [235] = {
    [3] = alias_sym_type_identifier,
  },
  [236] = {
    [3] = alias_sym_type_identifier,
  },
  [242] = {
    [2] = alias_sym_field_identifier,
  },
  [245] = {
    [3] = alias_sym_type_identifier,
  },
  [252] = {
    [3] = alias_sym_type_identifier,
  },
  [254] = {
    [4] = alias_sym_type_identifier,
  },
  [255] = {
    [4] = alias_sym_type_identifier,
  },
  [258] = {
    [3] = alias_sym_type_identifier,
  },
  [264] = {
    [3] = alias_sym_type_identifier,
  },
  [270] = {
    [4] = alias_sym_type_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_generic_type_with_turbofish, 2,
    sym_generic_type_with_turbofish,
    sym_generic_type,
  sym__let_chain, 2,
    sym__let_chain,
    alias_sym_let_chain,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 3,
  [10] = 2,
  [11] = 5,
  [12] = 6,
  [13] = 8,
  [14] = 3,
  [15] = 2,
  [16] = 5,
  [17] = 6,
  [18] = 3,
  [19] = 2,
  [20] = 5,
  [21] = 6,
  [22] = 3,
  [23] = 2,
  [24] = 5,
  [25] = 6,
  [26] = 3,
  [27] = 2,
  [28] = 5,
  [29] = 6,
  [30] = 3,
  [31] = 2,
  [32] = 5,
  [33] = 6,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 38,
  [40] = 36,
  [41] = 41,
  [42] = 42,
  [43] = 35,
  [44] = 35,
  [45] = 42,
  [46] = 37,
  [47] = 41,
  [48] = 38,
  [49] = 36,
  [50] = 38,
  [51] = 36,
  [52] = 35,
  [53] = 42,
  [54] = 37,
  [55] = 36,
  [56] = 36,
  [57] = 38,
  [58] = 36,
  [59] = 37,
  [60] = 38,
  [61] = 36,
  [62] = 38,
  [63] = 38,
  [64] = 41,
  [65] = 41,
  [66] = 42,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 68,
  [71] = 69,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 75,
  [77] = 72,
  [78] = 73,
  [79] = 74,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 84,
  [95] = 89,
  [96] = 96,
  [97] = 96,
  [98] = 93,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 85,
  [103] = 86,
  [104] = 87,
  [105] = 91,
  [106] = 92,
  [107] = 84,
  [108] = 84,
  [109] = 89,
  [110] = 96,
  [111] = 91,
  [112] = 92,
  [113] = 93,
  [114] = 84,
  [115] = 89,
  [116] = 96,
  [117] = 91,
  [118] = 92,
  [119] = 93,
  [120] = 84,
  [121] = 89,
  [122] = 96,
  [123] = 91,
  [124] = 92,
  [125] = 91,
  [126] = 92,
  [127] = 93,
  [128] = 89,
  [129] = 96,
  [130] = 99,
  [131] = 100,
  [132] = 101,
  [133] = 93,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 140,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 134,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 155,
  [159] = 159,
  [160] = 160,
  [161] = 146,
  [162] = 162,
  [163] = 151,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 170,
  [173] = 156,
  [174] = 174,
  [175] = 167,
  [176] = 138,
  [177] = 141,
  [178] = 142,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 174,
  [183] = 183,
  [184] = 184,
  [185] = 185,
  [186] = 171,
  [187] = 187,
  [188] = 188,
  [189] = 169,
  [190] = 179,
  [191] = 188,
  [192] = 192,
  [193] = 193,
  [194] = 192,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 193,
  [199] = 195,
  [200] = 196,
  [201] = 169,
  [202] = 170,
  [203] = 187,
  [204] = 174,
  [205] = 170,
  [206] = 174,
  [207] = 169,
  [208] = 137,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 209,
  [214] = 212,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 218,
  [222] = 222,
  [223] = 223,
  [224] = 217,
  [225] = 225,
  [226] = 223,
  [227] = 219,
  [228] = 217,
  [229] = 229,
  [230] = 220,
  [231] = 217,
  [232] = 225,
  [233] = 220,
  [234] = 220,
  [235] = 225,
  [236] = 225,
  [237] = 220,
  [238] = 215,
  [239] = 217,
  [240] = 216,
  [241] = 225,
  [242] = 229,
  [243] = 243,
  [244] = 244,
  [245] = 243,
  [246] = 243,
  [247] = 243,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 264,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 249,
  [270] = 250,
  [271] = 251,
  [272] = 252,
  [273] = 253,
  [274] = 254,
  [275] = 255,
  [276] = 256,
  [277] = 258,
  [278] = 278,
  [279] = 279,
  [280] = 266,
  [281] = 267,
  [282] = 268,
  [283] = 258,
  [284] = 249,
  [285] = 250,
  [286] = 258,
  [287] = 251,
  [288] = 252,
  [289] = 258,
  [290] = 258,
  [291] = 253,
  [292] = 254,
  [293] = 257,
  [294] = 255,
  [295] = 295,
  [296] = 296,
  [297] = 256,
  [298] = 298,
  [299] = 299,
  [300] = 258,
  [301] = 301,
  [302] = 302,
  [303] = 266,
  [304] = 267,
  [305] = 268,
  [306] = 249,
  [307] = 295,
  [308] = 308,
  [309] = 309,
  [310] = 257,
  [311] = 311,
  [312] = 268,
  [313] = 313,
  [314] = 250,
  [315] = 251,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 264,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 252,
  [326] = 253,
  [327] = 254,
  [328] = 255,
  [329] = 256,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 258,
  [338] = 338,
  [339] = 257,
  [340] = 340,
  [341] = 264,
  [342] = 342,
  [343] = 302,
  [344] = 340,
  [345] = 345,
  [346] = 248,
  [347] = 347,
  [348] = 260,
  [349] = 262,
  [350] = 296,
  [351] = 313,
  [352] = 317,
  [353] = 320,
  [354] = 324,
  [355] = 332,
  [356] = 334,
  [357] = 335,
  [358] = 301,
  [359] = 311,
  [360] = 342,
  [361] = 345,
  [362] = 262,
  [363] = 324,
  [364] = 345,
  [365] = 342,
  [366] = 266,
  [367] = 345,
  [368] = 267,
  [369] = 324,
  [370] = 342,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 181,
  [375] = 180,
  [376] = 376,
  [377] = 377,
  [378] = 371,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 373,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 395,
  [396] = 373,
  [397] = 397,
  [398] = 371,
  [399] = 399,
  [400] = 400,
  [401] = 400,
  [402] = 402,
  [403] = 402,
  [404] = 395,
  [405] = 405,
  [406] = 405,
  [407] = 400,
  [408] = 405,
  [409] = 402,
  [410] = 410,
  [411] = 411,
  [412] = 410,
  [413] = 410,
  [414] = 414,
  [415] = 415,
  [416] = 414,
  [417] = 414,
  [418] = 418,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 421,
  [424] = 422,
  [425] = 419,
  [426] = 421,
  [427] = 420,
  [428] = 420,
  [429] = 429,
  [430] = 429,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 433,
  [437] = 434,
  [438] = 434,
  [439] = 433,
  [440] = 435,
  [441] = 435,
  [442] = 442,
  [443] = 443,
  [444] = 443,
  [445] = 443,
  [446] = 244,
  [447] = 338,
  [448] = 347,
  [449] = 261,
  [450] = 323,
  [451] = 336,
  [452] = 379,
  [453] = 394,
  [454] = 381,
  [455] = 385,
  [456] = 456,
  [457] = 377,
  [458] = 458,
  [459] = 456,
  [460] = 388,
  [461] = 456,
  [462] = 380,
  [463] = 389,
  [464] = 464,
  [465] = 384,
  [466] = 392,
  [467] = 399,
  [468] = 383,
  [469] = 376,
  [470] = 386,
  [471] = 387,
  [472] = 456,
  [473] = 382,
  [474] = 393,
  [475] = 475,
  [476] = 475,
  [477] = 475,
  [478] = 475,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 622,
  [623] = 623,
  [624] = 624,
  [625] = 625,
  [626] = 626,
  [627] = 627,
  [628] = 628,
  [629] = 629,
  [630] = 630,
  [631] = 631,
  [632] = 632,
  [633] = 633,
  [634] = 634,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 641,
  [642] = 642,
  [643] = 643,
  [644] = 644,
  [645] = 645,
  [646] = 646,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 650,
  [651] = 651,
  [652] = 652,
  [653] = 653,
  [654] = 654,
  [655] = 655,
  [656] = 656,
  [657] = 657,
  [658] = 658,
  [659] = 659,
  [660] = 660,
  [661] = 661,
  [662] = 662,
  [663] = 347,
  [664] = 664,
  [665] = 665,
  [666] = 666,
  [667] = 667,
  [668] = 668,
  [669] = 338,
  [670] = 261,
  [671] = 323,
  [672] = 336,
  [673] = 673,
  [674] = 674,
  [675] = 675,
  [676] = 676,
  [677] = 677,
  [678] = 678,
  [679] = 679,
  [680] = 680,
  [681] = 681,
  [682] = 682,
  [683] = 683,
  [684] = 684,
  [685] = 685,
  [686] = 686,
  [687] = 687,
  [688] = 688,
  [689] = 689,
  [690] = 654,
  [691] = 691,
  [692] = 692,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 696,
  [697] = 697,
  [698] = 646,
  [699] = 699,
  [700] = 700,
  [701] = 701,
  [702] = 702,
  [703] = 703,
  [704] = 704,
  [705] = 705,
  [706] = 706,
  [707] = 707,
  [708] = 708,
  [709] = 709,
  [710] = 710,
  [711] = 711,
  [712] = 712,
  [713] = 713,
  [714] = 714,
  [715] = 715,
  [716] = 716,
  [717] = 717,
  [718] = 718,
  [719] = 719,
  [720] = 720,
  [721] = 721,
  [722] = 722,
  [723] = 723,
  [724] = 724,
  [725] = 725,
  [726] = 726,
  [727] = 727,
  [728] = 728,
  [729] = 729,
  [730] = 730,
  [731] = 731,
  [732] = 732,
  [733] = 733,
  [734] = 734,
  [735] = 735,
  [736] = 736,
  [737] = 737,
  [738] = 738,
  [739] = 739,
  [740] = 740,
  [741] = 741,
  [742] = 742,
  [743] = 743,
  [744] = 744,
  [745] = 745,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 754,
  [756] = 756,
  [757] = 756,
  [758] = 758,
  [759] = 759,
  [760] = 760,
  [761] = 760,
  [762] = 762,
  [763] = 763,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 771,
  [776] = 776,
  [777] = 777,
  [778] = 776,
  [779] = 773,
  [780] = 780,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 784,
  [785] = 782,
  [786] = 786,
  [787] = 787,
  [788] = 788,
  [789] = 789,
  [790] = 784,
  [791] = 786,
  [792] = 787,
  [793] = 788,
  [794] = 789,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 796,
  [805] = 805,
  [806] = 806,
  [807] = 807,
  [808] = 808,
  [809] = 801,
  [810] = 810,
  [811] = 811,
  [812] = 812,
  [813] = 802,
  [814] = 814,
  [815] = 815,
  [816] = 805,
  [817] = 807,
  [818] = 799,
  [819] = 800,
  [820] = 814,
  [821] = 812,
  [822] = 798,
  [823] = 810,
  [824] = 815,
  [825] = 796,
  [826] = 798,
  [827] = 796,
  [828] = 798,
  [829] = 829,
  [830] = 830,
  [831] = 830,
  [832] = 830,
  [833] = 830,
  [834] = 834,
  [835] = 835,
  [836] = 836,
  [837] = 837,
  [838] = 837,
  [839] = 834,
  [840] = 840,
  [841] = 841,
  [842] = 842,
  [843] = 843,
  [844] = 844,
  [845] = 841,
  [846] = 846,
  [847] = 837,
  [848] = 848,
  [849] = 849,
  [850] = 837,
  [851] = 834,
  [852] = 836,
  [853] = 848,
  [854] = 835,
  [855] = 835,
  [856] = 856,
  [857] = 836,
  [858] = 858,
  [859] = 859,
  [860] = 860,
  [861] = 861,
  [862] = 862,
  [863] = 863,
  [864] = 864,
  [865] = 859,
  [866] = 860,
  [867] = 861,
  [868] = 868,
  [869] = 869,
  [870] = 870,
  [871] = 871,
  [872] = 872,
  [873] = 873,
  [874] = 874,
  [875] = 875,
  [876] = 876,
  [877] = 877,
  [878] = 878,
  [879] = 879,
  [880] = 880,
  [881] = 881,
  [882] = 882,
  [883] = 883,
  [884] = 884,
  [885] = 885,
  [886] = 886,
  [887] = 887,
  [888] = 888,
  [889] = 889,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 863,
  [894] = 894,
  [895] = 864,
  [896] = 896,
  [897] = 859,
  [898] = 898,
  [899] = 899,
  [900] = 860,
  [901] = 901,
  [902] = 890,
  [903] = 903,
  [904] = 886,
  [905] = 889,
  [906] = 906,
  [907] = 861,
  [908] = 656,
  [909] = 909,
  [910] = 910,
  [911] = 863,
  [912] = 859,
  [913] = 898,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 868,
  [918] = 869,
  [919] = 880,
  [920] = 870,
  [921] = 921,
  [922] = 871,
  [923] = 923,
  [924] = 896,
  [925] = 886,
  [926] = 868,
  [927] = 869,
  [928] = 870,
  [929] = 929,
  [930] = 896,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 871,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 901,
  [946] = 946,
  [947] = 890,
  [948] = 929,
  [949] = 949,
  [950] = 935,
  [951] = 914,
  [952] = 952,
  [953] = 953,
  [954] = 939,
  [955] = 946,
  [956] = 903,
  [957] = 862,
  [958] = 932,
  [959] = 938,
  [960] = 960,
  [961] = 961,
  [962] = 858,
  [963] = 872,
  [964] = 873,
  [965] = 874,
  [966] = 877,
  [967] = 879,
  [968] = 881,
  [969] = 883,
  [970] = 884,
  [971] = 891,
  [972] = 899,
  [973] = 909,
  [974] = 974,
  [975] = 931,
  [976] = 936,
  [977] = 937,
  [978] = 941,
  [979] = 863,
  [980] = 960,
  [981] = 961,
  [982] = 974,
  [983] = 983,
  [984] = 984,
  [985] = 887,
  [986] = 888,
  [987] = 892,
  [988] = 915,
  [989] = 933,
  [990] = 990,
  [991] = 944,
  [992] = 983,
  [993] = 929,
  [994] = 984,
  [995] = 901,
  [996] = 952,
  [997] = 864,
  [998] = 901,
  [999] = 890,
  [1000] = 880,
  [1001] = 953,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 656,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 336,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 261,
  [1019] = 180,
  [1020] = 323,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 181,
  [1024] = 1024,
  [1025] = 397,
  [1026] = 372,
  [1027] = 347,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 338,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 723,
  [1036] = 1036,
  [1037] = 504,
  [1038] = 673,
  [1039] = 562,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 1042,
  [1043] = 600,
  [1044] = 1044,
  [1045] = 1045,
  [1046] = 1046,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 1049,
  [1050] = 244,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1054,
  [1063] = 429,
  [1064] = 1064,
  [1065] = 1002,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1068,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1054,
  [1080] = 1008,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 1068,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 380,
  [1092] = 553,
  [1093] = 554,
  [1094] = 555,
  [1095] = 556,
  [1096] = 557,
  [1097] = 558,
  [1098] = 559,
  [1099] = 560,
  [1100] = 561,
  [1101] = 532,
  [1102] = 563,
  [1103] = 564,
  [1104] = 565,
  [1105] = 566,
  [1106] = 567,
  [1107] = 568,
  [1108] = 569,
  [1109] = 570,
  [1110] = 571,
  [1111] = 572,
  [1112] = 573,
  [1113] = 574,
  [1114] = 575,
  [1115] = 576,
  [1116] = 577,
  [1117] = 578,
  [1118] = 579,
  [1119] = 580,
  [1120] = 581,
  [1121] = 582,
  [1122] = 583,
  [1123] = 584,
  [1124] = 585,
  [1125] = 586,
  [1126] = 587,
  [1127] = 394,
  [1128] = 533,
  [1129] = 534,
  [1130] = 388,
  [1131] = 589,
  [1132] = 590,
  [1133] = 591,
  [1134] = 592,
  [1135] = 593,
  [1136] = 594,
  [1137] = 595,
  [1138] = 596,
  [1139] = 597,
  [1140] = 598,
  [1141] = 599,
  [1142] = 537,
  [1143] = 601,
  [1144] = 602,
  [1145] = 603,
  [1146] = 604,
  [1147] = 605,
  [1148] = 606,
  [1149] = 607,
  [1150] = 608,
  [1151] = 609,
  [1152] = 610,
  [1153] = 611,
  [1154] = 612,
  [1155] = 613,
  [1156] = 614,
  [1157] = 615,
  [1158] = 616,
  [1159] = 617,
  [1160] = 618,
  [1161] = 619,
  [1162] = 620,
  [1163] = 621,
  [1164] = 622,
  [1165] = 623,
  [1166] = 624,
  [1167] = 626,
  [1168] = 627,
  [1169] = 628,
  [1170] = 629,
  [1171] = 630,
  [1172] = 753,
  [1173] = 632,
  [1174] = 633,
  [1175] = 634,
  [1176] = 635,
  [1177] = 636,
  [1178] = 637,
  [1179] = 639,
  [1180] = 640,
  [1181] = 641,
  [1182] = 642,
  [1183] = 1183,
  [1184] = 540,
  [1185] = 588,
  [1186] = 1186,
  [1187] = 479,
  [1188] = 625,
  [1189] = 1189,
  [1190] = 638,
  [1191] = 643,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 644,
  [1195] = 399,
  [1196] = 372,
  [1197] = 645,
  [1198] = 138,
  [1199] = 1199,
  [1200] = 647,
  [1201] = 648,
  [1202] = 1202,
  [1203] = 649,
  [1204] = 650,
  [1205] = 261,
  [1206] = 384,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 1215,
  [1216] = 1009,
  [1217] = 1217,
  [1218] = 392,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 1224,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 653,
  [1228] = 1228,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 180,
  [1232] = 658,
  [1233] = 659,
  [1234] = 660,
  [1235] = 661,
  [1236] = 662,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 385,
  [1240] = 664,
  [1241] = 1241,
  [1242] = 665,
  [1243] = 1243,
  [1244] = 656,
  [1245] = 666,
  [1246] = 667,
  [1247] = 668,
  [1248] = 387,
  [1249] = 1249,
  [1250] = 1250,
  [1251] = 1251,
  [1252] = 674,
  [1253] = 675,
  [1254] = 676,
  [1255] = 677,
  [1256] = 678,
  [1257] = 1257,
  [1258] = 679,
  [1259] = 680,
  [1260] = 1260,
  [1261] = 1261,
  [1262] = 1262,
  [1263] = 681,
  [1264] = 1264,
  [1265] = 682,
  [1266] = 683,
  [1267] = 684,
  [1268] = 685,
  [1269] = 382,
  [1270] = 687,
  [1271] = 688,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 1275,
  [1276] = 689,
  [1277] = 691,
  [1278] = 1278,
  [1279] = 693,
  [1280] = 694,
  [1281] = 695,
  [1282] = 696,
  [1283] = 697,
  [1284] = 699,
  [1285] = 700,
  [1286] = 1286,
  [1287] = 393,
  [1288] = 1288,
  [1289] = 701,
  [1290] = 703,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 1293,
  [1294] = 1294,
  [1295] = 1295,
  [1296] = 1296,
  [1297] = 1297,
  [1298] = 1298,
  [1299] = 1299,
  [1300] = 1300,
  [1301] = 655,
  [1302] = 338,
  [1303] = 1010,
  [1304] = 1304,
  [1305] = 1305,
  [1306] = 704,
  [1307] = 705,
  [1308] = 1308,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 181,
  [1312] = 706,
  [1313] = 141,
  [1314] = 707,
  [1315] = 708,
  [1316] = 709,
  [1317] = 710,
  [1318] = 711,
  [1319] = 376,
  [1320] = 1320,
  [1321] = 377,
  [1322] = 1322,
  [1323] = 1323,
  [1324] = 1324,
  [1325] = 1325,
  [1326] = 712,
  [1327] = 1327,
  [1328] = 713,
  [1329] = 714,
  [1330] = 715,
  [1331] = 716,
  [1332] = 717,
  [1333] = 718,
  [1334] = 719,
  [1335] = 720,
  [1336] = 379,
  [1337] = 1337,
  [1338] = 722,
  [1339] = 724,
  [1340] = 725,
  [1341] = 726,
  [1342] = 727,
  [1343] = 728,
  [1344] = 729,
  [1345] = 730,
  [1346] = 731,
  [1347] = 732,
  [1348] = 733,
  [1349] = 734,
  [1350] = 735,
  [1351] = 736,
  [1352] = 737,
  [1353] = 1353,
  [1354] = 738,
  [1355] = 739,
  [1356] = 740,
  [1357] = 741,
  [1358] = 742,
  [1359] = 743,
  [1360] = 744,
  [1361] = 745,
  [1362] = 746,
  [1363] = 747,
  [1364] = 748,
  [1365] = 1365,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 749,
  [1369] = 1369,
  [1370] = 750,
  [1371] = 751,
  [1372] = 752,
  [1373] = 631,
  [1374] = 702,
  [1375] = 323,
  [1376] = 383,
  [1377] = 1377,
  [1378] = 480,
  [1379] = 481,
  [1380] = 142,
  [1381] = 381,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 397,
  [1388] = 1388,
  [1389] = 1389,
  [1390] = 503,
  [1391] = 1391,
  [1392] = 482,
  [1393] = 1393,
  [1394] = 483,
  [1395] = 484,
  [1396] = 485,
  [1397] = 486,
  [1398] = 487,
  [1399] = 488,
  [1400] = 489,
  [1401] = 490,
  [1402] = 491,
  [1403] = 492,
  [1404] = 493,
  [1405] = 494,
  [1406] = 495,
  [1407] = 496,
  [1408] = 497,
  [1409] = 498,
  [1410] = 499,
  [1411] = 500,
  [1412] = 501,
  [1413] = 386,
  [1414] = 502,
  [1415] = 505,
  [1416] = 506,
  [1417] = 507,
  [1418] = 347,
  [1419] = 1419,
  [1420] = 508,
  [1421] = 509,
  [1422] = 510,
  [1423] = 511,
  [1424] = 512,
  [1425] = 513,
  [1426] = 514,
  [1427] = 515,
  [1428] = 516,
  [1429] = 517,
  [1430] = 518,
  [1431] = 519,
  [1432] = 520,
  [1433] = 521,
  [1434] = 522,
  [1435] = 523,
  [1436] = 524,
  [1437] = 525,
  [1438] = 526,
  [1439] = 1439,
  [1440] = 527,
  [1441] = 528,
  [1442] = 529,
  [1443] = 530,
  [1444] = 1444,
  [1445] = 531,
  [1446] = 336,
  [1447] = 535,
  [1448] = 536,
  [1449] = 1449,
  [1450] = 538,
  [1451] = 1451,
  [1452] = 539,
  [1453] = 541,
  [1454] = 389,
  [1455] = 542,
  [1456] = 1456,
  [1457] = 543,
  [1458] = 544,
  [1459] = 545,
  [1460] = 1460,
  [1461] = 546,
  [1462] = 156,
  [1463] = 167,
  [1464] = 547,
  [1465] = 548,
  [1466] = 549,
  [1467] = 550,
  [1468] = 551,
  [1469] = 552,
  [1470] = 686,
  [1471] = 1471,
  [1472] = 656,
  [1473] = 1473,
  [1474] = 704,
  [1475] = 1475,
  [1476] = 1003,
  [1477] = 1477,
  [1478] = 1478,
  [1479] = 1479,
  [1480] = 1480,
  [1481] = 1481,
  [1482] = 1482,
  [1483] = 1483,
  [1484] = 1040,
  [1485] = 1485,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 1488,
  [1489] = 1489,
  [1490] = 1490,
  [1491] = 1491,
  [1492] = 1011,
  [1493] = 1493,
  [1494] = 1494,
  [1495] = 1495,
  [1496] = 1496,
  [1497] = 1497,
  [1498] = 1491,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 1503,
  [1504] = 1491,
  [1505] = 1505,
  [1506] = 1013,
  [1507] = 1040,
  [1508] = 1014,
  [1509] = 1509,
  [1510] = 1510,
  [1511] = 1040,
  [1512] = 1512,
  [1513] = 1012,
  [1514] = 1510,
  [1515] = 1512,
  [1516] = 1089,
  [1517] = 1517,
  [1518] = 1089,
  [1519] = 1024,
  [1520] = 1021,
  [1521] = 1056,
  [1522] = 1056,
  [1523] = 1046,
  [1524] = 1069,
  [1525] = 1069,
  [1526] = 1028,
  [1527] = 1016,
  [1528] = 1528,
  [1529] = 1031,
  [1530] = 1022,
  [1531] = 1531,
  [1532] = 1029,
  [1533] = 1017,
  [1534] = 1393,
  [1535] = 1393,
  [1536] = 1536,
  [1537] = 1238,
  [1538] = 1046,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 1541,
  [1542] = 1045,
  [1543] = 1543,
  [1544] = 1045,
  [1545] = 1036,
  [1546] = 1393,
  [1547] = 1033,
  [1548] = 1238,
  [1549] = 1549,
  [1550] = 1072,
  [1551] = 1551,
  [1552] = 1377,
  [1553] = 1478,
  [1554] = 244,
  [1555] = 1549,
  [1556] = 1047,
  [1557] = 1058,
  [1558] = 1475,
  [1559] = 1059,
  [1560] = 1551,
  [1561] = 1042,
  [1562] = 1562,
  [1563] = 1562,
  [1564] = 1034,
  [1565] = 1419,
  [1566] = 1551,
  [1567] = 1562,
  [1568] = 1419,
  [1569] = 1543,
  [1570] = 1377,
  [1571] = 1551,
  [1572] = 1562,
  [1573] = 1496,
  [1574] = 1574,
  [1575] = 1489,
  [1576] = 1576,
  [1577] = 1499,
  [1578] = 1576,
  [1579] = 1482,
  [1580] = 1486,
  [1581] = 1048,
  [1582] = 1071,
  [1583] = 1075,
  [1584] = 1044,
  [1585] = 1505,
  [1586] = 1064,
  [1587] = 338,
  [1588] = 1488,
  [1589] = 1574,
  [1590] = 1490,
  [1591] = 1478,
  [1592] = 1592,
  [1593] = 1500,
  [1594] = 1060,
  [1595] = 261,
  [1596] = 1076,
  [1597] = 1088,
  [1598] = 1085,
  [1599] = 1057,
  [1600] = 1051,
  [1601] = 1502,
  [1602] = 1087,
  [1603] = 323,
  [1604] = 1055,
  [1605] = 1066,
  [1606] = 1501,
  [1607] = 1607,
  [1608] = 1078,
  [1609] = 336,
  [1610] = 1610,
  [1611] = 1053,
  [1612] = 1090,
  [1613] = 1592,
  [1614] = 1086,
  [1615] = 1494,
  [1616] = 1503,
  [1617] = 1081,
  [1618] = 1592,
  [1619] = 1497,
  [1620] = 1073,
  [1621] = 1052,
  [1622] = 1083,
  [1623] = 1049,
  [1624] = 1061,
  [1625] = 1483,
  [1626] = 1067,
  [1627] = 1493,
  [1628] = 1628,
  [1629] = 1495,
  [1630] = 1485,
  [1631] = 347,
  [1632] = 1628,
  [1633] = 1070,
  [1634] = 1487,
  [1635] = 1475,
  [1636] = 1636,
  [1637] = 1192,
  [1638] = 1638,
  [1639] = 1215,
  [1640] = 1226,
  [1641] = 1241,
  [1642] = 1286,
  [1643] = 1323,
  [1644] = 1337,
  [1645] = 1493,
  [1646] = 1502,
  [1647] = 1386,
  [1648] = 1489,
  [1649] = 1499,
  [1650] = 1199,
  [1651] = 1208,
  [1652] = 1209,
  [1653] = 1217,
  [1654] = 1654,
  [1655] = 1308,
  [1656] = 1310,
  [1657] = 1322,
  [1658] = 1327,
  [1659] = 1353,
  [1660] = 1660,
  [1661] = 1295,
  [1662] = 1214,
  [1663] = 1383,
  [1664] = 1221,
  [1665] = 1251,
  [1666] = 1237,
  [1667] = 1309,
  [1668] = 1183,
  [1669] = 1186,
  [1670] = 1189,
  [1671] = 1671,
  [1672] = 1249,
  [1673] = 1250,
  [1674] = 1674,
  [1675] = 1278,
  [1676] = 1299,
  [1677] = 1300,
  [1678] = 1304,
  [1679] = 1320,
  [1680] = 1324,
  [1681] = 1325,
  [1682] = 1682,
  [1683] = 1384,
  [1684] = 1444,
  [1685] = 1460,
  [1686] = 1257,
  [1687] = 1262,
  [1688] = 1264,
  [1689] = 1193,
  [1690] = 1690,
  [1691] = 1274,
  [1692] = 1369,
  [1693] = 1219,
  [1694] = 1220,
  [1695] = 1695,
  [1696] = 1202,
  [1697] = 1697,
  [1698] = 1698,
  [1699] = 1699,
  [1700] = 1439,
  [1701] = 1451,
  [1702] = 1636,
  [1703] = 1496,
  [1704] = 1704,
  [1705] = 1222,
  [1706] = 1225,
  [1707] = 1008,
  [1708] = 1293,
  [1709] = 1297,
  [1710] = 1483,
  [1711] = 1505,
  [1712] = 1495,
  [1713] = 1485,
  [1714] = 1486,
  [1715] = 1488,
  [1716] = 1490,
  [1717] = 1500,
  [1718] = 1501,
  [1719] = 1494,
  [1720] = 1503,
  [1721] = 1497,
  [1722] = 1482,
  [1723] = 1207,
  [1724] = 1211,
  [1725] = 1223,
  [1726] = 1224,
  [1727] = 1487,
  [1728] = 1291,
  [1729] = 1294,
  [1730] = 1296,
  [1731] = 1298,
  [1732] = 1305,
  [1733] = 1733,
  [1734] = 1382,
  [1735] = 1385,
  [1736] = 1388,
  [1737] = 1389,
  [1738] = 1391,
  [1739] = 1449,
  [1740] = 1740,
  [1741] = 429,
  [1742] = 389,
  [1743] = 382,
  [1744] = 384,
  [1745] = 392,
  [1746] = 1496,
  [1747] = 1228,
  [1748] = 1748,
  [1749] = 1483,
  [1750] = 388,
  [1751] = 1505,
  [1752] = 399,
  [1753] = 1495,
  [1754] = 1485,
  [1755] = 1486,
  [1756] = 1488,
  [1757] = 1490,
  [1758] = 1500,
  [1759] = 1501,
  [1760] = 1494,
  [1761] = 1503,
  [1762] = 1497,
  [1763] = 1482,
  [1764] = 1212,
  [1765] = 1213,
  [1766] = 385,
  [1767] = 387,
  [1768] = 1487,
  [1769] = 393,
  [1770] = 1292,
  [1771] = 1210,
  [1772] = 376,
  [1773] = 377,
  [1774] = 379,
  [1775] = 383,
  [1776] = 386,
  [1777] = 394,
  [1778] = 156,
  [1779] = 167,
  [1780] = 380,
  [1781] = 138,
  [1782] = 1782,
  [1783] = 1496,
  [1784] = 141,
  [1785] = 397,
  [1786] = 1786,
  [1787] = 1505,
  [1788] = 142,
  [1789] = 372,
  [1790] = 1487,
  [1791] = 180,
  [1792] = 181,
  [1793] = 1793,
  [1794] = 1748,
  [1795] = 1795,
  [1796] = 1740,
  [1797] = 1660,
  [1798] = 1798,
  [1799] = 1799,
  [1800] = 1800,
  [1801] = 1654,
  [1802] = 1674,
  [1803] = 1682,
  [1804] = 1695,
  [1805] = 1636,
  [1806] = 1800,
  [1807] = 1704,
  [1808] = 1782,
  [1809] = 1809,
  [1810] = 1748,
  [1811] = 1493,
  [1812] = 1502,
  [1813] = 1740,
  [1814] = 1489,
  [1815] = 1499,
  [1816] = 1660,
  [1817] = 1817,
  [1818] = 1818,
  [1819] = 1674,
  [1820] = 1636,
  [1821] = 1748,
  [1822] = 1740,
  [1823] = 1660,
  [1824] = 1674,
  [1825] = 1809,
  [1826] = 1748,
  [1827] = 1660,
  [1828] = 1674,
  [1829] = 1829,
  [1830] = 1636,
  [1831] = 1748,
  [1832] = 1660,
  [1833] = 1674,
  [1834] = 1636,
  [1835] = 1748,
  [1836] = 1660,
  [1837] = 1674,
  [1838] = 1636,
  [1839] = 1839,
  [1840] = 1793,
  [1841] = 381,
  [1842] = 1842,
  [1843] = 1843,
  [1844] = 1844,
  [1845] = 1845,
  [1846] = 1846,
  [1847] = 1638,
  [1848] = 1848,
  [1849] = 1849,
  [1850] = 1850,
  [1851] = 1850,
  [1852] = 1852,
  [1853] = 1853,
  [1854] = 1854,
  [1855] = 1855,
  [1856] = 1856,
  [1857] = 1852,
  [1858] = 1858,
  [1859] = 1849,
  [1860] = 1855,
  [1861] = 1861,
  [1862] = 1862,
  [1863] = 1842,
  [1864] = 1864,
  [1865] = 1690,
  [1866] = 1856,
  [1867] = 1856,
  [1868] = 1858,
  [1869] = 1861,
  [1870] = 1864,
  [1871] = 1854,
  [1872] = 1862,
  [1873] = 1873,
  [1874] = 1874,
  [1875] = 1699,
  [1876] = 1876,
  [1877] = 1877,
  [1878] = 1876,
  [1879] = 1879,
  [1880] = 1877,
  [1881] = 1881,
  [1882] = 1881,
  [1883] = 1883,
  [1884] = 1884,
  [1885] = 1885,
  [1886] = 1884,
  [1887] = 1885,
  [1888] = 1883,
  [1889] = 1889,
  [1890] = 1890,
  [1891] = 1891,
  [1892] = 1892,
  [1893] = 1893,
  [1894] = 1892,
  [1895] = 1892,
  [1896] = 1893,
  [1897] = 1893,
  [1898] = 1893,
  [1899] = 1893,
  [1900] = 1900,
  [1901] = 1900,
  [1902] = 142,
  [1903] = 1011,
  [1904] = 138,
  [1905] = 1013,
  [1906] = 1016,
  [1907] = 1012,
  [1908] = 1024,
  [1909] = 1031,
  [1910] = 1910,
  [1911] = 1014,
  [1912] = 1017,
  [1913] = 1024,
  [1914] = 1022,
  [1915] = 1016,
  [1916] = 1021,
  [1917] = 1029,
  [1918] = 1017,
  [1919] = 1031,
  [1920] = 1028,
  [1921] = 1033,
  [1922] = 1058,
  [1923] = 1059,
  [1924] = 1036,
  [1925] = 1034,
  [1926] = 1064,
  [1927] = 1047,
  [1928] = 1072,
  [1929] = 1042,
  [1930] = 1048,
  [1931] = 1071,
  [1932] = 1932,
  [1933] = 1075,
  [1934] = 1932,
  [1935] = 1935,
  [1936] = 1936,
  [1937] = 1936,
  [1938] = 1076,
  [1939] = 180,
  [1940] = 1070,
  [1941] = 1085,
  [1942] = 1942,
  [1943] = 181,
  [1944] = 1051,
  [1945] = 1087,
  [1946] = 1061,
  [1947] = 1086,
  [1948] = 1067,
  [1949] = 1078,
  [1950] = 1066,
  [1951] = 1088,
  [1952] = 1090,
  [1953] = 1044,
  [1954] = 1053,
  [1955] = 1942,
  [1956] = 1081,
  [1957] = 397,
  [1958] = 1942,
  [1959] = 372,
  [1960] = 1083,
  [1961] = 1961,
  [1962] = 1049,
  [1963] = 1060,
  [1964] = 1531,
  [1965] = 1211,
  [1966] = 1293,
  [1967] = 1385,
  [1968] = 1292,
  [1969] = 1222,
  [1970] = 1291,
  [1971] = 1225,
  [1972] = 1391,
  [1973] = 1207,
  [1974] = 1540,
  [1975] = 1212,
  [1976] = 1213,
  [1977] = 1539,
  [1978] = 1451,
  [1979] = 1296,
  [1980] = 1541,
  [1981] = 1936,
  [1982] = 1982,
  [1983] = 1228,
  [1984] = 1297,
  [1985] = 1298,
  [1986] = 1382,
  [1987] = 1987,
  [1988] = 1439,
  [1989] = 1294,
  [1990] = 1223,
  [1991] = 1224,
  [1992] = 1449,
  [1993] = 1388,
  [1994] = 1305,
  [1995] = 1389,
  [1996] = 1210,
  [1997] = 167,
  [1998] = 1998,
  [1999] = 1999,
  [2000] = 2000,
  [2001] = 141,
  [2002] = 1031,
  [2003] = 1016,
  [2004] = 2004,
  [2005] = 2005,
  [2006] = 1024,
  [2007] = 1910,
  [2008] = 1017,
  [2009] = 1031,
  [2010] = 1017,
  [2011] = 2011,
  [2012] = 1024,
  [2013] = 1016,
  [2014] = 1031,
  [2015] = 1017,
  [2016] = 1024,
  [2017] = 1016,
  [2018] = 2018,
  [2019] = 2019,
  [2020] = 2020,
  [2021] = 2021,
  [2022] = 2022,
  [2023] = 2021,
  [2024] = 2022,
  [2025] = 2025,
  [2026] = 2026,
  [2027] = 2027,
  [2028] = 2019,
  [2029] = 2020,
  [2030] = 2025,
  [2031] = 2031,
  [2032] = 2027,
  [2033] = 2031,
  [2034] = 2034,
  [2035] = 2035,
  [2036] = 2036,
  [2037] = 2037,
  [2038] = 2038,
  [2039] = 338,
  [2040] = 1016,
  [2041] = 2041,
  [2042] = 2042,
  [2043] = 2043,
  [2044] = 2044,
  [2045] = 1024,
  [2046] = 2046,
  [2047] = 336,
  [2048] = 2048,
  [2049] = 2042,
  [2050] = 2050,
  [2051] = 2051,
  [2052] = 2052,
  [2053] = 323,
  [2054] = 2054,
  [2055] = 2052,
  [2056] = 347,
  [2057] = 2051,
  [2058] = 1935,
  [2059] = 261,
  [2060] = 2060,
  [2061] = 2061,
  [2062] = 2062,
  [2063] = 2063,
  [2064] = 2064,
  [2065] = 2065,
  [2066] = 1031,
  [2067] = 1017,
  [2068] = 2064,
  [2069] = 2069,
  [2070] = 2034,
  [2071] = 2050,
  [2072] = 2065,
  [2073] = 2037,
  [2074] = 2044,
  [2075] = 2075,
  [2076] = 2076,
  [2077] = 2077,
  [2078] = 2078,
  [2079] = 2079,
  [2080] = 2080,
  [2081] = 2081,
  [2082] = 2082,
  [2083] = 2083,
  [2084] = 2084,
  [2085] = 2085,
  [2086] = 2086,
  [2087] = 2087,
  [2088] = 2088,
  [2089] = 2089,
  [2090] = 2090,
  [2091] = 2091,
  [2092] = 2092,
  [2093] = 2093,
  [2094] = 2094,
  [2095] = 2095,
  [2096] = 2096,
  [2097] = 2097,
  [2098] = 2098,
  [2099] = 2099,
  [2100] = 380,
  [2101] = 2101,
  [2102] = 2102,
  [2103] = 2103,
  [2104] = 2104,
  [2105] = 2105,
  [2106] = 2106,
  [2107] = 2107,
  [2108] = 2089,
  [2109] = 2109,
  [2110] = 2110,
  [2111] = 2087,
  [2112] = 2112,
  [2113] = 1961,
  [2114] = 2114,
  [2115] = 2115,
  [2116] = 2090,
  [2117] = 1935,
  [2118] = 2118,
  [2119] = 2118,
  [2120] = 1935,
  [2121] = 2121,
  [2122] = 2122,
  [2123] = 2105,
  [2124] = 2118,
  [2125] = 2125,
  [2126] = 2126,
  [2127] = 2127,
  [2128] = 1042,
  [2129] = 2129,
  [2130] = 1961,
  [2131] = 2131,
  [2132] = 2132,
  [2133] = 2133,
  [2134] = 1034,
  [2135] = 2135,
  [2136] = 2135,
  [2137] = 2137,
  [2138] = 1036,
  [2139] = 2139,
  [2140] = 2140,
  [2141] = 2132,
  [2142] = 2142,
  [2143] = 2139,
  [2144] = 2144,
  [2145] = 2144,
  [2146] = 2146,
  [2147] = 2147,
  [2148] = 2148,
  [2149] = 1033,
  [2150] = 1935,
  [2151] = 2137,
  [2152] = 2135,
  [2153] = 2153,
  [2154] = 2154,
  [2155] = 2155,
  [2156] = 2156,
  [2157] = 1961,
  [2158] = 2158,
  [2159] = 2159,
  [2160] = 2154,
  [2161] = 2159,
  [2162] = 2137,
  [2163] = 2163,
  [2164] = 2164,
  [2165] = 2147,
  [2166] = 2158,
  [2167] = 2164,
  [2168] = 2168,
  [2169] = 2148,
  [2170] = 2140,
  [2171] = 2142,
  [2172] = 2131,
  [2173] = 2173,
  [2174] = 2168,
  [2175] = 2133,
  [2176] = 2176,
  [2177] = 2177,
  [2178] = 2178,
  [2179] = 2179,
  [2180] = 2180,
  [2181] = 2181,
  [2182] = 2182,
  [2183] = 2183,
  [2184] = 2184,
  [2185] = 2185,
  [2186] = 2186,
  [2187] = 2187,
  [2188] = 2181,
  [2189] = 2189,
  [2190] = 2185,
  [2191] = 2191,
  [2192] = 2184,
  [2193] = 2183,
  [2194] = 2194,
  [2195] = 2195,
  [2196] = 2196,
  [2197] = 2196,
  [2198] = 2198,
  [2199] = 2176,
  [2200] = 2198,
  [2201] = 2201,
  [2202] = 2194,
  [2203] = 2203,
  [2204] = 2204,
  [2205] = 2205,
  [2206] = 2206,
  [2207] = 2207,
  [2208] = 2208,
  [2209] = 2209,
  [2210] = 2210,
  [2211] = 2211,
  [2212] = 2212,
  [2213] = 2213,
  [2214] = 2214,
  [2215] = 2180,
  [2216] = 1961,
  [2217] = 2204,
  [2218] = 2189,
  [2219] = 2219,
  [2220] = 2220,
  [2221] = 2221,
  [2222] = 2211,
  [2223] = 2223,
  [2224] = 2195,
  [2225] = 2186,
  [2226] = 2187,
  [2227] = 2219,
  [2228] = 2191,
  [2229] = 2214,
  [2230] = 2221,
  [2231] = 2182,
  [2232] = 2232,
  [2233] = 1999,
  [2234] = 2234,
  [2235] = 2235,
  [2236] = 2236,
  [2237] = 2237,
  [2238] = 2238,
  [2239] = 2239,
  [2240] = 2240,
  [2241] = 2241,
  [2242] = 2242,
  [2243] = 2243,
  [2244] = 2244,
  [2245] = 2245,
  [2246] = 2246,
  [2247] = 2243,
  [2248] = 2246,
  [2249] = 2249,
  [2250] = 2250,
  [2251] = 2251,
  [2252] = 2252,
  [2253] = 2253,
  [2254] = 2254,
  [2255] = 2239,
  [2256] = 2256,
  [2257] = 2257,
  [2258] = 2252,
  [2259] = 2259,
  [2260] = 2251,
  [2261] = 2249,
  [2262] = 2250,
  [2263] = 2253,
  [2264] = 2235,
  [2265] = 2237,
  [2266] = 2266,
  [2267] = 2267,
  [2268] = 2268,
  [2269] = 2269,
  [2270] = 2270,
  [2271] = 2271,
  [2272] = 2272,
  [2273] = 2241,
  [2274] = 2242,
  [2275] = 2244,
  [2276] = 2245,
  [2277] = 2254,
  [2278] = 2256,
  [2279] = 2259,
  [2280] = 2280,
  [2281] = 2281,
  [2282] = 2232,
  [2283] = 2283,
  [2284] = 2281,
  [2285] = 2232,
  [2286] = 2286,
  [2287] = 2272,
  [2288] = 2266,
  [2289] = 2280,
  [2290] = 2290,
  [2291] = 2291,
  [2292] = 2292,
  [2293] = 2293,
  [2294] = 2294,
  [2295] = 2295,
  [2296] = 2296,
  [2297] = 2297,
  [2298] = 2298,
  [2299] = 2004,
  [2300] = 2300,
  [2301] = 2301,
  [2302] = 2292,
  [2303] = 2303,
  [2304] = 2304,
  [2305] = 2305,
  [2306] = 2298,
  [2307] = 2307,
  [2308] = 2308,
  [2309] = 2309,
  [2310] = 2310,
  [2311] = 2311,
  [2312] = 2307,
  [2313] = 2293,
  [2314] = 2314,
  [2315] = 2011,
  [2316] = 2316,
  [2317] = 2295,
  [2318] = 2318,
  [2319] = 2319,
  [2320] = 2320,
  [2321] = 2321,
  [2322] = 2322,
  [2323] = 2323,
  [2324] = 2324,
  [2325] = 2325,
  [2326] = 2326,
  [2327] = 2310,
  [2328] = 2309,
  [2329] = 2296,
  [2330] = 2316,
  [2331] = 2318,
  [2332] = 2332,
  [2333] = 2333,
  [2334] = 2334,
  [2335] = 2335,
  [2336] = 2292,
  [2337] = 2337,
  [2338] = 2338,
  [2339] = 2339,
  [2340] = 2340,
  [2341] = 2341,
  [2342] = 2342,
  [2343] = 2303,
  [2344] = 2311,
  [2345] = 2300,
  [2346] = 2301,
  [2347] = 2308,
  [2348] = 2305,
  [2349] = 2297,
  [2350] = 2321,
  [2351] = 2290,
  [2352] = 2300,
  [2353] = 2301,
  [2354] = 2305,
  [2355] = 2323,
  [2356] = 2311,
  [2357] = 2324,
  [2358] = 2338,
  [2359] = 2339,
  [2360] = 167,
  [2361] = 138,
  [2362] = 141,
  [2363] = 142,
  [2364] = 2364,
  [2365] = 2365,
  [2366] = 2332,
  [2367] = 2333,
  [2368] = 2322,
  [2369] = 2314,
  [2370] = 2334,
  [2371] = 2371,
  [2372] = 2304,
  [2373] = 2373,
  [2374] = 2342,
  [2375] = 2364,
  [2376] = 2335,
  [2377] = 2305,
  [2378] = 2291,
  [2379] = 2379,
  [2380] = 2380,
  [2381] = 2381,
  [2382] = 2341,
  [2383] = 2294,
  [2384] = 2379,
  [2385] = 2319,
  [2386] = 2380,
  [2387] = 2005,
  [2388] = 2325,
  [2389] = 2389,
  [2390] = 2390,
  [2391] = 2391,
  [2392] = 2392,
  [2393] = 2393,
  [2394] = 2394,
  [2395] = 2395,
  [2396] = 2396,
  [2397] = 2397,
  [2398] = 2398,
  [2399] = 2399,
  [2400] = 2400,
  [2401] = 2401,
  [2402] = 2402,
  [2403] = 2403,
  [2404] = 2404,
  [2405] = 2405,
  [2406] = 2406,
  [2407] = 2407,
  [2408] = 2408,
  [2409] = 2409,
  [2410] = 2410,
  [2411] = 2411,
  [2412] = 2411,
  [2413] = 2413,
  [2414] = 2394,
  [2415] = 2415,
  [2416] = 1272,
  [2417] = 1273,
  [2418] = 1275,
  [2419] = 2413,
  [2420] = 2420,
  [2421] = 2407,
  [2422] = 2405,
  [2423] = 2423,
  [2424] = 2424,
  [2425] = 2425,
  [2426] = 2425,
  [2427] = 2427,
  [2428] = 2428,
  [2429] = 2429,
  [2430] = 2427,
  [2431] = 2389,
  [2432] = 2404,
  [2433] = 2433,
  [2434] = 2434,
  [2435] = 2435,
  [2436] = 2401,
  [2437] = 2398,
  [2438] = 2438,
  [2439] = 2439,
  [2440] = 2440,
  [2441] = 2425,
  [2442] = 2442,
  [2443] = 2443,
  [2444] = 2444,
  [2445] = 2420,
  [2446] = 2446,
  [2447] = 2390,
  [2448] = 1229,
  [2449] = 1230,
  [2450] = 2402,
  [2451] = 2415,
  [2452] = 1365,
  [2453] = 1366,
  [2454] = 1367,
  [2455] = 1260,
  [2456] = 1261,
  [2457] = 2408,
  [2458] = 2458,
  [2459] = 2399,
  [2460] = 2460,
  [2461] = 2461,
  [2462] = 2462,
  [2463] = 1008,
  [2464] = 2464,
  [2465] = 2409,
  [2466] = 2434,
  [2467] = 2467,
  [2468] = 2433,
  [2469] = 2469,
  [2470] = 2470,
  [2471] = 2427,
  [2472] = 2472,
  [2473] = 2433,
  [2474] = 2410,
  [2475] = 2407,
  [2476] = 2476,
  [2477] = 2477,
  [2478] = 2478,
  [2479] = 2479,
  [2480] = 2424,
  [2481] = 2481,
  [2482] = 2427,
  [2483] = 2483,
  [2484] = 2467,
  [2485] = 2393,
  [2486] = 2486,
  [2487] = 2424,
  [2488] = 2488,
  [2489] = 2415,
  [2490] = 2486,
  [2491] = 2405,
  [2492] = 2397,
  [2493] = 2493,
  [2494] = 2494,
  [2495] = 2495,
  [2496] = 2496,
  [2497] = 2497,
  [2498] = 2498,
  [2499] = 2499,
  [2500] = 2500,
  [2501] = 2501,
  [2502] = 2502,
  [2503] = 2503,
  [2504] = 2495,
  [2505] = 2505,
  [2506] = 2506,
  [2507] = 2507,
  [2508] = 2508,
  [2509] = 2509,
  [2510] = 2510,
  [2511] = 2511,
  [2512] = 2512,
  [2513] = 2513,
  [2514] = 2514,
  [2515] = 2514,
  [2516] = 2516,
  [2517] = 2517,
  [2518] = 2518,
  [2519] = 2518,
  [2520] = 2496,
  [2521] = 2497,
  [2522] = 2498,
  [2523] = 2523,
  [2524] = 2524,
  [2525] = 2525,
  [2526] = 2526,
  [2527] = 2527,
  [2528] = 2528,
  [2529] = 2527,
  [2530] = 2530,
  [2531] = 2531,
  [2532] = 2532,
  [2533] = 2533,
  [2534] = 2531,
  [2535] = 2528,
  [2536] = 2536,
  [2537] = 2527,
  [2538] = 2538,
  [2539] = 2503,
  [2540] = 2540,
  [2541] = 2541,
  [2542] = 2542,
  [2543] = 2536,
  [2544] = 2542,
  [2545] = 2545,
  [2546] = 2546,
  [2547] = 2547,
  [2548] = 2548,
  [2549] = 2549,
  [2550] = 2550,
  [2551] = 2551,
  [2552] = 139,
  [2553] = 2553,
  [2554] = 2554,
  [2555] = 2554,
  [2556] = 2556,
  [2557] = 2557,
  [2558] = 2558,
  [2559] = 2559,
  [2560] = 2560,
  [2561] = 2561,
  [2562] = 2513,
  [2563] = 2563,
  [2564] = 2564,
  [2565] = 2565,
  [2566] = 2545,
  [2567] = 2567,
  [2568] = 2568,
  [2569] = 2569,
  [2570] = 2523,
  [2571] = 2530,
  [2572] = 2505,
  [2573] = 2547,
  [2574] = 2560,
  [2575] = 2575,
  [2576] = 2506,
  [2577] = 2559,
  [2578] = 2509,
  [2579] = 2579,
  [2580] = 2580,
  [2581] = 2581,
  [2582] = 2567,
  [2583] = 2583,
  [2584] = 2563,
  [2585] = 2585,
  [2586] = 2586,
  [2587] = 2587,
  [2588] = 2528,
  [2589] = 2589,
  [2590] = 2590,
  [2591] = 2591,
  [2592] = 2592,
  [2593] = 2548,
  [2594] = 2495,
  [2595] = 2496,
  [2596] = 2497,
  [2597] = 2498,
  [2598] = 2499,
  [2599] = 2503,
  [2600] = 2505,
  [2601] = 2506,
  [2602] = 2602,
  [2603] = 2509,
  [2604] = 2604,
  [2605] = 2605,
  [2606] = 2606,
  [2607] = 2518,
  [2608] = 2608,
  [2609] = 2583,
  [2610] = 2526,
  [2611] = 2611,
  [2612] = 2547,
  [2613] = 2590,
  [2614] = 2554,
  [2615] = 2567,
  [2616] = 2583,
  [2617] = 2563,
  [2618] = 2585,
  [2619] = 2591,
  [2620] = 2592,
  [2621] = 2548,
  [2622] = 2622,
  [2623] = 2496,
  [2624] = 2497,
  [2625] = 2499,
  [2626] = 2503,
  [2627] = 2505,
  [2628] = 2518,
  [2629] = 2547,
  [2630] = 2563,
  [2631] = 2585,
  [2632] = 2632,
  [2633] = 2592,
  [2634] = 2496,
  [2635] = 2497,
  [2636] = 2503,
  [2637] = 2505,
  [2638] = 2638,
  [2639] = 2524,
  [2640] = 2500,
  [2641] = 2563,
  [2642] = 2496,
  [2643] = 2503,
  [2644] = 2505,
  [2645] = 2645,
  [2646] = 2538,
  [2647] = 2511,
  [2648] = 2503,
  [2649] = 2505,
  [2650] = 2503,
  [2651] = 2505,
  [2652] = 2503,
  [2653] = 2505,
  [2654] = 2503,
  [2655] = 2505,
  [2656] = 2503,
  [2657] = 2505,
  [2658] = 2503,
  [2659] = 2505,
  [2660] = 2561,
  [2661] = 2661,
  [2662] = 2662,
  [2663] = 2494,
  [2664] = 2664,
  [2665] = 2517,
  [2666] = 2069,
  [2667] = 2551,
  [2668] = 2557,
  [2669] = 2611,
  [2670] = 2054,
  [2671] = 2671,
  [2672] = 2501,
  [2673] = 2673,
  [2674] = 2525,
  [2675] = 2675,
  [2676] = 2676,
  [2677] = 2677,
  [2678] = 2553,
  [2679] = 2679,
  [2680] = 2680,
  [2681] = 2681,
  [2682] = 2035,
  [2683] = 2540,
  [2684] = 2567,
  [2685] = 2541,
  [2686] = 2645,
  [2687] = 2583,
  [2688] = 2563,
  [2689] = 2568,
  [2690] = 2585,
  [2691] = 2691,
  [2692] = 143,
  [2693] = 2512,
  [2694] = 2673,
  [2695] = 2676,
  [2696] = 2036,
  [2697] = 2585,
  [2698] = 2698,
  [2699] = 2586,
  [2700] = 2602,
  [2701] = 2608,
  [2702] = 2702,
  [2703] = 2586,
  [2704] = 2638,
  [2705] = 2526,
  [2706] = 2702,
  [2707] = 2494,
  [2708] = 2494,
  [2709] = 2611,
  [2710] = 2590,
  [2711] = 2711,
  [2712] = 2591,
  [2713] = 2494,
  [2714] = 2611,
  [2715] = 2591,
  [2716] = 2041,
  [2717] = 2592,
  [2718] = 2043,
  [2719] = 2558,
  [2720] = 2677,
  [2721] = 2675,
  [2722] = 2548,
  [2723] = 2046,
  [2724] = 2556,
  [2725] = 2502,
  [2726] = 2048,
  [2727] = 2592,
  [2728] = 2728,
  [2729] = 2728,
  [2730] = 2495,
  [2731] = 2731,
  [2732] = 2732,
  [2733] = 2733,
  [2734] = 2734,
  [2735] = 2735,
  [2736] = 2736,
  [2737] = 2737,
  [2738] = 2738,
  [2739] = 2739,
  [2740] = 2740,
  [2741] = 2741,
  [2742] = 2742,
  [2743] = 2743,
  [2744] = 2744,
  [2745] = 2745,
  [2746] = 2746,
  [2747] = 2747,
  [2748] = 2748,
  [2749] = 2749,
  [2750] = 2750,
  [2751] = 2751,
  [2752] = 2752,
  [2753] = 2753,
  [2754] = 2754,
  [2755] = 2755,
  [2756] = 2102,
  [2757] = 2757,
  [2758] = 2758,
  [2759] = 2759,
  [2760] = 2760,
  [2761] = 2103,
  [2762] = 2762,
  [2763] = 2763,
  [2764] = 2764,
  [2765] = 2765,
  [2766] = 2085,
  [2767] = 2767,
  [2768] = 2768,
  [2769] = 2769,
  [2770] = 2770,
  [2771] = 2771,
  [2772] = 2772,
  [2773] = 2773,
  [2774] = 2774,
  [2775] = 2775,
  [2776] = 2776,
  [2777] = 2774,
  [2778] = 2778,
  [2779] = 2779,
  [2780] = 2734,
  [2781] = 2735,
  [2782] = 2782,
  [2783] = 2783,
  [2784] = 2753,
  [2785] = 2096,
  [2786] = 2773,
  [2787] = 2787,
  [2788] = 2788,
  [2789] = 2789,
  [2790] = 2790,
  [2791] = 2791,
  [2792] = 2792,
  [2793] = 2793,
  [2794] = 2104,
  [2795] = 2742,
  [2796] = 2796,
  [2797] = 2107,
  [2798] = 2751,
  [2799] = 2799,
  [2800] = 2125,
  [2801] = 2801,
  [2802] = 2094,
  [2803] = 2121,
  [2804] = 2804,
  [2805] = 2805,
  [2806] = 2806,
  [2807] = 2807,
  [2808] = 2808,
  [2809] = 2809,
  [2810] = 2810,
  [2811] = 2767,
  [2812] = 2812,
  [2813] = 2813,
  [2814] = 2791,
  [2815] = 2747,
  [2816] = 2816,
  [2817] = 2817,
  [2818] = 2818,
  [2819] = 2819,
  [2820] = 2820,
  [2821] = 2821,
  [2822] = 2809,
  [2823] = 2823,
  [2824] = 2757,
  [2825] = 2825,
  [2826] = 2826,
  [2827] = 2827,
  [2828] = 2828,
  [2829] = 2829,
  [2830] = 2830,
  [2831] = 2831,
  [2832] = 2832,
  [2833] = 2833,
  [2834] = 2834,
  [2835] = 2835,
  [2836] = 2753,
  [2837] = 2837,
  [2838] = 2838,
  [2839] = 2839,
  [2840] = 2840,
  [2841] = 380,
  [2842] = 2842,
  [2843] = 2843,
  [2844] = 2844,
  [2845] = 2126,
  [2846] = 2817,
  [2847] = 2847,
  [2848] = 2848,
  [2849] = 2849,
  [2850] = 2757,
  [2851] = 2770,
  [2852] = 2852,
  [2853] = 2805,
  [2854] = 2806,
  [2855] = 2828,
  [2856] = 2856,
  [2857] = 2839,
  [2858] = 2858,
  [2859] = 2859,
  [2860] = 2860,
  [2861] = 156,
  [2862] = 2793,
  [2863] = 2863,
  [2864] = 2752,
  [2865] = 2865,
  [2866] = 2764,
  [2867] = 2755,
  [2868] = 2868,
  [2869] = 2869,
  [2870] = 2870,
  [2871] = 2077,
  [2872] = 2809,
  [2873] = 2873,
  [2874] = 2874,
  [2875] = 2826,
  [2876] = 2876,
  [2877] = 2079,
  [2878] = 2122,
  [2879] = 2812,
  [2880] = 2880,
  [2881] = 2753,
  [2882] = 2098,
  [2883] = 2812,
  [2884] = 2771,
  [2885] = 2783,
  [2886] = 2886,
  [2887] = 2887,
  [2888] = 2888,
  [2889] = 2889,
  [2890] = 2869,
  [2891] = 2873,
  [2892] = 2876,
  [2893] = 2893,
  [2894] = 2106,
  [2895] = 2091,
  [2896] = 2896,
  [2897] = 2115,
  [2898] = 2849,
  [2899] = 2088,
  [2900] = 2900,
  [2901] = 2901,
  [2902] = 2808,
  [2903] = 2741,
  [2904] = 2835,
  [2905] = 2732,
  [2906] = 2906,
  [2907] = 2772,
  [2908] = 2908,
  [2909] = 2909,
  [2910] = 2910,
  [2911] = 2733,
  [2912] = 2093,
  [2913] = 2913,
  [2914] = 2914,
  [2915] = 2915,
  [2916] = 2901,
  [2917] = 2917,
  [2918] = 2736,
  [2919] = 2919,
  [2920] = 2920,
  [2921] = 2825,
  [2922] = 2922,
  [2923] = 2097,
  [2924] = 2924,
  [2925] = 2737,
  [2926] = 2112,
  [2927] = 2927,
  [2928] = 2928,
  [2929] = 2929,
  [2930] = 2930,
  [2931] = 2931,
  [2932] = 2932,
  [2933] = 2933,
  [2934] = 2739,
  [2935] = 2834,
  [2936] = 2821,
  [2937] = 2738,
  [2938] = 2938,
  [2939] = 2939,
  [2940] = 2940,
  [2941] = 2941,
  [2942] = 2942,
  [2943] = 2943,
  [2944] = 2790,
  [2945] = 2945,
  [2946] = 2742,
  [2947] = 2758,
  [2948] = 2948,
  [2949] = 2101,
  [2950] = 2859,
  [2951] = 2747,
  [2952] = 2909,
  [2953] = 2078,
  [2954] = 2954,
  [2955] = 2955,
  [2956] = 2808,
  [2957] = 2957,
  [2958] = 2083,
  [2959] = 2778,
  [2960] = 2788,
  [2961] = 2817,
  [2962] = 2084,
  [2963] = 2832,
  [2964] = 2092,
  [2965] = 2965,
  [2966] = 2966,
  [2967] = 2886,
  [2968] = 2757,
  [2969] = 2910,
  [2970] = 2908,
  [2971] = 2080,
  [2972] = 2757,
  [2973] = 2095,
  [2974] = 2099,
  [2975] = 2975,
  [2976] = 2833,
  [2977] = 2977,
  [2978] = 2081,
  [2979] = 2979,
  [2980] = 2980,
  [2981] = 2751,
  [2982] = 2745,
  [2983] = 2127,
  [2984] = 2805,
  [2985] = 2985,
  [2986] = 2829,
  [2987] = 2987,
  [2988] = 2988,
  [2989] = 2810,
  [2990] = 2082,
  [2991] = 2806,
  [2992] = 2914,
  [2993] = 2943,
  [2994] = 2917,
  [2995] = 2076,
  [2996] = 2996,
  [2997] = 2734,
  [2998] = 2086,
  [2999] = 2743,
  [3000] = 3000,
  [3001] = 3001,
  [3002] = 2933,
  [3003] = 2787,
  [3004] = 2830,
  [3005] = 2744,
  [3006] = 3006,
  [3007] = 2818,
  [3008] = 3006,
  [3009] = 2813,
  [3010] = 2980,
  [3011] = 2775,
  [3012] = 2762,
  [3013] = 2942,
  [3014] = 3014,
  [3015] = 2789,
  [3016] = 3016,
  [3017] = 2792,
  [3018] = 2932,
  [3019] = 2979,
  [3020] = 3020,
  [3021] = 2865,
  [3022] = 2870,
  [3023] = 2838,
  [3024] = 2840,
  [3025] = 3025,
  [3026] = 3026,
  [3027] = 3027,
  [3028] = 2782,
  [3029] = 3025,
  [3030] = 2856,
  [3031] = 2801,
  [3032] = 2110,
  [3033] = 3033,
  [3034] = 3034,
  [3035] = 3035,
  [3036] = 3036,
  [3037] = 3037,
  [3038] = 3038,
  [3039] = 3039,
  [3040] = 3040,
  [3041] = 3041,
  [3042] = 3042,
  [3043] = 3043,
  [3044] = 3044,
  [3045] = 3034,
  [3046] = 3046,
  [3047] = 3047,
  [3048] = 1210,
  [3049] = 3049,
  [3050] = 3037,
  [3051] = 3051,
  [3052] = 3044,
  [3053] = 3053,
  [3054] = 3054,
  [3055] = 3055,
  [3056] = 3056,
  [3057] = 3057,
  [3058] = 3058,
  [3059] = 1212,
  [3060] = 3060,
  [3061] = 1213,
  [3062] = 3062,
  [3063] = 3063,
  [3064] = 3064,
  [3065] = 3065,
  [3066] = 3040,
  [3067] = 3067,
  [3068] = 3068,
  [3069] = 1228,
  [3070] = 3070,
  [3071] = 3071,
  [3072] = 3067,
  [3073] = 3073,
  [3074] = 3074,
  [3075] = 3075,
  [3076] = 3076,
  [3077] = 3077,
  [3078] = 3078,
  [3079] = 3042,
  [3080] = 3080,
  [3081] = 3081,
  [3082] = 3082,
  [3083] = 3083,
  [3084] = 3084,
  [3085] = 3081,
  [3086] = 3051,
  [3087] = 3087,
  [3088] = 3088,
  [3089] = 3089,
  [3090] = 3046,
  [3091] = 3091,
  [3092] = 3042,
  [3093] = 3093,
  [3094] = 3044,
  [3095] = 3095,
  [3096] = 3040,
  [3097] = 3097,
  [3098] = 3044,
  [3099] = 3099,
  [3100] = 3100,
  [3101] = 3071,
  [3102] = 3051,
  [3103] = 3103,
  [3104] = 3091,
  [3105] = 3057,
  [3106] = 3093,
  [3107] = 3107,
  [3108] = 3108,
  [3109] = 3063,
  [3110] = 3040,
  [3111] = 3067,
  [3112] = 3068,
  [3113] = 3113,
  [3114] = 3114,
  [3115] = 3115,
  [3116] = 3116,
  [3117] = 3117,
  [3118] = 3118,
  [3119] = 3119,
  [3120] = 3120,
  [3121] = 3121,
  [3122] = 3044,
  [3123] = 3123,
  [3124] = 3037,
  [3125] = 3051,
  [3126] = 3040,
  [3127] = 3057,
  [3128] = 3128,
  [3129] = 3129,
  [3130] = 3040,
  [3131] = 3131,
  [3132] = 3067,
  [3133] = 3068,
  [3134] = 3051,
  [3135] = 3039,
  [3136] = 3060,
  [3137] = 3097,
  [3138] = 3138,
  [3139] = 3118,
  [3140] = 3140,
  [3141] = 3141,
  [3142] = 3051,
  [3143] = 3033,
  [3144] = 3115,
  [3145] = 3040,
  [3146] = 3067,
  [3147] = 3068,
  [3148] = 3148,
  [3149] = 3054,
  [3150] = 3047,
  [3151] = 3151,
  [3152] = 3152,
  [3153] = 3153,
  [3154] = 3154,
  [3155] = 3155,
  [3156] = 3156,
  [3157] = 3051,
  [3158] = 3040,
  [3159] = 3159,
  [3160] = 3067,
  [3161] = 3068,
  [3162] = 3162,
  [3163] = 3163,
  [3164] = 3051,
  [3165] = 3040,
  [3166] = 1292,
  [3167] = 3067,
  [3168] = 3068,
  [3169] = 3169,
  [3170] = 3051,
  [3171] = 3057,
  [3172] = 3067,
  [3173] = 3068,
  [3174] = 3068,
  [3175] = 3051,
  [3176] = 3077,
  [3177] = 3067,
  [3178] = 3068,
  [3179] = 2823,
  [3180] = 3051,
  [3181] = 2887,
  [3182] = 3067,
  [3183] = 3068,
  [3184] = 3184,
  [3185] = 3077,
  [3186] = 3067,
  [3187] = 3068,
  [3188] = 3188,
  [3189] = 3189,
  [3190] = 3119,
  [3191] = 3062,
  [3192] = 3053,
  [3193] = 3057,
  [3194] = 3194,
  [3195] = 3195,
  [3196] = 3196,
  [3197] = 3197,
  [3198] = 3113,
  [3199] = 3199,
  [3200] = 3033,
  [3201] = 3201,
  [3202] = 3153,
  [3203] = 3203,
  [3204] = 3062,
  [3205] = 3063,
  [3206] = 3064,
  [3207] = 3054,
  [3208] = 3208,
  [3209] = 3107,
  [3210] = 3116,
  [3211] = 3056,
  [3212] = 3212,
  [3213] = 3152,
  [3214] = 3163,
  [3215] = 3215,
  [3216] = 3100,
  [3217] = 3217,
  [3218] = 3117,
  [3219] = 3099,
  [3220] = 3220,
  [3221] = 3221,
  [3222] = 3074,
  [3223] = 3141,
  [3224] = 3224,
  [3225] = 3162,
  [3226] = 3169,
  [3227] = 3227,
  [3228] = 3228,
  [3229] = 3159,
  [3230] = 3035,
  [3231] = 3231,
  [3232] = 3232,
  [3233] = 3233,
  [3234] = 3038,
  [3235] = 3063,
  [3236] = 3064,
  [3237] = 3228,
  [3238] = 3238,
  [3239] = 3040,
  [3240] = 3070,
  [3241] = 3224,
  [3242] = 3242,
  [3243] = 3243,
  [3244] = 3244,
  [3245] = 3242,
  [3246] = 3246,
  [3247] = 3067,
  [3248] = 3151,
  [3249] = 3068,
  [3250] = 3250,
  [3251] = 3231,
  [3252] = 3252,
  [3253] = 3083,
  [3254] = 3033,
  [3255] = 3129,
  [3256] = 3256,
  [3257] = 3123,
  [3258] = 3070,
  [3259] = 3071,
  [3260] = 3082,
  [3261] = 3039,
  [3262] = 3113,
  [3263] = 3131,
  [3264] = 3153,
  [3265] = 3265,
  [3266] = 3056,
  [3267] = 3267,
  [3268] = 3268,
  [3269] = 3154,
  [3270] = 3040,
  [3271] = 3221,
  [3272] = 3212,
  [3273] = 3113,
  [3274] = 3080,
  [3275] = 3087,
  [3276] = 3220,
  [3277] = 3277,
  [3278] = 3113,
  [3279] = 3243,
  [3280] = 3121,
  [3281] = 3199,
  [3282] = 3215,
  [3283] = 3267,
  [3284] = 3244,
  [3285] = 3238,
  [3286] = 3233,
  [3287] = 3227,
  [3288] = 3155,
  [3289] = 3040,
  [3290] = 3128,
  [3291] = 3036,
  [3292] = 3095,
  [3293] = 3208,
  [3294] = 3043,
  [3295] = 3295,
  [3296] = 3188,
  [3297] = 3297,
  [3298] = 3121,
  [3299] = 3267,
  [3300] = 3188,
  [3301] = 3267,
  [3302] = 3188,
  [3303] = 3081,
  [3304] = 3058,
  [3305] = 3114,
  [3306] = 3297,
  [3307] = 3307,
  [3308] = 3246,
  [3309] = 3103,
  [3310] = 3082,
  [3311] = 3051,
  [3312] = 3312,
  [3313] = 162,
  [3314] = 3314,
  [3315] = 3315,
  [3316] = 3316,
  [3317] = 3317,
  [3318] = 3318,
  [3319] = 3319,
  [3320] = 3320,
  [3321] = 3321,
  [3322] = 3322,
  [3323] = 3323,
  [3324] = 3324,
  [3325] = 164,
  [3326] = 3321,
  [3327] = 3320,
  [3328] = 3328,
  [3329] = 3329,
  [3330] = 3330,
  [3331] = 3331,
  [3332] = 3332,
  [3333] = 3333,
  [3334] = 3334,
  [3335] = 3335,
  [3336] = 3336,
  [3337] = 3337,
  [3338] = 3338,
  [3339] = 3339,
  [3340] = 3340,
  [3341] = 3341,
  [3342] = 3314,
  [3343] = 3343,
  [3344] = 3344,
  [3345] = 3345,
  [3346] = 3346,
  [3347] = 3347,
  [3348] = 3328,
  [3349] = 3349,
  [3350] = 3350,
  [3351] = 3351,
  [3352] = 3352,
  [3353] = 3353,
  [3354] = 3354,
  [3355] = 3355,
  [3356] = 3356,
  [3357] = 3357,
  [3358] = 3358,
  [3359] = 3359,
  [3360] = 3360,
  [3361] = 3361,
  [3362] = 3362,
  [3363] = 3363,
  [3364] = 3363,
  [3365] = 3362,
  [3366] = 3366,
  [3367] = 3367,
  [3368] = 3368,
  [3369] = 3369,
  [3370] = 3330,
  [3371] = 3371,
  [3372] = 3372,
  [3373] = 3373,
  [3374] = 3350,
  [3375] = 3375,
  [3376] = 3376,
  [3377] = 3377,
  [3378] = 3378,
  [3379] = 3379,
  [3380] = 3380,
  [3381] = 3381,
  [3382] = 3382,
  [3383] = 3383,
  [3384] = 3384,
  [3385] = 3369,
  [3386] = 3386,
  [3387] = 3354,
  [3388] = 3388,
  [3389] = 3389,
  [3390] = 3390,
  [3391] = 3391,
  [3392] = 3321,
  [3393] = 3393,
  [3394] = 3394,
  [3395] = 3395,
  [3396] = 3396,
  [3397] = 3361,
  [3398] = 3398,
  [3399] = 3399,
  [3400] = 3400,
  [3401] = 3336,
  [3402] = 3402,
  [3403] = 3403,
  [3404] = 3329,
  [3405] = 3363,
  [3406] = 3339,
  [3407] = 3407,
  [3408] = 3336,
  [3409] = 3409,
  [3410] = 3410,
  [3411] = 3321,
  [3412] = 3412,
  [3413] = 3413,
  [3414] = 3414,
  [3415] = 3415,
  [3416] = 3334,
  [3417] = 3417,
  [3418] = 3418,
  [3419] = 3419,
  [3420] = 3420,
  [3421] = 3343,
  [3422] = 3422,
  [3423] = 3423,
  [3424] = 3394,
  [3425] = 3425,
  [3426] = 3358,
  [3427] = 3338,
  [3428] = 3428,
  [3429] = 3380,
  [3430] = 3340,
  [3431] = 3431,
  [3432] = 3414,
  [3433] = 3433,
  [3434] = 3434,
  [3435] = 3435,
  [3436] = 3436,
  [3437] = 3437,
  [3438] = 3372,
  [3439] = 3439,
  [3440] = 3312,
  [3441] = 3441,
  [3442] = 3361,
  [3443] = 3433,
  [3444] = 3395,
  [3445] = 3355,
  [3446] = 3446,
  [3447] = 3379,
  [3448] = 3351,
  [3449] = 3420,
  [3450] = 3398,
  [3451] = 3380,
  [3452] = 3452,
  [3453] = 3453,
  [3454] = 3312,
  [3455] = 3322,
  [3456] = 3456,
  [3457] = 3457,
  [3458] = 3458,
  [3459] = 3349,
  [3460] = 3436,
  [3461] = 3376,
  [3462] = 3382,
  [3463] = 3463,
  [3464] = 3322,
  [3465] = 3324,
  [3466] = 3466,
  [3467] = 3357,
  [3468] = 3321,
  [3469] = 3332,
  [3470] = 3360,
  [3471] = 3471,
  [3472] = 3472,
  [3473] = 3338,
  [3474] = 3474,
  [3475] = 3340,
  [3476] = 3393,
  [3477] = 3363,
  [3478] = 3350,
  [3479] = 3441,
  [3480] = 3480,
  [3481] = 3312,
  [3482] = 3482,
  [3483] = 3369,
  [3484] = 3330,
  [3485] = 3485,
  [3486] = 3372,
  [3487] = 3487,
  [3488] = 3463,
  [3489] = 3489,
  [3490] = 3490,
  [3491] = 3377,
  [3492] = 3492,
  [3493] = 3360,
  [3494] = 3376,
  [3495] = 3324,
  [3496] = 3379,
  [3497] = 3497,
  [3498] = 3324,
  [3499] = 3371,
  [3500] = 3413,
  [3501] = 3332,
  [3502] = 3502,
  [3503] = 3466,
  [3504] = 3340,
  [3505] = 3359,
  [3506] = 3471,
  [3507] = 3369,
  [3508] = 3372,
  [3509] = 3390,
  [3510] = 3510,
  [3511] = 3368,
  [3512] = 3512,
  [3513] = 3376,
  [3514] = 3332,
  [3515] = 3515,
  [3516] = 3340,
  [3517] = 3425,
  [3518] = 3372,
  [3519] = 3376,
  [3520] = 3332,
  [3521] = 3340,
  [3522] = 3372,
  [3523] = 3332,
  [3524] = 3340,
  [3525] = 3372,
  [3526] = 3332,
  [3527] = 3332,
  [3528] = 3332,
  [3529] = 3332,
  [3530] = 3332,
  [3531] = 3453,
  [3532] = 3532,
  [3533] = 3368,
  [3534] = 3360,
  [3535] = 3535,
  [3536] = 3431,
  [3537] = 3315,
  [3538] = 3457,
  [3539] = 3510,
  [3540] = 3540,
  [3541] = 3541,
  [3542] = 3381,
  [3543] = 3417,
  [3544] = 3535,
  [3545] = 3412,
  [3546] = 3358,
  [3547] = 3352,
  [3548] = 3456,
  [3549] = 3353,
  [3550] = 3380,
  [3551] = 3436,
  [3552] = 3552,
  [3553] = 3380,
  [3554] = 3540,
  [3555] = 3555,
  [3556] = 3383,
  [3557] = 3389,
  [3558] = 3316,
  [3559] = 3331,
  [3560] = 3560,
  [3561] = 3380,
  [3562] = 3562,
  [3563] = 3541,
  [3564] = 3453,
  [3565] = 3435,
  [3566] = 3566,
  [3567] = 3384,
  [3568] = 3358,
  [3569] = 3317,
  [3570] = 3373,
  [3571] = 3388,
  [3572] = 3472,
  [3573] = 3422,
  [3574] = 3574,
  [3575] = 3492,
  [3576] = 3375,
  [3577] = 3577,
  [3578] = 3378,
  [3579] = 3535,
  [3580] = 3431,
  [3581] = 3457,
  [3582] = 3510,
  [3583] = 3437,
  [3584] = 3391,
  [3585] = 3535,
  [3586] = 3510,
  [3587] = 3587,
  [3588] = 3577,
  [3589] = 3510,
  [3590] = 3510,
  [3591] = 3510,
  [3592] = 3555,
  [3593] = 3452,
  [3594] = 3594,
  [3595] = 3595,
  [3596] = 3458,
  [3597] = 3487,
  [3598] = 3400,
  [3599] = 3409,
  [3600] = 3407,
  [3601] = 3376,
  [3602] = 3367,
  [3603] = 3603,
  [3604] = 3497,
  [3605] = 3605,
  [3606] = 3428,
  [3607] = 3566,
  [3608] = 3552,
  [3609] = 3332,
  [3610] = 3347,
  [3611] = 3453,
  [3612] = 3482,
  [3613] = 3613,
  [3614] = 3614,
  [3615] = 3615,
  [3616] = 3616,
  [3617] = 3617,
  [3618] = 3618,
  [3619] = 3619,
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6},
  {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377}, {0x37b, 0x37d},
  {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x48a, 0x52f},
  {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f}, {0x671, 0x6d3},
  {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f}, {0x74d, 0x7a5},
  {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824}, {0x828, 0x828},
  {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d}, {0x950, 0x950},
  {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a}, {0xa0f, 0xa10},
  {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa72, 0xa74},
  {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd}, {0xad0, 0xad0},
  {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39},
  {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95},
  {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0}, {0xc05, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61}, {0xc80, 0xc80},
  {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde}, {0xce0, 0xce1},
  {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56}, {0xd5f, 0xd61},
  {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30}, {0xe32, 0xe32},
  {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0}, {0xeb2, 0xeb2},
  {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c}, {0xf88, 0xf8c},
  {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070}, {0x1075, 0x1081},
  {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd},
  {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731}, {0x1740, 0x1751},
  {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x18a8}, {0x18aa, 0x18aa},
  {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x1a00, 0x1a16}, {0x1a20, 0x1a54},
  {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f},
  {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa},
  {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25},
  {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6},
  {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e},
  {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9},
  {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb},
  {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef},
  {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1},
  {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06},
  {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xd7a3},
  {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28},
  {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d},
  {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf},
  {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d},
  {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d},
  {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563},
  {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
  {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808},
  {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5},
  {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35},
  {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91},
  {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c}, {0x10f27, 0x10f27},
  {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072}, {0x11075, 0x11075}, {0x11083, 0x110af},
  {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176}, {0x11183, 0x111b2}, {0x111c1, 0x111c4},
  {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d},
  {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333},
  {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a}, {0x1145f, 0x11461}, {0x11480, 0x114af},
  {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644}, {0x11680, 0x116aa}, {0x116b8, 0x116b8},
  {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916},
  {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1}, {0x119e3, 0x119e3}, {0x11a00, 0x11a00},
  {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e},
  {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68},
  {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399},
  {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e},
  {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a},
  {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3},
  {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb},
  {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2},
  {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514},
  {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0},
  {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8},
  {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c}, {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e},
  {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4},
  {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32},
  {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f},
  {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62},
  {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b},
  {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0},
  {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym_identifier_character_set_3[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xb7, 0xb7}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x300, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481},
  {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd}, {0x5bf, 0x5bf}, {0x5c1, 0x5c2},
  {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669}, {0x66e, 0x6d3}, {0x6d5, 0x6dc},
  {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5}, {0x7fa, 0x7fa}, {0x7fd, 0x7fd},
  {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1}, {0x8e3, 0x963}, {0x966, 0x96f},
  {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bc, 0x9c4},
  {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1}, {0x9fc, 0x9fc}, {0x9fe, 0x9fe},
  {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39},
  {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa66, 0xa75},
  {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabc, 0xac5},
  {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff}, {0xb01, 0xb03}, {0xb05, 0xb0c},
  {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44}, {0xb47, 0xb48}, {0xb4b, 0xb4d},
  {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90},
  {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbbe, 0xbc2},
  {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28},
  {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc63},
  {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbc, 0xcc4},
  {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef}, {0xcf1, 0xcf3}, {0xd00, 0xd0c},
  {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63}, {0xd66, 0xd6f}, {0xd7a, 0xd7f},
  {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xdca, 0xdca}, {0xdcf, 0xdd4},
  {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e}, {0xe50, 0xe59}, {0xe81, 0xe82},
  {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xec8, 0xece},
  {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35}, {0xf37, 0xf37}, {0xf39, 0xf39},
  {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6}, {0x1000, 0x1049}, {0x1050, 0x109d},
  {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258},
  {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5},
  {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371}, {0x1380, 0x138f}, {0x13a0, 0x13f5},
  {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1715}, {0x171f, 0x1734},
  {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dd}, {0x17e0, 0x17e9},
  {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1920, 0x192b}, {0x1930, 0x193b},
  {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b}, {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c},
  {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c}, {0x1b50, 0x1b59}, {0x1b6b, 0x1b73},
  {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2},
  {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040}, {0x2054, 0x2054}, {0x2071, 0x2071},
  {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113},
  {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149},
  {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67},
  {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce},
  {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096},
  {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf},
  {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d}, {0xa67f, 0xa6f1}, {0xa717, 0xa71f},
  {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827}, {0xa82c, 0xa82c}, {0xa840, 0xa873},
  {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953}, {0xa960, 0xa97c}, {0xa980, 0xa9c0},
  {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76}, {0xaa7a, 0xaac2}, {0xaadb, 0xaadd},
  {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a},
  {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d},
  {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41},
  {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f},
  {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a}, {0xff65, 0xffbe}, {0xffc2, 0xffc7},
  {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d},
  {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x102e0, 0x102e0}, {0x10300, 0x1031f},
  {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104a0, 0x104a9},
  {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595},
  {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785},
  {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855},
  {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf},
  {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a}, {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c},
  {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48},
  {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac}, {0x10eb0, 0x10eb1}, {0x10efd, 0x10f1c},
  {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046}, {0x11066, 0x11075}, {0x1107f, 0x110ba},
  {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147}, {0x11150, 0x11173}, {0x11176, 0x11176},
  {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237}, {0x1123e, 0x11241}, {0x11280, 0x11286},
  {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9}, {0x11300, 0x11303}, {0x11305, 0x1130c},
  {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344}, {0x11347, 0x11348}, {0x1134b, 0x1134d},
  {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a}, {0x11450, 0x11459}, {0x1145e, 0x11461},
  {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd}, {0x11600, 0x11640}, {0x11644, 0x11644},
  {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739}, {0x11740, 0x11746}, {0x11800, 0x1183a},
  {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935}, {0x11937, 0x11938}, {0x1193b, 0x11943},
  {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e}, {0x11a47, 0x11a47}, {0x11a50, 0x11a99},
  {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59}, {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7},
  {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d}, {0x11d3f, 0x11d47}, {0x11d50, 0x11d59},
  {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9}, {0x11ee0, 0x11ef6}, {0x11f00, 0x11f10},
  {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0},
  {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69}, {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9},
  {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f},
  {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1}, {0x17000, 0x187f7}, {0x18800, 0x18cd5},
  {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155},
  {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d},
  {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad}, {0x1d242, 0x1d244}, {0x1d400, 0x1d454},
  {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3},
  {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546},
  {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e},
  {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff}, {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c},
  {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e000, 0x1e006}, {0x1e008, 0x1e018},
  {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c}, {0x1e130, 0x1e13d}, {0x1e140, 0x1e149},
  {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe},
  {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24},
  {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49},
  {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d},
  {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e},
  {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739},
  {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(72);
      ADVANCE_MAP(
        '!', 171,
        '"', 157,
        '#', 143,
        '$', 85,
        '%', 99,
        '&', 104,
        '\'', 145,
        '(', 75,
        ')', 76,
        '*', 92,
        '+', 90,
        ',', 139,
        '-', 96,
        '.', 133,
        '/', 172,
        '0', 151,
        ':', 83,
        ';', 73,
        '<', 146,
        '=', 123,
        '>', 127,
        '?', 93,
        '@', 132,
        '[', 77,
        '\\', 46,
        ']', 78,
        '^', 100,
        'b', 178,
        'c', 179,
        'm', 182,
        'r', 180,
        '{', 79,
        '|', 106,
        '}', 80,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(68);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(154);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(191);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(1);
      if (lookahead == '[') ADVANCE(193);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(192);
      if (lookahead != 0) ADVANCE(193);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '!', 102,
        '"', 156,
        '#', 142,
        '$', 85,
        '%', 99,
        '&', 104,
        '\'', 145,
        '(', 75,
        ')', 76,
        '*', 92,
        '+', 90,
        ',', 139,
        '-', 96,
        '.', 133,
        '/', 98,
        '0', 151,
        ':', 83,
        ';', 73,
        '<', 129,
        '=', 123,
        '>', 127,
        '?', 93,
        '@', 132,
        '[', 77,
        ']', 78,
        '^', 100,
        'b', 178,
        'c', 179,
        'r', 180,
        '{', 79,
        '|', 106,
        '}', 80,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(154);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(191);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '!', 102,
        '"', 156,
        '#', 142,
        '$', 65,
        '%', 99,
        '&', 104,
        '\'', 145,
        '(', 75,
        ')', 76,
        '*', 92,
        '+', 90,
        ',', 139,
        '-', 95,
        '.', 133,
        '/', 98,
        '0', 151,
        ':', 83,
        ';', 73,
        '<', 129,
        '=', 122,
        '>', 127,
        '?', 93,
        '[', 77,
        ']', 78,
        '^', 100,
        'b', 178,
        'c', 179,
        'r', 180,
        '{', 79,
        '|', 106,
        '}', 80,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(154);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(191);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '!', 102,
        '"', 156,
        '#', 142,
        '$', 84,
        '%', 99,
        '&', 104,
        '\'', 145,
        '(', 75,
        ')', 76,
        '*', 92,
        '+', 90,
        ',', 139,
        '-', 96,
        '.', 133,
        '/', 98,
        '0', 151,
        ':', 83,
        ';', 73,
        '<', 129,
        '=', 123,
        '>', 127,
        '?', 93,
        '@', 132,
        '[', 77,
        ']', 78,
        '^', 100,
        'b', 178,
        'c', 179,
        'r', 180,
        '{', 79,
        '|', 106,
        '}', 80,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(154);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(191);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 102,
        '"', 156,
        '$', 65,
        '%', 99,
        '&', 104,
        '\'', 145,
        '(', 75,
        '*', 92,
        '+', 90,
        '-', 95,
        '.', 133,
        '/', 98,
        '0', 151,
        ':', 83,
        '<', 129,
        '=', 123,
        '>', 127,
        '?', 93,
        '[', 77,
        '^', 100,
        'b', 178,
        'c', 179,
        'r', 180,
        '{', 79,
        '|', 106,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(5);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(154);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(191);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 102,
        '%', 99,
        '&', 104,
        '\'', 144,
        '(', 75,
        ')', 76,
        '*', 92,
        '+', 90,
        ',', 139,
        '-', 95,
        '.', 133,
        '/', 98,
        ':', 83,
        ';', 73,
        '<', 146,
        '=', 122,
        '>', 127,
        '?', 93,
        '[', 77,
        ']', 78,
        '^', 100,
        'r', 180,
        '{', 79,
        '|', 106,
        '}', 80,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(191);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 102,
        '%', 99,
        '&', 104,
        '\'', 144,
        '(', 75,
        ')', 76,
        '*', 92,
        '+', 90,
        ',', 139,
        '-', 95,
        '.', 133,
        '/', 98,
        ':', 40,
        ';', 73,
        '<', 129,
        '=', 122,
        '>', 127,
        '?', 93,
        '[', 77,
        ']', 78,
        '^', 100,
        'r', 180,
        '{', 79,
        '|', 106,
        '}', 80,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(7);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(191);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 102,
        '%', 99,
        '&', 104,
        '\'', 144,
        '(', 75,
        '*', 92,
        '+', 90,
        '-', 95,
        '.', 133,
        '/', 98,
        ':', 40,
        '<', 129,
        '=', 123,
        '>', 127,
        '?', 93,
        '[', 77,
        '^', 100,
        'r', 180,
        '{', 79,
        '|', 106,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(8);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(191);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 102,
        '%', 99,
        '&', 104,
        '(', 75,
        '*', 92,
        '+', 90,
        '-', 95,
        '.', 133,
        '/', 98,
        ':', 40,
        '<', 146,
        '=', 123,
        '>', 127,
        '?', 93,
        '[', 77,
        '^', 100,
        'r', 180,
        '|', 106,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(191);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 101,
        '"', 157,
        '#', 142,
        '$', 65,
        '&', 24,
        '\'', 144,
        '(', 75,
        ')', 76,
        '*', 33,
        '+', 89,
        ',', 139,
        '.', 30,
        '/', 28,
        ':', 83,
        ';', 73,
        '<', 128,
        '=', 43,
        '>', 126,
        '\\', 46,
        ']', 78,
        'm', 182,
        'r', 180,
        '{', 79,
        '|', 105,
        '}', 80,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(15);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(191);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 101,
        '"', 156,
        '#', 142,
        '$', 65,
        '&', 103,
        '\'', 145,
        '(', 75,
        ')', 76,
        '*', 91,
        ',', 139,
        '-', 94,
        '.', 31,
        '/', 28,
        '0', 151,
        ':', 83,
        ';', 73,
        '<', 128,
        '=', 121,
        '>', 126,
        '?', 93,
        '[', 77,
        ']', 78,
        'b', 178,
        'c', 179,
        'r', 180,
        '{', 79,
        '|', 105,
        '}', 80,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(11);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(154);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(191);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 101,
        '"', 156,
        '#', 142,
        '$', 65,
        '&', 103,
        '\'', 145,
        '(', 75,
        ')', 76,
        '*', 91,
        ',', 139,
        '-', 94,
        '.', 32,
        '/', 28,
        '0', 151,
        ':', 40,
        '<', 128,
        '=', 43,
        '?', 93,
        '[', 77,
        'b', 178,
        'c', 179,
        'r', 180,
        '|', 105,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(12);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(154);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(191);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '!', 101,
        '"', 156,
        '$', 65,
        '&', 103,
        '\'', 145,
        '(', 75,
        '*', 91,
        '+', 89,
        ',', 139,
        '-', 97,
        '.', 31,
        '/', 28,
        '0', 151,
        ':', 40,
        ';', 73,
        '<', 128,
        '[', 77,
        ']', 78,
        'b', 178,
        'c', 179,
        'r', 180,
        '{', 79,
        '|', 105,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(13);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(154);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(191);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '!', 101,
        '#', 142,
        '$', 65,
        '&', 103,
        '\'', 144,
        '(', 75,
        ')', 76,
        '*', 91,
        '+', 89,
        ',', 139,
        '-', 42,
        '.', 30,
        '/', 28,
        '0', 151,
        ':', 83,
        ';', 73,
        '<', 128,
        '=', 121,
        '>', 126,
        '?', 93,
        '[', 77,
        ']', 78,
        'r', 180,
        '{', 79,
        '|', 105,
        '}', 80,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(154);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(191);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '!', 101,
        '#', 142,
        '$', 65,
        '&', 24,
        '\'', 144,
        '(', 75,
        ')', 76,
        '*', 33,
        '+', 89,
        ',', 139,
        '.', 30,
        '/', 28,
        ':', 83,
        ';', 73,
        '<', 128,
        '=', 43,
        '>', 126,
        ']', 78,
        'm', 182,
        'r', 180,
        '{', 79,
        '|', 105,
        '}', 80,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(15);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(191);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '!', 101,
        '\'', 144,
        '(', 75,
        ')', 76,
        '+', 89,
        ',', 139,
        '.', 30,
        '/', 28,
        ':', 83,
        ';', 73,
        '<', 146,
        '=', 121,
        '>', 126,
        '@', 132,
        ']', 78,
        'r', 180,
        '{', 79,
        '|', 105,
        '}', 80,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(16);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(191);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '!', 101,
        '(', 75,
        '.', 30,
        '/', 28,
        ':', 40,
        '<', 146,
        '=', 43,
        '@', 132,
        'r', 180,
        '{', 79,
        '|', 105,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(17);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(191);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '!', 41,
        '%', 99,
        '&', 104,
        '\'', 144,
        '(', 75,
        ')', 76,
        '*', 92,
        '+', 90,
        ',', 139,
        '-', 96,
        '.', 133,
        '/', 98,
        ':', 82,
        ';', 73,
        '<', 129,
        '=', 122,
        '>', 127,
        '?', 93,
        '[', 77,
        ']', 78,
        '^', 100,
        'r', 180,
        '{', 79,
        '|', 106,
        '}', 80,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(18);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(191);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '!', 41,
        '%', 99,
        '&', 104,
        '\'', 144,
        '(', 75,
        ')', 76,
        '*', 92,
        '+', 90,
        ',', 139,
        '-', 95,
        '.', 133,
        '/', 98,
        ':', 82,
        ';', 73,
        '<', 129,
        '=', 122,
        '>', 127,
        '?', 93,
        '[', 77,
        ']', 78,
        '^', 100,
        'r', 180,
        '{', 79,
        '|', 106,
        '}', 80,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(19);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(191);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        '!', 41,
        '%', 99,
        '&', 104,
        '(', 75,
        '*', 92,
        '+', 90,
        '-', 96,
        '.', 133,
        '/', 98,
        '<', 129,
        '=', 123,
        '>', 127,
        '?', 93,
        '[', 77,
        '^', 100,
        'r', 180,
        '|', 106,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(20);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(191);
      END_STATE();
    case 21:
      if (lookahead == '"') ADVANCE(156);
      if (lookahead == '/') ADVANCE(28);
      if (lookahead == ';') ADVANCE(73);
      if (lookahead == 'r') ADVANCE(180);
      if (lookahead == '{') ADVANCE(79);
      if (lookahead == 'b' ||
          lookahead == 'c') ADVANCE(179);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(21);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(191);
      END_STATE();
    case 22:
      ADVANCE_MAP(
        '#', 142,
        '$', 65,
        ',', 139,
        '/', 28,
        ':', 40,
        ';', 73,
        '<', 128,
        '=', 121,
        'm', 182,
        'r', 180,
        '}', 80,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(22);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(191);
      END_STATE();
    case 23:
      ADVANCE_MAP(
        '#', 142,
        ',', 139,
        '.', 31,
        '/', 28,
        '0', 151,
        ':', 82,
        ';', 73,
        '<', 128,
        '=', 121,
        'r', 180,
        '{', 79,
        '}', 80,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(23);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(154);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(191);
      END_STATE();
    case 24:
      if (lookahead == '&') ADVANCE(107);
      END_STATE();
    case 25:
      if (lookahead == '\'') ADVANCE(158);
      END_STATE();
    case 26:
      if (lookahead == '\'') ADVANCE(158);
      if (lookahead == '\\') ADVANCE(47);
      if (lookahead != 0) ADVANCE(25);
      END_STATE();
    case 27:
      ADVANCE_MAP(
        '\'', 144,
        '(', 75,
        ')', 76,
        '*', 91,
        '+', 89,
        ',', 139,
        '-', 42,
        '.', 30,
        '/', 28,
        ':', 82,
        ';', 73,
        '<', 146,
        '=', 121,
        '>', 126,
        ']', 78,
        'r', 180,
        '{', 79,
        '|', 105,
        '}', 80,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(27);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(191);
      END_STATE();
    case 28:
      if (lookahead == '*') ADVANCE(174);
      if (lookahead == '/') ADVANCE(160);
      END_STATE();
    case 29:
      if (lookahead == '*') ADVANCE(91);
      if (lookahead == '+') ADVANCE(89);
      if (lookahead == '/') ADVANCE(86);
      if (lookahead == '?') ADVANCE(93);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(87);
      if (lookahead != 0) ADVANCE(88);
      END_STATE();
    case 30:
      if (lookahead == '.') ADVANCE(136);
      END_STATE();
    case 31:
      if (lookahead == '.') ADVANCE(134);
      END_STATE();
    case 32:
      if (lookahead == '.') ADVANCE(135);
      END_STATE();
    case 33:
      if (lookahead == '/') ADVANCE(176);
      END_STATE();
    case 34:
      if (lookahead == '1') ADVANCE(36);
      if (lookahead == '3') ADVANCE(35);
      if (lookahead == '6') ADVANCE(38);
      if (lookahead == '8') ADVANCE(147);
      if (lookahead == 's') ADVANCE(45);
      END_STATE();
    case 35:
      if (lookahead == '2') ADVANCE(147);
      END_STATE();
    case 36:
      if (lookahead == '2') ADVANCE(39);
      if (lookahead == '6') ADVANCE(147);
      END_STATE();
    case 37:
      if (lookahead == '3') ADVANCE(35);
      if (lookahead == '6') ADVANCE(38);
      END_STATE();
    case 38:
      if (lookahead == '4') ADVANCE(147);
      END_STATE();
    case 39:
      if (lookahead == '8') ADVANCE(147);
      END_STATE();
    case 40:
      if (lookahead == ':') ADVANCE(140);
      END_STATE();
    case 41:
      if (lookahead == '=') ADVANCE(125);
      END_STATE();
    case 42:
      if (lookahead == '>') ADVANCE(141);
      END_STATE();
    case 43:
      if (lookahead == '>') ADVANCE(81);
      END_STATE();
    case 44:
      if (lookahead == 'e') ADVANCE(147);
      END_STATE();
    case 45:
      if (lookahead == 'i') ADVANCE(48);
      END_STATE();
    case 46:
      if (lookahead == 'u') ADVANCE(49);
      if (lookahead == 'x') ADVANCE(61);
      if (lookahead != 0) ADVANCE(159);
      END_STATE();
    case 47:
      if (lookahead == 'u') ADVANCE(50);
      if (lookahead == 'x') ADVANCE(62);
      if (lookahead != 0) ADVANCE(25);
      END_STATE();
    case 48:
      if (lookahead == 'z') ADVANCE(44);
      END_STATE();
    case 49:
      if (lookahead == '{') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(57);
      END_STATE();
    case 50:
      if (lookahead == '{') ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(63);
      END_STATE();
    case 51:
      if (lookahead == '}') ADVANCE(25);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(51);
      END_STATE();
    case 52:
      if (lookahead == '}') ADVANCE(159);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(52);
      END_STATE();
    case 53:
      if (lookahead == '0' ||
          lookahead == '1' ||
          lookahead == '_') ADVANCE(152);
      END_STATE();
    case 54:
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(1);
      if (lookahead != 0 &&
          lookahead != '[') ADVANCE(67);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '7') ||
          lookahead == '_') ADVANCE(153);
      END_STATE();
    case 56:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(25);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(61);
      END_STATE();
    case 58:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(159);
      END_STATE();
    case 59:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(52);
      END_STATE();
    case 60:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(51);
      END_STATE();
    case 61:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(58);
      END_STATE();
    case 62:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(56);
      END_STATE();
    case 63:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(62);
      END_STATE();
    case 64:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(155);
      END_STATE();
    case 65:
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(194);
      END_STATE();
    case 66:
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(191);
      END_STATE();
    case 67:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(193);
      END_STATE();
    case 68:
      if (eof) ADVANCE(72);
      ADVANCE_MAP(
        '!', 102,
        '"', 156,
        '#', 143,
        '$', 85,
        '%', 99,
        '&', 104,
        '\'', 145,
        '(', 75,
        ')', 76,
        '*', 92,
        '+', 90,
        ',', 139,
        '-', 96,
        '.', 133,
        '/', 98,
        '0', 151,
        ':', 83,
        ';', 73,
        '<', 146,
        '=', 123,
        '>', 127,
        '?', 93,
        '@', 132,
        '[', 77,
        ']', 78,
        '^', 100,
        'b', 178,
        'c', 179,
        'm', 182,
        'r', 180,
        '{', 79,
        '|', 106,
        '}', 80,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(68);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(154);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(191);
      END_STATE();
    case 69:
      if (eof) ADVANCE(72);
      ADVANCE_MAP(
        '!', 102,
        '"', 156,
        '#', 142,
        '$', 65,
        '%', 99,
        '&', 104,
        '\'', 145,
        '(', 75,
        '*', 92,
        '+', 90,
        '-', 95,
        '.', 133,
        '/', 98,
        '0', 151,
        ':', 40,
        ';', 73,
        '<', 129,
        '=', 122,
        '>', 127,
        '?', 93,
        '[', 77,
        '^', 100,
        'b', 178,
        'c', 179,
        'm', 182,
        'r', 180,
        '{', 79,
        '|', 106,
        '}', 80,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(69);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(154);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(191);
      END_STATE();
    case 70:
      if (eof) ADVANCE(72);
      ADVANCE_MAP(
        '!', 101,
        '"', 156,
        '#', 143,
        '$', 65,
        '&', 103,
        '\'', 145,
        '(', 75,
        ')', 76,
        '*', 91,
        '+', 89,
        ',', 139,
        '-', 94,
        '.', 31,
        '/', 28,
        '0', 151,
        ':', 83,
        ';', 73,
        '<', 128,
        '=', 121,
        '>', 126,
        '?', 93,
        '[', 77,
        ']', 78,
        'b', 178,
        'c', 179,
        'm', 182,
        'r', 180,
        '{', 79,
        '|', 105,
        '}', 80,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(70);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(154);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(191);
      END_STATE();
    case 71:
      if (eof) ADVANCE(72);
      ADVANCE_MAP(
        '!', 101,
        '"', 156,
        '#', 142,
        '$', 65,
        '&', 103,
        '\'', 145,
        '(', 75,
        '*', 91,
        '-', 94,
        '.', 31,
        '/', 28,
        '0', 151,
        ':', 40,
        ';', 73,
        '<', 128,
        '=', 43,
        '[', 77,
        'b', 178,
        'c', 179,
        'm', 182,
        'r', 180,
        '{', 79,
        '|', 105,
        '}', 80,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(71);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(154);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(191);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_macro_rules_BANG);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(140);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(194);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(aux_sym_token_repetition_pattern_token1);
      if (lookahead == '*') ADVANCE(174);
      if (lookahead == '/') ADVANCE(161);
      if (lookahead != 0 &&
          lookahead != '*' &&
          lookahead != '+' &&
          lookahead != '?') ADVANCE(88);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(aux_sym_token_repetition_pattern_token1);
      if (lookahead == '/') ADVANCE(86);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(87);
      if (lookahead != 0 &&
          lookahead != '*' &&
          lookahead != '+' &&
          lookahead != '?') ADVANCE(88);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(aux_sym_token_repetition_pattern_token1);
      if (lookahead != 0 &&
          lookahead != '*' &&
          lookahead != '+' &&
          lookahead != '?') ADVANCE(88);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(111);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(113);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(112);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(112);
      if (lookahead == '>') ADVANCE(141);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(141);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(174);
      if (lookahead == '/') ADVANCE(160);
      if (lookahead == '=') ADVANCE(114);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(115);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(116);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(125);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(107);
      if (lookahead == '=') ADVANCE(117);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(118);
      if (lookahead == '|') ADVANCE(108);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(119);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(120);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(124);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(124);
      if (lookahead == '>') ADVANCE(81);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '>') ADVANCE(110);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(109);
      if (lookahead == '=') ADVANCE(131);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(136);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '.') ADVANCE(137);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '.') ADVANCE(137);
      if (lookahead == '=') ADVANCE(138);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_EQ);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (lookahead == '!') ADVANCE(54);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      if (lookahead == '\'') ADVANCE(158);
      if (lookahead == '\\') ADVANCE(47);
      if (lookahead != 0) ADVANCE(25);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_LT2);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_integer_literal);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == '2') ADVANCE(155);
      if (lookahead == 'f') ADVANCE(149);
      if (lookahead == 'i') ADVANCE(34);
      if (lookahead == 'u') ADVANCE(34);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(155);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == '3') ADVANCE(148);
      if (lookahead == '6') ADVANCE(150);
      if (lookahead == 'f') ADVANCE(149);
      if (lookahead == 'i') ADVANCE(34);
      if (lookahead == 'u') ADVANCE(34);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(155);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == '4') ADVANCE(155);
      if (lookahead == 'f') ADVANCE(149);
      if (lookahead == 'i') ADVANCE(34);
      if (lookahead == 'u') ADVANCE(34);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(155);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == 'b') ADVANCE(53);
      if (lookahead == 'f') ADVANCE(37);
      if (lookahead == 'i') ADVANCE(34);
      if (lookahead == 'o') ADVANCE(55);
      if (lookahead == 'u') ADVANCE(34);
      if (lookahead == 'x') ADVANCE(64);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(154);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == 'f') ADVANCE(37);
      if (lookahead == 'i') ADVANCE(34);
      if (lookahead == 'u') ADVANCE(34);
      if (lookahead == '0' ||
          lookahead == '1' ||
          lookahead == '_') ADVANCE(152);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == 'f') ADVANCE(37);
      if (lookahead == 'i') ADVANCE(34);
      if (lookahead == 'u') ADVANCE(34);
      if (('0' <= lookahead && lookahead <= '7') ||
          lookahead == '_') ADVANCE(153);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == 'f') ADVANCE(37);
      if (lookahead == 'i') ADVANCE(34);
      if (lookahead == 'u') ADVANCE(34);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(154);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_integer_literal);
      if (lookahead == 'f') ADVANCE(149);
      if (lookahead == 'i') ADVANCE(34);
      if (lookahead == 'u') ADVANCE(34);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(155);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_char_literal);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead != 0 &&
          lookahead != '*' &&
          lookahead != '+' &&
          lookahead != '?') ADVANCE(88);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(166);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(aux_sym_line_comment_token1);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(aux_sym_line_comment_token2);
      if (lookahead == '*') ADVANCE(175);
      if (lookahead == '/') ADVANCE(162);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(166);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(aux_sym_line_comment_token2);
      if (lookahead == '/') ADVANCE(164);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(165);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(166);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_line_comment_token2);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(166);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_line_comment_token3);
      if (lookahead == '!') ADVANCE(171);
      if (lookahead == '/') ADVANCE(173);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(169);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(170);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(aux_sym_line_comment_token3);
      if (lookahead == '*') ADVANCE(170);
      if (lookahead == '/') ADVANCE(170);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(170);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(aux_sym_line_comment_token3);
      if (lookahead == '/') ADVANCE(168);
      if (lookahead == '\t' ||
          (0x0b <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(169);
      if (lookahead != 0 &&
          (lookahead < '\t' || '\r' < lookahead)) ADVANCE(170);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(aux_sym_line_comment_token3);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(170);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_BANG2);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      if (lookahead == '/') ADVANCE(163);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_SLASH_STAR);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_SLASH_STAR);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(166);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_STAR_SLASH);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '!') ADVANCE(74);
      if (set_contains(sym_identifier_character_set_3, 776, lookahead)) ADVANCE(191);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(156);
      if (lookahead == '\'') ADVANCE(26);
      if (set_contains(sym_identifier_character_set_3, 776, lookahead)) ADVANCE(191);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(156);
      if (set_contains(sym_identifier_character_set_3, 776, lookahead)) ADVANCE(191);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '#') ADVANCE(66);
      if (set_contains(sym_identifier_character_set_3, 776, lookahead)) ADVANCE(191);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '_') ADVANCE(188);
      if (set_contains(sym_identifier_character_set_3, 776, lookahead)) ADVANCE(191);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'a') ADVANCE(183);
      if (set_contains(sym_identifier_character_set_3, 776, lookahead)) ADVANCE(191);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'c') ADVANCE(187);
      if (set_contains(sym_identifier_character_set_3, 776, lookahead)) ADVANCE(191);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'e') ADVANCE(189);
      if (set_contains(sym_identifier_character_set_3, 776, lookahead)) ADVANCE(191);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'l') ADVANCE(184);
      if (set_contains(sym_identifier_character_set_3, 776, lookahead)) ADVANCE(191);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(181);
      if (set_contains(sym_identifier_character_set_3, 776, lookahead)) ADVANCE(191);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(186);
      if (set_contains(sym_identifier_character_set_3, 776, lookahead)) ADVANCE(191);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'r') ADVANCE(190);
      if (set_contains(sym_identifier_character_set_3, 776, lookahead)) ADVANCE(191);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 's') ADVANCE(177);
      if (set_contains(sym_identifier_character_set_3, 776, lookahead)) ADVANCE(191);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'u') ADVANCE(185);
      if (set_contains(sym_identifier_character_set_3, 776, lookahead)) ADVANCE(191);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(sym_identifier);
      if (set_contains(sym_identifier_character_set_3, 776, lookahead)) ADVANCE(191);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(sym_shebang);
      if (lookahead == '\n') ADVANCE(1);
      if (lookahead == '[') ADVANCE(193);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(192);
      if (lookahead != 0) ADVANCE(193);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(sym_shebang);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(193);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(sym_metavariable);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(194);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        '_', 1,
        'a', 2,
        'b', 3,
        'c', 4,
        'd', 5,
        'e', 6,
        'f', 7,
        'i', 8,
        'l', 9,
        'm', 10,
        'p', 11,
        'r', 12,
        's', 13,
        't', 14,
        'u', 15,
        'v', 16,
        'w', 17,
        'y', 18,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(anon_sym__);
      END_STATE();
    case 2:
      if (lookahead == 's') ADVANCE(19);
      if (lookahead == 'w') ADVANCE(20);
      END_STATE();
    case 3:
      if (lookahead == 'l') ADVANCE(21);
      if (lookahead == 'o') ADVANCE(22);
      if (lookahead == 'r') ADVANCE(23);
      END_STATE();
    case 4:
      if (lookahead == 'h') ADVANCE(24);
      if (lookahead == 'o') ADVANCE(25);
      if (lookahead == 'r') ADVANCE(26);
      END_STATE();
    case 5:
      if (lookahead == 'e') ADVANCE(27);
      if (lookahead == 'y') ADVANCE(28);
      END_STATE();
    case 6:
      if (lookahead == 'l') ADVANCE(29);
      if (lookahead == 'n') ADVANCE(30);
      if (lookahead == 'x') ADVANCE(31);
      END_STATE();
    case 7:
      if (lookahead == '3') ADVANCE(32);
      if (lookahead == '6') ADVANCE(33);
      if (lookahead == 'a') ADVANCE(34);
      if (lookahead == 'n') ADVANCE(35);
      if (lookahead == 'o') ADVANCE(36);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '1', 37,
        '3', 38,
        '6', 39,
        '8', 40,
        'd', 41,
        'f', 42,
        'm', 43,
        'n', 44,
        's', 45,
        't', 46,
      );
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(47);
      if (lookahead == 'i') ADVANCE(48);
      if (lookahead == 'o') ADVANCE(49);
      END_STATE();
    case 10:
      if (lookahead == 'a') ADVANCE(50);
      if (lookahead == 'e') ADVANCE(51);
      if (lookahead == 'o') ADVANCE(52);
      if (lookahead == 'u') ADVANCE(53);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(54);
      if (lookahead == 'u') ADVANCE(55);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(56);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(57);
      if (lookahead == 't') ADVANCE(58);
      if (lookahead == 'u') ADVANCE(59);
      END_STATE();
    case 14:
      if (lookahead == 'r') ADVANCE(60);
      if (lookahead == 't') ADVANCE(61);
      if (lookahead == 'y') ADVANCE(62);
      END_STATE();
    case 15:
      if (lookahead == '1') ADVANCE(63);
      if (lookahead == '3') ADVANCE(64);
      if (lookahead == '6') ADVANCE(65);
      if (lookahead == '8') ADVANCE(66);
      if (lookahead == 'n') ADVANCE(67);
      if (lookahead == 's') ADVANCE(68);
      END_STATE();
    case 16:
      if (lookahead == 'i') ADVANCE(69);
      END_STATE();
    case 17:
      if (lookahead == 'h') ADVANCE(70);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(71);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'y') ADVANCE(72);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(73);
      END_STATE();
    case 21:
      if (lookahead == 'o') ADVANCE(74);
      END_STATE();
    case 22:
      if (lookahead == 'o') ADVANCE(75);
      END_STATE();
    case 23:
      if (lookahead == 'e') ADVANCE(76);
      END_STATE();
    case 24:
      if (lookahead == 'a') ADVANCE(77);
      END_STATE();
    case 25:
      if (lookahead == 'n') ADVANCE(78);
      END_STATE();
    case 26:
      if (lookahead == 'a') ADVANCE(79);
      END_STATE();
    case 27:
      if (lookahead == 'f') ADVANCE(80);
      END_STATE();
    case 28:
      if (lookahead == 'n') ADVANCE(81);
      END_STATE();
    case 29:
      if (lookahead == 's') ADVANCE(82);
      END_STATE();
    case 30:
      if (lookahead == 'u') ADVANCE(83);
      END_STATE();
    case 31:
      if (lookahead == 'p') ADVANCE(84);
      if (lookahead == 't') ADVANCE(85);
      END_STATE();
    case 32:
      if (lookahead == '2') ADVANCE(86);
      END_STATE();
    case 33:
      if (lookahead == '4') ADVANCE(87);
      END_STATE();
    case 34:
      if (lookahead == 'l') ADVANCE(88);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_fn);
      END_STATE();
    case 36:
      if (lookahead == 'r') ADVANCE(89);
      END_STATE();
    case 37:
      if (lookahead == '2') ADVANCE(90);
      if (lookahead == '6') ADVANCE(91);
      END_STATE();
    case 38:
      if (lookahead == '2') ADVANCE(92);
      END_STATE();
    case 39:
      if (lookahead == '4') ADVANCE(93);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_i8);
      END_STATE();
    case 41:
      if (lookahead == 'e') ADVANCE(94);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 43:
      if (lookahead == 'p') ADVANCE(95);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 45:
      if (lookahead == 'i') ADVANCE(96);
      END_STATE();
    case 46:
      if (lookahead == 'e') ADVANCE(97);
      END_STATE();
    case 47:
      if (lookahead == 't') ADVANCE(98);
      END_STATE();
    case 48:
      if (lookahead == 'f') ADVANCE(99);
      if (lookahead == 't') ADVANCE(100);
      END_STATE();
    case 49:
      if (lookahead == 'o') ADVANCE(101);
      END_STATE();
    case 50:
      if (lookahead == 't') ADVANCE(102);
      END_STATE();
    case 51:
      if (lookahead == 't') ADVANCE(103);
      END_STATE();
    case 52:
      if (lookahead == 'd') ADVANCE(104);
      if (lookahead == 'v') ADVANCE(105);
      END_STATE();
    case 53:
      if (lookahead == 't') ADVANCE(106);
      END_STATE();
    case 54:
      if (lookahead == 't') ADVANCE(107);
      END_STATE();
    case 55:
      if (lookahead == 'b') ADVANCE(108);
      END_STATE();
    case 56:
      if (lookahead == 'f') ADVANCE(109);
      if (lookahead == 't') ADVANCE(110);
      END_STATE();
    case 57:
      if (lookahead == 'l') ADVANCE(111);
      END_STATE();
    case 58:
      if (lookahead == 'a') ADVANCE(112);
      if (lookahead == 'm') ADVANCE(113);
      if (lookahead == 'r') ADVANCE(114);
      END_STATE();
    case 59:
      if (lookahead == 'p') ADVANCE(115);
      END_STATE();
    case 60:
      if (lookahead == 'a') ADVANCE(116);
      if (lookahead == 'u') ADVANCE(117);
      if (lookahead == 'y') ADVANCE(118);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_tt);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_ty);
      if (lookahead == 'p') ADVANCE(119);
      END_STATE();
    case 63:
      if (lookahead == '2') ADVANCE(120);
      if (lookahead == '6') ADVANCE(121);
      END_STATE();
    case 64:
      if (lookahead == '2') ADVANCE(122);
      END_STATE();
    case 65:
      if (lookahead == '4') ADVANCE(123);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_u8);
      END_STATE();
    case 67:
      if (lookahead == 'i') ADVANCE(124);
      if (lookahead == 's') ADVANCE(125);
      END_STATE();
    case 68:
      if (lookahead == 'e') ADVANCE(126);
      if (lookahead == 'i') ADVANCE(127);
      END_STATE();
    case 69:
      if (lookahead == 's') ADVANCE(128);
      END_STATE();
    case 70:
      if (lookahead == 'e') ADVANCE(129);
      if (lookahead == 'i') ADVANCE(130);
      END_STATE();
    case 71:
      if (lookahead == 'e') ADVANCE(131);
      END_STATE();
    case 72:
      if (lookahead == 'n') ADVANCE(132);
      END_STATE();
    case 73:
      if (lookahead == 'i') ADVANCE(133);
      END_STATE();
    case 74:
      if (lookahead == 'c') ADVANCE(134);
      END_STATE();
    case 75:
      if (lookahead == 'l') ADVANCE(135);
      END_STATE();
    case 76:
      if (lookahead == 'a') ADVANCE(136);
      END_STATE();
    case 77:
      if (lookahead == 'r') ADVANCE(137);
      END_STATE();
    case 78:
      if (lookahead == 's') ADVANCE(138);
      if (lookahead == 't') ADVANCE(139);
      END_STATE();
    case 79:
      if (lookahead == 't') ADVANCE(140);
      END_STATE();
    case 80:
      if (lookahead == 'a') ADVANCE(141);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_dyn);
      END_STATE();
    case 82:
      if (lookahead == 'e') ADVANCE(142);
      END_STATE();
    case 83:
      if (lookahead == 'm') ADVANCE(143);
      END_STATE();
    case 84:
      if (lookahead == 'r') ADVANCE(144);
      END_STATE();
    case 85:
      if (lookahead == 'e') ADVANCE(145);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_f32);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_f64);
      END_STATE();
    case 88:
      if (lookahead == 's') ADVANCE(146);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 90:
      if (lookahead == '8') ADVANCE(147);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_i16);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_i32);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_i64);
      END_STATE();
    case 94:
      if (lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 95:
      if (lookahead == 'l') ADVANCE(149);
      END_STATE();
    case 96:
      if (lookahead == 'z') ADVANCE(150);
      END_STATE();
    case 97:
      if (lookahead == 'm') ADVANCE(151);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 99:
      if (lookahead == 'e') ADVANCE(152);
      END_STATE();
    case 100:
      if (lookahead == 'e') ADVANCE(153);
      END_STATE();
    case 101:
      if (lookahead == 'p') ADVANCE(154);
      END_STATE();
    case 102:
      if (lookahead == 'c') ADVANCE(155);
      END_STATE();
    case 103:
      if (lookahead == 'a') ADVANCE(156);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_mod);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(157);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_mutable_specifier);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_pat);
      if (lookahead == 'h') ADVANCE(158);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_pub);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_ref);
      END_STATE();
    case 110:
      if (lookahead == 'u') ADVANCE(159);
      END_STATE();
    case 111:
      if (lookahead == 'f') ADVANCE(160);
      END_STATE();
    case 112:
      if (lookahead == 't') ADVANCE(161);
      END_STATE();
    case 113:
      if (lookahead == 't') ADVANCE(162);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_str);
      if (lookahead == 'u') ADVANCE(163);
      END_STATE();
    case 115:
      if (lookahead == 'e') ADVANCE(164);
      END_STATE();
    case 116:
      if (lookahead == 'i') ADVANCE(165);
      END_STATE();
    case 117:
      if (lookahead == 'e') ADVANCE(166);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 119:
      if (lookahead == 'e') ADVANCE(167);
      END_STATE();
    case 120:
      if (lookahead == '8') ADVANCE(168);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_u16);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_u32);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_u64);
      END_STATE();
    case 124:
      if (lookahead == 'o') ADVANCE(169);
      END_STATE();
    case 125:
      if (lookahead == 'a') ADVANCE(170);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_use);
      END_STATE();
    case 127:
      if (lookahead == 'z') ADVANCE(171);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_vis);
      END_STATE();
    case 129:
      if (lookahead == 'r') ADVANCE(172);
      END_STATE();
    case 130:
      if (lookahead == 'l') ADVANCE(173);
      END_STATE();
    case 131:
      if (lookahead == 'l') ADVANCE(174);
      END_STATE();
    case 132:
      if (lookahead == 'c') ADVANCE(175);
      END_STATE();
    case 133:
      if (lookahead == 't') ADVANCE(176);
      END_STATE();
    case 134:
      if (lookahead == 'k') ADVANCE(177);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_bool);
      END_STATE();
    case 136:
      if (lookahead == 'k') ADVANCE(178);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_char);
      END_STATE();
    case 138:
      if (lookahead == 't') ADVANCE(179);
      END_STATE();
    case 139:
      if (lookahead == 'i') ADVANCE(180);
      END_STATE();
    case 140:
      if (lookahead == 'e') ADVANCE(181);
      END_STATE();
    case 141:
      if (lookahead == 'u') ADVANCE(182);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_expr);
      END_STATE();
    case 145:
      if (lookahead == 'r') ADVANCE(183);
      END_STATE();
    case 146:
      if (lookahead == 'e') ADVANCE(184);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_i128);
      END_STATE();
    case 148:
      if (lookahead == 't') ADVANCE(185);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_impl);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(186);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_item);
      END_STATE();
    case 152:
      if (lookahead == 't') ADVANCE(187);
      END_STATE();
    case 153:
      if (lookahead == 'r') ADVANCE(188);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_loop);
      END_STATE();
    case 155:
      if (lookahead == 'h') ADVANCE(189);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_meta);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_move);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_path);
      END_STATE();
    case 159:
      if (lookahead == 'r') ADVANCE(190);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_self);
      END_STATE();
    case 161:
      if (lookahead == 'i') ADVANCE(191);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_stmt);
      END_STATE();
    case 163:
      if (lookahead == 'c') ADVANCE(192);
      END_STATE();
    case 164:
      if (lookahead == 'r') ADVANCE(193);
      END_STATE();
    case 165:
      if (lookahead == 't') ADVANCE(194);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_u128);
      END_STATE();
    case 169:
      if (lookahead == 'n') ADVANCE(195);
      END_STATE();
    case 170:
      if (lookahead == 'f') ADVANCE(196);
      END_STATE();
    case 171:
      if (lookahead == 'e') ADVANCE(197);
      END_STATE();
    case 172:
      if (lookahead == 'e') ADVANCE(198);
      END_STATE();
    case 173:
      if (lookahead == 'e') ADVANCE(199);
      END_STATE();
    case 174:
      if (lookahead == 'd') ADVANCE(200);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_block);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 180:
      if (lookahead == 'n') ADVANCE(201);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_crate);
      END_STATE();
    case 182:
      if (lookahead == 'l') ADVANCE(202);
      END_STATE();
    case 183:
      if (lookahead == 'n') ADVANCE(203);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_ident);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_isize);
      END_STATE();
    case 187:
      if (lookahead == 'i') ADVANCE(204);
      END_STATE();
    case 188:
      if (lookahead == 'a') ADVANCE(205);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 190:
      if (lookahead == 'n') ADVANCE(206);
      END_STATE();
    case 191:
      if (lookahead == 'c') ADVANCE(207);
      END_STATE();
    case 192:
      if (lookahead == 't') ADVANCE(208);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_trait);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 196:
      if (lookahead == 'e') ADVANCE(209);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_usize);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_where);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 201:
      if (lookahead == 'u') ADVANCE(210);
      END_STATE();
    case 202:
      if (lookahead == 't') ADVANCE(211);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 204:
      if (lookahead == 'm') ADVANCE(212);
      END_STATE();
    case 205:
      if (lookahead == 'l') ADVANCE(213);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_unsafe);
      END_STATE();
    case 210:
      if (lookahead == 'e') ADVANCE(214);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 212:
      if (lookahead == 'e') ADVANCE(215);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_literal);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_lifetime);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 70, .external_lex_state = 2},
  [2] = {.lex_state = 71, .external_lex_state = 2},
  [3] = {.lex_state = 71, .external_lex_state = 2},
  [4] = {.lex_state = 71, .external_lex_state = 2},
  [5] = {.lex_state = 71, .external_lex_state = 2},
  [6] = {.lex_state = 71, .external_lex_state = 2},
  [7] = {.lex_state = 71, .external_lex_state = 2},
  [8] = {.lex_state = 71, .external_lex_state = 2},
  [9] = {.lex_state = 71, .external_lex_state = 2},
  [10] = {.lex_state = 71, .external_lex_state = 2},
  [11] = {.lex_state = 71, .external_lex_state = 2},
  [12] = {.lex_state = 71, .external_lex_state = 2},
  [13] = {.lex_state = 71, .external_lex_state = 2},
  [14] = {.lex_state = 71, .external_lex_state = 2},
  [15] = {.lex_state = 71, .external_lex_state = 2},
  [16] = {.lex_state = 71, .external_lex_state = 2},
  [17] = {.lex_state = 71, .external_lex_state = 2},
  [18] = {.lex_state = 71, .external_lex_state = 2},
  [19] = {.lex_state = 71, .external_lex_state = 2},
  [20] = {.lex_state = 71, .external_lex_state = 2},
  [21] = {.lex_state = 71, .external_lex_state = 2},
  [22] = {.lex_state = 71, .external_lex_state = 2},
  [23] = {.lex_state = 71, .external_lex_state = 2},
  [24] = {.lex_state = 71, .external_lex_state = 2},
  [25] = {.lex_state = 71, .external_lex_state = 2},
  [26] = {.lex_state = 71, .external_lex_state = 2},
  [27] = {.lex_state = 71, .external_lex_state = 2},
  [28] = {.lex_state = 71, .external_lex_state = 2},
  [29] = {.lex_state = 71, .external_lex_state = 2},
  [30] = {.lex_state = 71, .external_lex_state = 2},
  [31] = {.lex_state = 71, .external_lex_state = 2},
  [32] = {.lex_state = 71, .external_lex_state = 2},
  [33] = {.lex_state = 71, .external_lex_state = 2},
  [34] = {.lex_state = 71, .external_lex_state = 2},
  [35] = {.lex_state = 3, .external_lex_state = 2},
  [36] = {.lex_state = 3, .external_lex_state = 2},
  [37] = {.lex_state = 3, .external_lex_state = 2},
  [38] = {.lex_state = 3, .external_lex_state = 2},
  [39] = {.lex_state = 3, .external_lex_state = 2},
  [40] = {.lex_state = 3, .external_lex_state = 2},
  [41] = {.lex_state = 3, .external_lex_state = 2},
  [42] = {.lex_state = 3, .external_lex_state = 2},
  [43] = {.lex_state = 5, .external_lex_state = 2},
  [44] = {.lex_state = 3, .external_lex_state = 2},
  [45] = {.lex_state = 5, .external_lex_state = 2},
  [46] = {.lex_state = 5, .external_lex_state = 2},
  [47] = {.lex_state = 5, .external_lex_state = 2},
  [48] = {.lex_state = 5, .external_lex_state = 2},
  [49] = {.lex_state = 5, .external_lex_state = 2},
  [50] = {.lex_state = 5, .external_lex_state = 2},
  [51] = {.lex_state = 5, .external_lex_state = 2},
  [52] = {.lex_state = 3, .external_lex_state = 2},
  [53] = {.lex_state = 3, .external_lex_state = 2},
  [54] = {.lex_state = 3, .external_lex_state = 2},
  [55] = {.lex_state = 3, .external_lex_state = 2},
  [56] = {.lex_state = 3, .external_lex_state = 2},
  [57] = {.lex_state = 3, .external_lex_state = 2},
  [58] = {.lex_state = 3, .external_lex_state = 2},
  [59] = {.lex_state = 3, .external_lex_state = 2},
  [60] = {.lex_state = 3, .external_lex_state = 2},
  [61] = {.lex_state = 3, .external_lex_state = 2},
  [62] = {.lex_state = 3, .external_lex_state = 2},
  [63] = {.lex_state = 3, .external_lex_state = 2},
  [64] = {.lex_state = 3, .external_lex_state = 2},
  [65] = {.lex_state = 3, .external_lex_state = 2},
  [66] = {.lex_state = 3, .external_lex_state = 2},
  [67] = {.lex_state = 2, .external_lex_state = 2},
  [68] = {.lex_state = 2, .external_lex_state = 2},
  [69] = {.lex_state = 2, .external_lex_state = 2},
  [70] = {.lex_state = 2, .external_lex_state = 2},
  [71] = {.lex_state = 2, .external_lex_state = 2},
  [72] = {.lex_state = 2, .external_lex_state = 2},
  [73] = {.lex_state = 2, .external_lex_state = 2},
  [74] = {.lex_state = 2, .external_lex_state = 2},
  [75] = {.lex_state = 2, .external_lex_state = 2},
  [76] = {.lex_state = 2, .external_lex_state = 2},
  [77] = {.lex_state = 2, .external_lex_state = 2},
  [78] = {.lex_state = 2, .external_lex_state = 2},
  [79] = {.lex_state = 2, .external_lex_state = 2},
  [80] = {.lex_state = 2, .external_lex_state = 2},
  [81] = {.lex_state = 2, .external_lex_state = 2},
  [82] = {.lex_state = 2, .external_lex_state = 2},
  [83] = {.lex_state = 4, .external_lex_state = 2},
  [84] = {.lex_state = 4, .external_lex_state = 2},
  [85] = {.lex_state = 2, .external_lex_state = 2},
  [86] = {.lex_state = 2, .external_lex_state = 2},
  [87] = {.lex_state = 2, .external_lex_state = 2},
  [88] = {.lex_state = 2, .external_lex_state = 2},
  [89] = {.lex_state = 4, .external_lex_state = 2},
  [90] = {.lex_state = 2, .external_lex_state = 2},
  [91] = {.lex_state = 4, .external_lex_state = 2},
  [92] = {.lex_state = 4, .external_lex_state = 2},
  [93] = {.lex_state = 4, .external_lex_state = 2},
  [94] = {.lex_state = 4, .external_lex_state = 2},
  [95] = {.lex_state = 4, .external_lex_state = 2},
  [96] = {.lex_state = 4, .external_lex_state = 2},
  [97] = {.lex_state = 4, .external_lex_state = 2},
  [98] = {.lex_state = 4, .external_lex_state = 2},
  [99] = {.lex_state = 2, .external_lex_state = 2},
  [100] = {.lex_state = 2, .external_lex_state = 2},
  [101] = {.lex_state = 2, .external_lex_state = 2},
  [102] = {.lex_state = 2, .external_lex_state = 2},
  [103] = {.lex_state = 2, .external_lex_state = 2},
  [104] = {.lex_state = 2, .external_lex_state = 2},
  [105] = {.lex_state = 4, .external_lex_state = 2},
  [106] = {.lex_state = 4, .external_lex_state = 2},
  [107] = {.lex_state = 4, .external_lex_state = 2},
  [108] = {.lex_state = 4, .external_lex_state = 2},
  [109] = {.lex_state = 4, .external_lex_state = 2},
  [110] = {.lex_state = 4, .external_lex_state = 2},
  [111] = {.lex_state = 4, .external_lex_state = 2},
  [112] = {.lex_state = 4, .external_lex_state = 2},
  [113] = {.lex_state = 4, .external_lex_state = 2},
  [114] = {.lex_state = 4, .external_lex_state = 2},
  [115] = {.lex_state = 4, .external_lex_state = 2},
  [116] = {.lex_state = 4, .external_lex_state = 2},
  [117] = {.lex_state = 4, .external_lex_state = 2},
  [118] = {.lex_state = 4, .external_lex_state = 2},
  [119] = {.lex_state = 4, .external_lex_state = 2},
  [120] = {.lex_state = 4, .external_lex_state = 2},
  [121] = {.lex_state = 4, .external_lex_state = 2},
  [122] = {.lex_state = 4, .external_lex_state = 2},
  [123] = {.lex_state = 4, .external_lex_state = 2},
  [124] = {.lex_state = 4, .external_lex_state = 2},
  [125] = {.lex_state = 4, .external_lex_state = 2},
  [126] = {.lex_state = 4, .external_lex_state = 2},
  [127] = {.lex_state = 4, .external_lex_state = 2},
  [128] = {.lex_state = 4, .external_lex_state = 2},
  [129] = {.lex_state = 4, .external_lex_state = 2},
  [130] = {.lex_state = 2, .external_lex_state = 2},
  [131] = {.lex_state = 2, .external_lex_state = 2},
  [132] = {.lex_state = 2, .external_lex_state = 2},
  [133] = {.lex_state = 4, .external_lex_state = 2},
  [134] = {.lex_state = 2, .external_lex_state = 2},
  [135] = {.lex_state = 2, .external_lex_state = 2},
  [136] = {.lex_state = 2, .external_lex_state = 2},
  [137] = {.lex_state = 2, .external_lex_state = 2},
  [138] = {.lex_state = 2, .external_lex_state = 2},
  [139] = {.lex_state = 2, .external_lex_state = 2},
  [140] = {.lex_state = 11, .external_lex_state = 2},
  [141] = {.lex_state = 2, .external_lex_state = 2},
  [142] = {.lex_state = 2, .external_lex_state = 2},
  [143] = {.lex_state = 2, .external_lex_state = 2},
  [144] = {.lex_state = 2, .external_lex_state = 2},
  [145] = {.lex_state = 11, .external_lex_state = 2},
  [146] = {.lex_state = 11, .external_lex_state = 2},
  [147] = {.lex_state = 2, .external_lex_state = 2},
  [148] = {.lex_state = 2, .external_lex_state = 2},
  [149] = {.lex_state = 2, .external_lex_state = 2},
  [150] = {.lex_state = 4, .external_lex_state = 2},
  [151] = {.lex_state = 11, .external_lex_state = 2},
  [152] = {.lex_state = 2, .external_lex_state = 2},
  [153] = {.lex_state = 2, .external_lex_state = 2},
  [154] = {.lex_state = 2, .external_lex_state = 2},
  [155] = {.lex_state = 11, .external_lex_state = 2},
  [156] = {.lex_state = 2, .external_lex_state = 2},
  [157] = {.lex_state = 2, .external_lex_state = 2},
  [158] = {.lex_state = 11, .external_lex_state = 2},
  [159] = {.lex_state = 2, .external_lex_state = 2},
  [160] = {.lex_state = 4, .external_lex_state = 2},
  [161] = {.lex_state = 11, .external_lex_state = 2},
  [162] = {.lex_state = 2, .external_lex_state = 2},
  [163] = {.lex_state = 11, .external_lex_state = 2},
  [164] = {.lex_state = 2, .external_lex_state = 2},
  [165] = {.lex_state = 2, .external_lex_state = 2},
  [166] = {.lex_state = 2, .external_lex_state = 2},
  [167] = {.lex_state = 2, .external_lex_state = 2},
  [168] = {.lex_state = 2, .external_lex_state = 2},
  [169] = {.lex_state = 11, .external_lex_state = 2},
  [170] = {.lex_state = 11, .external_lex_state = 2},
  [171] = {.lex_state = 11, .external_lex_state = 2},
  [172] = {.lex_state = 11, .external_lex_state = 2},
  [173] = {.lex_state = 4, .external_lex_state = 2},
  [174] = {.lex_state = 11, .external_lex_state = 2},
  [175] = {.lex_state = 4, .external_lex_state = 2},
  [176] = {.lex_state = 4, .external_lex_state = 2},
  [177] = {.lex_state = 4, .external_lex_state = 2},
  [178] = {.lex_state = 4, .external_lex_state = 2},
  [179] = {.lex_state = 11, .external_lex_state = 2},
  [180] = {.lex_state = 4, .external_lex_state = 2},
  [181] = {.lex_state = 4, .external_lex_state = 2},
  [182] = {.lex_state = 11, .external_lex_state = 2},
  [183] = {.lex_state = 4, .external_lex_state = 2},
  [184] = {.lex_state = 4, .external_lex_state = 2},
  [185] = {.lex_state = 4, .external_lex_state = 2},
  [186] = {.lex_state = 11, .external_lex_state = 2},
  [187] = {.lex_state = 11, .external_lex_state = 2},
  [188] = {.lex_state = 11, .external_lex_state = 2},
  [189] = {.lex_state = 11, .external_lex_state = 2},
  [190] = {.lex_state = 11, .external_lex_state = 2},
  [191] = {.lex_state = 11, .external_lex_state = 2},
  [192] = {.lex_state = 11, .external_lex_state = 2},
  [193] = {.lex_state = 11, .external_lex_state = 2},
  [194] = {.lex_state = 11, .external_lex_state = 2},
  [195] = {.lex_state = 11, .external_lex_state = 2},
  [196] = {.lex_state = 11, .external_lex_state = 2},
  [197] = {.lex_state = 11, .external_lex_state = 2},
  [198] = {.lex_state = 11, .external_lex_state = 2},
  [199] = {.lex_state = 11, .external_lex_state = 2},
  [200] = {.lex_state = 11, .external_lex_state = 2},
  [201] = {.lex_state = 11, .external_lex_state = 2},
  [202] = {.lex_state = 11, .external_lex_state = 2},
  [203] = {.lex_state = 11, .external_lex_state = 2},
  [204] = {.lex_state = 11, .external_lex_state = 2},
  [205] = {.lex_state = 11, .external_lex_state = 2},
  [206] = {.lex_state = 11, .external_lex_state = 2},
  [207] = {.lex_state = 11, .external_lex_state = 2},
  [208] = {.lex_state = 4, .external_lex_state = 2},
  [209] = {.lex_state = 11, .external_lex_state = 2},
  [210] = {.lex_state = 11, .external_lex_state = 2},
  [211] = {.lex_state = 11, .external_lex_state = 2},
  [212] = {.lex_state = 11, .external_lex_state = 2},
  [213] = {.lex_state = 11, .external_lex_state = 2},
  [214] = {.lex_state = 11, .external_lex_state = 2},
  [215] = {.lex_state = 11, .external_lex_state = 2},
  [216] = {.lex_state = 11, .external_lex_state = 2},
  [217] = {.lex_state = 13, .external_lex_state = 2},
  [218] = {.lex_state = 11, .external_lex_state = 2},
  [219] = {.lex_state = 11, .external_lex_state = 2},
  [220] = {.lex_state = 13, .external_lex_state = 2},
  [221] = {.lex_state = 11, .external_lex_state = 2},
  [222] = {.lex_state = 11, .external_lex_state = 2},
  [223] = {.lex_state = 11, .external_lex_state = 2},
  [224] = {.lex_state = 13, .external_lex_state = 2},
  [225] = {.lex_state = 13, .external_lex_state = 2},
  [226] = {.lex_state = 11, .external_lex_state = 2},
  [227] = {.lex_state = 11, .external_lex_state = 2},
  [228] = {.lex_state = 13, .external_lex_state = 2},
  [229] = {.lex_state = 11, .external_lex_state = 2},
  [230] = {.lex_state = 13, .external_lex_state = 2},
  [231] = {.lex_state = 13, .external_lex_state = 2},
  [232] = {.lex_state = 13, .external_lex_state = 2},
  [233] = {.lex_state = 13, .external_lex_state = 2},
  [234] = {.lex_state = 13, .external_lex_state = 2},
  [235] = {.lex_state = 13, .external_lex_state = 2},
  [236] = {.lex_state = 13, .external_lex_state = 2},
  [237] = {.lex_state = 13, .external_lex_state = 2},
  [238] = {.lex_state = 11, .external_lex_state = 2},
  [239] = {.lex_state = 13, .external_lex_state = 2},
  [240] = {.lex_state = 11, .external_lex_state = 2},
  [241] = {.lex_state = 13, .external_lex_state = 2},
  [242] = {.lex_state = 11, .external_lex_state = 2},
  [243] = {.lex_state = 11, .external_lex_state = 2},
  [244] = {.lex_state = 69, .external_lex_state = 2},
  [245] = {.lex_state = 11, .external_lex_state = 2},
  [246] = {.lex_state = 11, .external_lex_state = 2},
  [247] = {.lex_state = 11, .external_lex_state = 2},
  [248] = {.lex_state = 11, .external_lex_state = 2},
  [249] = {.lex_state = 11, .external_lex_state = 2},
  [250] = {.lex_state = 11, .external_lex_state = 2},
  [251] = {.lex_state = 11, .external_lex_state = 2},
  [252] = {.lex_state = 11, .external_lex_state = 2},
  [253] = {.lex_state = 11, .external_lex_state = 2},
  [254] = {.lex_state = 11, .external_lex_state = 2},
  [255] = {.lex_state = 11, .external_lex_state = 2},
  [256] = {.lex_state = 11, .external_lex_state = 2},
  [257] = {.lex_state = 11, .external_lex_state = 2},
  [258] = {.lex_state = 11, .external_lex_state = 2},
  [259] = {.lex_state = 11, .external_lex_state = 2},
  [260] = {.lex_state = 11, .external_lex_state = 2},
  [261] = {.lex_state = 69, .external_lex_state = 2},
  [262] = {.lex_state = 11, .external_lex_state = 2},
  [263] = {.lex_state = 11, .external_lex_state = 2},
  [264] = {.lex_state = 11, .external_lex_state = 2},
  [265] = {.lex_state = 11, .external_lex_state = 2},
  [266] = {.lex_state = 11, .external_lex_state = 2},
  [267] = {.lex_state = 11, .external_lex_state = 2},
  [268] = {.lex_state = 11, .external_lex_state = 2},
  [269] = {.lex_state = 11, .external_lex_state = 2},
  [270] = {.lex_state = 11, .external_lex_state = 2},
  [271] = {.lex_state = 11, .external_lex_state = 2},
  [272] = {.lex_state = 11, .external_lex_state = 2},
  [273] = {.lex_state = 11, .external_lex_state = 2},
  [274] = {.lex_state = 11, .external_lex_state = 2},
  [275] = {.lex_state = 11, .external_lex_state = 2},
  [276] = {.lex_state = 11, .external_lex_state = 2},
  [277] = {.lex_state = 11, .external_lex_state = 2},
  [278] = {.lex_state = 11, .external_lex_state = 2},
  [279] = {.lex_state = 11, .external_lex_state = 2},
  [280] = {.lex_state = 11, .external_lex_state = 2},
  [281] = {.lex_state = 11, .external_lex_state = 2},
  [282] = {.lex_state = 11, .external_lex_state = 2},
  [283] = {.lex_state = 11, .external_lex_state = 2},
  [284] = {.lex_state = 11, .external_lex_state = 2},
  [285] = {.lex_state = 11, .external_lex_state = 2},
  [286] = {.lex_state = 11, .external_lex_state = 2},
  [287] = {.lex_state = 11, .external_lex_state = 2},
  [288] = {.lex_state = 11, .external_lex_state = 2},
  [289] = {.lex_state = 11, .external_lex_state = 2},
  [290] = {.lex_state = 11, .external_lex_state = 2},
  [291] = {.lex_state = 11, .external_lex_state = 2},
  [292] = {.lex_state = 11, .external_lex_state = 2},
  [293] = {.lex_state = 11, .external_lex_state = 2},
  [294] = {.lex_state = 11, .external_lex_state = 2},
  [295] = {.lex_state = 11, .external_lex_state = 2},
  [296] = {.lex_state = 11, .external_lex_state = 2},
  [297] = {.lex_state = 11, .external_lex_state = 2},
  [298] = {.lex_state = 11, .external_lex_state = 2},
  [299] = {.lex_state = 11, .external_lex_state = 2},
  [300] = {.lex_state = 11, .external_lex_state = 2},
  [301] = {.lex_state = 11, .external_lex_state = 2},
  [302] = {.lex_state = 11, .external_lex_state = 2},
  [303] = {.lex_state = 11, .external_lex_state = 2},
  [304] = {.lex_state = 11, .external_lex_state = 2},
  [305] = {.lex_state = 11, .external_lex_state = 2},
  [306] = {.lex_state = 11, .external_lex_state = 2},
  [307] = {.lex_state = 11, .external_lex_state = 2},
  [308] = {.lex_state = 11, .external_lex_state = 2},
  [309] = {.lex_state = 11, .external_lex_state = 2},
  [310] = {.lex_state = 11, .external_lex_state = 2},
  [311] = {.lex_state = 11, .external_lex_state = 2},
  [312] = {.lex_state = 11, .external_lex_state = 2},
  [313] = {.lex_state = 11, .external_lex_state = 2},
  [314] = {.lex_state = 11, .external_lex_state = 2},
  [315] = {.lex_state = 11, .external_lex_state = 2},
  [316] = {.lex_state = 11, .external_lex_state = 2},
  [317] = {.lex_state = 11, .external_lex_state = 2},
  [318] = {.lex_state = 11, .external_lex_state = 2},
  [319] = {.lex_state = 11, .external_lex_state = 2},
  [320] = {.lex_state = 11, .external_lex_state = 2},
  [321] = {.lex_state = 11, .external_lex_state = 2},
  [322] = {.lex_state = 11, .external_lex_state = 2},
  [323] = {.lex_state = 69, .external_lex_state = 2},
  [324] = {.lex_state = 11, .external_lex_state = 2},
  [325] = {.lex_state = 11, .external_lex_state = 2},
  [326] = {.lex_state = 11, .external_lex_state = 2},
  [327] = {.lex_state = 11, .external_lex_state = 2},
  [328] = {.lex_state = 11, .external_lex_state = 2},
  [329] = {.lex_state = 11, .external_lex_state = 2},
  [330] = {.lex_state = 11, .external_lex_state = 2},
  [331] = {.lex_state = 11, .external_lex_state = 2},
  [332] = {.lex_state = 11, .external_lex_state = 2},
  [333] = {.lex_state = 11, .external_lex_state = 2},
  [334] = {.lex_state = 11, .external_lex_state = 2},
  [335] = {.lex_state = 11, .external_lex_state = 2},
  [336] = {.lex_state = 69, .external_lex_state = 2},
  [337] = {.lex_state = 11, .external_lex_state = 2},
  [338] = {.lex_state = 69, .external_lex_state = 2},
  [339] = {.lex_state = 11, .external_lex_state = 2},
  [340] = {.lex_state = 11, .external_lex_state = 2},
  [341] = {.lex_state = 11, .external_lex_state = 2},
  [342] = {.lex_state = 11, .external_lex_state = 2},
  [343] = {.lex_state = 11, .external_lex_state = 2},
  [344] = {.lex_state = 11, .external_lex_state = 2},
  [345] = {.lex_state = 11, .external_lex_state = 2},
  [346] = {.lex_state = 11, .external_lex_state = 2},
  [347] = {.lex_state = 69, .external_lex_state = 2},
  [348] = {.lex_state = 11, .external_lex_state = 2},
  [349] = {.lex_state = 11, .external_lex_state = 2},
  [350] = {.lex_state = 11, .external_lex_state = 2},
  [351] = {.lex_state = 11, .external_lex_state = 2},
  [352] = {.lex_state = 11, .external_lex_state = 2},
  [353] = {.lex_state = 11, .external_lex_state = 2},
  [354] = {.lex_state = 11, .external_lex_state = 2},
  [355] = {.lex_state = 11, .external_lex_state = 2},
  [356] = {.lex_state = 11, .external_lex_state = 2},
  [357] = {.lex_state = 11, .external_lex_state = 2},
  [358] = {.lex_state = 11, .external_lex_state = 2},
  [359] = {.lex_state = 11, .external_lex_state = 2},
  [360] = {.lex_state = 11, .external_lex_state = 2},
  [361] = {.lex_state = 11, .external_lex_state = 2},
  [362] = {.lex_state = 11, .external_lex_state = 2},
  [363] = {.lex_state = 11, .external_lex_state = 2},
  [364] = {.lex_state = 11, .external_lex_state = 2},
  [365] = {.lex_state = 11, .external_lex_state = 2},
  [366] = {.lex_state = 11, .external_lex_state = 2},
  [367] = {.lex_state = 11, .external_lex_state = 2},
  [368] = {.lex_state = 11, .external_lex_state = 2},
  [369] = {.lex_state = 11, .external_lex_state = 2},
  [370] = {.lex_state = 11, .external_lex_state = 2},
  [371] = {.lex_state = 12, .external_lex_state = 2},
  [372] = {.lex_state = 69, .external_lex_state = 2},
  [373] = {.lex_state = 12, .external_lex_state = 2},
  [374] = {.lex_state = 69, .external_lex_state = 2},
  [375] = {.lex_state = 69, .external_lex_state = 2},
  [376] = {.lex_state = 69, .external_lex_state = 2},
  [377] = {.lex_state = 69, .external_lex_state = 2},
  [378] = {.lex_state = 12, .external_lex_state = 2},
  [379] = {.lex_state = 69, .external_lex_state = 2},
  [380] = {.lex_state = 69, .external_lex_state = 2},
  [381] = {.lex_state = 69, .external_lex_state = 2},
  [382] = {.lex_state = 69, .external_lex_state = 2},
  [383] = {.lex_state = 69, .external_lex_state = 2},
  [384] = {.lex_state = 69, .external_lex_state = 2},
  [385] = {.lex_state = 69, .external_lex_state = 2},
  [386] = {.lex_state = 69, .external_lex_state = 2},
  [387] = {.lex_state = 69, .external_lex_state = 2},
  [388] = {.lex_state = 69, .external_lex_state = 2},
  [389] = {.lex_state = 69, .external_lex_state = 2},
  [390] = {.lex_state = 12, .external_lex_state = 2},
  [391] = {.lex_state = 69, .external_lex_state = 2},
  [392] = {.lex_state = 69, .external_lex_state = 2},
  [393] = {.lex_state = 69, .external_lex_state = 2},
  [394] = {.lex_state = 69, .external_lex_state = 2},
  [395] = {.lex_state = 69, .external_lex_state = 2},
  [396] = {.lex_state = 12, .external_lex_state = 2},
  [397] = {.lex_state = 69, .external_lex_state = 2},
  [398] = {.lex_state = 12, .external_lex_state = 2},
  [399] = {.lex_state = 69, .external_lex_state = 2},
  [400] = {.lex_state = 12, .external_lex_state = 2},
  [401] = {.lex_state = 12, .external_lex_state = 2},
  [402] = {.lex_state = 12, .external_lex_state = 2},
  [403] = {.lex_state = 12, .external_lex_state = 2},
  [404] = {.lex_state = 69, .external_lex_state = 2},
  [405] = {.lex_state = 12, .external_lex_state = 2},
  [406] = {.lex_state = 12, .external_lex_state = 2},
  [407] = {.lex_state = 12, .external_lex_state = 2},
  [408] = {.lex_state = 12, .external_lex_state = 2},
  [409] = {.lex_state = 12, .external_lex_state = 2},
  [410] = {.lex_state = 11, .external_lex_state = 2},
  [411] = {.lex_state = 12, .external_lex_state = 2},
  [412] = {.lex_state = 11, .external_lex_state = 2},
  [413] = {.lex_state = 11, .external_lex_state = 2},
  [414] = {.lex_state = 12, .external_lex_state = 2},
  [415] = {.lex_state = 12, .external_lex_state = 2},
  [416] = {.lex_state = 12, .external_lex_state = 2},
  [417] = {.lex_state = 12, .external_lex_state = 2},
  [418] = {.lex_state = 11, .external_lex_state = 2},
  [419] = {.lex_state = 11, .external_lex_state = 2},
  [420] = {.lex_state = 11, .external_lex_state = 2},
  [421] = {.lex_state = 11, .external_lex_state = 2},
  [422] = {.lex_state = 11, .external_lex_state = 2},
  [423] = {.lex_state = 11, .external_lex_state = 2},
  [424] = {.lex_state = 11, .external_lex_state = 2},
  [425] = {.lex_state = 11, .external_lex_state = 2},
  [426] = {.lex_state = 11, .external_lex_state = 2},
  [427] = {.lex_state = 11, .external_lex_state = 2},
  [428] = {.lex_state = 11, .external_lex_state = 2},
  [429] = {.lex_state = 3, .external_lex_state = 2},
  [430] = {.lex_state = 5, .external_lex_state = 2},
  [431] = {.lex_state = 13, .external_lex_state = 2},
  [432] = {.lex_state = 13, .external_lex_state = 2},
  [433] = {.lex_state = 11, .external_lex_state = 2},
  [434] = {.lex_state = 11, .external_lex_state = 2},
  [435] = {.lex_state = 11, .external_lex_state = 2},
  [436] = {.lex_state = 11, .external_lex_state = 2},
  [437] = {.lex_state = 11, .external_lex_state = 2},
  [438] = {.lex_state = 11, .external_lex_state = 2},
  [439] = {.lex_state = 11, .external_lex_state = 2},
  [440] = {.lex_state = 11, .external_lex_state = 2},
  [441] = {.lex_state = 11, .external_lex_state = 2},
  [442] = {.lex_state = 11, .external_lex_state = 2},
  [443] = {.lex_state = 11, .external_lex_state = 2},
  [444] = {.lex_state = 11, .external_lex_state = 2},
  [445] = {.lex_state = 11, .external_lex_state = 2},
  [446] = {.lex_state = 3, .external_lex_state = 2},
  [447] = {.lex_state = 3, .external_lex_state = 2},
  [448] = {.lex_state = 3, .external_lex_state = 2},
  [449] = {.lex_state = 3, .external_lex_state = 2},
  [450] = {.lex_state = 3, .external_lex_state = 2},
  [451] = {.lex_state = 3, .external_lex_state = 2},
  [452] = {.lex_state = 3, .external_lex_state = 2},
  [453] = {.lex_state = 3, .external_lex_state = 2},
  [454] = {.lex_state = 3, .external_lex_state = 2},
  [455] = {.lex_state = 3, .external_lex_state = 2},
  [456] = {.lex_state = 11, .external_lex_state = 2},
  [457] = {.lex_state = 3, .external_lex_state = 2},
  [458] = {.lex_state = 3, .external_lex_state = 2},
  [459] = {.lex_state = 11, .external_lex_state = 2},
  [460] = {.lex_state = 3, .external_lex_state = 2},
  [461] = {.lex_state = 11, .external_lex_state = 2},
  [462] = {.lex_state = 3, .external_lex_state = 2},
  [463] = {.lex_state = 3, .external_lex_state = 2},
  [464] = {.lex_state = 3, .external_lex_state = 2},
  [465] = {.lex_state = 3, .external_lex_state = 2},
  [466] = {.lex_state = 3, .external_lex_state = 2},
  [467] = {.lex_state = 3, .external_lex_state = 2},
  [468] = {.lex_state = 3, .external_lex_state = 2},
  [469] = {.lex_state = 3, .external_lex_state = 2},
  [470] = {.lex_state = 3, .external_lex_state = 2},
  [471] = {.lex_state = 3, .external_lex_state = 2},
  [472] = {.lex_state = 11, .external_lex_state = 2},
  [473] = {.lex_state = 3, .external_lex_state = 2},
  [474] = {.lex_state = 3, .external_lex_state = 2},
  [475] = {.lex_state = 11, .external_lex_state = 2},
  [476] = {.lex_state = 11, .external_lex_state = 2},
  [477] = {.lex_state = 11, .external_lex_state = 2},
  [478] = {.lex_state = 11, .external_lex_state = 2},
  [479] = {.lex_state = 71, .external_lex_state = 2},
  [480] = {.lex_state = 71, .external_lex_state = 2},
  [481] = {.lex_state = 71, .external_lex_state = 2},
  [482] = {.lex_state = 71, .external_lex_state = 2},
  [483] = {.lex_state = 71, .external_lex_state = 2},
  [484] = {.lex_state = 71, .external_lex_state = 2},
  [485] = {.lex_state = 71, .external_lex_state = 2},
  [486] = {.lex_state = 71, .external_lex_state = 2},
  [487] = {.lex_state = 71, .external_lex_state = 2},
  [488] = {.lex_state = 71, .external_lex_state = 2},
  [489] = {.lex_state = 71, .external_lex_state = 2},
  [490] = {.lex_state = 71, .external_lex_state = 2},
  [491] = {.lex_state = 71, .external_lex_state = 2},
  [492] = {.lex_state = 71, .external_lex_state = 2},
  [493] = {.lex_state = 71, .external_lex_state = 2},
  [494] = {.lex_state = 71, .external_lex_state = 2},
  [495] = {.lex_state = 71, .external_lex_state = 2},
  [496] = {.lex_state = 71, .external_lex_state = 2},
  [497] = {.lex_state = 71, .external_lex_state = 2},
  [498] = {.lex_state = 71, .external_lex_state = 2},
  [499] = {.lex_state = 71, .external_lex_state = 2},
  [500] = {.lex_state = 71, .external_lex_state = 2},
  [501] = {.lex_state = 71, .external_lex_state = 2},
  [502] = {.lex_state = 71, .external_lex_state = 2},
  [503] = {.lex_state = 71, .external_lex_state = 2},
  [504] = {.lex_state = 71, .external_lex_state = 2},
  [505] = {.lex_state = 71, .external_lex_state = 2},
  [506] = {.lex_state = 71, .external_lex_state = 2},
  [507] = {.lex_state = 71, .external_lex_state = 2},
  [508] = {.lex_state = 71, .external_lex_state = 2},
  [509] = {.lex_state = 71, .external_lex_state = 2},
  [510] = {.lex_state = 71, .external_lex_state = 2},
  [511] = {.lex_state = 71, .external_lex_state = 2},
  [512] = {.lex_state = 71, .external_lex_state = 2},
  [513] = {.lex_state = 71, .external_lex_state = 2},
  [514] = {.lex_state = 71, .external_lex_state = 2},
  [515] = {.lex_state = 71, .external_lex_state = 2},
  [516] = {.lex_state = 71, .external_lex_state = 2},
  [517] = {.lex_state = 71, .external_lex_state = 2},
  [518] = {.lex_state = 71, .external_lex_state = 2},
  [519] = {.lex_state = 71, .external_lex_state = 2},
  [520] = {.lex_state = 71, .external_lex_state = 2},
  [521] = {.lex_state = 71, .external_lex_state = 2},
  [522] = {.lex_state = 71, .external_lex_state = 2},
  [523] = {.lex_state = 71, .external_lex_state = 2},
  [524] = {.lex_state = 71, .external_lex_state = 2},
  [525] = {.lex_state = 71, .external_lex_state = 2},
  [526] = {.lex_state = 71, .external_lex_state = 2},
  [527] = {.lex_state = 71, .external_lex_state = 2},
  [528] = {.lex_state = 71, .external_lex_state = 2},
  [529] = {.lex_state = 71, .external_lex_state = 2},
  [530] = {.lex_state = 71, .external_lex_state = 2},
  [531] = {.lex_state = 71, .external_lex_state = 2},
  [532] = {.lex_state = 71, .external_lex_state = 2},
  [533] = {.lex_state = 71, .external_lex_state = 2},
  [534] = {.lex_state = 71, .external_lex_state = 2},
  [535] = {.lex_state = 71, .external_lex_state = 2},
  [536] = {.lex_state = 71, .external_lex_state = 2},
  [537] = {.lex_state = 71, .external_lex_state = 2},
  [538] = {.lex_state = 71, .external_lex_state = 2},
  [539] = {.lex_state = 71, .external_lex_state = 2},
  [540] = {.lex_state = 71, .external_lex_state = 2},
  [541] = {.lex_state = 71, .external_lex_state = 2},
  [542] = {.lex_state = 71, .external_lex_state = 2},
  [543] = {.lex_state = 71, .external_lex_state = 2},
  [544] = {.lex_state = 71, .external_lex_state = 2},
  [545] = {.lex_state = 71, .external_lex_state = 2},
  [546] = {.lex_state = 71, .external_lex_state = 2},
  [547] = {.lex_state = 71, .external_lex_state = 2},
  [548] = {.lex_state = 71, .external_lex_state = 2},
  [549] = {.lex_state = 71, .external_lex_state = 2},
  [550] = {.lex_state = 71, .external_lex_state = 2},
  [551] = {.lex_state = 71, .external_lex_state = 2},
  [552] = {.lex_state = 71, .external_lex_state = 2},
  [553] = {.lex_state = 71, .external_lex_state = 2},
  [554] = {.lex_state = 71, .external_lex_state = 2},
  [555] = {.lex_state = 71, .external_lex_state = 2},
  [556] = {.lex_state = 71, .external_lex_state = 2},
  [557] = {.lex_state = 71, .external_lex_state = 2},
  [558] = {.lex_state = 71, .external_lex_state = 2},
  [559] = {.lex_state = 71, .external_lex_state = 2},
  [560] = {.lex_state = 71, .external_lex_state = 2},
  [561] = {.lex_state = 71, .external_lex_state = 2},
  [562] = {.lex_state = 71, .external_lex_state = 2},
  [563] = {.lex_state = 71, .external_lex_state = 2},
  [564] = {.lex_state = 71, .external_lex_state = 2},
  [565] = {.lex_state = 71, .external_lex_state = 2},
  [566] = {.lex_state = 71, .external_lex_state = 2},
  [567] = {.lex_state = 71, .external_lex_state = 2},
  [568] = {.lex_state = 71, .external_lex_state = 2},
  [569] = {.lex_state = 71, .external_lex_state = 2},
  [570] = {.lex_state = 71, .external_lex_state = 2},
  [571] = {.lex_state = 71, .external_lex_state = 2},
  [572] = {.lex_state = 71, .external_lex_state = 2},
  [573] = {.lex_state = 71, .external_lex_state = 2},
  [574] = {.lex_state = 71, .external_lex_state = 2},
  [575] = {.lex_state = 71, .external_lex_state = 2},
  [576] = {.lex_state = 71, .external_lex_state = 2},
  [577] = {.lex_state = 71, .external_lex_state = 2},
  [578] = {.lex_state = 71, .external_lex_state = 2},
  [579] = {.lex_state = 71, .external_lex_state = 2},
  [580] = {.lex_state = 71, .external_lex_state = 2},
  [581] = {.lex_state = 71, .external_lex_state = 2},
  [582] = {.lex_state = 71, .external_lex_state = 2},
  [583] = {.lex_state = 71, .external_lex_state = 2},
  [584] = {.lex_state = 71, .external_lex_state = 2},
  [585] = {.lex_state = 71, .external_lex_state = 2},
  [586] = {.lex_state = 71, .external_lex_state = 2},
  [587] = {.lex_state = 71, .external_lex_state = 2},
  [588] = {.lex_state = 71, .external_lex_state = 2},
  [589] = {.lex_state = 71, .external_lex_state = 2},
  [590] = {.lex_state = 71, .external_lex_state = 2},
  [591] = {.lex_state = 71, .external_lex_state = 2},
  [592] = {.lex_state = 71, .external_lex_state = 2},
  [593] = {.lex_state = 71, .external_lex_state = 2},
  [594] = {.lex_state = 71, .external_lex_state = 2},
  [595] = {.lex_state = 71, .external_lex_state = 2},
  [596] = {.lex_state = 71, .external_lex_state = 2},
  [597] = {.lex_state = 71, .external_lex_state = 2},
  [598] = {.lex_state = 71, .external_lex_state = 2},
  [599] = {.lex_state = 71, .external_lex_state = 2},
  [600] = {.lex_state = 71, .external_lex_state = 2},
  [601] = {.lex_state = 71, .external_lex_state = 2},
  [602] = {.lex_state = 71, .external_lex_state = 2},
  [603] = {.lex_state = 71, .external_lex_state = 2},
  [604] = {.lex_state = 71, .external_lex_state = 2},
  [605] = {.lex_state = 71, .external_lex_state = 2},
  [606] = {.lex_state = 71, .external_lex_state = 2},
  [607] = {.lex_state = 71, .external_lex_state = 2},
  [608] = {.lex_state = 71, .external_lex_state = 2},
  [609] = {.lex_state = 71, .external_lex_state = 2},
  [610] = {.lex_state = 71, .external_lex_state = 2},
  [611] = {.lex_state = 71, .external_lex_state = 2},
  [612] = {.lex_state = 71, .external_lex_state = 2},
  [613] = {.lex_state = 71, .external_lex_state = 2},
  [614] = {.lex_state = 71, .external_lex_state = 2},
  [615] = {.lex_state = 71, .external_lex_state = 2},
  [616] = {.lex_state = 71, .external_lex_state = 2},
  [617] = {.lex_state = 71, .external_lex_state = 2},
  [618] = {.lex_state = 71, .external_lex_state = 2},
  [619] = {.lex_state = 71, .external_lex_state = 2},
  [620] = {.lex_state = 71, .external_lex_state = 2},
  [621] = {.lex_state = 71, .external_lex_state = 2},
  [622] = {.lex_state = 71, .external_lex_state = 2},
  [623] = {.lex_state = 71, .external_lex_state = 2},
  [624] = {.lex_state = 71, .external_lex_state = 2},
  [625] = {.lex_state = 71, .external_lex_state = 2},
  [626] = {.lex_state = 71, .external_lex_state = 2},
  [627] = {.lex_state = 71, .external_lex_state = 2},
  [628] = {.lex_state = 71, .external_lex_state = 2},
  [629] = {.lex_state = 71, .external_lex_state = 2},
  [630] = {.lex_state = 71, .external_lex_state = 2},
  [631] = {.lex_state = 71, .external_lex_state = 2},
  [632] = {.lex_state = 71, .external_lex_state = 2},
  [633] = {.lex_state = 71, .external_lex_state = 2},
  [634] = {.lex_state = 71, .external_lex_state = 2},
  [635] = {.lex_state = 71, .external_lex_state = 2},
  [636] = {.lex_state = 71, .external_lex_state = 2},
  [637] = {.lex_state = 71, .external_lex_state = 2},
  [638] = {.lex_state = 71, .external_lex_state = 2},
  [639] = {.lex_state = 71, .external_lex_state = 2},
  [640] = {.lex_state = 71, .external_lex_state = 2},
  [641] = {.lex_state = 71, .external_lex_state = 2},
  [642] = {.lex_state = 71, .external_lex_state = 2},
  [643] = {.lex_state = 71, .external_lex_state = 2},
  [644] = {.lex_state = 71, .external_lex_state = 2},
  [645] = {.lex_state = 71, .external_lex_state = 2},
  [646] = {.lex_state = 10},
  [647] = {.lex_state = 71, .external_lex_state = 2},
  [648] = {.lex_state = 71, .external_lex_state = 2},
  [649] = {.lex_state = 71, .external_lex_state = 2},
  [650] = {.lex_state = 71, .external_lex_state = 2},
  [651] = {.lex_state = 71, .external_lex_state = 2},
  [652] = {.lex_state = 71, .external_lex_state = 2},
  [653] = {.lex_state = 71, .external_lex_state = 2},
  [654] = {.lex_state = 10},
  [655] = {.lex_state = 71, .external_lex_state = 2},
  [656] = {.lex_state = 71, .external_lex_state = 2},
  [657] = {.lex_state = 71, .external_lex_state = 2},
  [658] = {.lex_state = 71, .external_lex_state = 2},
  [659] = {.lex_state = 71, .external_lex_state = 2},
  [660] = {.lex_state = 71, .external_lex_state = 2},
  [661] = {.lex_state = 71, .external_lex_state = 2},
  [662] = {.lex_state = 71, .external_lex_state = 2},
  [663] = {.lex_state = 71, .external_lex_state = 2},
  [664] = {.lex_state = 71, .external_lex_state = 2},
  [665] = {.lex_state = 71, .external_lex_state = 2},
  [666] = {.lex_state = 71, .external_lex_state = 2},
  [667] = {.lex_state = 71, .external_lex_state = 2},
  [668] = {.lex_state = 71, .external_lex_state = 2},
  [669] = {.lex_state = 71, .external_lex_state = 2},
  [670] = {.lex_state = 71, .external_lex_state = 2},
  [671] = {.lex_state = 71, .external_lex_state = 2},
  [672] = {.lex_state = 71, .external_lex_state = 2},
  [673] = {.lex_state = 71, .external_lex_state = 2},
  [674] = {.lex_state = 71, .external_lex_state = 2},
  [675] = {.lex_state = 71, .external_lex_state = 2},
  [676] = {.lex_state = 71, .external_lex_state = 2},
  [677] = {.lex_state = 71, .external_lex_state = 2},
  [678] = {.lex_state = 71, .external_lex_state = 2},
  [679] = {.lex_state = 71, .external_lex_state = 2},
  [680] = {.lex_state = 71, .external_lex_state = 2},
  [681] = {.lex_state = 71, .external_lex_state = 2},
  [682] = {.lex_state = 71, .external_lex_state = 2},
  [683] = {.lex_state = 71, .external_lex_state = 2},
  [684] = {.lex_state = 71, .external_lex_state = 2},
  [685] = {.lex_state = 71, .external_lex_state = 2},
  [686] = {.lex_state = 71, .external_lex_state = 2},
  [687] = {.lex_state = 71, .external_lex_state = 2},
  [688] = {.lex_state = 71, .external_lex_state = 2},
  [689] = {.lex_state = 71, .external_lex_state = 2},
  [690] = {.lex_state = 10},
  [691] = {.lex_state = 71, .external_lex_state = 2},
  [692] = {.lex_state = 10},
  [693] = {.lex_state = 71, .external_lex_state = 2},
  [694] = {.lex_state = 71, .external_lex_state = 2},
  [695] = {.lex_state = 71, .external_lex_state = 2},
  [696] = {.lex_state = 71, .external_lex_state = 2},
  [697] = {.lex_state = 71, .external_lex_state = 2},
  [698] = {.lex_state = 10},
  [699] = {.lex_state = 71, .external_lex_state = 2},
  [700] = {.lex_state = 71, .external_lex_state = 2},
  [701] = {.lex_state = 71, .external_lex_state = 2},
  [702] = {.lex_state = 71, .external_lex_state = 2},
  [703] = {.lex_state = 71, .external_lex_state = 2},
  [704] = {.lex_state = 71, .external_lex_state = 2},
  [705] = {.lex_state = 71, .external_lex_state = 2},
  [706] = {.lex_state = 71, .external_lex_state = 2},
  [707] = {.lex_state = 71, .external_lex_state = 2},
  [708] = {.lex_state = 71, .external_lex_state = 2},
  [709] = {.lex_state = 71, .external_lex_state = 2},
  [710] = {.lex_state = 71, .external_lex_state = 2},
  [711] = {.lex_state = 71, .external_lex_state = 2},
  [712] = {.lex_state = 71, .external_lex_state = 2},
  [713] = {.lex_state = 71, .external_lex_state = 2},
  [714] = {.lex_state = 71, .external_lex_state = 2},
  [715] = {.lex_state = 71, .external_lex_state = 2},
  [716] = {.lex_state = 71, .external_lex_state = 2},
  [717] = {.lex_state = 71, .external_lex_state = 2},
  [718] = {.lex_state = 71, .external_lex_state = 2},
  [719] = {.lex_state = 71, .external_lex_state = 2},
  [720] = {.lex_state = 71, .external_lex_state = 2},
  [721] = {.lex_state = 11, .external_lex_state = 2},
  [722] = {.lex_state = 71, .external_lex_state = 2},
  [723] = {.lex_state = 71, .external_lex_state = 2},
  [724] = {.lex_state = 71, .external_lex_state = 2},
  [725] = {.lex_state = 71, .external_lex_state = 2},
  [726] = {.lex_state = 71, .external_lex_state = 2},
  [727] = {.lex_state = 71, .external_lex_state = 2},
  [728] = {.lex_state = 71, .external_lex_state = 2},
  [729] = {.lex_state = 71, .external_lex_state = 2},
  [730] = {.lex_state = 71, .external_lex_state = 2},
  [731] = {.lex_state = 71, .external_lex_state = 2},
  [732] = {.lex_state = 71, .external_lex_state = 2},
  [733] = {.lex_state = 71, .external_lex_state = 2},
  [734] = {.lex_state = 71, .external_lex_state = 2},
  [735] = {.lex_state = 71, .external_lex_state = 2},
  [736] = {.lex_state = 71, .external_lex_state = 2},
  [737] = {.lex_state = 71, .external_lex_state = 2},
  [738] = {.lex_state = 71, .external_lex_state = 2},
  [739] = {.lex_state = 71, .external_lex_state = 2},
  [740] = {.lex_state = 71, .external_lex_state = 2},
  [741] = {.lex_state = 71, .external_lex_state = 2},
  [742] = {.lex_state = 71, .external_lex_state = 2},
  [743] = {.lex_state = 71, .external_lex_state = 2},
  [744] = {.lex_state = 71, .external_lex_state = 2},
  [745] = {.lex_state = 71, .external_lex_state = 2},
  [746] = {.lex_state = 71, .external_lex_state = 2},
  [747] = {.lex_state = 71, .external_lex_state = 2},
  [748] = {.lex_state = 71, .external_lex_state = 2},
  [749] = {.lex_state = 71, .external_lex_state = 2},
  [750] = {.lex_state = 71, .external_lex_state = 2},
  [751] = {.lex_state = 71, .external_lex_state = 2},
  [752] = {.lex_state = 71, .external_lex_state = 2},
  [753] = {.lex_state = 71, .external_lex_state = 2},
  [754] = {.lex_state = 11, .external_lex_state = 2},
  [755] = {.lex_state = 11, .external_lex_state = 2},
  [756] = {.lex_state = 11, .external_lex_state = 2},
  [757] = {.lex_state = 11, .external_lex_state = 2},
  [758] = {.lex_state = 11, .external_lex_state = 2},
  [759] = {.lex_state = 11, .external_lex_state = 2},
  [760] = {.lex_state = 11, .external_lex_state = 2},
  [761] = {.lex_state = 11, .external_lex_state = 2},
  [762] = {.lex_state = 11, .external_lex_state = 2},
  [763] = {.lex_state = 14},
  [764] = {.lex_state = 14},
  [765] = {.lex_state = 14},
  [766] = {.lex_state = 14},
  [767] = {.lex_state = 14},
  [768] = {.lex_state = 14},
  [769] = {.lex_state = 14},
  [770] = {.lex_state = 14},
  [771] = {.lex_state = 11, .external_lex_state = 2},
  [772] = {.lex_state = 14},
  [773] = {.lex_state = 11, .external_lex_state = 2},
  [774] = {.lex_state = 14},
  [775] = {.lex_state = 11, .external_lex_state = 2},
  [776] = {.lex_state = 11, .external_lex_state = 2},
  [777] = {.lex_state = 14},
  [778] = {.lex_state = 11, .external_lex_state = 2},
  [779] = {.lex_state = 11, .external_lex_state = 2},
  [780] = {.lex_state = 11, .external_lex_state = 2},
  [781] = {.lex_state = 12, .external_lex_state = 2},
  [782] = {.lex_state = 11, .external_lex_state = 2},
  [783] = {.lex_state = 11, .external_lex_state = 2},
  [784] = {.lex_state = 11, .external_lex_state = 2},
  [785] = {.lex_state = 11, .external_lex_state = 2},
  [786] = {.lex_state = 11, .external_lex_state = 2},
  [787] = {.lex_state = 11, .external_lex_state = 2},
  [788] = {.lex_state = 11, .external_lex_state = 2},
  [789] = {.lex_state = 11, .external_lex_state = 2},
  [790] = {.lex_state = 11, .external_lex_state = 2},
  [791] = {.lex_state = 11, .external_lex_state = 2},
  [792] = {.lex_state = 11, .external_lex_state = 2},
  [793] = {.lex_state = 11, .external_lex_state = 2},
  [794] = {.lex_state = 11, .external_lex_state = 2},
  [795] = {.lex_state = 11, .external_lex_state = 2},
  [796] = {.lex_state = 11, .external_lex_state = 2},
  [797] = {.lex_state = 11, .external_lex_state = 2},
  [798] = {.lex_state = 11, .external_lex_state = 2},
  [799] = {.lex_state = 11, .external_lex_state = 2},
  [800] = {.lex_state = 11, .external_lex_state = 2},
  [801] = {.lex_state = 11, .external_lex_state = 2},
  [802] = {.lex_state = 11, .external_lex_state = 2},
  [803] = {.lex_state = 11, .external_lex_state = 2},
  [804] = {.lex_state = 11, .external_lex_state = 2},
  [805] = {.lex_state = 11, .external_lex_state = 2},
  [806] = {.lex_state = 11, .external_lex_state = 2},
  [807] = {.lex_state = 11, .external_lex_state = 2},
  [808] = {.lex_state = 11, .external_lex_state = 2},
  [809] = {.lex_state = 11, .external_lex_state = 2},
  [810] = {.lex_state = 11, .external_lex_state = 2},
  [811] = {.lex_state = 11, .external_lex_state = 2},
  [812] = {.lex_state = 11, .external_lex_state = 2},
  [813] = {.lex_state = 11, .external_lex_state = 2},
  [814] = {.lex_state = 11, .external_lex_state = 2},
  [815] = {.lex_state = 11, .external_lex_state = 2},
  [816] = {.lex_state = 11, .external_lex_state = 2},
  [817] = {.lex_state = 11, .external_lex_state = 2},
  [818] = {.lex_state = 11, .external_lex_state = 2},
  [819] = {.lex_state = 11, .external_lex_state = 2},
  [820] = {.lex_state = 11, .external_lex_state = 2},
  [821] = {.lex_state = 11, .external_lex_state = 2},
  [822] = {.lex_state = 11, .external_lex_state = 2},
  [823] = {.lex_state = 11, .external_lex_state = 2},
  [824] = {.lex_state = 11, .external_lex_state = 2},
  [825] = {.lex_state = 11, .external_lex_state = 2},
  [826] = {.lex_state = 11, .external_lex_state = 2},
  [827] = {.lex_state = 11, .external_lex_state = 2},
  [828] = {.lex_state = 11, .external_lex_state = 2},
  [829] = {.lex_state = 14},
  [830] = {.lex_state = 14},
  [831] = {.lex_state = 14},
  [832] = {.lex_state = 14},
  [833] = {.lex_state = 14},
  [834] = {.lex_state = 14},
  [835] = {.lex_state = 14},
  [836] = {.lex_state = 14},
  [837] = {.lex_state = 14},
  [838] = {.lex_state = 14},
  [839] = {.lex_state = 14},
  [840] = {.lex_state = 14},
  [841] = {.lex_state = 14},
  [842] = {.lex_state = 14},
  [843] = {.lex_state = 14},
  [844] = {.lex_state = 14},
  [845] = {.lex_state = 14},
  [846] = {.lex_state = 14},
  [847] = {.lex_state = 14},
  [848] = {.lex_state = 14},
  [849] = {.lex_state = 14},
  [850] = {.lex_state = 14},
  [851] = {.lex_state = 14},
  [852] = {.lex_state = 14},
  [853] = {.lex_state = 14},
  [854] = {.lex_state = 14},
  [855] = {.lex_state = 14},
  [856] = {.lex_state = 14},
  [857] = {.lex_state = 14},
  [858] = {.lex_state = 14},
  [859] = {.lex_state = 14},
  [860] = {.lex_state = 14},
  [861] = {.lex_state = 14},
  [862] = {.lex_state = 14},
  [863] = {.lex_state = 14},
  [864] = {.lex_state = 14},
  [865] = {.lex_state = 14},
  [866] = {.lex_state = 14},
  [867] = {.lex_state = 14},
  [868] = {.lex_state = 14},
  [869] = {.lex_state = 14},
  [870] = {.lex_state = 14},
  [871] = {.lex_state = 14},
  [872] = {.lex_state = 14},
  [873] = {.lex_state = 14},
  [874] = {.lex_state = 14},
  [875] = {.lex_state = 14},
  [876] = {.lex_state = 14},
  [877] = {.lex_state = 14},
  [878] = {.lex_state = 14},
  [879] = {.lex_state = 14},
  [880] = {.lex_state = 14},
  [881] = {.lex_state = 14},
  [882] = {.lex_state = 14},
  [883] = {.lex_state = 14},
  [884] = {.lex_state = 14},
  [885] = {.lex_state = 14},
  [886] = {.lex_state = 14},
  [887] = {.lex_state = 14},
  [888] = {.lex_state = 14},
  [889] = {.lex_state = 14},
  [890] = {.lex_state = 14},
  [891] = {.lex_state = 14},
  [892] = {.lex_state = 14},
  [893] = {.lex_state = 14},
  [894] = {.lex_state = 14},
  [895] = {.lex_state = 14},
  [896] = {.lex_state = 14},
  [897] = {.lex_state = 14},
  [898] = {.lex_state = 14},
  [899] = {.lex_state = 14},
  [900] = {.lex_state = 14},
  [901] = {.lex_state = 14},
  [902] = {.lex_state = 14},
  [903] = {.lex_state = 14},
  [904] = {.lex_state = 14},
  [905] = {.lex_state = 14},
  [906] = {.lex_state = 14},
  [907] = {.lex_state = 14},
  [908] = {.lex_state = 11, .external_lex_state = 2},
  [909] = {.lex_state = 14},
  [910] = {.lex_state = 14},
  [911] = {.lex_state = 14},
  [912] = {.lex_state = 14},
  [913] = {.lex_state = 14},
  [914] = {.lex_state = 14},
  [915] = {.lex_state = 14},
  [916] = {.lex_state = 14},
  [917] = {.lex_state = 14},
  [918] = {.lex_state = 14},
  [919] = {.lex_state = 14},
  [920] = {.lex_state = 14},
  [921] = {.lex_state = 14},
  [922] = {.lex_state = 14},
  [923] = {.lex_state = 14},
  [924] = {.lex_state = 14},
  [925] = {.lex_state = 14},
  [926] = {.lex_state = 14},
  [927] = {.lex_state = 14},
  [928] = {.lex_state = 14},
  [929] = {.lex_state = 14},
  [930] = {.lex_state = 14},
  [931] = {.lex_state = 14},
  [932] = {.lex_state = 14},
  [933] = {.lex_state = 14},
  [934] = {.lex_state = 14},
  [935] = {.lex_state = 14},
  [936] = {.lex_state = 14},
  [937] = {.lex_state = 14},
  [938] = {.lex_state = 14},
  [939] = {.lex_state = 14},
  [940] = {.lex_state = 14},
  [941] = {.lex_state = 14},
  [942] = {.lex_state = 14},
  [943] = {.lex_state = 14},
  [944] = {.lex_state = 14},
  [945] = {.lex_state = 14},
  [946] = {.lex_state = 14},
  [947] = {.lex_state = 14},
  [948] = {.lex_state = 14},
  [949] = {.lex_state = 14},
  [950] = {.lex_state = 14},
  [951] = {.lex_state = 14},
  [952] = {.lex_state = 14},
  [953] = {.lex_state = 14},
  [954] = {.lex_state = 14},
  [955] = {.lex_state = 14},
  [956] = {.lex_state = 14},
  [957] = {.lex_state = 14},
  [958] = {.lex_state = 14},
  [959] = {.lex_state = 14},
  [960] = {.lex_state = 14},
  [961] = {.lex_state = 14},
  [962] = {.lex_state = 14},
  [963] = {.lex_state = 14},
  [964] = {.lex_state = 14},
  [965] = {.lex_state = 14},
  [966] = {.lex_state = 14},
  [967] = {.lex_state = 14},
  [968] = {.lex_state = 14},
  [969] = {.lex_state = 14},
  [970] = {.lex_state = 14},
  [971] = {.lex_state = 14},
  [972] = {.lex_state = 14},
  [973] = {.lex_state = 14},
  [974] = {.lex_state = 14},
  [975] = {.lex_state = 14},
  [976] = {.lex_state = 14},
  [977] = {.lex_state = 14},
  [978] = {.lex_state = 14},
  [979] = {.lex_state = 14},
  [980] = {.lex_state = 14},
  [981] = {.lex_state = 14},
  [982] = {.lex_state = 14},
  [983] = {.lex_state = 14},
  [984] = {.lex_state = 14},
  [985] = {.lex_state = 14},
  [986] = {.lex_state = 14},
  [987] = {.lex_state = 14},
  [988] = {.lex_state = 14},
  [989] = {.lex_state = 14},
  [990] = {.lex_state = 14},
  [991] = {.lex_state = 14},
  [992] = {.lex_state = 14},
  [993] = {.lex_state = 14},
  [994] = {.lex_state = 14},
  [995] = {.lex_state = 14},
  [996] = {.lex_state = 14},
  [997] = {.lex_state = 14},
  [998] = {.lex_state = 14},
  [999] = {.lex_state = 14},
  [1000] = {.lex_state = 14},
  [1001] = {.lex_state = 14},
  [1002] = {.lex_state = 11, .external_lex_state = 2},
  [1003] = {.lex_state = 11, .external_lex_state = 2},
  [1004] = {.lex_state = 13, .external_lex_state = 2},
  [1005] = {.lex_state = 13, .external_lex_state = 2},
  [1006] = {.lex_state = 11, .external_lex_state = 2},
  [1007] = {.lex_state = 12, .external_lex_state = 2},
  [1008] = {.lex_state = 14},
  [1009] = {.lex_state = 11, .external_lex_state = 2},
  [1010] = {.lex_state = 11, .external_lex_state = 2},
  [1011] = {.lex_state = 6},
  [1012] = {.lex_state = 6},
  [1013] = {.lex_state = 6},
  [1014] = {.lex_state = 6},
  [1015] = {.lex_state = 10},
  [1016] = {.lex_state = 6},
  [1017] = {.lex_state = 6},
  [1018] = {.lex_state = 10},
  [1019] = {.lex_state = 10},
  [1020] = {.lex_state = 10},
  [1021] = {.lex_state = 6},
  [1022] = {.lex_state = 6},
  [1023] = {.lex_state = 10},
  [1024] = {.lex_state = 6},
  [1025] = {.lex_state = 10},
  [1026] = {.lex_state = 10},
  [1027] = {.lex_state = 10},
  [1028] = {.lex_state = 6},
  [1029] = {.lex_state = 6},
  [1030] = {.lex_state = 10},
  [1031] = {.lex_state = 6},
  [1032] = {.lex_state = 7},
  [1033] = {.lex_state = 7},
  [1034] = {.lex_state = 7},
  [1035] = {.lex_state = 22},
  [1036] = {.lex_state = 7},
  [1037] = {.lex_state = 22},
  [1038] = {.lex_state = 22},
  [1039] = {.lex_state = 22},
  [1040] = {.lex_state = 7},
  [1041] = {.lex_state = 11, .external_lex_state = 2},
  [1042] = {.lex_state = 7},
  [1043] = {.lex_state = 22},
  [1044] = {.lex_state = 18},
  [1045] = {.lex_state = 7},
  [1046] = {.lex_state = 7},
  [1047] = {.lex_state = 7},
  [1048] = {.lex_state = 7},
  [1049] = {.lex_state = 18},
  [1050] = {.lex_state = 7},
  [1051] = {.lex_state = 7},
  [1052] = {.lex_state = 7},
  [1053] = {.lex_state = 18},
  [1054] = {.lex_state = 14},
  [1055] = {.lex_state = 7},
  [1056] = {.lex_state = 7},
  [1057] = {.lex_state = 7},
  [1058] = {.lex_state = 7},
  [1059] = {.lex_state = 7},
  [1060] = {.lex_state = 18},
  [1061] = {.lex_state = 18},
  [1062] = {.lex_state = 14},
  [1063] = {.lex_state = 19},
  [1064] = {.lex_state = 6},
  [1065] = {.lex_state = 14},
  [1066] = {.lex_state = 18},
  [1067] = {.lex_state = 18},
  [1068] = {.lex_state = 14},
  [1069] = {.lex_state = 7},
  [1070] = {.lex_state = 7},
  [1071] = {.lex_state = 7},
  [1072] = {.lex_state = 7},
  [1073] = {.lex_state = 7},
  [1074] = {.lex_state = 14},
  [1075] = {.lex_state = 7},
  [1076] = {.lex_state = 7},
  [1077] = {.lex_state = 14},
  [1078] = {.lex_state = 7},
  [1079] = {.lex_state = 14},
  [1080] = {.lex_state = 19},
  [1081] = {.lex_state = 18},
  [1082] = {.lex_state = 14},
  [1083] = {.lex_state = 18},
  [1084] = {.lex_state = 14},
  [1085] = {.lex_state = 18},
  [1086] = {.lex_state = 18},
  [1087] = {.lex_state = 18},
  [1088] = {.lex_state = 7},
  [1089] = {.lex_state = 7},
  [1090] = {.lex_state = 7},
  [1091] = {.lex_state = 7},
  [1092] = {.lex_state = 10},
  [1093] = {.lex_state = 10},
  [1094] = {.lex_state = 10},
  [1095] = {.lex_state = 10},
  [1096] = {.lex_state = 10},
  [1097] = {.lex_state = 10},
  [1098] = {.lex_state = 10},
  [1099] = {.lex_state = 10},
  [1100] = {.lex_state = 10},
  [1101] = {.lex_state = 10},
  [1102] = {.lex_state = 10},
  [1103] = {.lex_state = 10},
  [1104] = {.lex_state = 10},
  [1105] = {.lex_state = 10},
  [1106] = {.lex_state = 10},
  [1107] = {.lex_state = 10},
  [1108] = {.lex_state = 10},
  [1109] = {.lex_state = 10},
  [1110] = {.lex_state = 10},
  [1111] = {.lex_state = 10},
  [1112] = {.lex_state = 10},
  [1113] = {.lex_state = 10},
  [1114] = {.lex_state = 10},
  [1115] = {.lex_state = 10},
  [1116] = {.lex_state = 10},
  [1117] = {.lex_state = 10},
  [1118] = {.lex_state = 10},
  [1119] = {.lex_state = 10},
  [1120] = {.lex_state = 10},
  [1121] = {.lex_state = 10},
  [1122] = {.lex_state = 10},
  [1123] = {.lex_state = 10},
  [1124] = {.lex_state = 10},
  [1125] = {.lex_state = 10},
  [1126] = {.lex_state = 10},
  [1127] = {.lex_state = 7},
  [1128] = {.lex_state = 10},
  [1129] = {.lex_state = 10},
  [1130] = {.lex_state = 7},
  [1131] = {.lex_state = 10},
  [1132] = {.lex_state = 10},
  [1133] = {.lex_state = 10},
  [1134] = {.lex_state = 10},
  [1135] = {.lex_state = 10},
  [1136] = {.lex_state = 10},
  [1137] = {.lex_state = 10},
  [1138] = {.lex_state = 10},
  [1139] = {.lex_state = 10},
  [1140] = {.lex_state = 10},
  [1141] = {.lex_state = 10},
  [1142] = {.lex_state = 10},
  [1143] = {.lex_state = 10},
  [1144] = {.lex_state = 10},
  [1145] = {.lex_state = 10},
  [1146] = {.lex_state = 10},
  [1147] = {.lex_state = 10},
  [1148] = {.lex_state = 10},
  [1149] = {.lex_state = 10},
  [1150] = {.lex_state = 10},
  [1151] = {.lex_state = 10},
  [1152] = {.lex_state = 10},
  [1153] = {.lex_state = 10},
  [1154] = {.lex_state = 10},
  [1155] = {.lex_state = 10},
  [1156] = {.lex_state = 10},
  [1157] = {.lex_state = 10},
  [1158] = {.lex_state = 10},
  [1159] = {.lex_state = 10},
  [1160] = {.lex_state = 10},
  [1161] = {.lex_state = 10},
  [1162] = {.lex_state = 10},
  [1163] = {.lex_state = 10},
  [1164] = {.lex_state = 10},
  [1165] = {.lex_state = 10},
  [1166] = {.lex_state = 10},
  [1167] = {.lex_state = 10},
  [1168] = {.lex_state = 10},
  [1169] = {.lex_state = 10},
  [1170] = {.lex_state = 10},
  [1171] = {.lex_state = 10},
  [1172] = {.lex_state = 10},
  [1173] = {.lex_state = 10},
  [1174] = {.lex_state = 10},
  [1175] = {.lex_state = 10},
  [1176] = {.lex_state = 10},
  [1177] = {.lex_state = 10},
  [1178] = {.lex_state = 10},
  [1179] = {.lex_state = 10},
  [1180] = {.lex_state = 10},
  [1181] = {.lex_state = 10},
  [1182] = {.lex_state = 10},
  [1183] = {.lex_state = 7},
  [1184] = {.lex_state = 10},
  [1185] = {.lex_state = 10},
  [1186] = {.lex_state = 7},
  [1187] = {.lex_state = 10},
  [1188] = {.lex_state = 10},
  [1189] = {.lex_state = 7},
  [1190] = {.lex_state = 10},
  [1191] = {.lex_state = 10},
  [1192] = {.lex_state = 7},
  [1193] = {.lex_state = 7},
  [1194] = {.lex_state = 10},
  [1195] = {.lex_state = 7},
  [1196] = {.lex_state = 7},
  [1197] = {.lex_state = 10},
  [1198] = {.lex_state = 7},
  [1199] = {.lex_state = 7},
  [1200] = {.lex_state = 10},
  [1201] = {.lex_state = 10},
  [1202] = {.lex_state = 7},
  [1203] = {.lex_state = 10},
  [1204] = {.lex_state = 10},
  [1205] = {.lex_state = 7},
  [1206] = {.lex_state = 7},
  [1207] = {.lex_state = 7},
  [1208] = {.lex_state = 7},
  [1209] = {.lex_state = 7},
  [1210] = {.lex_state = 7},
  [1211] = {.lex_state = 7},
  [1212] = {.lex_state = 7},
  [1213] = {.lex_state = 7},
  [1214] = {.lex_state = 7},
  [1215] = {.lex_state = 7},
  [1216] = {.lex_state = 12, .external_lex_state = 2},
  [1217] = {.lex_state = 7},
  [1218] = {.lex_state = 7},
  [1219] = {.lex_state = 7},
  [1220] = {.lex_state = 7},
  [1221] = {.lex_state = 7},
  [1222] = {.lex_state = 7},
  [1223] = {.lex_state = 7},
  [1224] = {.lex_state = 7},
  [1225] = {.lex_state = 7},
  [1226] = {.lex_state = 7},
  [1227] = {.lex_state = 10},
  [1228] = {.lex_state = 7},
  [1229] = {.lex_state = 14},
  [1230] = {.lex_state = 14},
  [1231] = {.lex_state = 7},
  [1232] = {.lex_state = 10},
  [1233] = {.lex_state = 10},
  [1234] = {.lex_state = 10},
  [1235] = {.lex_state = 10},
  [1236] = {.lex_state = 10},
  [1237] = {.lex_state = 7},
  [1238] = {.lex_state = 7},
  [1239] = {.lex_state = 7},
  [1240] = {.lex_state = 10},
  [1241] = {.lex_state = 7},
  [1242] = {.lex_state = 10},
  [1243] = {.lex_state = 11, .external_lex_state = 2},
  [1244] = {.lex_state = 10},
  [1245] = {.lex_state = 10},
  [1246] = {.lex_state = 10},
  [1247] = {.lex_state = 10},
  [1248] = {.lex_state = 7},
  [1249] = {.lex_state = 7},
  [1250] = {.lex_state = 7},
  [1251] = {.lex_state = 7},
  [1252] = {.lex_state = 10},
  [1253] = {.lex_state = 10},
  [1254] = {.lex_state = 10},
  [1255] = {.lex_state = 10},
  [1256] = {.lex_state = 10},
  [1257] = {.lex_state = 7},
  [1258] = {.lex_state = 10},
  [1259] = {.lex_state = 10},
  [1260] = {.lex_state = 14},
  [1261] = {.lex_state = 14},
  [1262] = {.lex_state = 7},
  [1263] = {.lex_state = 10},
  [1264] = {.lex_state = 7},
  [1265] = {.lex_state = 10},
  [1266] = {.lex_state = 10},
  [1267] = {.lex_state = 10},
  [1268] = {.lex_state = 10},
  [1269] = {.lex_state = 7},
  [1270] = {.lex_state = 10},
  [1271] = {.lex_state = 10},
  [1272] = {.lex_state = 14},
  [1273] = {.lex_state = 14},
  [1274] = {.lex_state = 7},
  [1275] = {.lex_state = 14},
  [1276] = {.lex_state = 10},
  [1277] = {.lex_state = 10},
  [1278] = {.lex_state = 7},
  [1279] = {.lex_state = 10},
  [1280] = {.lex_state = 10},
  [1281] = {.lex_state = 10},
  [1282] = {.lex_state = 10},
  [1283] = {.lex_state = 10},
  [1284] = {.lex_state = 10},
  [1285] = {.lex_state = 10},
  [1286] = {.lex_state = 7},
  [1287] = {.lex_state = 7},
  [1288] = {.lex_state = 11, .external_lex_state = 2},
  [1289] = {.lex_state = 10},
  [1290] = {.lex_state = 10},
  [1291] = {.lex_state = 7},
  [1292] = {.lex_state = 7},
  [1293] = {.lex_state = 7},
  [1294] = {.lex_state = 7},
  [1295] = {.lex_state = 7},
  [1296] = {.lex_state = 7},
  [1297] = {.lex_state = 7},
  [1298] = {.lex_state = 7},
  [1299] = {.lex_state = 7},
  [1300] = {.lex_state = 7},
  [1301] = {.lex_state = 10},
  [1302] = {.lex_state = 7},
  [1303] = {.lex_state = 12, .external_lex_state = 2},
  [1304] = {.lex_state = 7},
  [1305] = {.lex_state = 7},
  [1306] = {.lex_state = 10},
  [1307] = {.lex_state = 10},
  [1308] = {.lex_state = 7},
  [1309] = {.lex_state = 7},
  [1310] = {.lex_state = 7},
  [1311] = {.lex_state = 7},
  [1312] = {.lex_state = 10},
  [1313] = {.lex_state = 7},
  [1314] = {.lex_state = 10},
  [1315] = {.lex_state = 10},
  [1316] = {.lex_state = 10},
  [1317] = {.lex_state = 10},
  [1318] = {.lex_state = 10},
  [1319] = {.lex_state = 7},
  [1320] = {.lex_state = 7},
  [1321] = {.lex_state = 7},
  [1322] = {.lex_state = 7},
  [1323] = {.lex_state = 7},
  [1324] = {.lex_state = 7},
  [1325] = {.lex_state = 7},
  [1326] = {.lex_state = 10},
  [1327] = {.lex_state = 7},
  [1328] = {.lex_state = 10},
  [1329] = {.lex_state = 10},
  [1330] = {.lex_state = 10},
  [1331] = {.lex_state = 10},
  [1332] = {.lex_state = 10},
  [1333] = {.lex_state = 10},
  [1334] = {.lex_state = 10},
  [1335] = {.lex_state = 10},
  [1336] = {.lex_state = 7},
  [1337] = {.lex_state = 7},
  [1338] = {.lex_state = 10},
  [1339] = {.lex_state = 10},
  [1340] = {.lex_state = 10},
  [1341] = {.lex_state = 10},
  [1342] = {.lex_state = 10},
  [1343] = {.lex_state = 10},
  [1344] = {.lex_state = 10},
  [1345] = {.lex_state = 10},
  [1346] = {.lex_state = 10},
  [1347] = {.lex_state = 10},
  [1348] = {.lex_state = 10},
  [1349] = {.lex_state = 10},
  [1350] = {.lex_state = 10},
  [1351] = {.lex_state = 10},
  [1352] = {.lex_state = 10},
  [1353] = {.lex_state = 7},
  [1354] = {.lex_state = 10},
  [1355] = {.lex_state = 10},
  [1356] = {.lex_state = 10},
  [1357] = {.lex_state = 10},
  [1358] = {.lex_state = 10},
  [1359] = {.lex_state = 10},
  [1360] = {.lex_state = 10},
  [1361] = {.lex_state = 10},
  [1362] = {.lex_state = 10},
  [1363] = {.lex_state = 10},
  [1364] = {.lex_state = 10},
  [1365] = {.lex_state = 14},
  [1366] = {.lex_state = 14},
  [1367] = {.lex_state = 14},
  [1368] = {.lex_state = 10},
  [1369] = {.lex_state = 7},
  [1370] = {.lex_state = 10},
  [1371] = {.lex_state = 10},
  [1372] = {.lex_state = 10},
  [1373] = {.lex_state = 10},
  [1374] = {.lex_state = 10},
  [1375] = {.lex_state = 7},
  [1376] = {.lex_state = 7},
  [1377] = {.lex_state = 7},
  [1378] = {.lex_state = 10},
  [1379] = {.lex_state = 10},
  [1380] = {.lex_state = 7},
  [1381] = {.lex_state = 7},
  [1382] = {.lex_state = 7},
  [1383] = {.lex_state = 7},
  [1384] = {.lex_state = 7},
  [1385] = {.lex_state = 7},
  [1386] = {.lex_state = 7},
  [1387] = {.lex_state = 7},
  [1388] = {.lex_state = 7},
  [1389] = {.lex_state = 7},
  [1390] = {.lex_state = 10},
  [1391] = {.lex_state = 7},
  [1392] = {.lex_state = 10},
  [1393] = {.lex_state = 7},
  [1394] = {.lex_state = 10},
  [1395] = {.lex_state = 10},
  [1396] = {.lex_state = 10},
  [1397] = {.lex_state = 10},
  [1398] = {.lex_state = 10},
  [1399] = {.lex_state = 10},
  [1400] = {.lex_state = 10},
  [1401] = {.lex_state = 10},
  [1402] = {.lex_state = 10},
  [1403] = {.lex_state = 10},
  [1404] = {.lex_state = 10},
  [1405] = {.lex_state = 10},
  [1406] = {.lex_state = 10},
  [1407] = {.lex_state = 10},
  [1408] = {.lex_state = 10},
  [1409] = {.lex_state = 10},
  [1410] = {.lex_state = 10},
  [1411] = {.lex_state = 10},
  [1412] = {.lex_state = 10},
  [1413] = {.lex_state = 7},
  [1414] = {.lex_state = 10},
  [1415] = {.lex_state = 10},
  [1416] = {.lex_state = 10},
  [1417] = {.lex_state = 10},
  [1418] = {.lex_state = 7},
  [1419] = {.lex_state = 7},
  [1420] = {.lex_state = 10},
  [1421] = {.lex_state = 10},
  [1422] = {.lex_state = 10},
  [1423] = {.lex_state = 10},
  [1424] = {.lex_state = 10},
  [1425] = {.lex_state = 10},
  [1426] = {.lex_state = 10},
  [1427] = {.lex_state = 10},
  [1428] = {.lex_state = 10},
  [1429] = {.lex_state = 10},
  [1430] = {.lex_state = 10},
  [1431] = {.lex_state = 10},
  [1432] = {.lex_state = 10},
  [1433] = {.lex_state = 10},
  [1434] = {.lex_state = 10},
  [1435] = {.lex_state = 10},
  [1436] = {.lex_state = 10},
  [1437] = {.lex_state = 10},
  [1438] = {.lex_state = 10},
  [1439] = {.lex_state = 7},
  [1440] = {.lex_state = 10},
  [1441] = {.lex_state = 10},
  [1442] = {.lex_state = 10},
  [1443] = {.lex_state = 10},
  [1444] = {.lex_state = 7},
  [1445] = {.lex_state = 10},
  [1446] = {.lex_state = 7},
  [1447] = {.lex_state = 10},
  [1448] = {.lex_state = 10},
  [1449] = {.lex_state = 7},
  [1450] = {.lex_state = 10},
  [1451] = {.lex_state = 7},
  [1452] = {.lex_state = 10},
  [1453] = {.lex_state = 10},
  [1454] = {.lex_state = 7},
  [1455] = {.lex_state = 10},
  [1456] = {.lex_state = 10},
  [1457] = {.lex_state = 10},
  [1458] = {.lex_state = 10},
  [1459] = {.lex_state = 10},
  [1460] = {.lex_state = 7},
  [1461] = {.lex_state = 10},
  [1462] = {.lex_state = 7},
  [1463] = {.lex_state = 7},
  [1464] = {.lex_state = 10},
  [1465] = {.lex_state = 10},
  [1466] = {.lex_state = 10},
  [1467] = {.lex_state = 10},
  [1468] = {.lex_state = 10},
  [1469] = {.lex_state = 10},
  [1470] = {.lex_state = 10},
  [1471] = {.lex_state = 11, .external_lex_state = 2},
  [1472] = {.lex_state = 14},
  [1473] = {.lex_state = 11, .external_lex_state = 2},
  [1474] = {.lex_state = 11, .external_lex_state = 2},
  [1475] = {.lex_state = 7},
  [1476] = {.lex_state = 14},
  [1477] = {.lex_state = 11, .external_lex_state = 2},
  [1478] = {.lex_state = 7},
  [1479] = {.lex_state = 11, .external_lex_state = 2},
  [1480] = {.lex_state = 14},
  [1481] = {.lex_state = 14},
  [1482] = {.lex_state = 7},
  [1483] = {.lex_state = 7},
  [1484] = {.lex_state = 7},
  [1485] = {.lex_state = 7},
  [1486] = {.lex_state = 7},
  [1487] = {.lex_state = 7},
  [1488] = {.lex_state = 7},
  [1489] = {.lex_state = 7},
  [1490] = {.lex_state = 7},
  [1491] = {.lex_state = 14},
  [1492] = {.lex_state = 9},
  [1493] = {.lex_state = 7},
  [1494] = {.lex_state = 7},
  [1495] = {.lex_state = 7},
  [1496] = {.lex_state = 7},
  [1497] = {.lex_state = 7},
  [1498] = {.lex_state = 14},
  [1499] = {.lex_state = 7},
  [1500] = {.lex_state = 7},
  [1501] = {.lex_state = 7},
  [1502] = {.lex_state = 7},
  [1503] = {.lex_state = 7},
  [1504] = {.lex_state = 14},
  [1505] = {.lex_state = 7},
  [1506] = {.lex_state = 9},
  [1507] = {.lex_state = 8},
  [1508] = {.lex_state = 9},
  [1509] = {.lex_state = 7},
  [1510] = {.lex_state = 11, .external_lex_state = 2},
  [1511] = {.lex_state = 7},
  [1512] = {.lex_state = 11, .external_lex_state = 2},
  [1513] = {.lex_state = 9},
  [1514] = {.lex_state = 11, .external_lex_state = 2},
  [1515] = {.lex_state = 11, .external_lex_state = 2},
  [1516] = {.lex_state = 7},
  [1517] = {.lex_state = 14},
  [1518] = {.lex_state = 8},
  [1519] = {.lex_state = 9},
  [1520] = {.lex_state = 9},
  [1521] = {.lex_state = 7},
  [1522] = {.lex_state = 8},
  [1523] = {.lex_state = 7},
  [1524] = {.lex_state = 8},
  [1525] = {.lex_state = 7},
  [1526] = {.lex_state = 9},
  [1527] = {.lex_state = 9},
  [1528] = {.lex_state = 14},
  [1529] = {.lex_state = 9},
  [1530] = {.lex_state = 9},
  [1531] = {.lex_state = 14},
  [1532] = {.lex_state = 9},
  [1533] = {.lex_state = 9},
  [1534] = {.lex_state = 7},
  [1535] = {.lex_state = 7},
  [1536] = {.lex_state = 14},
  [1537] = {.lex_state = 7},
  [1538] = {.lex_state = 8},
  [1539] = {.lex_state = 14},
  [1540] = {.lex_state = 14},
  [1541] = {.lex_state = 14},
  [1542] = {.lex_state = 7},
  [1543] = {.lex_state = 7},
  [1544] = {.lex_state = 8},
  [1545] = {.lex_state = 8},
  [1546] = {.lex_state = 8},
  [1547] = {.lex_state = 8},
  [1548] = {.lex_state = 8},
  [1549] = {.lex_state = 7},
  [1550] = {.lex_state = 8},
  [1551] = {.lex_state = 7},
  [1552] = {.lex_state = 8},
  [1553] = {.lex_state = 7},
  [1554] = {.lex_state = 8},
  [1555] = {.lex_state = 7},
  [1556] = {.lex_state = 8},
  [1557] = {.lex_state = 8},
  [1558] = {.lex_state = 7},
  [1559] = {.lex_state = 8},
  [1560] = {.lex_state = 7},
  [1561] = {.lex_state = 8},
  [1562] = {.lex_state = 7},
  [1563] = {.lex_state = 7},
  [1564] = {.lex_state = 8},
  [1565] = {.lex_state = 7},
  [1566] = {.lex_state = 7},
  [1567] = {.lex_state = 7},
  [1568] = {.lex_state = 8},
  [1569] = {.lex_state = 7},
  [1570] = {.lex_state = 7},
  [1571] = {.lex_state = 7},
  [1572] = {.lex_state = 7},
  [1573] = {.lex_state = 7},
  [1574] = {.lex_state = 7},
  [1575] = {.lex_state = 7},
  [1576] = {.lex_state = 7},
  [1577] = {.lex_state = 7},
  [1578] = {.lex_state = 7},
  [1579] = {.lex_state = 7},
  [1580] = {.lex_state = 7},
  [1581] = {.lex_state = 8},
  [1582] = {.lex_state = 8},
  [1583] = {.lex_state = 8},
  [1584] = {.lex_state = 20},
  [1585] = {.lex_state = 7},
  [1586] = {.lex_state = 9},
  [1587] = {.lex_state = 8},
  [1588] = {.lex_state = 7},
  [1589] = {.lex_state = 7},
  [1590] = {.lex_state = 7},
  [1591] = {.lex_state = 8},
  [1592] = {.lex_state = 14},
  [1593] = {.lex_state = 7},
  [1594] = {.lex_state = 20},
  [1595] = {.lex_state = 8},
  [1596] = {.lex_state = 8},
  [1597] = {.lex_state = 8},
  [1598] = {.lex_state = 20},
  [1599] = {.lex_state = 8},
  [1600] = {.lex_state = 8},
  [1601] = {.lex_state = 7},
  [1602] = {.lex_state = 20},
  [1603] = {.lex_state = 8},
  [1604] = {.lex_state = 8},
  [1605] = {.lex_state = 20},
  [1606] = {.lex_state = 7},
  [1607] = {.lex_state = 7},
  [1608] = {.lex_state = 8},
  [1609] = {.lex_state = 8},
  [1610] = {.lex_state = 7},
  [1611] = {.lex_state = 20},
  [1612] = {.lex_state = 8},
  [1613] = {.lex_state = 14},
  [1614] = {.lex_state = 20},
  [1615] = {.lex_state = 7},
  [1616] = {.lex_state = 7},
  [1617] = {.lex_state = 20},
  [1618] = {.lex_state = 14},
  [1619] = {.lex_state = 7},
  [1620] = {.lex_state = 8},
  [1621] = {.lex_state = 8},
  [1622] = {.lex_state = 20},
  [1623] = {.lex_state = 20},
  [1624] = {.lex_state = 20},
  [1625] = {.lex_state = 7},
  [1626] = {.lex_state = 20},
  [1627] = {.lex_state = 7},
  [1628] = {.lex_state = 7},
  [1629] = {.lex_state = 7},
  [1630] = {.lex_state = 7},
  [1631] = {.lex_state = 8},
  [1632] = {.lex_state = 7},
  [1633] = {.lex_state = 8},
  [1634] = {.lex_state = 7},
  [1635] = {.lex_state = 8},
  [1636] = {.lex_state = 7},
  [1637] = {.lex_state = 8},
  [1638] = {.lex_state = 7},
  [1639] = {.lex_state = 8},
  [1640] = {.lex_state = 8},
  [1641] = {.lex_state = 8},
  [1642] = {.lex_state = 8},
  [1643] = {.lex_state = 8},
  [1644] = {.lex_state = 8},
  [1645] = {.lex_state = 8},
  [1646] = {.lex_state = 8},
  [1647] = {.lex_state = 8},
  [1648] = {.lex_state = 8},
  [1649] = {.lex_state = 8},
  [1650] = {.lex_state = 8},
  [1651] = {.lex_state = 8},
  [1652] = {.lex_state = 8},
  [1653] = {.lex_state = 8},
  [1654] = {.lex_state = 7},
  [1655] = {.lex_state = 8},
  [1656] = {.lex_state = 8},
  [1657] = {.lex_state = 8},
  [1658] = {.lex_state = 8},
  [1659] = {.lex_state = 8},
  [1660] = {.lex_state = 7},
  [1661] = {.lex_state = 8},
  [1662] = {.lex_state = 8},
  [1663] = {.lex_state = 8},
  [1664] = {.lex_state = 8},
  [1665] = {.lex_state = 8},
  [1666] = {.lex_state = 8},
  [1667] = {.lex_state = 8},
  [1668] = {.lex_state = 8},
  [1669] = {.lex_state = 8},
  [1670] = {.lex_state = 8},
  [1671] = {.lex_state = 7},
  [1672] = {.lex_state = 8},
  [1673] = {.lex_state = 8},
  [1674] = {.lex_state = 7},
  [1675] = {.lex_state = 8},
  [1676] = {.lex_state = 8},
  [1677] = {.lex_state = 8},
  [1678] = {.lex_state = 8},
  [1679] = {.lex_state = 8},
  [1680] = {.lex_state = 8},
  [1681] = {.lex_state = 8},
  [1682] = {.lex_state = 7},
  [1683] = {.lex_state = 8},
  [1684] = {.lex_state = 8},
  [1685] = {.lex_state = 8},
  [1686] = {.lex_state = 8},
  [1687] = {.lex_state = 8},
  [1688] = {.lex_state = 8},
  [1689] = {.lex_state = 8},
  [1690] = {.lex_state = 7},
  [1691] = {.lex_state = 8},
  [1692] = {.lex_state = 8},
  [1693] = {.lex_state = 8},
  [1694] = {.lex_state = 8},
  [1695] = {.lex_state = 7},
  [1696] = {.lex_state = 8},
  [1697] = {.lex_state = 7},
  [1698] = {.lex_state = 7},
  [1699] = {.lex_state = 7},
  [1700] = {.lex_state = 8},
  [1701] = {.lex_state = 8},
  [1702] = {.lex_state = 7},
  [1703] = {.lex_state = 7},
  [1704] = {.lex_state = 7},
  [1705] = {.lex_state = 8},
  [1706] = {.lex_state = 8},
  [1707] = {.lex_state = 8},
  [1708] = {.lex_state = 8},
  [1709] = {.lex_state = 8},
  [1710] = {.lex_state = 7},
  [1711] = {.lex_state = 7},
  [1712] = {.lex_state = 7},
  [1713] = {.lex_state = 7},
  [1714] = {.lex_state = 7},
  [1715] = {.lex_state = 7},
  [1716] = {.lex_state = 7},
  [1717] = {.lex_state = 7},
  [1718] = {.lex_state = 7},
  [1719] = {.lex_state = 7},
  [1720] = {.lex_state = 7},
  [1721] = {.lex_state = 7},
  [1722] = {.lex_state = 7},
  [1723] = {.lex_state = 8},
  [1724] = {.lex_state = 8},
  [1725] = {.lex_state = 8},
  [1726] = {.lex_state = 8},
  [1727] = {.lex_state = 7},
  [1728] = {.lex_state = 8},
  [1729] = {.lex_state = 8},
  [1730] = {.lex_state = 8},
  [1731] = {.lex_state = 8},
  [1732] = {.lex_state = 8},
  [1733] = {.lex_state = 7},
  [1734] = {.lex_state = 8},
  [1735] = {.lex_state = 8},
  [1736] = {.lex_state = 8},
  [1737] = {.lex_state = 8},
  [1738] = {.lex_state = 8},
  [1739] = {.lex_state = 8},
  [1740] = {.lex_state = 7},
  [1741] = {.lex_state = 8},
  [1742] = {.lex_state = 8},
  [1743] = {.lex_state = 8},
  [1744] = {.lex_state = 8},
  [1745] = {.lex_state = 8},
  [1746] = {.lex_state = 7},
  [1747] = {.lex_state = 8},
  [1748] = {.lex_state = 7},
  [1749] = {.lex_state = 8},
  [1750] = {.lex_state = 8},
  [1751] = {.lex_state = 7},
  [1752] = {.lex_state = 8},
  [1753] = {.lex_state = 8},
  [1754] = {.lex_state = 8},
  [1755] = {.lex_state = 8},
  [1756] = {.lex_state = 8},
  [1757] = {.lex_state = 8},
  [1758] = {.lex_state = 8},
  [1759] = {.lex_state = 8},
  [1760] = {.lex_state = 8},
  [1761] = {.lex_state = 8},
  [1762] = {.lex_state = 8},
  [1763] = {.lex_state = 8},
  [1764] = {.lex_state = 8},
  [1765] = {.lex_state = 8},
  [1766] = {.lex_state = 8},
  [1767] = {.lex_state = 8},
  [1768] = {.lex_state = 7},
  [1769] = {.lex_state = 8},
  [1770] = {.lex_state = 8},
  [1771] = {.lex_state = 8},
  [1772] = {.lex_state = 8},
  [1773] = {.lex_state = 8},
  [1774] = {.lex_state = 8},
  [1775] = {.lex_state = 8},
  [1776] = {.lex_state = 8},
  [1777] = {.lex_state = 8},
  [1778] = {.lex_state = 8},
  [1779] = {.lex_state = 8},
  [1780] = {.lex_state = 8},
  [1781] = {.lex_state = 8},
  [1782] = {.lex_state = 7},
  [1783] = {.lex_state = 8},
  [1784] = {.lex_state = 8},
  [1785] = {.lex_state = 8},
  [1786] = {.lex_state = 7},
  [1787] = {.lex_state = 8},
  [1788] = {.lex_state = 8},
  [1789] = {.lex_state = 8},
  [1790] = {.lex_state = 8},
  [1791] = {.lex_state = 8},
  [1792] = {.lex_state = 8},
  [1793] = {.lex_state = 7},
  [1794] = {.lex_state = 7},
  [1795] = {.lex_state = 14},
  [1796] = {.lex_state = 7},
  [1797] = {.lex_state = 7},
  [1798] = {.lex_state = 7},
  [1799] = {.lex_state = 7},
  [1800] = {.lex_state = 7},
  [1801] = {.lex_state = 7},
  [1802] = {.lex_state = 7},
  [1803] = {.lex_state = 7},
  [1804] = {.lex_state = 7},
  [1805] = {.lex_state = 7},
  [1806] = {.lex_state = 7},
  [1807] = {.lex_state = 7},
  [1808] = {.lex_state = 7},
  [1809] = {.lex_state = 7},
  [1810] = {.lex_state = 7},
  [1811] = {.lex_state = 7},
  [1812] = {.lex_state = 7},
  [1813] = {.lex_state = 7},
  [1814] = {.lex_state = 7},
  [1815] = {.lex_state = 7},
  [1816] = {.lex_state = 7},
  [1817] = {.lex_state = 7},
  [1818] = {.lex_state = 7},
  [1819] = {.lex_state = 7},
  [1820] = {.lex_state = 7},
  [1821] = {.lex_state = 7},
  [1822] = {.lex_state = 7},
  [1823] = {.lex_state = 7},
  [1824] = {.lex_state = 7},
  [1825] = {.lex_state = 7},
  [1826] = {.lex_state = 7},
  [1827] = {.lex_state = 7},
  [1828] = {.lex_state = 7},
  [1829] = {.lex_state = 7},
  [1830] = {.lex_state = 7},
  [1831] = {.lex_state = 7},
  [1832] = {.lex_state = 7},
  [1833] = {.lex_state = 7},
  [1834] = {.lex_state = 7},
  [1835] = {.lex_state = 7},
  [1836] = {.lex_state = 7},
  [1837] = {.lex_state = 7},
  [1838] = {.lex_state = 7},
  [1839] = {.lex_state = 7},
  [1840] = {.lex_state = 7},
  [1841] = {.lex_state = 8},
  [1842] = {.lex_state = 7},
  [1843] = {.lex_state = 7},
  [1844] = {.lex_state = 7},
  [1845] = {.lex_state = 7},
  [1846] = {.lex_state = 14},
  [1847] = {.lex_state = 8},
  [1848] = {.lex_state = 7},
  [1849] = {.lex_state = 7},
  [1850] = {.lex_state = 7},
  [1851] = {.lex_state = 7},
  [1852] = {.lex_state = 7},
  [1853] = {.lex_state = 7},
  [1854] = {.lex_state = 7},
  [1855] = {.lex_state = 7},
  [1856] = {.lex_state = 7},
  [1857] = {.lex_state = 7},
  [1858] = {.lex_state = 7},
  [1859] = {.lex_state = 7},
  [1860] = {.lex_state = 7},
  [1861] = {.lex_state = 7},
  [1862] = {.lex_state = 7},
  [1863] = {.lex_state = 7},
  [1864] = {.lex_state = 7},
  [1865] = {.lex_state = 8},
  [1866] = {.lex_state = 7},
  [1867] = {.lex_state = 7},
  [1868] = {.lex_state = 7},
  [1869] = {.lex_state = 7},
  [1870] = {.lex_state = 7},
  [1871] = {.lex_state = 7},
  [1872] = {.lex_state = 7},
  [1873] = {.lex_state = 7},
  [1874] = {.lex_state = 14},
  [1875] = {.lex_state = 8},
  [1876] = {.lex_state = 14},
  [1877] = {.lex_state = 14},
  [1878] = {.lex_state = 14},
  [1879] = {.lex_state = 14},
  [1880] = {.lex_state = 14},
  [1881] = {.lex_state = 14},
  [1882] = {.lex_state = 14},
  [1883] = {.lex_state = 14},
  [1884] = {.lex_state = 14},
  [1885] = {.lex_state = 14},
  [1886] = {.lex_state = 14},
  [1887] = {.lex_state = 14},
  [1888] = {.lex_state = 14},
  [1889] = {.lex_state = 14},
  [1890] = {.lex_state = 14},
  [1891] = {.lex_state = 14},
  [1892] = {.lex_state = 14},
  [1893] = {.lex_state = 14},
  [1894] = {.lex_state = 14},
  [1895] = {.lex_state = 14},
  [1896] = {.lex_state = 14},
  [1897] = {.lex_state = 14},
  [1898] = {.lex_state = 14},
  [1899] = {.lex_state = 14},
  [1900] = {.lex_state = 14},
  [1901] = {.lex_state = 14},
  [1902] = {.lex_state = 27},
  [1903] = {.lex_state = 16},
  [1904] = {.lex_state = 27},
  [1905] = {.lex_state = 16},
  [1906] = {.lex_state = 16},
  [1907] = {.lex_state = 16},
  [1908] = {.lex_state = 16},
  [1909] = {.lex_state = 16},
  [1910] = {.lex_state = 16},
  [1911] = {.lex_state = 16},
  [1912] = {.lex_state = 16},
  [1913] = {.lex_state = 16},
  [1914] = {.lex_state = 27},
  [1915] = {.lex_state = 16},
  [1916] = {.lex_state = 27},
  [1917] = {.lex_state = 27},
  [1918] = {.lex_state = 16},
  [1919] = {.lex_state = 16},
  [1920] = {.lex_state = 27},
  [1921] = {.lex_state = 14},
  [1922] = {.lex_state = 14},
  [1923] = {.lex_state = 14},
  [1924] = {.lex_state = 14},
  [1925] = {.lex_state = 14},
  [1926] = {.lex_state = 27},
  [1927] = {.lex_state = 14},
  [1928] = {.lex_state = 14},
  [1929] = {.lex_state = 14},
  [1930] = {.lex_state = 14},
  [1931] = {.lex_state = 14},
  [1932] = {.lex_state = 14},
  [1933] = {.lex_state = 14},
  [1934] = {.lex_state = 14},
  [1935] = {.lex_state = 16},
  [1936] = {.lex_state = 16},
  [1937] = {.lex_state = 16},
  [1938] = {.lex_state = 14},
  [1939] = {.lex_state = 27},
  [1940] = {.lex_state = 14},
  [1941] = {.lex_state = 27},
  [1942] = {.lex_state = 16},
  [1943] = {.lex_state = 27},
  [1944] = {.lex_state = 14},
  [1945] = {.lex_state = 27},
  [1946] = {.lex_state = 27},
  [1947] = {.lex_state = 27},
  [1948] = {.lex_state = 27},
  [1949] = {.lex_state = 14},
  [1950] = {.lex_state = 27},
  [1951] = {.lex_state = 14},
  [1952] = {.lex_state = 14},
  [1953] = {.lex_state = 27},
  [1954] = {.lex_state = 27},
  [1955] = {.lex_state = 16},
  [1956] = {.lex_state = 27},
  [1957] = {.lex_state = 27},
  [1958] = {.lex_state = 16},
  [1959] = {.lex_state = 27},
  [1960] = {.lex_state = 27},
  [1961] = {.lex_state = 14},
  [1962] = {.lex_state = 27},
  [1963] = {.lex_state = 27},
  [1964] = {.lex_state = 14},
  [1965] = {.lex_state = 27},
  [1966] = {.lex_state = 27},
  [1967] = {.lex_state = 27},
  [1968] = {.lex_state = 27},
  [1969] = {.lex_state = 27},
  [1970] = {.lex_state = 27},
  [1971] = {.lex_state = 27},
  [1972] = {.lex_state = 27},
  [1973] = {.lex_state = 27},
  [1974] = {.lex_state = 14},
  [1975] = {.lex_state = 27},
  [1976] = {.lex_state = 27},
  [1977] = {.lex_state = 14},
  [1978] = {.lex_state = 27},
  [1979] = {.lex_state = 27},
  [1980] = {.lex_state = 14},
  [1981] = {.lex_state = 16},
  [1982] = {.lex_state = 14},
  [1983] = {.lex_state = 27},
  [1984] = {.lex_state = 27},
  [1985] = {.lex_state = 27},
  [1986] = {.lex_state = 27},
  [1987] = {.lex_state = 14},
  [1988] = {.lex_state = 27},
  [1989] = {.lex_state = 27},
  [1990] = {.lex_state = 27},
  [1991] = {.lex_state = 27},
  [1992] = {.lex_state = 27},
  [1993] = {.lex_state = 27},
  [1994] = {.lex_state = 27},
  [1995] = {.lex_state = 27},
  [1996] = {.lex_state = 27},
  [1997] = {.lex_state = 27},
  [1998] = {.lex_state = 14},
  [1999] = {.lex_state = 14},
  [2000] = {.lex_state = 16},
  [2001] = {.lex_state = 27},
  [2002] = {.lex_state = 16},
  [2003] = {.lex_state = 16},
  [2004] = {.lex_state = 27},
  [2005] = {.lex_state = 27},
  [2006] = {.lex_state = 16},
  [2007] = {.lex_state = 17},
  [2008] = {.lex_state = 16},
  [2009] = {.lex_state = 16},
  [2010] = {.lex_state = 16},
  [2011] = {.lex_state = 27},
  [2012] = {.lex_state = 16},
  [2013] = {.lex_state = 16},
  [2014] = {.lex_state = 16},
  [2015] = {.lex_state = 16},
  [2016] = {.lex_state = 16},
  [2017] = {.lex_state = 16},
  [2018] = {.lex_state = 14},
  [2019] = {.lex_state = 14},
  [2020] = {.lex_state = 14},
  [2021] = {.lex_state = 14},
  [2022] = {.lex_state = 14},
  [2023] = {.lex_state = 14},
  [2024] = {.lex_state = 14},
  [2025] = {.lex_state = 14},
  [2026] = {.lex_state = 14},
  [2027] = {.lex_state = 14},
  [2028] = {.lex_state = 14},
  [2029] = {.lex_state = 14},
  [2030] = {.lex_state = 14},
  [2031] = {.lex_state = 14},
  [2032] = {.lex_state = 14},
  [2033] = {.lex_state = 14},
  [2034] = {.lex_state = 16},
  [2035] = {.lex_state = 14},
  [2036] = {.lex_state = 14},
  [2037] = {.lex_state = 16},
  [2038] = {.lex_state = 16},
  [2039] = {.lex_state = 27},
  [2040] = {.lex_state = 17},
  [2041] = {.lex_state = 14},
  [2042] = {.lex_state = 23},
  [2043] = {.lex_state = 14},
  [2044] = {.lex_state = 16},
  [2045] = {.lex_state = 17},
  [2046] = {.lex_state = 14},
  [2047] = {.lex_state = 27},
  [2048] = {.lex_state = 14},
  [2049] = {.lex_state = 23},
  [2050] = {.lex_state = 21},
  [2051] = {.lex_state = 14},
  [2052] = {.lex_state = 14},
  [2053] = {.lex_state = 27},
  [2054] = {.lex_state = 14},
  [2055] = {.lex_state = 14},
  [2056] = {.lex_state = 27},
  [2057] = {.lex_state = 14},
  [2058] = {.lex_state = 16},
  [2059] = {.lex_state = 27},
  [2060] = {.lex_state = 14},
  [2061] = {.lex_state = 14},
  [2062] = {.lex_state = 14},
  [2063] = {.lex_state = 14},
  [2064] = {.lex_state = 21},
  [2065] = {.lex_state = 16},
  [2066] = {.lex_state = 17},
  [2067] = {.lex_state = 17},
  [2068] = {.lex_state = 21},
  [2069] = {.lex_state = 14},
  [2070] = {.lex_state = 16},
  [2071] = {.lex_state = 21},
  [2072] = {.lex_state = 16},
  [2073] = {.lex_state = 16},
  [2074] = {.lex_state = 16},
  [2075] = {.lex_state = 14},
  [2076] = {.lex_state = 27},
  [2077] = {.lex_state = 27},
  [2078] = {.lex_state = 27},
  [2079] = {.lex_state = 27},
  [2080] = {.lex_state = 27},
  [2081] = {.lex_state = 27},
  [2082] = {.lex_state = 27},
  [2083] = {.lex_state = 27},
  [2084] = {.lex_state = 27},
  [2085] = {.lex_state = 27},
  [2086] = {.lex_state = 27},
  [2087] = {.lex_state = 23},
  [2088] = {.lex_state = 27},
  [2089] = {.lex_state = 14},
  [2090] = {.lex_state = 14},
  [2091] = {.lex_state = 27},
  [2092] = {.lex_state = 27},
  [2093] = {.lex_state = 27},
  [2094] = {.lex_state = 27},
  [2095] = {.lex_state = 27},
  [2096] = {.lex_state = 27},
  [2097] = {.lex_state = 27},
  [2098] = {.lex_state = 27},
  [2099] = {.lex_state = 27},
  [2100] = {.lex_state = 27},
  [2101] = {.lex_state = 27},
  [2102] = {.lex_state = 27},
  [2103] = {.lex_state = 27},
  [2104] = {.lex_state = 27},
  [2105] = {.lex_state = 23},
  [2106] = {.lex_state = 27},
  [2107] = {.lex_state = 27},
  [2108] = {.lex_state = 14},
  [2109] = {.lex_state = 14},
  [2110] = {.lex_state = 27},
  [2111] = {.lex_state = 23},
  [2112] = {.lex_state = 27},
  [2113] = {.lex_state = 10},
  [2114] = {.lex_state = 27},
  [2115] = {.lex_state = 27},
  [2116] = {.lex_state = 14},
  [2117] = {.lex_state = 17},
  [2118] = {.lex_state = 16},
  [2119] = {.lex_state = 16},
  [2120] = {.lex_state = 16},
  [2121] = {.lex_state = 27},
  [2122] = {.lex_state = 27},
  [2123] = {.lex_state = 23},
  [2124] = {.lex_state = 16},
  [2125] = {.lex_state = 27},
  [2126] = {.lex_state = 27},
  [2127] = {.lex_state = 27},
  [2128] = {.lex_state = 17},
  [2129] = {.lex_state = 23},
  [2130] = {.lex_state = 17},
  [2131] = {.lex_state = 27},
  [2132] = {.lex_state = 14},
  [2133] = {.lex_state = 14},
  [2134] = {.lex_state = 17},
  [2135] = {.lex_state = 10},
  [2136] = {.lex_state = 10},
  [2137] = {.lex_state = 6},
  [2138] = {.lex_state = 17},
  [2139] = {.lex_state = 14},
  [2140] = {.lex_state = 27},
  [2141] = {.lex_state = 14},
  [2142] = {.lex_state = 14},
  [2143] = {.lex_state = 14},
  [2144] = {.lex_state = 14},
  [2145] = {.lex_state = 14},
  [2146] = {.lex_state = 14},
  [2147] = {.lex_state = 27},
  [2148] = {.lex_state = 14},
  [2149] = {.lex_state = 17},
  [2150] = {.lex_state = 16},
  [2151] = {.lex_state = 6},
  [2152] = {.lex_state = 10},
  [2153] = {.lex_state = 14},
  [2154] = {.lex_state = 14},
  [2155] = {.lex_state = 70},
  [2156] = {.lex_state = 14},
  [2157] = {.lex_state = 10},
  [2158] = {.lex_state = 14},
  [2159] = {.lex_state = 14},
  [2160] = {.lex_state = 14},
  [2161] = {.lex_state = 14},
  [2162] = {.lex_state = 6},
  [2163] = {.lex_state = 14},
  [2164] = {.lex_state = 14},
  [2165] = {.lex_state = 27},
  [2166] = {.lex_state = 14},
  [2167] = {.lex_state = 14},
  [2168] = {.lex_state = 27},
  [2169] = {.lex_state = 14},
  [2170] = {.lex_state = 27},
  [2171] = {.lex_state = 14},
  [2172] = {.lex_state = 27},
  [2173] = {.lex_state = 14},
  [2174] = {.lex_state = 27},
  [2175] = {.lex_state = 14},
  [2176] = {.lex_state = 23},
  [2177] = {.lex_state = 14},
  [2178] = {.lex_state = 14},
  [2179] = {.lex_state = 14},
  [2180] = {.lex_state = 14},
  [2181] = {.lex_state = 14},
  [2182] = {.lex_state = 23},
  [2183] = {.lex_state = 14},
  [2184] = {.lex_state = 14},
  [2185] = {.lex_state = 14},
  [2186] = {.lex_state = 14},
  [2187] = {.lex_state = 14},
  [2188] = {.lex_state = 14},
  [2189] = {.lex_state = 14},
  [2190] = {.lex_state = 14},
  [2191] = {.lex_state = 14},
  [2192] = {.lex_state = 14},
  [2193] = {.lex_state = 14},
  [2194] = {.lex_state = 14},
  [2195] = {.lex_state = 14},
  [2196] = {.lex_state = 14},
  [2197] = {.lex_state = 14},
  [2198] = {.lex_state = 23},
  [2199] = {.lex_state = 23},
  [2200] = {.lex_state = 23},
  [2201] = {.lex_state = 14},
  [2202] = {.lex_state = 14},
  [2203] = {.lex_state = 14},
  [2204] = {.lex_state = 14},
  [2205] = {.lex_state = 14},
  [2206] = {.lex_state = 14},
  [2207] = {.lex_state = 14},
  [2208] = {.lex_state = 14},
  [2209] = {.lex_state = 14},
  [2210] = {.lex_state = 14},
  [2211] = {.lex_state = 23},
  [2212] = {.lex_state = 14},
  [2213] = {.lex_state = 21},
  [2214] = {.lex_state = 23},
  [2215] = {.lex_state = 14},
  [2216] = {.lex_state = 10},
  [2217] = {.lex_state = 14},
  [2218] = {.lex_state = 14},
  [2219] = {.lex_state = 14},
  [2220] = {.lex_state = 14},
  [2221] = {.lex_state = 23},
  [2222] = {.lex_state = 23},
  [2223] = {.lex_state = 14},
  [2224] = {.lex_state = 14},
  [2225] = {.lex_state = 14},
  [2226] = {.lex_state = 14},
  [2227] = {.lex_state = 14},
  [2228] = {.lex_state = 14},
  [2229] = {.lex_state = 23},
  [2230] = {.lex_state = 23},
  [2231] = {.lex_state = 23},
  [2232] = {.lex_state = 10},
  [2233] = {.lex_state = 17},
  [2234] = {.lex_state = 27},
  [2235] = {.lex_state = 23},
  [2236] = {.lex_state = 27},
  [2237] = {.lex_state = 23},
  [2238] = {.lex_state = 70},
  [2239] = {.lex_state = 14},
  [2240] = {.lex_state = 14},
  [2241] = {.lex_state = 70},
  [2242] = {.lex_state = 70},
  [2243] = {.lex_state = 70},
  [2244] = {.lex_state = 70},
  [2245] = {.lex_state = 70},
  [2246] = {.lex_state = 70},
  [2247] = {.lex_state = 70},
  [2248] = {.lex_state = 70},
  [2249] = {.lex_state = 23},
  [2250] = {.lex_state = 23},
  [2251] = {.lex_state = 14},
  [2252] = {.lex_state = 70},
  [2253] = {.lex_state = 70},
  [2254] = {.lex_state = 70},
  [2255] = {.lex_state = 14},
  [2256] = {.lex_state = 70},
  [2257] = {.lex_state = 3},
  [2258] = {.lex_state = 70},
  [2259] = {.lex_state = 70},
  [2260] = {.lex_state = 14},
  [2261] = {.lex_state = 23},
  [2262] = {.lex_state = 23},
  [2263] = {.lex_state = 70},
  [2264] = {.lex_state = 23},
  [2265] = {.lex_state = 23},
  [2266] = {.lex_state = 14},
  [2267] = {.lex_state = 70},
  [2268] = {.lex_state = 70},
  [2269] = {.lex_state = 70},
  [2270] = {.lex_state = 70},
  [2271] = {.lex_state = 70},
  [2272] = {.lex_state = 14},
  [2273] = {.lex_state = 70},
  [2274] = {.lex_state = 70},
  [2275] = {.lex_state = 70},
  [2276] = {.lex_state = 70},
  [2277] = {.lex_state = 70},
  [2278] = {.lex_state = 70},
  [2279] = {.lex_state = 70},
  [2280] = {.lex_state = 70},
  [2281] = {.lex_state = 3},
  [2282] = {.lex_state = 10},
  [2283] = {.lex_state = 14},
  [2284] = {.lex_state = 3},
  [2285] = {.lex_state = 10},
  [2286] = {.lex_state = 167},
  [2287] = {.lex_state = 14},
  [2288] = {.lex_state = 14},
  [2289] = {.lex_state = 70},
  [2290] = {.lex_state = 14},
  [2291] = {.lex_state = 14},
  [2292] = {.lex_state = 27},
  [2293] = {.lex_state = 18},
  [2294] = {.lex_state = 27},
  [2295] = {.lex_state = 14},
  [2296] = {.lex_state = 14},
  [2297] = {.lex_state = 14},
  [2298] = {.lex_state = 27},
  [2299] = {.lex_state = 17},
  [2300] = {.lex_state = 27},
  [2301] = {.lex_state = 27},
  [2302] = {.lex_state = 13},
  [2303] = {.lex_state = 27},
  [2304] = {.lex_state = 3},
  [2305] = {.lex_state = 14},
  [2306] = {.lex_state = 27},
  [2307] = {.lex_state = 14},
  [2308] = {.lex_state = 14},
  [2309] = {.lex_state = 14},
  [2310] = {.lex_state = 18},
  [2311] = {.lex_state = 13},
  [2312] = {.lex_state = 14},
  [2313] = {.lex_state = 18},
  [2314] = {.lex_state = 14},
  [2315] = {.lex_state = 17},
  [2316] = {.lex_state = 14},
  [2317] = {.lex_state = 14},
  [2318] = {.lex_state = 14},
  [2319] = {.lex_state = 14},
  [2320] = {.lex_state = 14},
  [2321] = {.lex_state = 14},
  [2322] = {.lex_state = 14},
  [2323] = {.lex_state = 14},
  [2324] = {.lex_state = 14},
  [2325] = {.lex_state = 18},
  [2326] = {.lex_state = 27},
  [2327] = {.lex_state = 18},
  [2328] = {.lex_state = 14},
  [2329] = {.lex_state = 14},
  [2330] = {.lex_state = 14},
  [2331] = {.lex_state = 14},
  [2332] = {.lex_state = 14},
  [2333] = {.lex_state = 14},
  [2334] = {.lex_state = 14},
  [2335] = {.lex_state = 14},
  [2336] = {.lex_state = 27},
  [2337] = {.lex_state = 23},
  [2338] = {.lex_state = 14},
  [2339] = {.lex_state = 14},
  [2340] = {.lex_state = 70},
  [2341] = {.lex_state = 14},
  [2342] = {.lex_state = 3},
  [2343] = {.lex_state = 27},
  [2344] = {.lex_state = 27},
  [2345] = {.lex_state = 27},
  [2346] = {.lex_state = 27},
  [2347] = {.lex_state = 14},
  [2348] = {.lex_state = 14},
  [2349] = {.lex_state = 14},
  [2350] = {.lex_state = 14},
  [2351] = {.lex_state = 14},
  [2352] = {.lex_state = 27},
  [2353] = {.lex_state = 27},
  [2354] = {.lex_state = 14},
  [2355] = {.lex_state = 14},
  [2356] = {.lex_state = 27},
  [2357] = {.lex_state = 14},
  [2358] = {.lex_state = 14},
  [2359] = {.lex_state = 14},
  [2360] = {.lex_state = 17},
  [2361] = {.lex_state = 17},
  [2362] = {.lex_state = 17},
  [2363] = {.lex_state = 17},
  [2364] = {.lex_state = 14},
  [2365] = {.lex_state = 70},
  [2366] = {.lex_state = 14},
  [2367] = {.lex_state = 14},
  [2368] = {.lex_state = 14},
  [2369] = {.lex_state = 14},
  [2370] = {.lex_state = 14},
  [2371] = {.lex_state = 14},
  [2372] = {.lex_state = 3},
  [2373] = {.lex_state = 27},
  [2374] = {.lex_state = 3},
  [2375] = {.lex_state = 14},
  [2376] = {.lex_state = 14},
  [2377] = {.lex_state = 14},
  [2378] = {.lex_state = 14},
  [2379] = {.lex_state = 14},
  [2380] = {.lex_state = 14},
  [2381] = {.lex_state = 14},
  [2382] = {.lex_state = 14},
  [2383] = {.lex_state = 27},
  [2384] = {.lex_state = 14},
  [2385] = {.lex_state = 14},
  [2386] = {.lex_state = 14},
  [2387] = {.lex_state = 17},
  [2388] = {.lex_state = 18},
  [2389] = {.lex_state = 10},
  [2390] = {.lex_state = 27},
  [2391] = {.lex_state = 27},
  [2392] = {.lex_state = 3},
  [2393] = {.lex_state = 27},
  [2394] = {.lex_state = 10},
  [2395] = {.lex_state = 14},
  [2396] = {.lex_state = 27},
  [2397] = {.lex_state = 10},
  [2398] = {.lex_state = 10},
  [2399] = {.lex_state = 10},
  [2400] = {.lex_state = 14},
  [2401] = {.lex_state = 27},
  [2402] = {.lex_state = 10},
  [2403] = {.lex_state = 14},
  [2404] = {.lex_state = 10},
  [2405] = {.lex_state = 6},
  [2406] = {.lex_state = 10},
  [2407] = {.lex_state = 27},
  [2408] = {.lex_state = 10},
  [2409] = {.lex_state = 10},
  [2410] = {.lex_state = 10},
  [2411] = {.lex_state = 10},
  [2412] = {.lex_state = 10},
  [2413] = {.lex_state = 10},
  [2414] = {.lex_state = 10},
  [2415] = {.lex_state = 14},
  [2416] = {.lex_state = 27},
  [2417] = {.lex_state = 27},
  [2418] = {.lex_state = 27},
  [2419] = {.lex_state = 10},
  [2420] = {.lex_state = 10},
  [2421] = {.lex_state = 27},
  [2422] = {.lex_state = 6},
  [2423] = {.lex_state = 6},
  [2424] = {.lex_state = 70},
  [2425] = {.lex_state = 27},
  [2426] = {.lex_state = 27},
  [2427] = {.lex_state = 27},
  [2428] = {.lex_state = 10},
  [2429] = {.lex_state = 27},
  [2430] = {.lex_state = 27},
  [2431] = {.lex_state = 10},
  [2432] = {.lex_state = 10},
  [2433] = {.lex_state = 27},
  [2434] = {.lex_state = 27},
  [2435] = {.lex_state = 14},
  [2436] = {.lex_state = 27},
  [2437] = {.lex_state = 10},
  [2438] = {.lex_state = 10},
  [2439] = {.lex_state = 14},
  [2440] = {.lex_state = 27},
  [2441] = {.lex_state = 27},
  [2442] = {.lex_state = 14},
  [2443] = {.lex_state = 14},
  [2444] = {.lex_state = 14},
  [2445] = {.lex_state = 10},
  [2446] = {.lex_state = 14},
  [2447] = {.lex_state = 27},
  [2448] = {.lex_state = 27},
  [2449] = {.lex_state = 27},
  [2450] = {.lex_state = 10},
  [2451] = {.lex_state = 14},
  [2452] = {.lex_state = 27},
  [2453] = {.lex_state = 27},
  [2454] = {.lex_state = 27},
  [2455] = {.lex_state = 27},
  [2456] = {.lex_state = 27},
  [2457] = {.lex_state = 10},
  [2458] = {.lex_state = 14},
  [2459] = {.lex_state = 10},
  [2460] = {.lex_state = 27},
  [2461] = {.lex_state = 14},
  [2462] = {.lex_state = 14},
  [2463] = {.lex_state = 27},
  [2464] = {.lex_state = 27},
  [2465] = {.lex_state = 10},
  [2466] = {.lex_state = 27},
  [2467] = {.lex_state = 10},
  [2468] = {.lex_state = 27},
  [2469] = {.lex_state = 3},
  [2470] = {.lex_state = 14},
  [2471] = {.lex_state = 27},
  [2472] = {.lex_state = 14},
  [2473] = {.lex_state = 27},
  [2474] = {.lex_state = 10},
  [2475] = {.lex_state = 70},
  [2476] = {.lex_state = 14},
  [2477] = {.lex_state = 14},
  [2478] = {.lex_state = 14},
  [2479] = {.lex_state = 14},
  [2480] = {.lex_state = 27},
  [2481] = {.lex_state = 14},
  [2482] = {.lex_state = 27},
  [2483] = {.lex_state = 10, .external_lex_state = 3},
  [2484] = {.lex_state = 10},
  [2485] = {.lex_state = 27},
  [2486] = {.lex_state = 10},
  [2487] = {.lex_state = 27},
  [2488] = {.lex_state = 14},
  [2489] = {.lex_state = 14},
  [2490] = {.lex_state = 10},
  [2491] = {.lex_state = 6},
  [2492] = {.lex_state = 10},
  [2493] = {.lex_state = 14},
  [2494] = {.lex_state = 3},
  [2495] = {.lex_state = 10},
  [2496] = {.lex_state = 10, .external_lex_state = 4},
  [2497] = {.lex_state = 70},
  [2498] = {.lex_state = 6},
  [2499] = {.lex_state = 6},
  [2500] = {.lex_state = 70},
  [2501] = {.lex_state = 70},
  [2502] = {.lex_state = 6},
  [2503] = {.lex_state = 6},
  [2504] = {.lex_state = 10},
  [2505] = {.lex_state = 6},
  [2506] = {.lex_state = 70},
  [2507] = {.lex_state = 27},
  [2508] = {.lex_state = 27},
  [2509] = {.lex_state = 6},
  [2510] = {.lex_state = 10, .external_lex_state = 4},
  [2511] = {.lex_state = 14},
  [2512] = {.lex_state = 70},
  [2513] = {.lex_state = 14},
  [2514] = {.lex_state = 14},
  [2515] = {.lex_state = 14},
  [2516] = {.lex_state = 27},
  [2517] = {.lex_state = 70},
  [2518] = {.lex_state = 10},
  [2519] = {.lex_state = 10},
  [2520] = {.lex_state = 10, .external_lex_state = 4},
  [2521] = {.lex_state = 70},
  [2522] = {.lex_state = 6},
  [2523] = {.lex_state = 14},
  [2524] = {.lex_state = 70},
  [2525] = {.lex_state = 70},
  [2526] = {.lex_state = 70},
  [2527] = {.lex_state = 6},
  [2528] = {.lex_state = 6},
  [2529] = {.lex_state = 6},
  [2530] = {.lex_state = 14},
  [2531] = {.lex_state = 70},
  [2532] = {.lex_state = 27},
  [2533] = {.lex_state = 70},
  [2534] = {.lex_state = 70},
  [2535] = {.lex_state = 6},
  [2536] = {.lex_state = 14},
  [2537] = {.lex_state = 6},
  [2538] = {.lex_state = 14},
  [2539] = {.lex_state = 6},
  [2540] = {.lex_state = 14},
  [2541] = {.lex_state = 14},
  [2542] = {.lex_state = 14},
  [2543] = {.lex_state = 14},
  [2544] = {.lex_state = 14},
  [2545] = {.lex_state = 14},
  [2546] = {.lex_state = 10},
  [2547] = {.lex_state = 10},
  [2548] = {.lex_state = 10},
  [2549] = {.lex_state = 27},
  [2550] = {.lex_state = 29},
  [2551] = {.lex_state = 14},
  [2552] = {.lex_state = 70},
  [2553] = {.lex_state = 70},
  [2554] = {.lex_state = 70},
  [2555] = {.lex_state = 70},
  [2556] = {.lex_state = 6},
  [2557] = {.lex_state = 14},
  [2558] = {.lex_state = 14},
  [2559] = {.lex_state = 14},
  [2560] = {.lex_state = 14},
  [2561] = {.lex_state = 14},
  [2562] = {.lex_state = 14},
  [2563] = {.lex_state = 10, .external_lex_state = 4},
  [2564] = {.lex_state = 27},
  [2565] = {.lex_state = 27},
  [2566] = {.lex_state = 14},
  [2567] = {.lex_state = 10},
  [2568] = {.lex_state = 70},
  [2569] = {.lex_state = 27},
  [2570] = {.lex_state = 14},
  [2571] = {.lex_state = 14},
  [2572] = {.lex_state = 6},
  [2573] = {.lex_state = 10},
  [2574] = {.lex_state = 14},
  [2575] = {.lex_state = 27},
  [2576] = {.lex_state = 70},
  [2577] = {.lex_state = 14},
  [2578] = {.lex_state = 6},
  [2579] = {.lex_state = 70},
  [2580] = {.lex_state = 70},
  [2581] = {.lex_state = 27},
  [2582] = {.lex_state = 10},
  [2583] = {.lex_state = 10},
  [2584] = {.lex_state = 10, .external_lex_state = 4},
  [2585] = {.lex_state = 10},
  [2586] = {.lex_state = 10},
  [2587] = {.lex_state = 29},
  [2588] = {.lex_state = 6},
  [2589] = {.lex_state = 70},
  [2590] = {.lex_state = 16},
  [2591] = {.lex_state = 10},
  [2592] = {.lex_state = 70},
  [2593] = {.lex_state = 10},
  [2594] = {.lex_state = 10},
  [2595] = {.lex_state = 10, .external_lex_state = 4},
  [2596] = {.lex_state = 70},
  [2597] = {.lex_state = 6},
  [2598] = {.lex_state = 6},
  [2599] = {.lex_state = 6},
  [2600] = {.lex_state = 6},
  [2601] = {.lex_state = 70},
  [2602] = {.lex_state = 10},
  [2603] = {.lex_state = 6},
  [2604] = {.lex_state = 10},
  [2605] = {.lex_state = 27},
  [2606] = {.lex_state = 10},
  [2607] = {.lex_state = 10},
  [2608] = {.lex_state = 10},
  [2609] = {.lex_state = 10},
  [2610] = {.lex_state = 70},
  [2611] = {.lex_state = 14},
  [2612] = {.lex_state = 10},
  [2613] = {.lex_state = 16},
  [2614] = {.lex_state = 70},
  [2615] = {.lex_state = 10},
  [2616] = {.lex_state = 10},
  [2617] = {.lex_state = 10, .external_lex_state = 4},
  [2618] = {.lex_state = 10},
  [2619] = {.lex_state = 10},
  [2620] = {.lex_state = 70},
  [2621] = {.lex_state = 10},
  [2622] = {.lex_state = 70},
  [2623] = {.lex_state = 10, .external_lex_state = 4},
  [2624] = {.lex_state = 70},
  [2625] = {.lex_state = 6},
  [2626] = {.lex_state = 6},
  [2627] = {.lex_state = 6},
  [2628] = {.lex_state = 10},
  [2629] = {.lex_state = 10},
  [2630] = {.lex_state = 10, .external_lex_state = 4},
  [2631] = {.lex_state = 10},
  [2632] = {.lex_state = 27},
  [2633] = {.lex_state = 70},
  [2634] = {.lex_state = 10, .external_lex_state = 4},
  [2635] = {.lex_state = 70},
  [2636] = {.lex_state = 6},
  [2637] = {.lex_state = 6},
  [2638] = {.lex_state = 10},
  [2639] = {.lex_state = 70},
  [2640] = {.lex_state = 70},
  [2641] = {.lex_state = 10, .external_lex_state = 4},
  [2642] = {.lex_state = 10, .external_lex_state = 4},
  [2643] = {.lex_state = 6},
  [2644] = {.lex_state = 6},
  [2645] = {.lex_state = 10},
  [2646] = {.lex_state = 14},
  [2647] = {.lex_state = 14},
  [2648] = {.lex_state = 6},
  [2649] = {.lex_state = 6},
  [2650] = {.lex_state = 6},
  [2651] = {.lex_state = 6},
  [2652] = {.lex_state = 6},
  [2653] = {.lex_state = 6},
  [2654] = {.lex_state = 6},
  [2655] = {.lex_state = 6},
  [2656] = {.lex_state = 6},
  [2657] = {.lex_state = 6},
  [2658] = {.lex_state = 6},
  [2659] = {.lex_state = 6},
  [2660] = {.lex_state = 14},
  [2661] = {.lex_state = 29},
  [2662] = {.lex_state = 10},
  [2663] = {.lex_state = 3},
  [2664] = {.lex_state = 70},
  [2665] = {.lex_state = 70},
  [2666] = {.lex_state = 17},
  [2667] = {.lex_state = 14},
  [2668] = {.lex_state = 14},
  [2669] = {.lex_state = 14},
  [2670] = {.lex_state = 17},
  [2671] = {.lex_state = 70},
  [2672] = {.lex_state = 70},
  [2673] = {.lex_state = 10},
  [2674] = {.lex_state = 70},
  [2675] = {.lex_state = 10},
  [2676] = {.lex_state = 10},
  [2677] = {.lex_state = 6},
  [2678] = {.lex_state = 70},
  [2679] = {.lex_state = 70},
  [2680] = {.lex_state = 70},
  [2681] = {.lex_state = 27},
  [2682] = {.lex_state = 17},
  [2683] = {.lex_state = 14},
  [2684] = {.lex_state = 10},
  [2685] = {.lex_state = 14},
  [2686] = {.lex_state = 10},
  [2687] = {.lex_state = 10},
  [2688] = {.lex_state = 10, .external_lex_state = 4},
  [2689] = {.lex_state = 70},
  [2690] = {.lex_state = 10},
  [2691] = {.lex_state = 29},
  [2692] = {.lex_state = 70},
  [2693] = {.lex_state = 70},
  [2694] = {.lex_state = 10},
  [2695] = {.lex_state = 10},
  [2696] = {.lex_state = 17},
  [2697] = {.lex_state = 10},
  [2698] = {.lex_state = 70},
  [2699] = {.lex_state = 10},
  [2700] = {.lex_state = 10},
  [2701] = {.lex_state = 10},
  [2702] = {.lex_state = 10},
  [2703] = {.lex_state = 10},
  [2704] = {.lex_state = 10},
  [2705] = {.lex_state = 70},
  [2706] = {.lex_state = 10},
  [2707] = {.lex_state = 3},
  [2708] = {.lex_state = 3},
  [2709] = {.lex_state = 14},
  [2710] = {.lex_state = 16},
  [2711] = {.lex_state = 14},
  [2712] = {.lex_state = 10},
  [2713] = {.lex_state = 3},
  [2714] = {.lex_state = 14},
  [2715] = {.lex_state = 10},
  [2716] = {.lex_state = 17},
  [2717] = {.lex_state = 70},
  [2718] = {.lex_state = 17},
  [2719] = {.lex_state = 14},
  [2720] = {.lex_state = 6},
  [2721] = {.lex_state = 10},
  [2722] = {.lex_state = 10},
  [2723] = {.lex_state = 17},
  [2724] = {.lex_state = 6},
  [2725] = {.lex_state = 6},
  [2726] = {.lex_state = 17},
  [2727] = {.lex_state = 70},
  [2728] = {.lex_state = 6},
  [2729] = {.lex_state = 6},
  [2730] = {.lex_state = 10},
  [2731] = {.lex_state = 70},
  [2732] = {.lex_state = 70},
  [2733] = {.lex_state = 70},
  [2734] = {.lex_state = 70},
  [2735] = {.lex_state = 70},
  [2736] = {.lex_state = 70},
  [2737] = {.lex_state = 70},
  [2738] = {.lex_state = 70},
  [2739] = {.lex_state = 70},
  [2740] = {.lex_state = 70},
  [2741] = {.lex_state = 70},
  [2742] = {.lex_state = 70},
  [2743] = {.lex_state = 70},
  [2744] = {.lex_state = 70},
  [2745] = {.lex_state = 70},
  [2746] = {.lex_state = 70},
  [2747] = {.lex_state = 70},
  [2748] = {.lex_state = 18},
  [2749] = {.lex_state = 70},
  [2750] = {.lex_state = 70},
  [2751] = {.lex_state = 70},
  [2752] = {.lex_state = 70},
  [2753] = {.lex_state = 6},
  [2754] = {.lex_state = 70},
  [2755] = {.lex_state = 70},
  [2756] = {.lex_state = 17},
  [2757] = {.lex_state = 14},
  [2758] = {.lex_state = 70},
  [2759] = {.lex_state = 70},
  [2760] = {.lex_state = 70},
  [2761] = {.lex_state = 17},
  [2762] = {.lex_state = 70},
  [2763] = {.lex_state = 70},
  [2764] = {.lex_state = 70},
  [2765] = {.lex_state = 18},
  [2766] = {.lex_state = 17},
  [2767] = {.lex_state = 70},
  [2768] = {.lex_state = 18},
  [2769] = {.lex_state = 70},
  [2770] = {.lex_state = 70},
  [2771] = {.lex_state = 70},
  [2772] = {.lex_state = 70},
  [2773] = {.lex_state = 70},
  [2774] = {.lex_state = 70},
  [2775] = {.lex_state = 70},
  [2776] = {.lex_state = 70},
  [2777] = {.lex_state = 70},
  [2778] = {.lex_state = 70},
  [2779] = {.lex_state = 70},
  [2780] = {.lex_state = 70},
  [2781] = {.lex_state = 70},
  [2782] = {.lex_state = 14},
  [2783] = {.lex_state = 70},
  [2784] = {.lex_state = 6},
  [2785] = {.lex_state = 17},
  [2786] = {.lex_state = 70},
  [2787] = {.lex_state = 70},
  [2788] = {.lex_state = 70},
  [2789] = {.lex_state = 70},
  [2790] = {.lex_state = 70},
  [2791] = {.lex_state = 70},
  [2792] = {.lex_state = 70},
  [2793] = {.lex_state = 14},
  [2794] = {.lex_state = 17},
  [2795] = {.lex_state = 70},
  [2796] = {.lex_state = 70},
  [2797] = {.lex_state = 17},
  [2798] = {.lex_state = 70},
  [2799] = {.lex_state = 70},
  [2800] = {.lex_state = 17},
  [2801] = {.lex_state = 14},
  [2802] = {.lex_state = 17},
  [2803] = {.lex_state = 17},
  [2804] = {.lex_state = 70},
  [2805] = {.lex_state = 70},
  [2806] = {.lex_state = 70},
  [2807] = {.lex_state = 70},
  [2808] = {.lex_state = 70},
  [2809] = {.lex_state = 70},
  [2810] = {.lex_state = 70},
  [2811] = {.lex_state = 70},
  [2812] = {.lex_state = 70},
  [2813] = {.lex_state = 14},
  [2814] = {.lex_state = 70},
  [2815] = {.lex_state = 70},
  [2816] = {.lex_state = 70},
  [2817] = {.lex_state = 70},
  [2818] = {.lex_state = 70},
  [2819] = {.lex_state = 14},
  [2820] = {.lex_state = 70},
  [2821] = {.lex_state = 70},
  [2822] = {.lex_state = 70},
  [2823] = {.lex_state = 10},
  [2824] = {.lex_state = 14},
  [2825] = {.lex_state = 70},
  [2826] = {.lex_state = 14},
  [2827] = {.lex_state = 18},
  [2828] = {.lex_state = 70},
  [2829] = {.lex_state = 70},
  [2830] = {.lex_state = 70},
  [2831] = {.lex_state = 70},
  [2832] = {.lex_state = 70},
  [2833] = {.lex_state = 14},
  [2834] = {.lex_state = 14},
  [2835] = {.lex_state = 70},
  [2836] = {.lex_state = 6},
  [2837] = {.lex_state = 70},
  [2838] = {.lex_state = 70},
  [2839] = {.lex_state = 70},
  [2840] = {.lex_state = 70},
  [2841] = {.lex_state = 17},
  [2842] = {.lex_state = 70},
  [2843] = {.lex_state = 70},
  [2844] = {.lex_state = 70},
  [2845] = {.lex_state = 17},
  [2846] = {.lex_state = 70},
  [2847] = {.lex_state = 70},
  [2848] = {.lex_state = 70},
  [2849] = {.lex_state = 70},
  [2850] = {.lex_state = 14},
  [2851] = {.lex_state = 70},
  [2852] = {.lex_state = 70},
  [2853] = {.lex_state = 70},
  [2854] = {.lex_state = 70},
  [2855] = {.lex_state = 70},
  [2856] = {.lex_state = 70},
  [2857] = {.lex_state = 70},
  [2858] = {.lex_state = 10, .external_lex_state = 4},
  [2859] = {.lex_state = 70},
  [2860] = {.lex_state = 70},
  [2861] = {.lex_state = 27},
  [2862] = {.lex_state = 14},
  [2863] = {.lex_state = 70},
  [2864] = {.lex_state = 70},
  [2865] = {.lex_state = 6},
  [2866] = {.lex_state = 70},
  [2867] = {.lex_state = 70},
  [2868] = {.lex_state = 18},
  [2869] = {.lex_state = 70},
  [2870] = {.lex_state = 70},
  [2871] = {.lex_state = 17},
  [2872] = {.lex_state = 70},
  [2873] = {.lex_state = 70},
  [2874] = {.lex_state = 70},
  [2875] = {.lex_state = 14},
  [2876] = {.lex_state = 70},
  [2877] = {.lex_state = 17},
  [2878] = {.lex_state = 17},
  [2879] = {.lex_state = 70},
  [2880] = {.lex_state = 70},
  [2881] = {.lex_state = 6},
  [2882] = {.lex_state = 17},
  [2883] = {.lex_state = 70},
  [2884] = {.lex_state = 70},
  [2885] = {.lex_state = 70},
  [2886] = {.lex_state = 70},
  [2887] = {.lex_state = 10},
  [2888] = {.lex_state = 70},
  [2889] = {.lex_state = 70},
  [2890] = {.lex_state = 70},
  [2891] = {.lex_state = 70},
  [2892] = {.lex_state = 70},
  [2893] = {.lex_state = 70},
  [2894] = {.lex_state = 17},
  [2895] = {.lex_state = 17},
  [2896] = {.lex_state = 70},
  [2897] = {.lex_state = 17},
  [2898] = {.lex_state = 70},
  [2899] = {.lex_state = 17},
  [2900] = {.lex_state = 70},
  [2901] = {.lex_state = 70},
  [2902] = {.lex_state = 70},
  [2903] = {.lex_state = 70},
  [2904] = {.lex_state = 70},
  [2905] = {.lex_state = 70},
  [2906] = {.lex_state = 70},
  [2907] = {.lex_state = 70},
  [2908] = {.lex_state = 6},
  [2909] = {.lex_state = 70},
  [2910] = {.lex_state = 70},
  [2911] = {.lex_state = 70},
  [2912] = {.lex_state = 17},
  [2913] = {.lex_state = 70},
  [2914] = {.lex_state = 70},
  [2915] = {.lex_state = 27},
  [2916] = {.lex_state = 70},
  [2917] = {.lex_state = 70},
  [2918] = {.lex_state = 70},
  [2919] = {.lex_state = 17},
  [2920] = {.lex_state = 70},
  [2921] = {.lex_state = 70},
  [2922] = {.lex_state = 70},
  [2923] = {.lex_state = 17},
  [2924] = {.lex_state = 70},
  [2925] = {.lex_state = 70},
  [2926] = {.lex_state = 17},
  [2927] = {.lex_state = 70},
  [2928] = {.lex_state = 70},
  [2929] = {.lex_state = 10},
  [2930] = {.lex_state = 70},
  [2931] = {.lex_state = 70},
  [2932] = {.lex_state = 70},
  [2933] = {.lex_state = 14},
  [2934] = {.lex_state = 70},
  [2935] = {.lex_state = 14},
  [2936] = {.lex_state = 70},
  [2937] = {.lex_state = 70},
  [2938] = {.lex_state = 70},
  [2939] = {.lex_state = 10},
  [2940] = {.lex_state = 70},
  [2941] = {.lex_state = 70},
  [2942] = {.lex_state = 6},
  [2943] = {.lex_state = 70},
  [2944] = {.lex_state = 70},
  [2945] = {.lex_state = 70},
  [2946] = {.lex_state = 70},
  [2947] = {.lex_state = 70},
  [2948] = {.lex_state = 70},
  [2949] = {.lex_state = 17},
  [2950] = {.lex_state = 70},
  [2951] = {.lex_state = 70},
  [2952] = {.lex_state = 70},
  [2953] = {.lex_state = 17},
  [2954] = {.lex_state = 70},
  [2955] = {.lex_state = 14},
  [2956] = {.lex_state = 70},
  [2957] = {.lex_state = 14},
  [2958] = {.lex_state = 17},
  [2959] = {.lex_state = 70},
  [2960] = {.lex_state = 70},
  [2961] = {.lex_state = 70},
  [2962] = {.lex_state = 17},
  [2963] = {.lex_state = 70},
  [2964] = {.lex_state = 17},
  [2965] = {.lex_state = 70},
  [2966] = {.lex_state = 70},
  [2967] = {.lex_state = 70},
  [2968] = {.lex_state = 14},
  [2969] = {.lex_state = 70},
  [2970] = {.lex_state = 6},
  [2971] = {.lex_state = 17},
  [2972] = {.lex_state = 14},
  [2973] = {.lex_state = 17},
  [2974] = {.lex_state = 17},
  [2975] = {.lex_state = 70},
  [2976] = {.lex_state = 14},
  [2977] = {.lex_state = 70},
  [2978] = {.lex_state = 17},
  [2979] = {.lex_state = 6},
  [2980] = {.lex_state = 70},
  [2981] = {.lex_state = 70},
  [2982] = {.lex_state = 70},
  [2983] = {.lex_state = 17},
  [2984] = {.lex_state = 70},
  [2985] = {.lex_state = 14},
  [2986] = {.lex_state = 70},
  [2987] = {.lex_state = 70},
  [2988] = {.lex_state = 70},
  [2989] = {.lex_state = 70},
  [2990] = {.lex_state = 17},
  [2991] = {.lex_state = 70},
  [2992] = {.lex_state = 70},
  [2993] = {.lex_state = 70},
  [2994] = {.lex_state = 70},
  [2995] = {.lex_state = 17},
  [2996] = {.lex_state = 70},
  [2997] = {.lex_state = 70},
  [2998] = {.lex_state = 17},
  [2999] = {.lex_state = 70},
  [3000] = {.lex_state = 70},
  [3001] = {.lex_state = 70},
  [3002] = {.lex_state = 14},
  [3003] = {.lex_state = 70},
  [3004] = {.lex_state = 70},
  [3005] = {.lex_state = 70},
  [3006] = {.lex_state = 14},
  [3007] = {.lex_state = 70},
  [3008] = {.lex_state = 14},
  [3009] = {.lex_state = 14},
  [3010] = {.lex_state = 70},
  [3011] = {.lex_state = 70},
  [3012] = {.lex_state = 70},
  [3013] = {.lex_state = 6},
  [3014] = {.lex_state = 70},
  [3015] = {.lex_state = 70},
  [3016] = {.lex_state = 70},
  [3017] = {.lex_state = 70},
  [3018] = {.lex_state = 70},
  [3019] = {.lex_state = 6},
  [3020] = {.lex_state = 70},
  [3021] = {.lex_state = 6},
  [3022] = {.lex_state = 70},
  [3023] = {.lex_state = 70},
  [3024] = {.lex_state = 70},
  [3025] = {.lex_state = 6},
  [3026] = {.lex_state = 70},
  [3027] = {.lex_state = 70},
  [3028] = {.lex_state = 14},
  [3029] = {.lex_state = 6},
  [3030] = {.lex_state = 70},
  [3031] = {.lex_state = 14},
  [3032] = {.lex_state = 17},
  [3033] = {.lex_state = 14},
  [3034] = {.lex_state = 14},
  [3035] = {.lex_state = 70},
  [3036] = {.lex_state = 14},
  [3037] = {.lex_state = 14},
  [3038] = {.lex_state = 70},
  [3039] = {.lex_state = 14},
  [3040] = {.lex_state = 14},
  [3041] = {.lex_state = 10, .external_lex_state = 5},
  [3042] = {.lex_state = 14},
  [3043] = {.lex_state = 14},
  [3044] = {.lex_state = 70},
  [3045] = {.lex_state = 14},
  [3046] = {.lex_state = 70},
  [3047] = {.lex_state = 70},
  [3048] = {.lex_state = 27},
  [3049] = {.lex_state = 70},
  [3050] = {.lex_state = 14},
  [3051] = {.lex_state = 14},
  [3052] = {.lex_state = 70},
  [3053] = {.lex_state = 70},
  [3054] = {.lex_state = 70},
  [3055] = {.lex_state = 70},
  [3056] = {.lex_state = 70},
  [3057] = {.lex_state = 70},
  [3058] = {.lex_state = 14},
  [3059] = {.lex_state = 27},
  [3060] = {.lex_state = 70},
  [3061] = {.lex_state = 27},
  [3062] = {.lex_state = 14},
  [3063] = {.lex_state = 14},
  [3064] = {.lex_state = 14},
  [3065] = {.lex_state = 70},
  [3066] = {.lex_state = 14},
  [3067] = {.lex_state = 14},
  [3068] = {.lex_state = 14},
  [3069] = {.lex_state = 27},
  [3070] = {.lex_state = 70},
  [3071] = {.lex_state = 70},
  [3072] = {.lex_state = 14},
  [3073] = {.lex_state = 70},
  [3074] = {.lex_state = 70},
  [3075] = {.lex_state = 10},
  [3076] = {.lex_state = 10, .external_lex_state = 5},
  [3077] = {.lex_state = 14},
  [3078] = {.lex_state = 70},
  [3079] = {.lex_state = 14},
  [3080] = {.lex_state = 70},
  [3081] = {.lex_state = 70},
  [3082] = {.lex_state = 14},
  [3083] = {.lex_state = 70},
  [3084] = {.lex_state = 70},
  [3085] = {.lex_state = 70},
  [3086] = {.lex_state = 14},
  [3087] = {.lex_state = 70},
  [3088] = {.lex_state = 70},
  [3089] = {.lex_state = 70},
  [3090] = {.lex_state = 70},
  [3091] = {.lex_state = 70},
  [3092] = {.lex_state = 14},
  [3093] = {.lex_state = 70},
  [3094] = {.lex_state = 70},
  [3095] = {.lex_state = 14},
  [3096] = {.lex_state = 14},
  [3097] = {.lex_state = 70},
  [3098] = {.lex_state = 70},
  [3099] = {.lex_state = 70},
  [3100] = {.lex_state = 70},
  [3101] = {.lex_state = 70},
  [3102] = {.lex_state = 14},
  [3103] = {.lex_state = 70},
  [3104] = {.lex_state = 70},
  [3105] = {.lex_state = 70},
  [3106] = {.lex_state = 70},
  [3107] = {.lex_state = 70},
  [3108] = {.lex_state = 70},
  [3109] = {.lex_state = 14},
  [3110] = {.lex_state = 14},
  [3111] = {.lex_state = 14},
  [3112] = {.lex_state = 14},
  [3113] = {.lex_state = 70},
  [3114] = {.lex_state = 70},
  [3115] = {.lex_state = 70},
  [3116] = {.lex_state = 70},
  [3117] = {.lex_state = 70},
  [3118] = {.lex_state = 14},
  [3119] = {.lex_state = 70},
  [3120] = {.lex_state = 70},
  [3121] = {.lex_state = 70},
  [3122] = {.lex_state = 70},
  [3123] = {.lex_state = 70},
  [3124] = {.lex_state = 14},
  [3125] = {.lex_state = 14},
  [3126] = {.lex_state = 14},
  [3127] = {.lex_state = 70},
  [3128] = {.lex_state = 70},
  [3129] = {.lex_state = 70},
  [3130] = {.lex_state = 14},
  [3131] = {.lex_state = 70, .external_lex_state = 6},
  [3132] = {.lex_state = 14},
  [3133] = {.lex_state = 14},
  [3134] = {.lex_state = 14},
  [3135] = {.lex_state = 14},
  [3136] = {.lex_state = 70},
  [3137] = {.lex_state = 70},
  [3138] = {.lex_state = 70},
  [3139] = {.lex_state = 14},
  [3140] = {.lex_state = 14},
  [3141] = {.lex_state = 70},
  [3142] = {.lex_state = 14},
  [3143] = {.lex_state = 14},
  [3144] = {.lex_state = 70},
  [3145] = {.lex_state = 14},
  [3146] = {.lex_state = 14},
  [3147] = {.lex_state = 14},
  [3148] = {.lex_state = 70},
  [3149] = {.lex_state = 70},
  [3150] = {.lex_state = 70},
  [3151] = {.lex_state = 70},
  [3152] = {.lex_state = 6},
  [3153] = {.lex_state = 70},
  [3154] = {.lex_state = 70},
  [3155] = {.lex_state = 70},
  [3156] = {.lex_state = 70},
  [3157] = {.lex_state = 14},
  [3158] = {.lex_state = 14},
  [3159] = {.lex_state = 70},
  [3160] = {.lex_state = 14},
  [3161] = {.lex_state = 14},
  [3162] = {.lex_state = 70},
  [3163] = {.lex_state = 70},
  [3164] = {.lex_state = 14},
  [3165] = {.lex_state = 14},
  [3166] = {.lex_state = 27},
  [3167] = {.lex_state = 14},
  [3168] = {.lex_state = 14},
  [3169] = {.lex_state = 70},
  [3170] = {.lex_state = 14},
  [3171] = {.lex_state = 70},
  [3172] = {.lex_state = 14},
  [3173] = {.lex_state = 14},
  [3174] = {.lex_state = 14},
  [3175] = {.lex_state = 14},
  [3176] = {.lex_state = 14},
  [3177] = {.lex_state = 14},
  [3178] = {.lex_state = 14},
  [3179] = {.lex_state = 5},
  [3180] = {.lex_state = 14},
  [3181] = {.lex_state = 5},
  [3182] = {.lex_state = 14},
  [3183] = {.lex_state = 14},
  [3184] = {.lex_state = 70},
  [3185] = {.lex_state = 14},
  [3186] = {.lex_state = 14},
  [3187] = {.lex_state = 14},
  [3188] = {.lex_state = 14},
  [3189] = {.lex_state = 70},
  [3190] = {.lex_state = 70},
  [3191] = {.lex_state = 14},
  [3192] = {.lex_state = 70},
  [3193] = {.lex_state = 70},
  [3194] = {.lex_state = 18},
  [3195] = {.lex_state = 70},
  [3196] = {.lex_state = 70},
  [3197] = {.lex_state = 70},
  [3198] = {.lex_state = 70},
  [3199] = {.lex_state = 14},
  [3200] = {.lex_state = 14},
  [3201] = {.lex_state = 70},
  [3202] = {.lex_state = 70},
  [3203] = {.lex_state = 70},
  [3204] = {.lex_state = 14},
  [3205] = {.lex_state = 14},
  [3206] = {.lex_state = 14},
  [3207] = {.lex_state = 70},
  [3208] = {.lex_state = 70},
  [3209] = {.lex_state = 70},
  [3210] = {.lex_state = 70},
  [3211] = {.lex_state = 70},
  [3212] = {.lex_state = 70},
  [3213] = {.lex_state = 6},
  [3214] = {.lex_state = 70},
  [3215] = {.lex_state = 70},
  [3216] = {.lex_state = 70},
  [3217] = {.lex_state = 70},
  [3218] = {.lex_state = 70},
  [3219] = {.lex_state = 70},
  [3220] = {.lex_state = 70},
  [3221] = {.lex_state = 70},
  [3222] = {.lex_state = 70},
  [3223] = {.lex_state = 70},
  [3224] = {.lex_state = 70},
  [3225] = {.lex_state = 70},
  [3226] = {.lex_state = 70},
  [3227] = {.lex_state = 14},
  [3228] = {.lex_state = 70},
  [3229] = {.lex_state = 70},
  [3230] = {.lex_state = 70},
  [3231] = {.lex_state = 70},
  [3232] = {.lex_state = 70},
  [3233] = {.lex_state = 70},
  [3234] = {.lex_state = 70},
  [3235] = {.lex_state = 14},
  [3236] = {.lex_state = 14},
  [3237] = {.lex_state = 70},
  [3238] = {.lex_state = 14},
  [3239] = {.lex_state = 14},
  [3240] = {.lex_state = 70},
  [3241] = {.lex_state = 70},
  [3242] = {.lex_state = 70},
  [3243] = {.lex_state = 70},
  [3244] = {.lex_state = 70},
  [3245] = {.lex_state = 70},
  [3246] = {.lex_state = 14},
  [3247] = {.lex_state = 14},
  [3248] = {.lex_state = 70},
  [3249] = {.lex_state = 14},
  [3250] = {.lex_state = 70},
  [3251] = {.lex_state = 70},
  [3252] = {.lex_state = 70},
  [3253] = {.lex_state = 70},
  [3254] = {.lex_state = 14},
  [3255] = {.lex_state = 70},
  [3256] = {.lex_state = 70},
  [3257] = {.lex_state = 70},
  [3258] = {.lex_state = 70},
  [3259] = {.lex_state = 70},
  [3260] = {.lex_state = 14},
  [3261] = {.lex_state = 14},
  [3262] = {.lex_state = 70},
  [3263] = {.lex_state = 70, .external_lex_state = 6},
  [3264] = {.lex_state = 70},
  [3265] = {.lex_state = 10, .external_lex_state = 5},
  [3266] = {.lex_state = 70},
  [3267] = {.lex_state = 14},
  [3268] = {.lex_state = 27},
  [3269] = {.lex_state = 70},
  [3270] = {.lex_state = 14},
  [3271] = {.lex_state = 70},
  [3272] = {.lex_state = 70},
  [3273] = {.lex_state = 70},
  [3274] = {.lex_state = 70},
  [3275] = {.lex_state = 70},
  [3276] = {.lex_state = 70},
  [3277] = {.lex_state = 70},
  [3278] = {.lex_state = 70},
  [3279] = {.lex_state = 70},
  [3280] = {.lex_state = 70},
  [3281] = {.lex_state = 14},
  [3282] = {.lex_state = 70},
  [3283] = {.lex_state = 14},
  [3284] = {.lex_state = 70},
  [3285] = {.lex_state = 14},
  [3286] = {.lex_state = 70},
  [3287] = {.lex_state = 14},
  [3288] = {.lex_state = 70},
  [3289] = {.lex_state = 14},
  [3290] = {.lex_state = 70},
  [3291] = {.lex_state = 14},
  [3292] = {.lex_state = 14},
  [3293] = {.lex_state = 70},
  [3294] = {.lex_state = 14},
  [3295] = {.lex_state = 70},
  [3296] = {.lex_state = 14},
  [3297] = {.lex_state = 14},
  [3298] = {.lex_state = 70},
  [3299] = {.lex_state = 14},
  [3300] = {.lex_state = 14},
  [3301] = {.lex_state = 14},
  [3302] = {.lex_state = 14},
  [3303] = {.lex_state = 70},
  [3304] = {.lex_state = 14},
  [3305] = {.lex_state = 70},
  [3306] = {.lex_state = 14},
  [3307] = {.lex_state = 10},
  [3308] = {.lex_state = 14},
  [3309] = {.lex_state = 70},
  [3310] = {.lex_state = 14},
  [3311] = {.lex_state = 14},
  [3312] = {.lex_state = 70},
  [3313] = {.lex_state = 71},
  [3314] = {.lex_state = 14},
  [3315] = {.lex_state = 14},
  [3316] = {.lex_state = 14},
  [3317] = {.lex_state = 14},
  [3318] = {.lex_state = 18},
  [3319] = {.lex_state = 70, .external_lex_state = 7},
  [3320] = {.lex_state = 70},
  [3321] = {.lex_state = 70},
  [3322] = {.lex_state = 70},
  [3323] = {.lex_state = 70},
  [3324] = {.lex_state = 70},
  [3325] = {.lex_state = 71},
  [3326] = {.lex_state = 70},
  [3327] = {.lex_state = 70},
  [3328] = {.lex_state = 70},
  [3329] = {.lex_state = 70},
  [3330] = {.lex_state = 14},
  [3331] = {.lex_state = 18},
  [3332] = {.lex_state = 70},
  [3333] = {.lex_state = 70, .external_lex_state = 7},
  [3334] = {.lex_state = 70},
  [3335] = {.lex_state = 14},
  [3336] = {.lex_state = 70},
  [3337] = {.lex_state = 71},
  [3338] = {.lex_state = 14},
  [3339] = {.lex_state = 70},
  [3340] = {.lex_state = 70},
  [3341] = {.lex_state = 70, .external_lex_state = 7},
  [3342] = {.lex_state = 14},
  [3343] = {.lex_state = 70},
  [3344] = {.lex_state = 14},
  [3345] = {.lex_state = 71},
  [3346] = {.lex_state = 70},
  [3347] = {.lex_state = 70},
  [3348] = {.lex_state = 70},
  [3349] = {.lex_state = 14},
  [3350] = {.lex_state = 70},
  [3351] = {.lex_state = 14},
  [3352] = {.lex_state = 14},
  [3353] = {.lex_state = 14},
  [3354] = {.lex_state = 14},
  [3355] = {.lex_state = 14},
  [3356] = {.lex_state = 14},
  [3357] = {.lex_state = 70},
  [3358] = {.lex_state = 70},
  [3359] = {.lex_state = 70},
  [3360] = {.lex_state = 14},
  [3361] = {.lex_state = 70},
  [3362] = {.lex_state = 70},
  [3363] = {.lex_state = 70},
  [3364] = {.lex_state = 70},
  [3365] = {.lex_state = 70},
  [3366] = {.lex_state = 18},
  [3367] = {.lex_state = 14},
  [3368] = {.lex_state = 70},
  [3369] = {.lex_state = 70},
  [3370] = {.lex_state = 14},
  [3371] = {.lex_state = 70},
  [3372] = {.lex_state = 70},
  [3373] = {.lex_state = 70},
  [3374] = {.lex_state = 70},
  [3375] = {.lex_state = 70},
  [3376] = {.lex_state = 70, .external_lex_state = 8},
  [3377] = {.lex_state = 70},
  [3378] = {.lex_state = 70},
  [3379] = {.lex_state = 70},
  [3380] = {.lex_state = 70, .external_lex_state = 9},
  [3381] = {.lex_state = 70},
  [3382] = {.lex_state = 70},
  [3383] = {.lex_state = 70},
  [3384] = {.lex_state = 70},
  [3385] = {.lex_state = 70},
  [3386] = {.lex_state = 18},
  [3387] = {.lex_state = 14},
  [3388] = {.lex_state = 70},
  [3389] = {.lex_state = 14},
  [3390] = {.lex_state = 14},
  [3391] = {.lex_state = 70},
  [3392] = {.lex_state = 70},
  [3393] = {.lex_state = 70},
  [3394] = {.lex_state = 70},
  [3395] = {.lex_state = 14},
  [3396] = {.lex_state = 10},
  [3397] = {.lex_state = 70},
  [3398] = {.lex_state = 70},
  [3399] = {.lex_state = 14},
  [3400] = {.lex_state = 70},
  [3401] = {.lex_state = 70},
  [3402] = {.lex_state = 165},
  [3403] = {.lex_state = 70},
  [3404] = {.lex_state = 70},
  [3405] = {.lex_state = 70},
  [3406] = {.lex_state = 70},
  [3407] = {.lex_state = 14},
  [3408] = {.lex_state = 70},
  [3409] = {.lex_state = 14},
  [3410] = {.lex_state = 71},
  [3411] = {.lex_state = 70},
  [3412] = {.lex_state = 18},
  [3413] = {.lex_state = 70},
  [3414] = {.lex_state = 70},
  [3415] = {.lex_state = 70},
  [3416] = {.lex_state = 70},
  [3417] = {.lex_state = 70},
  [3418] = {.lex_state = 70},
  [3419] = {.lex_state = 10},
  [3420] = {.lex_state = 14},
  [3421] = {.lex_state = 70},
  [3422] = {.lex_state = 70},
  [3423] = {.lex_state = 71},
  [3424] = {.lex_state = 70},
  [3425] = {.lex_state = 70},
  [3426] = {.lex_state = 70},
  [3427] = {.lex_state = 14},
  [3428] = {.lex_state = 70},
  [3429] = {.lex_state = 70, .external_lex_state = 9},
  [3430] = {.lex_state = 70},
  [3431] = {.lex_state = 70},
  [3432] = {.lex_state = 70},
  [3433] = {.lex_state = 70},
  [3434] = {.lex_state = 14},
  [3435] = {.lex_state = 18},
  [3436] = {.lex_state = 14},
  [3437] = {.lex_state = 70},
  [3438] = {.lex_state = 70},
  [3439] = {.lex_state = 70},
  [3440] = {.lex_state = 70},
  [3441] = {.lex_state = 70},
  [3442] = {.lex_state = 70},
  [3443] = {.lex_state = 70},
  [3444] = {.lex_state = 14},
  [3445] = {.lex_state = 14},
  [3446] = {.lex_state = 70},
  [3447] = {.lex_state = 70},
  [3448] = {.lex_state = 14},
  [3449] = {.lex_state = 14},
  [3450] = {.lex_state = 70},
  [3451] = {.lex_state = 70, .external_lex_state = 9},
  [3452] = {.lex_state = 14},
  [3453] = {.lex_state = 14},
  [3454] = {.lex_state = 70},
  [3455] = {.lex_state = 70},
  [3456] = {.lex_state = 70},
  [3457] = {.lex_state = 70},
  [3458] = {.lex_state = 14},
  [3459] = {.lex_state = 14},
  [3460] = {.lex_state = 14},
  [3461] = {.lex_state = 70, .external_lex_state = 8},
  [3462] = {.lex_state = 70},
  [3463] = {.lex_state = 70},
  [3464] = {.lex_state = 70},
  [3465] = {.lex_state = 70},
  [3466] = {.lex_state = 70},
  [3467] = {.lex_state = 70},
  [3468] = {.lex_state = 70},
  [3469] = {.lex_state = 70},
  [3470] = {.lex_state = 14},
  [3471] = {.lex_state = 70},
  [3472] = {.lex_state = 70},
  [3473] = {.lex_state = 14},
  [3474] = {.lex_state = 70},
  [3475] = {.lex_state = 70},
  [3476] = {.lex_state = 70},
  [3477] = {.lex_state = 70},
  [3478] = {.lex_state = 70},
  [3479] = {.lex_state = 70},
  [3480] = {.lex_state = 18},
  [3481] = {.lex_state = 70},
  [3482] = {.lex_state = 70},
  [3483] = {.lex_state = 70},
  [3484] = {.lex_state = 14},
  [3485] = {.lex_state = 18},
  [3486] = {.lex_state = 70},
  [3487] = {.lex_state = 70},
  [3488] = {.lex_state = 70},
  [3489] = {.lex_state = 70, .external_lex_state = 7},
  [3490] = {.lex_state = 70},
  [3491] = {.lex_state = 70},
  [3492] = {.lex_state = 70},
  [3493] = {.lex_state = 14},
  [3494] = {.lex_state = 70, .external_lex_state = 8},
  [3495] = {.lex_state = 70},
  [3496] = {.lex_state = 70},
  [3497] = {.lex_state = 14},
  [3498] = {.lex_state = 70},
  [3499] = {.lex_state = 70},
  [3500] = {.lex_state = 70},
  [3501] = {.lex_state = 70},
  [3502] = {.lex_state = 70, .external_lex_state = 7},
  [3503] = {.lex_state = 70},
  [3504] = {.lex_state = 70},
  [3505] = {.lex_state = 70},
  [3506] = {.lex_state = 70},
  [3507] = {.lex_state = 70},
  [3508] = {.lex_state = 70},
  [3509] = {.lex_state = 14},
  [3510] = {.lex_state = 18},
  [3511] = {.lex_state = 70},
  [3512] = {.lex_state = 70},
  [3513] = {.lex_state = 70, .external_lex_state = 8},
  [3514] = {.lex_state = 70},
  [3515] = {.lex_state = 70},
  [3516] = {.lex_state = 70},
  [3517] = {.lex_state = 70},
  [3518] = {.lex_state = 70},
  [3519] = {.lex_state = 70, .external_lex_state = 8},
  [3520] = {.lex_state = 70},
  [3521] = {.lex_state = 70},
  [3522] = {.lex_state = 70},
  [3523] = {.lex_state = 70},
  [3524] = {.lex_state = 70},
  [3525] = {.lex_state = 70},
  [3526] = {.lex_state = 70},
  [3527] = {.lex_state = 70},
  [3528] = {.lex_state = 70},
  [3529] = {.lex_state = 70},
  [3530] = {.lex_state = 70},
  [3531] = {.lex_state = 14},
  [3532] = {.lex_state = 70},
  [3533] = {.lex_state = 70},
  [3534] = {.lex_state = 14},
  [3535] = {.lex_state = 18},
  [3536] = {.lex_state = 70},
  [3537] = {.lex_state = 14},
  [3538] = {.lex_state = 70},
  [3539] = {.lex_state = 18},
  [3540] = {.lex_state = 18},
  [3541] = {.lex_state = 70},
  [3542] = {.lex_state = 70},
  [3543] = {.lex_state = 70},
  [3544] = {.lex_state = 18},
  [3545] = {.lex_state = 18},
  [3546] = {.lex_state = 70},
  [3547] = {.lex_state = 14},
  [3548] = {.lex_state = 70},
  [3549] = {.lex_state = 14},
  [3550] = {.lex_state = 70, .external_lex_state = 9},
  [3551] = {.lex_state = 14},
  [3552] = {.lex_state = 70},
  [3553] = {.lex_state = 70, .external_lex_state = 9},
  [3554] = {.lex_state = 18},
  [3555] = {.lex_state = 18},
  [3556] = {.lex_state = 70},
  [3557] = {.lex_state = 14},
  [3558] = {.lex_state = 14},
  [3559] = {.lex_state = 18},
  [3560] = {.lex_state = 14},
  [3561] = {.lex_state = 70, .external_lex_state = 9},
  [3562] = {.lex_state = 14},
  [3563] = {.lex_state = 70},
  [3564] = {.lex_state = 14},
  [3565] = {.lex_state = 18},
  [3566] = {.lex_state = 14},
  [3567] = {.lex_state = 70},
  [3568] = {.lex_state = 70},
  [3569] = {.lex_state = 14},
  [3570] = {.lex_state = 70},
  [3571] = {.lex_state = 70},
  [3572] = {.lex_state = 70},
  [3573] = {.lex_state = 70},
  [3574] = {.lex_state = 70},
  [3575] = {.lex_state = 70},
  [3576] = {.lex_state = 70},
  [3577] = {.lex_state = 18},
  [3578] = {.lex_state = 70},
  [3579] = {.lex_state = 18},
  [3580] = {.lex_state = 70},
  [3581] = {.lex_state = 70},
  [3582] = {.lex_state = 18},
  [3583] = {.lex_state = 70},
  [3584] = {.lex_state = 70},
  [3585] = {.lex_state = 18},
  [3586] = {.lex_state = 18},
  [3587] = {.lex_state = 14},
  [3588] = {.lex_state = 18},
  [3589] = {.lex_state = 18},
  [3590] = {.lex_state = 18},
  [3591] = {.lex_state = 18},
  [3592] = {.lex_state = 18},
  [3593] = {.lex_state = 14},
  [3594] = {.lex_state = 71},
  [3595] = {.lex_state = 14},
  [3596] = {.lex_state = 14},
  [3597] = {.lex_state = 70},
  [3598] = {.lex_state = 70},
  [3599] = {.lex_state = 14},
  [3600] = {.lex_state = 14},
  [3601] = {.lex_state = 70, .external_lex_state = 8},
  [3602] = {.lex_state = 14},
  [3603] = {.lex_state = 14},
  [3604] = {.lex_state = 14},
  [3605] = {.lex_state = 71},
  [3606] = {.lex_state = 70},
  [3607] = {.lex_state = 14},
  [3608] = {.lex_state = 70},
  [3609] = {.lex_state = 70},
  [3610] = {.lex_state = 70},
  [3611] = {.lex_state = 14},
  [3612] = {.lex_state = 70},
  [3613] = {(TSStateId)(-1)},
  [3614] = {(TSStateId)(-1)},
  [3615] = {(TSStateId)(-1)},
  [3616] = {(TSStateId)(-1)},
  [3617] = {(TSStateId)(-1)},
  [3618] = {(TSStateId)(-1)},
  [3619] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_line_comment] = STATE(0),
    [sym_block_comment] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_macro_rules_BANG] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_block] = ACTIONS(1),
    [anon_sym_expr] = ACTIONS(1),
    [anon_sym_ident] = ACTIONS(1),
    [anon_sym_item] = ACTIONS(1),
    [anon_sym_lifetime] = ACTIONS(1),
    [anon_sym_literal] = ACTIONS(1),
    [anon_sym_meta] = ACTIONS(1),
    [anon_sym_pat] = ACTIONS(1),
    [anon_sym_path] = ACTIONS(1),
    [anon_sym_stmt] = ACTIONS(1),
    [anon_sym_tt] = ACTIONS(1),
    [anon_sym_ty] = ACTIONS(1),
    [anon_sym_vis] = ACTIONS(1),
    [anon_sym_u8] = ACTIONS(1),
    [anon_sym_i8] = ACTIONS(1),
    [anon_sym_u16] = ACTIONS(1),
    [anon_sym_i16] = ACTIONS(1),
    [anon_sym_u32] = ACTIONS(1),
    [anon_sym_i32] = ACTIONS(1),
    [anon_sym_u64] = ACTIONS(1),
    [anon_sym_i64] = ACTIONS(1),
    [anon_sym_u128] = ACTIONS(1),
    [anon_sym_i128] = ACTIONS(1),
    [anon_sym_isize] = ACTIONS(1),
    [anon_sym_usize] = ACTIONS(1),
    [anon_sym_f32] = ACTIONS(1),
    [anon_sym_f64] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_str] = ACTIONS(1),
    [anon_sym_char] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_fn] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_impl] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_loop] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_mod] = ACTIONS(1),
    [anon_sym_pub] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_trait] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_unsafe] = ACTIONS(1),
    [anon_sym_use] = ACTIONS(1),
    [anon_sym_where] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym_ref] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_LT2] = ACTIONS(1),
    [anon_sym_dyn] = ACTIONS(1),
    [sym_mutable_specifier] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_move] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [sym_integer_literal] = ACTIONS(1),
    [aux_sym_string_literal_token1] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_char_literal] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(3),
    [anon_sym_BANG2] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [anon_sym_SLASH_STAR] = ACTIONS(5),
    [sym_shebang] = ACTIONS(1),
    [sym_self] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_crate] = ACTIONS(1),
    [sym_metavariable] = ACTIONS(1),
    [sym_string_content] = ACTIONS(1),
    [sym__raw_string_literal_start] = ACTIONS(1),
    [sym_raw_string_literal_content] = ACTIONS(1),
    [sym__raw_string_literal_end] = ACTIONS(1),
    [sym_float_literal] = ACTIONS(1),
    [sym__outer_block_doc_comment_marker] = ACTIONS(1),
    [sym__inner_block_doc_comment_marker] = ACTIONS(1),
    [sym__block_comment_content] = ACTIONS(1),
    [sym__line_doc_content] = ACTIONS(1),
    [sym__error_sentinel] = ACTIONS(1),
  },
  [1] = {
    [sym_source_file] = STATE(3512),
    [sym__statement] = STATE(651),
    [sym_empty_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_macro_definition] = STATE(652),
    [sym_attribute_item] = STATE(652),
    [sym_inner_attribute_item] = STATE(652),
    [sym_mod_item] = STATE(652),
    [sym_foreign_mod_item] = STATE(652),
    [sym_struct_item] = STATE(652),
    [sym_union_item] = STATE(652),
    [sym_enum_item] = STATE(652),
    [sym_extern_crate_declaration] = STATE(652),
    [sym_const_item] = STATE(652),
    [sym_static_item] = STATE(652),
    [sym_type_item] = STATE(652),
    [sym_function_item] = STATE(652),
    [sym_function_signature_item] = STATE(652),
    [sym_function_modifiers] = STATE(3452),
    [sym_impl_item] = STATE(652),
    [sym_trait_item] = STATE(652),
    [sym_associated_type] = STATE(652),
    [sym_let_declaration] = STATE(652),
    [sym_use_declaration] = STATE(652),
    [sym_extern_modifier] = STATE(2160),
    [sym_visibility_modifier] = STATE(1932),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1845),
    [sym_macro_invocation] = STATE(395),
    [sym_scoped_identifier] = STATE(1534),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(391),
    [sym_match_expression] = STATE(391),
    [sym_while_expression] = STATE(391),
    [sym_loop_expression] = STATE(391),
    [sym_for_expression] = STATE(391),
    [sym_const_block] = STATE(391),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3544),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(391),
    [sym_async_block] = STATE(391),
    [sym_try_block] = STATE(391),
    [sym_block] = STATE(391),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(1),
    [sym_block_comment] = STATE(1),
    [aux_sym_source_file_repeat1] = STATE(34),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_macro_rules_BANG] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(35),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_impl] = ACTIONS(57),
    [anon_sym_let] = ACTIONS(59),
    [anon_sym_loop] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_mod] = ACTIONS(65),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_trait] = ACTIONS(75),
    [anon_sym_type] = ACTIONS(77),
    [anon_sym_union] = ACTIONS(79),
    [anon_sym_unsafe] = ACTIONS(81),
    [anon_sym_use] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_extern] = ACTIONS(87),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_shebang] = ACTIONS(105),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(111),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [2] = {
    [sym__statement] = STATE(651),
    [sym_empty_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_macro_definition] = STATE(652),
    [sym_attribute_item] = STATE(652),
    [sym_inner_attribute_item] = STATE(652),
    [sym_mod_item] = STATE(652),
    [sym_foreign_mod_item] = STATE(652),
    [sym_struct_item] = STATE(652),
    [sym_union_item] = STATE(652),
    [sym_enum_item] = STATE(652),
    [sym_extern_crate_declaration] = STATE(652),
    [sym_const_item] = STATE(652),
    [sym_static_item] = STATE(652),
    [sym_type_item] = STATE(652),
    [sym_function_item] = STATE(652),
    [sym_function_signature_item] = STATE(652),
    [sym_function_modifiers] = STATE(3452),
    [sym_impl_item] = STATE(652),
    [sym_trait_item] = STATE(652),
    [sym_associated_type] = STATE(652),
    [sym_let_declaration] = STATE(652),
    [sym_use_declaration] = STATE(652),
    [sym_extern_modifier] = STATE(2160),
    [sym_visibility_modifier] = STATE(1932),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1838),
    [sym_macro_invocation] = STATE(395),
    [sym_scoped_identifier] = STATE(1534),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(391),
    [sym_match_expression] = STATE(391),
    [sym_while_expression] = STATE(391),
    [sym_loop_expression] = STATE(391),
    [sym_for_expression] = STATE(391),
    [sym_const_block] = STATE(391),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3544),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(391),
    [sym_async_block] = STATE(391),
    [sym_try_block] = STATE(391),
    [sym_block] = STATE(391),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(2),
    [sym_block_comment] = STATE(2),
    [aux_sym_source_file_repeat1] = STATE(13),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_macro_rules_BANG] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(117),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_impl] = ACTIONS(57),
    [anon_sym_let] = ACTIONS(59),
    [anon_sym_loop] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_mod] = ACTIONS(65),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_trait] = ACTIONS(75),
    [anon_sym_type] = ACTIONS(77),
    [anon_sym_union] = ACTIONS(79),
    [anon_sym_unsafe] = ACTIONS(81),
    [anon_sym_use] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_extern] = ACTIONS(87),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(111),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [3] = {
    [sym__statement] = STATE(651),
    [sym_empty_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_macro_definition] = STATE(652),
    [sym_attribute_item] = STATE(652),
    [sym_inner_attribute_item] = STATE(652),
    [sym_mod_item] = STATE(652),
    [sym_foreign_mod_item] = STATE(652),
    [sym_struct_item] = STATE(652),
    [sym_union_item] = STATE(652),
    [sym_enum_item] = STATE(652),
    [sym_extern_crate_declaration] = STATE(652),
    [sym_const_item] = STATE(652),
    [sym_static_item] = STATE(652),
    [sym_type_item] = STATE(652),
    [sym_function_item] = STATE(652),
    [sym_function_signature_item] = STATE(652),
    [sym_function_modifiers] = STATE(3452),
    [sym_impl_item] = STATE(652),
    [sym_trait_item] = STATE(652),
    [sym_associated_type] = STATE(652),
    [sym_let_declaration] = STATE(652),
    [sym_use_declaration] = STATE(652),
    [sym_extern_modifier] = STATE(2160),
    [sym_visibility_modifier] = STATE(1932),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1837),
    [sym_macro_invocation] = STATE(395),
    [sym_scoped_identifier] = STATE(1534),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(391),
    [sym_match_expression] = STATE(391),
    [sym_while_expression] = STATE(391),
    [sym_loop_expression] = STATE(391),
    [sym_for_expression] = STATE(391),
    [sym_const_block] = STATE(391),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3544),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(391),
    [sym_async_block] = STATE(391),
    [sym_try_block] = STATE(391),
    [sym_block] = STATE(391),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(3),
    [sym_block_comment] = STATE(3),
    [aux_sym_source_file_repeat1] = STATE(2),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_macro_rules_BANG] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(121),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_impl] = ACTIONS(57),
    [anon_sym_let] = ACTIONS(59),
    [anon_sym_loop] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_mod] = ACTIONS(65),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_trait] = ACTIONS(75),
    [anon_sym_type] = ACTIONS(77),
    [anon_sym_union] = ACTIONS(79),
    [anon_sym_unsafe] = ACTIONS(81),
    [anon_sym_use] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_extern] = ACTIONS(87),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(111),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [4] = {
    [sym__statement] = STATE(651),
    [sym_empty_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_macro_definition] = STATE(652),
    [sym_attribute_item] = STATE(652),
    [sym_inner_attribute_item] = STATE(652),
    [sym_mod_item] = STATE(652),
    [sym_foreign_mod_item] = STATE(652),
    [sym_struct_item] = STATE(652),
    [sym_union_item] = STATE(652),
    [sym_enum_item] = STATE(652),
    [sym_extern_crate_declaration] = STATE(652),
    [sym_const_item] = STATE(652),
    [sym_static_item] = STATE(652),
    [sym_type_item] = STATE(652),
    [sym_function_item] = STATE(652),
    [sym_function_signature_item] = STATE(652),
    [sym_function_modifiers] = STATE(3452),
    [sym_impl_item] = STATE(652),
    [sym_trait_item] = STATE(652),
    [sym_associated_type] = STATE(652),
    [sym_let_declaration] = STATE(652),
    [sym_use_declaration] = STATE(652),
    [sym_extern_modifier] = STATE(2160),
    [sym_visibility_modifier] = STATE(1932),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1845),
    [sym_macro_invocation] = STATE(395),
    [sym_scoped_identifier] = STATE(1534),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(391),
    [sym_match_expression] = STATE(391),
    [sym_while_expression] = STATE(391),
    [sym_loop_expression] = STATE(391),
    [sym_for_expression] = STATE(391),
    [sym_const_block] = STATE(391),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3544),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(391),
    [sym_async_block] = STATE(391),
    [sym_try_block] = STATE(391),
    [sym_block] = STATE(391),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(4),
    [sym_block_comment] = STATE(4),
    [aux_sym_source_file_repeat1] = STATE(7),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [ts_builtin_sym_end] = ACTIONS(123),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_macro_rules_BANG] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_impl] = ACTIONS(57),
    [anon_sym_let] = ACTIONS(59),
    [anon_sym_loop] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_mod] = ACTIONS(65),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_trait] = ACTIONS(75),
    [anon_sym_type] = ACTIONS(77),
    [anon_sym_union] = ACTIONS(79),
    [anon_sym_unsafe] = ACTIONS(81),
    [anon_sym_use] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_extern] = ACTIONS(87),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(111),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [5] = {
    [sym__statement] = STATE(651),
    [sym_empty_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_macro_definition] = STATE(652),
    [sym_attribute_item] = STATE(652),
    [sym_inner_attribute_item] = STATE(652),
    [sym_mod_item] = STATE(652),
    [sym_foreign_mod_item] = STATE(652),
    [sym_struct_item] = STATE(652),
    [sym_union_item] = STATE(652),
    [sym_enum_item] = STATE(652),
    [sym_extern_crate_declaration] = STATE(652),
    [sym_const_item] = STATE(652),
    [sym_static_item] = STATE(652),
    [sym_type_item] = STATE(652),
    [sym_function_item] = STATE(652),
    [sym_function_signature_item] = STATE(652),
    [sym_function_modifiers] = STATE(3452),
    [sym_impl_item] = STATE(652),
    [sym_trait_item] = STATE(652),
    [sym_associated_type] = STATE(652),
    [sym_let_declaration] = STATE(652),
    [sym_use_declaration] = STATE(652),
    [sym_extern_modifier] = STATE(2160),
    [sym_visibility_modifier] = STATE(1932),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1748),
    [sym_macro_invocation] = STATE(395),
    [sym_scoped_identifier] = STATE(1534),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(391),
    [sym_match_expression] = STATE(391),
    [sym_while_expression] = STATE(391),
    [sym_loop_expression] = STATE(391),
    [sym_for_expression] = STATE(391),
    [sym_const_block] = STATE(391),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3544),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(391),
    [sym_async_block] = STATE(391),
    [sym_try_block] = STATE(391),
    [sym_block] = STATE(391),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(5),
    [sym_block_comment] = STATE(5),
    [aux_sym_source_file_repeat1] = STATE(6),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_macro_rules_BANG] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(125),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_impl] = ACTIONS(57),
    [anon_sym_let] = ACTIONS(59),
    [anon_sym_loop] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_mod] = ACTIONS(65),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_trait] = ACTIONS(75),
    [anon_sym_type] = ACTIONS(77),
    [anon_sym_union] = ACTIONS(79),
    [anon_sym_unsafe] = ACTIONS(81),
    [anon_sym_use] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_extern] = ACTIONS(87),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(111),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [6] = {
    [sym__statement] = STATE(651),
    [sym_empty_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_macro_definition] = STATE(652),
    [sym_attribute_item] = STATE(652),
    [sym_inner_attribute_item] = STATE(652),
    [sym_mod_item] = STATE(652),
    [sym_foreign_mod_item] = STATE(652),
    [sym_struct_item] = STATE(652),
    [sym_union_item] = STATE(652),
    [sym_enum_item] = STATE(652),
    [sym_extern_crate_declaration] = STATE(652),
    [sym_const_item] = STATE(652),
    [sym_static_item] = STATE(652),
    [sym_type_item] = STATE(652),
    [sym_function_item] = STATE(652),
    [sym_function_signature_item] = STATE(652),
    [sym_function_modifiers] = STATE(3452),
    [sym_impl_item] = STATE(652),
    [sym_trait_item] = STATE(652),
    [sym_associated_type] = STATE(652),
    [sym_let_declaration] = STATE(652),
    [sym_use_declaration] = STATE(652),
    [sym_extern_modifier] = STATE(2160),
    [sym_visibility_modifier] = STATE(1932),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1660),
    [sym_macro_invocation] = STATE(395),
    [sym_scoped_identifier] = STATE(1534),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(391),
    [sym_match_expression] = STATE(391),
    [sym_while_expression] = STATE(391),
    [sym_loop_expression] = STATE(391),
    [sym_for_expression] = STATE(391),
    [sym_const_block] = STATE(391),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3544),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(391),
    [sym_async_block] = STATE(391),
    [sym_try_block] = STATE(391),
    [sym_block] = STATE(391),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(6),
    [sym_block_comment] = STATE(6),
    [aux_sym_source_file_repeat1] = STATE(13),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_macro_rules_BANG] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(127),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_impl] = ACTIONS(57),
    [anon_sym_let] = ACTIONS(59),
    [anon_sym_loop] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_mod] = ACTIONS(65),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_trait] = ACTIONS(75),
    [anon_sym_type] = ACTIONS(77),
    [anon_sym_union] = ACTIONS(79),
    [anon_sym_unsafe] = ACTIONS(81),
    [anon_sym_use] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_extern] = ACTIONS(87),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(111),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [7] = {
    [sym__statement] = STATE(651),
    [sym_empty_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_macro_definition] = STATE(652),
    [sym_attribute_item] = STATE(652),
    [sym_inner_attribute_item] = STATE(652),
    [sym_mod_item] = STATE(652),
    [sym_foreign_mod_item] = STATE(652),
    [sym_struct_item] = STATE(652),
    [sym_union_item] = STATE(652),
    [sym_enum_item] = STATE(652),
    [sym_extern_crate_declaration] = STATE(652),
    [sym_const_item] = STATE(652),
    [sym_static_item] = STATE(652),
    [sym_type_item] = STATE(652),
    [sym_function_item] = STATE(652),
    [sym_function_signature_item] = STATE(652),
    [sym_function_modifiers] = STATE(3452),
    [sym_impl_item] = STATE(652),
    [sym_trait_item] = STATE(652),
    [sym_associated_type] = STATE(652),
    [sym_let_declaration] = STATE(652),
    [sym_use_declaration] = STATE(652),
    [sym_extern_modifier] = STATE(2160),
    [sym_visibility_modifier] = STATE(1932),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1845),
    [sym_macro_invocation] = STATE(395),
    [sym_scoped_identifier] = STATE(1534),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(391),
    [sym_match_expression] = STATE(391),
    [sym_while_expression] = STATE(391),
    [sym_loop_expression] = STATE(391),
    [sym_for_expression] = STATE(391),
    [sym_const_block] = STATE(391),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3544),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(391),
    [sym_async_block] = STATE(391),
    [sym_try_block] = STATE(391),
    [sym_block] = STATE(391),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(7),
    [sym_block_comment] = STATE(7),
    [aux_sym_source_file_repeat1] = STATE(8),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [ts_builtin_sym_end] = ACTIONS(129),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_macro_rules_BANG] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_impl] = ACTIONS(57),
    [anon_sym_let] = ACTIONS(59),
    [anon_sym_loop] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_mod] = ACTIONS(65),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_trait] = ACTIONS(75),
    [anon_sym_type] = ACTIONS(77),
    [anon_sym_union] = ACTIONS(79),
    [anon_sym_unsafe] = ACTIONS(81),
    [anon_sym_use] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_extern] = ACTIONS(87),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(111),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [8] = {
    [sym__statement] = STATE(651),
    [sym_empty_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_macro_definition] = STATE(652),
    [sym_attribute_item] = STATE(652),
    [sym_inner_attribute_item] = STATE(652),
    [sym_mod_item] = STATE(652),
    [sym_foreign_mod_item] = STATE(652),
    [sym_struct_item] = STATE(652),
    [sym_union_item] = STATE(652),
    [sym_enum_item] = STATE(652),
    [sym_extern_crate_declaration] = STATE(652),
    [sym_const_item] = STATE(652),
    [sym_static_item] = STATE(652),
    [sym_type_item] = STATE(652),
    [sym_function_item] = STATE(652),
    [sym_function_signature_item] = STATE(652),
    [sym_function_modifiers] = STATE(3452),
    [sym_impl_item] = STATE(652),
    [sym_trait_item] = STATE(652),
    [sym_associated_type] = STATE(652),
    [sym_let_declaration] = STATE(652),
    [sym_use_declaration] = STATE(652),
    [sym_extern_modifier] = STATE(2160),
    [sym_visibility_modifier] = STATE(1932),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1845),
    [sym_macro_invocation] = STATE(395),
    [sym_scoped_identifier] = STATE(1534),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(391),
    [sym_match_expression] = STATE(391),
    [sym_while_expression] = STATE(391),
    [sym_loop_expression] = STATE(391),
    [sym_for_expression] = STATE(391),
    [sym_const_block] = STATE(391),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3544),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(391),
    [sym_async_block] = STATE(391),
    [sym_try_block] = STATE(391),
    [sym_block] = STATE(391),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(8),
    [sym_block_comment] = STATE(8),
    [aux_sym_source_file_repeat1] = STATE(8),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [ts_builtin_sym_end] = ACTIONS(131),
    [sym_identifier] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(136),
    [anon_sym_macro_rules_BANG] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(148),
    [anon_sym_STAR] = ACTIONS(151),
    [anon_sym_u8] = ACTIONS(154),
    [anon_sym_i8] = ACTIONS(154),
    [anon_sym_u16] = ACTIONS(154),
    [anon_sym_i16] = ACTIONS(154),
    [anon_sym_u32] = ACTIONS(154),
    [anon_sym_i32] = ACTIONS(154),
    [anon_sym_u64] = ACTIONS(154),
    [anon_sym_i64] = ACTIONS(154),
    [anon_sym_u128] = ACTIONS(154),
    [anon_sym_i128] = ACTIONS(154),
    [anon_sym_isize] = ACTIONS(154),
    [anon_sym_usize] = ACTIONS(154),
    [anon_sym_f32] = ACTIONS(154),
    [anon_sym_f64] = ACTIONS(154),
    [anon_sym_bool] = ACTIONS(154),
    [anon_sym_str] = ACTIONS(154),
    [anon_sym_char] = ACTIONS(154),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_AMP] = ACTIONS(157),
    [anon_sym_PIPE] = ACTIONS(160),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_DOT_DOT] = ACTIONS(166),
    [anon_sym_COLON_COLON] = ACTIONS(169),
    [anon_sym_POUND] = ACTIONS(172),
    [anon_sym_SQUOTE] = ACTIONS(175),
    [anon_sym_async] = ACTIONS(178),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_const] = ACTIONS(184),
    [anon_sym_continue] = ACTIONS(187),
    [anon_sym_default] = ACTIONS(190),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_fn] = ACTIONS(196),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(202),
    [anon_sym_impl] = ACTIONS(205),
    [anon_sym_let] = ACTIONS(208),
    [anon_sym_loop] = ACTIONS(211),
    [anon_sym_match] = ACTIONS(214),
    [anon_sym_mod] = ACTIONS(217),
    [anon_sym_pub] = ACTIONS(220),
    [anon_sym_return] = ACTIONS(223),
    [anon_sym_static] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(229),
    [anon_sym_trait] = ACTIONS(232),
    [anon_sym_type] = ACTIONS(235),
    [anon_sym_union] = ACTIONS(238),
    [anon_sym_unsafe] = ACTIONS(241),
    [anon_sym_use] = ACTIONS(244),
    [anon_sym_while] = ACTIONS(247),
    [anon_sym_extern] = ACTIONS(250),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_move] = ACTIONS(256),
    [anon_sym_try] = ACTIONS(259),
    [sym_integer_literal] = ACTIONS(262),
    [aux_sym_string_literal_token1] = ACTIONS(265),
    [sym_char_literal] = ACTIONS(262),
    [anon_sym_true] = ACTIONS(268),
    [anon_sym_false] = ACTIONS(268),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(271),
    [sym_super] = ACTIONS(274),
    [sym_crate] = ACTIONS(277),
    [sym_metavariable] = ACTIONS(280),
    [sym__raw_string_literal_start] = ACTIONS(283),
    [sym_float_literal] = ACTIONS(262),
  },
  [9] = {
    [sym__statement] = STATE(651),
    [sym_empty_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_macro_definition] = STATE(652),
    [sym_attribute_item] = STATE(652),
    [sym_inner_attribute_item] = STATE(652),
    [sym_mod_item] = STATE(652),
    [sym_foreign_mod_item] = STATE(652),
    [sym_struct_item] = STATE(652),
    [sym_union_item] = STATE(652),
    [sym_enum_item] = STATE(652),
    [sym_extern_crate_declaration] = STATE(652),
    [sym_const_item] = STATE(652),
    [sym_static_item] = STATE(652),
    [sym_type_item] = STATE(652),
    [sym_function_item] = STATE(652),
    [sym_function_signature_item] = STATE(652),
    [sym_function_modifiers] = STATE(3452),
    [sym_impl_item] = STATE(652),
    [sym_trait_item] = STATE(652),
    [sym_associated_type] = STATE(652),
    [sym_let_declaration] = STATE(652),
    [sym_use_declaration] = STATE(652),
    [sym_extern_modifier] = STATE(2160),
    [sym_visibility_modifier] = STATE(1932),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1674),
    [sym_macro_invocation] = STATE(395),
    [sym_scoped_identifier] = STATE(1534),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(391),
    [sym_match_expression] = STATE(391),
    [sym_while_expression] = STATE(391),
    [sym_loop_expression] = STATE(391),
    [sym_for_expression] = STATE(391),
    [sym_const_block] = STATE(391),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3544),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(391),
    [sym_async_block] = STATE(391),
    [sym_try_block] = STATE(391),
    [sym_block] = STATE(391),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(9),
    [sym_block_comment] = STATE(9),
    [aux_sym_source_file_repeat1] = STATE(10),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_macro_rules_BANG] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(286),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_impl] = ACTIONS(57),
    [anon_sym_let] = ACTIONS(59),
    [anon_sym_loop] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_mod] = ACTIONS(65),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_trait] = ACTIONS(75),
    [anon_sym_type] = ACTIONS(77),
    [anon_sym_union] = ACTIONS(79),
    [anon_sym_unsafe] = ACTIONS(81),
    [anon_sym_use] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_extern] = ACTIONS(87),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(111),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [10] = {
    [sym__statement] = STATE(651),
    [sym_empty_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_macro_definition] = STATE(652),
    [sym_attribute_item] = STATE(652),
    [sym_inner_attribute_item] = STATE(652),
    [sym_mod_item] = STATE(652),
    [sym_foreign_mod_item] = STATE(652),
    [sym_struct_item] = STATE(652),
    [sym_union_item] = STATE(652),
    [sym_enum_item] = STATE(652),
    [sym_extern_crate_declaration] = STATE(652),
    [sym_const_item] = STATE(652),
    [sym_static_item] = STATE(652),
    [sym_type_item] = STATE(652),
    [sym_function_item] = STATE(652),
    [sym_function_signature_item] = STATE(652),
    [sym_function_modifiers] = STATE(3452),
    [sym_impl_item] = STATE(652),
    [sym_trait_item] = STATE(652),
    [sym_associated_type] = STATE(652),
    [sym_let_declaration] = STATE(652),
    [sym_use_declaration] = STATE(652),
    [sym_extern_modifier] = STATE(2160),
    [sym_visibility_modifier] = STATE(1932),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1702),
    [sym_macro_invocation] = STATE(395),
    [sym_scoped_identifier] = STATE(1534),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(391),
    [sym_match_expression] = STATE(391),
    [sym_while_expression] = STATE(391),
    [sym_loop_expression] = STATE(391),
    [sym_for_expression] = STATE(391),
    [sym_const_block] = STATE(391),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3544),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(391),
    [sym_async_block] = STATE(391),
    [sym_try_block] = STATE(391),
    [sym_block] = STATE(391),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(10),
    [sym_block_comment] = STATE(10),
    [aux_sym_source_file_repeat1] = STATE(13),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_macro_rules_BANG] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(288),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_impl] = ACTIONS(57),
    [anon_sym_let] = ACTIONS(59),
    [anon_sym_loop] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_mod] = ACTIONS(65),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_trait] = ACTIONS(75),
    [anon_sym_type] = ACTIONS(77),
    [anon_sym_union] = ACTIONS(79),
    [anon_sym_unsafe] = ACTIONS(81),
    [anon_sym_use] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_extern] = ACTIONS(87),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(111),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [11] = {
    [sym__statement] = STATE(651),
    [sym_empty_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_macro_definition] = STATE(652),
    [sym_attribute_item] = STATE(652),
    [sym_inner_attribute_item] = STATE(652),
    [sym_mod_item] = STATE(652),
    [sym_foreign_mod_item] = STATE(652),
    [sym_struct_item] = STATE(652),
    [sym_union_item] = STATE(652),
    [sym_enum_item] = STATE(652),
    [sym_extern_crate_declaration] = STATE(652),
    [sym_const_item] = STATE(652),
    [sym_static_item] = STATE(652),
    [sym_type_item] = STATE(652),
    [sym_function_item] = STATE(652),
    [sym_function_signature_item] = STATE(652),
    [sym_function_modifiers] = STATE(3452),
    [sym_impl_item] = STATE(652),
    [sym_trait_item] = STATE(652),
    [sym_associated_type] = STATE(652),
    [sym_let_declaration] = STATE(652),
    [sym_use_declaration] = STATE(652),
    [sym_extern_modifier] = STATE(2160),
    [sym_visibility_modifier] = STATE(1932),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1794),
    [sym_macro_invocation] = STATE(395),
    [sym_scoped_identifier] = STATE(1534),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(391),
    [sym_match_expression] = STATE(391),
    [sym_while_expression] = STATE(391),
    [sym_loop_expression] = STATE(391),
    [sym_for_expression] = STATE(391),
    [sym_const_block] = STATE(391),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3544),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(391),
    [sym_async_block] = STATE(391),
    [sym_try_block] = STATE(391),
    [sym_block] = STATE(391),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(11),
    [sym_block_comment] = STATE(11),
    [aux_sym_source_file_repeat1] = STATE(12),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_macro_rules_BANG] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(290),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_impl] = ACTIONS(57),
    [anon_sym_let] = ACTIONS(59),
    [anon_sym_loop] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_mod] = ACTIONS(65),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_trait] = ACTIONS(75),
    [anon_sym_type] = ACTIONS(77),
    [anon_sym_union] = ACTIONS(79),
    [anon_sym_unsafe] = ACTIONS(81),
    [anon_sym_use] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_extern] = ACTIONS(87),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(111),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [12] = {
    [sym__statement] = STATE(651),
    [sym_empty_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_macro_definition] = STATE(652),
    [sym_attribute_item] = STATE(652),
    [sym_inner_attribute_item] = STATE(652),
    [sym_mod_item] = STATE(652),
    [sym_foreign_mod_item] = STATE(652),
    [sym_struct_item] = STATE(652),
    [sym_union_item] = STATE(652),
    [sym_enum_item] = STATE(652),
    [sym_extern_crate_declaration] = STATE(652),
    [sym_const_item] = STATE(652),
    [sym_static_item] = STATE(652),
    [sym_type_item] = STATE(652),
    [sym_function_item] = STATE(652),
    [sym_function_signature_item] = STATE(652),
    [sym_function_modifiers] = STATE(3452),
    [sym_impl_item] = STATE(652),
    [sym_trait_item] = STATE(652),
    [sym_associated_type] = STATE(652),
    [sym_let_declaration] = STATE(652),
    [sym_use_declaration] = STATE(652),
    [sym_extern_modifier] = STATE(2160),
    [sym_visibility_modifier] = STATE(1932),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1797),
    [sym_macro_invocation] = STATE(395),
    [sym_scoped_identifier] = STATE(1534),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(391),
    [sym_match_expression] = STATE(391),
    [sym_while_expression] = STATE(391),
    [sym_loop_expression] = STATE(391),
    [sym_for_expression] = STATE(391),
    [sym_const_block] = STATE(391),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3544),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(391),
    [sym_async_block] = STATE(391),
    [sym_try_block] = STATE(391),
    [sym_block] = STATE(391),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(12),
    [sym_block_comment] = STATE(12),
    [aux_sym_source_file_repeat1] = STATE(13),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_macro_rules_BANG] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(292),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_impl] = ACTIONS(57),
    [anon_sym_let] = ACTIONS(59),
    [anon_sym_loop] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_mod] = ACTIONS(65),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_trait] = ACTIONS(75),
    [anon_sym_type] = ACTIONS(77),
    [anon_sym_union] = ACTIONS(79),
    [anon_sym_unsafe] = ACTIONS(81),
    [anon_sym_use] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_extern] = ACTIONS(87),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(111),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [13] = {
    [sym__statement] = STATE(651),
    [sym_empty_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_macro_definition] = STATE(652),
    [sym_attribute_item] = STATE(652),
    [sym_inner_attribute_item] = STATE(652),
    [sym_mod_item] = STATE(652),
    [sym_foreign_mod_item] = STATE(652),
    [sym_struct_item] = STATE(652),
    [sym_union_item] = STATE(652),
    [sym_enum_item] = STATE(652),
    [sym_extern_crate_declaration] = STATE(652),
    [sym_const_item] = STATE(652),
    [sym_static_item] = STATE(652),
    [sym_type_item] = STATE(652),
    [sym_function_item] = STATE(652),
    [sym_function_signature_item] = STATE(652),
    [sym_function_modifiers] = STATE(3452),
    [sym_impl_item] = STATE(652),
    [sym_trait_item] = STATE(652),
    [sym_associated_type] = STATE(652),
    [sym_let_declaration] = STATE(652),
    [sym_use_declaration] = STATE(652),
    [sym_extern_modifier] = STATE(2160),
    [sym_visibility_modifier] = STATE(1932),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1845),
    [sym_macro_invocation] = STATE(404),
    [sym_scoped_identifier] = STATE(1534),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(391),
    [sym_match_expression] = STATE(391),
    [sym_while_expression] = STATE(391),
    [sym_loop_expression] = STATE(391),
    [sym_for_expression] = STATE(391),
    [sym_const_block] = STATE(391),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3544),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(391),
    [sym_async_block] = STATE(391),
    [sym_try_block] = STATE(391),
    [sym_block] = STATE(391),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(13),
    [sym_block_comment] = STATE(13),
    [aux_sym_source_file_repeat1] = STATE(13),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(136),
    [anon_sym_macro_rules_BANG] = ACTIONS(139),
    [anon_sym_LPAREN] = ACTIONS(142),
    [anon_sym_LBRACK] = ACTIONS(145),
    [anon_sym_LBRACE] = ACTIONS(148),
    [anon_sym_RBRACE] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(151),
    [anon_sym_u8] = ACTIONS(154),
    [anon_sym_i8] = ACTIONS(154),
    [anon_sym_u16] = ACTIONS(154),
    [anon_sym_i16] = ACTIONS(154),
    [anon_sym_u32] = ACTIONS(154),
    [anon_sym_i32] = ACTIONS(154),
    [anon_sym_u64] = ACTIONS(154),
    [anon_sym_i64] = ACTIONS(154),
    [anon_sym_u128] = ACTIONS(154),
    [anon_sym_i128] = ACTIONS(154),
    [anon_sym_isize] = ACTIONS(154),
    [anon_sym_usize] = ACTIONS(154),
    [anon_sym_f32] = ACTIONS(154),
    [anon_sym_f64] = ACTIONS(154),
    [anon_sym_bool] = ACTIONS(154),
    [anon_sym_str] = ACTIONS(154),
    [anon_sym_char] = ACTIONS(154),
    [anon_sym_DASH] = ACTIONS(151),
    [anon_sym_BANG] = ACTIONS(151),
    [anon_sym_AMP] = ACTIONS(157),
    [anon_sym_PIPE] = ACTIONS(160),
    [anon_sym_LT] = ACTIONS(163),
    [anon_sym_DOT_DOT] = ACTIONS(166),
    [anon_sym_COLON_COLON] = ACTIONS(169),
    [anon_sym_POUND] = ACTIONS(172),
    [anon_sym_SQUOTE] = ACTIONS(175),
    [anon_sym_async] = ACTIONS(178),
    [anon_sym_break] = ACTIONS(181),
    [anon_sym_const] = ACTIONS(184),
    [anon_sym_continue] = ACTIONS(187),
    [anon_sym_default] = ACTIONS(190),
    [anon_sym_enum] = ACTIONS(193),
    [anon_sym_fn] = ACTIONS(196),
    [anon_sym_for] = ACTIONS(199),
    [anon_sym_if] = ACTIONS(202),
    [anon_sym_impl] = ACTIONS(205),
    [anon_sym_let] = ACTIONS(208),
    [anon_sym_loop] = ACTIONS(211),
    [anon_sym_match] = ACTIONS(214),
    [anon_sym_mod] = ACTIONS(217),
    [anon_sym_pub] = ACTIONS(220),
    [anon_sym_return] = ACTIONS(223),
    [anon_sym_static] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(229),
    [anon_sym_trait] = ACTIONS(232),
    [anon_sym_type] = ACTIONS(235),
    [anon_sym_union] = ACTIONS(238),
    [anon_sym_unsafe] = ACTIONS(241),
    [anon_sym_use] = ACTIONS(244),
    [anon_sym_while] = ACTIONS(247),
    [anon_sym_extern] = ACTIONS(250),
    [anon_sym_yield] = ACTIONS(253),
    [anon_sym_move] = ACTIONS(256),
    [anon_sym_try] = ACTIONS(259),
    [sym_integer_literal] = ACTIONS(262),
    [aux_sym_string_literal_token1] = ACTIONS(265),
    [sym_char_literal] = ACTIONS(262),
    [anon_sym_true] = ACTIONS(268),
    [anon_sym_false] = ACTIONS(268),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(271),
    [sym_super] = ACTIONS(274),
    [sym_crate] = ACTIONS(277),
    [sym_metavariable] = ACTIONS(280),
    [sym__raw_string_literal_start] = ACTIONS(283),
    [sym_float_literal] = ACTIONS(262),
  },
  [14] = {
    [sym__statement] = STATE(651),
    [sym_empty_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_macro_definition] = STATE(652),
    [sym_attribute_item] = STATE(652),
    [sym_inner_attribute_item] = STATE(652),
    [sym_mod_item] = STATE(652),
    [sym_foreign_mod_item] = STATE(652),
    [sym_struct_item] = STATE(652),
    [sym_union_item] = STATE(652),
    [sym_enum_item] = STATE(652),
    [sym_extern_crate_declaration] = STATE(652),
    [sym_const_item] = STATE(652),
    [sym_static_item] = STATE(652),
    [sym_type_item] = STATE(652),
    [sym_function_item] = STATE(652),
    [sym_function_signature_item] = STATE(652),
    [sym_function_modifiers] = STATE(3452),
    [sym_impl_item] = STATE(652),
    [sym_trait_item] = STATE(652),
    [sym_associated_type] = STATE(652),
    [sym_let_declaration] = STATE(652),
    [sym_use_declaration] = STATE(652),
    [sym_extern_modifier] = STATE(2160),
    [sym_visibility_modifier] = STATE(1932),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1802),
    [sym_macro_invocation] = STATE(395),
    [sym_scoped_identifier] = STATE(1534),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(391),
    [sym_match_expression] = STATE(391),
    [sym_while_expression] = STATE(391),
    [sym_loop_expression] = STATE(391),
    [sym_for_expression] = STATE(391),
    [sym_const_block] = STATE(391),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3544),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(391),
    [sym_async_block] = STATE(391),
    [sym_try_block] = STATE(391),
    [sym_block] = STATE(391),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(14),
    [sym_block_comment] = STATE(14),
    [aux_sym_source_file_repeat1] = STATE(15),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_macro_rules_BANG] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(294),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_impl] = ACTIONS(57),
    [anon_sym_let] = ACTIONS(59),
    [anon_sym_loop] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_mod] = ACTIONS(65),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_trait] = ACTIONS(75),
    [anon_sym_type] = ACTIONS(77),
    [anon_sym_union] = ACTIONS(79),
    [anon_sym_unsafe] = ACTIONS(81),
    [anon_sym_use] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_extern] = ACTIONS(87),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(111),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [15] = {
    [sym__statement] = STATE(651),
    [sym_empty_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_macro_definition] = STATE(652),
    [sym_attribute_item] = STATE(652),
    [sym_inner_attribute_item] = STATE(652),
    [sym_mod_item] = STATE(652),
    [sym_foreign_mod_item] = STATE(652),
    [sym_struct_item] = STATE(652),
    [sym_union_item] = STATE(652),
    [sym_enum_item] = STATE(652),
    [sym_extern_crate_declaration] = STATE(652),
    [sym_const_item] = STATE(652),
    [sym_static_item] = STATE(652),
    [sym_type_item] = STATE(652),
    [sym_function_item] = STATE(652),
    [sym_function_signature_item] = STATE(652),
    [sym_function_modifiers] = STATE(3452),
    [sym_impl_item] = STATE(652),
    [sym_trait_item] = STATE(652),
    [sym_associated_type] = STATE(652),
    [sym_let_declaration] = STATE(652),
    [sym_use_declaration] = STATE(652),
    [sym_extern_modifier] = STATE(2160),
    [sym_visibility_modifier] = STATE(1932),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1805),
    [sym_macro_invocation] = STATE(395),
    [sym_scoped_identifier] = STATE(1534),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(391),
    [sym_match_expression] = STATE(391),
    [sym_while_expression] = STATE(391),
    [sym_loop_expression] = STATE(391),
    [sym_for_expression] = STATE(391),
    [sym_const_block] = STATE(391),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3544),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(391),
    [sym_async_block] = STATE(391),
    [sym_try_block] = STATE(391),
    [sym_block] = STATE(391),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(15),
    [sym_block_comment] = STATE(15),
    [aux_sym_source_file_repeat1] = STATE(13),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_macro_rules_BANG] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(296),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_impl] = ACTIONS(57),
    [anon_sym_let] = ACTIONS(59),
    [anon_sym_loop] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_mod] = ACTIONS(65),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_trait] = ACTIONS(75),
    [anon_sym_type] = ACTIONS(77),
    [anon_sym_union] = ACTIONS(79),
    [anon_sym_unsafe] = ACTIONS(81),
    [anon_sym_use] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_extern] = ACTIONS(87),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(111),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [16] = {
    [sym__statement] = STATE(651),
    [sym_empty_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_macro_definition] = STATE(652),
    [sym_attribute_item] = STATE(652),
    [sym_inner_attribute_item] = STATE(652),
    [sym_mod_item] = STATE(652),
    [sym_foreign_mod_item] = STATE(652),
    [sym_struct_item] = STATE(652),
    [sym_union_item] = STATE(652),
    [sym_enum_item] = STATE(652),
    [sym_extern_crate_declaration] = STATE(652),
    [sym_const_item] = STATE(652),
    [sym_static_item] = STATE(652),
    [sym_type_item] = STATE(652),
    [sym_function_item] = STATE(652),
    [sym_function_signature_item] = STATE(652),
    [sym_function_modifiers] = STATE(3452),
    [sym_impl_item] = STATE(652),
    [sym_trait_item] = STATE(652),
    [sym_associated_type] = STATE(652),
    [sym_let_declaration] = STATE(652),
    [sym_use_declaration] = STATE(652),
    [sym_extern_modifier] = STATE(2160),
    [sym_visibility_modifier] = STATE(1932),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1810),
    [sym_macro_invocation] = STATE(395),
    [sym_scoped_identifier] = STATE(1534),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(391),
    [sym_match_expression] = STATE(391),
    [sym_while_expression] = STATE(391),
    [sym_loop_expression] = STATE(391),
    [sym_for_expression] = STATE(391),
    [sym_const_block] = STATE(391),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3544),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(391),
    [sym_async_block] = STATE(391),
    [sym_try_block] = STATE(391),
    [sym_block] = STATE(391),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(16),
    [sym_block_comment] = STATE(16),
    [aux_sym_source_file_repeat1] = STATE(17),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_macro_rules_BANG] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(298),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_impl] = ACTIONS(57),
    [anon_sym_let] = ACTIONS(59),
    [anon_sym_loop] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_mod] = ACTIONS(65),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_trait] = ACTIONS(75),
    [anon_sym_type] = ACTIONS(77),
    [anon_sym_union] = ACTIONS(79),
    [anon_sym_unsafe] = ACTIONS(81),
    [anon_sym_use] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_extern] = ACTIONS(87),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(111),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [17] = {
    [sym__statement] = STATE(651),
    [sym_empty_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_macro_definition] = STATE(652),
    [sym_attribute_item] = STATE(652),
    [sym_inner_attribute_item] = STATE(652),
    [sym_mod_item] = STATE(652),
    [sym_foreign_mod_item] = STATE(652),
    [sym_struct_item] = STATE(652),
    [sym_union_item] = STATE(652),
    [sym_enum_item] = STATE(652),
    [sym_extern_crate_declaration] = STATE(652),
    [sym_const_item] = STATE(652),
    [sym_static_item] = STATE(652),
    [sym_type_item] = STATE(652),
    [sym_function_item] = STATE(652),
    [sym_function_signature_item] = STATE(652),
    [sym_function_modifiers] = STATE(3452),
    [sym_impl_item] = STATE(652),
    [sym_trait_item] = STATE(652),
    [sym_associated_type] = STATE(652),
    [sym_let_declaration] = STATE(652),
    [sym_use_declaration] = STATE(652),
    [sym_extern_modifier] = STATE(2160),
    [sym_visibility_modifier] = STATE(1932),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1816),
    [sym_macro_invocation] = STATE(395),
    [sym_scoped_identifier] = STATE(1534),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(391),
    [sym_match_expression] = STATE(391),
    [sym_while_expression] = STATE(391),
    [sym_loop_expression] = STATE(391),
    [sym_for_expression] = STATE(391),
    [sym_const_block] = STATE(391),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3544),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(391),
    [sym_async_block] = STATE(391),
    [sym_try_block] = STATE(391),
    [sym_block] = STATE(391),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(17),
    [sym_block_comment] = STATE(17),
    [aux_sym_source_file_repeat1] = STATE(13),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_macro_rules_BANG] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(300),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_impl] = ACTIONS(57),
    [anon_sym_let] = ACTIONS(59),
    [anon_sym_loop] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_mod] = ACTIONS(65),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_trait] = ACTIONS(75),
    [anon_sym_type] = ACTIONS(77),
    [anon_sym_union] = ACTIONS(79),
    [anon_sym_unsafe] = ACTIONS(81),
    [anon_sym_use] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_extern] = ACTIONS(87),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(111),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [18] = {
    [sym__statement] = STATE(651),
    [sym_empty_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_macro_definition] = STATE(652),
    [sym_attribute_item] = STATE(652),
    [sym_inner_attribute_item] = STATE(652),
    [sym_mod_item] = STATE(652),
    [sym_foreign_mod_item] = STATE(652),
    [sym_struct_item] = STATE(652),
    [sym_union_item] = STATE(652),
    [sym_enum_item] = STATE(652),
    [sym_extern_crate_declaration] = STATE(652),
    [sym_const_item] = STATE(652),
    [sym_static_item] = STATE(652),
    [sym_type_item] = STATE(652),
    [sym_function_item] = STATE(652),
    [sym_function_signature_item] = STATE(652),
    [sym_function_modifiers] = STATE(3452),
    [sym_impl_item] = STATE(652),
    [sym_trait_item] = STATE(652),
    [sym_associated_type] = STATE(652),
    [sym_let_declaration] = STATE(652),
    [sym_use_declaration] = STATE(652),
    [sym_extern_modifier] = STATE(2160),
    [sym_visibility_modifier] = STATE(1932),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1819),
    [sym_macro_invocation] = STATE(395),
    [sym_scoped_identifier] = STATE(1534),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(391),
    [sym_match_expression] = STATE(391),
    [sym_while_expression] = STATE(391),
    [sym_loop_expression] = STATE(391),
    [sym_for_expression] = STATE(391),
    [sym_const_block] = STATE(391),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3544),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(391),
    [sym_async_block] = STATE(391),
    [sym_try_block] = STATE(391),
    [sym_block] = STATE(391),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(18),
    [sym_block_comment] = STATE(18),
    [aux_sym_source_file_repeat1] = STATE(19),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_macro_rules_BANG] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(302),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_impl] = ACTIONS(57),
    [anon_sym_let] = ACTIONS(59),
    [anon_sym_loop] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_mod] = ACTIONS(65),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_trait] = ACTIONS(75),
    [anon_sym_type] = ACTIONS(77),
    [anon_sym_union] = ACTIONS(79),
    [anon_sym_unsafe] = ACTIONS(81),
    [anon_sym_use] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_extern] = ACTIONS(87),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(111),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [19] = {
    [sym__statement] = STATE(651),
    [sym_empty_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_macro_definition] = STATE(652),
    [sym_attribute_item] = STATE(652),
    [sym_inner_attribute_item] = STATE(652),
    [sym_mod_item] = STATE(652),
    [sym_foreign_mod_item] = STATE(652),
    [sym_struct_item] = STATE(652),
    [sym_union_item] = STATE(652),
    [sym_enum_item] = STATE(652),
    [sym_extern_crate_declaration] = STATE(652),
    [sym_const_item] = STATE(652),
    [sym_static_item] = STATE(652),
    [sym_type_item] = STATE(652),
    [sym_function_item] = STATE(652),
    [sym_function_signature_item] = STATE(652),
    [sym_function_modifiers] = STATE(3452),
    [sym_impl_item] = STATE(652),
    [sym_trait_item] = STATE(652),
    [sym_associated_type] = STATE(652),
    [sym_let_declaration] = STATE(652),
    [sym_use_declaration] = STATE(652),
    [sym_extern_modifier] = STATE(2160),
    [sym_visibility_modifier] = STATE(1932),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1820),
    [sym_macro_invocation] = STATE(395),
    [sym_scoped_identifier] = STATE(1534),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(391),
    [sym_match_expression] = STATE(391),
    [sym_while_expression] = STATE(391),
    [sym_loop_expression] = STATE(391),
    [sym_for_expression] = STATE(391),
    [sym_const_block] = STATE(391),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3544),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(391),
    [sym_async_block] = STATE(391),
    [sym_try_block] = STATE(391),
    [sym_block] = STATE(391),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(19),
    [sym_block_comment] = STATE(19),
    [aux_sym_source_file_repeat1] = STATE(13),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_macro_rules_BANG] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(304),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_impl] = ACTIONS(57),
    [anon_sym_let] = ACTIONS(59),
    [anon_sym_loop] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_mod] = ACTIONS(65),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_trait] = ACTIONS(75),
    [anon_sym_type] = ACTIONS(77),
    [anon_sym_union] = ACTIONS(79),
    [anon_sym_unsafe] = ACTIONS(81),
    [anon_sym_use] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_extern] = ACTIONS(87),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(111),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [20] = {
    [sym__statement] = STATE(651),
    [sym_empty_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_macro_definition] = STATE(652),
    [sym_attribute_item] = STATE(652),
    [sym_inner_attribute_item] = STATE(652),
    [sym_mod_item] = STATE(652),
    [sym_foreign_mod_item] = STATE(652),
    [sym_struct_item] = STATE(652),
    [sym_union_item] = STATE(652),
    [sym_enum_item] = STATE(652),
    [sym_extern_crate_declaration] = STATE(652),
    [sym_const_item] = STATE(652),
    [sym_static_item] = STATE(652),
    [sym_type_item] = STATE(652),
    [sym_function_item] = STATE(652),
    [sym_function_signature_item] = STATE(652),
    [sym_function_modifiers] = STATE(3452),
    [sym_impl_item] = STATE(652),
    [sym_trait_item] = STATE(652),
    [sym_associated_type] = STATE(652),
    [sym_let_declaration] = STATE(652),
    [sym_use_declaration] = STATE(652),
    [sym_extern_modifier] = STATE(2160),
    [sym_visibility_modifier] = STATE(1932),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1821),
    [sym_macro_invocation] = STATE(395),
    [sym_scoped_identifier] = STATE(1534),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(391),
    [sym_match_expression] = STATE(391),
    [sym_while_expression] = STATE(391),
    [sym_loop_expression] = STATE(391),
    [sym_for_expression] = STATE(391),
    [sym_const_block] = STATE(391),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3544),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(391),
    [sym_async_block] = STATE(391),
    [sym_try_block] = STATE(391),
    [sym_block] = STATE(391),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(20),
    [sym_block_comment] = STATE(20),
    [aux_sym_source_file_repeat1] = STATE(21),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_macro_rules_BANG] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(306),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_impl] = ACTIONS(57),
    [anon_sym_let] = ACTIONS(59),
    [anon_sym_loop] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_mod] = ACTIONS(65),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_trait] = ACTIONS(75),
    [anon_sym_type] = ACTIONS(77),
    [anon_sym_union] = ACTIONS(79),
    [anon_sym_unsafe] = ACTIONS(81),
    [anon_sym_use] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_extern] = ACTIONS(87),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(111),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [21] = {
    [sym__statement] = STATE(651),
    [sym_empty_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_macro_definition] = STATE(652),
    [sym_attribute_item] = STATE(652),
    [sym_inner_attribute_item] = STATE(652),
    [sym_mod_item] = STATE(652),
    [sym_foreign_mod_item] = STATE(652),
    [sym_struct_item] = STATE(652),
    [sym_union_item] = STATE(652),
    [sym_enum_item] = STATE(652),
    [sym_extern_crate_declaration] = STATE(652),
    [sym_const_item] = STATE(652),
    [sym_static_item] = STATE(652),
    [sym_type_item] = STATE(652),
    [sym_function_item] = STATE(652),
    [sym_function_signature_item] = STATE(652),
    [sym_function_modifiers] = STATE(3452),
    [sym_impl_item] = STATE(652),
    [sym_trait_item] = STATE(652),
    [sym_associated_type] = STATE(652),
    [sym_let_declaration] = STATE(652),
    [sym_use_declaration] = STATE(652),
    [sym_extern_modifier] = STATE(2160),
    [sym_visibility_modifier] = STATE(1932),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1823),
    [sym_macro_invocation] = STATE(395),
    [sym_scoped_identifier] = STATE(1534),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(391),
    [sym_match_expression] = STATE(391),
    [sym_while_expression] = STATE(391),
    [sym_loop_expression] = STATE(391),
    [sym_for_expression] = STATE(391),
    [sym_const_block] = STATE(391),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3544),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(391),
    [sym_async_block] = STATE(391),
    [sym_try_block] = STATE(391),
    [sym_block] = STATE(391),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(21),
    [sym_block_comment] = STATE(21),
    [aux_sym_source_file_repeat1] = STATE(13),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_macro_rules_BANG] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(308),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_impl] = ACTIONS(57),
    [anon_sym_let] = ACTIONS(59),
    [anon_sym_loop] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_mod] = ACTIONS(65),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_trait] = ACTIONS(75),
    [anon_sym_type] = ACTIONS(77),
    [anon_sym_union] = ACTIONS(79),
    [anon_sym_unsafe] = ACTIONS(81),
    [anon_sym_use] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_extern] = ACTIONS(87),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(111),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [22] = {
    [sym__statement] = STATE(651),
    [sym_empty_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_macro_definition] = STATE(652),
    [sym_attribute_item] = STATE(652),
    [sym_inner_attribute_item] = STATE(652),
    [sym_mod_item] = STATE(652),
    [sym_foreign_mod_item] = STATE(652),
    [sym_struct_item] = STATE(652),
    [sym_union_item] = STATE(652),
    [sym_enum_item] = STATE(652),
    [sym_extern_crate_declaration] = STATE(652),
    [sym_const_item] = STATE(652),
    [sym_static_item] = STATE(652),
    [sym_type_item] = STATE(652),
    [sym_function_item] = STATE(652),
    [sym_function_signature_item] = STATE(652),
    [sym_function_modifiers] = STATE(3452),
    [sym_impl_item] = STATE(652),
    [sym_trait_item] = STATE(652),
    [sym_associated_type] = STATE(652),
    [sym_let_declaration] = STATE(652),
    [sym_use_declaration] = STATE(652),
    [sym_extern_modifier] = STATE(2160),
    [sym_visibility_modifier] = STATE(1932),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1824),
    [sym_macro_invocation] = STATE(395),
    [sym_scoped_identifier] = STATE(1534),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(391),
    [sym_match_expression] = STATE(391),
    [sym_while_expression] = STATE(391),
    [sym_loop_expression] = STATE(391),
    [sym_for_expression] = STATE(391),
    [sym_const_block] = STATE(391),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3544),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(391),
    [sym_async_block] = STATE(391),
    [sym_try_block] = STATE(391),
    [sym_block] = STATE(391),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(22),
    [sym_block_comment] = STATE(22),
    [aux_sym_source_file_repeat1] = STATE(23),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_macro_rules_BANG] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(310),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_impl] = ACTIONS(57),
    [anon_sym_let] = ACTIONS(59),
    [anon_sym_loop] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_mod] = ACTIONS(65),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_trait] = ACTIONS(75),
    [anon_sym_type] = ACTIONS(77),
    [anon_sym_union] = ACTIONS(79),
    [anon_sym_unsafe] = ACTIONS(81),
    [anon_sym_use] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_extern] = ACTIONS(87),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(111),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [23] = {
    [sym__statement] = STATE(651),
    [sym_empty_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_macro_definition] = STATE(652),
    [sym_attribute_item] = STATE(652),
    [sym_inner_attribute_item] = STATE(652),
    [sym_mod_item] = STATE(652),
    [sym_foreign_mod_item] = STATE(652),
    [sym_struct_item] = STATE(652),
    [sym_union_item] = STATE(652),
    [sym_enum_item] = STATE(652),
    [sym_extern_crate_declaration] = STATE(652),
    [sym_const_item] = STATE(652),
    [sym_static_item] = STATE(652),
    [sym_type_item] = STATE(652),
    [sym_function_item] = STATE(652),
    [sym_function_signature_item] = STATE(652),
    [sym_function_modifiers] = STATE(3452),
    [sym_impl_item] = STATE(652),
    [sym_trait_item] = STATE(652),
    [sym_associated_type] = STATE(652),
    [sym_let_declaration] = STATE(652),
    [sym_use_declaration] = STATE(652),
    [sym_extern_modifier] = STATE(2160),
    [sym_visibility_modifier] = STATE(1932),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1636),
    [sym_macro_invocation] = STATE(395),
    [sym_scoped_identifier] = STATE(1534),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(391),
    [sym_match_expression] = STATE(391),
    [sym_while_expression] = STATE(391),
    [sym_loop_expression] = STATE(391),
    [sym_for_expression] = STATE(391),
    [sym_const_block] = STATE(391),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3544),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(391),
    [sym_async_block] = STATE(391),
    [sym_try_block] = STATE(391),
    [sym_block] = STATE(391),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(23),
    [sym_block_comment] = STATE(23),
    [aux_sym_source_file_repeat1] = STATE(13),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_macro_rules_BANG] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(312),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_impl] = ACTIONS(57),
    [anon_sym_let] = ACTIONS(59),
    [anon_sym_loop] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_mod] = ACTIONS(65),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_trait] = ACTIONS(75),
    [anon_sym_type] = ACTIONS(77),
    [anon_sym_union] = ACTIONS(79),
    [anon_sym_unsafe] = ACTIONS(81),
    [anon_sym_use] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_extern] = ACTIONS(87),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(111),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [24] = {
    [sym__statement] = STATE(651),
    [sym_empty_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_macro_definition] = STATE(652),
    [sym_attribute_item] = STATE(652),
    [sym_inner_attribute_item] = STATE(652),
    [sym_mod_item] = STATE(652),
    [sym_foreign_mod_item] = STATE(652),
    [sym_struct_item] = STATE(652),
    [sym_union_item] = STATE(652),
    [sym_enum_item] = STATE(652),
    [sym_extern_crate_declaration] = STATE(652),
    [sym_const_item] = STATE(652),
    [sym_static_item] = STATE(652),
    [sym_type_item] = STATE(652),
    [sym_function_item] = STATE(652),
    [sym_function_signature_item] = STATE(652),
    [sym_function_modifiers] = STATE(3452),
    [sym_impl_item] = STATE(652),
    [sym_trait_item] = STATE(652),
    [sym_associated_type] = STATE(652),
    [sym_let_declaration] = STATE(652),
    [sym_use_declaration] = STATE(652),
    [sym_extern_modifier] = STATE(2160),
    [sym_visibility_modifier] = STATE(1932),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1826),
    [sym_macro_invocation] = STATE(395),
    [sym_scoped_identifier] = STATE(1534),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(391),
    [sym_match_expression] = STATE(391),
    [sym_while_expression] = STATE(391),
    [sym_loop_expression] = STATE(391),
    [sym_for_expression] = STATE(391),
    [sym_const_block] = STATE(391),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3544),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(391),
    [sym_async_block] = STATE(391),
    [sym_try_block] = STATE(391),
    [sym_block] = STATE(391),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(24),
    [sym_block_comment] = STATE(24),
    [aux_sym_source_file_repeat1] = STATE(25),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_macro_rules_BANG] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(314),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_impl] = ACTIONS(57),
    [anon_sym_let] = ACTIONS(59),
    [anon_sym_loop] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_mod] = ACTIONS(65),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_trait] = ACTIONS(75),
    [anon_sym_type] = ACTIONS(77),
    [anon_sym_union] = ACTIONS(79),
    [anon_sym_unsafe] = ACTIONS(81),
    [anon_sym_use] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_extern] = ACTIONS(87),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(111),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [25] = {
    [sym__statement] = STATE(651),
    [sym_empty_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_macro_definition] = STATE(652),
    [sym_attribute_item] = STATE(652),
    [sym_inner_attribute_item] = STATE(652),
    [sym_mod_item] = STATE(652),
    [sym_foreign_mod_item] = STATE(652),
    [sym_struct_item] = STATE(652),
    [sym_union_item] = STATE(652),
    [sym_enum_item] = STATE(652),
    [sym_extern_crate_declaration] = STATE(652),
    [sym_const_item] = STATE(652),
    [sym_static_item] = STATE(652),
    [sym_type_item] = STATE(652),
    [sym_function_item] = STATE(652),
    [sym_function_signature_item] = STATE(652),
    [sym_function_modifiers] = STATE(3452),
    [sym_impl_item] = STATE(652),
    [sym_trait_item] = STATE(652),
    [sym_associated_type] = STATE(652),
    [sym_let_declaration] = STATE(652),
    [sym_use_declaration] = STATE(652),
    [sym_extern_modifier] = STATE(2160),
    [sym_visibility_modifier] = STATE(1932),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1827),
    [sym_macro_invocation] = STATE(395),
    [sym_scoped_identifier] = STATE(1534),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(391),
    [sym_match_expression] = STATE(391),
    [sym_while_expression] = STATE(391),
    [sym_loop_expression] = STATE(391),
    [sym_for_expression] = STATE(391),
    [sym_const_block] = STATE(391),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3544),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(391),
    [sym_async_block] = STATE(391),
    [sym_try_block] = STATE(391),
    [sym_block] = STATE(391),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(25),
    [sym_block_comment] = STATE(25),
    [aux_sym_source_file_repeat1] = STATE(13),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_macro_rules_BANG] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(316),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_impl] = ACTIONS(57),
    [anon_sym_let] = ACTIONS(59),
    [anon_sym_loop] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_mod] = ACTIONS(65),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_trait] = ACTIONS(75),
    [anon_sym_type] = ACTIONS(77),
    [anon_sym_union] = ACTIONS(79),
    [anon_sym_unsafe] = ACTIONS(81),
    [anon_sym_use] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_extern] = ACTIONS(87),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(111),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [26] = {
    [sym__statement] = STATE(651),
    [sym_empty_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_macro_definition] = STATE(652),
    [sym_attribute_item] = STATE(652),
    [sym_inner_attribute_item] = STATE(652),
    [sym_mod_item] = STATE(652),
    [sym_foreign_mod_item] = STATE(652),
    [sym_struct_item] = STATE(652),
    [sym_union_item] = STATE(652),
    [sym_enum_item] = STATE(652),
    [sym_extern_crate_declaration] = STATE(652),
    [sym_const_item] = STATE(652),
    [sym_static_item] = STATE(652),
    [sym_type_item] = STATE(652),
    [sym_function_item] = STATE(652),
    [sym_function_signature_item] = STATE(652),
    [sym_function_modifiers] = STATE(3452),
    [sym_impl_item] = STATE(652),
    [sym_trait_item] = STATE(652),
    [sym_associated_type] = STATE(652),
    [sym_let_declaration] = STATE(652),
    [sym_use_declaration] = STATE(652),
    [sym_extern_modifier] = STATE(2160),
    [sym_visibility_modifier] = STATE(1932),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1828),
    [sym_macro_invocation] = STATE(395),
    [sym_scoped_identifier] = STATE(1534),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(391),
    [sym_match_expression] = STATE(391),
    [sym_while_expression] = STATE(391),
    [sym_loop_expression] = STATE(391),
    [sym_for_expression] = STATE(391),
    [sym_const_block] = STATE(391),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3544),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(391),
    [sym_async_block] = STATE(391),
    [sym_try_block] = STATE(391),
    [sym_block] = STATE(391),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(26),
    [sym_block_comment] = STATE(26),
    [aux_sym_source_file_repeat1] = STATE(27),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_macro_rules_BANG] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(318),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_impl] = ACTIONS(57),
    [anon_sym_let] = ACTIONS(59),
    [anon_sym_loop] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_mod] = ACTIONS(65),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_trait] = ACTIONS(75),
    [anon_sym_type] = ACTIONS(77),
    [anon_sym_union] = ACTIONS(79),
    [anon_sym_unsafe] = ACTIONS(81),
    [anon_sym_use] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_extern] = ACTIONS(87),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(111),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [27] = {
    [sym__statement] = STATE(651),
    [sym_empty_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_macro_definition] = STATE(652),
    [sym_attribute_item] = STATE(652),
    [sym_inner_attribute_item] = STATE(652),
    [sym_mod_item] = STATE(652),
    [sym_foreign_mod_item] = STATE(652),
    [sym_struct_item] = STATE(652),
    [sym_union_item] = STATE(652),
    [sym_enum_item] = STATE(652),
    [sym_extern_crate_declaration] = STATE(652),
    [sym_const_item] = STATE(652),
    [sym_static_item] = STATE(652),
    [sym_type_item] = STATE(652),
    [sym_function_item] = STATE(652),
    [sym_function_signature_item] = STATE(652),
    [sym_function_modifiers] = STATE(3452),
    [sym_impl_item] = STATE(652),
    [sym_trait_item] = STATE(652),
    [sym_associated_type] = STATE(652),
    [sym_let_declaration] = STATE(652),
    [sym_use_declaration] = STATE(652),
    [sym_extern_modifier] = STATE(2160),
    [sym_visibility_modifier] = STATE(1932),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1830),
    [sym_macro_invocation] = STATE(395),
    [sym_scoped_identifier] = STATE(1534),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(391),
    [sym_match_expression] = STATE(391),
    [sym_while_expression] = STATE(391),
    [sym_loop_expression] = STATE(391),
    [sym_for_expression] = STATE(391),
    [sym_const_block] = STATE(391),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3544),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(391),
    [sym_async_block] = STATE(391),
    [sym_try_block] = STATE(391),
    [sym_block] = STATE(391),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(27),
    [sym_block_comment] = STATE(27),
    [aux_sym_source_file_repeat1] = STATE(13),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_macro_rules_BANG] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(320),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_impl] = ACTIONS(57),
    [anon_sym_let] = ACTIONS(59),
    [anon_sym_loop] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_mod] = ACTIONS(65),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_trait] = ACTIONS(75),
    [anon_sym_type] = ACTIONS(77),
    [anon_sym_union] = ACTIONS(79),
    [anon_sym_unsafe] = ACTIONS(81),
    [anon_sym_use] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_extern] = ACTIONS(87),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(111),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [28] = {
    [sym__statement] = STATE(651),
    [sym_empty_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_macro_definition] = STATE(652),
    [sym_attribute_item] = STATE(652),
    [sym_inner_attribute_item] = STATE(652),
    [sym_mod_item] = STATE(652),
    [sym_foreign_mod_item] = STATE(652),
    [sym_struct_item] = STATE(652),
    [sym_union_item] = STATE(652),
    [sym_enum_item] = STATE(652),
    [sym_extern_crate_declaration] = STATE(652),
    [sym_const_item] = STATE(652),
    [sym_static_item] = STATE(652),
    [sym_type_item] = STATE(652),
    [sym_function_item] = STATE(652),
    [sym_function_signature_item] = STATE(652),
    [sym_function_modifiers] = STATE(3452),
    [sym_impl_item] = STATE(652),
    [sym_trait_item] = STATE(652),
    [sym_associated_type] = STATE(652),
    [sym_let_declaration] = STATE(652),
    [sym_use_declaration] = STATE(652),
    [sym_extern_modifier] = STATE(2160),
    [sym_visibility_modifier] = STATE(1932),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1831),
    [sym_macro_invocation] = STATE(395),
    [sym_scoped_identifier] = STATE(1534),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(391),
    [sym_match_expression] = STATE(391),
    [sym_while_expression] = STATE(391),
    [sym_loop_expression] = STATE(391),
    [sym_for_expression] = STATE(391),
    [sym_const_block] = STATE(391),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3544),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(391),
    [sym_async_block] = STATE(391),
    [sym_try_block] = STATE(391),
    [sym_block] = STATE(391),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(28),
    [sym_block_comment] = STATE(28),
    [aux_sym_source_file_repeat1] = STATE(29),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_macro_rules_BANG] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(322),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_impl] = ACTIONS(57),
    [anon_sym_let] = ACTIONS(59),
    [anon_sym_loop] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_mod] = ACTIONS(65),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_trait] = ACTIONS(75),
    [anon_sym_type] = ACTIONS(77),
    [anon_sym_union] = ACTIONS(79),
    [anon_sym_unsafe] = ACTIONS(81),
    [anon_sym_use] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_extern] = ACTIONS(87),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(111),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [29] = {
    [sym__statement] = STATE(651),
    [sym_empty_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_macro_definition] = STATE(652),
    [sym_attribute_item] = STATE(652),
    [sym_inner_attribute_item] = STATE(652),
    [sym_mod_item] = STATE(652),
    [sym_foreign_mod_item] = STATE(652),
    [sym_struct_item] = STATE(652),
    [sym_union_item] = STATE(652),
    [sym_enum_item] = STATE(652),
    [sym_extern_crate_declaration] = STATE(652),
    [sym_const_item] = STATE(652),
    [sym_static_item] = STATE(652),
    [sym_type_item] = STATE(652),
    [sym_function_item] = STATE(652),
    [sym_function_signature_item] = STATE(652),
    [sym_function_modifiers] = STATE(3452),
    [sym_impl_item] = STATE(652),
    [sym_trait_item] = STATE(652),
    [sym_associated_type] = STATE(652),
    [sym_let_declaration] = STATE(652),
    [sym_use_declaration] = STATE(652),
    [sym_extern_modifier] = STATE(2160),
    [sym_visibility_modifier] = STATE(1932),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1832),
    [sym_macro_invocation] = STATE(395),
    [sym_scoped_identifier] = STATE(1534),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(391),
    [sym_match_expression] = STATE(391),
    [sym_while_expression] = STATE(391),
    [sym_loop_expression] = STATE(391),
    [sym_for_expression] = STATE(391),
    [sym_const_block] = STATE(391),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3544),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(391),
    [sym_async_block] = STATE(391),
    [sym_try_block] = STATE(391),
    [sym_block] = STATE(391),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(29),
    [sym_block_comment] = STATE(29),
    [aux_sym_source_file_repeat1] = STATE(13),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_macro_rules_BANG] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(324),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_impl] = ACTIONS(57),
    [anon_sym_let] = ACTIONS(59),
    [anon_sym_loop] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_mod] = ACTIONS(65),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_trait] = ACTIONS(75),
    [anon_sym_type] = ACTIONS(77),
    [anon_sym_union] = ACTIONS(79),
    [anon_sym_unsafe] = ACTIONS(81),
    [anon_sym_use] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_extern] = ACTIONS(87),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(111),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [30] = {
    [sym__statement] = STATE(651),
    [sym_empty_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_macro_definition] = STATE(652),
    [sym_attribute_item] = STATE(652),
    [sym_inner_attribute_item] = STATE(652),
    [sym_mod_item] = STATE(652),
    [sym_foreign_mod_item] = STATE(652),
    [sym_struct_item] = STATE(652),
    [sym_union_item] = STATE(652),
    [sym_enum_item] = STATE(652),
    [sym_extern_crate_declaration] = STATE(652),
    [sym_const_item] = STATE(652),
    [sym_static_item] = STATE(652),
    [sym_type_item] = STATE(652),
    [sym_function_item] = STATE(652),
    [sym_function_signature_item] = STATE(652),
    [sym_function_modifiers] = STATE(3452),
    [sym_impl_item] = STATE(652),
    [sym_trait_item] = STATE(652),
    [sym_associated_type] = STATE(652),
    [sym_let_declaration] = STATE(652),
    [sym_use_declaration] = STATE(652),
    [sym_extern_modifier] = STATE(2160),
    [sym_visibility_modifier] = STATE(1932),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1833),
    [sym_macro_invocation] = STATE(395),
    [sym_scoped_identifier] = STATE(1534),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(391),
    [sym_match_expression] = STATE(391),
    [sym_while_expression] = STATE(391),
    [sym_loop_expression] = STATE(391),
    [sym_for_expression] = STATE(391),
    [sym_const_block] = STATE(391),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3544),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(391),
    [sym_async_block] = STATE(391),
    [sym_try_block] = STATE(391),
    [sym_block] = STATE(391),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(30),
    [sym_block_comment] = STATE(30),
    [aux_sym_source_file_repeat1] = STATE(31),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_macro_rules_BANG] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(326),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_impl] = ACTIONS(57),
    [anon_sym_let] = ACTIONS(59),
    [anon_sym_loop] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_mod] = ACTIONS(65),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_trait] = ACTIONS(75),
    [anon_sym_type] = ACTIONS(77),
    [anon_sym_union] = ACTIONS(79),
    [anon_sym_unsafe] = ACTIONS(81),
    [anon_sym_use] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_extern] = ACTIONS(87),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(111),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [31] = {
    [sym__statement] = STATE(651),
    [sym_empty_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_macro_definition] = STATE(652),
    [sym_attribute_item] = STATE(652),
    [sym_inner_attribute_item] = STATE(652),
    [sym_mod_item] = STATE(652),
    [sym_foreign_mod_item] = STATE(652),
    [sym_struct_item] = STATE(652),
    [sym_union_item] = STATE(652),
    [sym_enum_item] = STATE(652),
    [sym_extern_crate_declaration] = STATE(652),
    [sym_const_item] = STATE(652),
    [sym_static_item] = STATE(652),
    [sym_type_item] = STATE(652),
    [sym_function_item] = STATE(652),
    [sym_function_signature_item] = STATE(652),
    [sym_function_modifiers] = STATE(3452),
    [sym_impl_item] = STATE(652),
    [sym_trait_item] = STATE(652),
    [sym_associated_type] = STATE(652),
    [sym_let_declaration] = STATE(652),
    [sym_use_declaration] = STATE(652),
    [sym_extern_modifier] = STATE(2160),
    [sym_visibility_modifier] = STATE(1932),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1834),
    [sym_macro_invocation] = STATE(395),
    [sym_scoped_identifier] = STATE(1534),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(391),
    [sym_match_expression] = STATE(391),
    [sym_while_expression] = STATE(391),
    [sym_loop_expression] = STATE(391),
    [sym_for_expression] = STATE(391),
    [sym_const_block] = STATE(391),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3544),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(391),
    [sym_async_block] = STATE(391),
    [sym_try_block] = STATE(391),
    [sym_block] = STATE(391),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(31),
    [sym_block_comment] = STATE(31),
    [aux_sym_source_file_repeat1] = STATE(13),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_macro_rules_BANG] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(328),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_impl] = ACTIONS(57),
    [anon_sym_let] = ACTIONS(59),
    [anon_sym_loop] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_mod] = ACTIONS(65),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_trait] = ACTIONS(75),
    [anon_sym_type] = ACTIONS(77),
    [anon_sym_union] = ACTIONS(79),
    [anon_sym_unsafe] = ACTIONS(81),
    [anon_sym_use] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_extern] = ACTIONS(87),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(111),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [32] = {
    [sym__statement] = STATE(651),
    [sym_empty_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_macro_definition] = STATE(652),
    [sym_attribute_item] = STATE(652),
    [sym_inner_attribute_item] = STATE(652),
    [sym_mod_item] = STATE(652),
    [sym_foreign_mod_item] = STATE(652),
    [sym_struct_item] = STATE(652),
    [sym_union_item] = STATE(652),
    [sym_enum_item] = STATE(652),
    [sym_extern_crate_declaration] = STATE(652),
    [sym_const_item] = STATE(652),
    [sym_static_item] = STATE(652),
    [sym_type_item] = STATE(652),
    [sym_function_item] = STATE(652),
    [sym_function_signature_item] = STATE(652),
    [sym_function_modifiers] = STATE(3452),
    [sym_impl_item] = STATE(652),
    [sym_trait_item] = STATE(652),
    [sym_associated_type] = STATE(652),
    [sym_let_declaration] = STATE(652),
    [sym_use_declaration] = STATE(652),
    [sym_extern_modifier] = STATE(2160),
    [sym_visibility_modifier] = STATE(1932),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1835),
    [sym_macro_invocation] = STATE(395),
    [sym_scoped_identifier] = STATE(1534),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(391),
    [sym_match_expression] = STATE(391),
    [sym_while_expression] = STATE(391),
    [sym_loop_expression] = STATE(391),
    [sym_for_expression] = STATE(391),
    [sym_const_block] = STATE(391),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3544),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(391),
    [sym_async_block] = STATE(391),
    [sym_try_block] = STATE(391),
    [sym_block] = STATE(391),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(32),
    [sym_block_comment] = STATE(32),
    [aux_sym_source_file_repeat1] = STATE(33),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_macro_rules_BANG] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(330),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_impl] = ACTIONS(57),
    [anon_sym_let] = ACTIONS(59),
    [anon_sym_loop] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_mod] = ACTIONS(65),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_trait] = ACTIONS(75),
    [anon_sym_type] = ACTIONS(77),
    [anon_sym_union] = ACTIONS(79),
    [anon_sym_unsafe] = ACTIONS(81),
    [anon_sym_use] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_extern] = ACTIONS(87),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(111),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [33] = {
    [sym__statement] = STATE(651),
    [sym_empty_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_macro_definition] = STATE(652),
    [sym_attribute_item] = STATE(652),
    [sym_inner_attribute_item] = STATE(652),
    [sym_mod_item] = STATE(652),
    [sym_foreign_mod_item] = STATE(652),
    [sym_struct_item] = STATE(652),
    [sym_union_item] = STATE(652),
    [sym_enum_item] = STATE(652),
    [sym_extern_crate_declaration] = STATE(652),
    [sym_const_item] = STATE(652),
    [sym_static_item] = STATE(652),
    [sym_type_item] = STATE(652),
    [sym_function_item] = STATE(652),
    [sym_function_signature_item] = STATE(652),
    [sym_function_modifiers] = STATE(3452),
    [sym_impl_item] = STATE(652),
    [sym_trait_item] = STATE(652),
    [sym_associated_type] = STATE(652),
    [sym_let_declaration] = STATE(652),
    [sym_use_declaration] = STATE(652),
    [sym_extern_modifier] = STATE(2160),
    [sym_visibility_modifier] = STATE(1932),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1836),
    [sym_macro_invocation] = STATE(395),
    [sym_scoped_identifier] = STATE(1534),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(391),
    [sym_match_expression] = STATE(391),
    [sym_while_expression] = STATE(391),
    [sym_loop_expression] = STATE(391),
    [sym_for_expression] = STATE(391),
    [sym_const_block] = STATE(391),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3544),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(391),
    [sym_async_block] = STATE(391),
    [sym_try_block] = STATE(391),
    [sym_block] = STATE(391),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(33),
    [sym_block_comment] = STATE(33),
    [aux_sym_source_file_repeat1] = STATE(13),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_macro_rules_BANG] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_RBRACE] = ACTIONS(332),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_impl] = ACTIONS(57),
    [anon_sym_let] = ACTIONS(59),
    [anon_sym_loop] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_mod] = ACTIONS(65),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_trait] = ACTIONS(75),
    [anon_sym_type] = ACTIONS(77),
    [anon_sym_union] = ACTIONS(79),
    [anon_sym_unsafe] = ACTIONS(81),
    [anon_sym_use] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_extern] = ACTIONS(87),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(111),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [34] = {
    [sym__statement] = STATE(651),
    [sym_empty_statement] = STATE(652),
    [sym_expression_statement] = STATE(652),
    [sym_macro_definition] = STATE(652),
    [sym_attribute_item] = STATE(652),
    [sym_inner_attribute_item] = STATE(652),
    [sym_mod_item] = STATE(652),
    [sym_foreign_mod_item] = STATE(652),
    [sym_struct_item] = STATE(652),
    [sym_union_item] = STATE(652),
    [sym_enum_item] = STATE(652),
    [sym_extern_crate_declaration] = STATE(652),
    [sym_const_item] = STATE(652),
    [sym_static_item] = STATE(652),
    [sym_type_item] = STATE(652),
    [sym_function_item] = STATE(652),
    [sym_function_signature_item] = STATE(652),
    [sym_function_modifiers] = STATE(3452),
    [sym_impl_item] = STATE(652),
    [sym_trait_item] = STATE(652),
    [sym_associated_type] = STATE(652),
    [sym_let_declaration] = STATE(652),
    [sym_use_declaration] = STATE(652),
    [sym_extern_modifier] = STATE(2160),
    [sym_visibility_modifier] = STATE(1932),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1845),
    [sym_macro_invocation] = STATE(395),
    [sym_scoped_identifier] = STATE(1534),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(391),
    [sym_match_expression] = STATE(391),
    [sym_while_expression] = STATE(391),
    [sym_loop_expression] = STATE(391),
    [sym_for_expression] = STATE(391),
    [sym_const_block] = STATE(391),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3544),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(391),
    [sym_async_block] = STATE(391),
    [sym_try_block] = STATE(391),
    [sym_block] = STATE(391),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(34),
    [sym_block_comment] = STATE(34),
    [aux_sym_source_file_repeat1] = STATE(8),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [ts_builtin_sym_end] = ACTIONS(123),
    [sym_identifier] = ACTIONS(9),
    [anon_sym_SEMI] = ACTIONS(11),
    [anon_sym_macro_rules_BANG] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(19),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(119),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(43),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(47),
    [anon_sym_enum] = ACTIONS(49),
    [anon_sym_fn] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_if] = ACTIONS(55),
    [anon_sym_impl] = ACTIONS(57),
    [anon_sym_let] = ACTIONS(59),
    [anon_sym_loop] = ACTIONS(61),
    [anon_sym_match] = ACTIONS(63),
    [anon_sym_mod] = ACTIONS(65),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(71),
    [anon_sym_struct] = ACTIONS(73),
    [anon_sym_trait] = ACTIONS(75),
    [anon_sym_type] = ACTIONS(77),
    [anon_sym_union] = ACTIONS(79),
    [anon_sym_unsafe] = ACTIONS(81),
    [anon_sym_use] = ACTIONS(83),
    [anon_sym_while] = ACTIONS(85),
    [anon_sym_extern] = ACTIONS(87),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(93),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(111),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [35] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1483),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(35),
    [sym_block_comment] = STATE(35),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_SEMI] = ACTIONS(336),
    [anon_sym_LPAREN] = ACTIONS(336),
    [anon_sym_RPAREN] = ACTIONS(336),
    [anon_sym_LBRACK] = ACTIONS(336),
    [anon_sym_RBRACK] = ACTIONS(336),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_RBRACE] = ACTIONS(336),
    [anon_sym_COLON] = ACTIONS(340),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_QMARK] = ACTIONS(336),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_BANG] = ACTIONS(344),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_AMP_AMP] = ACTIONS(336),
    [anon_sym_PIPE_PIPE] = ACTIONS(336),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_PLUS_EQ] = ACTIONS(336),
    [anon_sym_DASH_EQ] = ACTIONS(336),
    [anon_sym_STAR_EQ] = ACTIONS(336),
    [anon_sym_SLASH_EQ] = ACTIONS(336),
    [anon_sym_PERCENT_EQ] = ACTIONS(336),
    [anon_sym_CARET_EQ] = ACTIONS(336),
    [anon_sym_AMP_EQ] = ACTIONS(336),
    [anon_sym_PIPE_EQ] = ACTIONS(336),
    [anon_sym_LT_LT_EQ] = ACTIONS(336),
    [anon_sym_GT_GT_EQ] = ACTIONS(336),
    [anon_sym_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ] = ACTIONS(336),
    [anon_sym_BANG_EQ] = ACTIONS(336),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT_EQ] = ACTIONS(336),
    [anon_sym_LT_EQ] = ACTIONS(336),
    [anon_sym_DOT] = ACTIONS(342),
    [anon_sym_DOT_DOT] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(336),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(336),
    [anon_sym_COMMA] = ACTIONS(336),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_as] = ACTIONS(342),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_else] = ACTIONS(342),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [36] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1482),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(36),
    [sym_block_comment] = STATE(36),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_RPAREN] = ACTIONS(368),
    [anon_sym_LBRACK] = ACTIONS(368),
    [anon_sym_RBRACK] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_RBRACE] = ACTIONS(368),
    [anon_sym_PLUS] = ACTIONS(370),
    [anon_sym_STAR] = ACTIONS(370),
    [anon_sym_QMARK] = ACTIONS(368),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(370),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_PERCENT] = ACTIONS(370),
    [anon_sym_CARET] = ACTIONS(370),
    [anon_sym_BANG] = ACTIONS(344),
    [anon_sym_AMP] = ACTIONS(370),
    [anon_sym_PIPE] = ACTIONS(370),
    [anon_sym_AMP_AMP] = ACTIONS(368),
    [anon_sym_PIPE_PIPE] = ACTIONS(368),
    [anon_sym_LT_LT] = ACTIONS(370),
    [anon_sym_GT_GT] = ACTIONS(370),
    [anon_sym_PLUS_EQ] = ACTIONS(368),
    [anon_sym_DASH_EQ] = ACTIONS(368),
    [anon_sym_STAR_EQ] = ACTIONS(368),
    [anon_sym_SLASH_EQ] = ACTIONS(368),
    [anon_sym_PERCENT_EQ] = ACTIONS(368),
    [anon_sym_CARET_EQ] = ACTIONS(368),
    [anon_sym_AMP_EQ] = ACTIONS(368),
    [anon_sym_PIPE_EQ] = ACTIONS(368),
    [anon_sym_LT_LT_EQ] = ACTIONS(368),
    [anon_sym_GT_GT_EQ] = ACTIONS(368),
    [anon_sym_EQ] = ACTIONS(370),
    [anon_sym_EQ_EQ] = ACTIONS(368),
    [anon_sym_BANG_EQ] = ACTIONS(368),
    [anon_sym_GT] = ACTIONS(370),
    [anon_sym_LT] = ACTIONS(370),
    [anon_sym_GT_EQ] = ACTIONS(368),
    [anon_sym_LT_EQ] = ACTIONS(368),
    [anon_sym_DOT] = ACTIONS(370),
    [anon_sym_DOT_DOT] = ACTIONS(370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(368),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(368),
    [anon_sym_COMMA] = ACTIONS(368),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_as] = ACTIONS(370),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_else] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [37] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1499),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(37),
    [sym_block_comment] = STATE(37),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_SEMI] = ACTIONS(372),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_RPAREN] = ACTIONS(372),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_RBRACK] = ACTIONS(372),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_RBRACE] = ACTIONS(372),
    [anon_sym_PLUS] = ACTIONS(374),
    [anon_sym_STAR] = ACTIONS(344),
    [anon_sym_QMARK] = ACTIONS(372),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_SLASH] = ACTIONS(374),
    [anon_sym_PERCENT] = ACTIONS(374),
    [anon_sym_CARET] = ACTIONS(374),
    [anon_sym_BANG] = ACTIONS(344),
    [anon_sym_AMP] = ACTIONS(376),
    [anon_sym_PIPE] = ACTIONS(378),
    [anon_sym_AMP_AMP] = ACTIONS(372),
    [anon_sym_PIPE_PIPE] = ACTIONS(372),
    [anon_sym_LT_LT] = ACTIONS(374),
    [anon_sym_GT_GT] = ACTIONS(374),
    [anon_sym_PLUS_EQ] = ACTIONS(372),
    [anon_sym_DASH_EQ] = ACTIONS(372),
    [anon_sym_STAR_EQ] = ACTIONS(372),
    [anon_sym_SLASH_EQ] = ACTIONS(372),
    [anon_sym_PERCENT_EQ] = ACTIONS(372),
    [anon_sym_CARET_EQ] = ACTIONS(372),
    [anon_sym_AMP_EQ] = ACTIONS(372),
    [anon_sym_PIPE_EQ] = ACTIONS(372),
    [anon_sym_LT_LT_EQ] = ACTIONS(372),
    [anon_sym_GT_GT_EQ] = ACTIONS(372),
    [anon_sym_EQ] = ACTIONS(374),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_GT] = ACTIONS(374),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_GT_EQ] = ACTIONS(372),
    [anon_sym_LT_EQ] = ACTIONS(372),
    [anon_sym_DOT] = ACTIONS(374),
    [anon_sym_DOT_DOT] = ACTIONS(382),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(372),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(372),
    [anon_sym_COMMA] = ACTIONS(372),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_as] = ACTIONS(374),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_else] = ACTIONS(374),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [38] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1493),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(38),
    [sym_block_comment] = STATE(38),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_SEMI] = ACTIONS(384),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_RPAREN] = ACTIONS(384),
    [anon_sym_LBRACK] = ACTIONS(384),
    [anon_sym_RBRACK] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_RBRACE] = ACTIONS(384),
    [anon_sym_PLUS] = ACTIONS(386),
    [anon_sym_STAR] = ACTIONS(386),
    [anon_sym_QMARK] = ACTIONS(384),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(386),
    [anon_sym_SLASH] = ACTIONS(386),
    [anon_sym_PERCENT] = ACTIONS(386),
    [anon_sym_CARET] = ACTIONS(386),
    [anon_sym_BANG] = ACTIONS(344),
    [anon_sym_AMP] = ACTIONS(386),
    [anon_sym_PIPE] = ACTIONS(386),
    [anon_sym_AMP_AMP] = ACTIONS(384),
    [anon_sym_PIPE_PIPE] = ACTIONS(384),
    [anon_sym_LT_LT] = ACTIONS(386),
    [anon_sym_GT_GT] = ACTIONS(386),
    [anon_sym_PLUS_EQ] = ACTIONS(384),
    [anon_sym_DASH_EQ] = ACTIONS(384),
    [anon_sym_STAR_EQ] = ACTIONS(384),
    [anon_sym_SLASH_EQ] = ACTIONS(384),
    [anon_sym_PERCENT_EQ] = ACTIONS(384),
    [anon_sym_CARET_EQ] = ACTIONS(384),
    [anon_sym_AMP_EQ] = ACTIONS(384),
    [anon_sym_PIPE_EQ] = ACTIONS(384),
    [anon_sym_LT_LT_EQ] = ACTIONS(384),
    [anon_sym_GT_GT_EQ] = ACTIONS(384),
    [anon_sym_EQ] = ACTIONS(386),
    [anon_sym_EQ_EQ] = ACTIONS(384),
    [anon_sym_BANG_EQ] = ACTIONS(384),
    [anon_sym_GT] = ACTIONS(386),
    [anon_sym_LT] = ACTIONS(386),
    [anon_sym_GT_EQ] = ACTIONS(384),
    [anon_sym_LT_EQ] = ACTIONS(384),
    [anon_sym_DOT] = ACTIONS(386),
    [anon_sym_DOT_DOT] = ACTIONS(386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(384),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(384),
    [anon_sym_COMMA] = ACTIONS(384),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_as] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_else] = ACTIONS(386),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [39] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1493),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(39),
    [sym_block_comment] = STATE(39),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_SEMI] = ACTIONS(384),
    [anon_sym_LPAREN] = ACTIONS(384),
    [anon_sym_RPAREN] = ACTIONS(384),
    [anon_sym_LBRACK] = ACTIONS(384),
    [anon_sym_RBRACK] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_RBRACE] = ACTIONS(384),
    [anon_sym_PLUS] = ACTIONS(386),
    [anon_sym_STAR] = ACTIONS(386),
    [anon_sym_QMARK] = ACTIONS(384),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(386),
    [anon_sym_SLASH] = ACTIONS(386),
    [anon_sym_PERCENT] = ACTIONS(386),
    [anon_sym_CARET] = ACTIONS(386),
    [anon_sym_BANG] = ACTIONS(344),
    [anon_sym_AMP] = ACTIONS(386),
    [anon_sym_PIPE] = ACTIONS(386),
    [anon_sym_AMP_AMP] = ACTIONS(384),
    [anon_sym_PIPE_PIPE] = ACTIONS(384),
    [anon_sym_LT_LT] = ACTIONS(386),
    [anon_sym_GT_GT] = ACTIONS(386),
    [anon_sym_PLUS_EQ] = ACTIONS(384),
    [anon_sym_DASH_EQ] = ACTIONS(384),
    [anon_sym_STAR_EQ] = ACTIONS(384),
    [anon_sym_SLASH_EQ] = ACTIONS(384),
    [anon_sym_PERCENT_EQ] = ACTIONS(384),
    [anon_sym_CARET_EQ] = ACTIONS(384),
    [anon_sym_AMP_EQ] = ACTIONS(384),
    [anon_sym_PIPE_EQ] = ACTIONS(384),
    [anon_sym_LT_LT_EQ] = ACTIONS(384),
    [anon_sym_GT_GT_EQ] = ACTIONS(384),
    [anon_sym_EQ] = ACTIONS(386),
    [anon_sym_EQ_EQ] = ACTIONS(384),
    [anon_sym_BANG_EQ] = ACTIONS(384),
    [anon_sym_GT] = ACTIONS(386),
    [anon_sym_LT] = ACTIONS(386),
    [anon_sym_GT_EQ] = ACTIONS(384),
    [anon_sym_LT_EQ] = ACTIONS(384),
    [anon_sym_DOT] = ACTIONS(386),
    [anon_sym_DOT_DOT] = ACTIONS(386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(384),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(384),
    [anon_sym_COMMA] = ACTIONS(384),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_as] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_else] = ACTIONS(386),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [40] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1482),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(40),
    [sym_block_comment] = STATE(40),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_SEMI] = ACTIONS(368),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_RPAREN] = ACTIONS(368),
    [anon_sym_LBRACK] = ACTIONS(368),
    [anon_sym_RBRACK] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_RBRACE] = ACTIONS(368),
    [anon_sym_PLUS] = ACTIONS(370),
    [anon_sym_STAR] = ACTIONS(370),
    [anon_sym_QMARK] = ACTIONS(368),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(370),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_PERCENT] = ACTIONS(370),
    [anon_sym_CARET] = ACTIONS(370),
    [anon_sym_BANG] = ACTIONS(344),
    [anon_sym_AMP] = ACTIONS(370),
    [anon_sym_PIPE] = ACTIONS(370),
    [anon_sym_AMP_AMP] = ACTIONS(368),
    [anon_sym_PIPE_PIPE] = ACTIONS(368),
    [anon_sym_LT_LT] = ACTIONS(370),
    [anon_sym_GT_GT] = ACTIONS(370),
    [anon_sym_PLUS_EQ] = ACTIONS(368),
    [anon_sym_DASH_EQ] = ACTIONS(368),
    [anon_sym_STAR_EQ] = ACTIONS(368),
    [anon_sym_SLASH_EQ] = ACTIONS(368),
    [anon_sym_PERCENT_EQ] = ACTIONS(368),
    [anon_sym_CARET_EQ] = ACTIONS(368),
    [anon_sym_AMP_EQ] = ACTIONS(368),
    [anon_sym_PIPE_EQ] = ACTIONS(368),
    [anon_sym_LT_LT_EQ] = ACTIONS(368),
    [anon_sym_GT_GT_EQ] = ACTIONS(368),
    [anon_sym_EQ] = ACTIONS(370),
    [anon_sym_EQ_EQ] = ACTIONS(368),
    [anon_sym_BANG_EQ] = ACTIONS(368),
    [anon_sym_GT] = ACTIONS(370),
    [anon_sym_LT] = ACTIONS(370),
    [anon_sym_GT_EQ] = ACTIONS(368),
    [anon_sym_LT_EQ] = ACTIONS(368),
    [anon_sym_DOT] = ACTIONS(370),
    [anon_sym_DOT_DOT] = ACTIONS(370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(368),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(368),
    [anon_sym_COMMA] = ACTIONS(368),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_as] = ACTIONS(370),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_else] = ACTIONS(370),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [41] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1502),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(35),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(41),
    [sym_block_comment] = STATE(41),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_SEMI] = ACTIONS(388),
    [anon_sym_LPAREN] = ACTIONS(388),
    [anon_sym_RPAREN] = ACTIONS(388),
    [anon_sym_LBRACK] = ACTIONS(388),
    [anon_sym_RBRACK] = ACTIONS(388),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_RBRACE] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_STAR] = ACTIONS(390),
    [anon_sym_QMARK] = ACTIONS(388),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_SLASH] = ACTIONS(390),
    [anon_sym_PERCENT] = ACTIONS(390),
    [anon_sym_CARET] = ACTIONS(390),
    [anon_sym_BANG] = ACTIONS(344),
    [anon_sym_AMP] = ACTIONS(390),
    [anon_sym_PIPE] = ACTIONS(390),
    [anon_sym_AMP_AMP] = ACTIONS(388),
    [anon_sym_PIPE_PIPE] = ACTIONS(388),
    [anon_sym_LT_LT] = ACTIONS(390),
    [anon_sym_GT_GT] = ACTIONS(390),
    [anon_sym_PLUS_EQ] = ACTIONS(388),
    [anon_sym_DASH_EQ] = ACTIONS(388),
    [anon_sym_STAR_EQ] = ACTIONS(388),
    [anon_sym_SLASH_EQ] = ACTIONS(388),
    [anon_sym_PERCENT_EQ] = ACTIONS(388),
    [anon_sym_CARET_EQ] = ACTIONS(388),
    [anon_sym_AMP_EQ] = ACTIONS(388),
    [anon_sym_PIPE_EQ] = ACTIONS(388),
    [anon_sym_LT_LT_EQ] = ACTIONS(388),
    [anon_sym_GT_GT_EQ] = ACTIONS(388),
    [anon_sym_EQ] = ACTIONS(390),
    [anon_sym_EQ_EQ] = ACTIONS(388),
    [anon_sym_BANG_EQ] = ACTIONS(388),
    [anon_sym_GT] = ACTIONS(390),
    [anon_sym_LT] = ACTIONS(390),
    [anon_sym_GT_EQ] = ACTIONS(388),
    [anon_sym_LT_EQ] = ACTIONS(388),
    [anon_sym_DOT] = ACTIONS(390),
    [anon_sym_DOT_DOT] = ACTIONS(390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(388),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(388),
    [anon_sym_COMMA] = ACTIONS(388),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(392),
    [anon_sym_as] = ACTIONS(390),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_else] = ACTIONS(390),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [42] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1489),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(42),
    [sym_block_comment] = STATE(42),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_SEMI] = ACTIONS(394),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_RPAREN] = ACTIONS(394),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_RBRACK] = ACTIONS(394),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_RBRACE] = ACTIONS(394),
    [anon_sym_PLUS] = ACTIONS(396),
    [anon_sym_STAR] = ACTIONS(344),
    [anon_sym_QMARK] = ACTIONS(394),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_PERCENT] = ACTIONS(396),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(344),
    [anon_sym_AMP] = ACTIONS(376),
    [anon_sym_PIPE] = ACTIONS(378),
    [anon_sym_AMP_AMP] = ACTIONS(394),
    [anon_sym_PIPE_PIPE] = ACTIONS(394),
    [anon_sym_LT_LT] = ACTIONS(396),
    [anon_sym_GT_GT] = ACTIONS(396),
    [anon_sym_PLUS_EQ] = ACTIONS(394),
    [anon_sym_DASH_EQ] = ACTIONS(394),
    [anon_sym_STAR_EQ] = ACTIONS(394),
    [anon_sym_SLASH_EQ] = ACTIONS(394),
    [anon_sym_PERCENT_EQ] = ACTIONS(394),
    [anon_sym_CARET_EQ] = ACTIONS(394),
    [anon_sym_AMP_EQ] = ACTIONS(394),
    [anon_sym_PIPE_EQ] = ACTIONS(394),
    [anon_sym_LT_LT_EQ] = ACTIONS(394),
    [anon_sym_GT_GT_EQ] = ACTIONS(394),
    [anon_sym_EQ] = ACTIONS(396),
    [anon_sym_EQ_EQ] = ACTIONS(394),
    [anon_sym_BANG_EQ] = ACTIONS(394),
    [anon_sym_GT] = ACTIONS(396),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_GT_EQ] = ACTIONS(394),
    [anon_sym_LT_EQ] = ACTIONS(394),
    [anon_sym_DOT] = ACTIONS(396),
    [anon_sym_DOT_DOT] = ACTIONS(382),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(394),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(394),
    [anon_sym_COMMA] = ACTIONS(394),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_as] = ACTIONS(396),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_else] = ACTIONS(396),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [43] = {
    [sym_bracketed_type] = STATE(3498),
    [sym_generic_function] = STATE(1637),
    [sym_generic_type_with_turbofish] = STATE(2956),
    [sym__expression_except_range] = STATE(1604),
    [sym__expression] = STATE(1749),
    [sym_macro_invocation] = STATE(1641),
    [sym_scoped_identifier] = STATE(1546),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3100),
    [sym_range_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1637),
    [sym_try_expression] = STATE(1637),
    [sym_reference_expression] = STATE(1637),
    [sym_binary_expression] = STATE(1637),
    [sym_assignment_expression] = STATE(1637),
    [sym_compound_assignment_expr] = STATE(1637),
    [sym_type_cast_expression] = STATE(1637),
    [sym_return_expression] = STATE(1637),
    [sym_yield_expression] = STATE(1637),
    [sym_call_expression] = STATE(1637),
    [sym_array_expression] = STATE(1637),
    [sym_parenthesized_expression] = STATE(1637),
    [sym_tuple_expression] = STATE(1637),
    [sym_unit_expression] = STATE(1637),
    [sym_struct_expression] = STATE(1637),
    [sym_if_expression] = STATE(1637),
    [sym_match_expression] = STATE(1637),
    [sym_while_expression] = STATE(1637),
    [sym_loop_expression] = STATE(1637),
    [sym_for_expression] = STATE(1637),
    [sym_const_block] = STATE(1637),
    [sym_closure_expression] = STATE(1637),
    [sym_closure_parameters] = STATE(237),
    [sym_label] = STATE(3585),
    [sym_break_expression] = STATE(1637),
    [sym_continue_expression] = STATE(1637),
    [sym_index_expression] = STATE(1637),
    [sym_await_expression] = STATE(1637),
    [sym_field_expression] = STATE(1620),
    [sym_unsafe_block] = STATE(1637),
    [sym_async_block] = STATE(1637),
    [sym_try_block] = STATE(1637),
    [sym_block] = STATE(1637),
    [sym__literal] = STATE(1637),
    [sym_string_literal] = STATE(1778),
    [sym_raw_string_literal] = STATE(1778),
    [sym_boolean_literal] = STATE(1778),
    [sym_line_comment] = STATE(43),
    [sym_block_comment] = STATE(43),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(336),
    [anon_sym_LBRACK] = ACTIONS(336),
    [anon_sym_LBRACE] = ACTIONS(400),
    [anon_sym_EQ_GT] = ACTIONS(336),
    [anon_sym_COLON] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_QMARK] = ACTIONS(336),
    [anon_sym_u8] = ACTIONS(404),
    [anon_sym_i8] = ACTIONS(404),
    [anon_sym_u16] = ACTIONS(404),
    [anon_sym_i16] = ACTIONS(404),
    [anon_sym_u32] = ACTIONS(404),
    [anon_sym_i32] = ACTIONS(404),
    [anon_sym_u64] = ACTIONS(404),
    [anon_sym_i64] = ACTIONS(404),
    [anon_sym_u128] = ACTIONS(404),
    [anon_sym_i128] = ACTIONS(404),
    [anon_sym_isize] = ACTIONS(404),
    [anon_sym_usize] = ACTIONS(404),
    [anon_sym_f32] = ACTIONS(404),
    [anon_sym_f64] = ACTIONS(404),
    [anon_sym_bool] = ACTIONS(404),
    [anon_sym_str] = ACTIONS(404),
    [anon_sym_char] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_BANG] = ACTIONS(406),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_AMP_AMP] = ACTIONS(336),
    [anon_sym_PIPE_PIPE] = ACTIONS(336),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_PLUS_EQ] = ACTIONS(336),
    [anon_sym_DASH_EQ] = ACTIONS(336),
    [anon_sym_STAR_EQ] = ACTIONS(336),
    [anon_sym_SLASH_EQ] = ACTIONS(336),
    [anon_sym_PERCENT_EQ] = ACTIONS(336),
    [anon_sym_CARET_EQ] = ACTIONS(336),
    [anon_sym_AMP_EQ] = ACTIONS(336),
    [anon_sym_PIPE_EQ] = ACTIONS(336),
    [anon_sym_LT_LT_EQ] = ACTIONS(336),
    [anon_sym_GT_GT_EQ] = ACTIONS(336),
    [anon_sym_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ] = ACTIONS(336),
    [anon_sym_BANG_EQ] = ACTIONS(336),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT_EQ] = ACTIONS(336),
    [anon_sym_LT_EQ] = ACTIONS(336),
    [anon_sym_DOT] = ACTIONS(342),
    [anon_sym_DOT_DOT] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(336),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(336),
    [anon_sym_COLON_COLON] = ACTIONS(408),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_as] = ACTIONS(342),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_break] = ACTIONS(412),
    [anon_sym_const] = ACTIONS(414),
    [anon_sym_continue] = ACTIONS(416),
    [anon_sym_default] = ACTIONS(418),
    [anon_sym_for] = ACTIONS(420),
    [anon_sym_if] = ACTIONS(422),
    [anon_sym_loop] = ACTIONS(424),
    [anon_sym_match] = ACTIONS(426),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_union] = ACTIONS(418),
    [anon_sym_unsafe] = ACTIONS(432),
    [anon_sym_while] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_move] = ACTIONS(438),
    [anon_sym_try] = ACTIONS(440),
    [sym_integer_literal] = ACTIONS(442),
    [aux_sym_string_literal_token1] = ACTIONS(444),
    [sym_char_literal] = ACTIONS(442),
    [anon_sym_true] = ACTIONS(446),
    [anon_sym_false] = ACTIONS(446),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(448),
    [sym_super] = ACTIONS(450),
    [sym_crate] = ACTIONS(450),
    [sym_metavariable] = ACTIONS(452),
    [sym__raw_string_literal_start] = ACTIONS(454),
    [sym_float_literal] = ACTIONS(442),
  },
  [44] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1710),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(234),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(44),
    [sym_block_comment] = STATE(44),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(336),
    [anon_sym_LBRACK] = ACTIONS(336),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_COLON] = ACTIONS(340),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_QMARK] = ACTIONS(336),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_BANG] = ACTIONS(460),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_AMP_AMP] = ACTIONS(336),
    [anon_sym_PIPE_PIPE] = ACTIONS(336),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_PLUS_EQ] = ACTIONS(336),
    [anon_sym_DASH_EQ] = ACTIONS(336),
    [anon_sym_STAR_EQ] = ACTIONS(336),
    [anon_sym_SLASH_EQ] = ACTIONS(336),
    [anon_sym_PERCENT_EQ] = ACTIONS(336),
    [anon_sym_CARET_EQ] = ACTIONS(336),
    [anon_sym_AMP_EQ] = ACTIONS(336),
    [anon_sym_PIPE_EQ] = ACTIONS(336),
    [anon_sym_LT_LT_EQ] = ACTIONS(336),
    [anon_sym_GT_GT_EQ] = ACTIONS(336),
    [anon_sym_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ] = ACTIONS(336),
    [anon_sym_BANG_EQ] = ACTIONS(336),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT_EQ] = ACTIONS(336),
    [anon_sym_LT_EQ] = ACTIONS(336),
    [anon_sym_DOT] = ACTIONS(342),
    [anon_sym_DOT_DOT] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(336),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(336),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_as] = ACTIONS(342),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(472),
    [anon_sym_move] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [45] = {
    [sym_bracketed_type] = STATE(3498),
    [sym_generic_function] = STATE(1637),
    [sym_generic_type_with_turbofish] = STATE(2956),
    [sym__expression_except_range] = STATE(1604),
    [sym__expression] = STATE(1648),
    [sym_macro_invocation] = STATE(1641),
    [sym_scoped_identifier] = STATE(1546),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3100),
    [sym_range_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1637),
    [sym_try_expression] = STATE(1637),
    [sym_reference_expression] = STATE(1637),
    [sym_binary_expression] = STATE(1637),
    [sym_assignment_expression] = STATE(1637),
    [sym_compound_assignment_expr] = STATE(1637),
    [sym_type_cast_expression] = STATE(1637),
    [sym_return_expression] = STATE(1637),
    [sym_yield_expression] = STATE(1637),
    [sym_call_expression] = STATE(1637),
    [sym_array_expression] = STATE(1637),
    [sym_parenthesized_expression] = STATE(1637),
    [sym_tuple_expression] = STATE(1637),
    [sym_unit_expression] = STATE(1637),
    [sym_struct_expression] = STATE(1637),
    [sym_if_expression] = STATE(1637),
    [sym_match_expression] = STATE(1637),
    [sym_while_expression] = STATE(1637),
    [sym_loop_expression] = STATE(1637),
    [sym_for_expression] = STATE(1637),
    [sym_const_block] = STATE(1637),
    [sym_closure_expression] = STATE(1637),
    [sym_closure_parameters] = STATE(237),
    [sym_label] = STATE(3585),
    [sym_break_expression] = STATE(1637),
    [sym_continue_expression] = STATE(1637),
    [sym_index_expression] = STATE(1637),
    [sym_await_expression] = STATE(1637),
    [sym_field_expression] = STATE(1620),
    [sym_unsafe_block] = STATE(1637),
    [sym_async_block] = STATE(1637),
    [sym_try_block] = STATE(1637),
    [sym_block] = STATE(1637),
    [sym__literal] = STATE(1637),
    [sym_string_literal] = STATE(1778),
    [sym_raw_string_literal] = STATE(1778),
    [sym_boolean_literal] = STATE(1778),
    [sym_line_comment] = STATE(45),
    [sym_block_comment] = STATE(45),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(400),
    [anon_sym_EQ_GT] = ACTIONS(394),
    [anon_sym_PLUS] = ACTIONS(396),
    [anon_sym_STAR] = ACTIONS(406),
    [anon_sym_QMARK] = ACTIONS(394),
    [anon_sym_u8] = ACTIONS(404),
    [anon_sym_i8] = ACTIONS(404),
    [anon_sym_u16] = ACTIONS(404),
    [anon_sym_i16] = ACTIONS(404),
    [anon_sym_u32] = ACTIONS(404),
    [anon_sym_i32] = ACTIONS(404),
    [anon_sym_u64] = ACTIONS(404),
    [anon_sym_i64] = ACTIONS(404),
    [anon_sym_u128] = ACTIONS(404),
    [anon_sym_i128] = ACTIONS(404),
    [anon_sym_isize] = ACTIONS(404),
    [anon_sym_usize] = ACTIONS(404),
    [anon_sym_f32] = ACTIONS(404),
    [anon_sym_f64] = ACTIONS(404),
    [anon_sym_bool] = ACTIONS(404),
    [anon_sym_str] = ACTIONS(404),
    [anon_sym_char] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(406),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_PERCENT] = ACTIONS(396),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(406),
    [anon_sym_AMP] = ACTIONS(486),
    [anon_sym_PIPE] = ACTIONS(378),
    [anon_sym_AMP_AMP] = ACTIONS(394),
    [anon_sym_PIPE_PIPE] = ACTIONS(394),
    [anon_sym_LT_LT] = ACTIONS(396),
    [anon_sym_GT_GT] = ACTIONS(396),
    [anon_sym_PLUS_EQ] = ACTIONS(394),
    [anon_sym_DASH_EQ] = ACTIONS(394),
    [anon_sym_STAR_EQ] = ACTIONS(394),
    [anon_sym_SLASH_EQ] = ACTIONS(394),
    [anon_sym_PERCENT_EQ] = ACTIONS(394),
    [anon_sym_CARET_EQ] = ACTIONS(394),
    [anon_sym_AMP_EQ] = ACTIONS(394),
    [anon_sym_PIPE_EQ] = ACTIONS(394),
    [anon_sym_LT_LT_EQ] = ACTIONS(394),
    [anon_sym_GT_GT_EQ] = ACTIONS(394),
    [anon_sym_EQ] = ACTIONS(396),
    [anon_sym_EQ_EQ] = ACTIONS(394),
    [anon_sym_BANG_EQ] = ACTIONS(394),
    [anon_sym_GT] = ACTIONS(396),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_GT_EQ] = ACTIONS(394),
    [anon_sym_LT_EQ] = ACTIONS(394),
    [anon_sym_DOT] = ACTIONS(396),
    [anon_sym_DOT_DOT] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(394),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(394),
    [anon_sym_COLON_COLON] = ACTIONS(408),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_as] = ACTIONS(396),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_break] = ACTIONS(412),
    [anon_sym_const] = ACTIONS(414),
    [anon_sym_continue] = ACTIONS(416),
    [anon_sym_default] = ACTIONS(418),
    [anon_sym_for] = ACTIONS(420),
    [anon_sym_if] = ACTIONS(422),
    [anon_sym_loop] = ACTIONS(424),
    [anon_sym_match] = ACTIONS(426),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_union] = ACTIONS(418),
    [anon_sym_unsafe] = ACTIONS(432),
    [anon_sym_while] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_move] = ACTIONS(438),
    [anon_sym_try] = ACTIONS(440),
    [sym_integer_literal] = ACTIONS(442),
    [aux_sym_string_literal_token1] = ACTIONS(444),
    [sym_char_literal] = ACTIONS(442),
    [anon_sym_true] = ACTIONS(446),
    [anon_sym_false] = ACTIONS(446),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(448),
    [sym_super] = ACTIONS(450),
    [sym_crate] = ACTIONS(450),
    [sym_metavariable] = ACTIONS(452),
    [sym__raw_string_literal_start] = ACTIONS(454),
    [sym_float_literal] = ACTIONS(442),
  },
  [46] = {
    [sym_bracketed_type] = STATE(3498),
    [sym_generic_function] = STATE(1637),
    [sym_generic_type_with_turbofish] = STATE(2956),
    [sym__expression_except_range] = STATE(1604),
    [sym__expression] = STATE(1649),
    [sym_macro_invocation] = STATE(1641),
    [sym_scoped_identifier] = STATE(1546),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3100),
    [sym_range_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1637),
    [sym_try_expression] = STATE(1637),
    [sym_reference_expression] = STATE(1637),
    [sym_binary_expression] = STATE(1637),
    [sym_assignment_expression] = STATE(1637),
    [sym_compound_assignment_expr] = STATE(1637),
    [sym_type_cast_expression] = STATE(1637),
    [sym_return_expression] = STATE(1637),
    [sym_yield_expression] = STATE(1637),
    [sym_call_expression] = STATE(1637),
    [sym_array_expression] = STATE(1637),
    [sym_parenthesized_expression] = STATE(1637),
    [sym_tuple_expression] = STATE(1637),
    [sym_unit_expression] = STATE(1637),
    [sym_struct_expression] = STATE(1637),
    [sym_if_expression] = STATE(1637),
    [sym_match_expression] = STATE(1637),
    [sym_while_expression] = STATE(1637),
    [sym_loop_expression] = STATE(1637),
    [sym_for_expression] = STATE(1637),
    [sym_const_block] = STATE(1637),
    [sym_closure_expression] = STATE(1637),
    [sym_closure_parameters] = STATE(237),
    [sym_label] = STATE(3585),
    [sym_break_expression] = STATE(1637),
    [sym_continue_expression] = STATE(1637),
    [sym_index_expression] = STATE(1637),
    [sym_await_expression] = STATE(1637),
    [sym_field_expression] = STATE(1620),
    [sym_unsafe_block] = STATE(1637),
    [sym_async_block] = STATE(1637),
    [sym_try_block] = STATE(1637),
    [sym_block] = STATE(1637),
    [sym__literal] = STATE(1637),
    [sym_string_literal] = STATE(1778),
    [sym_raw_string_literal] = STATE(1778),
    [sym_boolean_literal] = STATE(1778),
    [sym_line_comment] = STATE(46),
    [sym_block_comment] = STATE(46),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(400),
    [anon_sym_EQ_GT] = ACTIONS(372),
    [anon_sym_PLUS] = ACTIONS(374),
    [anon_sym_STAR] = ACTIONS(406),
    [anon_sym_QMARK] = ACTIONS(372),
    [anon_sym_u8] = ACTIONS(404),
    [anon_sym_i8] = ACTIONS(404),
    [anon_sym_u16] = ACTIONS(404),
    [anon_sym_i16] = ACTIONS(404),
    [anon_sym_u32] = ACTIONS(404),
    [anon_sym_i32] = ACTIONS(404),
    [anon_sym_u64] = ACTIONS(404),
    [anon_sym_i64] = ACTIONS(404),
    [anon_sym_u128] = ACTIONS(404),
    [anon_sym_i128] = ACTIONS(404),
    [anon_sym_isize] = ACTIONS(404),
    [anon_sym_usize] = ACTIONS(404),
    [anon_sym_f32] = ACTIONS(404),
    [anon_sym_f64] = ACTIONS(404),
    [anon_sym_bool] = ACTIONS(404),
    [anon_sym_str] = ACTIONS(404),
    [anon_sym_char] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(406),
    [anon_sym_SLASH] = ACTIONS(374),
    [anon_sym_PERCENT] = ACTIONS(374),
    [anon_sym_CARET] = ACTIONS(374),
    [anon_sym_BANG] = ACTIONS(406),
    [anon_sym_AMP] = ACTIONS(486),
    [anon_sym_PIPE] = ACTIONS(378),
    [anon_sym_AMP_AMP] = ACTIONS(372),
    [anon_sym_PIPE_PIPE] = ACTIONS(372),
    [anon_sym_LT_LT] = ACTIONS(374),
    [anon_sym_GT_GT] = ACTIONS(374),
    [anon_sym_PLUS_EQ] = ACTIONS(372),
    [anon_sym_DASH_EQ] = ACTIONS(372),
    [anon_sym_STAR_EQ] = ACTIONS(372),
    [anon_sym_SLASH_EQ] = ACTIONS(372),
    [anon_sym_PERCENT_EQ] = ACTIONS(372),
    [anon_sym_CARET_EQ] = ACTIONS(372),
    [anon_sym_AMP_EQ] = ACTIONS(372),
    [anon_sym_PIPE_EQ] = ACTIONS(372),
    [anon_sym_LT_LT_EQ] = ACTIONS(372),
    [anon_sym_GT_GT_EQ] = ACTIONS(372),
    [anon_sym_EQ] = ACTIONS(374),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_GT] = ACTIONS(374),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_GT_EQ] = ACTIONS(372),
    [anon_sym_LT_EQ] = ACTIONS(372),
    [anon_sym_DOT] = ACTIONS(374),
    [anon_sym_DOT_DOT] = ACTIONS(488),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(372),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(372),
    [anon_sym_COLON_COLON] = ACTIONS(408),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_as] = ACTIONS(374),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_break] = ACTIONS(412),
    [anon_sym_const] = ACTIONS(414),
    [anon_sym_continue] = ACTIONS(416),
    [anon_sym_default] = ACTIONS(418),
    [anon_sym_for] = ACTIONS(420),
    [anon_sym_if] = ACTIONS(422),
    [anon_sym_loop] = ACTIONS(424),
    [anon_sym_match] = ACTIONS(426),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_union] = ACTIONS(418),
    [anon_sym_unsafe] = ACTIONS(432),
    [anon_sym_while] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_move] = ACTIONS(438),
    [anon_sym_try] = ACTIONS(440),
    [sym_integer_literal] = ACTIONS(442),
    [aux_sym_string_literal_token1] = ACTIONS(444),
    [sym_char_literal] = ACTIONS(442),
    [anon_sym_true] = ACTIONS(446),
    [anon_sym_false] = ACTIONS(446),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(448),
    [sym_super] = ACTIONS(450),
    [sym_crate] = ACTIONS(450),
    [sym_metavariable] = ACTIONS(452),
    [sym__raw_string_literal_start] = ACTIONS(454),
    [sym_float_literal] = ACTIONS(442),
  },
  [47] = {
    [sym_bracketed_type] = STATE(3498),
    [sym_generic_function] = STATE(1637),
    [sym_generic_type_with_turbofish] = STATE(2956),
    [sym__expression_except_range] = STATE(1604),
    [sym__expression] = STATE(1646),
    [sym_macro_invocation] = STATE(1641),
    [sym_scoped_identifier] = STATE(1546),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3100),
    [sym_range_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1637),
    [sym_try_expression] = STATE(1637),
    [sym_reference_expression] = STATE(1637),
    [sym_binary_expression] = STATE(1637),
    [sym_assignment_expression] = STATE(1637),
    [sym_compound_assignment_expr] = STATE(1637),
    [sym_type_cast_expression] = STATE(1637),
    [sym_return_expression] = STATE(1637),
    [sym_yield_expression] = STATE(1637),
    [sym_call_expression] = STATE(1637),
    [sym_array_expression] = STATE(1637),
    [sym_parenthesized_expression] = STATE(1637),
    [sym_tuple_expression] = STATE(1637),
    [sym_unit_expression] = STATE(1637),
    [sym_struct_expression] = STATE(1637),
    [sym_if_expression] = STATE(1637),
    [sym_match_expression] = STATE(1637),
    [sym_while_expression] = STATE(1637),
    [sym_loop_expression] = STATE(1637),
    [sym_for_expression] = STATE(1637),
    [sym_const_block] = STATE(1637),
    [sym_closure_expression] = STATE(1637),
    [sym_closure_parameters] = STATE(237),
    [sym_label] = STATE(43),
    [sym_break_expression] = STATE(1637),
    [sym_continue_expression] = STATE(1637),
    [sym_index_expression] = STATE(1637),
    [sym_await_expression] = STATE(1637),
    [sym_field_expression] = STATE(1620),
    [sym_unsafe_block] = STATE(1637),
    [sym_async_block] = STATE(1637),
    [sym_try_block] = STATE(1637),
    [sym_block] = STATE(1637),
    [sym__literal] = STATE(1637),
    [sym_string_literal] = STATE(1778),
    [sym_raw_string_literal] = STATE(1778),
    [sym_boolean_literal] = STATE(1778),
    [sym_line_comment] = STATE(47),
    [sym_block_comment] = STATE(47),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(388),
    [anon_sym_LBRACK] = ACTIONS(388),
    [anon_sym_LBRACE] = ACTIONS(400),
    [anon_sym_EQ_GT] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_STAR] = ACTIONS(390),
    [anon_sym_QMARK] = ACTIONS(388),
    [anon_sym_u8] = ACTIONS(404),
    [anon_sym_i8] = ACTIONS(404),
    [anon_sym_u16] = ACTIONS(404),
    [anon_sym_i16] = ACTIONS(404),
    [anon_sym_u32] = ACTIONS(404),
    [anon_sym_i32] = ACTIONS(404),
    [anon_sym_u64] = ACTIONS(404),
    [anon_sym_i64] = ACTIONS(404),
    [anon_sym_u128] = ACTIONS(404),
    [anon_sym_i128] = ACTIONS(404),
    [anon_sym_isize] = ACTIONS(404),
    [anon_sym_usize] = ACTIONS(404),
    [anon_sym_f32] = ACTIONS(404),
    [anon_sym_f64] = ACTIONS(404),
    [anon_sym_bool] = ACTIONS(404),
    [anon_sym_str] = ACTIONS(404),
    [anon_sym_char] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_SLASH] = ACTIONS(390),
    [anon_sym_PERCENT] = ACTIONS(390),
    [anon_sym_CARET] = ACTIONS(390),
    [anon_sym_BANG] = ACTIONS(406),
    [anon_sym_AMP] = ACTIONS(390),
    [anon_sym_PIPE] = ACTIONS(390),
    [anon_sym_AMP_AMP] = ACTIONS(388),
    [anon_sym_PIPE_PIPE] = ACTIONS(388),
    [anon_sym_LT_LT] = ACTIONS(390),
    [anon_sym_GT_GT] = ACTIONS(390),
    [anon_sym_PLUS_EQ] = ACTIONS(388),
    [anon_sym_DASH_EQ] = ACTIONS(388),
    [anon_sym_STAR_EQ] = ACTIONS(388),
    [anon_sym_SLASH_EQ] = ACTIONS(388),
    [anon_sym_PERCENT_EQ] = ACTIONS(388),
    [anon_sym_CARET_EQ] = ACTIONS(388),
    [anon_sym_AMP_EQ] = ACTIONS(388),
    [anon_sym_PIPE_EQ] = ACTIONS(388),
    [anon_sym_LT_LT_EQ] = ACTIONS(388),
    [anon_sym_GT_GT_EQ] = ACTIONS(388),
    [anon_sym_EQ] = ACTIONS(390),
    [anon_sym_EQ_EQ] = ACTIONS(388),
    [anon_sym_BANG_EQ] = ACTIONS(388),
    [anon_sym_GT] = ACTIONS(390),
    [anon_sym_LT] = ACTIONS(390),
    [anon_sym_GT_EQ] = ACTIONS(388),
    [anon_sym_LT_EQ] = ACTIONS(388),
    [anon_sym_DOT] = ACTIONS(390),
    [anon_sym_DOT_DOT] = ACTIONS(390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(388),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(388),
    [anon_sym_COLON_COLON] = ACTIONS(408),
    [anon_sym_SQUOTE] = ACTIONS(490),
    [anon_sym_as] = ACTIONS(390),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_break] = ACTIONS(412),
    [anon_sym_const] = ACTIONS(414),
    [anon_sym_continue] = ACTIONS(416),
    [anon_sym_default] = ACTIONS(418),
    [anon_sym_for] = ACTIONS(420),
    [anon_sym_if] = ACTIONS(422),
    [anon_sym_loop] = ACTIONS(424),
    [anon_sym_match] = ACTIONS(426),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_union] = ACTIONS(418),
    [anon_sym_unsafe] = ACTIONS(432),
    [anon_sym_while] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_move] = ACTIONS(438),
    [anon_sym_try] = ACTIONS(440),
    [sym_integer_literal] = ACTIONS(442),
    [aux_sym_string_literal_token1] = ACTIONS(444),
    [sym_char_literal] = ACTIONS(442),
    [anon_sym_true] = ACTIONS(446),
    [anon_sym_false] = ACTIONS(446),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(448),
    [sym_super] = ACTIONS(450),
    [sym_crate] = ACTIONS(450),
    [sym_metavariable] = ACTIONS(452),
    [sym__raw_string_literal_start] = ACTIONS(454),
    [sym_float_literal] = ACTIONS(442),
  },
  [48] = {
    [sym_bracketed_type] = STATE(3498),
    [sym_generic_function] = STATE(1637),
    [sym_generic_type_with_turbofish] = STATE(2956),
    [sym__expression_except_range] = STATE(1604),
    [sym__expression] = STATE(1645),
    [sym_macro_invocation] = STATE(1641),
    [sym_scoped_identifier] = STATE(1546),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3100),
    [sym_range_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1637),
    [sym_try_expression] = STATE(1637),
    [sym_reference_expression] = STATE(1637),
    [sym_binary_expression] = STATE(1637),
    [sym_assignment_expression] = STATE(1637),
    [sym_compound_assignment_expr] = STATE(1637),
    [sym_type_cast_expression] = STATE(1637),
    [sym_return_expression] = STATE(1637),
    [sym_yield_expression] = STATE(1637),
    [sym_call_expression] = STATE(1637),
    [sym_array_expression] = STATE(1637),
    [sym_parenthesized_expression] = STATE(1637),
    [sym_tuple_expression] = STATE(1637),
    [sym_unit_expression] = STATE(1637),
    [sym_struct_expression] = STATE(1637),
    [sym_if_expression] = STATE(1637),
    [sym_match_expression] = STATE(1637),
    [sym_while_expression] = STATE(1637),
    [sym_loop_expression] = STATE(1637),
    [sym_for_expression] = STATE(1637),
    [sym_const_block] = STATE(1637),
    [sym_closure_expression] = STATE(1637),
    [sym_closure_parameters] = STATE(237),
    [sym_label] = STATE(3585),
    [sym_break_expression] = STATE(1637),
    [sym_continue_expression] = STATE(1637),
    [sym_index_expression] = STATE(1637),
    [sym_await_expression] = STATE(1637),
    [sym_field_expression] = STATE(1620),
    [sym_unsafe_block] = STATE(1637),
    [sym_async_block] = STATE(1637),
    [sym_try_block] = STATE(1637),
    [sym_block] = STATE(1637),
    [sym__literal] = STATE(1637),
    [sym_string_literal] = STATE(1778),
    [sym_raw_string_literal] = STATE(1778),
    [sym_boolean_literal] = STATE(1778),
    [sym_line_comment] = STATE(48),
    [sym_block_comment] = STATE(48),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(400),
    [anon_sym_EQ_GT] = ACTIONS(384),
    [anon_sym_PLUS] = ACTIONS(386),
    [anon_sym_STAR] = ACTIONS(386),
    [anon_sym_QMARK] = ACTIONS(384),
    [anon_sym_u8] = ACTIONS(404),
    [anon_sym_i8] = ACTIONS(404),
    [anon_sym_u16] = ACTIONS(404),
    [anon_sym_i16] = ACTIONS(404),
    [anon_sym_u32] = ACTIONS(404),
    [anon_sym_i32] = ACTIONS(404),
    [anon_sym_u64] = ACTIONS(404),
    [anon_sym_i64] = ACTIONS(404),
    [anon_sym_u128] = ACTIONS(404),
    [anon_sym_i128] = ACTIONS(404),
    [anon_sym_isize] = ACTIONS(404),
    [anon_sym_usize] = ACTIONS(404),
    [anon_sym_f32] = ACTIONS(404),
    [anon_sym_f64] = ACTIONS(404),
    [anon_sym_bool] = ACTIONS(404),
    [anon_sym_str] = ACTIONS(404),
    [anon_sym_char] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(386),
    [anon_sym_SLASH] = ACTIONS(386),
    [anon_sym_PERCENT] = ACTIONS(386),
    [anon_sym_CARET] = ACTIONS(386),
    [anon_sym_BANG] = ACTIONS(406),
    [anon_sym_AMP] = ACTIONS(386),
    [anon_sym_PIPE] = ACTIONS(386),
    [anon_sym_AMP_AMP] = ACTIONS(384),
    [anon_sym_PIPE_PIPE] = ACTIONS(384),
    [anon_sym_LT_LT] = ACTIONS(386),
    [anon_sym_GT_GT] = ACTIONS(386),
    [anon_sym_PLUS_EQ] = ACTIONS(384),
    [anon_sym_DASH_EQ] = ACTIONS(384),
    [anon_sym_STAR_EQ] = ACTIONS(384),
    [anon_sym_SLASH_EQ] = ACTIONS(384),
    [anon_sym_PERCENT_EQ] = ACTIONS(384),
    [anon_sym_CARET_EQ] = ACTIONS(384),
    [anon_sym_AMP_EQ] = ACTIONS(384),
    [anon_sym_PIPE_EQ] = ACTIONS(384),
    [anon_sym_LT_LT_EQ] = ACTIONS(384),
    [anon_sym_GT_GT_EQ] = ACTIONS(384),
    [anon_sym_EQ] = ACTIONS(386),
    [anon_sym_EQ_EQ] = ACTIONS(384),
    [anon_sym_BANG_EQ] = ACTIONS(384),
    [anon_sym_GT] = ACTIONS(386),
    [anon_sym_LT] = ACTIONS(386),
    [anon_sym_GT_EQ] = ACTIONS(384),
    [anon_sym_LT_EQ] = ACTIONS(384),
    [anon_sym_DOT] = ACTIONS(386),
    [anon_sym_DOT_DOT] = ACTIONS(386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(384),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(384),
    [anon_sym_COLON_COLON] = ACTIONS(408),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_as] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_break] = ACTIONS(412),
    [anon_sym_const] = ACTIONS(414),
    [anon_sym_continue] = ACTIONS(416),
    [anon_sym_default] = ACTIONS(418),
    [anon_sym_for] = ACTIONS(420),
    [anon_sym_if] = ACTIONS(422),
    [anon_sym_loop] = ACTIONS(424),
    [anon_sym_match] = ACTIONS(426),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_union] = ACTIONS(418),
    [anon_sym_unsafe] = ACTIONS(432),
    [anon_sym_while] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_move] = ACTIONS(438),
    [anon_sym_try] = ACTIONS(440),
    [sym_integer_literal] = ACTIONS(442),
    [aux_sym_string_literal_token1] = ACTIONS(444),
    [sym_char_literal] = ACTIONS(442),
    [anon_sym_true] = ACTIONS(446),
    [anon_sym_false] = ACTIONS(446),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(448),
    [sym_super] = ACTIONS(450),
    [sym_crate] = ACTIONS(450),
    [sym_metavariable] = ACTIONS(452),
    [sym__raw_string_literal_start] = ACTIONS(454),
    [sym_float_literal] = ACTIONS(442),
  },
  [49] = {
    [sym_bracketed_type] = STATE(3498),
    [sym_generic_function] = STATE(1637),
    [sym_generic_type_with_turbofish] = STATE(2956),
    [sym__expression_except_range] = STATE(1604),
    [sym__expression] = STATE(1763),
    [sym_macro_invocation] = STATE(1641),
    [sym_scoped_identifier] = STATE(1546),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3100),
    [sym_range_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1637),
    [sym_try_expression] = STATE(1637),
    [sym_reference_expression] = STATE(1637),
    [sym_binary_expression] = STATE(1637),
    [sym_assignment_expression] = STATE(1637),
    [sym_compound_assignment_expr] = STATE(1637),
    [sym_type_cast_expression] = STATE(1637),
    [sym_return_expression] = STATE(1637),
    [sym_yield_expression] = STATE(1637),
    [sym_call_expression] = STATE(1637),
    [sym_array_expression] = STATE(1637),
    [sym_parenthesized_expression] = STATE(1637),
    [sym_tuple_expression] = STATE(1637),
    [sym_unit_expression] = STATE(1637),
    [sym_struct_expression] = STATE(1637),
    [sym_if_expression] = STATE(1637),
    [sym_match_expression] = STATE(1637),
    [sym_while_expression] = STATE(1637),
    [sym_loop_expression] = STATE(1637),
    [sym_for_expression] = STATE(1637),
    [sym_const_block] = STATE(1637),
    [sym_closure_expression] = STATE(1637),
    [sym_closure_parameters] = STATE(237),
    [sym_label] = STATE(3585),
    [sym_break_expression] = STATE(1637),
    [sym_continue_expression] = STATE(1637),
    [sym_index_expression] = STATE(1637),
    [sym_await_expression] = STATE(1637),
    [sym_field_expression] = STATE(1620),
    [sym_unsafe_block] = STATE(1637),
    [sym_async_block] = STATE(1637),
    [sym_try_block] = STATE(1637),
    [sym_block] = STATE(1637),
    [sym__literal] = STATE(1637),
    [sym_string_literal] = STATE(1778),
    [sym_raw_string_literal] = STATE(1778),
    [sym_boolean_literal] = STATE(1778),
    [sym_line_comment] = STATE(49),
    [sym_block_comment] = STATE(49),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(400),
    [anon_sym_EQ_GT] = ACTIONS(368),
    [anon_sym_PLUS] = ACTIONS(370),
    [anon_sym_STAR] = ACTIONS(370),
    [anon_sym_QMARK] = ACTIONS(368),
    [anon_sym_u8] = ACTIONS(404),
    [anon_sym_i8] = ACTIONS(404),
    [anon_sym_u16] = ACTIONS(404),
    [anon_sym_i16] = ACTIONS(404),
    [anon_sym_u32] = ACTIONS(404),
    [anon_sym_i32] = ACTIONS(404),
    [anon_sym_u64] = ACTIONS(404),
    [anon_sym_i64] = ACTIONS(404),
    [anon_sym_u128] = ACTIONS(404),
    [anon_sym_i128] = ACTIONS(404),
    [anon_sym_isize] = ACTIONS(404),
    [anon_sym_usize] = ACTIONS(404),
    [anon_sym_f32] = ACTIONS(404),
    [anon_sym_f64] = ACTIONS(404),
    [anon_sym_bool] = ACTIONS(404),
    [anon_sym_str] = ACTIONS(404),
    [anon_sym_char] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(370),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_PERCENT] = ACTIONS(370),
    [anon_sym_CARET] = ACTIONS(370),
    [anon_sym_BANG] = ACTIONS(406),
    [anon_sym_AMP] = ACTIONS(370),
    [anon_sym_PIPE] = ACTIONS(370),
    [anon_sym_AMP_AMP] = ACTIONS(368),
    [anon_sym_PIPE_PIPE] = ACTIONS(368),
    [anon_sym_LT_LT] = ACTIONS(370),
    [anon_sym_GT_GT] = ACTIONS(370),
    [anon_sym_PLUS_EQ] = ACTIONS(368),
    [anon_sym_DASH_EQ] = ACTIONS(368),
    [anon_sym_STAR_EQ] = ACTIONS(368),
    [anon_sym_SLASH_EQ] = ACTIONS(368),
    [anon_sym_PERCENT_EQ] = ACTIONS(368),
    [anon_sym_CARET_EQ] = ACTIONS(368),
    [anon_sym_AMP_EQ] = ACTIONS(368),
    [anon_sym_PIPE_EQ] = ACTIONS(368),
    [anon_sym_LT_LT_EQ] = ACTIONS(368),
    [anon_sym_GT_GT_EQ] = ACTIONS(368),
    [anon_sym_EQ] = ACTIONS(370),
    [anon_sym_EQ_EQ] = ACTIONS(368),
    [anon_sym_BANG_EQ] = ACTIONS(368),
    [anon_sym_GT] = ACTIONS(370),
    [anon_sym_LT] = ACTIONS(370),
    [anon_sym_GT_EQ] = ACTIONS(368),
    [anon_sym_LT_EQ] = ACTIONS(368),
    [anon_sym_DOT] = ACTIONS(370),
    [anon_sym_DOT_DOT] = ACTIONS(370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(368),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(368),
    [anon_sym_COLON_COLON] = ACTIONS(408),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_as] = ACTIONS(370),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_break] = ACTIONS(412),
    [anon_sym_const] = ACTIONS(414),
    [anon_sym_continue] = ACTIONS(416),
    [anon_sym_default] = ACTIONS(418),
    [anon_sym_for] = ACTIONS(420),
    [anon_sym_if] = ACTIONS(422),
    [anon_sym_loop] = ACTIONS(424),
    [anon_sym_match] = ACTIONS(426),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_union] = ACTIONS(418),
    [anon_sym_unsafe] = ACTIONS(432),
    [anon_sym_while] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_move] = ACTIONS(438),
    [anon_sym_try] = ACTIONS(440),
    [sym_integer_literal] = ACTIONS(442),
    [aux_sym_string_literal_token1] = ACTIONS(444),
    [sym_char_literal] = ACTIONS(442),
    [anon_sym_true] = ACTIONS(446),
    [anon_sym_false] = ACTIONS(446),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(448),
    [sym_super] = ACTIONS(450),
    [sym_crate] = ACTIONS(450),
    [sym_metavariable] = ACTIONS(452),
    [sym__raw_string_literal_start] = ACTIONS(454),
    [sym_float_literal] = ACTIONS(442),
  },
  [50] = {
    [sym_bracketed_type] = STATE(3498),
    [sym_generic_function] = STATE(1637),
    [sym_generic_type_with_turbofish] = STATE(2956),
    [sym__expression_except_range] = STATE(1604),
    [sym__expression] = STATE(1645),
    [sym_macro_invocation] = STATE(1641),
    [sym_scoped_identifier] = STATE(1546),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3100),
    [sym_range_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1637),
    [sym_try_expression] = STATE(1637),
    [sym_reference_expression] = STATE(1637),
    [sym_binary_expression] = STATE(1637),
    [sym_assignment_expression] = STATE(1637),
    [sym_compound_assignment_expr] = STATE(1637),
    [sym_type_cast_expression] = STATE(1637),
    [sym_return_expression] = STATE(1637),
    [sym_yield_expression] = STATE(1637),
    [sym_call_expression] = STATE(1637),
    [sym_array_expression] = STATE(1637),
    [sym_parenthesized_expression] = STATE(1637),
    [sym_tuple_expression] = STATE(1637),
    [sym_unit_expression] = STATE(1637),
    [sym_struct_expression] = STATE(1637),
    [sym_if_expression] = STATE(1637),
    [sym_match_expression] = STATE(1637),
    [sym_while_expression] = STATE(1637),
    [sym_loop_expression] = STATE(1637),
    [sym_for_expression] = STATE(1637),
    [sym_const_block] = STATE(1637),
    [sym_closure_expression] = STATE(1637),
    [sym_closure_parameters] = STATE(237),
    [sym_label] = STATE(3585),
    [sym_break_expression] = STATE(1637),
    [sym_continue_expression] = STATE(1637),
    [sym_index_expression] = STATE(1637),
    [sym_await_expression] = STATE(1637),
    [sym_field_expression] = STATE(1620),
    [sym_unsafe_block] = STATE(1637),
    [sym_async_block] = STATE(1637),
    [sym_try_block] = STATE(1637),
    [sym_block] = STATE(1637),
    [sym__literal] = STATE(1637),
    [sym_string_literal] = STATE(1778),
    [sym_raw_string_literal] = STATE(1778),
    [sym_boolean_literal] = STATE(1778),
    [sym_line_comment] = STATE(50),
    [sym_block_comment] = STATE(50),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(384),
    [anon_sym_LBRACK] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(400),
    [anon_sym_EQ_GT] = ACTIONS(384),
    [anon_sym_PLUS] = ACTIONS(386),
    [anon_sym_STAR] = ACTIONS(386),
    [anon_sym_QMARK] = ACTIONS(384),
    [anon_sym_u8] = ACTIONS(404),
    [anon_sym_i8] = ACTIONS(404),
    [anon_sym_u16] = ACTIONS(404),
    [anon_sym_i16] = ACTIONS(404),
    [anon_sym_u32] = ACTIONS(404),
    [anon_sym_i32] = ACTIONS(404),
    [anon_sym_u64] = ACTIONS(404),
    [anon_sym_i64] = ACTIONS(404),
    [anon_sym_u128] = ACTIONS(404),
    [anon_sym_i128] = ACTIONS(404),
    [anon_sym_isize] = ACTIONS(404),
    [anon_sym_usize] = ACTIONS(404),
    [anon_sym_f32] = ACTIONS(404),
    [anon_sym_f64] = ACTIONS(404),
    [anon_sym_bool] = ACTIONS(404),
    [anon_sym_str] = ACTIONS(404),
    [anon_sym_char] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(386),
    [anon_sym_SLASH] = ACTIONS(386),
    [anon_sym_PERCENT] = ACTIONS(386),
    [anon_sym_CARET] = ACTIONS(386),
    [anon_sym_BANG] = ACTIONS(406),
    [anon_sym_AMP] = ACTIONS(386),
    [anon_sym_PIPE] = ACTIONS(386),
    [anon_sym_AMP_AMP] = ACTIONS(384),
    [anon_sym_PIPE_PIPE] = ACTIONS(384),
    [anon_sym_LT_LT] = ACTIONS(386),
    [anon_sym_GT_GT] = ACTIONS(386),
    [anon_sym_PLUS_EQ] = ACTIONS(384),
    [anon_sym_DASH_EQ] = ACTIONS(384),
    [anon_sym_STAR_EQ] = ACTIONS(384),
    [anon_sym_SLASH_EQ] = ACTIONS(384),
    [anon_sym_PERCENT_EQ] = ACTIONS(384),
    [anon_sym_CARET_EQ] = ACTIONS(384),
    [anon_sym_AMP_EQ] = ACTIONS(384),
    [anon_sym_PIPE_EQ] = ACTIONS(384),
    [anon_sym_LT_LT_EQ] = ACTIONS(384),
    [anon_sym_GT_GT_EQ] = ACTIONS(384),
    [anon_sym_EQ] = ACTIONS(386),
    [anon_sym_EQ_EQ] = ACTIONS(384),
    [anon_sym_BANG_EQ] = ACTIONS(384),
    [anon_sym_GT] = ACTIONS(386),
    [anon_sym_LT] = ACTIONS(386),
    [anon_sym_GT_EQ] = ACTIONS(384),
    [anon_sym_LT_EQ] = ACTIONS(384),
    [anon_sym_DOT] = ACTIONS(386),
    [anon_sym_DOT_DOT] = ACTIONS(386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(384),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(384),
    [anon_sym_COLON_COLON] = ACTIONS(408),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_as] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_break] = ACTIONS(412),
    [anon_sym_const] = ACTIONS(414),
    [anon_sym_continue] = ACTIONS(416),
    [anon_sym_default] = ACTIONS(418),
    [anon_sym_for] = ACTIONS(420),
    [anon_sym_if] = ACTIONS(422),
    [anon_sym_loop] = ACTIONS(424),
    [anon_sym_match] = ACTIONS(426),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_union] = ACTIONS(418),
    [anon_sym_unsafe] = ACTIONS(432),
    [anon_sym_while] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_move] = ACTIONS(438),
    [anon_sym_try] = ACTIONS(440),
    [sym_integer_literal] = ACTIONS(442),
    [aux_sym_string_literal_token1] = ACTIONS(444),
    [sym_char_literal] = ACTIONS(442),
    [anon_sym_true] = ACTIONS(446),
    [anon_sym_false] = ACTIONS(446),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(448),
    [sym_super] = ACTIONS(450),
    [sym_crate] = ACTIONS(450),
    [sym_metavariable] = ACTIONS(452),
    [sym__raw_string_literal_start] = ACTIONS(454),
    [sym_float_literal] = ACTIONS(442),
  },
  [51] = {
    [sym_bracketed_type] = STATE(3498),
    [sym_generic_function] = STATE(1637),
    [sym_generic_type_with_turbofish] = STATE(2956),
    [sym__expression_except_range] = STATE(1604),
    [sym__expression] = STATE(1763),
    [sym_macro_invocation] = STATE(1641),
    [sym_scoped_identifier] = STATE(1546),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3100),
    [sym_range_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1637),
    [sym_try_expression] = STATE(1637),
    [sym_reference_expression] = STATE(1637),
    [sym_binary_expression] = STATE(1637),
    [sym_assignment_expression] = STATE(1637),
    [sym_compound_assignment_expr] = STATE(1637),
    [sym_type_cast_expression] = STATE(1637),
    [sym_return_expression] = STATE(1637),
    [sym_yield_expression] = STATE(1637),
    [sym_call_expression] = STATE(1637),
    [sym_array_expression] = STATE(1637),
    [sym_parenthesized_expression] = STATE(1637),
    [sym_tuple_expression] = STATE(1637),
    [sym_unit_expression] = STATE(1637),
    [sym_struct_expression] = STATE(1637),
    [sym_if_expression] = STATE(1637),
    [sym_match_expression] = STATE(1637),
    [sym_while_expression] = STATE(1637),
    [sym_loop_expression] = STATE(1637),
    [sym_for_expression] = STATE(1637),
    [sym_const_block] = STATE(1637),
    [sym_closure_expression] = STATE(1637),
    [sym_closure_parameters] = STATE(237),
    [sym_label] = STATE(3585),
    [sym_break_expression] = STATE(1637),
    [sym_continue_expression] = STATE(1637),
    [sym_index_expression] = STATE(1637),
    [sym_await_expression] = STATE(1637),
    [sym_field_expression] = STATE(1620),
    [sym_unsafe_block] = STATE(1637),
    [sym_async_block] = STATE(1637),
    [sym_try_block] = STATE(1637),
    [sym_block] = STATE(1637),
    [sym__literal] = STATE(1637),
    [sym_string_literal] = STATE(1778),
    [sym_raw_string_literal] = STATE(1778),
    [sym_boolean_literal] = STATE(1778),
    [sym_line_comment] = STATE(51),
    [sym_block_comment] = STATE(51),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_LBRACK] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(400),
    [anon_sym_EQ_GT] = ACTIONS(368),
    [anon_sym_PLUS] = ACTIONS(370),
    [anon_sym_STAR] = ACTIONS(370),
    [anon_sym_QMARK] = ACTIONS(368),
    [anon_sym_u8] = ACTIONS(404),
    [anon_sym_i8] = ACTIONS(404),
    [anon_sym_u16] = ACTIONS(404),
    [anon_sym_i16] = ACTIONS(404),
    [anon_sym_u32] = ACTIONS(404),
    [anon_sym_i32] = ACTIONS(404),
    [anon_sym_u64] = ACTIONS(404),
    [anon_sym_i64] = ACTIONS(404),
    [anon_sym_u128] = ACTIONS(404),
    [anon_sym_i128] = ACTIONS(404),
    [anon_sym_isize] = ACTIONS(404),
    [anon_sym_usize] = ACTIONS(404),
    [anon_sym_f32] = ACTIONS(404),
    [anon_sym_f64] = ACTIONS(404),
    [anon_sym_bool] = ACTIONS(404),
    [anon_sym_str] = ACTIONS(404),
    [anon_sym_char] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(370),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_PERCENT] = ACTIONS(370),
    [anon_sym_CARET] = ACTIONS(370),
    [anon_sym_BANG] = ACTIONS(406),
    [anon_sym_AMP] = ACTIONS(370),
    [anon_sym_PIPE] = ACTIONS(370),
    [anon_sym_AMP_AMP] = ACTIONS(368),
    [anon_sym_PIPE_PIPE] = ACTIONS(368),
    [anon_sym_LT_LT] = ACTIONS(370),
    [anon_sym_GT_GT] = ACTIONS(370),
    [anon_sym_PLUS_EQ] = ACTIONS(368),
    [anon_sym_DASH_EQ] = ACTIONS(368),
    [anon_sym_STAR_EQ] = ACTIONS(368),
    [anon_sym_SLASH_EQ] = ACTIONS(368),
    [anon_sym_PERCENT_EQ] = ACTIONS(368),
    [anon_sym_CARET_EQ] = ACTIONS(368),
    [anon_sym_AMP_EQ] = ACTIONS(368),
    [anon_sym_PIPE_EQ] = ACTIONS(368),
    [anon_sym_LT_LT_EQ] = ACTIONS(368),
    [anon_sym_GT_GT_EQ] = ACTIONS(368),
    [anon_sym_EQ] = ACTIONS(370),
    [anon_sym_EQ_EQ] = ACTIONS(368),
    [anon_sym_BANG_EQ] = ACTIONS(368),
    [anon_sym_GT] = ACTIONS(370),
    [anon_sym_LT] = ACTIONS(370),
    [anon_sym_GT_EQ] = ACTIONS(368),
    [anon_sym_LT_EQ] = ACTIONS(368),
    [anon_sym_DOT] = ACTIONS(370),
    [anon_sym_DOT_DOT] = ACTIONS(370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(368),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(368),
    [anon_sym_COLON_COLON] = ACTIONS(408),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_as] = ACTIONS(370),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_break] = ACTIONS(412),
    [anon_sym_const] = ACTIONS(414),
    [anon_sym_continue] = ACTIONS(416),
    [anon_sym_default] = ACTIONS(418),
    [anon_sym_for] = ACTIONS(420),
    [anon_sym_if] = ACTIONS(422),
    [anon_sym_loop] = ACTIONS(424),
    [anon_sym_match] = ACTIONS(426),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_union] = ACTIONS(418),
    [anon_sym_unsafe] = ACTIONS(432),
    [anon_sym_while] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_move] = ACTIONS(438),
    [anon_sym_try] = ACTIONS(440),
    [sym_integer_literal] = ACTIONS(442),
    [aux_sym_string_literal_token1] = ACTIONS(444),
    [sym_char_literal] = ACTIONS(442),
    [anon_sym_true] = ACTIONS(446),
    [anon_sym_false] = ACTIONS(446),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(448),
    [sym_super] = ACTIONS(450),
    [sym_crate] = ACTIONS(450),
    [sym_metavariable] = ACTIONS(452),
    [sym__raw_string_literal_start] = ACTIONS(454),
    [sym_float_literal] = ACTIONS(442),
  },
  [52] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1625),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(52),
    [sym_block_comment] = STATE(52),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(336),
    [anon_sym_LBRACK] = ACTIONS(336),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_COLON] = ACTIONS(340),
    [anon_sym_PLUS] = ACTIONS(342),
    [anon_sym_STAR] = ACTIONS(342),
    [anon_sym_QMARK] = ACTIONS(336),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(342),
    [anon_sym_SLASH] = ACTIONS(342),
    [anon_sym_PERCENT] = ACTIONS(342),
    [anon_sym_CARET] = ACTIONS(342),
    [anon_sym_BANG] = ACTIONS(492),
    [anon_sym_AMP] = ACTIONS(342),
    [anon_sym_PIPE] = ACTIONS(342),
    [anon_sym_AMP_AMP] = ACTIONS(336),
    [anon_sym_PIPE_PIPE] = ACTIONS(336),
    [anon_sym_LT_LT] = ACTIONS(342),
    [anon_sym_GT_GT] = ACTIONS(342),
    [anon_sym_PLUS_EQ] = ACTIONS(336),
    [anon_sym_DASH_EQ] = ACTIONS(336),
    [anon_sym_STAR_EQ] = ACTIONS(336),
    [anon_sym_SLASH_EQ] = ACTIONS(336),
    [anon_sym_PERCENT_EQ] = ACTIONS(336),
    [anon_sym_CARET_EQ] = ACTIONS(336),
    [anon_sym_AMP_EQ] = ACTIONS(336),
    [anon_sym_PIPE_EQ] = ACTIONS(336),
    [anon_sym_LT_LT_EQ] = ACTIONS(336),
    [anon_sym_GT_GT_EQ] = ACTIONS(336),
    [anon_sym_EQ] = ACTIONS(342),
    [anon_sym_EQ_EQ] = ACTIONS(336),
    [anon_sym_BANG_EQ] = ACTIONS(336),
    [anon_sym_GT] = ACTIONS(342),
    [anon_sym_LT] = ACTIONS(342),
    [anon_sym_GT_EQ] = ACTIONS(336),
    [anon_sym_LT_EQ] = ACTIONS(336),
    [anon_sym_DOT] = ACTIONS(342),
    [anon_sym_DOT_DOT] = ACTIONS(342),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(336),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(336),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(342),
    [anon_sym_as] = ACTIONS(342),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [53] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1575),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(53),
    [sym_block_comment] = STATE(53),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_PLUS] = ACTIONS(396),
    [anon_sym_STAR] = ACTIONS(492),
    [anon_sym_QMARK] = ACTIONS(394),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_PERCENT] = ACTIONS(396),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(492),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_PIPE] = ACTIONS(378),
    [anon_sym_AMP_AMP] = ACTIONS(394),
    [anon_sym_PIPE_PIPE] = ACTIONS(394),
    [anon_sym_LT_LT] = ACTIONS(396),
    [anon_sym_GT_GT] = ACTIONS(396),
    [anon_sym_PLUS_EQ] = ACTIONS(394),
    [anon_sym_DASH_EQ] = ACTIONS(394),
    [anon_sym_STAR_EQ] = ACTIONS(394),
    [anon_sym_SLASH_EQ] = ACTIONS(394),
    [anon_sym_PERCENT_EQ] = ACTIONS(394),
    [anon_sym_CARET_EQ] = ACTIONS(394),
    [anon_sym_AMP_EQ] = ACTIONS(394),
    [anon_sym_PIPE_EQ] = ACTIONS(394),
    [anon_sym_LT_LT_EQ] = ACTIONS(394),
    [anon_sym_GT_GT_EQ] = ACTIONS(394),
    [anon_sym_EQ] = ACTIONS(396),
    [anon_sym_EQ_EQ] = ACTIONS(394),
    [anon_sym_BANG_EQ] = ACTIONS(394),
    [anon_sym_GT] = ACTIONS(396),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_GT_EQ] = ACTIONS(394),
    [anon_sym_LT_EQ] = ACTIONS(394),
    [anon_sym_DOT] = ACTIONS(396),
    [anon_sym_DOT_DOT] = ACTIONS(508),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(394),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(394),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_as] = ACTIONS(396),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [54] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1815),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(234),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(54),
    [sym_block_comment] = STATE(54),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_PLUS] = ACTIONS(374),
    [anon_sym_STAR] = ACTIONS(460),
    [anon_sym_QMARK] = ACTIONS(372),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(460),
    [anon_sym_SLASH] = ACTIONS(374),
    [anon_sym_PERCENT] = ACTIONS(374),
    [anon_sym_CARET] = ACTIONS(374),
    [anon_sym_BANG] = ACTIONS(460),
    [anon_sym_AMP] = ACTIONS(510),
    [anon_sym_PIPE] = ACTIONS(378),
    [anon_sym_AMP_AMP] = ACTIONS(372),
    [anon_sym_PIPE_PIPE] = ACTIONS(372),
    [anon_sym_LT_LT] = ACTIONS(374),
    [anon_sym_GT_GT] = ACTIONS(374),
    [anon_sym_PLUS_EQ] = ACTIONS(372),
    [anon_sym_DASH_EQ] = ACTIONS(372),
    [anon_sym_STAR_EQ] = ACTIONS(372),
    [anon_sym_SLASH_EQ] = ACTIONS(372),
    [anon_sym_PERCENT_EQ] = ACTIONS(372),
    [anon_sym_CARET_EQ] = ACTIONS(372),
    [anon_sym_AMP_EQ] = ACTIONS(372),
    [anon_sym_PIPE_EQ] = ACTIONS(372),
    [anon_sym_LT_LT_EQ] = ACTIONS(372),
    [anon_sym_GT_GT_EQ] = ACTIONS(372),
    [anon_sym_EQ] = ACTIONS(374),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_GT] = ACTIONS(374),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_GT_EQ] = ACTIONS(372),
    [anon_sym_LT_EQ] = ACTIONS(372),
    [anon_sym_DOT] = ACTIONS(374),
    [anon_sym_DOT_DOT] = ACTIONS(512),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(372),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(372),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_as] = ACTIONS(374),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(472),
    [anon_sym_move] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [55] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1722),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(234),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(55),
    [sym_block_comment] = STATE(55),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_LBRACK] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(368),
    [anon_sym_PLUS] = ACTIONS(370),
    [anon_sym_STAR] = ACTIONS(370),
    [anon_sym_QMARK] = ACTIONS(368),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(370),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_PERCENT] = ACTIONS(370),
    [anon_sym_CARET] = ACTIONS(370),
    [anon_sym_BANG] = ACTIONS(460),
    [anon_sym_AMP] = ACTIONS(370),
    [anon_sym_PIPE] = ACTIONS(370),
    [anon_sym_AMP_AMP] = ACTIONS(368),
    [anon_sym_PIPE_PIPE] = ACTIONS(368),
    [anon_sym_LT_LT] = ACTIONS(370),
    [anon_sym_GT_GT] = ACTIONS(370),
    [anon_sym_PLUS_EQ] = ACTIONS(368),
    [anon_sym_DASH_EQ] = ACTIONS(368),
    [anon_sym_STAR_EQ] = ACTIONS(368),
    [anon_sym_SLASH_EQ] = ACTIONS(368),
    [anon_sym_PERCENT_EQ] = ACTIONS(368),
    [anon_sym_CARET_EQ] = ACTIONS(368),
    [anon_sym_AMP_EQ] = ACTIONS(368),
    [anon_sym_PIPE_EQ] = ACTIONS(368),
    [anon_sym_LT_LT_EQ] = ACTIONS(368),
    [anon_sym_GT_GT_EQ] = ACTIONS(368),
    [anon_sym_EQ] = ACTIONS(370),
    [anon_sym_EQ_EQ] = ACTIONS(368),
    [anon_sym_BANG_EQ] = ACTIONS(368),
    [anon_sym_GT] = ACTIONS(370),
    [anon_sym_LT] = ACTIONS(370),
    [anon_sym_GT_EQ] = ACTIONS(368),
    [anon_sym_LT_EQ] = ACTIONS(368),
    [anon_sym_DOT] = ACTIONS(370),
    [anon_sym_DOT_DOT] = ACTIONS(370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(368),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(368),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_as] = ACTIONS(370),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(472),
    [anon_sym_move] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [56] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1579),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(56),
    [sym_block_comment] = STATE(56),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(368),
    [anon_sym_PLUS] = ACTIONS(370),
    [anon_sym_STAR] = ACTIONS(370),
    [anon_sym_QMARK] = ACTIONS(368),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(370),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_PERCENT] = ACTIONS(370),
    [anon_sym_CARET] = ACTIONS(370),
    [anon_sym_BANG] = ACTIONS(492),
    [anon_sym_AMP] = ACTIONS(370),
    [anon_sym_PIPE] = ACTIONS(370),
    [anon_sym_AMP_AMP] = ACTIONS(368),
    [anon_sym_PIPE_PIPE] = ACTIONS(368),
    [anon_sym_LT_LT] = ACTIONS(370),
    [anon_sym_GT_GT] = ACTIONS(370),
    [anon_sym_PLUS_EQ] = ACTIONS(368),
    [anon_sym_DASH_EQ] = ACTIONS(368),
    [anon_sym_STAR_EQ] = ACTIONS(368),
    [anon_sym_SLASH_EQ] = ACTIONS(368),
    [anon_sym_PERCENT_EQ] = ACTIONS(368),
    [anon_sym_CARET_EQ] = ACTIONS(368),
    [anon_sym_AMP_EQ] = ACTIONS(368),
    [anon_sym_PIPE_EQ] = ACTIONS(368),
    [anon_sym_LT_LT_EQ] = ACTIONS(368),
    [anon_sym_GT_GT_EQ] = ACTIONS(368),
    [anon_sym_EQ] = ACTIONS(370),
    [anon_sym_EQ_EQ] = ACTIONS(368),
    [anon_sym_BANG_EQ] = ACTIONS(368),
    [anon_sym_GT] = ACTIONS(370),
    [anon_sym_LT] = ACTIONS(370),
    [anon_sym_GT_EQ] = ACTIONS(368),
    [anon_sym_LT_EQ] = ACTIONS(368),
    [anon_sym_DOT] = ACTIONS(370),
    [anon_sym_DOT_DOT] = ACTIONS(370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(368),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(368),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(370),
    [anon_sym_as] = ACTIONS(370),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [57] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1627),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(57),
    [sym_block_comment] = STATE(57),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(384),
    [anon_sym_PLUS] = ACTIONS(386),
    [anon_sym_STAR] = ACTIONS(386),
    [anon_sym_QMARK] = ACTIONS(384),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(386),
    [anon_sym_SLASH] = ACTIONS(386),
    [anon_sym_PERCENT] = ACTIONS(386),
    [anon_sym_CARET] = ACTIONS(386),
    [anon_sym_BANG] = ACTIONS(492),
    [anon_sym_AMP] = ACTIONS(386),
    [anon_sym_PIPE] = ACTIONS(386),
    [anon_sym_AMP_AMP] = ACTIONS(384),
    [anon_sym_PIPE_PIPE] = ACTIONS(384),
    [anon_sym_LT_LT] = ACTIONS(386),
    [anon_sym_GT_GT] = ACTIONS(386),
    [anon_sym_PLUS_EQ] = ACTIONS(384),
    [anon_sym_DASH_EQ] = ACTIONS(384),
    [anon_sym_STAR_EQ] = ACTIONS(384),
    [anon_sym_SLASH_EQ] = ACTIONS(384),
    [anon_sym_PERCENT_EQ] = ACTIONS(384),
    [anon_sym_CARET_EQ] = ACTIONS(384),
    [anon_sym_AMP_EQ] = ACTIONS(384),
    [anon_sym_PIPE_EQ] = ACTIONS(384),
    [anon_sym_LT_LT_EQ] = ACTIONS(384),
    [anon_sym_GT_GT_EQ] = ACTIONS(384),
    [anon_sym_EQ] = ACTIONS(386),
    [anon_sym_EQ_EQ] = ACTIONS(384),
    [anon_sym_BANG_EQ] = ACTIONS(384),
    [anon_sym_GT] = ACTIONS(386),
    [anon_sym_LT] = ACTIONS(386),
    [anon_sym_GT_EQ] = ACTIONS(384),
    [anon_sym_LT_EQ] = ACTIONS(384),
    [anon_sym_DOT] = ACTIONS(386),
    [anon_sym_DOT_DOT] = ACTIONS(386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(384),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(384),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(386),
    [anon_sym_as] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [58] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1579),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(58),
    [sym_block_comment] = STATE(58),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(368),
    [anon_sym_LBRACK] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(368),
    [anon_sym_PLUS] = ACTIONS(370),
    [anon_sym_STAR] = ACTIONS(370),
    [anon_sym_QMARK] = ACTIONS(368),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(370),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_PERCENT] = ACTIONS(370),
    [anon_sym_CARET] = ACTIONS(370),
    [anon_sym_BANG] = ACTIONS(492),
    [anon_sym_AMP] = ACTIONS(370),
    [anon_sym_PIPE] = ACTIONS(370),
    [anon_sym_AMP_AMP] = ACTIONS(368),
    [anon_sym_PIPE_PIPE] = ACTIONS(368),
    [anon_sym_LT_LT] = ACTIONS(370),
    [anon_sym_GT_GT] = ACTIONS(370),
    [anon_sym_PLUS_EQ] = ACTIONS(368),
    [anon_sym_DASH_EQ] = ACTIONS(368),
    [anon_sym_STAR_EQ] = ACTIONS(368),
    [anon_sym_SLASH_EQ] = ACTIONS(368),
    [anon_sym_PERCENT_EQ] = ACTIONS(368),
    [anon_sym_CARET_EQ] = ACTIONS(368),
    [anon_sym_AMP_EQ] = ACTIONS(368),
    [anon_sym_PIPE_EQ] = ACTIONS(368),
    [anon_sym_LT_LT_EQ] = ACTIONS(368),
    [anon_sym_GT_GT_EQ] = ACTIONS(368),
    [anon_sym_EQ] = ACTIONS(370),
    [anon_sym_EQ_EQ] = ACTIONS(368),
    [anon_sym_BANG_EQ] = ACTIONS(368),
    [anon_sym_GT] = ACTIONS(370),
    [anon_sym_LT] = ACTIONS(370),
    [anon_sym_GT_EQ] = ACTIONS(368),
    [anon_sym_LT_EQ] = ACTIONS(368),
    [anon_sym_DOT] = ACTIONS(370),
    [anon_sym_DOT_DOT] = ACTIONS(370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(368),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(368),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(370),
    [anon_sym_as] = ACTIONS(370),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [59] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1577),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(59),
    [sym_block_comment] = STATE(59),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_PLUS] = ACTIONS(374),
    [anon_sym_STAR] = ACTIONS(492),
    [anon_sym_QMARK] = ACTIONS(372),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(492),
    [anon_sym_SLASH] = ACTIONS(374),
    [anon_sym_PERCENT] = ACTIONS(374),
    [anon_sym_CARET] = ACTIONS(374),
    [anon_sym_BANG] = ACTIONS(492),
    [anon_sym_AMP] = ACTIONS(506),
    [anon_sym_PIPE] = ACTIONS(378),
    [anon_sym_AMP_AMP] = ACTIONS(372),
    [anon_sym_PIPE_PIPE] = ACTIONS(372),
    [anon_sym_LT_LT] = ACTIONS(374),
    [anon_sym_GT_GT] = ACTIONS(374),
    [anon_sym_PLUS_EQ] = ACTIONS(372),
    [anon_sym_DASH_EQ] = ACTIONS(372),
    [anon_sym_STAR_EQ] = ACTIONS(372),
    [anon_sym_SLASH_EQ] = ACTIONS(372),
    [anon_sym_PERCENT_EQ] = ACTIONS(372),
    [anon_sym_CARET_EQ] = ACTIONS(372),
    [anon_sym_AMP_EQ] = ACTIONS(372),
    [anon_sym_PIPE_EQ] = ACTIONS(372),
    [anon_sym_LT_LT_EQ] = ACTIONS(372),
    [anon_sym_GT_GT_EQ] = ACTIONS(372),
    [anon_sym_EQ] = ACTIONS(374),
    [anon_sym_EQ_EQ] = ACTIONS(372),
    [anon_sym_BANG_EQ] = ACTIONS(372),
    [anon_sym_GT] = ACTIONS(374),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_GT_EQ] = ACTIONS(372),
    [anon_sym_LT_EQ] = ACTIONS(372),
    [anon_sym_DOT] = ACTIONS(374),
    [anon_sym_DOT_DOT] = ACTIONS(508),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(372),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(372),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_as] = ACTIONS(374),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [60] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1811),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(234),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(60),
    [sym_block_comment] = STATE(60),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(384),
    [anon_sym_PLUS] = ACTIONS(386),
    [anon_sym_STAR] = ACTIONS(386),
    [anon_sym_QMARK] = ACTIONS(384),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(386),
    [anon_sym_SLASH] = ACTIONS(386),
    [anon_sym_PERCENT] = ACTIONS(386),
    [anon_sym_CARET] = ACTIONS(386),
    [anon_sym_BANG] = ACTIONS(460),
    [anon_sym_AMP] = ACTIONS(386),
    [anon_sym_PIPE] = ACTIONS(386),
    [anon_sym_AMP_AMP] = ACTIONS(384),
    [anon_sym_PIPE_PIPE] = ACTIONS(384),
    [anon_sym_LT_LT] = ACTIONS(386),
    [anon_sym_GT_GT] = ACTIONS(386),
    [anon_sym_PLUS_EQ] = ACTIONS(384),
    [anon_sym_DASH_EQ] = ACTIONS(384),
    [anon_sym_STAR_EQ] = ACTIONS(384),
    [anon_sym_SLASH_EQ] = ACTIONS(384),
    [anon_sym_PERCENT_EQ] = ACTIONS(384),
    [anon_sym_CARET_EQ] = ACTIONS(384),
    [anon_sym_AMP_EQ] = ACTIONS(384),
    [anon_sym_PIPE_EQ] = ACTIONS(384),
    [anon_sym_LT_LT_EQ] = ACTIONS(384),
    [anon_sym_GT_GT_EQ] = ACTIONS(384),
    [anon_sym_EQ] = ACTIONS(386),
    [anon_sym_EQ_EQ] = ACTIONS(384),
    [anon_sym_BANG_EQ] = ACTIONS(384),
    [anon_sym_GT] = ACTIONS(386),
    [anon_sym_LT] = ACTIONS(386),
    [anon_sym_GT_EQ] = ACTIONS(384),
    [anon_sym_LT_EQ] = ACTIONS(384),
    [anon_sym_DOT] = ACTIONS(386),
    [anon_sym_DOT_DOT] = ACTIONS(386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(384),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(384),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_as] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(472),
    [anon_sym_move] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [61] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1722),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(234),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(61),
    [sym_block_comment] = STATE(61),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(368),
    [anon_sym_LBRACE] = ACTIONS(368),
    [anon_sym_PLUS] = ACTIONS(370),
    [anon_sym_STAR] = ACTIONS(370),
    [anon_sym_QMARK] = ACTIONS(368),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(370),
    [anon_sym_SLASH] = ACTIONS(370),
    [anon_sym_PERCENT] = ACTIONS(370),
    [anon_sym_CARET] = ACTIONS(370),
    [anon_sym_BANG] = ACTIONS(460),
    [anon_sym_AMP] = ACTIONS(370),
    [anon_sym_PIPE] = ACTIONS(370),
    [anon_sym_AMP_AMP] = ACTIONS(368),
    [anon_sym_PIPE_PIPE] = ACTIONS(368),
    [anon_sym_LT_LT] = ACTIONS(370),
    [anon_sym_GT_GT] = ACTIONS(370),
    [anon_sym_PLUS_EQ] = ACTIONS(368),
    [anon_sym_DASH_EQ] = ACTIONS(368),
    [anon_sym_STAR_EQ] = ACTIONS(368),
    [anon_sym_SLASH_EQ] = ACTIONS(368),
    [anon_sym_PERCENT_EQ] = ACTIONS(368),
    [anon_sym_CARET_EQ] = ACTIONS(368),
    [anon_sym_AMP_EQ] = ACTIONS(368),
    [anon_sym_PIPE_EQ] = ACTIONS(368),
    [anon_sym_LT_LT_EQ] = ACTIONS(368),
    [anon_sym_GT_GT_EQ] = ACTIONS(368),
    [anon_sym_EQ] = ACTIONS(370),
    [anon_sym_EQ_EQ] = ACTIONS(368),
    [anon_sym_BANG_EQ] = ACTIONS(368),
    [anon_sym_GT] = ACTIONS(370),
    [anon_sym_LT] = ACTIONS(370),
    [anon_sym_GT_EQ] = ACTIONS(368),
    [anon_sym_LT_EQ] = ACTIONS(368),
    [anon_sym_DOT] = ACTIONS(370),
    [anon_sym_DOT_DOT] = ACTIONS(370),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(368),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(368),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_as] = ACTIONS(370),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(472),
    [anon_sym_move] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [62] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1811),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(234),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(62),
    [sym_block_comment] = STATE(62),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(384),
    [anon_sym_LBRACK] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(384),
    [anon_sym_PLUS] = ACTIONS(386),
    [anon_sym_STAR] = ACTIONS(386),
    [anon_sym_QMARK] = ACTIONS(384),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(386),
    [anon_sym_SLASH] = ACTIONS(386),
    [anon_sym_PERCENT] = ACTIONS(386),
    [anon_sym_CARET] = ACTIONS(386),
    [anon_sym_BANG] = ACTIONS(460),
    [anon_sym_AMP] = ACTIONS(386),
    [anon_sym_PIPE] = ACTIONS(386),
    [anon_sym_AMP_AMP] = ACTIONS(384),
    [anon_sym_PIPE_PIPE] = ACTIONS(384),
    [anon_sym_LT_LT] = ACTIONS(386),
    [anon_sym_GT_GT] = ACTIONS(386),
    [anon_sym_PLUS_EQ] = ACTIONS(384),
    [anon_sym_DASH_EQ] = ACTIONS(384),
    [anon_sym_STAR_EQ] = ACTIONS(384),
    [anon_sym_SLASH_EQ] = ACTIONS(384),
    [anon_sym_PERCENT_EQ] = ACTIONS(384),
    [anon_sym_CARET_EQ] = ACTIONS(384),
    [anon_sym_AMP_EQ] = ACTIONS(384),
    [anon_sym_PIPE_EQ] = ACTIONS(384),
    [anon_sym_LT_LT_EQ] = ACTIONS(384),
    [anon_sym_GT_GT_EQ] = ACTIONS(384),
    [anon_sym_EQ] = ACTIONS(386),
    [anon_sym_EQ_EQ] = ACTIONS(384),
    [anon_sym_BANG_EQ] = ACTIONS(384),
    [anon_sym_GT] = ACTIONS(386),
    [anon_sym_LT] = ACTIONS(386),
    [anon_sym_GT_EQ] = ACTIONS(384),
    [anon_sym_LT_EQ] = ACTIONS(384),
    [anon_sym_DOT] = ACTIONS(386),
    [anon_sym_DOT_DOT] = ACTIONS(386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(384),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(384),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_as] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(472),
    [anon_sym_move] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [63] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1627),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(63),
    [sym_block_comment] = STATE(63),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(384),
    [anon_sym_LBRACK] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(384),
    [anon_sym_PLUS] = ACTIONS(386),
    [anon_sym_STAR] = ACTIONS(386),
    [anon_sym_QMARK] = ACTIONS(384),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(386),
    [anon_sym_SLASH] = ACTIONS(386),
    [anon_sym_PERCENT] = ACTIONS(386),
    [anon_sym_CARET] = ACTIONS(386),
    [anon_sym_BANG] = ACTIONS(492),
    [anon_sym_AMP] = ACTIONS(386),
    [anon_sym_PIPE] = ACTIONS(386),
    [anon_sym_AMP_AMP] = ACTIONS(384),
    [anon_sym_PIPE_PIPE] = ACTIONS(384),
    [anon_sym_LT_LT] = ACTIONS(386),
    [anon_sym_GT_GT] = ACTIONS(386),
    [anon_sym_PLUS_EQ] = ACTIONS(384),
    [anon_sym_DASH_EQ] = ACTIONS(384),
    [anon_sym_STAR_EQ] = ACTIONS(384),
    [anon_sym_SLASH_EQ] = ACTIONS(384),
    [anon_sym_PERCENT_EQ] = ACTIONS(384),
    [anon_sym_CARET_EQ] = ACTIONS(384),
    [anon_sym_AMP_EQ] = ACTIONS(384),
    [anon_sym_PIPE_EQ] = ACTIONS(384),
    [anon_sym_LT_LT_EQ] = ACTIONS(384),
    [anon_sym_GT_GT_EQ] = ACTIONS(384),
    [anon_sym_EQ] = ACTIONS(386),
    [anon_sym_EQ_EQ] = ACTIONS(384),
    [anon_sym_BANG_EQ] = ACTIONS(384),
    [anon_sym_GT] = ACTIONS(386),
    [anon_sym_LT] = ACTIONS(386),
    [anon_sym_GT_EQ] = ACTIONS(384),
    [anon_sym_LT_EQ] = ACTIONS(384),
    [anon_sym_DOT] = ACTIONS(386),
    [anon_sym_DOT_DOT] = ACTIONS(386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(384),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(384),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(386),
    [anon_sym_as] = ACTIONS(386),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [64] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1601),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(52),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(64),
    [sym_block_comment] = STATE(64),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(388),
    [anon_sym_LBRACK] = ACTIONS(388),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_STAR] = ACTIONS(390),
    [anon_sym_QMARK] = ACTIONS(388),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_SLASH] = ACTIONS(390),
    [anon_sym_PERCENT] = ACTIONS(390),
    [anon_sym_CARET] = ACTIONS(390),
    [anon_sym_BANG] = ACTIONS(492),
    [anon_sym_AMP] = ACTIONS(390),
    [anon_sym_PIPE] = ACTIONS(390),
    [anon_sym_AMP_AMP] = ACTIONS(388),
    [anon_sym_PIPE_PIPE] = ACTIONS(388),
    [anon_sym_LT_LT] = ACTIONS(390),
    [anon_sym_GT_GT] = ACTIONS(390),
    [anon_sym_PLUS_EQ] = ACTIONS(388),
    [anon_sym_DASH_EQ] = ACTIONS(388),
    [anon_sym_STAR_EQ] = ACTIONS(388),
    [anon_sym_SLASH_EQ] = ACTIONS(388),
    [anon_sym_PERCENT_EQ] = ACTIONS(388),
    [anon_sym_CARET_EQ] = ACTIONS(388),
    [anon_sym_AMP_EQ] = ACTIONS(388),
    [anon_sym_PIPE_EQ] = ACTIONS(388),
    [anon_sym_LT_LT_EQ] = ACTIONS(388),
    [anon_sym_GT_GT_EQ] = ACTIONS(388),
    [anon_sym_EQ] = ACTIONS(390),
    [anon_sym_EQ_EQ] = ACTIONS(388),
    [anon_sym_BANG_EQ] = ACTIONS(388),
    [anon_sym_GT] = ACTIONS(390),
    [anon_sym_LT] = ACTIONS(390),
    [anon_sym_GT_EQ] = ACTIONS(388),
    [anon_sym_LT_EQ] = ACTIONS(388),
    [anon_sym_DOT] = ACTIONS(390),
    [anon_sym_DOT_DOT] = ACTIONS(390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(388),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(388),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(390),
    [anon_sym_as] = ACTIONS(390),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [65] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1812),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(234),
    [sym_label] = STATE(44),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(65),
    [sym_block_comment] = STATE(65),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(388),
    [anon_sym_LBRACK] = ACTIONS(388),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_STAR] = ACTIONS(390),
    [anon_sym_QMARK] = ACTIONS(388),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_SLASH] = ACTIONS(390),
    [anon_sym_PERCENT] = ACTIONS(390),
    [anon_sym_CARET] = ACTIONS(390),
    [anon_sym_BANG] = ACTIONS(460),
    [anon_sym_AMP] = ACTIONS(390),
    [anon_sym_PIPE] = ACTIONS(390),
    [anon_sym_AMP_AMP] = ACTIONS(388),
    [anon_sym_PIPE_PIPE] = ACTIONS(388),
    [anon_sym_LT_LT] = ACTIONS(390),
    [anon_sym_GT_GT] = ACTIONS(390),
    [anon_sym_PLUS_EQ] = ACTIONS(388),
    [anon_sym_DASH_EQ] = ACTIONS(388),
    [anon_sym_STAR_EQ] = ACTIONS(388),
    [anon_sym_SLASH_EQ] = ACTIONS(388),
    [anon_sym_PERCENT_EQ] = ACTIONS(388),
    [anon_sym_CARET_EQ] = ACTIONS(388),
    [anon_sym_AMP_EQ] = ACTIONS(388),
    [anon_sym_PIPE_EQ] = ACTIONS(388),
    [anon_sym_LT_LT_EQ] = ACTIONS(388),
    [anon_sym_GT_GT_EQ] = ACTIONS(388),
    [anon_sym_EQ] = ACTIONS(390),
    [anon_sym_EQ_EQ] = ACTIONS(388),
    [anon_sym_BANG_EQ] = ACTIONS(388),
    [anon_sym_GT] = ACTIONS(390),
    [anon_sym_LT] = ACTIONS(390),
    [anon_sym_GT_EQ] = ACTIONS(388),
    [anon_sym_LT_EQ] = ACTIONS(388),
    [anon_sym_DOT] = ACTIONS(390),
    [anon_sym_DOT_DOT] = ACTIONS(390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(388),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(388),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(392),
    [anon_sym_as] = ACTIONS(390),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(472),
    [anon_sym_move] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [66] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1814),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(234),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(66),
    [sym_block_comment] = STATE(66),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_PLUS] = ACTIONS(396),
    [anon_sym_STAR] = ACTIONS(460),
    [anon_sym_QMARK] = ACTIONS(394),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(460),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_PERCENT] = ACTIONS(396),
    [anon_sym_CARET] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(460),
    [anon_sym_AMP] = ACTIONS(510),
    [anon_sym_PIPE] = ACTIONS(378),
    [anon_sym_AMP_AMP] = ACTIONS(394),
    [anon_sym_PIPE_PIPE] = ACTIONS(394),
    [anon_sym_LT_LT] = ACTIONS(396),
    [anon_sym_GT_GT] = ACTIONS(396),
    [anon_sym_PLUS_EQ] = ACTIONS(394),
    [anon_sym_DASH_EQ] = ACTIONS(394),
    [anon_sym_STAR_EQ] = ACTIONS(394),
    [anon_sym_SLASH_EQ] = ACTIONS(394),
    [anon_sym_PERCENT_EQ] = ACTIONS(394),
    [anon_sym_CARET_EQ] = ACTIONS(394),
    [anon_sym_AMP_EQ] = ACTIONS(394),
    [anon_sym_PIPE_EQ] = ACTIONS(394),
    [anon_sym_LT_LT_EQ] = ACTIONS(394),
    [anon_sym_GT_GT_EQ] = ACTIONS(394),
    [anon_sym_EQ] = ACTIONS(396),
    [anon_sym_EQ_EQ] = ACTIONS(394),
    [anon_sym_BANG_EQ] = ACTIONS(394),
    [anon_sym_GT] = ACTIONS(396),
    [anon_sym_LT] = ACTIONS(380),
    [anon_sym_GT_EQ] = ACTIONS(394),
    [anon_sym_LT_EQ] = ACTIONS(394),
    [anon_sym_DOT] = ACTIONS(396),
    [anon_sym_DOT_DOT] = ACTIONS(512),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(394),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(394),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_as] = ACTIONS(396),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(472),
    [anon_sym_move] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [67] = {
    [sym__token_pattern] = STATE(149),
    [sym_token_tree_pattern] = STATE(166),
    [sym_token_binding_pattern] = STATE(166),
    [sym_token_repetition_pattern] = STATE(166),
    [sym__literal] = STATE(166),
    [sym_string_literal] = STATE(156),
    [sym_raw_string_literal] = STATE(156),
    [sym_boolean_literal] = STATE(156),
    [sym_line_comment] = STATE(67),
    [sym_block_comment] = STATE(67),
    [aux_sym_token_tree_pattern_repeat1] = STATE(67),
    [aux_sym__non_special_token_repeat1] = STATE(135),
    [sym_identifier] = ACTIONS(514),
    [anon_sym_SEMI] = ACTIONS(517),
    [anon_sym_LPAREN] = ACTIONS(520),
    [anon_sym_RPAREN] = ACTIONS(523),
    [anon_sym_LBRACK] = ACTIONS(525),
    [anon_sym_RBRACK] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(528),
    [anon_sym_RBRACE] = ACTIONS(523),
    [anon_sym_EQ_GT] = ACTIONS(517),
    [anon_sym_COLON] = ACTIONS(531),
    [anon_sym_DOLLAR] = ACTIONS(534),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_STAR] = ACTIONS(531),
    [anon_sym_QMARK] = ACTIONS(517),
    [anon_sym_u8] = ACTIONS(514),
    [anon_sym_i8] = ACTIONS(514),
    [anon_sym_u16] = ACTIONS(514),
    [anon_sym_i16] = ACTIONS(514),
    [anon_sym_u32] = ACTIONS(514),
    [anon_sym_i32] = ACTIONS(514),
    [anon_sym_u64] = ACTIONS(514),
    [anon_sym_i64] = ACTIONS(514),
    [anon_sym_u128] = ACTIONS(514),
    [anon_sym_i128] = ACTIONS(514),
    [anon_sym_isize] = ACTIONS(514),
    [anon_sym_usize] = ACTIONS(514),
    [anon_sym_f32] = ACTIONS(514),
    [anon_sym_f64] = ACTIONS(514),
    [anon_sym_bool] = ACTIONS(514),
    [anon_sym_str] = ACTIONS(514),
    [anon_sym_char] = ACTIONS(514),
    [anon_sym_DASH] = ACTIONS(531),
    [anon_sym_SLASH] = ACTIONS(531),
    [anon_sym_PERCENT] = ACTIONS(531),
    [anon_sym_CARET] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_PIPE] = ACTIONS(531),
    [anon_sym_AMP_AMP] = ACTIONS(517),
    [anon_sym_PIPE_PIPE] = ACTIONS(517),
    [anon_sym_LT_LT] = ACTIONS(531),
    [anon_sym_GT_GT] = ACTIONS(531),
    [anon_sym_PLUS_EQ] = ACTIONS(517),
    [anon_sym_DASH_EQ] = ACTIONS(517),
    [anon_sym_STAR_EQ] = ACTIONS(517),
    [anon_sym_SLASH_EQ] = ACTIONS(517),
    [anon_sym_PERCENT_EQ] = ACTIONS(517),
    [anon_sym_CARET_EQ] = ACTIONS(517),
    [anon_sym_AMP_EQ] = ACTIONS(517),
    [anon_sym_PIPE_EQ] = ACTIONS(517),
    [anon_sym_LT_LT_EQ] = ACTIONS(517),
    [anon_sym_GT_GT_EQ] = ACTIONS(517),
    [anon_sym_EQ] = ACTIONS(531),
    [anon_sym_EQ_EQ] = ACTIONS(517),
    [anon_sym_BANG_EQ] = ACTIONS(517),
    [anon_sym_GT] = ACTIONS(531),
    [anon_sym_LT] = ACTIONS(531),
    [anon_sym_GT_EQ] = ACTIONS(517),
    [anon_sym_LT_EQ] = ACTIONS(517),
    [anon_sym_AT] = ACTIONS(517),
    [anon_sym__] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(531),
    [anon_sym_DOT_DOT] = ACTIONS(531),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(517),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(517),
    [anon_sym_COMMA] = ACTIONS(517),
    [anon_sym_COLON_COLON] = ACTIONS(517),
    [anon_sym_DASH_GT] = ACTIONS(517),
    [anon_sym_POUND] = ACTIONS(517),
    [anon_sym_SQUOTE] = ACTIONS(514),
    [anon_sym_as] = ACTIONS(514),
    [anon_sym_async] = ACTIONS(514),
    [anon_sym_await] = ACTIONS(514),
    [anon_sym_break] = ACTIONS(514),
    [anon_sym_const] = ACTIONS(514),
    [anon_sym_continue] = ACTIONS(514),
    [anon_sym_default] = ACTIONS(514),
    [anon_sym_enum] = ACTIONS(514),
    [anon_sym_fn] = ACTIONS(514),
    [anon_sym_for] = ACTIONS(514),
    [anon_sym_if] = ACTIONS(514),
    [anon_sym_impl] = ACTIONS(514),
    [anon_sym_let] = ACTIONS(514),
    [anon_sym_loop] = ACTIONS(514),
    [anon_sym_match] = ACTIONS(514),
    [anon_sym_mod] = ACTIONS(514),
    [anon_sym_pub] = ACTIONS(514),
    [anon_sym_return] = ACTIONS(514),
    [anon_sym_static] = ACTIONS(514),
    [anon_sym_struct] = ACTIONS(514),
    [anon_sym_trait] = ACTIONS(514),
    [anon_sym_type] = ACTIONS(514),
    [anon_sym_union] = ACTIONS(514),
    [anon_sym_unsafe] = ACTIONS(514),
    [anon_sym_use] = ACTIONS(514),
    [anon_sym_where] = ACTIONS(514),
    [anon_sym_while] = ACTIONS(514),
    [sym_mutable_specifier] = ACTIONS(514),
    [sym_integer_literal] = ACTIONS(537),
    [aux_sym_string_literal_token1] = ACTIONS(540),
    [sym_char_literal] = ACTIONS(537),
    [anon_sym_true] = ACTIONS(543),
    [anon_sym_false] = ACTIONS(543),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(514),
    [sym_super] = ACTIONS(514),
    [sym_crate] = ACTIONS(514),
    [sym_metavariable] = ACTIONS(546),
    [sym__raw_string_literal_start] = ACTIONS(549),
    [sym_float_literal] = ACTIONS(537),
  },
  [68] = {
    [sym__token_pattern] = STATE(149),
    [sym_token_tree_pattern] = STATE(166),
    [sym_token_binding_pattern] = STATE(166),
    [sym_token_repetition_pattern] = STATE(166),
    [sym__literal] = STATE(166),
    [sym_string_literal] = STATE(156),
    [sym_raw_string_literal] = STATE(156),
    [sym_boolean_literal] = STATE(156),
    [sym_line_comment] = STATE(68),
    [sym_block_comment] = STATE(68),
    [aux_sym_token_tree_pattern_repeat1] = STATE(72),
    [aux_sym__non_special_token_repeat1] = STATE(135),
    [sym_identifier] = ACTIONS(552),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_RPAREN] = ACTIONS(558),
    [anon_sym_LBRACK] = ACTIONS(560),
    [anon_sym_LBRACE] = ACTIONS(562),
    [anon_sym_EQ_GT] = ACTIONS(554),
    [anon_sym_COLON] = ACTIONS(564),
    [anon_sym_DOLLAR] = ACTIONS(566),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_u8] = ACTIONS(552),
    [anon_sym_i8] = ACTIONS(552),
    [anon_sym_u16] = ACTIONS(552),
    [anon_sym_i16] = ACTIONS(552),
    [anon_sym_u32] = ACTIONS(552),
    [anon_sym_i32] = ACTIONS(552),
    [anon_sym_u64] = ACTIONS(552),
    [anon_sym_i64] = ACTIONS(552),
    [anon_sym_u128] = ACTIONS(552),
    [anon_sym_i128] = ACTIONS(552),
    [anon_sym_isize] = ACTIONS(552),
    [anon_sym_usize] = ACTIONS(552),
    [anon_sym_f32] = ACTIONS(552),
    [anon_sym_f64] = ACTIONS(552),
    [anon_sym_bool] = ACTIONS(552),
    [anon_sym_str] = ACTIONS(552),
    [anon_sym_char] = ACTIONS(552),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP_AMP] = ACTIONS(554),
    [anon_sym_PIPE_PIPE] = ACTIONS(554),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_PERCENT_EQ] = ACTIONS(554),
    [anon_sym_CARET_EQ] = ACTIONS(554),
    [anon_sym_AMP_EQ] = ACTIONS(554),
    [anon_sym_PIPE_EQ] = ACTIONS(554),
    [anon_sym_LT_LT_EQ] = ACTIONS(554),
    [anon_sym_GT_GT_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_AT] = ACTIONS(554),
    [anon_sym__] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(554),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_COLON_COLON] = ACTIONS(554),
    [anon_sym_DASH_GT] = ACTIONS(554),
    [anon_sym_POUND] = ACTIONS(554),
    [anon_sym_SQUOTE] = ACTIONS(552),
    [anon_sym_as] = ACTIONS(552),
    [anon_sym_async] = ACTIONS(552),
    [anon_sym_await] = ACTIONS(552),
    [anon_sym_break] = ACTIONS(552),
    [anon_sym_const] = ACTIONS(552),
    [anon_sym_continue] = ACTIONS(552),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_enum] = ACTIONS(552),
    [anon_sym_fn] = ACTIONS(552),
    [anon_sym_for] = ACTIONS(552),
    [anon_sym_if] = ACTIONS(552),
    [anon_sym_impl] = ACTIONS(552),
    [anon_sym_let] = ACTIONS(552),
    [anon_sym_loop] = ACTIONS(552),
    [anon_sym_match] = ACTIONS(552),
    [anon_sym_mod] = ACTIONS(552),
    [anon_sym_pub] = ACTIONS(552),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_static] = ACTIONS(552),
    [anon_sym_struct] = ACTIONS(552),
    [anon_sym_trait] = ACTIONS(552),
    [anon_sym_type] = ACTIONS(552),
    [anon_sym_union] = ACTIONS(552),
    [anon_sym_unsafe] = ACTIONS(552),
    [anon_sym_use] = ACTIONS(552),
    [anon_sym_where] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(552),
    [sym_mutable_specifier] = ACTIONS(552),
    [sym_integer_literal] = ACTIONS(568),
    [aux_sym_string_literal_token1] = ACTIONS(570),
    [sym_char_literal] = ACTIONS(568),
    [anon_sym_true] = ACTIONS(572),
    [anon_sym_false] = ACTIONS(572),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(552),
    [sym_super] = ACTIONS(552),
    [sym_crate] = ACTIONS(552),
    [sym_metavariable] = ACTIONS(574),
    [sym__raw_string_literal_start] = ACTIONS(576),
    [sym_float_literal] = ACTIONS(568),
  },
  [69] = {
    [sym__token_pattern] = STATE(149),
    [sym_token_tree_pattern] = STATE(166),
    [sym_token_binding_pattern] = STATE(166),
    [sym_token_repetition_pattern] = STATE(166),
    [sym__literal] = STATE(166),
    [sym_string_literal] = STATE(156),
    [sym_raw_string_literal] = STATE(156),
    [sym_boolean_literal] = STATE(156),
    [sym_line_comment] = STATE(69),
    [sym_block_comment] = STATE(69),
    [aux_sym_token_tree_pattern_repeat1] = STATE(73),
    [aux_sym__non_special_token_repeat1] = STATE(135),
    [sym_identifier] = ACTIONS(552),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(560),
    [anon_sym_RBRACK] = ACTIONS(558),
    [anon_sym_LBRACE] = ACTIONS(562),
    [anon_sym_EQ_GT] = ACTIONS(554),
    [anon_sym_COLON] = ACTIONS(564),
    [anon_sym_DOLLAR] = ACTIONS(566),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_u8] = ACTIONS(552),
    [anon_sym_i8] = ACTIONS(552),
    [anon_sym_u16] = ACTIONS(552),
    [anon_sym_i16] = ACTIONS(552),
    [anon_sym_u32] = ACTIONS(552),
    [anon_sym_i32] = ACTIONS(552),
    [anon_sym_u64] = ACTIONS(552),
    [anon_sym_i64] = ACTIONS(552),
    [anon_sym_u128] = ACTIONS(552),
    [anon_sym_i128] = ACTIONS(552),
    [anon_sym_isize] = ACTIONS(552),
    [anon_sym_usize] = ACTIONS(552),
    [anon_sym_f32] = ACTIONS(552),
    [anon_sym_f64] = ACTIONS(552),
    [anon_sym_bool] = ACTIONS(552),
    [anon_sym_str] = ACTIONS(552),
    [anon_sym_char] = ACTIONS(552),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP_AMP] = ACTIONS(554),
    [anon_sym_PIPE_PIPE] = ACTIONS(554),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_PERCENT_EQ] = ACTIONS(554),
    [anon_sym_CARET_EQ] = ACTIONS(554),
    [anon_sym_AMP_EQ] = ACTIONS(554),
    [anon_sym_PIPE_EQ] = ACTIONS(554),
    [anon_sym_LT_LT_EQ] = ACTIONS(554),
    [anon_sym_GT_GT_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_AT] = ACTIONS(554),
    [anon_sym__] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(554),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_COLON_COLON] = ACTIONS(554),
    [anon_sym_DASH_GT] = ACTIONS(554),
    [anon_sym_POUND] = ACTIONS(554),
    [anon_sym_SQUOTE] = ACTIONS(552),
    [anon_sym_as] = ACTIONS(552),
    [anon_sym_async] = ACTIONS(552),
    [anon_sym_await] = ACTIONS(552),
    [anon_sym_break] = ACTIONS(552),
    [anon_sym_const] = ACTIONS(552),
    [anon_sym_continue] = ACTIONS(552),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_enum] = ACTIONS(552),
    [anon_sym_fn] = ACTIONS(552),
    [anon_sym_for] = ACTIONS(552),
    [anon_sym_if] = ACTIONS(552),
    [anon_sym_impl] = ACTIONS(552),
    [anon_sym_let] = ACTIONS(552),
    [anon_sym_loop] = ACTIONS(552),
    [anon_sym_match] = ACTIONS(552),
    [anon_sym_mod] = ACTIONS(552),
    [anon_sym_pub] = ACTIONS(552),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_static] = ACTIONS(552),
    [anon_sym_struct] = ACTIONS(552),
    [anon_sym_trait] = ACTIONS(552),
    [anon_sym_type] = ACTIONS(552),
    [anon_sym_union] = ACTIONS(552),
    [anon_sym_unsafe] = ACTIONS(552),
    [anon_sym_use] = ACTIONS(552),
    [anon_sym_where] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(552),
    [sym_mutable_specifier] = ACTIONS(552),
    [sym_integer_literal] = ACTIONS(568),
    [aux_sym_string_literal_token1] = ACTIONS(570),
    [sym_char_literal] = ACTIONS(568),
    [anon_sym_true] = ACTIONS(572),
    [anon_sym_false] = ACTIONS(572),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(552),
    [sym_super] = ACTIONS(552),
    [sym_crate] = ACTIONS(552),
    [sym_metavariable] = ACTIONS(574),
    [sym__raw_string_literal_start] = ACTIONS(576),
    [sym_float_literal] = ACTIONS(568),
  },
  [70] = {
    [sym__token_pattern] = STATE(149),
    [sym_token_tree_pattern] = STATE(166),
    [sym_token_binding_pattern] = STATE(166),
    [sym_token_repetition_pattern] = STATE(166),
    [sym__literal] = STATE(166),
    [sym_string_literal] = STATE(156),
    [sym_raw_string_literal] = STATE(156),
    [sym_boolean_literal] = STATE(156),
    [sym_line_comment] = STATE(70),
    [sym_block_comment] = STATE(70),
    [aux_sym_token_tree_pattern_repeat1] = STATE(77),
    [aux_sym__non_special_token_repeat1] = STATE(135),
    [sym_identifier] = ACTIONS(552),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_RPAREN] = ACTIONS(578),
    [anon_sym_LBRACK] = ACTIONS(560),
    [anon_sym_LBRACE] = ACTIONS(562),
    [anon_sym_EQ_GT] = ACTIONS(554),
    [anon_sym_COLON] = ACTIONS(564),
    [anon_sym_DOLLAR] = ACTIONS(566),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_u8] = ACTIONS(552),
    [anon_sym_i8] = ACTIONS(552),
    [anon_sym_u16] = ACTIONS(552),
    [anon_sym_i16] = ACTIONS(552),
    [anon_sym_u32] = ACTIONS(552),
    [anon_sym_i32] = ACTIONS(552),
    [anon_sym_u64] = ACTIONS(552),
    [anon_sym_i64] = ACTIONS(552),
    [anon_sym_u128] = ACTIONS(552),
    [anon_sym_i128] = ACTIONS(552),
    [anon_sym_isize] = ACTIONS(552),
    [anon_sym_usize] = ACTIONS(552),
    [anon_sym_f32] = ACTIONS(552),
    [anon_sym_f64] = ACTIONS(552),
    [anon_sym_bool] = ACTIONS(552),
    [anon_sym_str] = ACTIONS(552),
    [anon_sym_char] = ACTIONS(552),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP_AMP] = ACTIONS(554),
    [anon_sym_PIPE_PIPE] = ACTIONS(554),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_PERCENT_EQ] = ACTIONS(554),
    [anon_sym_CARET_EQ] = ACTIONS(554),
    [anon_sym_AMP_EQ] = ACTIONS(554),
    [anon_sym_PIPE_EQ] = ACTIONS(554),
    [anon_sym_LT_LT_EQ] = ACTIONS(554),
    [anon_sym_GT_GT_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_AT] = ACTIONS(554),
    [anon_sym__] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(554),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_COLON_COLON] = ACTIONS(554),
    [anon_sym_DASH_GT] = ACTIONS(554),
    [anon_sym_POUND] = ACTIONS(554),
    [anon_sym_SQUOTE] = ACTIONS(552),
    [anon_sym_as] = ACTIONS(552),
    [anon_sym_async] = ACTIONS(552),
    [anon_sym_await] = ACTIONS(552),
    [anon_sym_break] = ACTIONS(552),
    [anon_sym_const] = ACTIONS(552),
    [anon_sym_continue] = ACTIONS(552),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_enum] = ACTIONS(552),
    [anon_sym_fn] = ACTIONS(552),
    [anon_sym_for] = ACTIONS(552),
    [anon_sym_if] = ACTIONS(552),
    [anon_sym_impl] = ACTIONS(552),
    [anon_sym_let] = ACTIONS(552),
    [anon_sym_loop] = ACTIONS(552),
    [anon_sym_match] = ACTIONS(552),
    [anon_sym_mod] = ACTIONS(552),
    [anon_sym_pub] = ACTIONS(552),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_static] = ACTIONS(552),
    [anon_sym_struct] = ACTIONS(552),
    [anon_sym_trait] = ACTIONS(552),
    [anon_sym_type] = ACTIONS(552),
    [anon_sym_union] = ACTIONS(552),
    [anon_sym_unsafe] = ACTIONS(552),
    [anon_sym_use] = ACTIONS(552),
    [anon_sym_where] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(552),
    [sym_mutable_specifier] = ACTIONS(552),
    [sym_integer_literal] = ACTIONS(568),
    [aux_sym_string_literal_token1] = ACTIONS(570),
    [sym_char_literal] = ACTIONS(568),
    [anon_sym_true] = ACTIONS(572),
    [anon_sym_false] = ACTIONS(572),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(552),
    [sym_super] = ACTIONS(552),
    [sym_crate] = ACTIONS(552),
    [sym_metavariable] = ACTIONS(574),
    [sym__raw_string_literal_start] = ACTIONS(576),
    [sym_float_literal] = ACTIONS(568),
  },
  [71] = {
    [sym__token_pattern] = STATE(149),
    [sym_token_tree_pattern] = STATE(166),
    [sym_token_binding_pattern] = STATE(166),
    [sym_token_repetition_pattern] = STATE(166),
    [sym__literal] = STATE(166),
    [sym_string_literal] = STATE(156),
    [sym_raw_string_literal] = STATE(156),
    [sym_boolean_literal] = STATE(156),
    [sym_line_comment] = STATE(71),
    [sym_block_comment] = STATE(71),
    [aux_sym_token_tree_pattern_repeat1] = STATE(78),
    [aux_sym__non_special_token_repeat1] = STATE(135),
    [sym_identifier] = ACTIONS(552),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(560),
    [anon_sym_RBRACK] = ACTIONS(578),
    [anon_sym_LBRACE] = ACTIONS(562),
    [anon_sym_EQ_GT] = ACTIONS(554),
    [anon_sym_COLON] = ACTIONS(564),
    [anon_sym_DOLLAR] = ACTIONS(566),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_u8] = ACTIONS(552),
    [anon_sym_i8] = ACTIONS(552),
    [anon_sym_u16] = ACTIONS(552),
    [anon_sym_i16] = ACTIONS(552),
    [anon_sym_u32] = ACTIONS(552),
    [anon_sym_i32] = ACTIONS(552),
    [anon_sym_u64] = ACTIONS(552),
    [anon_sym_i64] = ACTIONS(552),
    [anon_sym_u128] = ACTIONS(552),
    [anon_sym_i128] = ACTIONS(552),
    [anon_sym_isize] = ACTIONS(552),
    [anon_sym_usize] = ACTIONS(552),
    [anon_sym_f32] = ACTIONS(552),
    [anon_sym_f64] = ACTIONS(552),
    [anon_sym_bool] = ACTIONS(552),
    [anon_sym_str] = ACTIONS(552),
    [anon_sym_char] = ACTIONS(552),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP_AMP] = ACTIONS(554),
    [anon_sym_PIPE_PIPE] = ACTIONS(554),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_PERCENT_EQ] = ACTIONS(554),
    [anon_sym_CARET_EQ] = ACTIONS(554),
    [anon_sym_AMP_EQ] = ACTIONS(554),
    [anon_sym_PIPE_EQ] = ACTIONS(554),
    [anon_sym_LT_LT_EQ] = ACTIONS(554),
    [anon_sym_GT_GT_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_AT] = ACTIONS(554),
    [anon_sym__] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(554),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_COLON_COLON] = ACTIONS(554),
    [anon_sym_DASH_GT] = ACTIONS(554),
    [anon_sym_POUND] = ACTIONS(554),
    [anon_sym_SQUOTE] = ACTIONS(552),
    [anon_sym_as] = ACTIONS(552),
    [anon_sym_async] = ACTIONS(552),
    [anon_sym_await] = ACTIONS(552),
    [anon_sym_break] = ACTIONS(552),
    [anon_sym_const] = ACTIONS(552),
    [anon_sym_continue] = ACTIONS(552),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_enum] = ACTIONS(552),
    [anon_sym_fn] = ACTIONS(552),
    [anon_sym_for] = ACTIONS(552),
    [anon_sym_if] = ACTIONS(552),
    [anon_sym_impl] = ACTIONS(552),
    [anon_sym_let] = ACTIONS(552),
    [anon_sym_loop] = ACTIONS(552),
    [anon_sym_match] = ACTIONS(552),
    [anon_sym_mod] = ACTIONS(552),
    [anon_sym_pub] = ACTIONS(552),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_static] = ACTIONS(552),
    [anon_sym_struct] = ACTIONS(552),
    [anon_sym_trait] = ACTIONS(552),
    [anon_sym_type] = ACTIONS(552),
    [anon_sym_union] = ACTIONS(552),
    [anon_sym_unsafe] = ACTIONS(552),
    [anon_sym_use] = ACTIONS(552),
    [anon_sym_where] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(552),
    [sym_mutable_specifier] = ACTIONS(552),
    [sym_integer_literal] = ACTIONS(568),
    [aux_sym_string_literal_token1] = ACTIONS(570),
    [sym_char_literal] = ACTIONS(568),
    [anon_sym_true] = ACTIONS(572),
    [anon_sym_false] = ACTIONS(572),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(552),
    [sym_super] = ACTIONS(552),
    [sym_crate] = ACTIONS(552),
    [sym_metavariable] = ACTIONS(574),
    [sym__raw_string_literal_start] = ACTIONS(576),
    [sym_float_literal] = ACTIONS(568),
  },
  [72] = {
    [sym__token_pattern] = STATE(149),
    [sym_token_tree_pattern] = STATE(166),
    [sym_token_binding_pattern] = STATE(166),
    [sym_token_repetition_pattern] = STATE(166),
    [sym__literal] = STATE(166),
    [sym_string_literal] = STATE(156),
    [sym_raw_string_literal] = STATE(156),
    [sym_boolean_literal] = STATE(156),
    [sym_line_comment] = STATE(72),
    [sym_block_comment] = STATE(72),
    [aux_sym_token_tree_pattern_repeat1] = STATE(67),
    [aux_sym__non_special_token_repeat1] = STATE(135),
    [sym_identifier] = ACTIONS(552),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_RPAREN] = ACTIONS(580),
    [anon_sym_LBRACK] = ACTIONS(560),
    [anon_sym_LBRACE] = ACTIONS(562),
    [anon_sym_EQ_GT] = ACTIONS(554),
    [anon_sym_COLON] = ACTIONS(564),
    [anon_sym_DOLLAR] = ACTIONS(566),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_u8] = ACTIONS(552),
    [anon_sym_i8] = ACTIONS(552),
    [anon_sym_u16] = ACTIONS(552),
    [anon_sym_i16] = ACTIONS(552),
    [anon_sym_u32] = ACTIONS(552),
    [anon_sym_i32] = ACTIONS(552),
    [anon_sym_u64] = ACTIONS(552),
    [anon_sym_i64] = ACTIONS(552),
    [anon_sym_u128] = ACTIONS(552),
    [anon_sym_i128] = ACTIONS(552),
    [anon_sym_isize] = ACTIONS(552),
    [anon_sym_usize] = ACTIONS(552),
    [anon_sym_f32] = ACTIONS(552),
    [anon_sym_f64] = ACTIONS(552),
    [anon_sym_bool] = ACTIONS(552),
    [anon_sym_str] = ACTIONS(552),
    [anon_sym_char] = ACTIONS(552),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP_AMP] = ACTIONS(554),
    [anon_sym_PIPE_PIPE] = ACTIONS(554),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_PERCENT_EQ] = ACTIONS(554),
    [anon_sym_CARET_EQ] = ACTIONS(554),
    [anon_sym_AMP_EQ] = ACTIONS(554),
    [anon_sym_PIPE_EQ] = ACTIONS(554),
    [anon_sym_LT_LT_EQ] = ACTIONS(554),
    [anon_sym_GT_GT_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_AT] = ACTIONS(554),
    [anon_sym__] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(554),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_COLON_COLON] = ACTIONS(554),
    [anon_sym_DASH_GT] = ACTIONS(554),
    [anon_sym_POUND] = ACTIONS(554),
    [anon_sym_SQUOTE] = ACTIONS(552),
    [anon_sym_as] = ACTIONS(552),
    [anon_sym_async] = ACTIONS(552),
    [anon_sym_await] = ACTIONS(552),
    [anon_sym_break] = ACTIONS(552),
    [anon_sym_const] = ACTIONS(552),
    [anon_sym_continue] = ACTIONS(552),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_enum] = ACTIONS(552),
    [anon_sym_fn] = ACTIONS(552),
    [anon_sym_for] = ACTIONS(552),
    [anon_sym_if] = ACTIONS(552),
    [anon_sym_impl] = ACTIONS(552),
    [anon_sym_let] = ACTIONS(552),
    [anon_sym_loop] = ACTIONS(552),
    [anon_sym_match] = ACTIONS(552),
    [anon_sym_mod] = ACTIONS(552),
    [anon_sym_pub] = ACTIONS(552),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_static] = ACTIONS(552),
    [anon_sym_struct] = ACTIONS(552),
    [anon_sym_trait] = ACTIONS(552),
    [anon_sym_type] = ACTIONS(552),
    [anon_sym_union] = ACTIONS(552),
    [anon_sym_unsafe] = ACTIONS(552),
    [anon_sym_use] = ACTIONS(552),
    [anon_sym_where] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(552),
    [sym_mutable_specifier] = ACTIONS(552),
    [sym_integer_literal] = ACTIONS(568),
    [aux_sym_string_literal_token1] = ACTIONS(570),
    [sym_char_literal] = ACTIONS(568),
    [anon_sym_true] = ACTIONS(572),
    [anon_sym_false] = ACTIONS(572),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(552),
    [sym_super] = ACTIONS(552),
    [sym_crate] = ACTIONS(552),
    [sym_metavariable] = ACTIONS(574),
    [sym__raw_string_literal_start] = ACTIONS(576),
    [sym_float_literal] = ACTIONS(568),
  },
  [73] = {
    [sym__token_pattern] = STATE(149),
    [sym_token_tree_pattern] = STATE(166),
    [sym_token_binding_pattern] = STATE(166),
    [sym_token_repetition_pattern] = STATE(166),
    [sym__literal] = STATE(166),
    [sym_string_literal] = STATE(156),
    [sym_raw_string_literal] = STATE(156),
    [sym_boolean_literal] = STATE(156),
    [sym_line_comment] = STATE(73),
    [sym_block_comment] = STATE(73),
    [aux_sym_token_tree_pattern_repeat1] = STATE(67),
    [aux_sym__non_special_token_repeat1] = STATE(135),
    [sym_identifier] = ACTIONS(552),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(560),
    [anon_sym_RBRACK] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(562),
    [anon_sym_EQ_GT] = ACTIONS(554),
    [anon_sym_COLON] = ACTIONS(564),
    [anon_sym_DOLLAR] = ACTIONS(566),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_u8] = ACTIONS(552),
    [anon_sym_i8] = ACTIONS(552),
    [anon_sym_u16] = ACTIONS(552),
    [anon_sym_i16] = ACTIONS(552),
    [anon_sym_u32] = ACTIONS(552),
    [anon_sym_i32] = ACTIONS(552),
    [anon_sym_u64] = ACTIONS(552),
    [anon_sym_i64] = ACTIONS(552),
    [anon_sym_u128] = ACTIONS(552),
    [anon_sym_i128] = ACTIONS(552),
    [anon_sym_isize] = ACTIONS(552),
    [anon_sym_usize] = ACTIONS(552),
    [anon_sym_f32] = ACTIONS(552),
    [anon_sym_f64] = ACTIONS(552),
    [anon_sym_bool] = ACTIONS(552),
    [anon_sym_str] = ACTIONS(552),
    [anon_sym_char] = ACTIONS(552),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP_AMP] = ACTIONS(554),
    [anon_sym_PIPE_PIPE] = ACTIONS(554),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_PERCENT_EQ] = ACTIONS(554),
    [anon_sym_CARET_EQ] = ACTIONS(554),
    [anon_sym_AMP_EQ] = ACTIONS(554),
    [anon_sym_PIPE_EQ] = ACTIONS(554),
    [anon_sym_LT_LT_EQ] = ACTIONS(554),
    [anon_sym_GT_GT_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_AT] = ACTIONS(554),
    [anon_sym__] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(554),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_COLON_COLON] = ACTIONS(554),
    [anon_sym_DASH_GT] = ACTIONS(554),
    [anon_sym_POUND] = ACTIONS(554),
    [anon_sym_SQUOTE] = ACTIONS(552),
    [anon_sym_as] = ACTIONS(552),
    [anon_sym_async] = ACTIONS(552),
    [anon_sym_await] = ACTIONS(552),
    [anon_sym_break] = ACTIONS(552),
    [anon_sym_const] = ACTIONS(552),
    [anon_sym_continue] = ACTIONS(552),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_enum] = ACTIONS(552),
    [anon_sym_fn] = ACTIONS(552),
    [anon_sym_for] = ACTIONS(552),
    [anon_sym_if] = ACTIONS(552),
    [anon_sym_impl] = ACTIONS(552),
    [anon_sym_let] = ACTIONS(552),
    [anon_sym_loop] = ACTIONS(552),
    [anon_sym_match] = ACTIONS(552),
    [anon_sym_mod] = ACTIONS(552),
    [anon_sym_pub] = ACTIONS(552),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_static] = ACTIONS(552),
    [anon_sym_struct] = ACTIONS(552),
    [anon_sym_trait] = ACTIONS(552),
    [anon_sym_type] = ACTIONS(552),
    [anon_sym_union] = ACTIONS(552),
    [anon_sym_unsafe] = ACTIONS(552),
    [anon_sym_use] = ACTIONS(552),
    [anon_sym_where] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(552),
    [sym_mutable_specifier] = ACTIONS(552),
    [sym_integer_literal] = ACTIONS(568),
    [aux_sym_string_literal_token1] = ACTIONS(570),
    [sym_char_literal] = ACTIONS(568),
    [anon_sym_true] = ACTIONS(572),
    [anon_sym_false] = ACTIONS(572),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(552),
    [sym_super] = ACTIONS(552),
    [sym_crate] = ACTIONS(552),
    [sym_metavariable] = ACTIONS(574),
    [sym__raw_string_literal_start] = ACTIONS(576),
    [sym_float_literal] = ACTIONS(568),
  },
  [74] = {
    [sym__token_pattern] = STATE(149),
    [sym_token_tree_pattern] = STATE(166),
    [sym_token_binding_pattern] = STATE(166),
    [sym_token_repetition_pattern] = STATE(166),
    [sym__literal] = STATE(166),
    [sym_string_literal] = STATE(156),
    [sym_raw_string_literal] = STATE(156),
    [sym_boolean_literal] = STATE(156),
    [sym_line_comment] = STATE(74),
    [sym_block_comment] = STATE(74),
    [aux_sym_token_tree_pattern_repeat1] = STATE(67),
    [aux_sym__non_special_token_repeat1] = STATE(135),
    [sym_identifier] = ACTIONS(552),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(560),
    [anon_sym_LBRACE] = ACTIONS(562),
    [anon_sym_RBRACE] = ACTIONS(580),
    [anon_sym_EQ_GT] = ACTIONS(554),
    [anon_sym_COLON] = ACTIONS(564),
    [anon_sym_DOLLAR] = ACTIONS(566),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_u8] = ACTIONS(552),
    [anon_sym_i8] = ACTIONS(552),
    [anon_sym_u16] = ACTIONS(552),
    [anon_sym_i16] = ACTIONS(552),
    [anon_sym_u32] = ACTIONS(552),
    [anon_sym_i32] = ACTIONS(552),
    [anon_sym_u64] = ACTIONS(552),
    [anon_sym_i64] = ACTIONS(552),
    [anon_sym_u128] = ACTIONS(552),
    [anon_sym_i128] = ACTIONS(552),
    [anon_sym_isize] = ACTIONS(552),
    [anon_sym_usize] = ACTIONS(552),
    [anon_sym_f32] = ACTIONS(552),
    [anon_sym_f64] = ACTIONS(552),
    [anon_sym_bool] = ACTIONS(552),
    [anon_sym_str] = ACTIONS(552),
    [anon_sym_char] = ACTIONS(552),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP_AMP] = ACTIONS(554),
    [anon_sym_PIPE_PIPE] = ACTIONS(554),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_PERCENT_EQ] = ACTIONS(554),
    [anon_sym_CARET_EQ] = ACTIONS(554),
    [anon_sym_AMP_EQ] = ACTIONS(554),
    [anon_sym_PIPE_EQ] = ACTIONS(554),
    [anon_sym_LT_LT_EQ] = ACTIONS(554),
    [anon_sym_GT_GT_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_AT] = ACTIONS(554),
    [anon_sym__] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(554),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_COLON_COLON] = ACTIONS(554),
    [anon_sym_DASH_GT] = ACTIONS(554),
    [anon_sym_POUND] = ACTIONS(554),
    [anon_sym_SQUOTE] = ACTIONS(552),
    [anon_sym_as] = ACTIONS(552),
    [anon_sym_async] = ACTIONS(552),
    [anon_sym_await] = ACTIONS(552),
    [anon_sym_break] = ACTIONS(552),
    [anon_sym_const] = ACTIONS(552),
    [anon_sym_continue] = ACTIONS(552),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_enum] = ACTIONS(552),
    [anon_sym_fn] = ACTIONS(552),
    [anon_sym_for] = ACTIONS(552),
    [anon_sym_if] = ACTIONS(552),
    [anon_sym_impl] = ACTIONS(552),
    [anon_sym_let] = ACTIONS(552),
    [anon_sym_loop] = ACTIONS(552),
    [anon_sym_match] = ACTIONS(552),
    [anon_sym_mod] = ACTIONS(552),
    [anon_sym_pub] = ACTIONS(552),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_static] = ACTIONS(552),
    [anon_sym_struct] = ACTIONS(552),
    [anon_sym_trait] = ACTIONS(552),
    [anon_sym_type] = ACTIONS(552),
    [anon_sym_union] = ACTIONS(552),
    [anon_sym_unsafe] = ACTIONS(552),
    [anon_sym_use] = ACTIONS(552),
    [anon_sym_where] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(552),
    [sym_mutable_specifier] = ACTIONS(552),
    [sym_integer_literal] = ACTIONS(568),
    [aux_sym_string_literal_token1] = ACTIONS(570),
    [sym_char_literal] = ACTIONS(568),
    [anon_sym_true] = ACTIONS(572),
    [anon_sym_false] = ACTIONS(572),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(552),
    [sym_super] = ACTIONS(552),
    [sym_crate] = ACTIONS(552),
    [sym_metavariable] = ACTIONS(574),
    [sym__raw_string_literal_start] = ACTIONS(576),
    [sym_float_literal] = ACTIONS(568),
  },
  [75] = {
    [sym__token_pattern] = STATE(149),
    [sym_token_tree_pattern] = STATE(166),
    [sym_token_binding_pattern] = STATE(166),
    [sym_token_repetition_pattern] = STATE(166),
    [sym__literal] = STATE(166),
    [sym_string_literal] = STATE(156),
    [sym_raw_string_literal] = STATE(156),
    [sym_boolean_literal] = STATE(156),
    [sym_line_comment] = STATE(75),
    [sym_block_comment] = STATE(75),
    [aux_sym_token_tree_pattern_repeat1] = STATE(79),
    [aux_sym__non_special_token_repeat1] = STATE(135),
    [sym_identifier] = ACTIONS(552),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(560),
    [anon_sym_LBRACE] = ACTIONS(562),
    [anon_sym_RBRACE] = ACTIONS(578),
    [anon_sym_EQ_GT] = ACTIONS(554),
    [anon_sym_COLON] = ACTIONS(564),
    [anon_sym_DOLLAR] = ACTIONS(566),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_u8] = ACTIONS(552),
    [anon_sym_i8] = ACTIONS(552),
    [anon_sym_u16] = ACTIONS(552),
    [anon_sym_i16] = ACTIONS(552),
    [anon_sym_u32] = ACTIONS(552),
    [anon_sym_i32] = ACTIONS(552),
    [anon_sym_u64] = ACTIONS(552),
    [anon_sym_i64] = ACTIONS(552),
    [anon_sym_u128] = ACTIONS(552),
    [anon_sym_i128] = ACTIONS(552),
    [anon_sym_isize] = ACTIONS(552),
    [anon_sym_usize] = ACTIONS(552),
    [anon_sym_f32] = ACTIONS(552),
    [anon_sym_f64] = ACTIONS(552),
    [anon_sym_bool] = ACTIONS(552),
    [anon_sym_str] = ACTIONS(552),
    [anon_sym_char] = ACTIONS(552),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP_AMP] = ACTIONS(554),
    [anon_sym_PIPE_PIPE] = ACTIONS(554),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_PERCENT_EQ] = ACTIONS(554),
    [anon_sym_CARET_EQ] = ACTIONS(554),
    [anon_sym_AMP_EQ] = ACTIONS(554),
    [anon_sym_PIPE_EQ] = ACTIONS(554),
    [anon_sym_LT_LT_EQ] = ACTIONS(554),
    [anon_sym_GT_GT_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_AT] = ACTIONS(554),
    [anon_sym__] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(554),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_COLON_COLON] = ACTIONS(554),
    [anon_sym_DASH_GT] = ACTIONS(554),
    [anon_sym_POUND] = ACTIONS(554),
    [anon_sym_SQUOTE] = ACTIONS(552),
    [anon_sym_as] = ACTIONS(552),
    [anon_sym_async] = ACTIONS(552),
    [anon_sym_await] = ACTIONS(552),
    [anon_sym_break] = ACTIONS(552),
    [anon_sym_const] = ACTIONS(552),
    [anon_sym_continue] = ACTIONS(552),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_enum] = ACTIONS(552),
    [anon_sym_fn] = ACTIONS(552),
    [anon_sym_for] = ACTIONS(552),
    [anon_sym_if] = ACTIONS(552),
    [anon_sym_impl] = ACTIONS(552),
    [anon_sym_let] = ACTIONS(552),
    [anon_sym_loop] = ACTIONS(552),
    [anon_sym_match] = ACTIONS(552),
    [anon_sym_mod] = ACTIONS(552),
    [anon_sym_pub] = ACTIONS(552),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_static] = ACTIONS(552),
    [anon_sym_struct] = ACTIONS(552),
    [anon_sym_trait] = ACTIONS(552),
    [anon_sym_type] = ACTIONS(552),
    [anon_sym_union] = ACTIONS(552),
    [anon_sym_unsafe] = ACTIONS(552),
    [anon_sym_use] = ACTIONS(552),
    [anon_sym_where] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(552),
    [sym_mutable_specifier] = ACTIONS(552),
    [sym_integer_literal] = ACTIONS(568),
    [aux_sym_string_literal_token1] = ACTIONS(570),
    [sym_char_literal] = ACTIONS(568),
    [anon_sym_true] = ACTIONS(572),
    [anon_sym_false] = ACTIONS(572),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(552),
    [sym_super] = ACTIONS(552),
    [sym_crate] = ACTIONS(552),
    [sym_metavariable] = ACTIONS(574),
    [sym__raw_string_literal_start] = ACTIONS(576),
    [sym_float_literal] = ACTIONS(568),
  },
  [76] = {
    [sym__token_pattern] = STATE(149),
    [sym_token_tree_pattern] = STATE(166),
    [sym_token_binding_pattern] = STATE(166),
    [sym_token_repetition_pattern] = STATE(166),
    [sym__literal] = STATE(166),
    [sym_string_literal] = STATE(156),
    [sym_raw_string_literal] = STATE(156),
    [sym_boolean_literal] = STATE(156),
    [sym_line_comment] = STATE(76),
    [sym_block_comment] = STATE(76),
    [aux_sym_token_tree_pattern_repeat1] = STATE(74),
    [aux_sym__non_special_token_repeat1] = STATE(135),
    [sym_identifier] = ACTIONS(552),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(560),
    [anon_sym_LBRACE] = ACTIONS(562),
    [anon_sym_RBRACE] = ACTIONS(558),
    [anon_sym_EQ_GT] = ACTIONS(554),
    [anon_sym_COLON] = ACTIONS(564),
    [anon_sym_DOLLAR] = ACTIONS(566),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_u8] = ACTIONS(552),
    [anon_sym_i8] = ACTIONS(552),
    [anon_sym_u16] = ACTIONS(552),
    [anon_sym_i16] = ACTIONS(552),
    [anon_sym_u32] = ACTIONS(552),
    [anon_sym_i32] = ACTIONS(552),
    [anon_sym_u64] = ACTIONS(552),
    [anon_sym_i64] = ACTIONS(552),
    [anon_sym_u128] = ACTIONS(552),
    [anon_sym_i128] = ACTIONS(552),
    [anon_sym_isize] = ACTIONS(552),
    [anon_sym_usize] = ACTIONS(552),
    [anon_sym_f32] = ACTIONS(552),
    [anon_sym_f64] = ACTIONS(552),
    [anon_sym_bool] = ACTIONS(552),
    [anon_sym_str] = ACTIONS(552),
    [anon_sym_char] = ACTIONS(552),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP_AMP] = ACTIONS(554),
    [anon_sym_PIPE_PIPE] = ACTIONS(554),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_PERCENT_EQ] = ACTIONS(554),
    [anon_sym_CARET_EQ] = ACTIONS(554),
    [anon_sym_AMP_EQ] = ACTIONS(554),
    [anon_sym_PIPE_EQ] = ACTIONS(554),
    [anon_sym_LT_LT_EQ] = ACTIONS(554),
    [anon_sym_GT_GT_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_AT] = ACTIONS(554),
    [anon_sym__] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(554),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_COLON_COLON] = ACTIONS(554),
    [anon_sym_DASH_GT] = ACTIONS(554),
    [anon_sym_POUND] = ACTIONS(554),
    [anon_sym_SQUOTE] = ACTIONS(552),
    [anon_sym_as] = ACTIONS(552),
    [anon_sym_async] = ACTIONS(552),
    [anon_sym_await] = ACTIONS(552),
    [anon_sym_break] = ACTIONS(552),
    [anon_sym_const] = ACTIONS(552),
    [anon_sym_continue] = ACTIONS(552),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_enum] = ACTIONS(552),
    [anon_sym_fn] = ACTIONS(552),
    [anon_sym_for] = ACTIONS(552),
    [anon_sym_if] = ACTIONS(552),
    [anon_sym_impl] = ACTIONS(552),
    [anon_sym_let] = ACTIONS(552),
    [anon_sym_loop] = ACTIONS(552),
    [anon_sym_match] = ACTIONS(552),
    [anon_sym_mod] = ACTIONS(552),
    [anon_sym_pub] = ACTIONS(552),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_static] = ACTIONS(552),
    [anon_sym_struct] = ACTIONS(552),
    [anon_sym_trait] = ACTIONS(552),
    [anon_sym_type] = ACTIONS(552),
    [anon_sym_union] = ACTIONS(552),
    [anon_sym_unsafe] = ACTIONS(552),
    [anon_sym_use] = ACTIONS(552),
    [anon_sym_where] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(552),
    [sym_mutable_specifier] = ACTIONS(552),
    [sym_integer_literal] = ACTIONS(568),
    [aux_sym_string_literal_token1] = ACTIONS(570),
    [sym_char_literal] = ACTIONS(568),
    [anon_sym_true] = ACTIONS(572),
    [anon_sym_false] = ACTIONS(572),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(552),
    [sym_super] = ACTIONS(552),
    [sym_crate] = ACTIONS(552),
    [sym_metavariable] = ACTIONS(574),
    [sym__raw_string_literal_start] = ACTIONS(576),
    [sym_float_literal] = ACTIONS(568),
  },
  [77] = {
    [sym__token_pattern] = STATE(149),
    [sym_token_tree_pattern] = STATE(166),
    [sym_token_binding_pattern] = STATE(166),
    [sym_token_repetition_pattern] = STATE(166),
    [sym__literal] = STATE(166),
    [sym_string_literal] = STATE(156),
    [sym_raw_string_literal] = STATE(156),
    [sym_boolean_literal] = STATE(156),
    [sym_line_comment] = STATE(77),
    [sym_block_comment] = STATE(77),
    [aux_sym_token_tree_pattern_repeat1] = STATE(67),
    [aux_sym__non_special_token_repeat1] = STATE(135),
    [sym_identifier] = ACTIONS(552),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_RPAREN] = ACTIONS(582),
    [anon_sym_LBRACK] = ACTIONS(560),
    [anon_sym_LBRACE] = ACTIONS(562),
    [anon_sym_EQ_GT] = ACTIONS(554),
    [anon_sym_COLON] = ACTIONS(564),
    [anon_sym_DOLLAR] = ACTIONS(566),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_u8] = ACTIONS(552),
    [anon_sym_i8] = ACTIONS(552),
    [anon_sym_u16] = ACTIONS(552),
    [anon_sym_i16] = ACTIONS(552),
    [anon_sym_u32] = ACTIONS(552),
    [anon_sym_i32] = ACTIONS(552),
    [anon_sym_u64] = ACTIONS(552),
    [anon_sym_i64] = ACTIONS(552),
    [anon_sym_u128] = ACTIONS(552),
    [anon_sym_i128] = ACTIONS(552),
    [anon_sym_isize] = ACTIONS(552),
    [anon_sym_usize] = ACTIONS(552),
    [anon_sym_f32] = ACTIONS(552),
    [anon_sym_f64] = ACTIONS(552),
    [anon_sym_bool] = ACTIONS(552),
    [anon_sym_str] = ACTIONS(552),
    [anon_sym_char] = ACTIONS(552),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP_AMP] = ACTIONS(554),
    [anon_sym_PIPE_PIPE] = ACTIONS(554),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_PERCENT_EQ] = ACTIONS(554),
    [anon_sym_CARET_EQ] = ACTIONS(554),
    [anon_sym_AMP_EQ] = ACTIONS(554),
    [anon_sym_PIPE_EQ] = ACTIONS(554),
    [anon_sym_LT_LT_EQ] = ACTIONS(554),
    [anon_sym_GT_GT_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_AT] = ACTIONS(554),
    [anon_sym__] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(554),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_COLON_COLON] = ACTIONS(554),
    [anon_sym_DASH_GT] = ACTIONS(554),
    [anon_sym_POUND] = ACTIONS(554),
    [anon_sym_SQUOTE] = ACTIONS(552),
    [anon_sym_as] = ACTIONS(552),
    [anon_sym_async] = ACTIONS(552),
    [anon_sym_await] = ACTIONS(552),
    [anon_sym_break] = ACTIONS(552),
    [anon_sym_const] = ACTIONS(552),
    [anon_sym_continue] = ACTIONS(552),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_enum] = ACTIONS(552),
    [anon_sym_fn] = ACTIONS(552),
    [anon_sym_for] = ACTIONS(552),
    [anon_sym_if] = ACTIONS(552),
    [anon_sym_impl] = ACTIONS(552),
    [anon_sym_let] = ACTIONS(552),
    [anon_sym_loop] = ACTIONS(552),
    [anon_sym_match] = ACTIONS(552),
    [anon_sym_mod] = ACTIONS(552),
    [anon_sym_pub] = ACTIONS(552),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_static] = ACTIONS(552),
    [anon_sym_struct] = ACTIONS(552),
    [anon_sym_trait] = ACTIONS(552),
    [anon_sym_type] = ACTIONS(552),
    [anon_sym_union] = ACTIONS(552),
    [anon_sym_unsafe] = ACTIONS(552),
    [anon_sym_use] = ACTIONS(552),
    [anon_sym_where] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(552),
    [sym_mutable_specifier] = ACTIONS(552),
    [sym_integer_literal] = ACTIONS(568),
    [aux_sym_string_literal_token1] = ACTIONS(570),
    [sym_char_literal] = ACTIONS(568),
    [anon_sym_true] = ACTIONS(572),
    [anon_sym_false] = ACTIONS(572),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(552),
    [sym_super] = ACTIONS(552),
    [sym_crate] = ACTIONS(552),
    [sym_metavariable] = ACTIONS(574),
    [sym__raw_string_literal_start] = ACTIONS(576),
    [sym_float_literal] = ACTIONS(568),
  },
  [78] = {
    [sym__token_pattern] = STATE(149),
    [sym_token_tree_pattern] = STATE(166),
    [sym_token_binding_pattern] = STATE(166),
    [sym_token_repetition_pattern] = STATE(166),
    [sym__literal] = STATE(166),
    [sym_string_literal] = STATE(156),
    [sym_raw_string_literal] = STATE(156),
    [sym_boolean_literal] = STATE(156),
    [sym_line_comment] = STATE(78),
    [sym_block_comment] = STATE(78),
    [aux_sym_token_tree_pattern_repeat1] = STATE(67),
    [aux_sym__non_special_token_repeat1] = STATE(135),
    [sym_identifier] = ACTIONS(552),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(560),
    [anon_sym_RBRACK] = ACTIONS(582),
    [anon_sym_LBRACE] = ACTIONS(562),
    [anon_sym_EQ_GT] = ACTIONS(554),
    [anon_sym_COLON] = ACTIONS(564),
    [anon_sym_DOLLAR] = ACTIONS(566),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_u8] = ACTIONS(552),
    [anon_sym_i8] = ACTIONS(552),
    [anon_sym_u16] = ACTIONS(552),
    [anon_sym_i16] = ACTIONS(552),
    [anon_sym_u32] = ACTIONS(552),
    [anon_sym_i32] = ACTIONS(552),
    [anon_sym_u64] = ACTIONS(552),
    [anon_sym_i64] = ACTIONS(552),
    [anon_sym_u128] = ACTIONS(552),
    [anon_sym_i128] = ACTIONS(552),
    [anon_sym_isize] = ACTIONS(552),
    [anon_sym_usize] = ACTIONS(552),
    [anon_sym_f32] = ACTIONS(552),
    [anon_sym_f64] = ACTIONS(552),
    [anon_sym_bool] = ACTIONS(552),
    [anon_sym_str] = ACTIONS(552),
    [anon_sym_char] = ACTIONS(552),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP_AMP] = ACTIONS(554),
    [anon_sym_PIPE_PIPE] = ACTIONS(554),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_PERCENT_EQ] = ACTIONS(554),
    [anon_sym_CARET_EQ] = ACTIONS(554),
    [anon_sym_AMP_EQ] = ACTIONS(554),
    [anon_sym_PIPE_EQ] = ACTIONS(554),
    [anon_sym_LT_LT_EQ] = ACTIONS(554),
    [anon_sym_GT_GT_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_AT] = ACTIONS(554),
    [anon_sym__] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(554),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_COLON_COLON] = ACTIONS(554),
    [anon_sym_DASH_GT] = ACTIONS(554),
    [anon_sym_POUND] = ACTIONS(554),
    [anon_sym_SQUOTE] = ACTIONS(552),
    [anon_sym_as] = ACTIONS(552),
    [anon_sym_async] = ACTIONS(552),
    [anon_sym_await] = ACTIONS(552),
    [anon_sym_break] = ACTIONS(552),
    [anon_sym_const] = ACTIONS(552),
    [anon_sym_continue] = ACTIONS(552),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_enum] = ACTIONS(552),
    [anon_sym_fn] = ACTIONS(552),
    [anon_sym_for] = ACTIONS(552),
    [anon_sym_if] = ACTIONS(552),
    [anon_sym_impl] = ACTIONS(552),
    [anon_sym_let] = ACTIONS(552),
    [anon_sym_loop] = ACTIONS(552),
    [anon_sym_match] = ACTIONS(552),
    [anon_sym_mod] = ACTIONS(552),
    [anon_sym_pub] = ACTIONS(552),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_static] = ACTIONS(552),
    [anon_sym_struct] = ACTIONS(552),
    [anon_sym_trait] = ACTIONS(552),
    [anon_sym_type] = ACTIONS(552),
    [anon_sym_union] = ACTIONS(552),
    [anon_sym_unsafe] = ACTIONS(552),
    [anon_sym_use] = ACTIONS(552),
    [anon_sym_where] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(552),
    [sym_mutable_specifier] = ACTIONS(552),
    [sym_integer_literal] = ACTIONS(568),
    [aux_sym_string_literal_token1] = ACTIONS(570),
    [sym_char_literal] = ACTIONS(568),
    [anon_sym_true] = ACTIONS(572),
    [anon_sym_false] = ACTIONS(572),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(552),
    [sym_super] = ACTIONS(552),
    [sym_crate] = ACTIONS(552),
    [sym_metavariable] = ACTIONS(574),
    [sym__raw_string_literal_start] = ACTIONS(576),
    [sym_float_literal] = ACTIONS(568),
  },
  [79] = {
    [sym__token_pattern] = STATE(149),
    [sym_token_tree_pattern] = STATE(166),
    [sym_token_binding_pattern] = STATE(166),
    [sym_token_repetition_pattern] = STATE(166),
    [sym__literal] = STATE(166),
    [sym_string_literal] = STATE(156),
    [sym_raw_string_literal] = STATE(156),
    [sym_boolean_literal] = STATE(156),
    [sym_line_comment] = STATE(79),
    [sym_block_comment] = STATE(79),
    [aux_sym_token_tree_pattern_repeat1] = STATE(67),
    [aux_sym__non_special_token_repeat1] = STATE(135),
    [sym_identifier] = ACTIONS(552),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(560),
    [anon_sym_LBRACE] = ACTIONS(562),
    [anon_sym_RBRACE] = ACTIONS(582),
    [anon_sym_EQ_GT] = ACTIONS(554),
    [anon_sym_COLON] = ACTIONS(564),
    [anon_sym_DOLLAR] = ACTIONS(566),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_u8] = ACTIONS(552),
    [anon_sym_i8] = ACTIONS(552),
    [anon_sym_u16] = ACTIONS(552),
    [anon_sym_i16] = ACTIONS(552),
    [anon_sym_u32] = ACTIONS(552),
    [anon_sym_i32] = ACTIONS(552),
    [anon_sym_u64] = ACTIONS(552),
    [anon_sym_i64] = ACTIONS(552),
    [anon_sym_u128] = ACTIONS(552),
    [anon_sym_i128] = ACTIONS(552),
    [anon_sym_isize] = ACTIONS(552),
    [anon_sym_usize] = ACTIONS(552),
    [anon_sym_f32] = ACTIONS(552),
    [anon_sym_f64] = ACTIONS(552),
    [anon_sym_bool] = ACTIONS(552),
    [anon_sym_str] = ACTIONS(552),
    [anon_sym_char] = ACTIONS(552),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP_AMP] = ACTIONS(554),
    [anon_sym_PIPE_PIPE] = ACTIONS(554),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_PERCENT_EQ] = ACTIONS(554),
    [anon_sym_CARET_EQ] = ACTIONS(554),
    [anon_sym_AMP_EQ] = ACTIONS(554),
    [anon_sym_PIPE_EQ] = ACTIONS(554),
    [anon_sym_LT_LT_EQ] = ACTIONS(554),
    [anon_sym_GT_GT_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_AT] = ACTIONS(554),
    [anon_sym__] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(554),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_COLON_COLON] = ACTIONS(554),
    [anon_sym_DASH_GT] = ACTIONS(554),
    [anon_sym_POUND] = ACTIONS(554),
    [anon_sym_SQUOTE] = ACTIONS(552),
    [anon_sym_as] = ACTIONS(552),
    [anon_sym_async] = ACTIONS(552),
    [anon_sym_await] = ACTIONS(552),
    [anon_sym_break] = ACTIONS(552),
    [anon_sym_const] = ACTIONS(552),
    [anon_sym_continue] = ACTIONS(552),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_enum] = ACTIONS(552),
    [anon_sym_fn] = ACTIONS(552),
    [anon_sym_for] = ACTIONS(552),
    [anon_sym_if] = ACTIONS(552),
    [anon_sym_impl] = ACTIONS(552),
    [anon_sym_let] = ACTIONS(552),
    [anon_sym_loop] = ACTIONS(552),
    [anon_sym_match] = ACTIONS(552),
    [anon_sym_mod] = ACTIONS(552),
    [anon_sym_pub] = ACTIONS(552),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_static] = ACTIONS(552),
    [anon_sym_struct] = ACTIONS(552),
    [anon_sym_trait] = ACTIONS(552),
    [anon_sym_type] = ACTIONS(552),
    [anon_sym_union] = ACTIONS(552),
    [anon_sym_unsafe] = ACTIONS(552),
    [anon_sym_use] = ACTIONS(552),
    [anon_sym_where] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(552),
    [sym_mutable_specifier] = ACTIONS(552),
    [sym_integer_literal] = ACTIONS(568),
    [aux_sym_string_literal_token1] = ACTIONS(570),
    [sym_char_literal] = ACTIONS(568),
    [anon_sym_true] = ACTIONS(572),
    [anon_sym_false] = ACTIONS(572),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(552),
    [sym_super] = ACTIONS(552),
    [sym_crate] = ACTIONS(552),
    [sym_metavariable] = ACTIONS(574),
    [sym__raw_string_literal_start] = ACTIONS(576),
    [sym_float_literal] = ACTIONS(568),
  },
  [80] = {
    [sym__token_pattern] = STATE(149),
    [sym_token_tree_pattern] = STATE(166),
    [sym_token_binding_pattern] = STATE(166),
    [sym_token_repetition_pattern] = STATE(166),
    [sym__literal] = STATE(166),
    [sym_string_literal] = STATE(156),
    [sym_raw_string_literal] = STATE(156),
    [sym_boolean_literal] = STATE(156),
    [sym_line_comment] = STATE(80),
    [sym_block_comment] = STATE(80),
    [aux_sym_token_tree_pattern_repeat1] = STATE(67),
    [aux_sym__non_special_token_repeat1] = STATE(135),
    [sym_identifier] = ACTIONS(552),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_RPAREN] = ACTIONS(584),
    [anon_sym_LBRACK] = ACTIONS(560),
    [anon_sym_LBRACE] = ACTIONS(562),
    [anon_sym_EQ_GT] = ACTIONS(554),
    [anon_sym_COLON] = ACTIONS(564),
    [anon_sym_DOLLAR] = ACTIONS(566),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_u8] = ACTIONS(552),
    [anon_sym_i8] = ACTIONS(552),
    [anon_sym_u16] = ACTIONS(552),
    [anon_sym_i16] = ACTIONS(552),
    [anon_sym_u32] = ACTIONS(552),
    [anon_sym_i32] = ACTIONS(552),
    [anon_sym_u64] = ACTIONS(552),
    [anon_sym_i64] = ACTIONS(552),
    [anon_sym_u128] = ACTIONS(552),
    [anon_sym_i128] = ACTIONS(552),
    [anon_sym_isize] = ACTIONS(552),
    [anon_sym_usize] = ACTIONS(552),
    [anon_sym_f32] = ACTIONS(552),
    [anon_sym_f64] = ACTIONS(552),
    [anon_sym_bool] = ACTIONS(552),
    [anon_sym_str] = ACTIONS(552),
    [anon_sym_char] = ACTIONS(552),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP_AMP] = ACTIONS(554),
    [anon_sym_PIPE_PIPE] = ACTIONS(554),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_PERCENT_EQ] = ACTIONS(554),
    [anon_sym_CARET_EQ] = ACTIONS(554),
    [anon_sym_AMP_EQ] = ACTIONS(554),
    [anon_sym_PIPE_EQ] = ACTIONS(554),
    [anon_sym_LT_LT_EQ] = ACTIONS(554),
    [anon_sym_GT_GT_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_AT] = ACTIONS(554),
    [anon_sym__] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(554),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_COLON_COLON] = ACTIONS(554),
    [anon_sym_DASH_GT] = ACTIONS(554),
    [anon_sym_POUND] = ACTIONS(554),
    [anon_sym_SQUOTE] = ACTIONS(552),
    [anon_sym_as] = ACTIONS(552),
    [anon_sym_async] = ACTIONS(552),
    [anon_sym_await] = ACTIONS(552),
    [anon_sym_break] = ACTIONS(552),
    [anon_sym_const] = ACTIONS(552),
    [anon_sym_continue] = ACTIONS(552),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_enum] = ACTIONS(552),
    [anon_sym_fn] = ACTIONS(552),
    [anon_sym_for] = ACTIONS(552),
    [anon_sym_if] = ACTIONS(552),
    [anon_sym_impl] = ACTIONS(552),
    [anon_sym_let] = ACTIONS(552),
    [anon_sym_loop] = ACTIONS(552),
    [anon_sym_match] = ACTIONS(552),
    [anon_sym_mod] = ACTIONS(552),
    [anon_sym_pub] = ACTIONS(552),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_static] = ACTIONS(552),
    [anon_sym_struct] = ACTIONS(552),
    [anon_sym_trait] = ACTIONS(552),
    [anon_sym_type] = ACTIONS(552),
    [anon_sym_union] = ACTIONS(552),
    [anon_sym_unsafe] = ACTIONS(552),
    [anon_sym_use] = ACTIONS(552),
    [anon_sym_where] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(552),
    [sym_mutable_specifier] = ACTIONS(552),
    [sym_integer_literal] = ACTIONS(568),
    [aux_sym_string_literal_token1] = ACTIONS(570),
    [sym_char_literal] = ACTIONS(568),
    [anon_sym_true] = ACTIONS(572),
    [anon_sym_false] = ACTIONS(572),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(552),
    [sym_super] = ACTIONS(552),
    [sym_crate] = ACTIONS(552),
    [sym_metavariable] = ACTIONS(574),
    [sym__raw_string_literal_start] = ACTIONS(576),
    [sym_float_literal] = ACTIONS(568),
  },
  [81] = {
    [sym__token_pattern] = STATE(149),
    [sym_token_tree_pattern] = STATE(166),
    [sym_token_binding_pattern] = STATE(166),
    [sym_token_repetition_pattern] = STATE(166),
    [sym__literal] = STATE(166),
    [sym_string_literal] = STATE(156),
    [sym_raw_string_literal] = STATE(156),
    [sym_boolean_literal] = STATE(156),
    [sym_line_comment] = STATE(81),
    [sym_block_comment] = STATE(81),
    [aux_sym_token_tree_pattern_repeat1] = STATE(80),
    [aux_sym__non_special_token_repeat1] = STATE(135),
    [sym_identifier] = ACTIONS(552),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(556),
    [anon_sym_RPAREN] = ACTIONS(586),
    [anon_sym_LBRACK] = ACTIONS(560),
    [anon_sym_LBRACE] = ACTIONS(562),
    [anon_sym_EQ_GT] = ACTIONS(554),
    [anon_sym_COLON] = ACTIONS(564),
    [anon_sym_DOLLAR] = ACTIONS(566),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_u8] = ACTIONS(552),
    [anon_sym_i8] = ACTIONS(552),
    [anon_sym_u16] = ACTIONS(552),
    [anon_sym_i16] = ACTIONS(552),
    [anon_sym_u32] = ACTIONS(552),
    [anon_sym_i32] = ACTIONS(552),
    [anon_sym_u64] = ACTIONS(552),
    [anon_sym_i64] = ACTIONS(552),
    [anon_sym_u128] = ACTIONS(552),
    [anon_sym_i128] = ACTIONS(552),
    [anon_sym_isize] = ACTIONS(552),
    [anon_sym_usize] = ACTIONS(552),
    [anon_sym_f32] = ACTIONS(552),
    [anon_sym_f64] = ACTIONS(552),
    [anon_sym_bool] = ACTIONS(552),
    [anon_sym_str] = ACTIONS(552),
    [anon_sym_char] = ACTIONS(552),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP_AMP] = ACTIONS(554),
    [anon_sym_PIPE_PIPE] = ACTIONS(554),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_PERCENT_EQ] = ACTIONS(554),
    [anon_sym_CARET_EQ] = ACTIONS(554),
    [anon_sym_AMP_EQ] = ACTIONS(554),
    [anon_sym_PIPE_EQ] = ACTIONS(554),
    [anon_sym_LT_LT_EQ] = ACTIONS(554),
    [anon_sym_GT_GT_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_AT] = ACTIONS(554),
    [anon_sym__] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(554),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_COLON_COLON] = ACTIONS(554),
    [anon_sym_DASH_GT] = ACTIONS(554),
    [anon_sym_POUND] = ACTIONS(554),
    [anon_sym_SQUOTE] = ACTIONS(552),
    [anon_sym_as] = ACTIONS(552),
    [anon_sym_async] = ACTIONS(552),
    [anon_sym_await] = ACTIONS(552),
    [anon_sym_break] = ACTIONS(552),
    [anon_sym_const] = ACTIONS(552),
    [anon_sym_continue] = ACTIONS(552),
    [anon_sym_default] = ACTIONS(552),
    [anon_sym_enum] = ACTIONS(552),
    [anon_sym_fn] = ACTIONS(552),
    [anon_sym_for] = ACTIONS(552),
    [anon_sym_if] = ACTIONS(552),
    [anon_sym_impl] = ACTIONS(552),
    [anon_sym_let] = ACTIONS(552),
    [anon_sym_loop] = ACTIONS(552),
    [anon_sym_match] = ACTIONS(552),
    [anon_sym_mod] = ACTIONS(552),
    [anon_sym_pub] = ACTIONS(552),
    [anon_sym_return] = ACTIONS(552),
    [anon_sym_static] = ACTIONS(552),
    [anon_sym_struct] = ACTIONS(552),
    [anon_sym_trait] = ACTIONS(552),
    [anon_sym_type] = ACTIONS(552),
    [anon_sym_union] = ACTIONS(552),
    [anon_sym_unsafe] = ACTIONS(552),
    [anon_sym_use] = ACTIONS(552),
    [anon_sym_where] = ACTIONS(552),
    [anon_sym_while] = ACTIONS(552),
    [sym_mutable_specifier] = ACTIONS(552),
    [sym_integer_literal] = ACTIONS(568),
    [aux_sym_string_literal_token1] = ACTIONS(570),
    [sym_char_literal] = ACTIONS(568),
    [anon_sym_true] = ACTIONS(572),
    [anon_sym_false] = ACTIONS(572),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(552),
    [sym_super] = ACTIONS(552),
    [sym_crate] = ACTIONS(552),
    [sym_metavariable] = ACTIONS(574),
    [sym__raw_string_literal_start] = ACTIONS(576),
    [sym_float_literal] = ACTIONS(568),
  },
  [82] = {
    [sym_token_tree] = STATE(157),
    [sym_token_repetition] = STATE(157),
    [sym__literal] = STATE(157),
    [sym_string_literal] = STATE(156),
    [sym_raw_string_literal] = STATE(156),
    [sym_boolean_literal] = STATE(156),
    [sym_line_comment] = STATE(82),
    [sym_block_comment] = STATE(82),
    [aux_sym_token_tree_repeat1] = STATE(82),
    [aux_sym__non_special_token_repeat1] = STATE(136),
    [sym_identifier] = ACTIONS(588),
    [anon_sym_SEMI] = ACTIONS(591),
    [anon_sym_LPAREN] = ACTIONS(594),
    [anon_sym_RPAREN] = ACTIONS(597),
    [anon_sym_LBRACK] = ACTIONS(599),
    [anon_sym_RBRACK] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(602),
    [anon_sym_RBRACE] = ACTIONS(597),
    [anon_sym_EQ_GT] = ACTIONS(591),
    [anon_sym_COLON] = ACTIONS(605),
    [anon_sym_DOLLAR] = ACTIONS(608),
    [anon_sym_PLUS] = ACTIONS(605),
    [anon_sym_STAR] = ACTIONS(605),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_u8] = ACTIONS(588),
    [anon_sym_i8] = ACTIONS(588),
    [anon_sym_u16] = ACTIONS(588),
    [anon_sym_i16] = ACTIONS(588),
    [anon_sym_u32] = ACTIONS(588),
    [anon_sym_i32] = ACTIONS(588),
    [anon_sym_u64] = ACTIONS(588),
    [anon_sym_i64] = ACTIONS(588),
    [anon_sym_u128] = ACTIONS(588),
    [anon_sym_i128] = ACTIONS(588),
    [anon_sym_isize] = ACTIONS(588),
    [anon_sym_usize] = ACTIONS(588),
    [anon_sym_f32] = ACTIONS(588),
    [anon_sym_f64] = ACTIONS(588),
    [anon_sym_bool] = ACTIONS(588),
    [anon_sym_str] = ACTIONS(588),
    [anon_sym_char] = ACTIONS(588),
    [anon_sym_DASH] = ACTIONS(605),
    [anon_sym_SLASH] = ACTIONS(605),
    [anon_sym_PERCENT] = ACTIONS(605),
    [anon_sym_CARET] = ACTIONS(605),
    [anon_sym_BANG] = ACTIONS(605),
    [anon_sym_AMP] = ACTIONS(605),
    [anon_sym_PIPE] = ACTIONS(605),
    [anon_sym_AMP_AMP] = ACTIONS(591),
    [anon_sym_PIPE_PIPE] = ACTIONS(591),
    [anon_sym_LT_LT] = ACTIONS(605),
    [anon_sym_GT_GT] = ACTIONS(605),
    [anon_sym_PLUS_EQ] = ACTIONS(591),
    [anon_sym_DASH_EQ] = ACTIONS(591),
    [anon_sym_STAR_EQ] = ACTIONS(591),
    [anon_sym_SLASH_EQ] = ACTIONS(591),
    [anon_sym_PERCENT_EQ] = ACTIONS(591),
    [anon_sym_CARET_EQ] = ACTIONS(591),
    [anon_sym_AMP_EQ] = ACTIONS(591),
    [anon_sym_PIPE_EQ] = ACTIONS(591),
    [anon_sym_LT_LT_EQ] = ACTIONS(591),
    [anon_sym_GT_GT_EQ] = ACTIONS(591),
    [anon_sym_EQ] = ACTIONS(605),
    [anon_sym_EQ_EQ] = ACTIONS(591),
    [anon_sym_BANG_EQ] = ACTIONS(591),
    [anon_sym_GT] = ACTIONS(605),
    [anon_sym_LT] = ACTIONS(605),
    [anon_sym_GT_EQ] = ACTIONS(591),
    [anon_sym_LT_EQ] = ACTIONS(591),
    [anon_sym_AT] = ACTIONS(591),
    [anon_sym__] = ACTIONS(605),
    [anon_sym_DOT] = ACTIONS(605),
    [anon_sym_DOT_DOT] = ACTIONS(605),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(591),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(591),
    [anon_sym_COMMA] = ACTIONS(591),
    [anon_sym_COLON_COLON] = ACTIONS(591),
    [anon_sym_DASH_GT] = ACTIONS(591),
    [anon_sym_POUND] = ACTIONS(591),
    [anon_sym_SQUOTE] = ACTIONS(588),
    [anon_sym_as] = ACTIONS(588),
    [anon_sym_async] = ACTIONS(588),
    [anon_sym_await] = ACTIONS(588),
    [anon_sym_break] = ACTIONS(588),
    [anon_sym_const] = ACTIONS(588),
    [anon_sym_continue] = ACTIONS(588),
    [anon_sym_default] = ACTIONS(588),
    [anon_sym_enum] = ACTIONS(588),
    [anon_sym_fn] = ACTIONS(588),
    [anon_sym_for] = ACTIONS(588),
    [anon_sym_if] = ACTIONS(588),
    [anon_sym_impl] = ACTIONS(588),
    [anon_sym_let] = ACTIONS(588),
    [anon_sym_loop] = ACTIONS(588),
    [anon_sym_match] = ACTIONS(588),
    [anon_sym_mod] = ACTIONS(588),
    [anon_sym_pub] = ACTIONS(588),
    [anon_sym_return] = ACTIONS(588),
    [anon_sym_static] = ACTIONS(588),
    [anon_sym_struct] = ACTIONS(588),
    [anon_sym_trait] = ACTIONS(588),
    [anon_sym_type] = ACTIONS(588),
    [anon_sym_union] = ACTIONS(588),
    [anon_sym_unsafe] = ACTIONS(588),
    [anon_sym_use] = ACTIONS(588),
    [anon_sym_where] = ACTIONS(588),
    [anon_sym_while] = ACTIONS(588),
    [sym_mutable_specifier] = ACTIONS(588),
    [sym_integer_literal] = ACTIONS(611),
    [aux_sym_string_literal_token1] = ACTIONS(614),
    [sym_char_literal] = ACTIONS(611),
    [anon_sym_true] = ACTIONS(617),
    [anon_sym_false] = ACTIONS(617),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(588),
    [sym_super] = ACTIONS(588),
    [sym_crate] = ACTIONS(588),
    [sym_metavariable] = ACTIONS(620),
    [sym__raw_string_literal_start] = ACTIONS(623),
    [sym_float_literal] = ACTIONS(611),
  },
  [83] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(83),
    [sym_block_comment] = STATE(83),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(83),
    [sym_identifier] = ACTIONS(626),
    [anon_sym_SEMI] = ACTIONS(629),
    [anon_sym_LPAREN] = ACTIONS(632),
    [anon_sym_RPAREN] = ACTIONS(635),
    [anon_sym_LBRACK] = ACTIONS(637),
    [anon_sym_RBRACK] = ACTIONS(635),
    [anon_sym_LBRACE] = ACTIONS(640),
    [anon_sym_RBRACE] = ACTIONS(635),
    [anon_sym_EQ_GT] = ACTIONS(629),
    [anon_sym_COLON] = ACTIONS(643),
    [anon_sym_DOLLAR] = ACTIONS(646),
    [anon_sym_PLUS] = ACTIONS(643),
    [anon_sym_STAR] = ACTIONS(643),
    [anon_sym_QMARK] = ACTIONS(629),
    [anon_sym_u8] = ACTIONS(626),
    [anon_sym_i8] = ACTIONS(626),
    [anon_sym_u16] = ACTIONS(626),
    [anon_sym_i16] = ACTIONS(626),
    [anon_sym_u32] = ACTIONS(626),
    [anon_sym_i32] = ACTIONS(626),
    [anon_sym_u64] = ACTIONS(626),
    [anon_sym_i64] = ACTIONS(626),
    [anon_sym_u128] = ACTIONS(626),
    [anon_sym_i128] = ACTIONS(626),
    [anon_sym_isize] = ACTIONS(626),
    [anon_sym_usize] = ACTIONS(626),
    [anon_sym_f32] = ACTIONS(626),
    [anon_sym_f64] = ACTIONS(626),
    [anon_sym_bool] = ACTIONS(626),
    [anon_sym_str] = ACTIONS(626),
    [anon_sym_char] = ACTIONS(626),
    [anon_sym_DASH] = ACTIONS(643),
    [anon_sym_SLASH] = ACTIONS(643),
    [anon_sym_PERCENT] = ACTIONS(643),
    [anon_sym_CARET] = ACTIONS(643),
    [anon_sym_BANG] = ACTIONS(643),
    [anon_sym_AMP] = ACTIONS(643),
    [anon_sym_PIPE] = ACTIONS(643),
    [anon_sym_AMP_AMP] = ACTIONS(629),
    [anon_sym_PIPE_PIPE] = ACTIONS(629),
    [anon_sym_LT_LT] = ACTIONS(643),
    [anon_sym_GT_GT] = ACTIONS(643),
    [anon_sym_PLUS_EQ] = ACTIONS(629),
    [anon_sym_DASH_EQ] = ACTIONS(629),
    [anon_sym_STAR_EQ] = ACTIONS(629),
    [anon_sym_SLASH_EQ] = ACTIONS(629),
    [anon_sym_PERCENT_EQ] = ACTIONS(629),
    [anon_sym_CARET_EQ] = ACTIONS(629),
    [anon_sym_AMP_EQ] = ACTIONS(629),
    [anon_sym_PIPE_EQ] = ACTIONS(629),
    [anon_sym_LT_LT_EQ] = ACTIONS(629),
    [anon_sym_GT_GT_EQ] = ACTIONS(629),
    [anon_sym_EQ] = ACTIONS(643),
    [anon_sym_EQ_EQ] = ACTIONS(629),
    [anon_sym_BANG_EQ] = ACTIONS(629),
    [anon_sym_GT] = ACTIONS(643),
    [anon_sym_LT] = ACTIONS(643),
    [anon_sym_GT_EQ] = ACTIONS(629),
    [anon_sym_LT_EQ] = ACTIONS(629),
    [anon_sym_AT] = ACTIONS(629),
    [anon_sym__] = ACTIONS(643),
    [anon_sym_DOT] = ACTIONS(643),
    [anon_sym_DOT_DOT] = ACTIONS(643),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(629),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(629),
    [anon_sym_COMMA] = ACTIONS(629),
    [anon_sym_COLON_COLON] = ACTIONS(629),
    [anon_sym_DASH_GT] = ACTIONS(629),
    [anon_sym_POUND] = ACTIONS(629),
    [anon_sym_SQUOTE] = ACTIONS(626),
    [anon_sym_as] = ACTIONS(626),
    [anon_sym_async] = ACTIONS(626),
    [anon_sym_await] = ACTIONS(626),
    [anon_sym_break] = ACTIONS(626),
    [anon_sym_const] = ACTIONS(626),
    [anon_sym_continue] = ACTIONS(626),
    [anon_sym_default] = ACTIONS(626),
    [anon_sym_enum] = ACTIONS(626),
    [anon_sym_fn] = ACTIONS(626),
    [anon_sym_for] = ACTIONS(626),
    [anon_sym_if] = ACTIONS(626),
    [anon_sym_impl] = ACTIONS(626),
    [anon_sym_let] = ACTIONS(626),
    [anon_sym_loop] = ACTIONS(626),
    [anon_sym_match] = ACTIONS(626),
    [anon_sym_mod] = ACTIONS(626),
    [anon_sym_pub] = ACTIONS(626),
    [anon_sym_return] = ACTIONS(626),
    [anon_sym_static] = ACTIONS(626),
    [anon_sym_struct] = ACTIONS(626),
    [anon_sym_trait] = ACTIONS(626),
    [anon_sym_type] = ACTIONS(626),
    [anon_sym_union] = ACTIONS(626),
    [anon_sym_unsafe] = ACTIONS(626),
    [anon_sym_use] = ACTIONS(626),
    [anon_sym_where] = ACTIONS(626),
    [anon_sym_while] = ACTIONS(626),
    [sym_mutable_specifier] = ACTIONS(626),
    [sym_integer_literal] = ACTIONS(649),
    [aux_sym_string_literal_token1] = ACTIONS(652),
    [sym_char_literal] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(655),
    [anon_sym_false] = ACTIONS(655),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(626),
    [sym_super] = ACTIONS(626),
    [sym_crate] = ACTIONS(626),
    [sym__raw_string_literal_start] = ACTIONS(658),
    [sym_float_literal] = ACTIONS(649),
  },
  [84] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(84),
    [sym_block_comment] = STATE(84),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(83),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_RPAREN] = ACTIONS(667),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [85] = {
    [sym_token_tree] = STATE(157),
    [sym_token_repetition] = STATE(157),
    [sym__literal] = STATE(157),
    [sym_string_literal] = STATE(156),
    [sym_raw_string_literal] = STATE(156),
    [sym_boolean_literal] = STATE(156),
    [sym_line_comment] = STATE(85),
    [sym_block_comment] = STATE(85),
    [aux_sym_token_tree_repeat1] = STATE(82),
    [aux_sym__non_special_token_repeat1] = STATE(136),
    [sym_identifier] = ACTIONS(685),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(687),
    [anon_sym_RPAREN] = ACTIONS(689),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_EQ_GT] = ACTIONS(554),
    [anon_sym_COLON] = ACTIONS(564),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_u8] = ACTIONS(685),
    [anon_sym_i8] = ACTIONS(685),
    [anon_sym_u16] = ACTIONS(685),
    [anon_sym_i16] = ACTIONS(685),
    [anon_sym_u32] = ACTIONS(685),
    [anon_sym_i32] = ACTIONS(685),
    [anon_sym_u64] = ACTIONS(685),
    [anon_sym_i64] = ACTIONS(685),
    [anon_sym_u128] = ACTIONS(685),
    [anon_sym_i128] = ACTIONS(685),
    [anon_sym_isize] = ACTIONS(685),
    [anon_sym_usize] = ACTIONS(685),
    [anon_sym_f32] = ACTIONS(685),
    [anon_sym_f64] = ACTIONS(685),
    [anon_sym_bool] = ACTIONS(685),
    [anon_sym_str] = ACTIONS(685),
    [anon_sym_char] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP_AMP] = ACTIONS(554),
    [anon_sym_PIPE_PIPE] = ACTIONS(554),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_PERCENT_EQ] = ACTIONS(554),
    [anon_sym_CARET_EQ] = ACTIONS(554),
    [anon_sym_AMP_EQ] = ACTIONS(554),
    [anon_sym_PIPE_EQ] = ACTIONS(554),
    [anon_sym_LT_LT_EQ] = ACTIONS(554),
    [anon_sym_GT_GT_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_AT] = ACTIONS(554),
    [anon_sym__] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(554),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_COLON_COLON] = ACTIONS(554),
    [anon_sym_DASH_GT] = ACTIONS(554),
    [anon_sym_POUND] = ACTIONS(554),
    [anon_sym_SQUOTE] = ACTIONS(685),
    [anon_sym_as] = ACTIONS(685),
    [anon_sym_async] = ACTIONS(685),
    [anon_sym_await] = ACTIONS(685),
    [anon_sym_break] = ACTIONS(685),
    [anon_sym_const] = ACTIONS(685),
    [anon_sym_continue] = ACTIONS(685),
    [anon_sym_default] = ACTIONS(685),
    [anon_sym_enum] = ACTIONS(685),
    [anon_sym_fn] = ACTIONS(685),
    [anon_sym_for] = ACTIONS(685),
    [anon_sym_if] = ACTIONS(685),
    [anon_sym_impl] = ACTIONS(685),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_loop] = ACTIONS(685),
    [anon_sym_match] = ACTIONS(685),
    [anon_sym_mod] = ACTIONS(685),
    [anon_sym_pub] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(685),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_struct] = ACTIONS(685),
    [anon_sym_trait] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_union] = ACTIONS(685),
    [anon_sym_unsafe] = ACTIONS(685),
    [anon_sym_use] = ACTIONS(685),
    [anon_sym_where] = ACTIONS(685),
    [anon_sym_while] = ACTIONS(685),
    [sym_mutable_specifier] = ACTIONS(685),
    [sym_integer_literal] = ACTIONS(568),
    [aux_sym_string_literal_token1] = ACTIONS(570),
    [sym_char_literal] = ACTIONS(568),
    [anon_sym_true] = ACTIONS(572),
    [anon_sym_false] = ACTIONS(572),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(685),
    [sym_super] = ACTIONS(685),
    [sym_crate] = ACTIONS(685),
    [sym_metavariable] = ACTIONS(697),
    [sym__raw_string_literal_start] = ACTIONS(576),
    [sym_float_literal] = ACTIONS(568),
  },
  [86] = {
    [sym_token_tree] = STATE(157),
    [sym_token_repetition] = STATE(157),
    [sym__literal] = STATE(157),
    [sym_string_literal] = STATE(156),
    [sym_raw_string_literal] = STATE(156),
    [sym_boolean_literal] = STATE(156),
    [sym_line_comment] = STATE(86),
    [sym_block_comment] = STATE(86),
    [aux_sym_token_tree_repeat1] = STATE(82),
    [aux_sym__non_special_token_repeat1] = STATE(136),
    [sym_identifier] = ACTIONS(685),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(687),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_RBRACK] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_EQ_GT] = ACTIONS(554),
    [anon_sym_COLON] = ACTIONS(564),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_u8] = ACTIONS(685),
    [anon_sym_i8] = ACTIONS(685),
    [anon_sym_u16] = ACTIONS(685),
    [anon_sym_i16] = ACTIONS(685),
    [anon_sym_u32] = ACTIONS(685),
    [anon_sym_i32] = ACTIONS(685),
    [anon_sym_u64] = ACTIONS(685),
    [anon_sym_i64] = ACTIONS(685),
    [anon_sym_u128] = ACTIONS(685),
    [anon_sym_i128] = ACTIONS(685),
    [anon_sym_isize] = ACTIONS(685),
    [anon_sym_usize] = ACTIONS(685),
    [anon_sym_f32] = ACTIONS(685),
    [anon_sym_f64] = ACTIONS(685),
    [anon_sym_bool] = ACTIONS(685),
    [anon_sym_str] = ACTIONS(685),
    [anon_sym_char] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP_AMP] = ACTIONS(554),
    [anon_sym_PIPE_PIPE] = ACTIONS(554),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_PERCENT_EQ] = ACTIONS(554),
    [anon_sym_CARET_EQ] = ACTIONS(554),
    [anon_sym_AMP_EQ] = ACTIONS(554),
    [anon_sym_PIPE_EQ] = ACTIONS(554),
    [anon_sym_LT_LT_EQ] = ACTIONS(554),
    [anon_sym_GT_GT_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_AT] = ACTIONS(554),
    [anon_sym__] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(554),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_COLON_COLON] = ACTIONS(554),
    [anon_sym_DASH_GT] = ACTIONS(554),
    [anon_sym_POUND] = ACTIONS(554),
    [anon_sym_SQUOTE] = ACTIONS(685),
    [anon_sym_as] = ACTIONS(685),
    [anon_sym_async] = ACTIONS(685),
    [anon_sym_await] = ACTIONS(685),
    [anon_sym_break] = ACTIONS(685),
    [anon_sym_const] = ACTIONS(685),
    [anon_sym_continue] = ACTIONS(685),
    [anon_sym_default] = ACTIONS(685),
    [anon_sym_enum] = ACTIONS(685),
    [anon_sym_fn] = ACTIONS(685),
    [anon_sym_for] = ACTIONS(685),
    [anon_sym_if] = ACTIONS(685),
    [anon_sym_impl] = ACTIONS(685),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_loop] = ACTIONS(685),
    [anon_sym_match] = ACTIONS(685),
    [anon_sym_mod] = ACTIONS(685),
    [anon_sym_pub] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(685),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_struct] = ACTIONS(685),
    [anon_sym_trait] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_union] = ACTIONS(685),
    [anon_sym_unsafe] = ACTIONS(685),
    [anon_sym_use] = ACTIONS(685),
    [anon_sym_where] = ACTIONS(685),
    [anon_sym_while] = ACTIONS(685),
    [sym_mutable_specifier] = ACTIONS(685),
    [sym_integer_literal] = ACTIONS(568),
    [aux_sym_string_literal_token1] = ACTIONS(570),
    [sym_char_literal] = ACTIONS(568),
    [anon_sym_true] = ACTIONS(572),
    [anon_sym_false] = ACTIONS(572),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(685),
    [sym_super] = ACTIONS(685),
    [sym_crate] = ACTIONS(685),
    [sym_metavariable] = ACTIONS(697),
    [sym__raw_string_literal_start] = ACTIONS(576),
    [sym_float_literal] = ACTIONS(568),
  },
  [87] = {
    [sym_token_tree] = STATE(157),
    [sym_token_repetition] = STATE(157),
    [sym__literal] = STATE(157),
    [sym_string_literal] = STATE(156),
    [sym_raw_string_literal] = STATE(156),
    [sym_boolean_literal] = STATE(156),
    [sym_line_comment] = STATE(87),
    [sym_block_comment] = STATE(87),
    [aux_sym_token_tree_repeat1] = STATE(82),
    [aux_sym__non_special_token_repeat1] = STATE(136),
    [sym_identifier] = ACTIONS(685),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(687),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_RBRACE] = ACTIONS(689),
    [anon_sym_EQ_GT] = ACTIONS(554),
    [anon_sym_COLON] = ACTIONS(564),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_u8] = ACTIONS(685),
    [anon_sym_i8] = ACTIONS(685),
    [anon_sym_u16] = ACTIONS(685),
    [anon_sym_i16] = ACTIONS(685),
    [anon_sym_u32] = ACTIONS(685),
    [anon_sym_i32] = ACTIONS(685),
    [anon_sym_u64] = ACTIONS(685),
    [anon_sym_i64] = ACTIONS(685),
    [anon_sym_u128] = ACTIONS(685),
    [anon_sym_i128] = ACTIONS(685),
    [anon_sym_isize] = ACTIONS(685),
    [anon_sym_usize] = ACTIONS(685),
    [anon_sym_f32] = ACTIONS(685),
    [anon_sym_f64] = ACTIONS(685),
    [anon_sym_bool] = ACTIONS(685),
    [anon_sym_str] = ACTIONS(685),
    [anon_sym_char] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP_AMP] = ACTIONS(554),
    [anon_sym_PIPE_PIPE] = ACTIONS(554),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_PERCENT_EQ] = ACTIONS(554),
    [anon_sym_CARET_EQ] = ACTIONS(554),
    [anon_sym_AMP_EQ] = ACTIONS(554),
    [anon_sym_PIPE_EQ] = ACTIONS(554),
    [anon_sym_LT_LT_EQ] = ACTIONS(554),
    [anon_sym_GT_GT_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_AT] = ACTIONS(554),
    [anon_sym__] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(554),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_COLON_COLON] = ACTIONS(554),
    [anon_sym_DASH_GT] = ACTIONS(554),
    [anon_sym_POUND] = ACTIONS(554),
    [anon_sym_SQUOTE] = ACTIONS(685),
    [anon_sym_as] = ACTIONS(685),
    [anon_sym_async] = ACTIONS(685),
    [anon_sym_await] = ACTIONS(685),
    [anon_sym_break] = ACTIONS(685),
    [anon_sym_const] = ACTIONS(685),
    [anon_sym_continue] = ACTIONS(685),
    [anon_sym_default] = ACTIONS(685),
    [anon_sym_enum] = ACTIONS(685),
    [anon_sym_fn] = ACTIONS(685),
    [anon_sym_for] = ACTIONS(685),
    [anon_sym_if] = ACTIONS(685),
    [anon_sym_impl] = ACTIONS(685),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_loop] = ACTIONS(685),
    [anon_sym_match] = ACTIONS(685),
    [anon_sym_mod] = ACTIONS(685),
    [anon_sym_pub] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(685),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_struct] = ACTIONS(685),
    [anon_sym_trait] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_union] = ACTIONS(685),
    [anon_sym_unsafe] = ACTIONS(685),
    [anon_sym_use] = ACTIONS(685),
    [anon_sym_where] = ACTIONS(685),
    [anon_sym_while] = ACTIONS(685),
    [sym_mutable_specifier] = ACTIONS(685),
    [sym_integer_literal] = ACTIONS(568),
    [aux_sym_string_literal_token1] = ACTIONS(570),
    [sym_char_literal] = ACTIONS(568),
    [anon_sym_true] = ACTIONS(572),
    [anon_sym_false] = ACTIONS(572),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(685),
    [sym_super] = ACTIONS(685),
    [sym_crate] = ACTIONS(685),
    [sym_metavariable] = ACTIONS(697),
    [sym__raw_string_literal_start] = ACTIONS(576),
    [sym_float_literal] = ACTIONS(568),
  },
  [88] = {
    [sym_token_tree] = STATE(157),
    [sym_token_repetition] = STATE(157),
    [sym__literal] = STATE(157),
    [sym_string_literal] = STATE(156),
    [sym_raw_string_literal] = STATE(156),
    [sym_boolean_literal] = STATE(156),
    [sym_line_comment] = STATE(88),
    [sym_block_comment] = STATE(88),
    [aux_sym_token_tree_repeat1] = STATE(90),
    [aux_sym__non_special_token_repeat1] = STATE(136),
    [sym_identifier] = ACTIONS(685),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(687),
    [anon_sym_RPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_EQ_GT] = ACTIONS(554),
    [anon_sym_COLON] = ACTIONS(564),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_u8] = ACTIONS(685),
    [anon_sym_i8] = ACTIONS(685),
    [anon_sym_u16] = ACTIONS(685),
    [anon_sym_i16] = ACTIONS(685),
    [anon_sym_u32] = ACTIONS(685),
    [anon_sym_i32] = ACTIONS(685),
    [anon_sym_u64] = ACTIONS(685),
    [anon_sym_i64] = ACTIONS(685),
    [anon_sym_u128] = ACTIONS(685),
    [anon_sym_i128] = ACTIONS(685),
    [anon_sym_isize] = ACTIONS(685),
    [anon_sym_usize] = ACTIONS(685),
    [anon_sym_f32] = ACTIONS(685),
    [anon_sym_f64] = ACTIONS(685),
    [anon_sym_bool] = ACTIONS(685),
    [anon_sym_str] = ACTIONS(685),
    [anon_sym_char] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP_AMP] = ACTIONS(554),
    [anon_sym_PIPE_PIPE] = ACTIONS(554),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_PERCENT_EQ] = ACTIONS(554),
    [anon_sym_CARET_EQ] = ACTIONS(554),
    [anon_sym_AMP_EQ] = ACTIONS(554),
    [anon_sym_PIPE_EQ] = ACTIONS(554),
    [anon_sym_LT_LT_EQ] = ACTIONS(554),
    [anon_sym_GT_GT_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_AT] = ACTIONS(554),
    [anon_sym__] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(554),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_COLON_COLON] = ACTIONS(554),
    [anon_sym_DASH_GT] = ACTIONS(554),
    [anon_sym_POUND] = ACTIONS(554),
    [anon_sym_SQUOTE] = ACTIONS(685),
    [anon_sym_as] = ACTIONS(685),
    [anon_sym_async] = ACTIONS(685),
    [anon_sym_await] = ACTIONS(685),
    [anon_sym_break] = ACTIONS(685),
    [anon_sym_const] = ACTIONS(685),
    [anon_sym_continue] = ACTIONS(685),
    [anon_sym_default] = ACTIONS(685),
    [anon_sym_enum] = ACTIONS(685),
    [anon_sym_fn] = ACTIONS(685),
    [anon_sym_for] = ACTIONS(685),
    [anon_sym_if] = ACTIONS(685),
    [anon_sym_impl] = ACTIONS(685),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_loop] = ACTIONS(685),
    [anon_sym_match] = ACTIONS(685),
    [anon_sym_mod] = ACTIONS(685),
    [anon_sym_pub] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(685),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_struct] = ACTIONS(685),
    [anon_sym_trait] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_union] = ACTIONS(685),
    [anon_sym_unsafe] = ACTIONS(685),
    [anon_sym_use] = ACTIONS(685),
    [anon_sym_where] = ACTIONS(685),
    [anon_sym_while] = ACTIONS(685),
    [sym_mutable_specifier] = ACTIONS(685),
    [sym_integer_literal] = ACTIONS(568),
    [aux_sym_string_literal_token1] = ACTIONS(570),
    [sym_char_literal] = ACTIONS(568),
    [anon_sym_true] = ACTIONS(572),
    [anon_sym_false] = ACTIONS(572),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(685),
    [sym_super] = ACTIONS(685),
    [sym_crate] = ACTIONS(685),
    [sym_metavariable] = ACTIONS(697),
    [sym__raw_string_literal_start] = ACTIONS(576),
    [sym_float_literal] = ACTIONS(568),
  },
  [89] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(89),
    [sym_block_comment] = STATE(89),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(83),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_RBRACK] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [90] = {
    [sym_token_tree] = STATE(157),
    [sym_token_repetition] = STATE(157),
    [sym__literal] = STATE(157),
    [sym_string_literal] = STATE(156),
    [sym_raw_string_literal] = STATE(156),
    [sym_boolean_literal] = STATE(156),
    [sym_line_comment] = STATE(90),
    [sym_block_comment] = STATE(90),
    [aux_sym_token_tree_repeat1] = STATE(82),
    [aux_sym__non_special_token_repeat1] = STATE(136),
    [sym_identifier] = ACTIONS(685),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(687),
    [anon_sym_RPAREN] = ACTIONS(703),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_EQ_GT] = ACTIONS(554),
    [anon_sym_COLON] = ACTIONS(564),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_u8] = ACTIONS(685),
    [anon_sym_i8] = ACTIONS(685),
    [anon_sym_u16] = ACTIONS(685),
    [anon_sym_i16] = ACTIONS(685),
    [anon_sym_u32] = ACTIONS(685),
    [anon_sym_i32] = ACTIONS(685),
    [anon_sym_u64] = ACTIONS(685),
    [anon_sym_i64] = ACTIONS(685),
    [anon_sym_u128] = ACTIONS(685),
    [anon_sym_i128] = ACTIONS(685),
    [anon_sym_isize] = ACTIONS(685),
    [anon_sym_usize] = ACTIONS(685),
    [anon_sym_f32] = ACTIONS(685),
    [anon_sym_f64] = ACTIONS(685),
    [anon_sym_bool] = ACTIONS(685),
    [anon_sym_str] = ACTIONS(685),
    [anon_sym_char] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP_AMP] = ACTIONS(554),
    [anon_sym_PIPE_PIPE] = ACTIONS(554),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_PERCENT_EQ] = ACTIONS(554),
    [anon_sym_CARET_EQ] = ACTIONS(554),
    [anon_sym_AMP_EQ] = ACTIONS(554),
    [anon_sym_PIPE_EQ] = ACTIONS(554),
    [anon_sym_LT_LT_EQ] = ACTIONS(554),
    [anon_sym_GT_GT_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_AT] = ACTIONS(554),
    [anon_sym__] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(554),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_COLON_COLON] = ACTIONS(554),
    [anon_sym_DASH_GT] = ACTIONS(554),
    [anon_sym_POUND] = ACTIONS(554),
    [anon_sym_SQUOTE] = ACTIONS(685),
    [anon_sym_as] = ACTIONS(685),
    [anon_sym_async] = ACTIONS(685),
    [anon_sym_await] = ACTIONS(685),
    [anon_sym_break] = ACTIONS(685),
    [anon_sym_const] = ACTIONS(685),
    [anon_sym_continue] = ACTIONS(685),
    [anon_sym_default] = ACTIONS(685),
    [anon_sym_enum] = ACTIONS(685),
    [anon_sym_fn] = ACTIONS(685),
    [anon_sym_for] = ACTIONS(685),
    [anon_sym_if] = ACTIONS(685),
    [anon_sym_impl] = ACTIONS(685),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_loop] = ACTIONS(685),
    [anon_sym_match] = ACTIONS(685),
    [anon_sym_mod] = ACTIONS(685),
    [anon_sym_pub] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(685),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_struct] = ACTIONS(685),
    [anon_sym_trait] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_union] = ACTIONS(685),
    [anon_sym_unsafe] = ACTIONS(685),
    [anon_sym_use] = ACTIONS(685),
    [anon_sym_where] = ACTIONS(685),
    [anon_sym_while] = ACTIONS(685),
    [sym_mutable_specifier] = ACTIONS(685),
    [sym_integer_literal] = ACTIONS(568),
    [aux_sym_string_literal_token1] = ACTIONS(570),
    [sym_char_literal] = ACTIONS(568),
    [anon_sym_true] = ACTIONS(572),
    [anon_sym_false] = ACTIONS(572),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(685),
    [sym_super] = ACTIONS(685),
    [sym_crate] = ACTIONS(685),
    [sym_metavariable] = ACTIONS(697),
    [sym__raw_string_literal_start] = ACTIONS(576),
    [sym_float_literal] = ACTIONS(568),
  },
  [91] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(91),
    [sym_block_comment] = STATE(91),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(94),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_RPAREN] = ACTIONS(705),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [92] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(92),
    [sym_block_comment] = STATE(92),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(95),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_RBRACK] = ACTIONS(705),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [93] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(93),
    [sym_block_comment] = STATE(93),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(96),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_RBRACE] = ACTIONS(705),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [94] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(94),
    [sym_block_comment] = STATE(94),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(83),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_RPAREN] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [95] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(95),
    [sym_block_comment] = STATE(95),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(83),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_RBRACK] = ACTIONS(707),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [96] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(96),
    [sym_block_comment] = STATE(96),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(83),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_RBRACE] = ACTIONS(707),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [97] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(97),
    [sym_block_comment] = STATE(97),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(83),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_RBRACE] = ACTIONS(701),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [98] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(98),
    [sym_block_comment] = STATE(98),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(97),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_RBRACE] = ACTIONS(709),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [99] = {
    [sym_token_tree] = STATE(157),
    [sym_token_repetition] = STATE(157),
    [sym__literal] = STATE(157),
    [sym_string_literal] = STATE(156),
    [sym_raw_string_literal] = STATE(156),
    [sym_boolean_literal] = STATE(156),
    [sym_line_comment] = STATE(99),
    [sym_block_comment] = STATE(99),
    [aux_sym_token_tree_repeat1] = STATE(102),
    [aux_sym__non_special_token_repeat1] = STATE(136),
    [sym_identifier] = ACTIONS(685),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(687),
    [anon_sym_RPAREN] = ACTIONS(711),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_EQ_GT] = ACTIONS(554),
    [anon_sym_COLON] = ACTIONS(564),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_u8] = ACTIONS(685),
    [anon_sym_i8] = ACTIONS(685),
    [anon_sym_u16] = ACTIONS(685),
    [anon_sym_i16] = ACTIONS(685),
    [anon_sym_u32] = ACTIONS(685),
    [anon_sym_i32] = ACTIONS(685),
    [anon_sym_u64] = ACTIONS(685),
    [anon_sym_i64] = ACTIONS(685),
    [anon_sym_u128] = ACTIONS(685),
    [anon_sym_i128] = ACTIONS(685),
    [anon_sym_isize] = ACTIONS(685),
    [anon_sym_usize] = ACTIONS(685),
    [anon_sym_f32] = ACTIONS(685),
    [anon_sym_f64] = ACTIONS(685),
    [anon_sym_bool] = ACTIONS(685),
    [anon_sym_str] = ACTIONS(685),
    [anon_sym_char] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP_AMP] = ACTIONS(554),
    [anon_sym_PIPE_PIPE] = ACTIONS(554),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_PERCENT_EQ] = ACTIONS(554),
    [anon_sym_CARET_EQ] = ACTIONS(554),
    [anon_sym_AMP_EQ] = ACTIONS(554),
    [anon_sym_PIPE_EQ] = ACTIONS(554),
    [anon_sym_LT_LT_EQ] = ACTIONS(554),
    [anon_sym_GT_GT_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_AT] = ACTIONS(554),
    [anon_sym__] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(554),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_COLON_COLON] = ACTIONS(554),
    [anon_sym_DASH_GT] = ACTIONS(554),
    [anon_sym_POUND] = ACTIONS(554),
    [anon_sym_SQUOTE] = ACTIONS(685),
    [anon_sym_as] = ACTIONS(685),
    [anon_sym_async] = ACTIONS(685),
    [anon_sym_await] = ACTIONS(685),
    [anon_sym_break] = ACTIONS(685),
    [anon_sym_const] = ACTIONS(685),
    [anon_sym_continue] = ACTIONS(685),
    [anon_sym_default] = ACTIONS(685),
    [anon_sym_enum] = ACTIONS(685),
    [anon_sym_fn] = ACTIONS(685),
    [anon_sym_for] = ACTIONS(685),
    [anon_sym_if] = ACTIONS(685),
    [anon_sym_impl] = ACTIONS(685),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_loop] = ACTIONS(685),
    [anon_sym_match] = ACTIONS(685),
    [anon_sym_mod] = ACTIONS(685),
    [anon_sym_pub] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(685),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_struct] = ACTIONS(685),
    [anon_sym_trait] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_union] = ACTIONS(685),
    [anon_sym_unsafe] = ACTIONS(685),
    [anon_sym_use] = ACTIONS(685),
    [anon_sym_where] = ACTIONS(685),
    [anon_sym_while] = ACTIONS(685),
    [sym_mutable_specifier] = ACTIONS(685),
    [sym_integer_literal] = ACTIONS(568),
    [aux_sym_string_literal_token1] = ACTIONS(570),
    [sym_char_literal] = ACTIONS(568),
    [anon_sym_true] = ACTIONS(572),
    [anon_sym_false] = ACTIONS(572),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(685),
    [sym_super] = ACTIONS(685),
    [sym_crate] = ACTIONS(685),
    [sym_metavariable] = ACTIONS(697),
    [sym__raw_string_literal_start] = ACTIONS(576),
    [sym_float_literal] = ACTIONS(568),
  },
  [100] = {
    [sym_token_tree] = STATE(157),
    [sym_token_repetition] = STATE(157),
    [sym__literal] = STATE(157),
    [sym_string_literal] = STATE(156),
    [sym_raw_string_literal] = STATE(156),
    [sym_boolean_literal] = STATE(156),
    [sym_line_comment] = STATE(100),
    [sym_block_comment] = STATE(100),
    [aux_sym_token_tree_repeat1] = STATE(103),
    [aux_sym__non_special_token_repeat1] = STATE(136),
    [sym_identifier] = ACTIONS(685),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(687),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_RBRACK] = ACTIONS(711),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_EQ_GT] = ACTIONS(554),
    [anon_sym_COLON] = ACTIONS(564),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_u8] = ACTIONS(685),
    [anon_sym_i8] = ACTIONS(685),
    [anon_sym_u16] = ACTIONS(685),
    [anon_sym_i16] = ACTIONS(685),
    [anon_sym_u32] = ACTIONS(685),
    [anon_sym_i32] = ACTIONS(685),
    [anon_sym_u64] = ACTIONS(685),
    [anon_sym_i64] = ACTIONS(685),
    [anon_sym_u128] = ACTIONS(685),
    [anon_sym_i128] = ACTIONS(685),
    [anon_sym_isize] = ACTIONS(685),
    [anon_sym_usize] = ACTIONS(685),
    [anon_sym_f32] = ACTIONS(685),
    [anon_sym_f64] = ACTIONS(685),
    [anon_sym_bool] = ACTIONS(685),
    [anon_sym_str] = ACTIONS(685),
    [anon_sym_char] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP_AMP] = ACTIONS(554),
    [anon_sym_PIPE_PIPE] = ACTIONS(554),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_PERCENT_EQ] = ACTIONS(554),
    [anon_sym_CARET_EQ] = ACTIONS(554),
    [anon_sym_AMP_EQ] = ACTIONS(554),
    [anon_sym_PIPE_EQ] = ACTIONS(554),
    [anon_sym_LT_LT_EQ] = ACTIONS(554),
    [anon_sym_GT_GT_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_AT] = ACTIONS(554),
    [anon_sym__] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(554),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_COLON_COLON] = ACTIONS(554),
    [anon_sym_DASH_GT] = ACTIONS(554),
    [anon_sym_POUND] = ACTIONS(554),
    [anon_sym_SQUOTE] = ACTIONS(685),
    [anon_sym_as] = ACTIONS(685),
    [anon_sym_async] = ACTIONS(685),
    [anon_sym_await] = ACTIONS(685),
    [anon_sym_break] = ACTIONS(685),
    [anon_sym_const] = ACTIONS(685),
    [anon_sym_continue] = ACTIONS(685),
    [anon_sym_default] = ACTIONS(685),
    [anon_sym_enum] = ACTIONS(685),
    [anon_sym_fn] = ACTIONS(685),
    [anon_sym_for] = ACTIONS(685),
    [anon_sym_if] = ACTIONS(685),
    [anon_sym_impl] = ACTIONS(685),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_loop] = ACTIONS(685),
    [anon_sym_match] = ACTIONS(685),
    [anon_sym_mod] = ACTIONS(685),
    [anon_sym_pub] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(685),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_struct] = ACTIONS(685),
    [anon_sym_trait] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_union] = ACTIONS(685),
    [anon_sym_unsafe] = ACTIONS(685),
    [anon_sym_use] = ACTIONS(685),
    [anon_sym_where] = ACTIONS(685),
    [anon_sym_while] = ACTIONS(685),
    [sym_mutable_specifier] = ACTIONS(685),
    [sym_integer_literal] = ACTIONS(568),
    [aux_sym_string_literal_token1] = ACTIONS(570),
    [sym_char_literal] = ACTIONS(568),
    [anon_sym_true] = ACTIONS(572),
    [anon_sym_false] = ACTIONS(572),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(685),
    [sym_super] = ACTIONS(685),
    [sym_crate] = ACTIONS(685),
    [sym_metavariable] = ACTIONS(697),
    [sym__raw_string_literal_start] = ACTIONS(576),
    [sym_float_literal] = ACTIONS(568),
  },
  [101] = {
    [sym_token_tree] = STATE(157),
    [sym_token_repetition] = STATE(157),
    [sym__literal] = STATE(157),
    [sym_string_literal] = STATE(156),
    [sym_raw_string_literal] = STATE(156),
    [sym_boolean_literal] = STATE(156),
    [sym_line_comment] = STATE(101),
    [sym_block_comment] = STATE(101),
    [aux_sym_token_tree_repeat1] = STATE(104),
    [aux_sym__non_special_token_repeat1] = STATE(136),
    [sym_identifier] = ACTIONS(685),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(687),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_RBRACE] = ACTIONS(711),
    [anon_sym_EQ_GT] = ACTIONS(554),
    [anon_sym_COLON] = ACTIONS(564),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_u8] = ACTIONS(685),
    [anon_sym_i8] = ACTIONS(685),
    [anon_sym_u16] = ACTIONS(685),
    [anon_sym_i16] = ACTIONS(685),
    [anon_sym_u32] = ACTIONS(685),
    [anon_sym_i32] = ACTIONS(685),
    [anon_sym_u64] = ACTIONS(685),
    [anon_sym_i64] = ACTIONS(685),
    [anon_sym_u128] = ACTIONS(685),
    [anon_sym_i128] = ACTIONS(685),
    [anon_sym_isize] = ACTIONS(685),
    [anon_sym_usize] = ACTIONS(685),
    [anon_sym_f32] = ACTIONS(685),
    [anon_sym_f64] = ACTIONS(685),
    [anon_sym_bool] = ACTIONS(685),
    [anon_sym_str] = ACTIONS(685),
    [anon_sym_char] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP_AMP] = ACTIONS(554),
    [anon_sym_PIPE_PIPE] = ACTIONS(554),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_PERCENT_EQ] = ACTIONS(554),
    [anon_sym_CARET_EQ] = ACTIONS(554),
    [anon_sym_AMP_EQ] = ACTIONS(554),
    [anon_sym_PIPE_EQ] = ACTIONS(554),
    [anon_sym_LT_LT_EQ] = ACTIONS(554),
    [anon_sym_GT_GT_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_AT] = ACTIONS(554),
    [anon_sym__] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(554),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_COLON_COLON] = ACTIONS(554),
    [anon_sym_DASH_GT] = ACTIONS(554),
    [anon_sym_POUND] = ACTIONS(554),
    [anon_sym_SQUOTE] = ACTIONS(685),
    [anon_sym_as] = ACTIONS(685),
    [anon_sym_async] = ACTIONS(685),
    [anon_sym_await] = ACTIONS(685),
    [anon_sym_break] = ACTIONS(685),
    [anon_sym_const] = ACTIONS(685),
    [anon_sym_continue] = ACTIONS(685),
    [anon_sym_default] = ACTIONS(685),
    [anon_sym_enum] = ACTIONS(685),
    [anon_sym_fn] = ACTIONS(685),
    [anon_sym_for] = ACTIONS(685),
    [anon_sym_if] = ACTIONS(685),
    [anon_sym_impl] = ACTIONS(685),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_loop] = ACTIONS(685),
    [anon_sym_match] = ACTIONS(685),
    [anon_sym_mod] = ACTIONS(685),
    [anon_sym_pub] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(685),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_struct] = ACTIONS(685),
    [anon_sym_trait] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_union] = ACTIONS(685),
    [anon_sym_unsafe] = ACTIONS(685),
    [anon_sym_use] = ACTIONS(685),
    [anon_sym_where] = ACTIONS(685),
    [anon_sym_while] = ACTIONS(685),
    [sym_mutable_specifier] = ACTIONS(685),
    [sym_integer_literal] = ACTIONS(568),
    [aux_sym_string_literal_token1] = ACTIONS(570),
    [sym_char_literal] = ACTIONS(568),
    [anon_sym_true] = ACTIONS(572),
    [anon_sym_false] = ACTIONS(572),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(685),
    [sym_super] = ACTIONS(685),
    [sym_crate] = ACTIONS(685),
    [sym_metavariable] = ACTIONS(697),
    [sym__raw_string_literal_start] = ACTIONS(576),
    [sym_float_literal] = ACTIONS(568),
  },
  [102] = {
    [sym_token_tree] = STATE(157),
    [sym_token_repetition] = STATE(157),
    [sym__literal] = STATE(157),
    [sym_string_literal] = STATE(156),
    [sym_raw_string_literal] = STATE(156),
    [sym_boolean_literal] = STATE(156),
    [sym_line_comment] = STATE(102),
    [sym_block_comment] = STATE(102),
    [aux_sym_token_tree_repeat1] = STATE(82),
    [aux_sym__non_special_token_repeat1] = STATE(136),
    [sym_identifier] = ACTIONS(685),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(687),
    [anon_sym_RPAREN] = ACTIONS(713),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_EQ_GT] = ACTIONS(554),
    [anon_sym_COLON] = ACTIONS(564),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_u8] = ACTIONS(685),
    [anon_sym_i8] = ACTIONS(685),
    [anon_sym_u16] = ACTIONS(685),
    [anon_sym_i16] = ACTIONS(685),
    [anon_sym_u32] = ACTIONS(685),
    [anon_sym_i32] = ACTIONS(685),
    [anon_sym_u64] = ACTIONS(685),
    [anon_sym_i64] = ACTIONS(685),
    [anon_sym_u128] = ACTIONS(685),
    [anon_sym_i128] = ACTIONS(685),
    [anon_sym_isize] = ACTIONS(685),
    [anon_sym_usize] = ACTIONS(685),
    [anon_sym_f32] = ACTIONS(685),
    [anon_sym_f64] = ACTIONS(685),
    [anon_sym_bool] = ACTIONS(685),
    [anon_sym_str] = ACTIONS(685),
    [anon_sym_char] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP_AMP] = ACTIONS(554),
    [anon_sym_PIPE_PIPE] = ACTIONS(554),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_PERCENT_EQ] = ACTIONS(554),
    [anon_sym_CARET_EQ] = ACTIONS(554),
    [anon_sym_AMP_EQ] = ACTIONS(554),
    [anon_sym_PIPE_EQ] = ACTIONS(554),
    [anon_sym_LT_LT_EQ] = ACTIONS(554),
    [anon_sym_GT_GT_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_AT] = ACTIONS(554),
    [anon_sym__] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(554),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_COLON_COLON] = ACTIONS(554),
    [anon_sym_DASH_GT] = ACTIONS(554),
    [anon_sym_POUND] = ACTIONS(554),
    [anon_sym_SQUOTE] = ACTIONS(685),
    [anon_sym_as] = ACTIONS(685),
    [anon_sym_async] = ACTIONS(685),
    [anon_sym_await] = ACTIONS(685),
    [anon_sym_break] = ACTIONS(685),
    [anon_sym_const] = ACTIONS(685),
    [anon_sym_continue] = ACTIONS(685),
    [anon_sym_default] = ACTIONS(685),
    [anon_sym_enum] = ACTIONS(685),
    [anon_sym_fn] = ACTIONS(685),
    [anon_sym_for] = ACTIONS(685),
    [anon_sym_if] = ACTIONS(685),
    [anon_sym_impl] = ACTIONS(685),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_loop] = ACTIONS(685),
    [anon_sym_match] = ACTIONS(685),
    [anon_sym_mod] = ACTIONS(685),
    [anon_sym_pub] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(685),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_struct] = ACTIONS(685),
    [anon_sym_trait] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_union] = ACTIONS(685),
    [anon_sym_unsafe] = ACTIONS(685),
    [anon_sym_use] = ACTIONS(685),
    [anon_sym_where] = ACTIONS(685),
    [anon_sym_while] = ACTIONS(685),
    [sym_mutable_specifier] = ACTIONS(685),
    [sym_integer_literal] = ACTIONS(568),
    [aux_sym_string_literal_token1] = ACTIONS(570),
    [sym_char_literal] = ACTIONS(568),
    [anon_sym_true] = ACTIONS(572),
    [anon_sym_false] = ACTIONS(572),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(685),
    [sym_super] = ACTIONS(685),
    [sym_crate] = ACTIONS(685),
    [sym_metavariable] = ACTIONS(697),
    [sym__raw_string_literal_start] = ACTIONS(576),
    [sym_float_literal] = ACTIONS(568),
  },
  [103] = {
    [sym_token_tree] = STATE(157),
    [sym_token_repetition] = STATE(157),
    [sym__literal] = STATE(157),
    [sym_string_literal] = STATE(156),
    [sym_raw_string_literal] = STATE(156),
    [sym_boolean_literal] = STATE(156),
    [sym_line_comment] = STATE(103),
    [sym_block_comment] = STATE(103),
    [aux_sym_token_tree_repeat1] = STATE(82),
    [aux_sym__non_special_token_repeat1] = STATE(136),
    [sym_identifier] = ACTIONS(685),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(687),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_RBRACK] = ACTIONS(713),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_EQ_GT] = ACTIONS(554),
    [anon_sym_COLON] = ACTIONS(564),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_u8] = ACTIONS(685),
    [anon_sym_i8] = ACTIONS(685),
    [anon_sym_u16] = ACTIONS(685),
    [anon_sym_i16] = ACTIONS(685),
    [anon_sym_u32] = ACTIONS(685),
    [anon_sym_i32] = ACTIONS(685),
    [anon_sym_u64] = ACTIONS(685),
    [anon_sym_i64] = ACTIONS(685),
    [anon_sym_u128] = ACTIONS(685),
    [anon_sym_i128] = ACTIONS(685),
    [anon_sym_isize] = ACTIONS(685),
    [anon_sym_usize] = ACTIONS(685),
    [anon_sym_f32] = ACTIONS(685),
    [anon_sym_f64] = ACTIONS(685),
    [anon_sym_bool] = ACTIONS(685),
    [anon_sym_str] = ACTIONS(685),
    [anon_sym_char] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP_AMP] = ACTIONS(554),
    [anon_sym_PIPE_PIPE] = ACTIONS(554),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_PERCENT_EQ] = ACTIONS(554),
    [anon_sym_CARET_EQ] = ACTIONS(554),
    [anon_sym_AMP_EQ] = ACTIONS(554),
    [anon_sym_PIPE_EQ] = ACTIONS(554),
    [anon_sym_LT_LT_EQ] = ACTIONS(554),
    [anon_sym_GT_GT_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_AT] = ACTIONS(554),
    [anon_sym__] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(554),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_COLON_COLON] = ACTIONS(554),
    [anon_sym_DASH_GT] = ACTIONS(554),
    [anon_sym_POUND] = ACTIONS(554),
    [anon_sym_SQUOTE] = ACTIONS(685),
    [anon_sym_as] = ACTIONS(685),
    [anon_sym_async] = ACTIONS(685),
    [anon_sym_await] = ACTIONS(685),
    [anon_sym_break] = ACTIONS(685),
    [anon_sym_const] = ACTIONS(685),
    [anon_sym_continue] = ACTIONS(685),
    [anon_sym_default] = ACTIONS(685),
    [anon_sym_enum] = ACTIONS(685),
    [anon_sym_fn] = ACTIONS(685),
    [anon_sym_for] = ACTIONS(685),
    [anon_sym_if] = ACTIONS(685),
    [anon_sym_impl] = ACTIONS(685),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_loop] = ACTIONS(685),
    [anon_sym_match] = ACTIONS(685),
    [anon_sym_mod] = ACTIONS(685),
    [anon_sym_pub] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(685),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_struct] = ACTIONS(685),
    [anon_sym_trait] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_union] = ACTIONS(685),
    [anon_sym_unsafe] = ACTIONS(685),
    [anon_sym_use] = ACTIONS(685),
    [anon_sym_where] = ACTIONS(685),
    [anon_sym_while] = ACTIONS(685),
    [sym_mutable_specifier] = ACTIONS(685),
    [sym_integer_literal] = ACTIONS(568),
    [aux_sym_string_literal_token1] = ACTIONS(570),
    [sym_char_literal] = ACTIONS(568),
    [anon_sym_true] = ACTIONS(572),
    [anon_sym_false] = ACTIONS(572),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(685),
    [sym_super] = ACTIONS(685),
    [sym_crate] = ACTIONS(685),
    [sym_metavariable] = ACTIONS(697),
    [sym__raw_string_literal_start] = ACTIONS(576),
    [sym_float_literal] = ACTIONS(568),
  },
  [104] = {
    [sym_token_tree] = STATE(157),
    [sym_token_repetition] = STATE(157),
    [sym__literal] = STATE(157),
    [sym_string_literal] = STATE(156),
    [sym_raw_string_literal] = STATE(156),
    [sym_boolean_literal] = STATE(156),
    [sym_line_comment] = STATE(104),
    [sym_block_comment] = STATE(104),
    [aux_sym_token_tree_repeat1] = STATE(82),
    [aux_sym__non_special_token_repeat1] = STATE(136),
    [sym_identifier] = ACTIONS(685),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(687),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_RBRACE] = ACTIONS(713),
    [anon_sym_EQ_GT] = ACTIONS(554),
    [anon_sym_COLON] = ACTIONS(564),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_u8] = ACTIONS(685),
    [anon_sym_i8] = ACTIONS(685),
    [anon_sym_u16] = ACTIONS(685),
    [anon_sym_i16] = ACTIONS(685),
    [anon_sym_u32] = ACTIONS(685),
    [anon_sym_i32] = ACTIONS(685),
    [anon_sym_u64] = ACTIONS(685),
    [anon_sym_i64] = ACTIONS(685),
    [anon_sym_u128] = ACTIONS(685),
    [anon_sym_i128] = ACTIONS(685),
    [anon_sym_isize] = ACTIONS(685),
    [anon_sym_usize] = ACTIONS(685),
    [anon_sym_f32] = ACTIONS(685),
    [anon_sym_f64] = ACTIONS(685),
    [anon_sym_bool] = ACTIONS(685),
    [anon_sym_str] = ACTIONS(685),
    [anon_sym_char] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP_AMP] = ACTIONS(554),
    [anon_sym_PIPE_PIPE] = ACTIONS(554),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_PERCENT_EQ] = ACTIONS(554),
    [anon_sym_CARET_EQ] = ACTIONS(554),
    [anon_sym_AMP_EQ] = ACTIONS(554),
    [anon_sym_PIPE_EQ] = ACTIONS(554),
    [anon_sym_LT_LT_EQ] = ACTIONS(554),
    [anon_sym_GT_GT_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_AT] = ACTIONS(554),
    [anon_sym__] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(554),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_COLON_COLON] = ACTIONS(554),
    [anon_sym_DASH_GT] = ACTIONS(554),
    [anon_sym_POUND] = ACTIONS(554),
    [anon_sym_SQUOTE] = ACTIONS(685),
    [anon_sym_as] = ACTIONS(685),
    [anon_sym_async] = ACTIONS(685),
    [anon_sym_await] = ACTIONS(685),
    [anon_sym_break] = ACTIONS(685),
    [anon_sym_const] = ACTIONS(685),
    [anon_sym_continue] = ACTIONS(685),
    [anon_sym_default] = ACTIONS(685),
    [anon_sym_enum] = ACTIONS(685),
    [anon_sym_fn] = ACTIONS(685),
    [anon_sym_for] = ACTIONS(685),
    [anon_sym_if] = ACTIONS(685),
    [anon_sym_impl] = ACTIONS(685),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_loop] = ACTIONS(685),
    [anon_sym_match] = ACTIONS(685),
    [anon_sym_mod] = ACTIONS(685),
    [anon_sym_pub] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(685),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_struct] = ACTIONS(685),
    [anon_sym_trait] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_union] = ACTIONS(685),
    [anon_sym_unsafe] = ACTIONS(685),
    [anon_sym_use] = ACTIONS(685),
    [anon_sym_where] = ACTIONS(685),
    [anon_sym_while] = ACTIONS(685),
    [sym_mutable_specifier] = ACTIONS(685),
    [sym_integer_literal] = ACTIONS(568),
    [aux_sym_string_literal_token1] = ACTIONS(570),
    [sym_char_literal] = ACTIONS(568),
    [anon_sym_true] = ACTIONS(572),
    [anon_sym_false] = ACTIONS(572),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(685),
    [sym_super] = ACTIONS(685),
    [sym_crate] = ACTIONS(685),
    [sym_metavariable] = ACTIONS(697),
    [sym__raw_string_literal_start] = ACTIONS(576),
    [sym_float_literal] = ACTIONS(568),
  },
  [105] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(105),
    [sym_block_comment] = STATE(105),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(108),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_RPAREN] = ACTIONS(715),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [106] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(106),
    [sym_block_comment] = STATE(106),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(109),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_RBRACK] = ACTIONS(715),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [107] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(107),
    [sym_block_comment] = STATE(107),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(83),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_RPAREN] = ACTIONS(701),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [108] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(108),
    [sym_block_comment] = STATE(108),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(83),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_RPAREN] = ACTIONS(717),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [109] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(109),
    [sym_block_comment] = STATE(109),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(83),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_RBRACK] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [110] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(110),
    [sym_block_comment] = STATE(110),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(83),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_RBRACE] = ACTIONS(717),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [111] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(111),
    [sym_block_comment] = STATE(111),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(114),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_RPAREN] = ACTIONS(719),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [112] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(112),
    [sym_block_comment] = STATE(112),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(115),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_RBRACK] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [113] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(113),
    [sym_block_comment] = STATE(113),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(116),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_RBRACE] = ACTIONS(719),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [114] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(114),
    [sym_block_comment] = STATE(114),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(83),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_RPAREN] = ACTIONS(721),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [115] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(115),
    [sym_block_comment] = STATE(115),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(83),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_RBRACK] = ACTIONS(721),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [116] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(116),
    [sym_block_comment] = STATE(116),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(83),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_RBRACE] = ACTIONS(721),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [117] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(117),
    [sym_block_comment] = STATE(117),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(120),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_RPAREN] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [118] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(118),
    [sym_block_comment] = STATE(118),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(121),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_RBRACK] = ACTIONS(723),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [119] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(119),
    [sym_block_comment] = STATE(119),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(122),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_RBRACE] = ACTIONS(723),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [120] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(120),
    [sym_block_comment] = STATE(120),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(83),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_RPAREN] = ACTIONS(725),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [121] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(121),
    [sym_block_comment] = STATE(121),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(83),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_RBRACK] = ACTIONS(725),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [122] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(122),
    [sym_block_comment] = STATE(122),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(83),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_RBRACE] = ACTIONS(725),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [123] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(123),
    [sym_block_comment] = STATE(123),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(107),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_RPAREN] = ACTIONS(709),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [124] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(124),
    [sym_block_comment] = STATE(124),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(89),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_RBRACK] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [125] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(125),
    [sym_block_comment] = STATE(125),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(84),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_RPAREN] = ACTIONS(727),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [126] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(126),
    [sym_block_comment] = STATE(126),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(128),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_RBRACK] = ACTIONS(727),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [127] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(127),
    [sym_block_comment] = STATE(127),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(129),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_RBRACE] = ACTIONS(727),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [128] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(128),
    [sym_block_comment] = STATE(128),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(83),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_RBRACK] = ACTIONS(667),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [129] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(129),
    [sym_block_comment] = STATE(129),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(83),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_RBRACE] = ACTIONS(667),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [130] = {
    [sym_token_tree] = STATE(157),
    [sym_token_repetition] = STATE(157),
    [sym__literal] = STATE(157),
    [sym_string_literal] = STATE(156),
    [sym_raw_string_literal] = STATE(156),
    [sym_boolean_literal] = STATE(156),
    [sym_line_comment] = STATE(130),
    [sym_block_comment] = STATE(130),
    [aux_sym_token_tree_repeat1] = STATE(85),
    [aux_sym__non_special_token_repeat1] = STATE(136),
    [sym_identifier] = ACTIONS(685),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(687),
    [anon_sym_RPAREN] = ACTIONS(729),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_EQ_GT] = ACTIONS(554),
    [anon_sym_COLON] = ACTIONS(564),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_u8] = ACTIONS(685),
    [anon_sym_i8] = ACTIONS(685),
    [anon_sym_u16] = ACTIONS(685),
    [anon_sym_i16] = ACTIONS(685),
    [anon_sym_u32] = ACTIONS(685),
    [anon_sym_i32] = ACTIONS(685),
    [anon_sym_u64] = ACTIONS(685),
    [anon_sym_i64] = ACTIONS(685),
    [anon_sym_u128] = ACTIONS(685),
    [anon_sym_i128] = ACTIONS(685),
    [anon_sym_isize] = ACTIONS(685),
    [anon_sym_usize] = ACTIONS(685),
    [anon_sym_f32] = ACTIONS(685),
    [anon_sym_f64] = ACTIONS(685),
    [anon_sym_bool] = ACTIONS(685),
    [anon_sym_str] = ACTIONS(685),
    [anon_sym_char] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP_AMP] = ACTIONS(554),
    [anon_sym_PIPE_PIPE] = ACTIONS(554),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_PERCENT_EQ] = ACTIONS(554),
    [anon_sym_CARET_EQ] = ACTIONS(554),
    [anon_sym_AMP_EQ] = ACTIONS(554),
    [anon_sym_PIPE_EQ] = ACTIONS(554),
    [anon_sym_LT_LT_EQ] = ACTIONS(554),
    [anon_sym_GT_GT_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_AT] = ACTIONS(554),
    [anon_sym__] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(554),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_COLON_COLON] = ACTIONS(554),
    [anon_sym_DASH_GT] = ACTIONS(554),
    [anon_sym_POUND] = ACTIONS(554),
    [anon_sym_SQUOTE] = ACTIONS(685),
    [anon_sym_as] = ACTIONS(685),
    [anon_sym_async] = ACTIONS(685),
    [anon_sym_await] = ACTIONS(685),
    [anon_sym_break] = ACTIONS(685),
    [anon_sym_const] = ACTIONS(685),
    [anon_sym_continue] = ACTIONS(685),
    [anon_sym_default] = ACTIONS(685),
    [anon_sym_enum] = ACTIONS(685),
    [anon_sym_fn] = ACTIONS(685),
    [anon_sym_for] = ACTIONS(685),
    [anon_sym_if] = ACTIONS(685),
    [anon_sym_impl] = ACTIONS(685),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_loop] = ACTIONS(685),
    [anon_sym_match] = ACTIONS(685),
    [anon_sym_mod] = ACTIONS(685),
    [anon_sym_pub] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(685),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_struct] = ACTIONS(685),
    [anon_sym_trait] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_union] = ACTIONS(685),
    [anon_sym_unsafe] = ACTIONS(685),
    [anon_sym_use] = ACTIONS(685),
    [anon_sym_where] = ACTIONS(685),
    [anon_sym_while] = ACTIONS(685),
    [sym_mutable_specifier] = ACTIONS(685),
    [sym_integer_literal] = ACTIONS(568),
    [aux_sym_string_literal_token1] = ACTIONS(570),
    [sym_char_literal] = ACTIONS(568),
    [anon_sym_true] = ACTIONS(572),
    [anon_sym_false] = ACTIONS(572),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(685),
    [sym_super] = ACTIONS(685),
    [sym_crate] = ACTIONS(685),
    [sym_metavariable] = ACTIONS(697),
    [sym__raw_string_literal_start] = ACTIONS(576),
    [sym_float_literal] = ACTIONS(568),
  },
  [131] = {
    [sym_token_tree] = STATE(157),
    [sym_token_repetition] = STATE(157),
    [sym__literal] = STATE(157),
    [sym_string_literal] = STATE(156),
    [sym_raw_string_literal] = STATE(156),
    [sym_boolean_literal] = STATE(156),
    [sym_line_comment] = STATE(131),
    [sym_block_comment] = STATE(131),
    [aux_sym_token_tree_repeat1] = STATE(86),
    [aux_sym__non_special_token_repeat1] = STATE(136),
    [sym_identifier] = ACTIONS(685),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(687),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_RBRACK] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_EQ_GT] = ACTIONS(554),
    [anon_sym_COLON] = ACTIONS(564),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_u8] = ACTIONS(685),
    [anon_sym_i8] = ACTIONS(685),
    [anon_sym_u16] = ACTIONS(685),
    [anon_sym_i16] = ACTIONS(685),
    [anon_sym_u32] = ACTIONS(685),
    [anon_sym_i32] = ACTIONS(685),
    [anon_sym_u64] = ACTIONS(685),
    [anon_sym_i64] = ACTIONS(685),
    [anon_sym_u128] = ACTIONS(685),
    [anon_sym_i128] = ACTIONS(685),
    [anon_sym_isize] = ACTIONS(685),
    [anon_sym_usize] = ACTIONS(685),
    [anon_sym_f32] = ACTIONS(685),
    [anon_sym_f64] = ACTIONS(685),
    [anon_sym_bool] = ACTIONS(685),
    [anon_sym_str] = ACTIONS(685),
    [anon_sym_char] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP_AMP] = ACTIONS(554),
    [anon_sym_PIPE_PIPE] = ACTIONS(554),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_PERCENT_EQ] = ACTIONS(554),
    [anon_sym_CARET_EQ] = ACTIONS(554),
    [anon_sym_AMP_EQ] = ACTIONS(554),
    [anon_sym_PIPE_EQ] = ACTIONS(554),
    [anon_sym_LT_LT_EQ] = ACTIONS(554),
    [anon_sym_GT_GT_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_AT] = ACTIONS(554),
    [anon_sym__] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(554),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_COLON_COLON] = ACTIONS(554),
    [anon_sym_DASH_GT] = ACTIONS(554),
    [anon_sym_POUND] = ACTIONS(554),
    [anon_sym_SQUOTE] = ACTIONS(685),
    [anon_sym_as] = ACTIONS(685),
    [anon_sym_async] = ACTIONS(685),
    [anon_sym_await] = ACTIONS(685),
    [anon_sym_break] = ACTIONS(685),
    [anon_sym_const] = ACTIONS(685),
    [anon_sym_continue] = ACTIONS(685),
    [anon_sym_default] = ACTIONS(685),
    [anon_sym_enum] = ACTIONS(685),
    [anon_sym_fn] = ACTIONS(685),
    [anon_sym_for] = ACTIONS(685),
    [anon_sym_if] = ACTIONS(685),
    [anon_sym_impl] = ACTIONS(685),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_loop] = ACTIONS(685),
    [anon_sym_match] = ACTIONS(685),
    [anon_sym_mod] = ACTIONS(685),
    [anon_sym_pub] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(685),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_struct] = ACTIONS(685),
    [anon_sym_trait] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_union] = ACTIONS(685),
    [anon_sym_unsafe] = ACTIONS(685),
    [anon_sym_use] = ACTIONS(685),
    [anon_sym_where] = ACTIONS(685),
    [anon_sym_while] = ACTIONS(685),
    [sym_mutable_specifier] = ACTIONS(685),
    [sym_integer_literal] = ACTIONS(568),
    [aux_sym_string_literal_token1] = ACTIONS(570),
    [sym_char_literal] = ACTIONS(568),
    [anon_sym_true] = ACTIONS(572),
    [anon_sym_false] = ACTIONS(572),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(685),
    [sym_super] = ACTIONS(685),
    [sym_crate] = ACTIONS(685),
    [sym_metavariable] = ACTIONS(697),
    [sym__raw_string_literal_start] = ACTIONS(576),
    [sym_float_literal] = ACTIONS(568),
  },
  [132] = {
    [sym_token_tree] = STATE(157),
    [sym_token_repetition] = STATE(157),
    [sym__literal] = STATE(157),
    [sym_string_literal] = STATE(156),
    [sym_raw_string_literal] = STATE(156),
    [sym_boolean_literal] = STATE(156),
    [sym_line_comment] = STATE(132),
    [sym_block_comment] = STATE(132),
    [aux_sym_token_tree_repeat1] = STATE(87),
    [aux_sym__non_special_token_repeat1] = STATE(136),
    [sym_identifier] = ACTIONS(685),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(687),
    [anon_sym_LBRACK] = ACTIONS(691),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_RBRACE] = ACTIONS(729),
    [anon_sym_EQ_GT] = ACTIONS(554),
    [anon_sym_COLON] = ACTIONS(564),
    [anon_sym_DOLLAR] = ACTIONS(695),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_u8] = ACTIONS(685),
    [anon_sym_i8] = ACTIONS(685),
    [anon_sym_u16] = ACTIONS(685),
    [anon_sym_i16] = ACTIONS(685),
    [anon_sym_u32] = ACTIONS(685),
    [anon_sym_i32] = ACTIONS(685),
    [anon_sym_u64] = ACTIONS(685),
    [anon_sym_i64] = ACTIONS(685),
    [anon_sym_u128] = ACTIONS(685),
    [anon_sym_i128] = ACTIONS(685),
    [anon_sym_isize] = ACTIONS(685),
    [anon_sym_usize] = ACTIONS(685),
    [anon_sym_f32] = ACTIONS(685),
    [anon_sym_f64] = ACTIONS(685),
    [anon_sym_bool] = ACTIONS(685),
    [anon_sym_str] = ACTIONS(685),
    [anon_sym_char] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP_AMP] = ACTIONS(554),
    [anon_sym_PIPE_PIPE] = ACTIONS(554),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_PERCENT_EQ] = ACTIONS(554),
    [anon_sym_CARET_EQ] = ACTIONS(554),
    [anon_sym_AMP_EQ] = ACTIONS(554),
    [anon_sym_PIPE_EQ] = ACTIONS(554),
    [anon_sym_LT_LT_EQ] = ACTIONS(554),
    [anon_sym_GT_GT_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_AT] = ACTIONS(554),
    [anon_sym__] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(554),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_COLON_COLON] = ACTIONS(554),
    [anon_sym_DASH_GT] = ACTIONS(554),
    [anon_sym_POUND] = ACTIONS(554),
    [anon_sym_SQUOTE] = ACTIONS(685),
    [anon_sym_as] = ACTIONS(685),
    [anon_sym_async] = ACTIONS(685),
    [anon_sym_await] = ACTIONS(685),
    [anon_sym_break] = ACTIONS(685),
    [anon_sym_const] = ACTIONS(685),
    [anon_sym_continue] = ACTIONS(685),
    [anon_sym_default] = ACTIONS(685),
    [anon_sym_enum] = ACTIONS(685),
    [anon_sym_fn] = ACTIONS(685),
    [anon_sym_for] = ACTIONS(685),
    [anon_sym_if] = ACTIONS(685),
    [anon_sym_impl] = ACTIONS(685),
    [anon_sym_let] = ACTIONS(685),
    [anon_sym_loop] = ACTIONS(685),
    [anon_sym_match] = ACTIONS(685),
    [anon_sym_mod] = ACTIONS(685),
    [anon_sym_pub] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(685),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_struct] = ACTIONS(685),
    [anon_sym_trait] = ACTIONS(685),
    [anon_sym_type] = ACTIONS(685),
    [anon_sym_union] = ACTIONS(685),
    [anon_sym_unsafe] = ACTIONS(685),
    [anon_sym_use] = ACTIONS(685),
    [anon_sym_where] = ACTIONS(685),
    [anon_sym_while] = ACTIONS(685),
    [sym_mutable_specifier] = ACTIONS(685),
    [sym_integer_literal] = ACTIONS(568),
    [aux_sym_string_literal_token1] = ACTIONS(570),
    [sym_char_literal] = ACTIONS(568),
    [anon_sym_true] = ACTIONS(572),
    [anon_sym_false] = ACTIONS(572),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(685),
    [sym_super] = ACTIONS(685),
    [sym_crate] = ACTIONS(685),
    [sym_metavariable] = ACTIONS(697),
    [sym__raw_string_literal_start] = ACTIONS(576),
    [sym_float_literal] = ACTIONS(568),
  },
  [133] = {
    [sym_delim_token_tree] = STATE(184),
    [sym__delim_tokens] = STATE(185),
    [sym__non_delim_token] = STATE(184),
    [sym__literal] = STATE(183),
    [sym_string_literal] = STATE(173),
    [sym_raw_string_literal] = STATE(173),
    [sym_boolean_literal] = STATE(173),
    [sym_line_comment] = STATE(133),
    [sym_block_comment] = STATE(133),
    [aux_sym__non_special_token_repeat1] = STATE(160),
    [aux_sym_delim_token_tree_repeat1] = STATE(110),
    [sym_identifier] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(665),
    [anon_sym_LBRACK] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_RBRACE] = ACTIONS(715),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(661),
    [anon_sym_i8] = ACTIONS(661),
    [anon_sym_u16] = ACTIONS(661),
    [anon_sym_i16] = ACTIONS(661),
    [anon_sym_u32] = ACTIONS(661),
    [anon_sym_i32] = ACTIONS(661),
    [anon_sym_u64] = ACTIONS(661),
    [anon_sym_i64] = ACTIONS(661),
    [anon_sym_u128] = ACTIONS(661),
    [anon_sym_i128] = ACTIONS(661),
    [anon_sym_isize] = ACTIONS(661),
    [anon_sym_usize] = ACTIONS(661),
    [anon_sym_f32] = ACTIONS(661),
    [anon_sym_f64] = ACTIONS(661),
    [anon_sym_bool] = ACTIONS(661),
    [anon_sym_str] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(661),
    [anon_sym_as] = ACTIONS(661),
    [anon_sym_async] = ACTIONS(661),
    [anon_sym_await] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_const] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_fn] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_impl] = ACTIONS(661),
    [anon_sym_let] = ACTIONS(661),
    [anon_sym_loop] = ACTIONS(661),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_mod] = ACTIONS(661),
    [anon_sym_pub] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_struct] = ACTIONS(661),
    [anon_sym_trait] = ACTIONS(661),
    [anon_sym_type] = ACTIONS(661),
    [anon_sym_union] = ACTIONS(661),
    [anon_sym_unsafe] = ACTIONS(661),
    [anon_sym_use] = ACTIONS(661),
    [anon_sym_where] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [sym_mutable_specifier] = ACTIONS(661),
    [sym_integer_literal] = ACTIONS(677),
    [aux_sym_string_literal_token1] = ACTIONS(679),
    [sym_char_literal] = ACTIONS(677),
    [anon_sym_true] = ACTIONS(681),
    [anon_sym_false] = ACTIONS(681),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_crate] = ACTIONS(661),
    [sym__raw_string_literal_start] = ACTIONS(683),
    [sym_float_literal] = ACTIONS(677),
  },
  [134] = {
    [sym_line_comment] = STATE(134),
    [sym_block_comment] = STATE(134),
    [aux_sym__non_special_token_repeat1] = STATE(134),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_SEMI] = ACTIONS(733),
    [anon_sym_LPAREN] = ACTIONS(736),
    [anon_sym_RPAREN] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(736),
    [anon_sym_RBRACK] = ACTIONS(736),
    [anon_sym_LBRACE] = ACTIONS(736),
    [anon_sym_RBRACE] = ACTIONS(736),
    [anon_sym_EQ_GT] = ACTIONS(733),
    [anon_sym_COLON] = ACTIONS(738),
    [anon_sym_DOLLAR] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_STAR] = ACTIONS(738),
    [anon_sym_QMARK] = ACTIONS(733),
    [anon_sym_u8] = ACTIONS(731),
    [anon_sym_i8] = ACTIONS(731),
    [anon_sym_u16] = ACTIONS(731),
    [anon_sym_i16] = ACTIONS(731),
    [anon_sym_u32] = ACTIONS(731),
    [anon_sym_i32] = ACTIONS(731),
    [anon_sym_u64] = ACTIONS(731),
    [anon_sym_i64] = ACTIONS(731),
    [anon_sym_u128] = ACTIONS(731),
    [anon_sym_i128] = ACTIONS(731),
    [anon_sym_isize] = ACTIONS(731),
    [anon_sym_usize] = ACTIONS(731),
    [anon_sym_f32] = ACTIONS(731),
    [anon_sym_f64] = ACTIONS(731),
    [anon_sym_bool] = ACTIONS(731),
    [anon_sym_str] = ACTIONS(731),
    [anon_sym_char] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_SLASH] = ACTIONS(738),
    [anon_sym_PERCENT] = ACTIONS(738),
    [anon_sym_CARET] = ACTIONS(738),
    [anon_sym_BANG] = ACTIONS(738),
    [anon_sym_AMP] = ACTIONS(738),
    [anon_sym_PIPE] = ACTIONS(738),
    [anon_sym_AMP_AMP] = ACTIONS(733),
    [anon_sym_PIPE_PIPE] = ACTIONS(733),
    [anon_sym_LT_LT] = ACTIONS(738),
    [anon_sym_GT_GT] = ACTIONS(738),
    [anon_sym_PLUS_EQ] = ACTIONS(733),
    [anon_sym_DASH_EQ] = ACTIONS(733),
    [anon_sym_STAR_EQ] = ACTIONS(733),
    [anon_sym_SLASH_EQ] = ACTIONS(733),
    [anon_sym_PERCENT_EQ] = ACTIONS(733),
    [anon_sym_CARET_EQ] = ACTIONS(733),
    [anon_sym_AMP_EQ] = ACTIONS(733),
    [anon_sym_PIPE_EQ] = ACTIONS(733),
    [anon_sym_LT_LT_EQ] = ACTIONS(733),
    [anon_sym_GT_GT_EQ] = ACTIONS(733),
    [anon_sym_EQ] = ACTIONS(738),
    [anon_sym_EQ_EQ] = ACTIONS(733),
    [anon_sym_BANG_EQ] = ACTIONS(733),
    [anon_sym_GT] = ACTIONS(738),
    [anon_sym_LT] = ACTIONS(738),
    [anon_sym_GT_EQ] = ACTIONS(733),
    [anon_sym_LT_EQ] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(733),
    [anon_sym__] = ACTIONS(738),
    [anon_sym_DOT] = ACTIONS(738),
    [anon_sym_DOT_DOT] = ACTIONS(738),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(733),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(733),
    [anon_sym_COMMA] = ACTIONS(733),
    [anon_sym_COLON_COLON] = ACTIONS(733),
    [anon_sym_DASH_GT] = ACTIONS(733),
    [anon_sym_POUND] = ACTIONS(733),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_as] = ACTIONS(731),
    [anon_sym_async] = ACTIONS(731),
    [anon_sym_await] = ACTIONS(731),
    [anon_sym_break] = ACTIONS(731),
    [anon_sym_const] = ACTIONS(731),
    [anon_sym_continue] = ACTIONS(731),
    [anon_sym_default] = ACTIONS(731),
    [anon_sym_enum] = ACTIONS(731),
    [anon_sym_fn] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(731),
    [anon_sym_if] = ACTIONS(731),
    [anon_sym_impl] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(731),
    [anon_sym_loop] = ACTIONS(731),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_mod] = ACTIONS(731),
    [anon_sym_pub] = ACTIONS(731),
    [anon_sym_return] = ACTIONS(731),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_struct] = ACTIONS(731),
    [anon_sym_trait] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_union] = ACTIONS(731),
    [anon_sym_unsafe] = ACTIONS(731),
    [anon_sym_use] = ACTIONS(731),
    [anon_sym_where] = ACTIONS(731),
    [anon_sym_while] = ACTIONS(731),
    [sym_mutable_specifier] = ACTIONS(731),
    [sym_integer_literal] = ACTIONS(736),
    [aux_sym_string_literal_token1] = ACTIONS(736),
    [sym_char_literal] = ACTIONS(736),
    [anon_sym_true] = ACTIONS(731),
    [anon_sym_false] = ACTIONS(731),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(731),
    [sym_super] = ACTIONS(731),
    [sym_crate] = ACTIONS(731),
    [sym_metavariable] = ACTIONS(736),
    [sym__raw_string_literal_start] = ACTIONS(736),
    [sym_float_literal] = ACTIONS(736),
  },
  [135] = {
    [sym_line_comment] = STATE(135),
    [sym_block_comment] = STATE(135),
    [aux_sym__non_special_token_repeat1] = STATE(134),
    [sym_identifier] = ACTIONS(741),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(743),
    [anon_sym_RPAREN] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_RBRACK] = ACTIONS(743),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_RBRACE] = ACTIONS(743),
    [anon_sym_EQ_GT] = ACTIONS(554),
    [anon_sym_COLON] = ACTIONS(564),
    [anon_sym_DOLLAR] = ACTIONS(741),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_u8] = ACTIONS(741),
    [anon_sym_i8] = ACTIONS(741),
    [anon_sym_u16] = ACTIONS(741),
    [anon_sym_i16] = ACTIONS(741),
    [anon_sym_u32] = ACTIONS(741),
    [anon_sym_i32] = ACTIONS(741),
    [anon_sym_u64] = ACTIONS(741),
    [anon_sym_i64] = ACTIONS(741),
    [anon_sym_u128] = ACTIONS(741),
    [anon_sym_i128] = ACTIONS(741),
    [anon_sym_isize] = ACTIONS(741),
    [anon_sym_usize] = ACTIONS(741),
    [anon_sym_f32] = ACTIONS(741),
    [anon_sym_f64] = ACTIONS(741),
    [anon_sym_bool] = ACTIONS(741),
    [anon_sym_str] = ACTIONS(741),
    [anon_sym_char] = ACTIONS(741),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP_AMP] = ACTIONS(554),
    [anon_sym_PIPE_PIPE] = ACTIONS(554),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_PERCENT_EQ] = ACTIONS(554),
    [anon_sym_CARET_EQ] = ACTIONS(554),
    [anon_sym_AMP_EQ] = ACTIONS(554),
    [anon_sym_PIPE_EQ] = ACTIONS(554),
    [anon_sym_LT_LT_EQ] = ACTIONS(554),
    [anon_sym_GT_GT_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_AT] = ACTIONS(554),
    [anon_sym__] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(554),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_COLON_COLON] = ACTIONS(554),
    [anon_sym_DASH_GT] = ACTIONS(554),
    [anon_sym_POUND] = ACTIONS(554),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_as] = ACTIONS(741),
    [anon_sym_async] = ACTIONS(741),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_break] = ACTIONS(741),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_continue] = ACTIONS(741),
    [anon_sym_default] = ACTIONS(741),
    [anon_sym_enum] = ACTIONS(741),
    [anon_sym_fn] = ACTIONS(741),
    [anon_sym_for] = ACTIONS(741),
    [anon_sym_if] = ACTIONS(741),
    [anon_sym_impl] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(741),
    [anon_sym_loop] = ACTIONS(741),
    [anon_sym_match] = ACTIONS(741),
    [anon_sym_mod] = ACTIONS(741),
    [anon_sym_pub] = ACTIONS(741),
    [anon_sym_return] = ACTIONS(741),
    [anon_sym_static] = ACTIONS(741),
    [anon_sym_struct] = ACTIONS(741),
    [anon_sym_trait] = ACTIONS(741),
    [anon_sym_type] = ACTIONS(741),
    [anon_sym_union] = ACTIONS(741),
    [anon_sym_unsafe] = ACTIONS(741),
    [anon_sym_use] = ACTIONS(741),
    [anon_sym_where] = ACTIONS(741),
    [anon_sym_while] = ACTIONS(741),
    [sym_mutable_specifier] = ACTIONS(741),
    [sym_integer_literal] = ACTIONS(743),
    [aux_sym_string_literal_token1] = ACTIONS(743),
    [sym_char_literal] = ACTIONS(743),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(741),
    [sym_super] = ACTIONS(741),
    [sym_crate] = ACTIONS(741),
    [sym_metavariable] = ACTIONS(743),
    [sym__raw_string_literal_start] = ACTIONS(743),
    [sym_float_literal] = ACTIONS(743),
  },
  [136] = {
    [sym_line_comment] = STATE(136),
    [sym_block_comment] = STATE(136),
    [aux_sym__non_special_token_repeat1] = STATE(134),
    [sym_identifier] = ACTIONS(745),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_RPAREN] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_RBRACK] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(747),
    [anon_sym_RBRACE] = ACTIONS(747),
    [anon_sym_EQ_GT] = ACTIONS(554),
    [anon_sym_COLON] = ACTIONS(564),
    [anon_sym_DOLLAR] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(564),
    [anon_sym_STAR] = ACTIONS(564),
    [anon_sym_QMARK] = ACTIONS(554),
    [anon_sym_u8] = ACTIONS(745),
    [anon_sym_i8] = ACTIONS(745),
    [anon_sym_u16] = ACTIONS(745),
    [anon_sym_i16] = ACTIONS(745),
    [anon_sym_u32] = ACTIONS(745),
    [anon_sym_i32] = ACTIONS(745),
    [anon_sym_u64] = ACTIONS(745),
    [anon_sym_i64] = ACTIONS(745),
    [anon_sym_u128] = ACTIONS(745),
    [anon_sym_i128] = ACTIONS(745),
    [anon_sym_isize] = ACTIONS(745),
    [anon_sym_usize] = ACTIONS(745),
    [anon_sym_f32] = ACTIONS(745),
    [anon_sym_f64] = ACTIONS(745),
    [anon_sym_bool] = ACTIONS(745),
    [anon_sym_str] = ACTIONS(745),
    [anon_sym_char] = ACTIONS(745),
    [anon_sym_DASH] = ACTIONS(564),
    [anon_sym_SLASH] = ACTIONS(564),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(564),
    [anon_sym_AMP_AMP] = ACTIONS(554),
    [anon_sym_PIPE_PIPE] = ACTIONS(554),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(564),
    [anon_sym_PLUS_EQ] = ACTIONS(554),
    [anon_sym_DASH_EQ] = ACTIONS(554),
    [anon_sym_STAR_EQ] = ACTIONS(554),
    [anon_sym_SLASH_EQ] = ACTIONS(554),
    [anon_sym_PERCENT_EQ] = ACTIONS(554),
    [anon_sym_CARET_EQ] = ACTIONS(554),
    [anon_sym_AMP_EQ] = ACTIONS(554),
    [anon_sym_PIPE_EQ] = ACTIONS(554),
    [anon_sym_LT_LT_EQ] = ACTIONS(554),
    [anon_sym_GT_GT_EQ] = ACTIONS(554),
    [anon_sym_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(554),
    [anon_sym_BANG_EQ] = ACTIONS(554),
    [anon_sym_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(554),
    [anon_sym_LT_EQ] = ACTIONS(554),
    [anon_sym_AT] = ACTIONS(554),
    [anon_sym__] = ACTIONS(564),
    [anon_sym_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT] = ACTIONS(564),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(554),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_COLON_COLON] = ACTIONS(554),
    [anon_sym_DASH_GT] = ACTIONS(554),
    [anon_sym_POUND] = ACTIONS(554),
    [anon_sym_SQUOTE] = ACTIONS(745),
    [anon_sym_as] = ACTIONS(745),
    [anon_sym_async] = ACTIONS(745),
    [anon_sym_await] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(745),
    [anon_sym_const] = ACTIONS(745),
    [anon_sym_continue] = ACTIONS(745),
    [anon_sym_default] = ACTIONS(745),
    [anon_sym_enum] = ACTIONS(745),
    [anon_sym_fn] = ACTIONS(745),
    [anon_sym_for] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(745),
    [anon_sym_impl] = ACTIONS(745),
    [anon_sym_let] = ACTIONS(745),
    [anon_sym_loop] = ACTIONS(745),
    [anon_sym_match] = ACTIONS(745),
    [anon_sym_mod] = ACTIONS(745),
    [anon_sym_pub] = ACTIONS(745),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_struct] = ACTIONS(745),
    [anon_sym_trait] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_union] = ACTIONS(745),
    [anon_sym_unsafe] = ACTIONS(745),
    [anon_sym_use] = ACTIONS(745),
    [anon_sym_where] = ACTIONS(745),
    [anon_sym_while] = ACTIONS(745),
    [sym_mutable_specifier] = ACTIONS(745),
    [sym_integer_literal] = ACTIONS(747),
    [aux_sym_string_literal_token1] = ACTIONS(747),
    [sym_char_literal] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(745),
    [anon_sym_false] = ACTIONS(745),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(745),
    [sym_super] = ACTIONS(745),
    [sym_crate] = ACTIONS(745),
    [sym_metavariable] = ACTIONS(747),
    [sym__raw_string_literal_start] = ACTIONS(747),
    [sym_float_literal] = ACTIONS(747),
  },
  [137] = {
    [sym_line_comment] = STATE(137),
    [sym_block_comment] = STATE(137),
    [sym_identifier] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(751),
    [anon_sym_RPAREN] = ACTIONS(751),
    [anon_sym_LBRACK] = ACTIONS(751),
    [anon_sym_RBRACK] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_RBRACE] = ACTIONS(751),
    [anon_sym_EQ_GT] = ACTIONS(751),
    [anon_sym_COLON] = ACTIONS(749),
    [anon_sym_DOLLAR] = ACTIONS(749),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_STAR] = ACTIONS(749),
    [anon_sym_QMARK] = ACTIONS(751),
    [anon_sym_u8] = ACTIONS(749),
    [anon_sym_i8] = ACTIONS(749),
    [anon_sym_u16] = ACTIONS(749),
    [anon_sym_i16] = ACTIONS(749),
    [anon_sym_u32] = ACTIONS(749),
    [anon_sym_i32] = ACTIONS(749),
    [anon_sym_u64] = ACTIONS(749),
    [anon_sym_i64] = ACTIONS(749),
    [anon_sym_u128] = ACTIONS(749),
    [anon_sym_i128] = ACTIONS(749),
    [anon_sym_isize] = ACTIONS(749),
    [anon_sym_usize] = ACTIONS(749),
    [anon_sym_f32] = ACTIONS(749),
    [anon_sym_f64] = ACTIONS(749),
    [anon_sym_bool] = ACTIONS(749),
    [anon_sym_str] = ACTIONS(749),
    [anon_sym_char] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(749),
    [anon_sym_SLASH] = ACTIONS(749),
    [anon_sym_PERCENT] = ACTIONS(749),
    [anon_sym_CARET] = ACTIONS(749),
    [anon_sym_BANG] = ACTIONS(749),
    [anon_sym_AMP] = ACTIONS(749),
    [anon_sym_PIPE] = ACTIONS(749),
    [anon_sym_AMP_AMP] = ACTIONS(751),
    [anon_sym_PIPE_PIPE] = ACTIONS(751),
    [anon_sym_LT_LT] = ACTIONS(749),
    [anon_sym_GT_GT] = ACTIONS(749),
    [anon_sym_PLUS_EQ] = ACTIONS(751),
    [anon_sym_DASH_EQ] = ACTIONS(751),
    [anon_sym_STAR_EQ] = ACTIONS(751),
    [anon_sym_SLASH_EQ] = ACTIONS(751),
    [anon_sym_PERCENT_EQ] = ACTIONS(751),
    [anon_sym_CARET_EQ] = ACTIONS(751),
    [anon_sym_AMP_EQ] = ACTIONS(751),
    [anon_sym_PIPE_EQ] = ACTIONS(751),
    [anon_sym_LT_LT_EQ] = ACTIONS(751),
    [anon_sym_GT_GT_EQ] = ACTIONS(751),
    [anon_sym_EQ] = ACTIONS(749),
    [anon_sym_EQ_EQ] = ACTIONS(751),
    [anon_sym_BANG_EQ] = ACTIONS(751),
    [anon_sym_GT] = ACTIONS(749),
    [anon_sym_LT] = ACTIONS(749),
    [anon_sym_GT_EQ] = ACTIONS(751),
    [anon_sym_LT_EQ] = ACTIONS(751),
    [anon_sym_AT] = ACTIONS(751),
    [anon_sym__] = ACTIONS(749),
    [anon_sym_DOT] = ACTIONS(749),
    [anon_sym_DOT_DOT] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(751),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(751),
    [anon_sym_COMMA] = ACTIONS(751),
    [anon_sym_COLON_COLON] = ACTIONS(751),
    [anon_sym_DASH_GT] = ACTIONS(751),
    [anon_sym_POUND] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(749),
    [anon_sym_as] = ACTIONS(749),
    [anon_sym_async] = ACTIONS(749),
    [anon_sym_await] = ACTIONS(749),
    [anon_sym_break] = ACTIONS(749),
    [anon_sym_const] = ACTIONS(749),
    [anon_sym_continue] = ACTIONS(749),
    [anon_sym_default] = ACTIONS(749),
    [anon_sym_enum] = ACTIONS(749),
    [anon_sym_fn] = ACTIONS(749),
    [anon_sym_for] = ACTIONS(749),
    [anon_sym_if] = ACTIONS(749),
    [anon_sym_impl] = ACTIONS(749),
    [anon_sym_let] = ACTIONS(749),
    [anon_sym_loop] = ACTIONS(749),
    [anon_sym_match] = ACTIONS(749),
    [anon_sym_mod] = ACTIONS(749),
    [anon_sym_pub] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(749),
    [anon_sym_static] = ACTIONS(749),
    [anon_sym_struct] = ACTIONS(749),
    [anon_sym_trait] = ACTIONS(749),
    [anon_sym_type] = ACTIONS(749),
    [anon_sym_union] = ACTIONS(749),
    [anon_sym_unsafe] = ACTIONS(749),
    [anon_sym_use] = ACTIONS(749),
    [anon_sym_where] = ACTIONS(749),
    [anon_sym_while] = ACTIONS(749),
    [sym_mutable_specifier] = ACTIONS(749),
    [sym_integer_literal] = ACTIONS(751),
    [aux_sym_string_literal_token1] = ACTIONS(751),
    [sym_char_literal] = ACTIONS(751),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(749),
    [sym_super] = ACTIONS(749),
    [sym_crate] = ACTIONS(749),
    [sym_metavariable] = ACTIONS(751),
    [sym__raw_string_literal_start] = ACTIONS(751),
    [sym_float_literal] = ACTIONS(751),
  },
  [138] = {
    [sym_line_comment] = STATE(138),
    [sym_block_comment] = STATE(138),
    [sym_identifier] = ACTIONS(753),
    [anon_sym_SEMI] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(755),
    [anon_sym_RPAREN] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(755),
    [anon_sym_RBRACK] = ACTIONS(755),
    [anon_sym_LBRACE] = ACTIONS(755),
    [anon_sym_RBRACE] = ACTIONS(755),
    [anon_sym_EQ_GT] = ACTIONS(755),
    [anon_sym_COLON] = ACTIONS(753),
    [anon_sym_DOLLAR] = ACTIONS(753),
    [anon_sym_PLUS] = ACTIONS(753),
    [anon_sym_STAR] = ACTIONS(753),
    [anon_sym_QMARK] = ACTIONS(755),
    [anon_sym_u8] = ACTIONS(753),
    [anon_sym_i8] = ACTIONS(753),
    [anon_sym_u16] = ACTIONS(753),
    [anon_sym_i16] = ACTIONS(753),
    [anon_sym_u32] = ACTIONS(753),
    [anon_sym_i32] = ACTIONS(753),
    [anon_sym_u64] = ACTIONS(753),
    [anon_sym_i64] = ACTIONS(753),
    [anon_sym_u128] = ACTIONS(753),
    [anon_sym_i128] = ACTIONS(753),
    [anon_sym_isize] = ACTIONS(753),
    [anon_sym_usize] = ACTIONS(753),
    [anon_sym_f32] = ACTIONS(753),
    [anon_sym_f64] = ACTIONS(753),
    [anon_sym_bool] = ACTIONS(753),
    [anon_sym_str] = ACTIONS(753),
    [anon_sym_char] = ACTIONS(753),
    [anon_sym_DASH] = ACTIONS(753),
    [anon_sym_SLASH] = ACTIONS(753),
    [anon_sym_PERCENT] = ACTIONS(753),
    [anon_sym_CARET] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(753),
    [anon_sym_AMP] = ACTIONS(753),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_AMP_AMP] = ACTIONS(755),
    [anon_sym_PIPE_PIPE] = ACTIONS(755),
    [anon_sym_LT_LT] = ACTIONS(753),
    [anon_sym_GT_GT] = ACTIONS(753),
    [anon_sym_PLUS_EQ] = ACTIONS(755),
    [anon_sym_DASH_EQ] = ACTIONS(755),
    [anon_sym_STAR_EQ] = ACTIONS(755),
    [anon_sym_SLASH_EQ] = ACTIONS(755),
    [anon_sym_PERCENT_EQ] = ACTIONS(755),
    [anon_sym_CARET_EQ] = ACTIONS(755),
    [anon_sym_AMP_EQ] = ACTIONS(755),
    [anon_sym_PIPE_EQ] = ACTIONS(755),
    [anon_sym_LT_LT_EQ] = ACTIONS(755),
    [anon_sym_GT_GT_EQ] = ACTIONS(755),
    [anon_sym_EQ] = ACTIONS(753),
    [anon_sym_EQ_EQ] = ACTIONS(755),
    [anon_sym_BANG_EQ] = ACTIONS(755),
    [anon_sym_GT] = ACTIONS(753),
    [anon_sym_LT] = ACTIONS(753),
    [anon_sym_GT_EQ] = ACTIONS(755),
    [anon_sym_LT_EQ] = ACTIONS(755),
    [anon_sym_AT] = ACTIONS(755),
    [anon_sym__] = ACTIONS(753),
    [anon_sym_DOT] = ACTIONS(753),
    [anon_sym_DOT_DOT] = ACTIONS(753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(755),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(755),
    [anon_sym_COMMA] = ACTIONS(755),
    [anon_sym_COLON_COLON] = ACTIONS(755),
    [anon_sym_DASH_GT] = ACTIONS(755),
    [anon_sym_POUND] = ACTIONS(755),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [anon_sym_as] = ACTIONS(753),
    [anon_sym_async] = ACTIONS(753),
    [anon_sym_await] = ACTIONS(753),
    [anon_sym_break] = ACTIONS(753),
    [anon_sym_const] = ACTIONS(753),
    [anon_sym_continue] = ACTIONS(753),
    [anon_sym_default] = ACTIONS(753),
    [anon_sym_enum] = ACTIONS(753),
    [anon_sym_fn] = ACTIONS(753),
    [anon_sym_for] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(753),
    [anon_sym_impl] = ACTIONS(753),
    [anon_sym_let] = ACTIONS(753),
    [anon_sym_loop] = ACTIONS(753),
    [anon_sym_match] = ACTIONS(753),
    [anon_sym_mod] = ACTIONS(753),
    [anon_sym_pub] = ACTIONS(753),
    [anon_sym_return] = ACTIONS(753),
    [anon_sym_static] = ACTIONS(753),
    [anon_sym_struct] = ACTIONS(753),
    [anon_sym_trait] = ACTIONS(753),
    [anon_sym_type] = ACTIONS(753),
    [anon_sym_union] = ACTIONS(753),
    [anon_sym_unsafe] = ACTIONS(753),
    [anon_sym_use] = ACTIONS(753),
    [anon_sym_where] = ACTIONS(753),
    [anon_sym_while] = ACTIONS(753),
    [sym_mutable_specifier] = ACTIONS(753),
    [sym_integer_literal] = ACTIONS(755),
    [aux_sym_string_literal_token1] = ACTIONS(755),
    [sym_char_literal] = ACTIONS(755),
    [anon_sym_true] = ACTIONS(753),
    [anon_sym_false] = ACTIONS(753),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(753),
    [sym_super] = ACTIONS(753),
    [sym_crate] = ACTIONS(753),
    [sym_metavariable] = ACTIONS(755),
    [sym__raw_string_literal_start] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(755),
  },
  [139] = {
    [sym_line_comment] = STATE(139),
    [sym_block_comment] = STATE(139),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_SEMI] = ACTIONS(759),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_RPAREN] = ACTIONS(759),
    [anon_sym_LBRACK] = ACTIONS(759),
    [anon_sym_RBRACK] = ACTIONS(759),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_RBRACE] = ACTIONS(759),
    [anon_sym_EQ_GT] = ACTIONS(759),
    [anon_sym_COLON] = ACTIONS(757),
    [anon_sym_DOLLAR] = ACTIONS(757),
    [anon_sym_PLUS] = ACTIONS(757),
    [anon_sym_STAR] = ACTIONS(757),
    [anon_sym_QMARK] = ACTIONS(759),
    [anon_sym_u8] = ACTIONS(757),
    [anon_sym_i8] = ACTIONS(757),
    [anon_sym_u16] = ACTIONS(757),
    [anon_sym_i16] = ACTIONS(757),
    [anon_sym_u32] = ACTIONS(757),
    [anon_sym_i32] = ACTIONS(757),
    [anon_sym_u64] = ACTIONS(757),
    [anon_sym_i64] = ACTIONS(757),
    [anon_sym_u128] = ACTIONS(757),
    [anon_sym_i128] = ACTIONS(757),
    [anon_sym_isize] = ACTIONS(757),
    [anon_sym_usize] = ACTIONS(757),
    [anon_sym_f32] = ACTIONS(757),
    [anon_sym_f64] = ACTIONS(757),
    [anon_sym_bool] = ACTIONS(757),
    [anon_sym_str] = ACTIONS(757),
    [anon_sym_char] = ACTIONS(757),
    [anon_sym_DASH] = ACTIONS(757),
    [anon_sym_SLASH] = ACTIONS(757),
    [anon_sym_PERCENT] = ACTIONS(757),
    [anon_sym_CARET] = ACTIONS(757),
    [anon_sym_BANG] = ACTIONS(757),
    [anon_sym_AMP] = ACTIONS(757),
    [anon_sym_PIPE] = ACTIONS(757),
    [anon_sym_AMP_AMP] = ACTIONS(759),
    [anon_sym_PIPE_PIPE] = ACTIONS(759),
    [anon_sym_LT_LT] = ACTIONS(757),
    [anon_sym_GT_GT] = ACTIONS(757),
    [anon_sym_PLUS_EQ] = ACTIONS(759),
    [anon_sym_DASH_EQ] = ACTIONS(759),
    [anon_sym_STAR_EQ] = ACTIONS(759),
    [anon_sym_SLASH_EQ] = ACTIONS(759),
    [anon_sym_PERCENT_EQ] = ACTIONS(759),
    [anon_sym_CARET_EQ] = ACTIONS(759),
    [anon_sym_AMP_EQ] = ACTIONS(759),
    [anon_sym_PIPE_EQ] = ACTIONS(759),
    [anon_sym_LT_LT_EQ] = ACTIONS(759),
    [anon_sym_GT_GT_EQ] = ACTIONS(759),
    [anon_sym_EQ] = ACTIONS(757),
    [anon_sym_EQ_EQ] = ACTIONS(759),
    [anon_sym_BANG_EQ] = ACTIONS(759),
    [anon_sym_GT] = ACTIONS(757),
    [anon_sym_LT] = ACTIONS(757),
    [anon_sym_GT_EQ] = ACTIONS(759),
    [anon_sym_LT_EQ] = ACTIONS(759),
    [anon_sym_AT] = ACTIONS(759),
    [anon_sym__] = ACTIONS(757),
    [anon_sym_DOT] = ACTIONS(757),
    [anon_sym_DOT_DOT] = ACTIONS(757),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(759),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(759),
    [anon_sym_COMMA] = ACTIONS(759),
    [anon_sym_COLON_COLON] = ACTIONS(759),
    [anon_sym_DASH_GT] = ACTIONS(759),
    [anon_sym_POUND] = ACTIONS(759),
    [anon_sym_SQUOTE] = ACTIONS(757),
    [anon_sym_as] = ACTIONS(757),
    [anon_sym_async] = ACTIONS(757),
    [anon_sym_await] = ACTIONS(757),
    [anon_sym_break] = ACTIONS(757),
    [anon_sym_const] = ACTIONS(757),
    [anon_sym_continue] = ACTIONS(757),
    [anon_sym_default] = ACTIONS(757),
    [anon_sym_enum] = ACTIONS(757),
    [anon_sym_fn] = ACTIONS(757),
    [anon_sym_for] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(757),
    [anon_sym_impl] = ACTIONS(757),
    [anon_sym_let] = ACTIONS(757),
    [anon_sym_loop] = ACTIONS(757),
    [anon_sym_match] = ACTIONS(757),
    [anon_sym_mod] = ACTIONS(757),
    [anon_sym_pub] = ACTIONS(757),
    [anon_sym_return] = ACTIONS(757),
    [anon_sym_static] = ACTIONS(757),
    [anon_sym_struct] = ACTIONS(757),
    [anon_sym_trait] = ACTIONS(757),
    [anon_sym_type] = ACTIONS(757),
    [anon_sym_union] = ACTIONS(757),
    [anon_sym_unsafe] = ACTIONS(757),
    [anon_sym_use] = ACTIONS(757),
    [anon_sym_where] = ACTIONS(757),
    [anon_sym_while] = ACTIONS(757),
    [sym_mutable_specifier] = ACTIONS(757),
    [sym_integer_literal] = ACTIONS(759),
    [aux_sym_string_literal_token1] = ACTIONS(759),
    [sym_char_literal] = ACTIONS(759),
    [anon_sym_true] = ACTIONS(757),
    [anon_sym_false] = ACTIONS(757),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(757),
    [sym_super] = ACTIONS(757),
    [sym_crate] = ACTIONS(757),
    [sym_metavariable] = ACTIONS(759),
    [sym__raw_string_literal_start] = ACTIONS(759),
    [sym_float_literal] = ACTIONS(759),
  },
  [140] = {
    [sym_attribute_item] = STATE(1003),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1628),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(140),
    [sym_block_comment] = STATE(140),
    [aux_sym_enum_variant_list_repeat1] = STATE(213),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_RPAREN] = ACTIONS(761),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COMMA] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [141] = {
    [sym_line_comment] = STATE(141),
    [sym_block_comment] = STATE(141),
    [sym_identifier] = ACTIONS(767),
    [anon_sym_SEMI] = ACTIONS(769),
    [anon_sym_LPAREN] = ACTIONS(769),
    [anon_sym_RPAREN] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_RBRACK] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_RBRACE] = ACTIONS(769),
    [anon_sym_EQ_GT] = ACTIONS(769),
    [anon_sym_COLON] = ACTIONS(767),
    [anon_sym_DOLLAR] = ACTIONS(767),
    [anon_sym_PLUS] = ACTIONS(767),
    [anon_sym_STAR] = ACTIONS(767),
    [anon_sym_QMARK] = ACTIONS(769),
    [anon_sym_u8] = ACTIONS(767),
    [anon_sym_i8] = ACTIONS(767),
    [anon_sym_u16] = ACTIONS(767),
    [anon_sym_i16] = ACTIONS(767),
    [anon_sym_u32] = ACTIONS(767),
    [anon_sym_i32] = ACTIONS(767),
    [anon_sym_u64] = ACTIONS(767),
    [anon_sym_i64] = ACTIONS(767),
    [anon_sym_u128] = ACTIONS(767),
    [anon_sym_i128] = ACTIONS(767),
    [anon_sym_isize] = ACTIONS(767),
    [anon_sym_usize] = ACTIONS(767),
    [anon_sym_f32] = ACTIONS(767),
    [anon_sym_f64] = ACTIONS(767),
    [anon_sym_bool] = ACTIONS(767),
    [anon_sym_str] = ACTIONS(767),
    [anon_sym_char] = ACTIONS(767),
    [anon_sym_DASH] = ACTIONS(767),
    [anon_sym_SLASH] = ACTIONS(767),
    [anon_sym_PERCENT] = ACTIONS(767),
    [anon_sym_CARET] = ACTIONS(767),
    [anon_sym_BANG] = ACTIONS(767),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(767),
    [anon_sym_AMP_AMP] = ACTIONS(769),
    [anon_sym_PIPE_PIPE] = ACTIONS(769),
    [anon_sym_LT_LT] = ACTIONS(767),
    [anon_sym_GT_GT] = ACTIONS(767),
    [anon_sym_PLUS_EQ] = ACTIONS(769),
    [anon_sym_DASH_EQ] = ACTIONS(769),
    [anon_sym_STAR_EQ] = ACTIONS(769),
    [anon_sym_SLASH_EQ] = ACTIONS(769),
    [anon_sym_PERCENT_EQ] = ACTIONS(769),
    [anon_sym_CARET_EQ] = ACTIONS(769),
    [anon_sym_AMP_EQ] = ACTIONS(769),
    [anon_sym_PIPE_EQ] = ACTIONS(769),
    [anon_sym_LT_LT_EQ] = ACTIONS(769),
    [anon_sym_GT_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ] = ACTIONS(767),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_AT] = ACTIONS(769),
    [anon_sym__] = ACTIONS(767),
    [anon_sym_DOT] = ACTIONS(767),
    [anon_sym_DOT_DOT] = ACTIONS(767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(769),
    [anon_sym_COMMA] = ACTIONS(769),
    [anon_sym_COLON_COLON] = ACTIONS(769),
    [anon_sym_DASH_GT] = ACTIONS(769),
    [anon_sym_POUND] = ACTIONS(769),
    [anon_sym_SQUOTE] = ACTIONS(767),
    [anon_sym_as] = ACTIONS(767),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_await] = ACTIONS(767),
    [anon_sym_break] = ACTIONS(767),
    [anon_sym_const] = ACTIONS(767),
    [anon_sym_continue] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(767),
    [anon_sym_enum] = ACTIONS(767),
    [anon_sym_fn] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(767),
    [anon_sym_if] = ACTIONS(767),
    [anon_sym_impl] = ACTIONS(767),
    [anon_sym_let] = ACTIONS(767),
    [anon_sym_loop] = ACTIONS(767),
    [anon_sym_match] = ACTIONS(767),
    [anon_sym_mod] = ACTIONS(767),
    [anon_sym_pub] = ACTIONS(767),
    [anon_sym_return] = ACTIONS(767),
    [anon_sym_static] = ACTIONS(767),
    [anon_sym_struct] = ACTIONS(767),
    [anon_sym_trait] = ACTIONS(767),
    [anon_sym_type] = ACTIONS(767),
    [anon_sym_union] = ACTIONS(767),
    [anon_sym_unsafe] = ACTIONS(767),
    [anon_sym_use] = ACTIONS(767),
    [anon_sym_where] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(767),
    [sym_mutable_specifier] = ACTIONS(767),
    [sym_integer_literal] = ACTIONS(769),
    [aux_sym_string_literal_token1] = ACTIONS(769),
    [sym_char_literal] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(767),
    [anon_sym_false] = ACTIONS(767),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(767),
    [sym_super] = ACTIONS(767),
    [sym_crate] = ACTIONS(767),
    [sym_metavariable] = ACTIONS(769),
    [sym__raw_string_literal_start] = ACTIONS(769),
    [sym_float_literal] = ACTIONS(769),
  },
  [142] = {
    [sym_line_comment] = STATE(142),
    [sym_block_comment] = STATE(142),
    [sym_identifier] = ACTIONS(771),
    [anon_sym_SEMI] = ACTIONS(773),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_RPAREN] = ACTIONS(773),
    [anon_sym_LBRACK] = ACTIONS(773),
    [anon_sym_RBRACK] = ACTIONS(773),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_RBRACE] = ACTIONS(773),
    [anon_sym_EQ_GT] = ACTIONS(773),
    [anon_sym_COLON] = ACTIONS(771),
    [anon_sym_DOLLAR] = ACTIONS(771),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_QMARK] = ACTIONS(773),
    [anon_sym_u8] = ACTIONS(771),
    [anon_sym_i8] = ACTIONS(771),
    [anon_sym_u16] = ACTIONS(771),
    [anon_sym_i16] = ACTIONS(771),
    [anon_sym_u32] = ACTIONS(771),
    [anon_sym_i32] = ACTIONS(771),
    [anon_sym_u64] = ACTIONS(771),
    [anon_sym_i64] = ACTIONS(771),
    [anon_sym_u128] = ACTIONS(771),
    [anon_sym_i128] = ACTIONS(771),
    [anon_sym_isize] = ACTIONS(771),
    [anon_sym_usize] = ACTIONS(771),
    [anon_sym_f32] = ACTIONS(771),
    [anon_sym_f64] = ACTIONS(771),
    [anon_sym_bool] = ACTIONS(771),
    [anon_sym_str] = ACTIONS(771),
    [anon_sym_char] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(771),
    [anon_sym_PERCENT] = ACTIONS(771),
    [anon_sym_CARET] = ACTIONS(771),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_AMP] = ACTIONS(771),
    [anon_sym_PIPE] = ACTIONS(771),
    [anon_sym_AMP_AMP] = ACTIONS(773),
    [anon_sym_PIPE_PIPE] = ACTIONS(773),
    [anon_sym_LT_LT] = ACTIONS(771),
    [anon_sym_GT_GT] = ACTIONS(771),
    [anon_sym_PLUS_EQ] = ACTIONS(773),
    [anon_sym_DASH_EQ] = ACTIONS(773),
    [anon_sym_STAR_EQ] = ACTIONS(773),
    [anon_sym_SLASH_EQ] = ACTIONS(773),
    [anon_sym_PERCENT_EQ] = ACTIONS(773),
    [anon_sym_CARET_EQ] = ACTIONS(773),
    [anon_sym_AMP_EQ] = ACTIONS(773),
    [anon_sym_PIPE_EQ] = ACTIONS(773),
    [anon_sym_LT_LT_EQ] = ACTIONS(773),
    [anon_sym_GT_GT_EQ] = ACTIONS(773),
    [anon_sym_EQ] = ACTIONS(771),
    [anon_sym_EQ_EQ] = ACTIONS(773),
    [anon_sym_BANG_EQ] = ACTIONS(773),
    [anon_sym_GT] = ACTIONS(771),
    [anon_sym_LT] = ACTIONS(771),
    [anon_sym_GT_EQ] = ACTIONS(773),
    [anon_sym_LT_EQ] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(773),
    [anon_sym__] = ACTIONS(771),
    [anon_sym_DOT] = ACTIONS(771),
    [anon_sym_DOT_DOT] = ACTIONS(771),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(773),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(773),
    [anon_sym_COMMA] = ACTIONS(773),
    [anon_sym_COLON_COLON] = ACTIONS(773),
    [anon_sym_DASH_GT] = ACTIONS(773),
    [anon_sym_POUND] = ACTIONS(773),
    [anon_sym_SQUOTE] = ACTIONS(771),
    [anon_sym_as] = ACTIONS(771),
    [anon_sym_async] = ACTIONS(771),
    [anon_sym_await] = ACTIONS(771),
    [anon_sym_break] = ACTIONS(771),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_continue] = ACTIONS(771),
    [anon_sym_default] = ACTIONS(771),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_fn] = ACTIONS(771),
    [anon_sym_for] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_impl] = ACTIONS(771),
    [anon_sym_let] = ACTIONS(771),
    [anon_sym_loop] = ACTIONS(771),
    [anon_sym_match] = ACTIONS(771),
    [anon_sym_mod] = ACTIONS(771),
    [anon_sym_pub] = ACTIONS(771),
    [anon_sym_return] = ACTIONS(771),
    [anon_sym_static] = ACTIONS(771),
    [anon_sym_struct] = ACTIONS(771),
    [anon_sym_trait] = ACTIONS(771),
    [anon_sym_type] = ACTIONS(771),
    [anon_sym_union] = ACTIONS(771),
    [anon_sym_unsafe] = ACTIONS(771),
    [anon_sym_use] = ACTIONS(771),
    [anon_sym_where] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(771),
    [sym_mutable_specifier] = ACTIONS(771),
    [sym_integer_literal] = ACTIONS(773),
    [aux_sym_string_literal_token1] = ACTIONS(773),
    [sym_char_literal] = ACTIONS(773),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(771),
    [sym_super] = ACTIONS(771),
    [sym_crate] = ACTIONS(771),
    [sym_metavariable] = ACTIONS(773),
    [sym__raw_string_literal_start] = ACTIONS(773),
    [sym_float_literal] = ACTIONS(773),
  },
  [143] = {
    [sym_line_comment] = STATE(143),
    [sym_block_comment] = STATE(143),
    [sym_identifier] = ACTIONS(775),
    [anon_sym_SEMI] = ACTIONS(777),
    [anon_sym_LPAREN] = ACTIONS(777),
    [anon_sym_RPAREN] = ACTIONS(777),
    [anon_sym_LBRACK] = ACTIONS(777),
    [anon_sym_RBRACK] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(777),
    [anon_sym_RBRACE] = ACTIONS(777),
    [anon_sym_EQ_GT] = ACTIONS(777),
    [anon_sym_COLON] = ACTIONS(775),
    [anon_sym_DOLLAR] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(775),
    [anon_sym_STAR] = ACTIONS(775),
    [anon_sym_QMARK] = ACTIONS(777),
    [anon_sym_u8] = ACTIONS(775),
    [anon_sym_i8] = ACTIONS(775),
    [anon_sym_u16] = ACTIONS(775),
    [anon_sym_i16] = ACTIONS(775),
    [anon_sym_u32] = ACTIONS(775),
    [anon_sym_i32] = ACTIONS(775),
    [anon_sym_u64] = ACTIONS(775),
    [anon_sym_i64] = ACTIONS(775),
    [anon_sym_u128] = ACTIONS(775),
    [anon_sym_i128] = ACTIONS(775),
    [anon_sym_isize] = ACTIONS(775),
    [anon_sym_usize] = ACTIONS(775),
    [anon_sym_f32] = ACTIONS(775),
    [anon_sym_f64] = ACTIONS(775),
    [anon_sym_bool] = ACTIONS(775),
    [anon_sym_str] = ACTIONS(775),
    [anon_sym_char] = ACTIONS(775),
    [anon_sym_DASH] = ACTIONS(775),
    [anon_sym_SLASH] = ACTIONS(775),
    [anon_sym_PERCENT] = ACTIONS(775),
    [anon_sym_CARET] = ACTIONS(775),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_AMP] = ACTIONS(775),
    [anon_sym_PIPE] = ACTIONS(775),
    [anon_sym_AMP_AMP] = ACTIONS(777),
    [anon_sym_PIPE_PIPE] = ACTIONS(777),
    [anon_sym_LT_LT] = ACTIONS(775),
    [anon_sym_GT_GT] = ACTIONS(775),
    [anon_sym_PLUS_EQ] = ACTIONS(777),
    [anon_sym_DASH_EQ] = ACTIONS(777),
    [anon_sym_STAR_EQ] = ACTIONS(777),
    [anon_sym_SLASH_EQ] = ACTIONS(777),
    [anon_sym_PERCENT_EQ] = ACTIONS(777),
    [anon_sym_CARET_EQ] = ACTIONS(777),
    [anon_sym_AMP_EQ] = ACTIONS(777),
    [anon_sym_PIPE_EQ] = ACTIONS(777),
    [anon_sym_LT_LT_EQ] = ACTIONS(777),
    [anon_sym_GT_GT_EQ] = ACTIONS(777),
    [anon_sym_EQ] = ACTIONS(775),
    [anon_sym_EQ_EQ] = ACTIONS(777),
    [anon_sym_BANG_EQ] = ACTIONS(777),
    [anon_sym_GT] = ACTIONS(775),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_GT_EQ] = ACTIONS(777),
    [anon_sym_LT_EQ] = ACTIONS(777),
    [anon_sym_AT] = ACTIONS(777),
    [anon_sym__] = ACTIONS(775),
    [anon_sym_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT] = ACTIONS(775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(777),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(777),
    [anon_sym_COMMA] = ACTIONS(777),
    [anon_sym_COLON_COLON] = ACTIONS(777),
    [anon_sym_DASH_GT] = ACTIONS(777),
    [anon_sym_POUND] = ACTIONS(777),
    [anon_sym_SQUOTE] = ACTIONS(775),
    [anon_sym_as] = ACTIONS(775),
    [anon_sym_async] = ACTIONS(775),
    [anon_sym_await] = ACTIONS(775),
    [anon_sym_break] = ACTIONS(775),
    [anon_sym_const] = ACTIONS(775),
    [anon_sym_continue] = ACTIONS(775),
    [anon_sym_default] = ACTIONS(775),
    [anon_sym_enum] = ACTIONS(775),
    [anon_sym_fn] = ACTIONS(775),
    [anon_sym_for] = ACTIONS(775),
    [anon_sym_if] = ACTIONS(775),
    [anon_sym_impl] = ACTIONS(775),
    [anon_sym_let] = ACTIONS(775),
    [anon_sym_loop] = ACTIONS(775),
    [anon_sym_match] = ACTIONS(775),
    [anon_sym_mod] = ACTIONS(775),
    [anon_sym_pub] = ACTIONS(775),
    [anon_sym_return] = ACTIONS(775),
    [anon_sym_static] = ACTIONS(775),
    [anon_sym_struct] = ACTIONS(775),
    [anon_sym_trait] = ACTIONS(775),
    [anon_sym_type] = ACTIONS(775),
    [anon_sym_union] = ACTIONS(775),
    [anon_sym_unsafe] = ACTIONS(775),
    [anon_sym_use] = ACTIONS(775),
    [anon_sym_where] = ACTIONS(775),
    [anon_sym_while] = ACTIONS(775),
    [sym_mutable_specifier] = ACTIONS(775),
    [sym_integer_literal] = ACTIONS(777),
    [aux_sym_string_literal_token1] = ACTIONS(777),
    [sym_char_literal] = ACTIONS(777),
    [anon_sym_true] = ACTIONS(775),
    [anon_sym_false] = ACTIONS(775),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(775),
    [sym_super] = ACTIONS(775),
    [sym_crate] = ACTIONS(775),
    [sym_metavariable] = ACTIONS(777),
    [sym__raw_string_literal_start] = ACTIONS(777),
    [sym_float_literal] = ACTIONS(777),
  },
  [144] = {
    [sym_line_comment] = STATE(144),
    [sym_block_comment] = STATE(144),
    [sym_identifier] = ACTIONS(779),
    [anon_sym_SEMI] = ACTIONS(781),
    [anon_sym_LPAREN] = ACTIONS(781),
    [anon_sym_RPAREN] = ACTIONS(781),
    [anon_sym_LBRACK] = ACTIONS(781),
    [anon_sym_RBRACK] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(781),
    [anon_sym_RBRACE] = ACTIONS(781),
    [anon_sym_EQ_GT] = ACTIONS(781),
    [anon_sym_COLON] = ACTIONS(779),
    [anon_sym_DOLLAR] = ACTIONS(779),
    [anon_sym_PLUS] = ACTIONS(779),
    [anon_sym_STAR] = ACTIONS(779),
    [anon_sym_QMARK] = ACTIONS(781),
    [anon_sym_u8] = ACTIONS(779),
    [anon_sym_i8] = ACTIONS(779),
    [anon_sym_u16] = ACTIONS(779),
    [anon_sym_i16] = ACTIONS(779),
    [anon_sym_u32] = ACTIONS(779),
    [anon_sym_i32] = ACTIONS(779),
    [anon_sym_u64] = ACTIONS(779),
    [anon_sym_i64] = ACTIONS(779),
    [anon_sym_u128] = ACTIONS(779),
    [anon_sym_i128] = ACTIONS(779),
    [anon_sym_isize] = ACTIONS(779),
    [anon_sym_usize] = ACTIONS(779),
    [anon_sym_f32] = ACTIONS(779),
    [anon_sym_f64] = ACTIONS(779),
    [anon_sym_bool] = ACTIONS(779),
    [anon_sym_str] = ACTIONS(779),
    [anon_sym_char] = ACTIONS(779),
    [anon_sym_DASH] = ACTIONS(779),
    [anon_sym_SLASH] = ACTIONS(779),
    [anon_sym_PERCENT] = ACTIONS(779),
    [anon_sym_CARET] = ACTIONS(779),
    [anon_sym_BANG] = ACTIONS(779),
    [anon_sym_AMP] = ACTIONS(779),
    [anon_sym_PIPE] = ACTIONS(779),
    [anon_sym_AMP_AMP] = ACTIONS(781),
    [anon_sym_PIPE_PIPE] = ACTIONS(781),
    [anon_sym_LT_LT] = ACTIONS(779),
    [anon_sym_GT_GT] = ACTIONS(779),
    [anon_sym_PLUS_EQ] = ACTIONS(781),
    [anon_sym_DASH_EQ] = ACTIONS(781),
    [anon_sym_STAR_EQ] = ACTIONS(781),
    [anon_sym_SLASH_EQ] = ACTIONS(781),
    [anon_sym_PERCENT_EQ] = ACTIONS(781),
    [anon_sym_CARET_EQ] = ACTIONS(781),
    [anon_sym_AMP_EQ] = ACTIONS(781),
    [anon_sym_PIPE_EQ] = ACTIONS(781),
    [anon_sym_LT_LT_EQ] = ACTIONS(781),
    [anon_sym_GT_GT_EQ] = ACTIONS(781),
    [anon_sym_EQ] = ACTIONS(779),
    [anon_sym_EQ_EQ] = ACTIONS(781),
    [anon_sym_BANG_EQ] = ACTIONS(781),
    [anon_sym_GT] = ACTIONS(779),
    [anon_sym_LT] = ACTIONS(779),
    [anon_sym_GT_EQ] = ACTIONS(781),
    [anon_sym_LT_EQ] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [anon_sym__] = ACTIONS(779),
    [anon_sym_DOT] = ACTIONS(779),
    [anon_sym_DOT_DOT] = ACTIONS(779),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(781),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(781),
    [anon_sym_COMMA] = ACTIONS(781),
    [anon_sym_COLON_COLON] = ACTIONS(781),
    [anon_sym_DASH_GT] = ACTIONS(781),
    [anon_sym_POUND] = ACTIONS(781),
    [anon_sym_SQUOTE] = ACTIONS(779),
    [anon_sym_as] = ACTIONS(779),
    [anon_sym_async] = ACTIONS(779),
    [anon_sym_await] = ACTIONS(779),
    [anon_sym_break] = ACTIONS(779),
    [anon_sym_const] = ACTIONS(779),
    [anon_sym_continue] = ACTIONS(779),
    [anon_sym_default] = ACTIONS(779),
    [anon_sym_enum] = ACTIONS(779),
    [anon_sym_fn] = ACTIONS(779),
    [anon_sym_for] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(779),
    [anon_sym_impl] = ACTIONS(779),
    [anon_sym_let] = ACTIONS(779),
    [anon_sym_loop] = ACTIONS(779),
    [anon_sym_match] = ACTIONS(779),
    [anon_sym_mod] = ACTIONS(779),
    [anon_sym_pub] = ACTIONS(779),
    [anon_sym_return] = ACTIONS(779),
    [anon_sym_static] = ACTIONS(779),
    [anon_sym_struct] = ACTIONS(779),
    [anon_sym_trait] = ACTIONS(779),
    [anon_sym_type] = ACTIONS(779),
    [anon_sym_union] = ACTIONS(779),
    [anon_sym_unsafe] = ACTIONS(779),
    [anon_sym_use] = ACTIONS(779),
    [anon_sym_where] = ACTIONS(779),
    [anon_sym_while] = ACTIONS(779),
    [sym_mutable_specifier] = ACTIONS(779),
    [sym_integer_literal] = ACTIONS(781),
    [aux_sym_string_literal_token1] = ACTIONS(781),
    [sym_char_literal] = ACTIONS(781),
    [anon_sym_true] = ACTIONS(779),
    [anon_sym_false] = ACTIONS(779),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(779),
    [sym_super] = ACTIONS(779),
    [sym_crate] = ACTIONS(779),
    [sym_metavariable] = ACTIONS(781),
    [sym__raw_string_literal_start] = ACTIONS(781),
    [sym_float_literal] = ACTIONS(781),
  },
  [145] = {
    [sym_attribute_item] = STATE(1003),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1632),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(145),
    [sym_block_comment] = STATE(145),
    [aux_sym_enum_variant_list_repeat1] = STATE(209),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_RPAREN] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COMMA] = ACTIONS(785),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [146] = {
    [sym_attribute_item] = STATE(1003),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1578),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(146),
    [sym_block_comment] = STATE(146),
    [aux_sym_enum_variant_list_repeat1] = STATE(1002),
    [sym_identifier] = ACTIONS(787),
    [anon_sym_LPAREN] = ACTIONS(790),
    [anon_sym_LBRACK] = ACTIONS(793),
    [anon_sym_RBRACK] = ACTIONS(796),
    [anon_sym_LBRACE] = ACTIONS(798),
    [anon_sym_STAR] = ACTIONS(801),
    [anon_sym_u8] = ACTIONS(804),
    [anon_sym_i8] = ACTIONS(804),
    [anon_sym_u16] = ACTIONS(804),
    [anon_sym_i16] = ACTIONS(804),
    [anon_sym_u32] = ACTIONS(804),
    [anon_sym_i32] = ACTIONS(804),
    [anon_sym_u64] = ACTIONS(804),
    [anon_sym_i64] = ACTIONS(804),
    [anon_sym_u128] = ACTIONS(804),
    [anon_sym_i128] = ACTIONS(804),
    [anon_sym_isize] = ACTIONS(804),
    [anon_sym_usize] = ACTIONS(804),
    [anon_sym_f32] = ACTIONS(804),
    [anon_sym_f64] = ACTIONS(804),
    [anon_sym_bool] = ACTIONS(804),
    [anon_sym_str] = ACTIONS(804),
    [anon_sym_char] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(801),
    [anon_sym_AMP] = ACTIONS(807),
    [anon_sym_PIPE] = ACTIONS(810),
    [anon_sym_LT] = ACTIONS(813),
    [anon_sym_DOT_DOT] = ACTIONS(816),
    [anon_sym_COMMA] = ACTIONS(796),
    [anon_sym_COLON_COLON] = ACTIONS(819),
    [anon_sym_POUND] = ACTIONS(822),
    [anon_sym_SQUOTE] = ACTIONS(825),
    [anon_sym_async] = ACTIONS(828),
    [anon_sym_break] = ACTIONS(831),
    [anon_sym_const] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(837),
    [anon_sym_default] = ACTIONS(840),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_loop] = ACTIONS(849),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(855),
    [anon_sym_static] = ACTIONS(858),
    [anon_sym_union] = ACTIONS(840),
    [anon_sym_unsafe] = ACTIONS(861),
    [anon_sym_while] = ACTIONS(864),
    [anon_sym_yield] = ACTIONS(867),
    [anon_sym_move] = ACTIONS(870),
    [anon_sym_try] = ACTIONS(873),
    [sym_integer_literal] = ACTIONS(876),
    [aux_sym_string_literal_token1] = ACTIONS(879),
    [sym_char_literal] = ACTIONS(876),
    [anon_sym_true] = ACTIONS(882),
    [anon_sym_false] = ACTIONS(882),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(885),
    [sym_super] = ACTIONS(888),
    [sym_crate] = ACTIONS(888),
    [sym_metavariable] = ACTIONS(891),
    [sym__raw_string_literal_start] = ACTIONS(894),
    [sym_float_literal] = ACTIONS(876),
  },
  [147] = {
    [sym_line_comment] = STATE(147),
    [sym_block_comment] = STATE(147),
    [sym_identifier] = ACTIONS(897),
    [anon_sym_SEMI] = ACTIONS(899),
    [anon_sym_LPAREN] = ACTIONS(899),
    [anon_sym_RPAREN] = ACTIONS(899),
    [anon_sym_LBRACK] = ACTIONS(899),
    [anon_sym_RBRACK] = ACTIONS(899),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(899),
    [anon_sym_EQ_GT] = ACTIONS(899),
    [anon_sym_COLON] = ACTIONS(897),
    [anon_sym_DOLLAR] = ACTIONS(897),
    [anon_sym_PLUS] = ACTIONS(897),
    [anon_sym_STAR] = ACTIONS(897),
    [anon_sym_QMARK] = ACTIONS(899),
    [anon_sym_u8] = ACTIONS(897),
    [anon_sym_i8] = ACTIONS(897),
    [anon_sym_u16] = ACTIONS(897),
    [anon_sym_i16] = ACTIONS(897),
    [anon_sym_u32] = ACTIONS(897),
    [anon_sym_i32] = ACTIONS(897),
    [anon_sym_u64] = ACTIONS(897),
    [anon_sym_i64] = ACTIONS(897),
    [anon_sym_u128] = ACTIONS(897),
    [anon_sym_i128] = ACTIONS(897),
    [anon_sym_isize] = ACTIONS(897),
    [anon_sym_usize] = ACTIONS(897),
    [anon_sym_f32] = ACTIONS(897),
    [anon_sym_f64] = ACTIONS(897),
    [anon_sym_bool] = ACTIONS(897),
    [anon_sym_str] = ACTIONS(897),
    [anon_sym_char] = ACTIONS(897),
    [anon_sym_DASH] = ACTIONS(897),
    [anon_sym_SLASH] = ACTIONS(897),
    [anon_sym_PERCENT] = ACTIONS(897),
    [anon_sym_CARET] = ACTIONS(897),
    [anon_sym_BANG] = ACTIONS(897),
    [anon_sym_AMP] = ACTIONS(897),
    [anon_sym_PIPE] = ACTIONS(897),
    [anon_sym_AMP_AMP] = ACTIONS(899),
    [anon_sym_PIPE_PIPE] = ACTIONS(899),
    [anon_sym_LT_LT] = ACTIONS(897),
    [anon_sym_GT_GT] = ACTIONS(897),
    [anon_sym_PLUS_EQ] = ACTIONS(899),
    [anon_sym_DASH_EQ] = ACTIONS(899),
    [anon_sym_STAR_EQ] = ACTIONS(899),
    [anon_sym_SLASH_EQ] = ACTIONS(899),
    [anon_sym_PERCENT_EQ] = ACTIONS(899),
    [anon_sym_CARET_EQ] = ACTIONS(899),
    [anon_sym_AMP_EQ] = ACTIONS(899),
    [anon_sym_PIPE_EQ] = ACTIONS(899),
    [anon_sym_LT_LT_EQ] = ACTIONS(899),
    [anon_sym_GT_GT_EQ] = ACTIONS(899),
    [anon_sym_EQ] = ACTIONS(897),
    [anon_sym_EQ_EQ] = ACTIONS(899),
    [anon_sym_BANG_EQ] = ACTIONS(899),
    [anon_sym_GT] = ACTIONS(897),
    [anon_sym_LT] = ACTIONS(897),
    [anon_sym_GT_EQ] = ACTIONS(899),
    [anon_sym_LT_EQ] = ACTIONS(899),
    [anon_sym_AT] = ACTIONS(899),
    [anon_sym__] = ACTIONS(897),
    [anon_sym_DOT] = ACTIONS(897),
    [anon_sym_DOT_DOT] = ACTIONS(897),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(899),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(899),
    [anon_sym_COMMA] = ACTIONS(899),
    [anon_sym_COLON_COLON] = ACTIONS(899),
    [anon_sym_DASH_GT] = ACTIONS(899),
    [anon_sym_POUND] = ACTIONS(899),
    [anon_sym_SQUOTE] = ACTIONS(897),
    [anon_sym_as] = ACTIONS(897),
    [anon_sym_async] = ACTIONS(897),
    [anon_sym_await] = ACTIONS(897),
    [anon_sym_break] = ACTIONS(897),
    [anon_sym_const] = ACTIONS(897),
    [anon_sym_continue] = ACTIONS(897),
    [anon_sym_default] = ACTIONS(897),
    [anon_sym_enum] = ACTIONS(897),
    [anon_sym_fn] = ACTIONS(897),
    [anon_sym_for] = ACTIONS(897),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_impl] = ACTIONS(897),
    [anon_sym_let] = ACTIONS(897),
    [anon_sym_loop] = ACTIONS(897),
    [anon_sym_match] = ACTIONS(897),
    [anon_sym_mod] = ACTIONS(897),
    [anon_sym_pub] = ACTIONS(897),
    [anon_sym_return] = ACTIONS(897),
    [anon_sym_static] = ACTIONS(897),
    [anon_sym_struct] = ACTIONS(897),
    [anon_sym_trait] = ACTIONS(897),
    [anon_sym_type] = ACTIONS(897),
    [anon_sym_union] = ACTIONS(897),
    [anon_sym_unsafe] = ACTIONS(897),
    [anon_sym_use] = ACTIONS(897),
    [anon_sym_where] = ACTIONS(897),
    [anon_sym_while] = ACTIONS(897),
    [sym_mutable_specifier] = ACTIONS(897),
    [sym_integer_literal] = ACTIONS(899),
    [aux_sym_string_literal_token1] = ACTIONS(899),
    [sym_char_literal] = ACTIONS(899),
    [anon_sym_true] = ACTIONS(897),
    [anon_sym_false] = ACTIONS(897),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(897),
    [sym_super] = ACTIONS(897),
    [sym_crate] = ACTIONS(897),
    [sym_metavariable] = ACTIONS(899),
    [sym__raw_string_literal_start] = ACTIONS(899),
    [sym_float_literal] = ACTIONS(899),
  },
  [148] = {
    [sym_line_comment] = STATE(148),
    [sym_block_comment] = STATE(148),
    [sym_identifier] = ACTIONS(901),
    [anon_sym_SEMI] = ACTIONS(903),
    [anon_sym_LPAREN] = ACTIONS(903),
    [anon_sym_RPAREN] = ACTIONS(903),
    [anon_sym_LBRACK] = ACTIONS(903),
    [anon_sym_RBRACK] = ACTIONS(903),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_RBRACE] = ACTIONS(903),
    [anon_sym_EQ_GT] = ACTIONS(903),
    [anon_sym_COLON] = ACTIONS(901),
    [anon_sym_DOLLAR] = ACTIONS(901),
    [anon_sym_PLUS] = ACTIONS(901),
    [anon_sym_STAR] = ACTIONS(901),
    [anon_sym_QMARK] = ACTIONS(903),
    [anon_sym_u8] = ACTIONS(901),
    [anon_sym_i8] = ACTIONS(901),
    [anon_sym_u16] = ACTIONS(901),
    [anon_sym_i16] = ACTIONS(901),
    [anon_sym_u32] = ACTIONS(901),
    [anon_sym_i32] = ACTIONS(901),
    [anon_sym_u64] = ACTIONS(901),
    [anon_sym_i64] = ACTIONS(901),
    [anon_sym_u128] = ACTIONS(901),
    [anon_sym_i128] = ACTIONS(901),
    [anon_sym_isize] = ACTIONS(901),
    [anon_sym_usize] = ACTIONS(901),
    [anon_sym_f32] = ACTIONS(901),
    [anon_sym_f64] = ACTIONS(901),
    [anon_sym_bool] = ACTIONS(901),
    [anon_sym_str] = ACTIONS(901),
    [anon_sym_char] = ACTIONS(901),
    [anon_sym_DASH] = ACTIONS(901),
    [anon_sym_SLASH] = ACTIONS(901),
    [anon_sym_PERCENT] = ACTIONS(901),
    [anon_sym_CARET] = ACTIONS(901),
    [anon_sym_BANG] = ACTIONS(901),
    [anon_sym_AMP] = ACTIONS(901),
    [anon_sym_PIPE] = ACTIONS(901),
    [anon_sym_AMP_AMP] = ACTIONS(903),
    [anon_sym_PIPE_PIPE] = ACTIONS(903),
    [anon_sym_LT_LT] = ACTIONS(901),
    [anon_sym_GT_GT] = ACTIONS(901),
    [anon_sym_PLUS_EQ] = ACTIONS(903),
    [anon_sym_DASH_EQ] = ACTIONS(903),
    [anon_sym_STAR_EQ] = ACTIONS(903),
    [anon_sym_SLASH_EQ] = ACTIONS(903),
    [anon_sym_PERCENT_EQ] = ACTIONS(903),
    [anon_sym_CARET_EQ] = ACTIONS(903),
    [anon_sym_AMP_EQ] = ACTIONS(903),
    [anon_sym_PIPE_EQ] = ACTIONS(903),
    [anon_sym_LT_LT_EQ] = ACTIONS(903),
    [anon_sym_GT_GT_EQ] = ACTIONS(903),
    [anon_sym_EQ] = ACTIONS(901),
    [anon_sym_EQ_EQ] = ACTIONS(903),
    [anon_sym_BANG_EQ] = ACTIONS(903),
    [anon_sym_GT] = ACTIONS(901),
    [anon_sym_LT] = ACTIONS(901),
    [anon_sym_GT_EQ] = ACTIONS(903),
    [anon_sym_LT_EQ] = ACTIONS(903),
    [anon_sym_AT] = ACTIONS(903),
    [anon_sym__] = ACTIONS(901),
    [anon_sym_DOT] = ACTIONS(901),
    [anon_sym_DOT_DOT] = ACTIONS(901),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(903),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(903),
    [anon_sym_COMMA] = ACTIONS(903),
    [anon_sym_COLON_COLON] = ACTIONS(903),
    [anon_sym_DASH_GT] = ACTIONS(903),
    [anon_sym_POUND] = ACTIONS(903),
    [anon_sym_SQUOTE] = ACTIONS(901),
    [anon_sym_as] = ACTIONS(901),
    [anon_sym_async] = ACTIONS(901),
    [anon_sym_await] = ACTIONS(901),
    [anon_sym_break] = ACTIONS(901),
    [anon_sym_const] = ACTIONS(901),
    [anon_sym_continue] = ACTIONS(901),
    [anon_sym_default] = ACTIONS(901),
    [anon_sym_enum] = ACTIONS(901),
    [anon_sym_fn] = ACTIONS(901),
    [anon_sym_for] = ACTIONS(901),
    [anon_sym_if] = ACTIONS(901),
    [anon_sym_impl] = ACTIONS(901),
    [anon_sym_let] = ACTIONS(901),
    [anon_sym_loop] = ACTIONS(901),
    [anon_sym_match] = ACTIONS(901),
    [anon_sym_mod] = ACTIONS(901),
    [anon_sym_pub] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(901),
    [anon_sym_static] = ACTIONS(901),
    [anon_sym_struct] = ACTIONS(901),
    [anon_sym_trait] = ACTIONS(901),
    [anon_sym_type] = ACTIONS(901),
    [anon_sym_union] = ACTIONS(901),
    [anon_sym_unsafe] = ACTIONS(901),
    [anon_sym_use] = ACTIONS(901),
    [anon_sym_where] = ACTIONS(901),
    [anon_sym_while] = ACTIONS(901),
    [sym_mutable_specifier] = ACTIONS(901),
    [sym_integer_literal] = ACTIONS(903),
    [aux_sym_string_literal_token1] = ACTIONS(903),
    [sym_char_literal] = ACTIONS(903),
    [anon_sym_true] = ACTIONS(901),
    [anon_sym_false] = ACTIONS(901),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(901),
    [sym_super] = ACTIONS(901),
    [sym_crate] = ACTIONS(901),
    [sym_metavariable] = ACTIONS(903),
    [sym__raw_string_literal_start] = ACTIONS(903),
    [sym_float_literal] = ACTIONS(903),
  },
  [149] = {
    [sym_line_comment] = STATE(149),
    [sym_block_comment] = STATE(149),
    [sym_identifier] = ACTIONS(905),
    [anon_sym_SEMI] = ACTIONS(907),
    [anon_sym_LPAREN] = ACTIONS(907),
    [anon_sym_RPAREN] = ACTIONS(907),
    [anon_sym_LBRACK] = ACTIONS(907),
    [anon_sym_RBRACK] = ACTIONS(907),
    [anon_sym_LBRACE] = ACTIONS(907),
    [anon_sym_RBRACE] = ACTIONS(907),
    [anon_sym_EQ_GT] = ACTIONS(907),
    [anon_sym_COLON] = ACTIONS(905),
    [anon_sym_DOLLAR] = ACTIONS(905),
    [anon_sym_PLUS] = ACTIONS(905),
    [anon_sym_STAR] = ACTIONS(905),
    [anon_sym_QMARK] = ACTIONS(907),
    [anon_sym_u8] = ACTIONS(905),
    [anon_sym_i8] = ACTIONS(905),
    [anon_sym_u16] = ACTIONS(905),
    [anon_sym_i16] = ACTIONS(905),
    [anon_sym_u32] = ACTIONS(905),
    [anon_sym_i32] = ACTIONS(905),
    [anon_sym_u64] = ACTIONS(905),
    [anon_sym_i64] = ACTIONS(905),
    [anon_sym_u128] = ACTIONS(905),
    [anon_sym_i128] = ACTIONS(905),
    [anon_sym_isize] = ACTIONS(905),
    [anon_sym_usize] = ACTIONS(905),
    [anon_sym_f32] = ACTIONS(905),
    [anon_sym_f64] = ACTIONS(905),
    [anon_sym_bool] = ACTIONS(905),
    [anon_sym_str] = ACTIONS(905),
    [anon_sym_char] = ACTIONS(905),
    [anon_sym_DASH] = ACTIONS(905),
    [anon_sym_SLASH] = ACTIONS(905),
    [anon_sym_PERCENT] = ACTIONS(905),
    [anon_sym_CARET] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(905),
    [anon_sym_AMP] = ACTIONS(905),
    [anon_sym_PIPE] = ACTIONS(905),
    [anon_sym_AMP_AMP] = ACTIONS(907),
    [anon_sym_PIPE_PIPE] = ACTIONS(907),
    [anon_sym_LT_LT] = ACTIONS(905),
    [anon_sym_GT_GT] = ACTIONS(905),
    [anon_sym_PLUS_EQ] = ACTIONS(907),
    [anon_sym_DASH_EQ] = ACTIONS(907),
    [anon_sym_STAR_EQ] = ACTIONS(907),
    [anon_sym_SLASH_EQ] = ACTIONS(907),
    [anon_sym_PERCENT_EQ] = ACTIONS(907),
    [anon_sym_CARET_EQ] = ACTIONS(907),
    [anon_sym_AMP_EQ] = ACTIONS(907),
    [anon_sym_PIPE_EQ] = ACTIONS(907),
    [anon_sym_LT_LT_EQ] = ACTIONS(907),
    [anon_sym_GT_GT_EQ] = ACTIONS(907),
    [anon_sym_EQ] = ACTIONS(905),
    [anon_sym_EQ_EQ] = ACTIONS(907),
    [anon_sym_BANG_EQ] = ACTIONS(907),
    [anon_sym_GT] = ACTIONS(905),
    [anon_sym_LT] = ACTIONS(905),
    [anon_sym_GT_EQ] = ACTIONS(907),
    [anon_sym_LT_EQ] = ACTIONS(907),
    [anon_sym_AT] = ACTIONS(907),
    [anon_sym__] = ACTIONS(905),
    [anon_sym_DOT] = ACTIONS(905),
    [anon_sym_DOT_DOT] = ACTIONS(905),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(907),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(907),
    [anon_sym_COMMA] = ACTIONS(907),
    [anon_sym_COLON_COLON] = ACTIONS(907),
    [anon_sym_DASH_GT] = ACTIONS(907),
    [anon_sym_POUND] = ACTIONS(907),
    [anon_sym_SQUOTE] = ACTIONS(905),
    [anon_sym_as] = ACTIONS(905),
    [anon_sym_async] = ACTIONS(905),
    [anon_sym_await] = ACTIONS(905),
    [anon_sym_break] = ACTIONS(905),
    [anon_sym_const] = ACTIONS(905),
    [anon_sym_continue] = ACTIONS(905),
    [anon_sym_default] = ACTIONS(905),
    [anon_sym_enum] = ACTIONS(905),
    [anon_sym_fn] = ACTIONS(905),
    [anon_sym_for] = ACTIONS(905),
    [anon_sym_if] = ACTIONS(905),
    [anon_sym_impl] = ACTIONS(905),
    [anon_sym_let] = ACTIONS(905),
    [anon_sym_loop] = ACTIONS(905),
    [anon_sym_match] = ACTIONS(905),
    [anon_sym_mod] = ACTIONS(905),
    [anon_sym_pub] = ACTIONS(905),
    [anon_sym_return] = ACTIONS(905),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_struct] = ACTIONS(905),
    [anon_sym_trait] = ACTIONS(905),
    [anon_sym_type] = ACTIONS(905),
    [anon_sym_union] = ACTIONS(905),
    [anon_sym_unsafe] = ACTIONS(905),
    [anon_sym_use] = ACTIONS(905),
    [anon_sym_where] = ACTIONS(905),
    [anon_sym_while] = ACTIONS(905),
    [sym_mutable_specifier] = ACTIONS(905),
    [sym_integer_literal] = ACTIONS(907),
    [aux_sym_string_literal_token1] = ACTIONS(907),
    [sym_char_literal] = ACTIONS(907),
    [anon_sym_true] = ACTIONS(905),
    [anon_sym_false] = ACTIONS(905),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(905),
    [sym_super] = ACTIONS(905),
    [sym_crate] = ACTIONS(905),
    [sym_metavariable] = ACTIONS(907),
    [sym__raw_string_literal_start] = ACTIONS(907),
    [sym_float_literal] = ACTIONS(907),
  },
  [150] = {
    [sym_line_comment] = STATE(150),
    [sym_block_comment] = STATE(150),
    [aux_sym__non_special_token_repeat1] = STATE(150),
    [sym_identifier] = ACTIONS(731),
    [anon_sym_SEMI] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(736),
    [anon_sym_RPAREN] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(736),
    [anon_sym_RBRACK] = ACTIONS(736),
    [anon_sym_LBRACE] = ACTIONS(736),
    [anon_sym_RBRACE] = ACTIONS(736),
    [anon_sym_EQ_GT] = ACTIONS(909),
    [anon_sym_COLON] = ACTIONS(912),
    [anon_sym_DOLLAR] = ACTIONS(736),
    [anon_sym_PLUS] = ACTIONS(912),
    [anon_sym_STAR] = ACTIONS(912),
    [anon_sym_QMARK] = ACTIONS(909),
    [anon_sym_u8] = ACTIONS(731),
    [anon_sym_i8] = ACTIONS(731),
    [anon_sym_u16] = ACTIONS(731),
    [anon_sym_i16] = ACTIONS(731),
    [anon_sym_u32] = ACTIONS(731),
    [anon_sym_i32] = ACTIONS(731),
    [anon_sym_u64] = ACTIONS(731),
    [anon_sym_i64] = ACTIONS(731),
    [anon_sym_u128] = ACTIONS(731),
    [anon_sym_i128] = ACTIONS(731),
    [anon_sym_isize] = ACTIONS(731),
    [anon_sym_usize] = ACTIONS(731),
    [anon_sym_f32] = ACTIONS(731),
    [anon_sym_f64] = ACTIONS(731),
    [anon_sym_bool] = ACTIONS(731),
    [anon_sym_str] = ACTIONS(731),
    [anon_sym_char] = ACTIONS(731),
    [anon_sym_DASH] = ACTIONS(912),
    [anon_sym_SLASH] = ACTIONS(912),
    [anon_sym_PERCENT] = ACTIONS(912),
    [anon_sym_CARET] = ACTIONS(912),
    [anon_sym_BANG] = ACTIONS(912),
    [anon_sym_AMP] = ACTIONS(912),
    [anon_sym_PIPE] = ACTIONS(912),
    [anon_sym_AMP_AMP] = ACTIONS(909),
    [anon_sym_PIPE_PIPE] = ACTIONS(909),
    [anon_sym_LT_LT] = ACTIONS(912),
    [anon_sym_GT_GT] = ACTIONS(912),
    [anon_sym_PLUS_EQ] = ACTIONS(909),
    [anon_sym_DASH_EQ] = ACTIONS(909),
    [anon_sym_STAR_EQ] = ACTIONS(909),
    [anon_sym_SLASH_EQ] = ACTIONS(909),
    [anon_sym_PERCENT_EQ] = ACTIONS(909),
    [anon_sym_CARET_EQ] = ACTIONS(909),
    [anon_sym_AMP_EQ] = ACTIONS(909),
    [anon_sym_PIPE_EQ] = ACTIONS(909),
    [anon_sym_LT_LT_EQ] = ACTIONS(909),
    [anon_sym_GT_GT_EQ] = ACTIONS(909),
    [anon_sym_EQ] = ACTIONS(912),
    [anon_sym_EQ_EQ] = ACTIONS(909),
    [anon_sym_BANG_EQ] = ACTIONS(909),
    [anon_sym_GT] = ACTIONS(912),
    [anon_sym_LT] = ACTIONS(912),
    [anon_sym_GT_EQ] = ACTIONS(909),
    [anon_sym_LT_EQ] = ACTIONS(909),
    [anon_sym_AT] = ACTIONS(909),
    [anon_sym__] = ACTIONS(912),
    [anon_sym_DOT] = ACTIONS(912),
    [anon_sym_DOT_DOT] = ACTIONS(912),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(909),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(909),
    [anon_sym_COMMA] = ACTIONS(909),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DASH_GT] = ACTIONS(909),
    [anon_sym_POUND] = ACTIONS(909),
    [anon_sym_SQUOTE] = ACTIONS(731),
    [anon_sym_as] = ACTIONS(731),
    [anon_sym_async] = ACTIONS(731),
    [anon_sym_await] = ACTIONS(731),
    [anon_sym_break] = ACTIONS(731),
    [anon_sym_const] = ACTIONS(731),
    [anon_sym_continue] = ACTIONS(731),
    [anon_sym_default] = ACTIONS(731),
    [anon_sym_enum] = ACTIONS(731),
    [anon_sym_fn] = ACTIONS(731),
    [anon_sym_for] = ACTIONS(731),
    [anon_sym_if] = ACTIONS(731),
    [anon_sym_impl] = ACTIONS(731),
    [anon_sym_let] = ACTIONS(731),
    [anon_sym_loop] = ACTIONS(731),
    [anon_sym_match] = ACTIONS(731),
    [anon_sym_mod] = ACTIONS(731),
    [anon_sym_pub] = ACTIONS(731),
    [anon_sym_return] = ACTIONS(731),
    [anon_sym_static] = ACTIONS(731),
    [anon_sym_struct] = ACTIONS(731),
    [anon_sym_trait] = ACTIONS(731),
    [anon_sym_type] = ACTIONS(731),
    [anon_sym_union] = ACTIONS(731),
    [anon_sym_unsafe] = ACTIONS(731),
    [anon_sym_use] = ACTIONS(731),
    [anon_sym_where] = ACTIONS(731),
    [anon_sym_while] = ACTIONS(731),
    [sym_mutable_specifier] = ACTIONS(731),
    [sym_integer_literal] = ACTIONS(736),
    [aux_sym_string_literal_token1] = ACTIONS(736),
    [sym_char_literal] = ACTIONS(736),
    [anon_sym_true] = ACTIONS(731),
    [anon_sym_false] = ACTIONS(731),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(731),
    [sym_super] = ACTIONS(731),
    [sym_crate] = ACTIONS(731),
    [sym__raw_string_literal_start] = ACTIONS(736),
    [sym_float_literal] = ACTIONS(736),
  },
  [151] = {
    [sym_attribute_item] = STATE(1003),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1569),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(151),
    [sym_block_comment] = STATE(151),
    [aux_sym_enum_variant_list_repeat1] = STATE(146),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_RBRACK] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COMMA] = ACTIONS(917),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [152] = {
    [sym_line_comment] = STATE(152),
    [sym_block_comment] = STATE(152),
    [sym_identifier] = ACTIONS(919),
    [anon_sym_SEMI] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(921),
    [anon_sym_RPAREN] = ACTIONS(921),
    [anon_sym_LBRACK] = ACTIONS(921),
    [anon_sym_RBRACK] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(921),
    [anon_sym_RBRACE] = ACTIONS(921),
    [anon_sym_EQ_GT] = ACTIONS(921),
    [anon_sym_COLON] = ACTIONS(919),
    [anon_sym_DOLLAR] = ACTIONS(919),
    [anon_sym_PLUS] = ACTIONS(919),
    [anon_sym_STAR] = ACTIONS(919),
    [anon_sym_QMARK] = ACTIONS(921),
    [anon_sym_u8] = ACTIONS(919),
    [anon_sym_i8] = ACTIONS(919),
    [anon_sym_u16] = ACTIONS(919),
    [anon_sym_i16] = ACTIONS(919),
    [anon_sym_u32] = ACTIONS(919),
    [anon_sym_i32] = ACTIONS(919),
    [anon_sym_u64] = ACTIONS(919),
    [anon_sym_i64] = ACTIONS(919),
    [anon_sym_u128] = ACTIONS(919),
    [anon_sym_i128] = ACTIONS(919),
    [anon_sym_isize] = ACTIONS(919),
    [anon_sym_usize] = ACTIONS(919),
    [anon_sym_f32] = ACTIONS(919),
    [anon_sym_f64] = ACTIONS(919),
    [anon_sym_bool] = ACTIONS(919),
    [anon_sym_str] = ACTIONS(919),
    [anon_sym_char] = ACTIONS(919),
    [anon_sym_DASH] = ACTIONS(919),
    [anon_sym_SLASH] = ACTIONS(919),
    [anon_sym_PERCENT] = ACTIONS(919),
    [anon_sym_CARET] = ACTIONS(919),
    [anon_sym_BANG] = ACTIONS(919),
    [anon_sym_AMP] = ACTIONS(919),
    [anon_sym_PIPE] = ACTIONS(919),
    [anon_sym_AMP_AMP] = ACTIONS(921),
    [anon_sym_PIPE_PIPE] = ACTIONS(921),
    [anon_sym_LT_LT] = ACTIONS(919),
    [anon_sym_GT_GT] = ACTIONS(919),
    [anon_sym_PLUS_EQ] = ACTIONS(921),
    [anon_sym_DASH_EQ] = ACTIONS(921),
    [anon_sym_STAR_EQ] = ACTIONS(921),
    [anon_sym_SLASH_EQ] = ACTIONS(921),
    [anon_sym_PERCENT_EQ] = ACTIONS(921),
    [anon_sym_CARET_EQ] = ACTIONS(921),
    [anon_sym_AMP_EQ] = ACTIONS(921),
    [anon_sym_PIPE_EQ] = ACTIONS(921),
    [anon_sym_LT_LT_EQ] = ACTIONS(921),
    [anon_sym_GT_GT_EQ] = ACTIONS(921),
    [anon_sym_EQ] = ACTIONS(919),
    [anon_sym_EQ_EQ] = ACTIONS(921),
    [anon_sym_BANG_EQ] = ACTIONS(921),
    [anon_sym_GT] = ACTIONS(919),
    [anon_sym_LT] = ACTIONS(919),
    [anon_sym_GT_EQ] = ACTIONS(921),
    [anon_sym_LT_EQ] = ACTIONS(921),
    [anon_sym_AT] = ACTIONS(921),
    [anon_sym__] = ACTIONS(919),
    [anon_sym_DOT] = ACTIONS(919),
    [anon_sym_DOT_DOT] = ACTIONS(919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(921),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(921),
    [anon_sym_COMMA] = ACTIONS(921),
    [anon_sym_COLON_COLON] = ACTIONS(921),
    [anon_sym_DASH_GT] = ACTIONS(921),
    [anon_sym_POUND] = ACTIONS(921),
    [anon_sym_SQUOTE] = ACTIONS(919),
    [anon_sym_as] = ACTIONS(919),
    [anon_sym_async] = ACTIONS(919),
    [anon_sym_await] = ACTIONS(919),
    [anon_sym_break] = ACTIONS(919),
    [anon_sym_const] = ACTIONS(919),
    [anon_sym_continue] = ACTIONS(919),
    [anon_sym_default] = ACTIONS(919),
    [anon_sym_enum] = ACTIONS(919),
    [anon_sym_fn] = ACTIONS(919),
    [anon_sym_for] = ACTIONS(919),
    [anon_sym_if] = ACTIONS(919),
    [anon_sym_impl] = ACTIONS(919),
    [anon_sym_let] = ACTIONS(919),
    [anon_sym_loop] = ACTIONS(919),
    [anon_sym_match] = ACTIONS(919),
    [anon_sym_mod] = ACTIONS(919),
    [anon_sym_pub] = ACTIONS(919),
    [anon_sym_return] = ACTIONS(919),
    [anon_sym_static] = ACTIONS(919),
    [anon_sym_struct] = ACTIONS(919),
    [anon_sym_trait] = ACTIONS(919),
    [anon_sym_type] = ACTIONS(919),
    [anon_sym_union] = ACTIONS(919),
    [anon_sym_unsafe] = ACTIONS(919),
    [anon_sym_use] = ACTIONS(919),
    [anon_sym_where] = ACTIONS(919),
    [anon_sym_while] = ACTIONS(919),
    [sym_mutable_specifier] = ACTIONS(919),
    [sym_integer_literal] = ACTIONS(921),
    [aux_sym_string_literal_token1] = ACTIONS(921),
    [sym_char_literal] = ACTIONS(921),
    [anon_sym_true] = ACTIONS(919),
    [anon_sym_false] = ACTIONS(919),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(919),
    [sym_super] = ACTIONS(919),
    [sym_crate] = ACTIONS(919),
    [sym_metavariable] = ACTIONS(921),
    [sym__raw_string_literal_start] = ACTIONS(921),
    [sym_float_literal] = ACTIONS(921),
  },
  [153] = {
    [sym_line_comment] = STATE(153),
    [sym_block_comment] = STATE(153),
    [sym_identifier] = ACTIONS(923),
    [anon_sym_SEMI] = ACTIONS(925),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_RPAREN] = ACTIONS(925),
    [anon_sym_LBRACK] = ACTIONS(925),
    [anon_sym_RBRACK] = ACTIONS(925),
    [anon_sym_LBRACE] = ACTIONS(925),
    [anon_sym_RBRACE] = ACTIONS(925),
    [anon_sym_EQ_GT] = ACTIONS(925),
    [anon_sym_COLON] = ACTIONS(923),
    [anon_sym_DOLLAR] = ACTIONS(923),
    [anon_sym_PLUS] = ACTIONS(923),
    [anon_sym_STAR] = ACTIONS(923),
    [anon_sym_QMARK] = ACTIONS(925),
    [anon_sym_u8] = ACTIONS(923),
    [anon_sym_i8] = ACTIONS(923),
    [anon_sym_u16] = ACTIONS(923),
    [anon_sym_i16] = ACTIONS(923),
    [anon_sym_u32] = ACTIONS(923),
    [anon_sym_i32] = ACTIONS(923),
    [anon_sym_u64] = ACTIONS(923),
    [anon_sym_i64] = ACTIONS(923),
    [anon_sym_u128] = ACTIONS(923),
    [anon_sym_i128] = ACTIONS(923),
    [anon_sym_isize] = ACTIONS(923),
    [anon_sym_usize] = ACTIONS(923),
    [anon_sym_f32] = ACTIONS(923),
    [anon_sym_f64] = ACTIONS(923),
    [anon_sym_bool] = ACTIONS(923),
    [anon_sym_str] = ACTIONS(923),
    [anon_sym_char] = ACTIONS(923),
    [anon_sym_DASH] = ACTIONS(923),
    [anon_sym_SLASH] = ACTIONS(923),
    [anon_sym_PERCENT] = ACTIONS(923),
    [anon_sym_CARET] = ACTIONS(923),
    [anon_sym_BANG] = ACTIONS(923),
    [anon_sym_AMP] = ACTIONS(923),
    [anon_sym_PIPE] = ACTIONS(923),
    [anon_sym_AMP_AMP] = ACTIONS(925),
    [anon_sym_PIPE_PIPE] = ACTIONS(925),
    [anon_sym_LT_LT] = ACTIONS(923),
    [anon_sym_GT_GT] = ACTIONS(923),
    [anon_sym_PLUS_EQ] = ACTIONS(925),
    [anon_sym_DASH_EQ] = ACTIONS(925),
    [anon_sym_STAR_EQ] = ACTIONS(925),
    [anon_sym_SLASH_EQ] = ACTIONS(925),
    [anon_sym_PERCENT_EQ] = ACTIONS(925),
    [anon_sym_CARET_EQ] = ACTIONS(925),
    [anon_sym_AMP_EQ] = ACTIONS(925),
    [anon_sym_PIPE_EQ] = ACTIONS(925),
    [anon_sym_LT_LT_EQ] = ACTIONS(925),
    [anon_sym_GT_GT_EQ] = ACTIONS(925),
    [anon_sym_EQ] = ACTIONS(923),
    [anon_sym_EQ_EQ] = ACTIONS(925),
    [anon_sym_BANG_EQ] = ACTIONS(925),
    [anon_sym_GT] = ACTIONS(923),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_GT_EQ] = ACTIONS(925),
    [anon_sym_LT_EQ] = ACTIONS(925),
    [anon_sym_AT] = ACTIONS(925),
    [anon_sym__] = ACTIONS(923),
    [anon_sym_DOT] = ACTIONS(923),
    [anon_sym_DOT_DOT] = ACTIONS(923),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(925),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(925),
    [anon_sym_COMMA] = ACTIONS(925),
    [anon_sym_COLON_COLON] = ACTIONS(925),
    [anon_sym_DASH_GT] = ACTIONS(925),
    [anon_sym_POUND] = ACTIONS(925),
    [anon_sym_SQUOTE] = ACTIONS(923),
    [anon_sym_as] = ACTIONS(923),
    [anon_sym_async] = ACTIONS(923),
    [anon_sym_await] = ACTIONS(923),
    [anon_sym_break] = ACTIONS(923),
    [anon_sym_const] = ACTIONS(923),
    [anon_sym_continue] = ACTIONS(923),
    [anon_sym_default] = ACTIONS(923),
    [anon_sym_enum] = ACTIONS(923),
    [anon_sym_fn] = ACTIONS(923),
    [anon_sym_for] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(923),
    [anon_sym_impl] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(923),
    [anon_sym_loop] = ACTIONS(923),
    [anon_sym_match] = ACTIONS(923),
    [anon_sym_mod] = ACTIONS(923),
    [anon_sym_pub] = ACTIONS(923),
    [anon_sym_return] = ACTIONS(923),
    [anon_sym_static] = ACTIONS(923),
    [anon_sym_struct] = ACTIONS(923),
    [anon_sym_trait] = ACTIONS(923),
    [anon_sym_type] = ACTIONS(923),
    [anon_sym_union] = ACTIONS(923),
    [anon_sym_unsafe] = ACTIONS(923),
    [anon_sym_use] = ACTIONS(923),
    [anon_sym_where] = ACTIONS(923),
    [anon_sym_while] = ACTIONS(923),
    [sym_mutable_specifier] = ACTIONS(923),
    [sym_integer_literal] = ACTIONS(925),
    [aux_sym_string_literal_token1] = ACTIONS(925),
    [sym_char_literal] = ACTIONS(925),
    [anon_sym_true] = ACTIONS(923),
    [anon_sym_false] = ACTIONS(923),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(923),
    [sym_super] = ACTIONS(923),
    [sym_crate] = ACTIONS(923),
    [sym_metavariable] = ACTIONS(925),
    [sym__raw_string_literal_start] = ACTIONS(925),
    [sym_float_literal] = ACTIONS(925),
  },
  [154] = {
    [sym_line_comment] = STATE(154),
    [sym_block_comment] = STATE(154),
    [sym_identifier] = ACTIONS(927),
    [anon_sym_SEMI] = ACTIONS(929),
    [anon_sym_LPAREN] = ACTIONS(929),
    [anon_sym_RPAREN] = ACTIONS(929),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_RBRACK] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_RBRACE] = ACTIONS(929),
    [anon_sym_EQ_GT] = ACTIONS(929),
    [anon_sym_COLON] = ACTIONS(927),
    [anon_sym_DOLLAR] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(927),
    [anon_sym_STAR] = ACTIONS(927),
    [anon_sym_QMARK] = ACTIONS(929),
    [anon_sym_u8] = ACTIONS(927),
    [anon_sym_i8] = ACTIONS(927),
    [anon_sym_u16] = ACTIONS(927),
    [anon_sym_i16] = ACTIONS(927),
    [anon_sym_u32] = ACTIONS(927),
    [anon_sym_i32] = ACTIONS(927),
    [anon_sym_u64] = ACTIONS(927),
    [anon_sym_i64] = ACTIONS(927),
    [anon_sym_u128] = ACTIONS(927),
    [anon_sym_i128] = ACTIONS(927),
    [anon_sym_isize] = ACTIONS(927),
    [anon_sym_usize] = ACTIONS(927),
    [anon_sym_f32] = ACTIONS(927),
    [anon_sym_f64] = ACTIONS(927),
    [anon_sym_bool] = ACTIONS(927),
    [anon_sym_str] = ACTIONS(927),
    [anon_sym_char] = ACTIONS(927),
    [anon_sym_DASH] = ACTIONS(927),
    [anon_sym_SLASH] = ACTIONS(927),
    [anon_sym_PERCENT] = ACTIONS(927),
    [anon_sym_CARET] = ACTIONS(927),
    [anon_sym_BANG] = ACTIONS(927),
    [anon_sym_AMP] = ACTIONS(927),
    [anon_sym_PIPE] = ACTIONS(927),
    [anon_sym_AMP_AMP] = ACTIONS(929),
    [anon_sym_PIPE_PIPE] = ACTIONS(929),
    [anon_sym_LT_LT] = ACTIONS(927),
    [anon_sym_GT_GT] = ACTIONS(927),
    [anon_sym_PLUS_EQ] = ACTIONS(929),
    [anon_sym_DASH_EQ] = ACTIONS(929),
    [anon_sym_STAR_EQ] = ACTIONS(929),
    [anon_sym_SLASH_EQ] = ACTIONS(929),
    [anon_sym_PERCENT_EQ] = ACTIONS(929),
    [anon_sym_CARET_EQ] = ACTIONS(929),
    [anon_sym_AMP_EQ] = ACTIONS(929),
    [anon_sym_PIPE_EQ] = ACTIONS(929),
    [anon_sym_LT_LT_EQ] = ACTIONS(929),
    [anon_sym_GT_GT_EQ] = ACTIONS(929),
    [anon_sym_EQ] = ACTIONS(927),
    [anon_sym_EQ_EQ] = ACTIONS(929),
    [anon_sym_BANG_EQ] = ACTIONS(929),
    [anon_sym_GT] = ACTIONS(927),
    [anon_sym_LT] = ACTIONS(927),
    [anon_sym_GT_EQ] = ACTIONS(929),
    [anon_sym_LT_EQ] = ACTIONS(929),
    [anon_sym_AT] = ACTIONS(929),
    [anon_sym__] = ACTIONS(927),
    [anon_sym_DOT] = ACTIONS(927),
    [anon_sym_DOT_DOT] = ACTIONS(927),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(929),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(929),
    [anon_sym_COMMA] = ACTIONS(929),
    [anon_sym_COLON_COLON] = ACTIONS(929),
    [anon_sym_DASH_GT] = ACTIONS(929),
    [anon_sym_POUND] = ACTIONS(929),
    [anon_sym_SQUOTE] = ACTIONS(927),
    [anon_sym_as] = ACTIONS(927),
    [anon_sym_async] = ACTIONS(927),
    [anon_sym_await] = ACTIONS(927),
    [anon_sym_break] = ACTIONS(927),
    [anon_sym_const] = ACTIONS(927),
    [anon_sym_continue] = ACTIONS(927),
    [anon_sym_default] = ACTIONS(927),
    [anon_sym_enum] = ACTIONS(927),
    [anon_sym_fn] = ACTIONS(927),
    [anon_sym_for] = ACTIONS(927),
    [anon_sym_if] = ACTIONS(927),
    [anon_sym_impl] = ACTIONS(927),
    [anon_sym_let] = ACTIONS(927),
    [anon_sym_loop] = ACTIONS(927),
    [anon_sym_match] = ACTIONS(927),
    [anon_sym_mod] = ACTIONS(927),
    [anon_sym_pub] = ACTIONS(927),
    [anon_sym_return] = ACTIONS(927),
    [anon_sym_static] = ACTIONS(927),
    [anon_sym_struct] = ACTIONS(927),
    [anon_sym_trait] = ACTIONS(927),
    [anon_sym_type] = ACTIONS(927),
    [anon_sym_union] = ACTIONS(927),
    [anon_sym_unsafe] = ACTIONS(927),
    [anon_sym_use] = ACTIONS(927),
    [anon_sym_where] = ACTIONS(927),
    [anon_sym_while] = ACTIONS(927),
    [sym_mutable_specifier] = ACTIONS(927),
    [sym_integer_literal] = ACTIONS(929),
    [aux_sym_string_literal_token1] = ACTIONS(929),
    [sym_char_literal] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(927),
    [anon_sym_false] = ACTIONS(927),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(927),
    [sym_super] = ACTIONS(927),
    [sym_crate] = ACTIONS(927),
    [sym_metavariable] = ACTIONS(929),
    [sym__raw_string_literal_start] = ACTIONS(929),
    [sym_float_literal] = ACTIONS(929),
  },
  [155] = {
    [sym_attribute_item] = STATE(1003),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1555),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(155),
    [sym_block_comment] = STATE(155),
    [aux_sym_enum_variant_list_repeat1] = STATE(151),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_RBRACK] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COMMA] = ACTIONS(933),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [156] = {
    [sym_line_comment] = STATE(156),
    [sym_block_comment] = STATE(156),
    [sym_identifier] = ACTIONS(935),
    [anon_sym_SEMI] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_RPAREN] = ACTIONS(937),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_RBRACK] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(937),
    [anon_sym_RBRACE] = ACTIONS(937),
    [anon_sym_EQ_GT] = ACTIONS(937),
    [anon_sym_COLON] = ACTIONS(935),
    [anon_sym_DOLLAR] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(935),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_QMARK] = ACTIONS(937),
    [anon_sym_u8] = ACTIONS(935),
    [anon_sym_i8] = ACTIONS(935),
    [anon_sym_u16] = ACTIONS(935),
    [anon_sym_i16] = ACTIONS(935),
    [anon_sym_u32] = ACTIONS(935),
    [anon_sym_i32] = ACTIONS(935),
    [anon_sym_u64] = ACTIONS(935),
    [anon_sym_i64] = ACTIONS(935),
    [anon_sym_u128] = ACTIONS(935),
    [anon_sym_i128] = ACTIONS(935),
    [anon_sym_isize] = ACTIONS(935),
    [anon_sym_usize] = ACTIONS(935),
    [anon_sym_f32] = ACTIONS(935),
    [anon_sym_f64] = ACTIONS(935),
    [anon_sym_bool] = ACTIONS(935),
    [anon_sym_str] = ACTIONS(935),
    [anon_sym_char] = ACTIONS(935),
    [anon_sym_DASH] = ACTIONS(935),
    [anon_sym_SLASH] = ACTIONS(935),
    [anon_sym_PERCENT] = ACTIONS(935),
    [anon_sym_CARET] = ACTIONS(935),
    [anon_sym_BANG] = ACTIONS(935),
    [anon_sym_AMP] = ACTIONS(935),
    [anon_sym_PIPE] = ACTIONS(935),
    [anon_sym_AMP_AMP] = ACTIONS(937),
    [anon_sym_PIPE_PIPE] = ACTIONS(937),
    [anon_sym_LT_LT] = ACTIONS(935),
    [anon_sym_GT_GT] = ACTIONS(935),
    [anon_sym_PLUS_EQ] = ACTIONS(937),
    [anon_sym_DASH_EQ] = ACTIONS(937),
    [anon_sym_STAR_EQ] = ACTIONS(937),
    [anon_sym_SLASH_EQ] = ACTIONS(937),
    [anon_sym_PERCENT_EQ] = ACTIONS(937),
    [anon_sym_CARET_EQ] = ACTIONS(937),
    [anon_sym_AMP_EQ] = ACTIONS(937),
    [anon_sym_PIPE_EQ] = ACTIONS(937),
    [anon_sym_LT_LT_EQ] = ACTIONS(937),
    [anon_sym_GT_GT_EQ] = ACTIONS(937),
    [anon_sym_EQ] = ACTIONS(935),
    [anon_sym_EQ_EQ] = ACTIONS(937),
    [anon_sym_BANG_EQ] = ACTIONS(937),
    [anon_sym_GT] = ACTIONS(935),
    [anon_sym_LT] = ACTIONS(935),
    [anon_sym_GT_EQ] = ACTIONS(937),
    [anon_sym_LT_EQ] = ACTIONS(937),
    [anon_sym_AT] = ACTIONS(937),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_DOT] = ACTIONS(935),
    [anon_sym_DOT_DOT] = ACTIONS(935),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(937),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(937),
    [anon_sym_COMMA] = ACTIONS(937),
    [anon_sym_COLON_COLON] = ACTIONS(937),
    [anon_sym_DASH_GT] = ACTIONS(937),
    [anon_sym_POUND] = ACTIONS(937),
    [anon_sym_SQUOTE] = ACTIONS(935),
    [anon_sym_as] = ACTIONS(935),
    [anon_sym_async] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(935),
    [anon_sym_break] = ACTIONS(935),
    [anon_sym_const] = ACTIONS(935),
    [anon_sym_continue] = ACTIONS(935),
    [anon_sym_default] = ACTIONS(935),
    [anon_sym_enum] = ACTIONS(935),
    [anon_sym_fn] = ACTIONS(935),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(935),
    [anon_sym_impl] = ACTIONS(935),
    [anon_sym_let] = ACTIONS(935),
    [anon_sym_loop] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(935),
    [anon_sym_mod] = ACTIONS(935),
    [anon_sym_pub] = ACTIONS(935),
    [anon_sym_return] = ACTIONS(935),
    [anon_sym_static] = ACTIONS(935),
    [anon_sym_struct] = ACTIONS(935),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_type] = ACTIONS(935),
    [anon_sym_union] = ACTIONS(935),
    [anon_sym_unsafe] = ACTIONS(935),
    [anon_sym_use] = ACTIONS(935),
    [anon_sym_where] = ACTIONS(935),
    [anon_sym_while] = ACTIONS(935),
    [sym_mutable_specifier] = ACTIONS(935),
    [sym_integer_literal] = ACTIONS(937),
    [aux_sym_string_literal_token1] = ACTIONS(937),
    [sym_char_literal] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(935),
    [anon_sym_false] = ACTIONS(935),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(935),
    [sym_super] = ACTIONS(935),
    [sym_crate] = ACTIONS(935),
    [sym_metavariable] = ACTIONS(937),
    [sym__raw_string_literal_start] = ACTIONS(937),
    [sym_float_literal] = ACTIONS(937),
  },
  [157] = {
    [sym_line_comment] = STATE(157),
    [sym_block_comment] = STATE(157),
    [sym_identifier] = ACTIONS(745),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_RPAREN] = ACTIONS(747),
    [anon_sym_LBRACK] = ACTIONS(747),
    [anon_sym_RBRACK] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(747),
    [anon_sym_RBRACE] = ACTIONS(747),
    [anon_sym_EQ_GT] = ACTIONS(747),
    [anon_sym_COLON] = ACTIONS(745),
    [anon_sym_DOLLAR] = ACTIONS(745),
    [anon_sym_PLUS] = ACTIONS(745),
    [anon_sym_STAR] = ACTIONS(745),
    [anon_sym_QMARK] = ACTIONS(747),
    [anon_sym_u8] = ACTIONS(745),
    [anon_sym_i8] = ACTIONS(745),
    [anon_sym_u16] = ACTIONS(745),
    [anon_sym_i16] = ACTIONS(745),
    [anon_sym_u32] = ACTIONS(745),
    [anon_sym_i32] = ACTIONS(745),
    [anon_sym_u64] = ACTIONS(745),
    [anon_sym_i64] = ACTIONS(745),
    [anon_sym_u128] = ACTIONS(745),
    [anon_sym_i128] = ACTIONS(745),
    [anon_sym_isize] = ACTIONS(745),
    [anon_sym_usize] = ACTIONS(745),
    [anon_sym_f32] = ACTIONS(745),
    [anon_sym_f64] = ACTIONS(745),
    [anon_sym_bool] = ACTIONS(745),
    [anon_sym_str] = ACTIONS(745),
    [anon_sym_char] = ACTIONS(745),
    [anon_sym_DASH] = ACTIONS(745),
    [anon_sym_SLASH] = ACTIONS(745),
    [anon_sym_PERCENT] = ACTIONS(745),
    [anon_sym_CARET] = ACTIONS(745),
    [anon_sym_BANG] = ACTIONS(745),
    [anon_sym_AMP] = ACTIONS(745),
    [anon_sym_PIPE] = ACTIONS(745),
    [anon_sym_AMP_AMP] = ACTIONS(747),
    [anon_sym_PIPE_PIPE] = ACTIONS(747),
    [anon_sym_LT_LT] = ACTIONS(745),
    [anon_sym_GT_GT] = ACTIONS(745),
    [anon_sym_PLUS_EQ] = ACTIONS(747),
    [anon_sym_DASH_EQ] = ACTIONS(747),
    [anon_sym_STAR_EQ] = ACTIONS(747),
    [anon_sym_SLASH_EQ] = ACTIONS(747),
    [anon_sym_PERCENT_EQ] = ACTIONS(747),
    [anon_sym_CARET_EQ] = ACTIONS(747),
    [anon_sym_AMP_EQ] = ACTIONS(747),
    [anon_sym_PIPE_EQ] = ACTIONS(747),
    [anon_sym_LT_LT_EQ] = ACTIONS(747),
    [anon_sym_GT_GT_EQ] = ACTIONS(747),
    [anon_sym_EQ] = ACTIONS(745),
    [anon_sym_EQ_EQ] = ACTIONS(747),
    [anon_sym_BANG_EQ] = ACTIONS(747),
    [anon_sym_GT] = ACTIONS(745),
    [anon_sym_LT] = ACTIONS(745),
    [anon_sym_GT_EQ] = ACTIONS(747),
    [anon_sym_LT_EQ] = ACTIONS(747),
    [anon_sym_AT] = ACTIONS(747),
    [anon_sym__] = ACTIONS(745),
    [anon_sym_DOT] = ACTIONS(745),
    [anon_sym_DOT_DOT] = ACTIONS(745),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(747),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(747),
    [anon_sym_COMMA] = ACTIONS(747),
    [anon_sym_COLON_COLON] = ACTIONS(747),
    [anon_sym_DASH_GT] = ACTIONS(747),
    [anon_sym_POUND] = ACTIONS(747),
    [anon_sym_SQUOTE] = ACTIONS(745),
    [anon_sym_as] = ACTIONS(745),
    [anon_sym_async] = ACTIONS(745),
    [anon_sym_await] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(745),
    [anon_sym_const] = ACTIONS(745),
    [anon_sym_continue] = ACTIONS(745),
    [anon_sym_default] = ACTIONS(745),
    [anon_sym_enum] = ACTIONS(745),
    [anon_sym_fn] = ACTIONS(745),
    [anon_sym_for] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(745),
    [anon_sym_impl] = ACTIONS(745),
    [anon_sym_let] = ACTIONS(745),
    [anon_sym_loop] = ACTIONS(745),
    [anon_sym_match] = ACTIONS(745),
    [anon_sym_mod] = ACTIONS(745),
    [anon_sym_pub] = ACTIONS(745),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_struct] = ACTIONS(745),
    [anon_sym_trait] = ACTIONS(745),
    [anon_sym_type] = ACTIONS(745),
    [anon_sym_union] = ACTIONS(745),
    [anon_sym_unsafe] = ACTIONS(745),
    [anon_sym_use] = ACTIONS(745),
    [anon_sym_where] = ACTIONS(745),
    [anon_sym_while] = ACTIONS(745),
    [sym_mutable_specifier] = ACTIONS(745),
    [sym_integer_literal] = ACTIONS(747),
    [aux_sym_string_literal_token1] = ACTIONS(747),
    [sym_char_literal] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(745),
    [anon_sym_false] = ACTIONS(745),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(745),
    [sym_super] = ACTIONS(745),
    [sym_crate] = ACTIONS(745),
    [sym_metavariable] = ACTIONS(747),
    [sym__raw_string_literal_start] = ACTIONS(747),
    [sym_float_literal] = ACTIONS(747),
  },
  [158] = {
    [sym_attribute_item] = STATE(1003),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1549),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(158),
    [sym_block_comment] = STATE(158),
    [aux_sym_enum_variant_list_repeat1] = STATE(163),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_RBRACK] = ACTIONS(939),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COMMA] = ACTIONS(941),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [159] = {
    [sym_line_comment] = STATE(159),
    [sym_block_comment] = STATE(159),
    [sym_identifier] = ACTIONS(943),
    [anon_sym_SEMI] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_RPAREN] = ACTIONS(945),
    [anon_sym_LBRACK] = ACTIONS(945),
    [anon_sym_RBRACK] = ACTIONS(945),
    [anon_sym_LBRACE] = ACTIONS(945),
    [anon_sym_RBRACE] = ACTIONS(945),
    [anon_sym_EQ_GT] = ACTIONS(945),
    [anon_sym_COLON] = ACTIONS(943),
    [anon_sym_DOLLAR] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(943),
    [anon_sym_STAR] = ACTIONS(943),
    [anon_sym_QMARK] = ACTIONS(945),
    [anon_sym_u8] = ACTIONS(943),
    [anon_sym_i8] = ACTIONS(943),
    [anon_sym_u16] = ACTIONS(943),
    [anon_sym_i16] = ACTIONS(943),
    [anon_sym_u32] = ACTIONS(943),
    [anon_sym_i32] = ACTIONS(943),
    [anon_sym_u64] = ACTIONS(943),
    [anon_sym_i64] = ACTIONS(943),
    [anon_sym_u128] = ACTIONS(943),
    [anon_sym_i128] = ACTIONS(943),
    [anon_sym_isize] = ACTIONS(943),
    [anon_sym_usize] = ACTIONS(943),
    [anon_sym_f32] = ACTIONS(943),
    [anon_sym_f64] = ACTIONS(943),
    [anon_sym_bool] = ACTIONS(943),
    [anon_sym_str] = ACTIONS(943),
    [anon_sym_char] = ACTIONS(943),
    [anon_sym_DASH] = ACTIONS(943),
    [anon_sym_SLASH] = ACTIONS(943),
    [anon_sym_PERCENT] = ACTIONS(943),
    [anon_sym_CARET] = ACTIONS(943),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_AMP] = ACTIONS(943),
    [anon_sym_PIPE] = ACTIONS(943),
    [anon_sym_AMP_AMP] = ACTIONS(945),
    [anon_sym_PIPE_PIPE] = ACTIONS(945),
    [anon_sym_LT_LT] = ACTIONS(943),
    [anon_sym_GT_GT] = ACTIONS(943),
    [anon_sym_PLUS_EQ] = ACTIONS(945),
    [anon_sym_DASH_EQ] = ACTIONS(945),
    [anon_sym_STAR_EQ] = ACTIONS(945),
    [anon_sym_SLASH_EQ] = ACTIONS(945),
    [anon_sym_PERCENT_EQ] = ACTIONS(945),
    [anon_sym_CARET_EQ] = ACTIONS(945),
    [anon_sym_AMP_EQ] = ACTIONS(945),
    [anon_sym_PIPE_EQ] = ACTIONS(945),
    [anon_sym_LT_LT_EQ] = ACTIONS(945),
    [anon_sym_GT_GT_EQ] = ACTIONS(945),
    [anon_sym_EQ] = ACTIONS(943),
    [anon_sym_EQ_EQ] = ACTIONS(945),
    [anon_sym_BANG_EQ] = ACTIONS(945),
    [anon_sym_GT] = ACTIONS(943),
    [anon_sym_LT] = ACTIONS(943),
    [anon_sym_GT_EQ] = ACTIONS(945),
    [anon_sym_LT_EQ] = ACTIONS(945),
    [anon_sym_AT] = ACTIONS(945),
    [anon_sym__] = ACTIONS(943),
    [anon_sym_DOT] = ACTIONS(943),
    [anon_sym_DOT_DOT] = ACTIONS(943),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(945),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(945),
    [anon_sym_COMMA] = ACTIONS(945),
    [anon_sym_COLON_COLON] = ACTIONS(945),
    [anon_sym_DASH_GT] = ACTIONS(945),
    [anon_sym_POUND] = ACTIONS(945),
    [anon_sym_SQUOTE] = ACTIONS(943),
    [anon_sym_as] = ACTIONS(943),
    [anon_sym_async] = ACTIONS(943),
    [anon_sym_await] = ACTIONS(943),
    [anon_sym_break] = ACTIONS(943),
    [anon_sym_const] = ACTIONS(943),
    [anon_sym_continue] = ACTIONS(943),
    [anon_sym_default] = ACTIONS(943),
    [anon_sym_enum] = ACTIONS(943),
    [anon_sym_fn] = ACTIONS(943),
    [anon_sym_for] = ACTIONS(943),
    [anon_sym_if] = ACTIONS(943),
    [anon_sym_impl] = ACTIONS(943),
    [anon_sym_let] = ACTIONS(943),
    [anon_sym_loop] = ACTIONS(943),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_mod] = ACTIONS(943),
    [anon_sym_pub] = ACTIONS(943),
    [anon_sym_return] = ACTIONS(943),
    [anon_sym_static] = ACTIONS(943),
    [anon_sym_struct] = ACTIONS(943),
    [anon_sym_trait] = ACTIONS(943),
    [anon_sym_type] = ACTIONS(943),
    [anon_sym_union] = ACTIONS(943),
    [anon_sym_unsafe] = ACTIONS(943),
    [anon_sym_use] = ACTIONS(943),
    [anon_sym_where] = ACTIONS(943),
    [anon_sym_while] = ACTIONS(943),
    [sym_mutable_specifier] = ACTIONS(943),
    [sym_integer_literal] = ACTIONS(945),
    [aux_sym_string_literal_token1] = ACTIONS(945),
    [sym_char_literal] = ACTIONS(945),
    [anon_sym_true] = ACTIONS(943),
    [anon_sym_false] = ACTIONS(943),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(943),
    [sym_super] = ACTIONS(943),
    [sym_crate] = ACTIONS(943),
    [sym_metavariable] = ACTIONS(945),
    [sym__raw_string_literal_start] = ACTIONS(945),
    [sym_float_literal] = ACTIONS(945),
  },
  [160] = {
    [sym_line_comment] = STATE(160),
    [sym_block_comment] = STATE(160),
    [aux_sym__non_special_token_repeat1] = STATE(150),
    [sym_identifier] = ACTIONS(947),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_LPAREN] = ACTIONS(949),
    [anon_sym_RPAREN] = ACTIONS(949),
    [anon_sym_LBRACK] = ACTIONS(949),
    [anon_sym_RBRACK] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(949),
    [anon_sym_RBRACE] = ACTIONS(949),
    [anon_sym_EQ_GT] = ACTIONS(663),
    [anon_sym_COLON] = ACTIONS(673),
    [anon_sym_DOLLAR] = ACTIONS(949),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_STAR] = ACTIONS(673),
    [anon_sym_QMARK] = ACTIONS(663),
    [anon_sym_u8] = ACTIONS(947),
    [anon_sym_i8] = ACTIONS(947),
    [anon_sym_u16] = ACTIONS(947),
    [anon_sym_i16] = ACTIONS(947),
    [anon_sym_u32] = ACTIONS(947),
    [anon_sym_i32] = ACTIONS(947),
    [anon_sym_u64] = ACTIONS(947),
    [anon_sym_i64] = ACTIONS(947),
    [anon_sym_u128] = ACTIONS(947),
    [anon_sym_i128] = ACTIONS(947),
    [anon_sym_isize] = ACTIONS(947),
    [anon_sym_usize] = ACTIONS(947),
    [anon_sym_f32] = ACTIONS(947),
    [anon_sym_f64] = ACTIONS(947),
    [anon_sym_bool] = ACTIONS(947),
    [anon_sym_str] = ACTIONS(947),
    [anon_sym_char] = ACTIONS(947),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_SLASH] = ACTIONS(673),
    [anon_sym_PERCENT] = ACTIONS(673),
    [anon_sym_CARET] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(673),
    [anon_sym_AMP] = ACTIONS(673),
    [anon_sym_PIPE] = ACTIONS(673),
    [anon_sym_AMP_AMP] = ACTIONS(663),
    [anon_sym_PIPE_PIPE] = ACTIONS(663),
    [anon_sym_LT_LT] = ACTIONS(673),
    [anon_sym_GT_GT] = ACTIONS(673),
    [anon_sym_PLUS_EQ] = ACTIONS(663),
    [anon_sym_DASH_EQ] = ACTIONS(663),
    [anon_sym_STAR_EQ] = ACTIONS(663),
    [anon_sym_SLASH_EQ] = ACTIONS(663),
    [anon_sym_PERCENT_EQ] = ACTIONS(663),
    [anon_sym_CARET_EQ] = ACTIONS(663),
    [anon_sym_AMP_EQ] = ACTIONS(663),
    [anon_sym_PIPE_EQ] = ACTIONS(663),
    [anon_sym_LT_LT_EQ] = ACTIONS(663),
    [anon_sym_GT_GT_EQ] = ACTIONS(663),
    [anon_sym_EQ] = ACTIONS(673),
    [anon_sym_EQ_EQ] = ACTIONS(663),
    [anon_sym_BANG_EQ] = ACTIONS(663),
    [anon_sym_GT] = ACTIONS(673),
    [anon_sym_LT] = ACTIONS(673),
    [anon_sym_GT_EQ] = ACTIONS(663),
    [anon_sym_LT_EQ] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(663),
    [anon_sym__] = ACTIONS(673),
    [anon_sym_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT] = ACTIONS(673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(663),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(663),
    [anon_sym_COMMA] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(663),
    [anon_sym_DASH_GT] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(663),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_as] = ACTIONS(947),
    [anon_sym_async] = ACTIONS(947),
    [anon_sym_await] = ACTIONS(947),
    [anon_sym_break] = ACTIONS(947),
    [anon_sym_const] = ACTIONS(947),
    [anon_sym_continue] = ACTIONS(947),
    [anon_sym_default] = ACTIONS(947),
    [anon_sym_enum] = ACTIONS(947),
    [anon_sym_fn] = ACTIONS(947),
    [anon_sym_for] = ACTIONS(947),
    [anon_sym_if] = ACTIONS(947),
    [anon_sym_impl] = ACTIONS(947),
    [anon_sym_let] = ACTIONS(947),
    [anon_sym_loop] = ACTIONS(947),
    [anon_sym_match] = ACTIONS(947),
    [anon_sym_mod] = ACTIONS(947),
    [anon_sym_pub] = ACTIONS(947),
    [anon_sym_return] = ACTIONS(947),
    [anon_sym_static] = ACTIONS(947),
    [anon_sym_struct] = ACTIONS(947),
    [anon_sym_trait] = ACTIONS(947),
    [anon_sym_type] = ACTIONS(947),
    [anon_sym_union] = ACTIONS(947),
    [anon_sym_unsafe] = ACTIONS(947),
    [anon_sym_use] = ACTIONS(947),
    [anon_sym_where] = ACTIONS(947),
    [anon_sym_while] = ACTIONS(947),
    [sym_mutable_specifier] = ACTIONS(947),
    [sym_integer_literal] = ACTIONS(949),
    [aux_sym_string_literal_token1] = ACTIONS(949),
    [sym_char_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(947),
    [anon_sym_false] = ACTIONS(947),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(947),
    [sym_super] = ACTIONS(947),
    [sym_crate] = ACTIONS(947),
    [sym__raw_string_literal_start] = ACTIONS(949),
    [sym_float_literal] = ACTIONS(949),
  },
  [161] = {
    [sym_attribute_item] = STATE(1003),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1576),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(161),
    [sym_block_comment] = STATE(161),
    [aux_sym_enum_variant_list_repeat1] = STATE(1002),
    [sym_identifier] = ACTIONS(787),
    [anon_sym_LPAREN] = ACTIONS(790),
    [anon_sym_LBRACK] = ACTIONS(793),
    [anon_sym_RBRACK] = ACTIONS(796),
    [anon_sym_LBRACE] = ACTIONS(798),
    [anon_sym_STAR] = ACTIONS(801),
    [anon_sym_u8] = ACTIONS(804),
    [anon_sym_i8] = ACTIONS(804),
    [anon_sym_u16] = ACTIONS(804),
    [anon_sym_i16] = ACTIONS(804),
    [anon_sym_u32] = ACTIONS(804),
    [anon_sym_i32] = ACTIONS(804),
    [anon_sym_u64] = ACTIONS(804),
    [anon_sym_i64] = ACTIONS(804),
    [anon_sym_u128] = ACTIONS(804),
    [anon_sym_i128] = ACTIONS(804),
    [anon_sym_isize] = ACTIONS(804),
    [anon_sym_usize] = ACTIONS(804),
    [anon_sym_f32] = ACTIONS(804),
    [anon_sym_f64] = ACTIONS(804),
    [anon_sym_bool] = ACTIONS(804),
    [anon_sym_str] = ACTIONS(804),
    [anon_sym_char] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(801),
    [anon_sym_AMP] = ACTIONS(807),
    [anon_sym_PIPE] = ACTIONS(810),
    [anon_sym_LT] = ACTIONS(813),
    [anon_sym_DOT_DOT] = ACTIONS(816),
    [anon_sym_COMMA] = ACTIONS(796),
    [anon_sym_COLON_COLON] = ACTIONS(819),
    [anon_sym_POUND] = ACTIONS(822),
    [anon_sym_SQUOTE] = ACTIONS(825),
    [anon_sym_async] = ACTIONS(828),
    [anon_sym_break] = ACTIONS(831),
    [anon_sym_const] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(837),
    [anon_sym_default] = ACTIONS(840),
    [anon_sym_for] = ACTIONS(843),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_loop] = ACTIONS(849),
    [anon_sym_match] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(855),
    [anon_sym_static] = ACTIONS(858),
    [anon_sym_union] = ACTIONS(840),
    [anon_sym_unsafe] = ACTIONS(861),
    [anon_sym_while] = ACTIONS(864),
    [anon_sym_yield] = ACTIONS(867),
    [anon_sym_move] = ACTIONS(870),
    [anon_sym_try] = ACTIONS(873),
    [sym_integer_literal] = ACTIONS(876),
    [aux_sym_string_literal_token1] = ACTIONS(879),
    [sym_char_literal] = ACTIONS(876),
    [anon_sym_true] = ACTIONS(882),
    [anon_sym_false] = ACTIONS(882),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(885),
    [sym_super] = ACTIONS(888),
    [sym_crate] = ACTIONS(888),
    [sym_metavariable] = ACTIONS(891),
    [sym__raw_string_literal_start] = ACTIONS(894),
    [sym_float_literal] = ACTIONS(876),
  },
  [162] = {
    [sym_line_comment] = STATE(162),
    [sym_block_comment] = STATE(162),
    [sym_identifier] = ACTIONS(951),
    [anon_sym_SEMI] = ACTIONS(953),
    [anon_sym_LPAREN] = ACTIONS(953),
    [anon_sym_RPAREN] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(953),
    [anon_sym_RBRACK] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(953),
    [anon_sym_RBRACE] = ACTIONS(953),
    [anon_sym_EQ_GT] = ACTIONS(953),
    [anon_sym_COLON] = ACTIONS(951),
    [anon_sym_DOLLAR] = ACTIONS(951),
    [anon_sym_PLUS] = ACTIONS(951),
    [anon_sym_STAR] = ACTIONS(951),
    [anon_sym_QMARK] = ACTIONS(953),
    [anon_sym_u8] = ACTIONS(951),
    [anon_sym_i8] = ACTIONS(951),
    [anon_sym_u16] = ACTIONS(951),
    [anon_sym_i16] = ACTIONS(951),
    [anon_sym_u32] = ACTIONS(951),
    [anon_sym_i32] = ACTIONS(951),
    [anon_sym_u64] = ACTIONS(951),
    [anon_sym_i64] = ACTIONS(951),
    [anon_sym_u128] = ACTIONS(951),
    [anon_sym_i128] = ACTIONS(951),
    [anon_sym_isize] = ACTIONS(951),
    [anon_sym_usize] = ACTIONS(951),
    [anon_sym_f32] = ACTIONS(951),
    [anon_sym_f64] = ACTIONS(951),
    [anon_sym_bool] = ACTIONS(951),
    [anon_sym_str] = ACTIONS(951),
    [anon_sym_char] = ACTIONS(951),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_SLASH] = ACTIONS(951),
    [anon_sym_PERCENT] = ACTIONS(951),
    [anon_sym_CARET] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_PIPE] = ACTIONS(951),
    [anon_sym_AMP_AMP] = ACTIONS(953),
    [anon_sym_PIPE_PIPE] = ACTIONS(953),
    [anon_sym_LT_LT] = ACTIONS(951),
    [anon_sym_GT_GT] = ACTIONS(951),
    [anon_sym_PLUS_EQ] = ACTIONS(953),
    [anon_sym_DASH_EQ] = ACTIONS(953),
    [anon_sym_STAR_EQ] = ACTIONS(953),
    [anon_sym_SLASH_EQ] = ACTIONS(953),
    [anon_sym_PERCENT_EQ] = ACTIONS(953),
    [anon_sym_CARET_EQ] = ACTIONS(953),
    [anon_sym_AMP_EQ] = ACTIONS(953),
    [anon_sym_PIPE_EQ] = ACTIONS(953),
    [anon_sym_LT_LT_EQ] = ACTIONS(953),
    [anon_sym_GT_GT_EQ] = ACTIONS(953),
    [anon_sym_EQ] = ACTIONS(951),
    [anon_sym_EQ_EQ] = ACTIONS(953),
    [anon_sym_BANG_EQ] = ACTIONS(953),
    [anon_sym_GT] = ACTIONS(951),
    [anon_sym_LT] = ACTIONS(951),
    [anon_sym_GT_EQ] = ACTIONS(953),
    [anon_sym_LT_EQ] = ACTIONS(953),
    [anon_sym_AT] = ACTIONS(953),
    [anon_sym__] = ACTIONS(951),
    [anon_sym_DOT] = ACTIONS(951),
    [anon_sym_DOT_DOT] = ACTIONS(951),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(953),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(953),
    [anon_sym_COMMA] = ACTIONS(953),
    [anon_sym_COLON_COLON] = ACTIONS(953),
    [anon_sym_DASH_GT] = ACTIONS(953),
    [anon_sym_POUND] = ACTIONS(953),
    [anon_sym_SQUOTE] = ACTIONS(951),
    [anon_sym_as] = ACTIONS(951),
    [anon_sym_async] = ACTIONS(951),
    [anon_sym_await] = ACTIONS(951),
    [anon_sym_break] = ACTIONS(951),
    [anon_sym_const] = ACTIONS(951),
    [anon_sym_continue] = ACTIONS(951),
    [anon_sym_default] = ACTIONS(951),
    [anon_sym_enum] = ACTIONS(951),
    [anon_sym_fn] = ACTIONS(951),
    [anon_sym_for] = ACTIONS(951),
    [anon_sym_if] = ACTIONS(951),
    [anon_sym_impl] = ACTIONS(951),
    [anon_sym_let] = ACTIONS(951),
    [anon_sym_loop] = ACTIONS(951),
    [anon_sym_match] = ACTIONS(951),
    [anon_sym_mod] = ACTIONS(951),
    [anon_sym_pub] = ACTIONS(951),
    [anon_sym_return] = ACTIONS(951),
    [anon_sym_static] = ACTIONS(951),
    [anon_sym_struct] = ACTIONS(951),
    [anon_sym_trait] = ACTIONS(951),
    [anon_sym_type] = ACTIONS(951),
    [anon_sym_union] = ACTIONS(951),
    [anon_sym_unsafe] = ACTIONS(951),
    [anon_sym_use] = ACTIONS(951),
    [anon_sym_where] = ACTIONS(951),
    [anon_sym_while] = ACTIONS(951),
    [sym_mutable_specifier] = ACTIONS(951),
    [sym_integer_literal] = ACTIONS(953),
    [aux_sym_string_literal_token1] = ACTIONS(953),
    [sym_char_literal] = ACTIONS(953),
    [anon_sym_true] = ACTIONS(951),
    [anon_sym_false] = ACTIONS(951),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(951),
    [sym_super] = ACTIONS(951),
    [sym_crate] = ACTIONS(951),
    [sym_metavariable] = ACTIONS(953),
    [sym__raw_string_literal_start] = ACTIONS(953),
    [sym_float_literal] = ACTIONS(953),
  },
  [163] = {
    [sym_attribute_item] = STATE(1003),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1543),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(163),
    [sym_block_comment] = STATE(163),
    [aux_sym_enum_variant_list_repeat1] = STATE(161),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_RBRACK] = ACTIONS(955),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COMMA] = ACTIONS(957),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [164] = {
    [sym_line_comment] = STATE(164),
    [sym_block_comment] = STATE(164),
    [sym_identifier] = ACTIONS(959),
    [anon_sym_SEMI] = ACTIONS(961),
    [anon_sym_LPAREN] = ACTIONS(961),
    [anon_sym_RPAREN] = ACTIONS(961),
    [anon_sym_LBRACK] = ACTIONS(961),
    [anon_sym_RBRACK] = ACTIONS(961),
    [anon_sym_LBRACE] = ACTIONS(961),
    [anon_sym_RBRACE] = ACTIONS(961),
    [anon_sym_EQ_GT] = ACTIONS(961),
    [anon_sym_COLON] = ACTIONS(959),
    [anon_sym_DOLLAR] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(959),
    [anon_sym_STAR] = ACTIONS(959),
    [anon_sym_QMARK] = ACTIONS(961),
    [anon_sym_u8] = ACTIONS(959),
    [anon_sym_i8] = ACTIONS(959),
    [anon_sym_u16] = ACTIONS(959),
    [anon_sym_i16] = ACTIONS(959),
    [anon_sym_u32] = ACTIONS(959),
    [anon_sym_i32] = ACTIONS(959),
    [anon_sym_u64] = ACTIONS(959),
    [anon_sym_i64] = ACTIONS(959),
    [anon_sym_u128] = ACTIONS(959),
    [anon_sym_i128] = ACTIONS(959),
    [anon_sym_isize] = ACTIONS(959),
    [anon_sym_usize] = ACTIONS(959),
    [anon_sym_f32] = ACTIONS(959),
    [anon_sym_f64] = ACTIONS(959),
    [anon_sym_bool] = ACTIONS(959),
    [anon_sym_str] = ACTIONS(959),
    [anon_sym_char] = ACTIONS(959),
    [anon_sym_DASH] = ACTIONS(959),
    [anon_sym_SLASH] = ACTIONS(959),
    [anon_sym_PERCENT] = ACTIONS(959),
    [anon_sym_CARET] = ACTIONS(959),
    [anon_sym_BANG] = ACTIONS(959),
    [anon_sym_AMP] = ACTIONS(959),
    [anon_sym_PIPE] = ACTIONS(959),
    [anon_sym_AMP_AMP] = ACTIONS(961),
    [anon_sym_PIPE_PIPE] = ACTIONS(961),
    [anon_sym_LT_LT] = ACTIONS(959),
    [anon_sym_GT_GT] = ACTIONS(959),
    [anon_sym_PLUS_EQ] = ACTIONS(961),
    [anon_sym_DASH_EQ] = ACTIONS(961),
    [anon_sym_STAR_EQ] = ACTIONS(961),
    [anon_sym_SLASH_EQ] = ACTIONS(961),
    [anon_sym_PERCENT_EQ] = ACTIONS(961),
    [anon_sym_CARET_EQ] = ACTIONS(961),
    [anon_sym_AMP_EQ] = ACTIONS(961),
    [anon_sym_PIPE_EQ] = ACTIONS(961),
    [anon_sym_LT_LT_EQ] = ACTIONS(961),
    [anon_sym_GT_GT_EQ] = ACTIONS(961),
    [anon_sym_EQ] = ACTIONS(959),
    [anon_sym_EQ_EQ] = ACTIONS(961),
    [anon_sym_BANG_EQ] = ACTIONS(961),
    [anon_sym_GT] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(959),
    [anon_sym_GT_EQ] = ACTIONS(961),
    [anon_sym_LT_EQ] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym__] = ACTIONS(959),
    [anon_sym_DOT] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(959),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(961),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(961),
    [anon_sym_COMMA] = ACTIONS(961),
    [anon_sym_COLON_COLON] = ACTIONS(961),
    [anon_sym_DASH_GT] = ACTIONS(961),
    [anon_sym_POUND] = ACTIONS(961),
    [anon_sym_SQUOTE] = ACTIONS(959),
    [anon_sym_as] = ACTIONS(959),
    [anon_sym_async] = ACTIONS(959),
    [anon_sym_await] = ACTIONS(959),
    [anon_sym_break] = ACTIONS(959),
    [anon_sym_const] = ACTIONS(959),
    [anon_sym_continue] = ACTIONS(959),
    [anon_sym_default] = ACTIONS(959),
    [anon_sym_enum] = ACTIONS(959),
    [anon_sym_fn] = ACTIONS(959),
    [anon_sym_for] = ACTIONS(959),
    [anon_sym_if] = ACTIONS(959),
    [anon_sym_impl] = ACTIONS(959),
    [anon_sym_let] = ACTIONS(959),
    [anon_sym_loop] = ACTIONS(959),
    [anon_sym_match] = ACTIONS(959),
    [anon_sym_mod] = ACTIONS(959),
    [anon_sym_pub] = ACTIONS(959),
    [anon_sym_return] = ACTIONS(959),
    [anon_sym_static] = ACTIONS(959),
    [anon_sym_struct] = ACTIONS(959),
    [anon_sym_trait] = ACTIONS(959),
    [anon_sym_type] = ACTIONS(959),
    [anon_sym_union] = ACTIONS(959),
    [anon_sym_unsafe] = ACTIONS(959),
    [anon_sym_use] = ACTIONS(959),
    [anon_sym_where] = ACTIONS(959),
    [anon_sym_while] = ACTIONS(959),
    [sym_mutable_specifier] = ACTIONS(959),
    [sym_integer_literal] = ACTIONS(961),
    [aux_sym_string_literal_token1] = ACTIONS(961),
    [sym_char_literal] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(959),
    [anon_sym_false] = ACTIONS(959),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(959),
    [sym_super] = ACTIONS(959),
    [sym_crate] = ACTIONS(959),
    [sym_metavariable] = ACTIONS(961),
    [sym__raw_string_literal_start] = ACTIONS(961),
    [sym_float_literal] = ACTIONS(961),
  },
  [165] = {
    [sym_line_comment] = STATE(165),
    [sym_block_comment] = STATE(165),
    [sym_identifier] = ACTIONS(963),
    [anon_sym_SEMI] = ACTIONS(965),
    [anon_sym_LPAREN] = ACTIONS(965),
    [anon_sym_RPAREN] = ACTIONS(965),
    [anon_sym_LBRACK] = ACTIONS(965),
    [anon_sym_RBRACK] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(965),
    [anon_sym_RBRACE] = ACTIONS(965),
    [anon_sym_EQ_GT] = ACTIONS(965),
    [anon_sym_COLON] = ACTIONS(963),
    [anon_sym_DOLLAR] = ACTIONS(963),
    [anon_sym_PLUS] = ACTIONS(963),
    [anon_sym_STAR] = ACTIONS(963),
    [anon_sym_QMARK] = ACTIONS(965),
    [anon_sym_u8] = ACTIONS(963),
    [anon_sym_i8] = ACTIONS(963),
    [anon_sym_u16] = ACTIONS(963),
    [anon_sym_i16] = ACTIONS(963),
    [anon_sym_u32] = ACTIONS(963),
    [anon_sym_i32] = ACTIONS(963),
    [anon_sym_u64] = ACTIONS(963),
    [anon_sym_i64] = ACTIONS(963),
    [anon_sym_u128] = ACTIONS(963),
    [anon_sym_i128] = ACTIONS(963),
    [anon_sym_isize] = ACTIONS(963),
    [anon_sym_usize] = ACTIONS(963),
    [anon_sym_f32] = ACTIONS(963),
    [anon_sym_f64] = ACTIONS(963),
    [anon_sym_bool] = ACTIONS(963),
    [anon_sym_str] = ACTIONS(963),
    [anon_sym_char] = ACTIONS(963),
    [anon_sym_DASH] = ACTIONS(963),
    [anon_sym_SLASH] = ACTIONS(963),
    [anon_sym_PERCENT] = ACTIONS(963),
    [anon_sym_CARET] = ACTIONS(963),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_AMP] = ACTIONS(963),
    [anon_sym_PIPE] = ACTIONS(963),
    [anon_sym_AMP_AMP] = ACTIONS(965),
    [anon_sym_PIPE_PIPE] = ACTIONS(965),
    [anon_sym_LT_LT] = ACTIONS(963),
    [anon_sym_GT_GT] = ACTIONS(963),
    [anon_sym_PLUS_EQ] = ACTIONS(965),
    [anon_sym_DASH_EQ] = ACTIONS(965),
    [anon_sym_STAR_EQ] = ACTIONS(965),
    [anon_sym_SLASH_EQ] = ACTIONS(965),
    [anon_sym_PERCENT_EQ] = ACTIONS(965),
    [anon_sym_CARET_EQ] = ACTIONS(965),
    [anon_sym_AMP_EQ] = ACTIONS(965),
    [anon_sym_PIPE_EQ] = ACTIONS(965),
    [anon_sym_LT_LT_EQ] = ACTIONS(965),
    [anon_sym_GT_GT_EQ] = ACTIONS(965),
    [anon_sym_EQ] = ACTIONS(963),
    [anon_sym_EQ_EQ] = ACTIONS(965),
    [anon_sym_BANG_EQ] = ACTIONS(965),
    [anon_sym_GT] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(963),
    [anon_sym_GT_EQ] = ACTIONS(965),
    [anon_sym_LT_EQ] = ACTIONS(965),
    [anon_sym_AT] = ACTIONS(965),
    [anon_sym__] = ACTIONS(963),
    [anon_sym_DOT] = ACTIONS(963),
    [anon_sym_DOT_DOT] = ACTIONS(963),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(965),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(965),
    [anon_sym_COMMA] = ACTIONS(965),
    [anon_sym_COLON_COLON] = ACTIONS(965),
    [anon_sym_DASH_GT] = ACTIONS(965),
    [anon_sym_POUND] = ACTIONS(965),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_as] = ACTIONS(963),
    [anon_sym_async] = ACTIONS(963),
    [anon_sym_await] = ACTIONS(963),
    [anon_sym_break] = ACTIONS(963),
    [anon_sym_const] = ACTIONS(963),
    [anon_sym_continue] = ACTIONS(963),
    [anon_sym_default] = ACTIONS(963),
    [anon_sym_enum] = ACTIONS(963),
    [anon_sym_fn] = ACTIONS(963),
    [anon_sym_for] = ACTIONS(963),
    [anon_sym_if] = ACTIONS(963),
    [anon_sym_impl] = ACTIONS(963),
    [anon_sym_let] = ACTIONS(963),
    [anon_sym_loop] = ACTIONS(963),
    [anon_sym_match] = ACTIONS(963),
    [anon_sym_mod] = ACTIONS(963),
    [anon_sym_pub] = ACTIONS(963),
    [anon_sym_return] = ACTIONS(963),
    [anon_sym_static] = ACTIONS(963),
    [anon_sym_struct] = ACTIONS(963),
    [anon_sym_trait] = ACTIONS(963),
    [anon_sym_type] = ACTIONS(963),
    [anon_sym_union] = ACTIONS(963),
    [anon_sym_unsafe] = ACTIONS(963),
    [anon_sym_use] = ACTIONS(963),
    [anon_sym_where] = ACTIONS(963),
    [anon_sym_while] = ACTIONS(963),
    [sym_mutable_specifier] = ACTIONS(963),
    [sym_integer_literal] = ACTIONS(965),
    [aux_sym_string_literal_token1] = ACTIONS(965),
    [sym_char_literal] = ACTIONS(965),
    [anon_sym_true] = ACTIONS(963),
    [anon_sym_false] = ACTIONS(963),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(963),
    [sym_super] = ACTIONS(963),
    [sym_crate] = ACTIONS(963),
    [sym_metavariable] = ACTIONS(965),
    [sym__raw_string_literal_start] = ACTIONS(965),
    [sym_float_literal] = ACTIONS(965),
  },
  [166] = {
    [sym_line_comment] = STATE(166),
    [sym_block_comment] = STATE(166),
    [sym_identifier] = ACTIONS(741),
    [anon_sym_SEMI] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(743),
    [anon_sym_RPAREN] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_RBRACK] = ACTIONS(743),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_RBRACE] = ACTIONS(743),
    [anon_sym_EQ_GT] = ACTIONS(743),
    [anon_sym_COLON] = ACTIONS(741),
    [anon_sym_DOLLAR] = ACTIONS(741),
    [anon_sym_PLUS] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(741),
    [anon_sym_QMARK] = ACTIONS(743),
    [anon_sym_u8] = ACTIONS(741),
    [anon_sym_i8] = ACTIONS(741),
    [anon_sym_u16] = ACTIONS(741),
    [anon_sym_i16] = ACTIONS(741),
    [anon_sym_u32] = ACTIONS(741),
    [anon_sym_i32] = ACTIONS(741),
    [anon_sym_u64] = ACTIONS(741),
    [anon_sym_i64] = ACTIONS(741),
    [anon_sym_u128] = ACTIONS(741),
    [anon_sym_i128] = ACTIONS(741),
    [anon_sym_isize] = ACTIONS(741),
    [anon_sym_usize] = ACTIONS(741),
    [anon_sym_f32] = ACTIONS(741),
    [anon_sym_f64] = ACTIONS(741),
    [anon_sym_bool] = ACTIONS(741),
    [anon_sym_str] = ACTIONS(741),
    [anon_sym_char] = ACTIONS(741),
    [anon_sym_DASH] = ACTIONS(741),
    [anon_sym_SLASH] = ACTIONS(741),
    [anon_sym_PERCENT] = ACTIONS(741),
    [anon_sym_CARET] = ACTIONS(741),
    [anon_sym_BANG] = ACTIONS(741),
    [anon_sym_AMP] = ACTIONS(741),
    [anon_sym_PIPE] = ACTIONS(741),
    [anon_sym_AMP_AMP] = ACTIONS(743),
    [anon_sym_PIPE_PIPE] = ACTIONS(743),
    [anon_sym_LT_LT] = ACTIONS(741),
    [anon_sym_GT_GT] = ACTIONS(741),
    [anon_sym_PLUS_EQ] = ACTIONS(743),
    [anon_sym_DASH_EQ] = ACTIONS(743),
    [anon_sym_STAR_EQ] = ACTIONS(743),
    [anon_sym_SLASH_EQ] = ACTIONS(743),
    [anon_sym_PERCENT_EQ] = ACTIONS(743),
    [anon_sym_CARET_EQ] = ACTIONS(743),
    [anon_sym_AMP_EQ] = ACTIONS(743),
    [anon_sym_PIPE_EQ] = ACTIONS(743),
    [anon_sym_LT_LT_EQ] = ACTIONS(743),
    [anon_sym_GT_GT_EQ] = ACTIONS(743),
    [anon_sym_EQ] = ACTIONS(741),
    [anon_sym_EQ_EQ] = ACTIONS(743),
    [anon_sym_BANG_EQ] = ACTIONS(743),
    [anon_sym_GT] = ACTIONS(741),
    [anon_sym_LT] = ACTIONS(741),
    [anon_sym_GT_EQ] = ACTIONS(743),
    [anon_sym_LT_EQ] = ACTIONS(743),
    [anon_sym_AT] = ACTIONS(743),
    [anon_sym__] = ACTIONS(741),
    [anon_sym_DOT] = ACTIONS(741),
    [anon_sym_DOT_DOT] = ACTIONS(741),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(743),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(743),
    [anon_sym_COMMA] = ACTIONS(743),
    [anon_sym_COLON_COLON] = ACTIONS(743),
    [anon_sym_DASH_GT] = ACTIONS(743),
    [anon_sym_POUND] = ACTIONS(743),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_as] = ACTIONS(741),
    [anon_sym_async] = ACTIONS(741),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_break] = ACTIONS(741),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_continue] = ACTIONS(741),
    [anon_sym_default] = ACTIONS(741),
    [anon_sym_enum] = ACTIONS(741),
    [anon_sym_fn] = ACTIONS(741),
    [anon_sym_for] = ACTIONS(741),
    [anon_sym_if] = ACTIONS(741),
    [anon_sym_impl] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(741),
    [anon_sym_loop] = ACTIONS(741),
    [anon_sym_match] = ACTIONS(741),
    [anon_sym_mod] = ACTIONS(741),
    [anon_sym_pub] = ACTIONS(741),
    [anon_sym_return] = ACTIONS(741),
    [anon_sym_static] = ACTIONS(741),
    [anon_sym_struct] = ACTIONS(741),
    [anon_sym_trait] = ACTIONS(741),
    [anon_sym_type] = ACTIONS(741),
    [anon_sym_union] = ACTIONS(741),
    [anon_sym_unsafe] = ACTIONS(741),
    [anon_sym_use] = ACTIONS(741),
    [anon_sym_where] = ACTIONS(741),
    [anon_sym_while] = ACTIONS(741),
    [sym_mutable_specifier] = ACTIONS(741),
    [sym_integer_literal] = ACTIONS(743),
    [aux_sym_string_literal_token1] = ACTIONS(743),
    [sym_char_literal] = ACTIONS(743),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(741),
    [sym_super] = ACTIONS(741),
    [sym_crate] = ACTIONS(741),
    [sym_metavariable] = ACTIONS(743),
    [sym__raw_string_literal_start] = ACTIONS(743),
    [sym_float_literal] = ACTIONS(743),
  },
  [167] = {
    [sym_line_comment] = STATE(167),
    [sym_block_comment] = STATE(167),
    [sym_identifier] = ACTIONS(967),
    [anon_sym_SEMI] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(969),
    [anon_sym_RPAREN] = ACTIONS(969),
    [anon_sym_LBRACK] = ACTIONS(969),
    [anon_sym_RBRACK] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(969),
    [anon_sym_RBRACE] = ACTIONS(969),
    [anon_sym_EQ_GT] = ACTIONS(969),
    [anon_sym_COLON] = ACTIONS(967),
    [anon_sym_DOLLAR] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(967),
    [anon_sym_STAR] = ACTIONS(967),
    [anon_sym_QMARK] = ACTIONS(969),
    [anon_sym_u8] = ACTIONS(967),
    [anon_sym_i8] = ACTIONS(967),
    [anon_sym_u16] = ACTIONS(967),
    [anon_sym_i16] = ACTIONS(967),
    [anon_sym_u32] = ACTIONS(967),
    [anon_sym_i32] = ACTIONS(967),
    [anon_sym_u64] = ACTIONS(967),
    [anon_sym_i64] = ACTIONS(967),
    [anon_sym_u128] = ACTIONS(967),
    [anon_sym_i128] = ACTIONS(967),
    [anon_sym_isize] = ACTIONS(967),
    [anon_sym_usize] = ACTIONS(967),
    [anon_sym_f32] = ACTIONS(967),
    [anon_sym_f64] = ACTIONS(967),
    [anon_sym_bool] = ACTIONS(967),
    [anon_sym_str] = ACTIONS(967),
    [anon_sym_char] = ACTIONS(967),
    [anon_sym_DASH] = ACTIONS(967),
    [anon_sym_SLASH] = ACTIONS(967),
    [anon_sym_PERCENT] = ACTIONS(967),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(967),
    [anon_sym_AMP] = ACTIONS(967),
    [anon_sym_PIPE] = ACTIONS(967),
    [anon_sym_AMP_AMP] = ACTIONS(969),
    [anon_sym_PIPE_PIPE] = ACTIONS(969),
    [anon_sym_LT_LT] = ACTIONS(967),
    [anon_sym_GT_GT] = ACTIONS(967),
    [anon_sym_PLUS_EQ] = ACTIONS(969),
    [anon_sym_DASH_EQ] = ACTIONS(969),
    [anon_sym_STAR_EQ] = ACTIONS(969),
    [anon_sym_SLASH_EQ] = ACTIONS(969),
    [anon_sym_PERCENT_EQ] = ACTIONS(969),
    [anon_sym_CARET_EQ] = ACTIONS(969),
    [anon_sym_AMP_EQ] = ACTIONS(969),
    [anon_sym_PIPE_EQ] = ACTIONS(969),
    [anon_sym_LT_LT_EQ] = ACTIONS(969),
    [anon_sym_GT_GT_EQ] = ACTIONS(969),
    [anon_sym_EQ] = ACTIONS(967),
    [anon_sym_EQ_EQ] = ACTIONS(969),
    [anon_sym_BANG_EQ] = ACTIONS(969),
    [anon_sym_GT] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(967),
    [anon_sym_GT_EQ] = ACTIONS(969),
    [anon_sym_LT_EQ] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(969),
    [anon_sym__] = ACTIONS(967),
    [anon_sym_DOT] = ACTIONS(967),
    [anon_sym_DOT_DOT] = ACTIONS(967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(969),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(969),
    [anon_sym_COMMA] = ACTIONS(969),
    [anon_sym_COLON_COLON] = ACTIONS(969),
    [anon_sym_DASH_GT] = ACTIONS(969),
    [anon_sym_POUND] = ACTIONS(969),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_as] = ACTIONS(967),
    [anon_sym_async] = ACTIONS(967),
    [anon_sym_await] = ACTIONS(967),
    [anon_sym_break] = ACTIONS(967),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_continue] = ACTIONS(967),
    [anon_sym_default] = ACTIONS(967),
    [anon_sym_enum] = ACTIONS(967),
    [anon_sym_fn] = ACTIONS(967),
    [anon_sym_for] = ACTIONS(967),
    [anon_sym_if] = ACTIONS(967),
    [anon_sym_impl] = ACTIONS(967),
    [anon_sym_let] = ACTIONS(967),
    [anon_sym_loop] = ACTIONS(967),
    [anon_sym_match] = ACTIONS(967),
    [anon_sym_mod] = ACTIONS(967),
    [anon_sym_pub] = ACTIONS(967),
    [anon_sym_return] = ACTIONS(967),
    [anon_sym_static] = ACTIONS(967),
    [anon_sym_struct] = ACTIONS(967),
    [anon_sym_trait] = ACTIONS(967),
    [anon_sym_type] = ACTIONS(967),
    [anon_sym_union] = ACTIONS(967),
    [anon_sym_unsafe] = ACTIONS(967),
    [anon_sym_use] = ACTIONS(967),
    [anon_sym_where] = ACTIONS(967),
    [anon_sym_while] = ACTIONS(967),
    [sym_mutable_specifier] = ACTIONS(967),
    [sym_integer_literal] = ACTIONS(969),
    [aux_sym_string_literal_token1] = ACTIONS(969),
    [sym_char_literal] = ACTIONS(969),
    [anon_sym_true] = ACTIONS(967),
    [anon_sym_false] = ACTIONS(967),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(967),
    [sym_super] = ACTIONS(967),
    [sym_crate] = ACTIONS(967),
    [sym_metavariable] = ACTIONS(969),
    [sym__raw_string_literal_start] = ACTIONS(969),
    [sym_float_literal] = ACTIONS(969),
  },
  [168] = {
    [sym_line_comment] = STATE(168),
    [sym_block_comment] = STATE(168),
    [sym_identifier] = ACTIONS(741),
    [anon_sym_SEMI] = ACTIONS(743),
    [anon_sym_LPAREN] = ACTIONS(743),
    [anon_sym_RPAREN] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(743),
    [anon_sym_RBRACK] = ACTIONS(743),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_RBRACE] = ACTIONS(743),
    [anon_sym_EQ_GT] = ACTIONS(743),
    [anon_sym_COLON] = ACTIONS(971),
    [anon_sym_DOLLAR] = ACTIONS(741),
    [anon_sym_PLUS] = ACTIONS(741),
    [anon_sym_STAR] = ACTIONS(741),
    [anon_sym_QMARK] = ACTIONS(743),
    [anon_sym_u8] = ACTIONS(741),
    [anon_sym_i8] = ACTIONS(741),
    [anon_sym_u16] = ACTIONS(741),
    [anon_sym_i16] = ACTIONS(741),
    [anon_sym_u32] = ACTIONS(741),
    [anon_sym_i32] = ACTIONS(741),
    [anon_sym_u64] = ACTIONS(741),
    [anon_sym_i64] = ACTIONS(741),
    [anon_sym_u128] = ACTIONS(741),
    [anon_sym_i128] = ACTIONS(741),
    [anon_sym_isize] = ACTIONS(741),
    [anon_sym_usize] = ACTIONS(741),
    [anon_sym_f32] = ACTIONS(741),
    [anon_sym_f64] = ACTIONS(741),
    [anon_sym_bool] = ACTIONS(741),
    [anon_sym_str] = ACTIONS(741),
    [anon_sym_char] = ACTIONS(741),
    [anon_sym_DASH] = ACTIONS(741),
    [anon_sym_SLASH] = ACTIONS(741),
    [anon_sym_PERCENT] = ACTIONS(741),
    [anon_sym_CARET] = ACTIONS(741),
    [anon_sym_BANG] = ACTIONS(741),
    [anon_sym_AMP] = ACTIONS(741),
    [anon_sym_PIPE] = ACTIONS(741),
    [anon_sym_AMP_AMP] = ACTIONS(743),
    [anon_sym_PIPE_PIPE] = ACTIONS(743),
    [anon_sym_LT_LT] = ACTIONS(741),
    [anon_sym_GT_GT] = ACTIONS(741),
    [anon_sym_PLUS_EQ] = ACTIONS(743),
    [anon_sym_DASH_EQ] = ACTIONS(743),
    [anon_sym_STAR_EQ] = ACTIONS(743),
    [anon_sym_SLASH_EQ] = ACTIONS(743),
    [anon_sym_PERCENT_EQ] = ACTIONS(743),
    [anon_sym_CARET_EQ] = ACTIONS(743),
    [anon_sym_AMP_EQ] = ACTIONS(743),
    [anon_sym_PIPE_EQ] = ACTIONS(743),
    [anon_sym_LT_LT_EQ] = ACTIONS(743),
    [anon_sym_GT_GT_EQ] = ACTIONS(743),
    [anon_sym_EQ] = ACTIONS(741),
    [anon_sym_EQ_EQ] = ACTIONS(743),
    [anon_sym_BANG_EQ] = ACTIONS(743),
    [anon_sym_GT] = ACTIONS(741),
    [anon_sym_LT] = ACTIONS(741),
    [anon_sym_GT_EQ] = ACTIONS(743),
    [anon_sym_LT_EQ] = ACTIONS(743),
    [anon_sym_AT] = ACTIONS(743),
    [anon_sym__] = ACTIONS(741),
    [anon_sym_DOT] = ACTIONS(741),
    [anon_sym_DOT_DOT] = ACTIONS(741),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(743),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(743),
    [anon_sym_COMMA] = ACTIONS(743),
    [anon_sym_COLON_COLON] = ACTIONS(743),
    [anon_sym_DASH_GT] = ACTIONS(743),
    [anon_sym_POUND] = ACTIONS(743),
    [anon_sym_SQUOTE] = ACTIONS(741),
    [anon_sym_as] = ACTIONS(741),
    [anon_sym_async] = ACTIONS(741),
    [anon_sym_await] = ACTIONS(741),
    [anon_sym_break] = ACTIONS(741),
    [anon_sym_const] = ACTIONS(741),
    [anon_sym_continue] = ACTIONS(741),
    [anon_sym_default] = ACTIONS(741),
    [anon_sym_enum] = ACTIONS(741),
    [anon_sym_fn] = ACTIONS(741),
    [anon_sym_for] = ACTIONS(741),
    [anon_sym_if] = ACTIONS(741),
    [anon_sym_impl] = ACTIONS(741),
    [anon_sym_let] = ACTIONS(741),
    [anon_sym_loop] = ACTIONS(741),
    [anon_sym_match] = ACTIONS(741),
    [anon_sym_mod] = ACTIONS(741),
    [anon_sym_pub] = ACTIONS(741),
    [anon_sym_return] = ACTIONS(741),
    [anon_sym_static] = ACTIONS(741),
    [anon_sym_struct] = ACTIONS(741),
    [anon_sym_trait] = ACTIONS(741),
    [anon_sym_type] = ACTIONS(741),
    [anon_sym_union] = ACTIONS(741),
    [anon_sym_unsafe] = ACTIONS(741),
    [anon_sym_use] = ACTIONS(741),
    [anon_sym_where] = ACTIONS(741),
    [anon_sym_while] = ACTIONS(741),
    [sym_mutable_specifier] = ACTIONS(741),
    [sym_integer_literal] = ACTIONS(743),
    [aux_sym_string_literal_token1] = ACTIONS(743),
    [sym_char_literal] = ACTIONS(743),
    [anon_sym_true] = ACTIONS(741),
    [anon_sym_false] = ACTIONS(741),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(741),
    [sym_super] = ACTIONS(741),
    [sym_crate] = ACTIONS(741),
    [sym_metavariable] = ACTIONS(743),
    [sym__raw_string_literal_start] = ACTIONS(743),
    [sym_float_literal] = ACTIONS(743),
  },
  [169] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1699),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_let_condition] = STATE(2823),
    [sym__let_chain] = STATE(2887),
    [sym__condition] = STATE(2593),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(169),
    [sym_block_comment] = STATE(169),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(977),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [170] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1699),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_let_condition] = STATE(2823),
    [sym__let_chain] = STATE(2887),
    [sym__condition] = STATE(2730),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(170),
    [sym_block_comment] = STATE(170),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(977),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [171] = {
    [sym_attribute_item] = STATE(1003),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1840),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(171),
    [sym_block_comment] = STATE(171),
    [aux_sym_enum_variant_list_repeat1] = STATE(212),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_RPAREN] = ACTIONS(981),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [172] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1699),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_let_condition] = STATE(2823),
    [sym__let_chain] = STATE(2887),
    [sym__condition] = STATE(2504),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(172),
    [sym_block_comment] = STATE(172),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(977),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [173] = {
    [sym_line_comment] = STATE(173),
    [sym_block_comment] = STATE(173),
    [sym_identifier] = ACTIONS(935),
    [anon_sym_SEMI] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(937),
    [anon_sym_RPAREN] = ACTIONS(937),
    [anon_sym_LBRACK] = ACTIONS(937),
    [anon_sym_RBRACK] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(937),
    [anon_sym_RBRACE] = ACTIONS(937),
    [anon_sym_EQ_GT] = ACTIONS(937),
    [anon_sym_COLON] = ACTIONS(935),
    [anon_sym_DOLLAR] = ACTIONS(937),
    [anon_sym_PLUS] = ACTIONS(935),
    [anon_sym_STAR] = ACTIONS(935),
    [anon_sym_QMARK] = ACTIONS(937),
    [anon_sym_u8] = ACTIONS(935),
    [anon_sym_i8] = ACTIONS(935),
    [anon_sym_u16] = ACTIONS(935),
    [anon_sym_i16] = ACTIONS(935),
    [anon_sym_u32] = ACTIONS(935),
    [anon_sym_i32] = ACTIONS(935),
    [anon_sym_u64] = ACTIONS(935),
    [anon_sym_i64] = ACTIONS(935),
    [anon_sym_u128] = ACTIONS(935),
    [anon_sym_i128] = ACTIONS(935),
    [anon_sym_isize] = ACTIONS(935),
    [anon_sym_usize] = ACTIONS(935),
    [anon_sym_f32] = ACTIONS(935),
    [anon_sym_f64] = ACTIONS(935),
    [anon_sym_bool] = ACTIONS(935),
    [anon_sym_str] = ACTIONS(935),
    [anon_sym_char] = ACTIONS(935),
    [anon_sym_DASH] = ACTIONS(935),
    [anon_sym_SLASH] = ACTIONS(935),
    [anon_sym_PERCENT] = ACTIONS(935),
    [anon_sym_CARET] = ACTIONS(935),
    [anon_sym_BANG] = ACTIONS(935),
    [anon_sym_AMP] = ACTIONS(935),
    [anon_sym_PIPE] = ACTIONS(935),
    [anon_sym_AMP_AMP] = ACTIONS(937),
    [anon_sym_PIPE_PIPE] = ACTIONS(937),
    [anon_sym_LT_LT] = ACTIONS(935),
    [anon_sym_GT_GT] = ACTIONS(935),
    [anon_sym_PLUS_EQ] = ACTIONS(937),
    [anon_sym_DASH_EQ] = ACTIONS(937),
    [anon_sym_STAR_EQ] = ACTIONS(937),
    [anon_sym_SLASH_EQ] = ACTIONS(937),
    [anon_sym_PERCENT_EQ] = ACTIONS(937),
    [anon_sym_CARET_EQ] = ACTIONS(937),
    [anon_sym_AMP_EQ] = ACTIONS(937),
    [anon_sym_PIPE_EQ] = ACTIONS(937),
    [anon_sym_LT_LT_EQ] = ACTIONS(937),
    [anon_sym_GT_GT_EQ] = ACTIONS(937),
    [anon_sym_EQ] = ACTIONS(935),
    [anon_sym_EQ_EQ] = ACTIONS(937),
    [anon_sym_BANG_EQ] = ACTIONS(937),
    [anon_sym_GT] = ACTIONS(935),
    [anon_sym_LT] = ACTIONS(935),
    [anon_sym_GT_EQ] = ACTIONS(937),
    [anon_sym_LT_EQ] = ACTIONS(937),
    [anon_sym_AT] = ACTIONS(937),
    [anon_sym__] = ACTIONS(935),
    [anon_sym_DOT] = ACTIONS(935),
    [anon_sym_DOT_DOT] = ACTIONS(935),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(937),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(937),
    [anon_sym_COMMA] = ACTIONS(937),
    [anon_sym_COLON_COLON] = ACTIONS(937),
    [anon_sym_DASH_GT] = ACTIONS(937),
    [anon_sym_POUND] = ACTIONS(937),
    [anon_sym_SQUOTE] = ACTIONS(935),
    [anon_sym_as] = ACTIONS(935),
    [anon_sym_async] = ACTIONS(935),
    [anon_sym_await] = ACTIONS(935),
    [anon_sym_break] = ACTIONS(935),
    [anon_sym_const] = ACTIONS(935),
    [anon_sym_continue] = ACTIONS(935),
    [anon_sym_default] = ACTIONS(935),
    [anon_sym_enum] = ACTIONS(935),
    [anon_sym_fn] = ACTIONS(935),
    [anon_sym_for] = ACTIONS(935),
    [anon_sym_if] = ACTIONS(935),
    [anon_sym_impl] = ACTIONS(935),
    [anon_sym_let] = ACTIONS(935),
    [anon_sym_loop] = ACTIONS(935),
    [anon_sym_match] = ACTIONS(935),
    [anon_sym_mod] = ACTIONS(935),
    [anon_sym_pub] = ACTIONS(935),
    [anon_sym_return] = ACTIONS(935),
    [anon_sym_static] = ACTIONS(935),
    [anon_sym_struct] = ACTIONS(935),
    [anon_sym_trait] = ACTIONS(935),
    [anon_sym_type] = ACTIONS(935),
    [anon_sym_union] = ACTIONS(935),
    [anon_sym_unsafe] = ACTIONS(935),
    [anon_sym_use] = ACTIONS(935),
    [anon_sym_where] = ACTIONS(935),
    [anon_sym_while] = ACTIONS(935),
    [sym_mutable_specifier] = ACTIONS(935),
    [sym_integer_literal] = ACTIONS(937),
    [aux_sym_string_literal_token1] = ACTIONS(937),
    [sym_char_literal] = ACTIONS(937),
    [anon_sym_true] = ACTIONS(935),
    [anon_sym_false] = ACTIONS(935),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(935),
    [sym_super] = ACTIONS(935),
    [sym_crate] = ACTIONS(935),
    [sym__raw_string_literal_start] = ACTIONS(937),
    [sym_float_literal] = ACTIONS(937),
  },
  [174] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1699),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_let_condition] = STATE(2823),
    [sym__let_chain] = STATE(2887),
    [sym__condition] = STATE(2573),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(174),
    [sym_block_comment] = STATE(174),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(977),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [175] = {
    [sym_line_comment] = STATE(175),
    [sym_block_comment] = STATE(175),
    [sym_identifier] = ACTIONS(967),
    [anon_sym_SEMI] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(969),
    [anon_sym_RPAREN] = ACTIONS(969),
    [anon_sym_LBRACK] = ACTIONS(969),
    [anon_sym_RBRACK] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(969),
    [anon_sym_RBRACE] = ACTIONS(969),
    [anon_sym_EQ_GT] = ACTIONS(969),
    [anon_sym_COLON] = ACTIONS(967),
    [anon_sym_DOLLAR] = ACTIONS(969),
    [anon_sym_PLUS] = ACTIONS(967),
    [anon_sym_STAR] = ACTIONS(967),
    [anon_sym_QMARK] = ACTIONS(969),
    [anon_sym_u8] = ACTIONS(967),
    [anon_sym_i8] = ACTIONS(967),
    [anon_sym_u16] = ACTIONS(967),
    [anon_sym_i16] = ACTIONS(967),
    [anon_sym_u32] = ACTIONS(967),
    [anon_sym_i32] = ACTIONS(967),
    [anon_sym_u64] = ACTIONS(967),
    [anon_sym_i64] = ACTIONS(967),
    [anon_sym_u128] = ACTIONS(967),
    [anon_sym_i128] = ACTIONS(967),
    [anon_sym_isize] = ACTIONS(967),
    [anon_sym_usize] = ACTIONS(967),
    [anon_sym_f32] = ACTIONS(967),
    [anon_sym_f64] = ACTIONS(967),
    [anon_sym_bool] = ACTIONS(967),
    [anon_sym_str] = ACTIONS(967),
    [anon_sym_char] = ACTIONS(967),
    [anon_sym_DASH] = ACTIONS(967),
    [anon_sym_SLASH] = ACTIONS(967),
    [anon_sym_PERCENT] = ACTIONS(967),
    [anon_sym_CARET] = ACTIONS(967),
    [anon_sym_BANG] = ACTIONS(967),
    [anon_sym_AMP] = ACTIONS(967),
    [anon_sym_PIPE] = ACTIONS(967),
    [anon_sym_AMP_AMP] = ACTIONS(969),
    [anon_sym_PIPE_PIPE] = ACTIONS(969),
    [anon_sym_LT_LT] = ACTIONS(967),
    [anon_sym_GT_GT] = ACTIONS(967),
    [anon_sym_PLUS_EQ] = ACTIONS(969),
    [anon_sym_DASH_EQ] = ACTIONS(969),
    [anon_sym_STAR_EQ] = ACTIONS(969),
    [anon_sym_SLASH_EQ] = ACTIONS(969),
    [anon_sym_PERCENT_EQ] = ACTIONS(969),
    [anon_sym_CARET_EQ] = ACTIONS(969),
    [anon_sym_AMP_EQ] = ACTIONS(969),
    [anon_sym_PIPE_EQ] = ACTIONS(969),
    [anon_sym_LT_LT_EQ] = ACTIONS(969),
    [anon_sym_GT_GT_EQ] = ACTIONS(969),
    [anon_sym_EQ] = ACTIONS(967),
    [anon_sym_EQ_EQ] = ACTIONS(969),
    [anon_sym_BANG_EQ] = ACTIONS(969),
    [anon_sym_GT] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(967),
    [anon_sym_GT_EQ] = ACTIONS(969),
    [anon_sym_LT_EQ] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(969),
    [anon_sym__] = ACTIONS(967),
    [anon_sym_DOT] = ACTIONS(967),
    [anon_sym_DOT_DOT] = ACTIONS(967),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(969),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(969),
    [anon_sym_COMMA] = ACTIONS(969),
    [anon_sym_COLON_COLON] = ACTIONS(969),
    [anon_sym_DASH_GT] = ACTIONS(969),
    [anon_sym_POUND] = ACTIONS(969),
    [anon_sym_SQUOTE] = ACTIONS(967),
    [anon_sym_as] = ACTIONS(967),
    [anon_sym_async] = ACTIONS(967),
    [anon_sym_await] = ACTIONS(967),
    [anon_sym_break] = ACTIONS(967),
    [anon_sym_const] = ACTIONS(967),
    [anon_sym_continue] = ACTIONS(967),
    [anon_sym_default] = ACTIONS(967),
    [anon_sym_enum] = ACTIONS(967),
    [anon_sym_fn] = ACTIONS(967),
    [anon_sym_for] = ACTIONS(967),
    [anon_sym_if] = ACTIONS(967),
    [anon_sym_impl] = ACTIONS(967),
    [anon_sym_let] = ACTIONS(967),
    [anon_sym_loop] = ACTIONS(967),
    [anon_sym_match] = ACTIONS(967),
    [anon_sym_mod] = ACTIONS(967),
    [anon_sym_pub] = ACTIONS(967),
    [anon_sym_return] = ACTIONS(967),
    [anon_sym_static] = ACTIONS(967),
    [anon_sym_struct] = ACTIONS(967),
    [anon_sym_trait] = ACTIONS(967),
    [anon_sym_type] = ACTIONS(967),
    [anon_sym_union] = ACTIONS(967),
    [anon_sym_unsafe] = ACTIONS(967),
    [anon_sym_use] = ACTIONS(967),
    [anon_sym_where] = ACTIONS(967),
    [anon_sym_while] = ACTIONS(967),
    [sym_mutable_specifier] = ACTIONS(967),
    [sym_integer_literal] = ACTIONS(969),
    [aux_sym_string_literal_token1] = ACTIONS(969),
    [sym_char_literal] = ACTIONS(969),
    [anon_sym_true] = ACTIONS(967),
    [anon_sym_false] = ACTIONS(967),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(967),
    [sym_super] = ACTIONS(967),
    [sym_crate] = ACTIONS(967),
    [sym__raw_string_literal_start] = ACTIONS(969),
    [sym_float_literal] = ACTIONS(969),
  },
  [176] = {
    [sym_line_comment] = STATE(176),
    [sym_block_comment] = STATE(176),
    [sym_identifier] = ACTIONS(753),
    [anon_sym_SEMI] = ACTIONS(755),
    [anon_sym_LPAREN] = ACTIONS(755),
    [anon_sym_RPAREN] = ACTIONS(755),
    [anon_sym_LBRACK] = ACTIONS(755),
    [anon_sym_RBRACK] = ACTIONS(755),
    [anon_sym_LBRACE] = ACTIONS(755),
    [anon_sym_RBRACE] = ACTIONS(755),
    [anon_sym_EQ_GT] = ACTIONS(755),
    [anon_sym_COLON] = ACTIONS(753),
    [anon_sym_DOLLAR] = ACTIONS(755),
    [anon_sym_PLUS] = ACTIONS(753),
    [anon_sym_STAR] = ACTIONS(753),
    [anon_sym_QMARK] = ACTIONS(755),
    [anon_sym_u8] = ACTIONS(753),
    [anon_sym_i8] = ACTIONS(753),
    [anon_sym_u16] = ACTIONS(753),
    [anon_sym_i16] = ACTIONS(753),
    [anon_sym_u32] = ACTIONS(753),
    [anon_sym_i32] = ACTIONS(753),
    [anon_sym_u64] = ACTIONS(753),
    [anon_sym_i64] = ACTIONS(753),
    [anon_sym_u128] = ACTIONS(753),
    [anon_sym_i128] = ACTIONS(753),
    [anon_sym_isize] = ACTIONS(753),
    [anon_sym_usize] = ACTIONS(753),
    [anon_sym_f32] = ACTIONS(753),
    [anon_sym_f64] = ACTIONS(753),
    [anon_sym_bool] = ACTIONS(753),
    [anon_sym_str] = ACTIONS(753),
    [anon_sym_char] = ACTIONS(753),
    [anon_sym_DASH] = ACTIONS(753),
    [anon_sym_SLASH] = ACTIONS(753),
    [anon_sym_PERCENT] = ACTIONS(753),
    [anon_sym_CARET] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(753),
    [anon_sym_AMP] = ACTIONS(753),
    [anon_sym_PIPE] = ACTIONS(753),
    [anon_sym_AMP_AMP] = ACTIONS(755),
    [anon_sym_PIPE_PIPE] = ACTIONS(755),
    [anon_sym_LT_LT] = ACTIONS(753),
    [anon_sym_GT_GT] = ACTIONS(753),
    [anon_sym_PLUS_EQ] = ACTIONS(755),
    [anon_sym_DASH_EQ] = ACTIONS(755),
    [anon_sym_STAR_EQ] = ACTIONS(755),
    [anon_sym_SLASH_EQ] = ACTIONS(755),
    [anon_sym_PERCENT_EQ] = ACTIONS(755),
    [anon_sym_CARET_EQ] = ACTIONS(755),
    [anon_sym_AMP_EQ] = ACTIONS(755),
    [anon_sym_PIPE_EQ] = ACTIONS(755),
    [anon_sym_LT_LT_EQ] = ACTIONS(755),
    [anon_sym_GT_GT_EQ] = ACTIONS(755),
    [anon_sym_EQ] = ACTIONS(753),
    [anon_sym_EQ_EQ] = ACTIONS(755),
    [anon_sym_BANG_EQ] = ACTIONS(755),
    [anon_sym_GT] = ACTIONS(753),
    [anon_sym_LT] = ACTIONS(753),
    [anon_sym_GT_EQ] = ACTIONS(755),
    [anon_sym_LT_EQ] = ACTIONS(755),
    [anon_sym_AT] = ACTIONS(755),
    [anon_sym__] = ACTIONS(753),
    [anon_sym_DOT] = ACTIONS(753),
    [anon_sym_DOT_DOT] = ACTIONS(753),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(755),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(755),
    [anon_sym_COMMA] = ACTIONS(755),
    [anon_sym_COLON_COLON] = ACTIONS(755),
    [anon_sym_DASH_GT] = ACTIONS(755),
    [anon_sym_POUND] = ACTIONS(755),
    [anon_sym_SQUOTE] = ACTIONS(753),
    [anon_sym_as] = ACTIONS(753),
    [anon_sym_async] = ACTIONS(753),
    [anon_sym_await] = ACTIONS(753),
    [anon_sym_break] = ACTIONS(753),
    [anon_sym_const] = ACTIONS(753),
    [anon_sym_continue] = ACTIONS(753),
    [anon_sym_default] = ACTIONS(753),
    [anon_sym_enum] = ACTIONS(753),
    [anon_sym_fn] = ACTIONS(753),
    [anon_sym_for] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(753),
    [anon_sym_impl] = ACTIONS(753),
    [anon_sym_let] = ACTIONS(753),
    [anon_sym_loop] = ACTIONS(753),
    [anon_sym_match] = ACTIONS(753),
    [anon_sym_mod] = ACTIONS(753),
    [anon_sym_pub] = ACTIONS(753),
    [anon_sym_return] = ACTIONS(753),
    [anon_sym_static] = ACTIONS(753),
    [anon_sym_struct] = ACTIONS(753),
    [anon_sym_trait] = ACTIONS(753),
    [anon_sym_type] = ACTIONS(753),
    [anon_sym_union] = ACTIONS(753),
    [anon_sym_unsafe] = ACTIONS(753),
    [anon_sym_use] = ACTIONS(753),
    [anon_sym_where] = ACTIONS(753),
    [anon_sym_while] = ACTIONS(753),
    [sym_mutable_specifier] = ACTIONS(753),
    [sym_integer_literal] = ACTIONS(755),
    [aux_sym_string_literal_token1] = ACTIONS(755),
    [sym_char_literal] = ACTIONS(755),
    [anon_sym_true] = ACTIONS(753),
    [anon_sym_false] = ACTIONS(753),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(753),
    [sym_super] = ACTIONS(753),
    [sym_crate] = ACTIONS(753),
    [sym__raw_string_literal_start] = ACTIONS(755),
    [sym_float_literal] = ACTIONS(755),
  },
  [177] = {
    [sym_line_comment] = STATE(177),
    [sym_block_comment] = STATE(177),
    [sym_identifier] = ACTIONS(767),
    [anon_sym_SEMI] = ACTIONS(769),
    [anon_sym_LPAREN] = ACTIONS(769),
    [anon_sym_RPAREN] = ACTIONS(769),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_RBRACK] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(769),
    [anon_sym_RBRACE] = ACTIONS(769),
    [anon_sym_EQ_GT] = ACTIONS(769),
    [anon_sym_COLON] = ACTIONS(767),
    [anon_sym_DOLLAR] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(767),
    [anon_sym_STAR] = ACTIONS(767),
    [anon_sym_QMARK] = ACTIONS(769),
    [anon_sym_u8] = ACTIONS(767),
    [anon_sym_i8] = ACTIONS(767),
    [anon_sym_u16] = ACTIONS(767),
    [anon_sym_i16] = ACTIONS(767),
    [anon_sym_u32] = ACTIONS(767),
    [anon_sym_i32] = ACTIONS(767),
    [anon_sym_u64] = ACTIONS(767),
    [anon_sym_i64] = ACTIONS(767),
    [anon_sym_u128] = ACTIONS(767),
    [anon_sym_i128] = ACTIONS(767),
    [anon_sym_isize] = ACTIONS(767),
    [anon_sym_usize] = ACTIONS(767),
    [anon_sym_f32] = ACTIONS(767),
    [anon_sym_f64] = ACTIONS(767),
    [anon_sym_bool] = ACTIONS(767),
    [anon_sym_str] = ACTIONS(767),
    [anon_sym_char] = ACTIONS(767),
    [anon_sym_DASH] = ACTIONS(767),
    [anon_sym_SLASH] = ACTIONS(767),
    [anon_sym_PERCENT] = ACTIONS(767),
    [anon_sym_CARET] = ACTIONS(767),
    [anon_sym_BANG] = ACTIONS(767),
    [anon_sym_AMP] = ACTIONS(767),
    [anon_sym_PIPE] = ACTIONS(767),
    [anon_sym_AMP_AMP] = ACTIONS(769),
    [anon_sym_PIPE_PIPE] = ACTIONS(769),
    [anon_sym_LT_LT] = ACTIONS(767),
    [anon_sym_GT_GT] = ACTIONS(767),
    [anon_sym_PLUS_EQ] = ACTIONS(769),
    [anon_sym_DASH_EQ] = ACTIONS(769),
    [anon_sym_STAR_EQ] = ACTIONS(769),
    [anon_sym_SLASH_EQ] = ACTIONS(769),
    [anon_sym_PERCENT_EQ] = ACTIONS(769),
    [anon_sym_CARET_EQ] = ACTIONS(769),
    [anon_sym_AMP_EQ] = ACTIONS(769),
    [anon_sym_PIPE_EQ] = ACTIONS(769),
    [anon_sym_LT_LT_EQ] = ACTIONS(769),
    [anon_sym_GT_GT_EQ] = ACTIONS(769),
    [anon_sym_EQ] = ACTIONS(767),
    [anon_sym_EQ_EQ] = ACTIONS(769),
    [anon_sym_BANG_EQ] = ACTIONS(769),
    [anon_sym_GT] = ACTIONS(767),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(769),
    [anon_sym_LT_EQ] = ACTIONS(769),
    [anon_sym_AT] = ACTIONS(769),
    [anon_sym__] = ACTIONS(767),
    [anon_sym_DOT] = ACTIONS(767),
    [anon_sym_DOT_DOT] = ACTIONS(767),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(769),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(769),
    [anon_sym_COMMA] = ACTIONS(769),
    [anon_sym_COLON_COLON] = ACTIONS(769),
    [anon_sym_DASH_GT] = ACTIONS(769),
    [anon_sym_POUND] = ACTIONS(769),
    [anon_sym_SQUOTE] = ACTIONS(767),
    [anon_sym_as] = ACTIONS(767),
    [anon_sym_async] = ACTIONS(767),
    [anon_sym_await] = ACTIONS(767),
    [anon_sym_break] = ACTIONS(767),
    [anon_sym_const] = ACTIONS(767),
    [anon_sym_continue] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(767),
    [anon_sym_enum] = ACTIONS(767),
    [anon_sym_fn] = ACTIONS(767),
    [anon_sym_for] = ACTIONS(767),
    [anon_sym_if] = ACTIONS(767),
    [anon_sym_impl] = ACTIONS(767),
    [anon_sym_let] = ACTIONS(767),
    [anon_sym_loop] = ACTIONS(767),
    [anon_sym_match] = ACTIONS(767),
    [anon_sym_mod] = ACTIONS(767),
    [anon_sym_pub] = ACTIONS(767),
    [anon_sym_return] = ACTIONS(767),
    [anon_sym_static] = ACTIONS(767),
    [anon_sym_struct] = ACTIONS(767),
    [anon_sym_trait] = ACTIONS(767),
    [anon_sym_type] = ACTIONS(767),
    [anon_sym_union] = ACTIONS(767),
    [anon_sym_unsafe] = ACTIONS(767),
    [anon_sym_use] = ACTIONS(767),
    [anon_sym_where] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(767),
    [sym_mutable_specifier] = ACTIONS(767),
    [sym_integer_literal] = ACTIONS(769),
    [aux_sym_string_literal_token1] = ACTIONS(769),
    [sym_char_literal] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(767),
    [anon_sym_false] = ACTIONS(767),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(767),
    [sym_super] = ACTIONS(767),
    [sym_crate] = ACTIONS(767),
    [sym__raw_string_literal_start] = ACTIONS(769),
    [sym_float_literal] = ACTIONS(769),
  },
  [178] = {
    [sym_line_comment] = STATE(178),
    [sym_block_comment] = STATE(178),
    [sym_identifier] = ACTIONS(771),
    [anon_sym_SEMI] = ACTIONS(773),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_RPAREN] = ACTIONS(773),
    [anon_sym_LBRACK] = ACTIONS(773),
    [anon_sym_RBRACK] = ACTIONS(773),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_RBRACE] = ACTIONS(773),
    [anon_sym_EQ_GT] = ACTIONS(773),
    [anon_sym_COLON] = ACTIONS(771),
    [anon_sym_DOLLAR] = ACTIONS(773),
    [anon_sym_PLUS] = ACTIONS(771),
    [anon_sym_STAR] = ACTIONS(771),
    [anon_sym_QMARK] = ACTIONS(773),
    [anon_sym_u8] = ACTIONS(771),
    [anon_sym_i8] = ACTIONS(771),
    [anon_sym_u16] = ACTIONS(771),
    [anon_sym_i16] = ACTIONS(771),
    [anon_sym_u32] = ACTIONS(771),
    [anon_sym_i32] = ACTIONS(771),
    [anon_sym_u64] = ACTIONS(771),
    [anon_sym_i64] = ACTIONS(771),
    [anon_sym_u128] = ACTIONS(771),
    [anon_sym_i128] = ACTIONS(771),
    [anon_sym_isize] = ACTIONS(771),
    [anon_sym_usize] = ACTIONS(771),
    [anon_sym_f32] = ACTIONS(771),
    [anon_sym_f64] = ACTIONS(771),
    [anon_sym_bool] = ACTIONS(771),
    [anon_sym_str] = ACTIONS(771),
    [anon_sym_char] = ACTIONS(771),
    [anon_sym_DASH] = ACTIONS(771),
    [anon_sym_SLASH] = ACTIONS(771),
    [anon_sym_PERCENT] = ACTIONS(771),
    [anon_sym_CARET] = ACTIONS(771),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_AMP] = ACTIONS(771),
    [anon_sym_PIPE] = ACTIONS(771),
    [anon_sym_AMP_AMP] = ACTIONS(773),
    [anon_sym_PIPE_PIPE] = ACTIONS(773),
    [anon_sym_LT_LT] = ACTIONS(771),
    [anon_sym_GT_GT] = ACTIONS(771),
    [anon_sym_PLUS_EQ] = ACTIONS(773),
    [anon_sym_DASH_EQ] = ACTIONS(773),
    [anon_sym_STAR_EQ] = ACTIONS(773),
    [anon_sym_SLASH_EQ] = ACTIONS(773),
    [anon_sym_PERCENT_EQ] = ACTIONS(773),
    [anon_sym_CARET_EQ] = ACTIONS(773),
    [anon_sym_AMP_EQ] = ACTIONS(773),
    [anon_sym_PIPE_EQ] = ACTIONS(773),
    [anon_sym_LT_LT_EQ] = ACTIONS(773),
    [anon_sym_GT_GT_EQ] = ACTIONS(773),
    [anon_sym_EQ] = ACTIONS(771),
    [anon_sym_EQ_EQ] = ACTIONS(773),
    [anon_sym_BANG_EQ] = ACTIONS(773),
    [anon_sym_GT] = ACTIONS(771),
    [anon_sym_LT] = ACTIONS(771),
    [anon_sym_GT_EQ] = ACTIONS(773),
    [anon_sym_LT_EQ] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(773),
    [anon_sym__] = ACTIONS(771),
    [anon_sym_DOT] = ACTIONS(771),
    [anon_sym_DOT_DOT] = ACTIONS(771),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(773),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(773),
    [anon_sym_COMMA] = ACTIONS(773),
    [anon_sym_COLON_COLON] = ACTIONS(773),
    [anon_sym_DASH_GT] = ACTIONS(773),
    [anon_sym_POUND] = ACTIONS(773),
    [anon_sym_SQUOTE] = ACTIONS(771),
    [anon_sym_as] = ACTIONS(771),
    [anon_sym_async] = ACTIONS(771),
    [anon_sym_await] = ACTIONS(771),
    [anon_sym_break] = ACTIONS(771),
    [anon_sym_const] = ACTIONS(771),
    [anon_sym_continue] = ACTIONS(771),
    [anon_sym_default] = ACTIONS(771),
    [anon_sym_enum] = ACTIONS(771),
    [anon_sym_fn] = ACTIONS(771),
    [anon_sym_for] = ACTIONS(771),
    [anon_sym_if] = ACTIONS(771),
    [anon_sym_impl] = ACTIONS(771),
    [anon_sym_let] = ACTIONS(771),
    [anon_sym_loop] = ACTIONS(771),
    [anon_sym_match] = ACTIONS(771),
    [anon_sym_mod] = ACTIONS(771),
    [anon_sym_pub] = ACTIONS(771),
    [anon_sym_return] = ACTIONS(771),
    [anon_sym_static] = ACTIONS(771),
    [anon_sym_struct] = ACTIONS(771),
    [anon_sym_trait] = ACTIONS(771),
    [anon_sym_type] = ACTIONS(771),
    [anon_sym_union] = ACTIONS(771),
    [anon_sym_unsafe] = ACTIONS(771),
    [anon_sym_use] = ACTIONS(771),
    [anon_sym_where] = ACTIONS(771),
    [anon_sym_while] = ACTIONS(771),
    [sym_mutable_specifier] = ACTIONS(771),
    [sym_integer_literal] = ACTIONS(773),
    [aux_sym_string_literal_token1] = ACTIONS(773),
    [sym_char_literal] = ACTIONS(773),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(771),
    [sym_super] = ACTIONS(771),
    [sym_crate] = ACTIONS(771),
    [sym__raw_string_literal_start] = ACTIONS(773),
    [sym_float_literal] = ACTIONS(773),
  },
  [179] = {
    [sym_attribute_item] = STATE(1003),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1607),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(179),
    [sym_block_comment] = STATE(179),
    [aux_sym_enum_variant_list_repeat1] = STATE(211),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_RBRACK] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [180] = {
    [sym_line_comment] = STATE(180),
    [sym_block_comment] = STATE(180),
    [sym_identifier] = ACTIONS(985),
    [anon_sym_SEMI] = ACTIONS(987),
    [anon_sym_LPAREN] = ACTIONS(987),
    [anon_sym_RPAREN] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(987),
    [anon_sym_RBRACK] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_RBRACE] = ACTIONS(987),
    [anon_sym_EQ_GT] = ACTIONS(987),
    [anon_sym_COLON] = ACTIONS(985),
    [anon_sym_DOLLAR] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(985),
    [anon_sym_STAR] = ACTIONS(985),
    [anon_sym_QMARK] = ACTIONS(987),
    [anon_sym_u8] = ACTIONS(985),
    [anon_sym_i8] = ACTIONS(985),
    [anon_sym_u16] = ACTIONS(985),
    [anon_sym_i16] = ACTIONS(985),
    [anon_sym_u32] = ACTIONS(985),
    [anon_sym_i32] = ACTIONS(985),
    [anon_sym_u64] = ACTIONS(985),
    [anon_sym_i64] = ACTIONS(985),
    [anon_sym_u128] = ACTIONS(985),
    [anon_sym_i128] = ACTIONS(985),
    [anon_sym_isize] = ACTIONS(985),
    [anon_sym_usize] = ACTIONS(985),
    [anon_sym_f32] = ACTIONS(985),
    [anon_sym_f64] = ACTIONS(985),
    [anon_sym_bool] = ACTIONS(985),
    [anon_sym_str] = ACTIONS(985),
    [anon_sym_char] = ACTIONS(985),
    [anon_sym_DASH] = ACTIONS(985),
    [anon_sym_SLASH] = ACTIONS(985),
    [anon_sym_PERCENT] = ACTIONS(985),
    [anon_sym_CARET] = ACTIONS(985),
    [anon_sym_BANG] = ACTIONS(985),
    [anon_sym_AMP] = ACTIONS(985),
    [anon_sym_PIPE] = ACTIONS(985),
    [anon_sym_AMP_AMP] = ACTIONS(987),
    [anon_sym_PIPE_PIPE] = ACTIONS(987),
    [anon_sym_LT_LT] = ACTIONS(985),
    [anon_sym_GT_GT] = ACTIONS(985),
    [anon_sym_PLUS_EQ] = ACTIONS(987),
    [anon_sym_DASH_EQ] = ACTIONS(987),
    [anon_sym_STAR_EQ] = ACTIONS(987),
    [anon_sym_SLASH_EQ] = ACTIONS(987),
    [anon_sym_PERCENT_EQ] = ACTIONS(987),
    [anon_sym_CARET_EQ] = ACTIONS(987),
    [anon_sym_AMP_EQ] = ACTIONS(987),
    [anon_sym_PIPE_EQ] = ACTIONS(987),
    [anon_sym_LT_LT_EQ] = ACTIONS(987),
    [anon_sym_GT_GT_EQ] = ACTIONS(987),
    [anon_sym_EQ] = ACTIONS(985),
    [anon_sym_EQ_EQ] = ACTIONS(987),
    [anon_sym_BANG_EQ] = ACTIONS(987),
    [anon_sym_GT] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(985),
    [anon_sym_GT_EQ] = ACTIONS(987),
    [anon_sym_LT_EQ] = ACTIONS(987),
    [anon_sym_AT] = ACTIONS(987),
    [anon_sym__] = ACTIONS(985),
    [anon_sym_DOT] = ACTIONS(985),
    [anon_sym_DOT_DOT] = ACTIONS(985),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(987),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(987),
    [anon_sym_COMMA] = ACTIONS(987),
    [anon_sym_COLON_COLON] = ACTIONS(987),
    [anon_sym_DASH_GT] = ACTIONS(987),
    [anon_sym_POUND] = ACTIONS(987),
    [anon_sym_SQUOTE] = ACTIONS(985),
    [anon_sym_as] = ACTIONS(985),
    [anon_sym_async] = ACTIONS(985),
    [anon_sym_await] = ACTIONS(985),
    [anon_sym_break] = ACTIONS(985),
    [anon_sym_const] = ACTIONS(985),
    [anon_sym_continue] = ACTIONS(985),
    [anon_sym_default] = ACTIONS(985),
    [anon_sym_enum] = ACTIONS(985),
    [anon_sym_fn] = ACTIONS(985),
    [anon_sym_for] = ACTIONS(985),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_impl] = ACTIONS(985),
    [anon_sym_let] = ACTIONS(985),
    [anon_sym_loop] = ACTIONS(985),
    [anon_sym_match] = ACTIONS(985),
    [anon_sym_mod] = ACTIONS(985),
    [anon_sym_pub] = ACTIONS(985),
    [anon_sym_return] = ACTIONS(985),
    [anon_sym_static] = ACTIONS(985),
    [anon_sym_struct] = ACTIONS(985),
    [anon_sym_trait] = ACTIONS(985),
    [anon_sym_type] = ACTIONS(985),
    [anon_sym_union] = ACTIONS(985),
    [anon_sym_unsafe] = ACTIONS(985),
    [anon_sym_use] = ACTIONS(985),
    [anon_sym_where] = ACTIONS(985),
    [anon_sym_while] = ACTIONS(985),
    [sym_mutable_specifier] = ACTIONS(985),
    [sym_integer_literal] = ACTIONS(987),
    [aux_sym_string_literal_token1] = ACTIONS(987),
    [sym_char_literal] = ACTIONS(987),
    [anon_sym_true] = ACTIONS(985),
    [anon_sym_false] = ACTIONS(985),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(985),
    [sym_super] = ACTIONS(985),
    [sym_crate] = ACTIONS(985),
    [sym__raw_string_literal_start] = ACTIONS(987),
    [sym_float_literal] = ACTIONS(987),
  },
  [181] = {
    [sym_line_comment] = STATE(181),
    [sym_block_comment] = STATE(181),
    [sym_identifier] = ACTIONS(989),
    [anon_sym_SEMI] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(991),
    [anon_sym_RPAREN] = ACTIONS(991),
    [anon_sym_LBRACK] = ACTIONS(991),
    [anon_sym_RBRACK] = ACTIONS(991),
    [anon_sym_LBRACE] = ACTIONS(991),
    [anon_sym_RBRACE] = ACTIONS(991),
    [anon_sym_EQ_GT] = ACTIONS(991),
    [anon_sym_COLON] = ACTIONS(989),
    [anon_sym_DOLLAR] = ACTIONS(991),
    [anon_sym_PLUS] = ACTIONS(989),
    [anon_sym_STAR] = ACTIONS(989),
    [anon_sym_QMARK] = ACTIONS(991),
    [anon_sym_u8] = ACTIONS(989),
    [anon_sym_i8] = ACTIONS(989),
    [anon_sym_u16] = ACTIONS(989),
    [anon_sym_i16] = ACTIONS(989),
    [anon_sym_u32] = ACTIONS(989),
    [anon_sym_i32] = ACTIONS(989),
    [anon_sym_u64] = ACTIONS(989),
    [anon_sym_i64] = ACTIONS(989),
    [anon_sym_u128] = ACTIONS(989),
    [anon_sym_i128] = ACTIONS(989),
    [anon_sym_isize] = ACTIONS(989),
    [anon_sym_usize] = ACTIONS(989),
    [anon_sym_f32] = ACTIONS(989),
    [anon_sym_f64] = ACTIONS(989),
    [anon_sym_bool] = ACTIONS(989),
    [anon_sym_str] = ACTIONS(989),
    [anon_sym_char] = ACTIONS(989),
    [anon_sym_DASH] = ACTIONS(989),
    [anon_sym_SLASH] = ACTIONS(989),
    [anon_sym_PERCENT] = ACTIONS(989),
    [anon_sym_CARET] = ACTIONS(989),
    [anon_sym_BANG] = ACTIONS(989),
    [anon_sym_AMP] = ACTIONS(989),
    [anon_sym_PIPE] = ACTIONS(989),
    [anon_sym_AMP_AMP] = ACTIONS(991),
    [anon_sym_PIPE_PIPE] = ACTIONS(991),
    [anon_sym_LT_LT] = ACTIONS(989),
    [anon_sym_GT_GT] = ACTIONS(989),
    [anon_sym_PLUS_EQ] = ACTIONS(991),
    [anon_sym_DASH_EQ] = ACTIONS(991),
    [anon_sym_STAR_EQ] = ACTIONS(991),
    [anon_sym_SLASH_EQ] = ACTIONS(991),
    [anon_sym_PERCENT_EQ] = ACTIONS(991),
    [anon_sym_CARET_EQ] = ACTIONS(991),
    [anon_sym_AMP_EQ] = ACTIONS(991),
    [anon_sym_PIPE_EQ] = ACTIONS(991),
    [anon_sym_LT_LT_EQ] = ACTIONS(991),
    [anon_sym_GT_GT_EQ] = ACTIONS(991),
    [anon_sym_EQ] = ACTIONS(989),
    [anon_sym_EQ_EQ] = ACTIONS(991),
    [anon_sym_BANG_EQ] = ACTIONS(991),
    [anon_sym_GT] = ACTIONS(989),
    [anon_sym_LT] = ACTIONS(989),
    [anon_sym_GT_EQ] = ACTIONS(991),
    [anon_sym_LT_EQ] = ACTIONS(991),
    [anon_sym_AT] = ACTIONS(991),
    [anon_sym__] = ACTIONS(989),
    [anon_sym_DOT] = ACTIONS(989),
    [anon_sym_DOT_DOT] = ACTIONS(989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(991),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(991),
    [anon_sym_COMMA] = ACTIONS(991),
    [anon_sym_COLON_COLON] = ACTIONS(991),
    [anon_sym_DASH_GT] = ACTIONS(991),
    [anon_sym_POUND] = ACTIONS(991),
    [anon_sym_SQUOTE] = ACTIONS(989),
    [anon_sym_as] = ACTIONS(989),
    [anon_sym_async] = ACTIONS(989),
    [anon_sym_await] = ACTIONS(989),
    [anon_sym_break] = ACTIONS(989),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_continue] = ACTIONS(989),
    [anon_sym_default] = ACTIONS(989),
    [anon_sym_enum] = ACTIONS(989),
    [anon_sym_fn] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(989),
    [anon_sym_impl] = ACTIONS(989),
    [anon_sym_let] = ACTIONS(989),
    [anon_sym_loop] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(989),
    [anon_sym_mod] = ACTIONS(989),
    [anon_sym_pub] = ACTIONS(989),
    [anon_sym_return] = ACTIONS(989),
    [anon_sym_static] = ACTIONS(989),
    [anon_sym_struct] = ACTIONS(989),
    [anon_sym_trait] = ACTIONS(989),
    [anon_sym_type] = ACTIONS(989),
    [anon_sym_union] = ACTIONS(989),
    [anon_sym_unsafe] = ACTIONS(989),
    [anon_sym_use] = ACTIONS(989),
    [anon_sym_where] = ACTIONS(989),
    [anon_sym_while] = ACTIONS(989),
    [sym_mutable_specifier] = ACTIONS(989),
    [sym_integer_literal] = ACTIONS(991),
    [aux_sym_string_literal_token1] = ACTIONS(991),
    [sym_char_literal] = ACTIONS(991),
    [anon_sym_true] = ACTIONS(989),
    [anon_sym_false] = ACTIONS(989),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(989),
    [sym_super] = ACTIONS(989),
    [sym_crate] = ACTIONS(989),
    [sym__raw_string_literal_start] = ACTIONS(991),
    [sym_float_literal] = ACTIONS(991),
  },
  [182] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1699),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_let_condition] = STATE(2823),
    [sym__let_chain] = STATE(2887),
    [sym__condition] = STATE(2629),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(182),
    [sym_block_comment] = STATE(182),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(977),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [183] = {
    [sym_line_comment] = STATE(183),
    [sym_block_comment] = STATE(183),
    [sym_identifier] = ACTIONS(947),
    [anon_sym_SEMI] = ACTIONS(949),
    [anon_sym_LPAREN] = ACTIONS(949),
    [anon_sym_RPAREN] = ACTIONS(949),
    [anon_sym_LBRACK] = ACTIONS(949),
    [anon_sym_RBRACK] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(949),
    [anon_sym_RBRACE] = ACTIONS(949),
    [anon_sym_EQ_GT] = ACTIONS(949),
    [anon_sym_COLON] = ACTIONS(947),
    [anon_sym_DOLLAR] = ACTIONS(949),
    [anon_sym_PLUS] = ACTIONS(947),
    [anon_sym_STAR] = ACTIONS(947),
    [anon_sym_QMARK] = ACTIONS(949),
    [anon_sym_u8] = ACTIONS(947),
    [anon_sym_i8] = ACTIONS(947),
    [anon_sym_u16] = ACTIONS(947),
    [anon_sym_i16] = ACTIONS(947),
    [anon_sym_u32] = ACTIONS(947),
    [anon_sym_i32] = ACTIONS(947),
    [anon_sym_u64] = ACTIONS(947),
    [anon_sym_i64] = ACTIONS(947),
    [anon_sym_u128] = ACTIONS(947),
    [anon_sym_i128] = ACTIONS(947),
    [anon_sym_isize] = ACTIONS(947),
    [anon_sym_usize] = ACTIONS(947),
    [anon_sym_f32] = ACTIONS(947),
    [anon_sym_f64] = ACTIONS(947),
    [anon_sym_bool] = ACTIONS(947),
    [anon_sym_str] = ACTIONS(947),
    [anon_sym_char] = ACTIONS(947),
    [anon_sym_DASH] = ACTIONS(947),
    [anon_sym_SLASH] = ACTIONS(947),
    [anon_sym_PERCENT] = ACTIONS(947),
    [anon_sym_CARET] = ACTIONS(947),
    [anon_sym_BANG] = ACTIONS(947),
    [anon_sym_AMP] = ACTIONS(947),
    [anon_sym_PIPE] = ACTIONS(947),
    [anon_sym_AMP_AMP] = ACTIONS(949),
    [anon_sym_PIPE_PIPE] = ACTIONS(949),
    [anon_sym_LT_LT] = ACTIONS(947),
    [anon_sym_GT_GT] = ACTIONS(947),
    [anon_sym_PLUS_EQ] = ACTIONS(949),
    [anon_sym_DASH_EQ] = ACTIONS(949),
    [anon_sym_STAR_EQ] = ACTIONS(949),
    [anon_sym_SLASH_EQ] = ACTIONS(949),
    [anon_sym_PERCENT_EQ] = ACTIONS(949),
    [anon_sym_CARET_EQ] = ACTIONS(949),
    [anon_sym_AMP_EQ] = ACTIONS(949),
    [anon_sym_PIPE_EQ] = ACTIONS(949),
    [anon_sym_LT_LT_EQ] = ACTIONS(949),
    [anon_sym_GT_GT_EQ] = ACTIONS(949),
    [anon_sym_EQ] = ACTIONS(947),
    [anon_sym_EQ_EQ] = ACTIONS(949),
    [anon_sym_BANG_EQ] = ACTIONS(949),
    [anon_sym_GT] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(947),
    [anon_sym_GT_EQ] = ACTIONS(949),
    [anon_sym_LT_EQ] = ACTIONS(949),
    [anon_sym_AT] = ACTIONS(949),
    [anon_sym__] = ACTIONS(947),
    [anon_sym_DOT] = ACTIONS(947),
    [anon_sym_DOT_DOT] = ACTIONS(947),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(949),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(949),
    [anon_sym_COMMA] = ACTIONS(949),
    [anon_sym_COLON_COLON] = ACTIONS(949),
    [anon_sym_DASH_GT] = ACTIONS(949),
    [anon_sym_POUND] = ACTIONS(949),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_as] = ACTIONS(947),
    [anon_sym_async] = ACTIONS(947),
    [anon_sym_await] = ACTIONS(947),
    [anon_sym_break] = ACTIONS(947),
    [anon_sym_const] = ACTIONS(947),
    [anon_sym_continue] = ACTIONS(947),
    [anon_sym_default] = ACTIONS(947),
    [anon_sym_enum] = ACTIONS(947),
    [anon_sym_fn] = ACTIONS(947),
    [anon_sym_for] = ACTIONS(947),
    [anon_sym_if] = ACTIONS(947),
    [anon_sym_impl] = ACTIONS(947),
    [anon_sym_let] = ACTIONS(947),
    [anon_sym_loop] = ACTIONS(947),
    [anon_sym_match] = ACTIONS(947),
    [anon_sym_mod] = ACTIONS(947),
    [anon_sym_pub] = ACTIONS(947),
    [anon_sym_return] = ACTIONS(947),
    [anon_sym_static] = ACTIONS(947),
    [anon_sym_struct] = ACTIONS(947),
    [anon_sym_trait] = ACTIONS(947),
    [anon_sym_type] = ACTIONS(947),
    [anon_sym_union] = ACTIONS(947),
    [anon_sym_unsafe] = ACTIONS(947),
    [anon_sym_use] = ACTIONS(947),
    [anon_sym_where] = ACTIONS(947),
    [anon_sym_while] = ACTIONS(947),
    [sym_mutable_specifier] = ACTIONS(947),
    [sym_integer_literal] = ACTIONS(949),
    [aux_sym_string_literal_token1] = ACTIONS(949),
    [sym_char_literal] = ACTIONS(949),
    [anon_sym_true] = ACTIONS(947),
    [anon_sym_false] = ACTIONS(947),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(947),
    [sym_super] = ACTIONS(947),
    [sym_crate] = ACTIONS(947),
    [sym__raw_string_literal_start] = ACTIONS(949),
    [sym_float_literal] = ACTIONS(949),
  },
  [184] = {
    [sym_line_comment] = STATE(184),
    [sym_block_comment] = STATE(184),
    [sym_identifier] = ACTIONS(993),
    [anon_sym_SEMI] = ACTIONS(995),
    [anon_sym_LPAREN] = ACTIONS(995),
    [anon_sym_RPAREN] = ACTIONS(995),
    [anon_sym_LBRACK] = ACTIONS(995),
    [anon_sym_RBRACK] = ACTIONS(995),
    [anon_sym_LBRACE] = ACTIONS(995),
    [anon_sym_RBRACE] = ACTIONS(995),
    [anon_sym_EQ_GT] = ACTIONS(995),
    [anon_sym_COLON] = ACTIONS(993),
    [anon_sym_DOLLAR] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(993),
    [anon_sym_STAR] = ACTIONS(993),
    [anon_sym_QMARK] = ACTIONS(995),
    [anon_sym_u8] = ACTIONS(993),
    [anon_sym_i8] = ACTIONS(993),
    [anon_sym_u16] = ACTIONS(993),
    [anon_sym_i16] = ACTIONS(993),
    [anon_sym_u32] = ACTIONS(993),
    [anon_sym_i32] = ACTIONS(993),
    [anon_sym_u64] = ACTIONS(993),
    [anon_sym_i64] = ACTIONS(993),
    [anon_sym_u128] = ACTIONS(993),
    [anon_sym_i128] = ACTIONS(993),
    [anon_sym_isize] = ACTIONS(993),
    [anon_sym_usize] = ACTIONS(993),
    [anon_sym_f32] = ACTIONS(993),
    [anon_sym_f64] = ACTIONS(993),
    [anon_sym_bool] = ACTIONS(993),
    [anon_sym_str] = ACTIONS(993),
    [anon_sym_char] = ACTIONS(993),
    [anon_sym_DASH] = ACTIONS(993),
    [anon_sym_SLASH] = ACTIONS(993),
    [anon_sym_PERCENT] = ACTIONS(993),
    [anon_sym_CARET] = ACTIONS(993),
    [anon_sym_BANG] = ACTIONS(993),
    [anon_sym_AMP] = ACTIONS(993),
    [anon_sym_PIPE] = ACTIONS(993),
    [anon_sym_AMP_AMP] = ACTIONS(995),
    [anon_sym_PIPE_PIPE] = ACTIONS(995),
    [anon_sym_LT_LT] = ACTIONS(993),
    [anon_sym_GT_GT] = ACTIONS(993),
    [anon_sym_PLUS_EQ] = ACTIONS(995),
    [anon_sym_DASH_EQ] = ACTIONS(995),
    [anon_sym_STAR_EQ] = ACTIONS(995),
    [anon_sym_SLASH_EQ] = ACTIONS(995),
    [anon_sym_PERCENT_EQ] = ACTIONS(995),
    [anon_sym_CARET_EQ] = ACTIONS(995),
    [anon_sym_AMP_EQ] = ACTIONS(995),
    [anon_sym_PIPE_EQ] = ACTIONS(995),
    [anon_sym_LT_LT_EQ] = ACTIONS(995),
    [anon_sym_GT_GT_EQ] = ACTIONS(995),
    [anon_sym_EQ] = ACTIONS(993),
    [anon_sym_EQ_EQ] = ACTIONS(995),
    [anon_sym_BANG_EQ] = ACTIONS(995),
    [anon_sym_GT] = ACTIONS(993),
    [anon_sym_LT] = ACTIONS(993),
    [anon_sym_GT_EQ] = ACTIONS(995),
    [anon_sym_LT_EQ] = ACTIONS(995),
    [anon_sym_AT] = ACTIONS(995),
    [anon_sym__] = ACTIONS(993),
    [anon_sym_DOT] = ACTIONS(993),
    [anon_sym_DOT_DOT] = ACTIONS(993),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(995),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(995),
    [anon_sym_COMMA] = ACTIONS(995),
    [anon_sym_COLON_COLON] = ACTIONS(995),
    [anon_sym_DASH_GT] = ACTIONS(995),
    [anon_sym_POUND] = ACTIONS(995),
    [anon_sym_SQUOTE] = ACTIONS(993),
    [anon_sym_as] = ACTIONS(993),
    [anon_sym_async] = ACTIONS(993),
    [anon_sym_await] = ACTIONS(993),
    [anon_sym_break] = ACTIONS(993),
    [anon_sym_const] = ACTIONS(993),
    [anon_sym_continue] = ACTIONS(993),
    [anon_sym_default] = ACTIONS(993),
    [anon_sym_enum] = ACTIONS(993),
    [anon_sym_fn] = ACTIONS(993),
    [anon_sym_for] = ACTIONS(993),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_impl] = ACTIONS(993),
    [anon_sym_let] = ACTIONS(993),
    [anon_sym_loop] = ACTIONS(993),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_mod] = ACTIONS(993),
    [anon_sym_pub] = ACTIONS(993),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_static] = ACTIONS(993),
    [anon_sym_struct] = ACTIONS(993),
    [anon_sym_trait] = ACTIONS(993),
    [anon_sym_type] = ACTIONS(993),
    [anon_sym_union] = ACTIONS(993),
    [anon_sym_unsafe] = ACTIONS(993),
    [anon_sym_use] = ACTIONS(993),
    [anon_sym_where] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(993),
    [sym_mutable_specifier] = ACTIONS(993),
    [sym_integer_literal] = ACTIONS(995),
    [aux_sym_string_literal_token1] = ACTIONS(995),
    [sym_char_literal] = ACTIONS(995),
    [anon_sym_true] = ACTIONS(993),
    [anon_sym_false] = ACTIONS(993),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(993),
    [sym_super] = ACTIONS(993),
    [sym_crate] = ACTIONS(993),
    [sym__raw_string_literal_start] = ACTIONS(995),
    [sym_float_literal] = ACTIONS(995),
  },
  [185] = {
    [sym_line_comment] = STATE(185),
    [sym_block_comment] = STATE(185),
    [sym_identifier] = ACTIONS(997),
    [anon_sym_SEMI] = ACTIONS(999),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_RPAREN] = ACTIONS(999),
    [anon_sym_LBRACK] = ACTIONS(999),
    [anon_sym_RBRACK] = ACTIONS(999),
    [anon_sym_LBRACE] = ACTIONS(999),
    [anon_sym_RBRACE] = ACTIONS(999),
    [anon_sym_EQ_GT] = ACTIONS(999),
    [anon_sym_COLON] = ACTIONS(997),
    [anon_sym_DOLLAR] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(997),
    [anon_sym_STAR] = ACTIONS(997),
    [anon_sym_QMARK] = ACTIONS(999),
    [anon_sym_u8] = ACTIONS(997),
    [anon_sym_i8] = ACTIONS(997),
    [anon_sym_u16] = ACTIONS(997),
    [anon_sym_i16] = ACTIONS(997),
    [anon_sym_u32] = ACTIONS(997),
    [anon_sym_i32] = ACTIONS(997),
    [anon_sym_u64] = ACTIONS(997),
    [anon_sym_i64] = ACTIONS(997),
    [anon_sym_u128] = ACTIONS(997),
    [anon_sym_i128] = ACTIONS(997),
    [anon_sym_isize] = ACTIONS(997),
    [anon_sym_usize] = ACTIONS(997),
    [anon_sym_f32] = ACTIONS(997),
    [anon_sym_f64] = ACTIONS(997),
    [anon_sym_bool] = ACTIONS(997),
    [anon_sym_str] = ACTIONS(997),
    [anon_sym_char] = ACTIONS(997),
    [anon_sym_DASH] = ACTIONS(997),
    [anon_sym_SLASH] = ACTIONS(997),
    [anon_sym_PERCENT] = ACTIONS(997),
    [anon_sym_CARET] = ACTIONS(997),
    [anon_sym_BANG] = ACTIONS(997),
    [anon_sym_AMP] = ACTIONS(997),
    [anon_sym_PIPE] = ACTIONS(997),
    [anon_sym_AMP_AMP] = ACTIONS(999),
    [anon_sym_PIPE_PIPE] = ACTIONS(999),
    [anon_sym_LT_LT] = ACTIONS(997),
    [anon_sym_GT_GT] = ACTIONS(997),
    [anon_sym_PLUS_EQ] = ACTIONS(999),
    [anon_sym_DASH_EQ] = ACTIONS(999),
    [anon_sym_STAR_EQ] = ACTIONS(999),
    [anon_sym_SLASH_EQ] = ACTIONS(999),
    [anon_sym_PERCENT_EQ] = ACTIONS(999),
    [anon_sym_CARET_EQ] = ACTIONS(999),
    [anon_sym_AMP_EQ] = ACTIONS(999),
    [anon_sym_PIPE_EQ] = ACTIONS(999),
    [anon_sym_LT_LT_EQ] = ACTIONS(999),
    [anon_sym_GT_GT_EQ] = ACTIONS(999),
    [anon_sym_EQ] = ACTIONS(997),
    [anon_sym_EQ_EQ] = ACTIONS(999),
    [anon_sym_BANG_EQ] = ACTIONS(999),
    [anon_sym_GT] = ACTIONS(997),
    [anon_sym_LT] = ACTIONS(997),
    [anon_sym_GT_EQ] = ACTIONS(999),
    [anon_sym_LT_EQ] = ACTIONS(999),
    [anon_sym_AT] = ACTIONS(999),
    [anon_sym__] = ACTIONS(997),
    [anon_sym_DOT] = ACTIONS(997),
    [anon_sym_DOT_DOT] = ACTIONS(997),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(999),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(999),
    [anon_sym_COMMA] = ACTIONS(999),
    [anon_sym_COLON_COLON] = ACTIONS(999),
    [anon_sym_DASH_GT] = ACTIONS(999),
    [anon_sym_POUND] = ACTIONS(999),
    [anon_sym_SQUOTE] = ACTIONS(997),
    [anon_sym_as] = ACTIONS(997),
    [anon_sym_async] = ACTIONS(997),
    [anon_sym_await] = ACTIONS(997),
    [anon_sym_break] = ACTIONS(997),
    [anon_sym_const] = ACTIONS(997),
    [anon_sym_continue] = ACTIONS(997),
    [anon_sym_default] = ACTIONS(997),
    [anon_sym_enum] = ACTIONS(997),
    [anon_sym_fn] = ACTIONS(997),
    [anon_sym_for] = ACTIONS(997),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_impl] = ACTIONS(997),
    [anon_sym_let] = ACTIONS(997),
    [anon_sym_loop] = ACTIONS(997),
    [anon_sym_match] = ACTIONS(997),
    [anon_sym_mod] = ACTIONS(997),
    [anon_sym_pub] = ACTIONS(997),
    [anon_sym_return] = ACTIONS(997),
    [anon_sym_static] = ACTIONS(997),
    [anon_sym_struct] = ACTIONS(997),
    [anon_sym_trait] = ACTIONS(997),
    [anon_sym_type] = ACTIONS(997),
    [anon_sym_union] = ACTIONS(997),
    [anon_sym_unsafe] = ACTIONS(997),
    [anon_sym_use] = ACTIONS(997),
    [anon_sym_where] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(997),
    [sym_mutable_specifier] = ACTIONS(997),
    [sym_integer_literal] = ACTIONS(999),
    [aux_sym_string_literal_token1] = ACTIONS(999),
    [sym_char_literal] = ACTIONS(999),
    [anon_sym_true] = ACTIONS(997),
    [anon_sym_false] = ACTIONS(997),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(997),
    [sym_super] = ACTIONS(997),
    [sym_crate] = ACTIONS(997),
    [sym__raw_string_literal_start] = ACTIONS(999),
    [sym_float_literal] = ACTIONS(999),
  },
  [186] = {
    [sym_attribute_item] = STATE(1003),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1793),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(186),
    [sym_block_comment] = STATE(186),
    [aux_sym_enum_variant_list_repeat1] = STATE(214),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_RPAREN] = ACTIONS(1001),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [187] = {
    [sym_attribute_item] = STATE(1003),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1607),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(187),
    [sym_block_comment] = STATE(187),
    [aux_sym_enum_variant_list_repeat1] = STATE(211),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_RBRACK] = ACTIONS(1003),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [188] = {
    [sym_attribute_item] = STATE(1003),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1607),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(188),
    [sym_block_comment] = STATE(188),
    [aux_sym_enum_variant_list_repeat1] = STATE(211),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_RPAREN] = ACTIONS(1005),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [189] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1699),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_let_condition] = STATE(2823),
    [sym__let_chain] = STATE(2887),
    [sym__condition] = STATE(2548),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(189),
    [sym_block_comment] = STATE(189),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(977),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [190] = {
    [sym_attribute_item] = STATE(1003),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1607),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(190),
    [sym_block_comment] = STATE(190),
    [aux_sym_enum_variant_list_repeat1] = STATE(211),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_RBRACK] = ACTIONS(1007),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [191] = {
    [sym_attribute_item] = STATE(1003),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1607),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(191),
    [sym_block_comment] = STATE(191),
    [aux_sym_enum_variant_list_repeat1] = STATE(211),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_RPAREN] = ACTIONS(1009),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [192] = {
    [sym_attribute_item] = STATE(1003),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1607),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(192),
    [sym_block_comment] = STATE(192),
    [aux_sym_enum_variant_list_repeat1] = STATE(211),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_RBRACK] = ACTIONS(1011),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [193] = {
    [sym_attribute_item] = STATE(1003),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1607),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(193),
    [sym_block_comment] = STATE(193),
    [aux_sym_enum_variant_list_repeat1] = STATE(211),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_RPAREN] = ACTIONS(1013),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [194] = {
    [sym_attribute_item] = STATE(1003),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1607),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(194),
    [sym_block_comment] = STATE(194),
    [aux_sym_enum_variant_list_repeat1] = STATE(211),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_RBRACK] = ACTIONS(1015),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [195] = {
    [sym_attribute_item] = STATE(1003),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1607),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(195),
    [sym_block_comment] = STATE(195),
    [aux_sym_enum_variant_list_repeat1] = STATE(211),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_RBRACK] = ACTIONS(1017),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [196] = {
    [sym_attribute_item] = STATE(1003),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1607),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(196),
    [sym_block_comment] = STATE(196),
    [aux_sym_enum_variant_list_repeat1] = STATE(211),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_RPAREN] = ACTIONS(1019),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [197] = {
    [sym_bracketed_type] = STATE(3498),
    [sym_generic_function] = STATE(1637),
    [sym_generic_type_with_turbofish] = STATE(2956),
    [sym__expression_except_range] = STATE(1604),
    [sym__expression] = STATE(1875),
    [sym_macro_invocation] = STATE(1641),
    [sym_scoped_identifier] = STATE(1546),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3100),
    [sym_range_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1637),
    [sym_try_expression] = STATE(1637),
    [sym_reference_expression] = STATE(1637),
    [sym_binary_expression] = STATE(1637),
    [sym_assignment_expression] = STATE(1637),
    [sym_compound_assignment_expr] = STATE(1637),
    [sym_type_cast_expression] = STATE(1637),
    [sym_return_expression] = STATE(1637),
    [sym_yield_expression] = STATE(1637),
    [sym_call_expression] = STATE(1637),
    [sym_array_expression] = STATE(1637),
    [sym_parenthesized_expression] = STATE(1637),
    [sym_tuple_expression] = STATE(1637),
    [sym_unit_expression] = STATE(1637),
    [sym_struct_expression] = STATE(1637),
    [sym_if_expression] = STATE(1637),
    [sym_let_condition] = STATE(3179),
    [sym__let_chain] = STATE(3181),
    [sym__condition] = STATE(3594),
    [sym_match_expression] = STATE(1637),
    [sym_while_expression] = STATE(1637),
    [sym_loop_expression] = STATE(1637),
    [sym_for_expression] = STATE(1637),
    [sym_const_block] = STATE(1637),
    [sym_closure_expression] = STATE(1637),
    [sym_closure_parameters] = STATE(237),
    [sym_label] = STATE(3585),
    [sym_break_expression] = STATE(1637),
    [sym_continue_expression] = STATE(1637),
    [sym_index_expression] = STATE(1637),
    [sym_await_expression] = STATE(1637),
    [sym_field_expression] = STATE(1620),
    [sym_unsafe_block] = STATE(1637),
    [sym_async_block] = STATE(1637),
    [sym_try_block] = STATE(1637),
    [sym_block] = STATE(1637),
    [sym__literal] = STATE(1637),
    [sym_string_literal] = STATE(1778),
    [sym_raw_string_literal] = STATE(1778),
    [sym_boolean_literal] = STATE(1778),
    [sym_line_comment] = STATE(197),
    [sym_block_comment] = STATE(197),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(1021),
    [anon_sym_u8] = ACTIONS(404),
    [anon_sym_i8] = ACTIONS(404),
    [anon_sym_u16] = ACTIONS(404),
    [anon_sym_i16] = ACTIONS(404),
    [anon_sym_u32] = ACTIONS(404),
    [anon_sym_i32] = ACTIONS(404),
    [anon_sym_u64] = ACTIONS(404),
    [anon_sym_i64] = ACTIONS(404),
    [anon_sym_u128] = ACTIONS(404),
    [anon_sym_i128] = ACTIONS(404),
    [anon_sym_isize] = ACTIONS(404),
    [anon_sym_usize] = ACTIONS(404),
    [anon_sym_f32] = ACTIONS(404),
    [anon_sym_f64] = ACTIONS(404),
    [anon_sym_bool] = ACTIONS(404),
    [anon_sym_str] = ACTIONS(404),
    [anon_sym_char] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_AMP] = ACTIONS(1023),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1025),
    [anon_sym_COLON_COLON] = ACTIONS(408),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_break] = ACTIONS(412),
    [anon_sym_const] = ACTIONS(414),
    [anon_sym_continue] = ACTIONS(416),
    [anon_sym_default] = ACTIONS(418),
    [anon_sym_for] = ACTIONS(420),
    [anon_sym_if] = ACTIONS(422),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_loop] = ACTIONS(424),
    [anon_sym_match] = ACTIONS(426),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_union] = ACTIONS(418),
    [anon_sym_unsafe] = ACTIONS(432),
    [anon_sym_while] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_move] = ACTIONS(438),
    [anon_sym_try] = ACTIONS(440),
    [sym_integer_literal] = ACTIONS(442),
    [aux_sym_string_literal_token1] = ACTIONS(444),
    [sym_char_literal] = ACTIONS(442),
    [anon_sym_true] = ACTIONS(446),
    [anon_sym_false] = ACTIONS(446),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(448),
    [sym_super] = ACTIONS(450),
    [sym_crate] = ACTIONS(450),
    [sym_metavariable] = ACTIONS(452),
    [sym__raw_string_literal_start] = ACTIONS(454),
    [sym_float_literal] = ACTIONS(442),
  },
  [198] = {
    [sym_attribute_item] = STATE(1003),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1607),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(198),
    [sym_block_comment] = STATE(198),
    [aux_sym_enum_variant_list_repeat1] = STATE(211),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_RPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [199] = {
    [sym_attribute_item] = STATE(1003),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1607),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(199),
    [sym_block_comment] = STATE(199),
    [aux_sym_enum_variant_list_repeat1] = STATE(211),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_RBRACK] = ACTIONS(1031),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [200] = {
    [sym_attribute_item] = STATE(1003),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1607),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(200),
    [sym_block_comment] = STATE(200),
    [aux_sym_enum_variant_list_repeat1] = STATE(211),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_RPAREN] = ACTIONS(1033),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [201] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1699),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_let_condition] = STATE(2823),
    [sym__let_chain] = STATE(2887),
    [sym__condition] = STATE(2722),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(201),
    [sym_block_comment] = STATE(201),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(977),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [202] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1699),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_let_condition] = STATE(2823),
    [sym__let_chain] = STATE(2887),
    [sym__condition] = STATE(2495),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(202),
    [sym_block_comment] = STATE(202),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(977),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [203] = {
    [sym_attribute_item] = STATE(1003),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1607),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(203),
    [sym_block_comment] = STATE(203),
    [aux_sym_enum_variant_list_repeat1] = STATE(211),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_RBRACK] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [204] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1699),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_let_condition] = STATE(2823),
    [sym__let_chain] = STATE(2887),
    [sym__condition] = STATE(2547),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(204),
    [sym_block_comment] = STATE(204),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(977),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [205] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1699),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_let_condition] = STATE(2823),
    [sym__let_chain] = STATE(2887),
    [sym__condition] = STATE(2594),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(205),
    [sym_block_comment] = STATE(205),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(977),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [206] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1699),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_let_condition] = STATE(2823),
    [sym__let_chain] = STATE(2887),
    [sym__condition] = STATE(2612),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(206),
    [sym_block_comment] = STATE(206),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(977),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [207] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1699),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_let_condition] = STATE(2823),
    [sym__let_chain] = STATE(2887),
    [sym__condition] = STATE(2621),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(207),
    [sym_block_comment] = STATE(207),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(977),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [208] = {
    [sym_line_comment] = STATE(208),
    [sym_block_comment] = STATE(208),
    [sym_identifier] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(751),
    [anon_sym_RPAREN] = ACTIONS(751),
    [anon_sym_LBRACK] = ACTIONS(751),
    [anon_sym_RBRACK] = ACTIONS(751),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_RBRACE] = ACTIONS(751),
    [anon_sym_EQ_GT] = ACTIONS(751),
    [anon_sym_COLON] = ACTIONS(749),
    [anon_sym_DOLLAR] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_STAR] = ACTIONS(749),
    [anon_sym_QMARK] = ACTIONS(751),
    [anon_sym_u8] = ACTIONS(749),
    [anon_sym_i8] = ACTIONS(749),
    [anon_sym_u16] = ACTIONS(749),
    [anon_sym_i16] = ACTIONS(749),
    [anon_sym_u32] = ACTIONS(749),
    [anon_sym_i32] = ACTIONS(749),
    [anon_sym_u64] = ACTIONS(749),
    [anon_sym_i64] = ACTIONS(749),
    [anon_sym_u128] = ACTIONS(749),
    [anon_sym_i128] = ACTIONS(749),
    [anon_sym_isize] = ACTIONS(749),
    [anon_sym_usize] = ACTIONS(749),
    [anon_sym_f32] = ACTIONS(749),
    [anon_sym_f64] = ACTIONS(749),
    [anon_sym_bool] = ACTIONS(749),
    [anon_sym_str] = ACTIONS(749),
    [anon_sym_char] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(749),
    [anon_sym_SLASH] = ACTIONS(749),
    [anon_sym_PERCENT] = ACTIONS(749),
    [anon_sym_CARET] = ACTIONS(749),
    [anon_sym_BANG] = ACTIONS(749),
    [anon_sym_AMP] = ACTIONS(749),
    [anon_sym_PIPE] = ACTIONS(749),
    [anon_sym_AMP_AMP] = ACTIONS(751),
    [anon_sym_PIPE_PIPE] = ACTIONS(751),
    [anon_sym_LT_LT] = ACTIONS(749),
    [anon_sym_GT_GT] = ACTIONS(749),
    [anon_sym_PLUS_EQ] = ACTIONS(751),
    [anon_sym_DASH_EQ] = ACTIONS(751),
    [anon_sym_STAR_EQ] = ACTIONS(751),
    [anon_sym_SLASH_EQ] = ACTIONS(751),
    [anon_sym_PERCENT_EQ] = ACTIONS(751),
    [anon_sym_CARET_EQ] = ACTIONS(751),
    [anon_sym_AMP_EQ] = ACTIONS(751),
    [anon_sym_PIPE_EQ] = ACTIONS(751),
    [anon_sym_LT_LT_EQ] = ACTIONS(751),
    [anon_sym_GT_GT_EQ] = ACTIONS(751),
    [anon_sym_EQ] = ACTIONS(749),
    [anon_sym_EQ_EQ] = ACTIONS(751),
    [anon_sym_BANG_EQ] = ACTIONS(751),
    [anon_sym_GT] = ACTIONS(749),
    [anon_sym_LT] = ACTIONS(749),
    [anon_sym_GT_EQ] = ACTIONS(751),
    [anon_sym_LT_EQ] = ACTIONS(751),
    [anon_sym_AT] = ACTIONS(751),
    [anon_sym__] = ACTIONS(749),
    [anon_sym_DOT] = ACTIONS(749),
    [anon_sym_DOT_DOT] = ACTIONS(749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(751),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(751),
    [anon_sym_COMMA] = ACTIONS(751),
    [anon_sym_COLON_COLON] = ACTIONS(751),
    [anon_sym_DASH_GT] = ACTIONS(751),
    [anon_sym_POUND] = ACTIONS(751),
    [anon_sym_SQUOTE] = ACTIONS(749),
    [anon_sym_as] = ACTIONS(749),
    [anon_sym_async] = ACTIONS(749),
    [anon_sym_await] = ACTIONS(749),
    [anon_sym_break] = ACTIONS(749),
    [anon_sym_const] = ACTIONS(749),
    [anon_sym_continue] = ACTIONS(749),
    [anon_sym_default] = ACTIONS(749),
    [anon_sym_enum] = ACTIONS(749),
    [anon_sym_fn] = ACTIONS(749),
    [anon_sym_for] = ACTIONS(749),
    [anon_sym_if] = ACTIONS(749),
    [anon_sym_impl] = ACTIONS(749),
    [anon_sym_let] = ACTIONS(749),
    [anon_sym_loop] = ACTIONS(749),
    [anon_sym_match] = ACTIONS(749),
    [anon_sym_mod] = ACTIONS(749),
    [anon_sym_pub] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(749),
    [anon_sym_static] = ACTIONS(749),
    [anon_sym_struct] = ACTIONS(749),
    [anon_sym_trait] = ACTIONS(749),
    [anon_sym_type] = ACTIONS(749),
    [anon_sym_union] = ACTIONS(749),
    [anon_sym_unsafe] = ACTIONS(749),
    [anon_sym_use] = ACTIONS(749),
    [anon_sym_where] = ACTIONS(749),
    [anon_sym_while] = ACTIONS(749),
    [sym_mutable_specifier] = ACTIONS(749),
    [sym_integer_literal] = ACTIONS(751),
    [aux_sym_string_literal_token1] = ACTIONS(751),
    [sym_char_literal] = ACTIONS(751),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(749),
    [sym_super] = ACTIONS(749),
    [sym_crate] = ACTIONS(749),
    [sym__raw_string_literal_start] = ACTIONS(751),
    [sym_float_literal] = ACTIONS(751),
  },
  [209] = {
    [sym_attribute_item] = STATE(1003),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1574),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(209),
    [sym_block_comment] = STATE(209),
    [aux_sym_enum_variant_list_repeat1] = STATE(1002),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [210] = {
    [sym_attribute_item] = STATE(1003),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1607),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(210),
    [sym_block_comment] = STATE(210),
    [aux_sym_enum_variant_list_repeat1] = STATE(211),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [211] = {
    [sym_attribute_item] = STATE(1003),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1610),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(211),
    [sym_block_comment] = STATE(211),
    [aux_sym_enum_variant_list_repeat1] = STATE(1002),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [212] = {
    [sym_attribute_item] = STATE(1003),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1854),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(212),
    [sym_block_comment] = STATE(212),
    [aux_sym_enum_variant_list_repeat1] = STATE(1002),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [213] = {
    [sym_attribute_item] = STATE(1003),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1589),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(213),
    [sym_block_comment] = STATE(213),
    [aux_sym_enum_variant_list_repeat1] = STATE(1002),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [214] = {
    [sym_attribute_item] = STATE(1003),
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1871),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(214),
    [sym_block_comment] = STATE(214),
    [aux_sym_enum_variant_list_repeat1] = STATE(1002),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_POUND] = ACTIONS(765),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [215] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1806),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(215),
    [sym_block_comment] = STATE(215),
    [aux_sym_tuple_expression_repeat1] = STATE(221),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_RPAREN] = ACTIONS(1037),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [216] = {
    [sym_bracketed_type] = STATE(3498),
    [sym_generic_function] = STATE(1637),
    [sym_generic_type_with_turbofish] = STATE(2956),
    [sym__expression_except_range] = STATE(1604),
    [sym__expression] = STATE(1757),
    [sym_macro_invocation] = STATE(1641),
    [sym_scoped_identifier] = STATE(1546),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3100),
    [sym_range_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1637),
    [sym_try_expression] = STATE(1637),
    [sym_reference_expression] = STATE(1637),
    [sym_binary_expression] = STATE(1637),
    [sym_assignment_expression] = STATE(1637),
    [sym_compound_assignment_expr] = STATE(1637),
    [sym_type_cast_expression] = STATE(1637),
    [sym_return_expression] = STATE(1637),
    [sym_yield_expression] = STATE(1637),
    [sym_call_expression] = STATE(1637),
    [sym_array_expression] = STATE(1637),
    [sym_parenthesized_expression] = STATE(1637),
    [sym_tuple_expression] = STATE(1637),
    [sym_unit_expression] = STATE(1637),
    [sym_struct_expression] = STATE(1637),
    [sym_if_expression] = STATE(1637),
    [sym_let_condition] = STATE(2662),
    [sym_match_expression] = STATE(1637),
    [sym_while_expression] = STATE(1637),
    [sym_loop_expression] = STATE(1637),
    [sym_for_expression] = STATE(1637),
    [sym_const_block] = STATE(1637),
    [sym_closure_expression] = STATE(1637),
    [sym_closure_parameters] = STATE(237),
    [sym_label] = STATE(3585),
    [sym_break_expression] = STATE(1637),
    [sym_continue_expression] = STATE(1637),
    [sym_index_expression] = STATE(1637),
    [sym_await_expression] = STATE(1637),
    [sym_field_expression] = STATE(1620),
    [sym_unsafe_block] = STATE(1637),
    [sym_async_block] = STATE(1637),
    [sym_try_block] = STATE(1637),
    [sym_block] = STATE(1637),
    [sym__literal] = STATE(1637),
    [sym_string_literal] = STATE(1778),
    [sym_raw_string_literal] = STATE(1778),
    [sym_boolean_literal] = STATE(1778),
    [sym_line_comment] = STATE(216),
    [sym_block_comment] = STATE(216),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(1021),
    [anon_sym_u8] = ACTIONS(404),
    [anon_sym_i8] = ACTIONS(404),
    [anon_sym_u16] = ACTIONS(404),
    [anon_sym_i16] = ACTIONS(404),
    [anon_sym_u32] = ACTIONS(404),
    [anon_sym_i32] = ACTIONS(404),
    [anon_sym_u64] = ACTIONS(404),
    [anon_sym_i64] = ACTIONS(404),
    [anon_sym_u128] = ACTIONS(404),
    [anon_sym_i128] = ACTIONS(404),
    [anon_sym_isize] = ACTIONS(404),
    [anon_sym_usize] = ACTIONS(404),
    [anon_sym_f32] = ACTIONS(404),
    [anon_sym_f64] = ACTIONS(404),
    [anon_sym_bool] = ACTIONS(404),
    [anon_sym_str] = ACTIONS(404),
    [anon_sym_char] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_AMP] = ACTIONS(1023),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1039),
    [anon_sym_COLON_COLON] = ACTIONS(408),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_break] = ACTIONS(412),
    [anon_sym_const] = ACTIONS(414),
    [anon_sym_continue] = ACTIONS(416),
    [anon_sym_default] = ACTIONS(418),
    [anon_sym_for] = ACTIONS(420),
    [anon_sym_if] = ACTIONS(422),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_loop] = ACTIONS(424),
    [anon_sym_match] = ACTIONS(426),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_union] = ACTIONS(418),
    [anon_sym_unsafe] = ACTIONS(432),
    [anon_sym_while] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_move] = ACTIONS(438),
    [anon_sym_try] = ACTIONS(440),
    [sym_integer_literal] = ACTIONS(442),
    [aux_sym_string_literal_token1] = ACTIONS(444),
    [sym_char_literal] = ACTIONS(442),
    [anon_sym_true] = ACTIONS(446),
    [anon_sym_false] = ACTIONS(446),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(448),
    [sym_super] = ACTIONS(450),
    [sym_crate] = ACTIONS(450),
    [sym_metavariable] = ACTIONS(452),
    [sym__raw_string_literal_start] = ACTIONS(454),
    [sym_float_literal] = ACTIONS(442),
  },
  [217] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1711),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(234),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1214),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(217),
    [sym_block_comment] = STATE(217),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(1041),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(460),
    [anon_sym_BANG] = ACTIONS(1041),
    [anon_sym_AMP] = ACTIONS(1043),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_DOT_DOT] = ACTIONS(1047),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_DASH_GT] = ACTIONS(1049),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(472),
    [anon_sym_move] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [218] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1803),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(218),
    [sym_block_comment] = STATE(218),
    [aux_sym_tuple_expression_repeat1] = STATE(222),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_RPAREN] = ACTIONS(1051),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [219] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1803),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(219),
    [sym_block_comment] = STATE(219),
    [aux_sym_tuple_expression_repeat1] = STATE(223),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_RPAREN] = ACTIONS(1051),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [220] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1573),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1310),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(220),
    [sym_block_comment] = STATE(220),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(492),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_DASH_GT] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [221] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1682),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(221),
    [sym_block_comment] = STATE(221),
    [aux_sym_tuple_expression_repeat1] = STATE(222),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_RPAREN] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [222] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1848),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(222),
    [sym_block_comment] = STATE(222),
    [aux_sym_tuple_expression_repeat1] = STATE(222),
    [sym_identifier] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1064),
    [anon_sym_RPAREN] = ACTIONS(1067),
    [anon_sym_LBRACK] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1072),
    [anon_sym_STAR] = ACTIONS(1075),
    [anon_sym_u8] = ACTIONS(1078),
    [anon_sym_i8] = ACTIONS(1078),
    [anon_sym_u16] = ACTIONS(1078),
    [anon_sym_i16] = ACTIONS(1078),
    [anon_sym_u32] = ACTIONS(1078),
    [anon_sym_i32] = ACTIONS(1078),
    [anon_sym_u64] = ACTIONS(1078),
    [anon_sym_i64] = ACTIONS(1078),
    [anon_sym_u128] = ACTIONS(1078),
    [anon_sym_i128] = ACTIONS(1078),
    [anon_sym_isize] = ACTIONS(1078),
    [anon_sym_usize] = ACTIONS(1078),
    [anon_sym_f32] = ACTIONS(1078),
    [anon_sym_f64] = ACTIONS(1078),
    [anon_sym_bool] = ACTIONS(1078),
    [anon_sym_str] = ACTIONS(1078),
    [anon_sym_char] = ACTIONS(1078),
    [anon_sym_DASH] = ACTIONS(1075),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_AMP] = ACTIONS(1081),
    [anon_sym_PIPE] = ACTIONS(1084),
    [anon_sym_LT] = ACTIONS(1087),
    [anon_sym_DOT_DOT] = ACTIONS(1090),
    [anon_sym_COLON_COLON] = ACTIONS(1093),
    [anon_sym_SQUOTE] = ACTIONS(1096),
    [anon_sym_async] = ACTIONS(1099),
    [anon_sym_break] = ACTIONS(1102),
    [anon_sym_const] = ACTIONS(1105),
    [anon_sym_continue] = ACTIONS(1108),
    [anon_sym_default] = ACTIONS(1111),
    [anon_sym_for] = ACTIONS(1114),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_loop] = ACTIONS(1120),
    [anon_sym_match] = ACTIONS(1123),
    [anon_sym_return] = ACTIONS(1126),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_union] = ACTIONS(1111),
    [anon_sym_unsafe] = ACTIONS(1132),
    [anon_sym_while] = ACTIONS(1135),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_move] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1144),
    [sym_integer_literal] = ACTIONS(1147),
    [aux_sym_string_literal_token1] = ACTIONS(1150),
    [sym_char_literal] = ACTIONS(1147),
    [anon_sym_true] = ACTIONS(1153),
    [anon_sym_false] = ACTIONS(1153),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1156),
    [sym_super] = ACTIONS(1159),
    [sym_crate] = ACTIONS(1159),
    [sym_metavariable] = ACTIONS(1162),
    [sym__raw_string_literal_start] = ACTIONS(1165),
    [sym_float_literal] = ACTIONS(1147),
  },
  [223] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1807),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(223),
    [sym_block_comment] = STATE(223),
    [aux_sym_tuple_expression_repeat1] = STATE(222),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_RPAREN] = ACTIONS(1168),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [224] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1585),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1214),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(224),
    [sym_block_comment] = STATE(224),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(492),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_DASH_GT] = ACTIONS(1049),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [225] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1727),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(234),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1250),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(225),
    [sym_block_comment] = STATE(225),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(1041),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(460),
    [anon_sym_BANG] = ACTIONS(1041),
    [anon_sym_AMP] = ACTIONS(1043),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1170),
    [anon_sym_DOT_DOT] = ACTIONS(1047),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_DASH_GT] = ACTIONS(1172),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(472),
    [anon_sym_move] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [226] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1704),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(226),
    [sym_block_comment] = STATE(226),
    [aux_sym_tuple_expression_repeat1] = STATE(222),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_RPAREN] = ACTIONS(1174),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [227] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1682),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(227),
    [sym_block_comment] = STATE(227),
    [aux_sym_tuple_expression_repeat1] = STATE(226),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_RPAREN] = ACTIONS(1059),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [228] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1505),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1214),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(228),
    [sym_block_comment] = STATE(228),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_DOT_DOT] = ACTIONS(1176),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_DASH_GT] = ACTIONS(1049),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [229] = {
    [sym_bracketed_type] = STATE(3498),
    [sym_generic_function] = STATE(1637),
    [sym_generic_type_with_turbofish] = STATE(2956),
    [sym__expression_except_range] = STATE(1604),
    [sym__expression] = STATE(1847),
    [sym_macro_invocation] = STATE(1641),
    [sym_scoped_identifier] = STATE(1546),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3100),
    [sym_range_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1637),
    [sym_try_expression] = STATE(1637),
    [sym_reference_expression] = STATE(1637),
    [sym_binary_expression] = STATE(1637),
    [sym_assignment_expression] = STATE(1637),
    [sym_compound_assignment_expr] = STATE(1637),
    [sym_type_cast_expression] = STATE(1637),
    [sym_return_expression] = STATE(1637),
    [sym_yield_expression] = STATE(1637),
    [sym_call_expression] = STATE(1637),
    [sym_array_expression] = STATE(1637),
    [sym_parenthesized_expression] = STATE(1637),
    [sym_tuple_expression] = STATE(1637),
    [sym_unit_expression] = STATE(1637),
    [sym_struct_expression] = STATE(1637),
    [sym_if_expression] = STATE(1637),
    [sym_let_condition] = STATE(2662),
    [sym_match_expression] = STATE(1637),
    [sym_while_expression] = STATE(1637),
    [sym_loop_expression] = STATE(1637),
    [sym_for_expression] = STATE(1637),
    [sym_const_block] = STATE(1637),
    [sym_closure_expression] = STATE(1637),
    [sym_closure_parameters] = STATE(237),
    [sym_label] = STATE(3585),
    [sym_break_expression] = STATE(1637),
    [sym_continue_expression] = STATE(1637),
    [sym_index_expression] = STATE(1637),
    [sym_await_expression] = STATE(1637),
    [sym_field_expression] = STATE(1620),
    [sym_unsafe_block] = STATE(1637),
    [sym_async_block] = STATE(1637),
    [sym_try_block] = STATE(1637),
    [sym_block] = STATE(1637),
    [sym__literal] = STATE(1637),
    [sym_string_literal] = STATE(1778),
    [sym_raw_string_literal] = STATE(1778),
    [sym_boolean_literal] = STATE(1778),
    [sym_line_comment] = STATE(229),
    [sym_block_comment] = STATE(229),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(1021),
    [anon_sym_u8] = ACTIONS(404),
    [anon_sym_i8] = ACTIONS(404),
    [anon_sym_u16] = ACTIONS(404),
    [anon_sym_i16] = ACTIONS(404),
    [anon_sym_u32] = ACTIONS(404),
    [anon_sym_i32] = ACTIONS(404),
    [anon_sym_u64] = ACTIONS(404),
    [anon_sym_i64] = ACTIONS(404),
    [anon_sym_u128] = ACTIONS(404),
    [anon_sym_i128] = ACTIONS(404),
    [anon_sym_isize] = ACTIONS(404),
    [anon_sym_usize] = ACTIONS(404),
    [anon_sym_f32] = ACTIONS(404),
    [anon_sym_f64] = ACTIONS(404),
    [anon_sym_bool] = ACTIONS(404),
    [anon_sym_str] = ACTIONS(404),
    [anon_sym_char] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_AMP] = ACTIONS(1023),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1025),
    [anon_sym_COLON_COLON] = ACTIONS(408),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_break] = ACTIONS(412),
    [anon_sym_const] = ACTIONS(414),
    [anon_sym_continue] = ACTIONS(416),
    [anon_sym_default] = ACTIONS(418),
    [anon_sym_for] = ACTIONS(420),
    [anon_sym_if] = ACTIONS(422),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_loop] = ACTIONS(424),
    [anon_sym_match] = ACTIONS(426),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_union] = ACTIONS(418),
    [anon_sym_unsafe] = ACTIONS(432),
    [anon_sym_while] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_move] = ACTIONS(438),
    [anon_sym_try] = ACTIONS(440),
    [sym_integer_literal] = ACTIONS(442),
    [aux_sym_string_literal_token1] = ACTIONS(444),
    [sym_char_literal] = ACTIONS(442),
    [anon_sym_true] = ACTIONS(446),
    [anon_sym_false] = ACTIONS(446),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(448),
    [sym_super] = ACTIONS(450),
    [sym_crate] = ACTIONS(450),
    [sym_metavariable] = ACTIONS(452),
    [sym__raw_string_literal_start] = ACTIONS(454),
    [sym_float_literal] = ACTIONS(442),
  },
  [230] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1746),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1310),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(230),
    [sym_block_comment] = STATE(230),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_DASH_GT] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [231] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1751),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1214),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(231),
    [sym_block_comment] = STATE(231),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1045),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_DASH_GT] = ACTIONS(1049),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [232] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1768),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1250),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(232),
    [sym_block_comment] = STATE(232),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1170),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_DASH_GT] = ACTIONS(1172),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [233] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1496),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1310),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(233),
    [sym_block_comment] = STATE(233),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1176),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_DASH_GT] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [234] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1703),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(234),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1310),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(234),
    [sym_block_comment] = STATE(234),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(1041),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(460),
    [anon_sym_BANG] = ACTIONS(1041),
    [anon_sym_AMP] = ACTIONS(1043),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1053),
    [anon_sym_DOT_DOT] = ACTIONS(1047),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_DASH_GT] = ACTIONS(1057),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(472),
    [anon_sym_move] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [235] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1634),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1250),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(235),
    [sym_block_comment] = STATE(235),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(492),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1170),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_DASH_GT] = ACTIONS(1172),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [236] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1487),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1250),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(236),
    [sym_block_comment] = STATE(236),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(344),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1170),
    [anon_sym_DOT_DOT] = ACTIONS(1176),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_DASH_GT] = ACTIONS(1172),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [237] = {
    [sym_bracketed_type] = STATE(3498),
    [sym_generic_function] = STATE(1637),
    [sym_generic_type_with_turbofish] = STATE(2956),
    [sym__expression_except_range] = STATE(1604),
    [sym__expression] = STATE(1783),
    [sym_macro_invocation] = STATE(1641),
    [sym_scoped_identifier] = STATE(1546),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3100),
    [sym_range_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1637),
    [sym_try_expression] = STATE(1637),
    [sym_reference_expression] = STATE(1637),
    [sym_binary_expression] = STATE(1637),
    [sym_assignment_expression] = STATE(1637),
    [sym_compound_assignment_expr] = STATE(1637),
    [sym_type_cast_expression] = STATE(1637),
    [sym_return_expression] = STATE(1637),
    [sym_yield_expression] = STATE(1637),
    [sym_call_expression] = STATE(1637),
    [sym_array_expression] = STATE(1637),
    [sym_parenthesized_expression] = STATE(1637),
    [sym_tuple_expression] = STATE(1637),
    [sym_unit_expression] = STATE(1637),
    [sym_struct_expression] = STATE(1637),
    [sym_if_expression] = STATE(1637),
    [sym_match_expression] = STATE(1637),
    [sym_while_expression] = STATE(1637),
    [sym_loop_expression] = STATE(1637),
    [sym_for_expression] = STATE(1637),
    [sym_const_block] = STATE(1637),
    [sym_closure_expression] = STATE(1637),
    [sym_closure_parameters] = STATE(237),
    [sym_label] = STATE(3585),
    [sym_break_expression] = STATE(1637),
    [sym_continue_expression] = STATE(1637),
    [sym_index_expression] = STATE(1637),
    [sym_await_expression] = STATE(1637),
    [sym_field_expression] = STATE(1620),
    [sym_unsafe_block] = STATE(1637),
    [sym_async_block] = STATE(1637),
    [sym_try_block] = STATE(1637),
    [sym_block] = STATE(1656),
    [sym__literal] = STATE(1637),
    [sym_string_literal] = STATE(1778),
    [sym_raw_string_literal] = STATE(1778),
    [sym_boolean_literal] = STATE(1778),
    [sym_line_comment] = STATE(237),
    [sym_block_comment] = STATE(237),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(1021),
    [anon_sym_u8] = ACTIONS(404),
    [anon_sym_i8] = ACTIONS(404),
    [anon_sym_u16] = ACTIONS(404),
    [anon_sym_i16] = ACTIONS(404),
    [anon_sym_u32] = ACTIONS(404),
    [anon_sym_i32] = ACTIONS(404),
    [anon_sym_u64] = ACTIONS(404),
    [anon_sym_i64] = ACTIONS(404),
    [anon_sym_u128] = ACTIONS(404),
    [anon_sym_i128] = ACTIONS(404),
    [anon_sym_isize] = ACTIONS(404),
    [anon_sym_usize] = ACTIONS(404),
    [anon_sym_f32] = ACTIONS(404),
    [anon_sym_f64] = ACTIONS(404),
    [anon_sym_bool] = ACTIONS(404),
    [anon_sym_str] = ACTIONS(404),
    [anon_sym_char] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(406),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_AMP] = ACTIONS(1023),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1178),
    [anon_sym_DOT_DOT] = ACTIONS(1039),
    [anon_sym_COLON_COLON] = ACTIONS(408),
    [anon_sym_DASH_GT] = ACTIONS(1180),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_break] = ACTIONS(412),
    [anon_sym_const] = ACTIONS(414),
    [anon_sym_continue] = ACTIONS(416),
    [anon_sym_default] = ACTIONS(418),
    [anon_sym_for] = ACTIONS(420),
    [anon_sym_if] = ACTIONS(422),
    [anon_sym_loop] = ACTIONS(424),
    [anon_sym_match] = ACTIONS(426),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_union] = ACTIONS(418),
    [anon_sym_unsafe] = ACTIONS(432),
    [anon_sym_while] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_move] = ACTIONS(438),
    [anon_sym_try] = ACTIONS(440),
    [sym_integer_literal] = ACTIONS(442),
    [aux_sym_string_literal_token1] = ACTIONS(444),
    [sym_char_literal] = ACTIONS(442),
    [anon_sym_true] = ACTIONS(446),
    [anon_sym_false] = ACTIONS(446),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(448),
    [sym_super] = ACTIONS(450),
    [sym_crate] = ACTIONS(450),
    [sym_metavariable] = ACTIONS(452),
    [sym__raw_string_literal_start] = ACTIONS(454),
    [sym_float_literal] = ACTIONS(442),
  },
  [238] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1800),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(238),
    [sym_block_comment] = STATE(238),
    [aux_sym_tuple_expression_repeat1] = STATE(218),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_RPAREN] = ACTIONS(1182),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [239] = {
    [sym_bracketed_type] = STATE(3498),
    [sym_generic_function] = STATE(1637),
    [sym_generic_type_with_turbofish] = STATE(2956),
    [sym__expression_except_range] = STATE(1604),
    [sym__expression] = STATE(1787),
    [sym_macro_invocation] = STATE(1641),
    [sym_scoped_identifier] = STATE(1546),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3100),
    [sym_range_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1637),
    [sym_try_expression] = STATE(1637),
    [sym_reference_expression] = STATE(1637),
    [sym_binary_expression] = STATE(1637),
    [sym_assignment_expression] = STATE(1637),
    [sym_compound_assignment_expr] = STATE(1637),
    [sym_type_cast_expression] = STATE(1637),
    [sym_return_expression] = STATE(1637),
    [sym_yield_expression] = STATE(1637),
    [sym_call_expression] = STATE(1637),
    [sym_array_expression] = STATE(1637),
    [sym_parenthesized_expression] = STATE(1637),
    [sym_tuple_expression] = STATE(1637),
    [sym_unit_expression] = STATE(1637),
    [sym_struct_expression] = STATE(1637),
    [sym_if_expression] = STATE(1637),
    [sym_match_expression] = STATE(1637),
    [sym_while_expression] = STATE(1637),
    [sym_loop_expression] = STATE(1637),
    [sym_for_expression] = STATE(1637),
    [sym_const_block] = STATE(1637),
    [sym_closure_expression] = STATE(1637),
    [sym_closure_parameters] = STATE(237),
    [sym_label] = STATE(3585),
    [sym_break_expression] = STATE(1637),
    [sym_continue_expression] = STATE(1637),
    [sym_index_expression] = STATE(1637),
    [sym_await_expression] = STATE(1637),
    [sym_field_expression] = STATE(1620),
    [sym_unsafe_block] = STATE(1637),
    [sym_async_block] = STATE(1637),
    [sym_try_block] = STATE(1637),
    [sym_block] = STATE(1662),
    [sym__literal] = STATE(1637),
    [sym_string_literal] = STATE(1778),
    [sym_raw_string_literal] = STATE(1778),
    [sym_boolean_literal] = STATE(1778),
    [sym_line_comment] = STATE(239),
    [sym_block_comment] = STATE(239),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(1021),
    [anon_sym_u8] = ACTIONS(404),
    [anon_sym_i8] = ACTIONS(404),
    [anon_sym_u16] = ACTIONS(404),
    [anon_sym_i16] = ACTIONS(404),
    [anon_sym_u32] = ACTIONS(404),
    [anon_sym_i32] = ACTIONS(404),
    [anon_sym_u64] = ACTIONS(404),
    [anon_sym_i64] = ACTIONS(404),
    [anon_sym_u128] = ACTIONS(404),
    [anon_sym_i128] = ACTIONS(404),
    [anon_sym_isize] = ACTIONS(404),
    [anon_sym_usize] = ACTIONS(404),
    [anon_sym_f32] = ACTIONS(404),
    [anon_sym_f64] = ACTIONS(404),
    [anon_sym_bool] = ACTIONS(404),
    [anon_sym_str] = ACTIONS(404),
    [anon_sym_char] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(406),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_AMP] = ACTIONS(1023),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1184),
    [anon_sym_DOT_DOT] = ACTIONS(1039),
    [anon_sym_COLON_COLON] = ACTIONS(408),
    [anon_sym_DASH_GT] = ACTIONS(1186),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_break] = ACTIONS(412),
    [anon_sym_const] = ACTIONS(414),
    [anon_sym_continue] = ACTIONS(416),
    [anon_sym_default] = ACTIONS(418),
    [anon_sym_for] = ACTIONS(420),
    [anon_sym_if] = ACTIONS(422),
    [anon_sym_loop] = ACTIONS(424),
    [anon_sym_match] = ACTIONS(426),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_union] = ACTIONS(418),
    [anon_sym_unsafe] = ACTIONS(432),
    [anon_sym_while] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_move] = ACTIONS(438),
    [anon_sym_try] = ACTIONS(440),
    [sym_integer_literal] = ACTIONS(442),
    [aux_sym_string_literal_token1] = ACTIONS(444),
    [sym_char_literal] = ACTIONS(442),
    [anon_sym_true] = ACTIONS(446),
    [anon_sym_false] = ACTIONS(446),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(448),
    [sym_super] = ACTIONS(450),
    [sym_crate] = ACTIONS(450),
    [sym_metavariable] = ACTIONS(452),
    [sym__raw_string_literal_start] = ACTIONS(454),
    [sym_float_literal] = ACTIONS(442),
  },
  [240] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1590),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_let_condition] = STATE(2662),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(240),
    [sym_block_comment] = STATE(240),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [241] = {
    [sym_bracketed_type] = STATE(3498),
    [sym_generic_function] = STATE(1637),
    [sym_generic_type_with_turbofish] = STATE(2956),
    [sym__expression_except_range] = STATE(1604),
    [sym__expression] = STATE(1790),
    [sym_macro_invocation] = STATE(1641),
    [sym_scoped_identifier] = STATE(1546),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3100),
    [sym_range_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1637),
    [sym_try_expression] = STATE(1637),
    [sym_reference_expression] = STATE(1637),
    [sym_binary_expression] = STATE(1637),
    [sym_assignment_expression] = STATE(1637),
    [sym_compound_assignment_expr] = STATE(1637),
    [sym_type_cast_expression] = STATE(1637),
    [sym_return_expression] = STATE(1637),
    [sym_yield_expression] = STATE(1637),
    [sym_call_expression] = STATE(1637),
    [sym_array_expression] = STATE(1637),
    [sym_parenthesized_expression] = STATE(1637),
    [sym_tuple_expression] = STATE(1637),
    [sym_unit_expression] = STATE(1637),
    [sym_struct_expression] = STATE(1637),
    [sym_if_expression] = STATE(1637),
    [sym_match_expression] = STATE(1637),
    [sym_while_expression] = STATE(1637),
    [sym_loop_expression] = STATE(1637),
    [sym_for_expression] = STATE(1637),
    [sym_const_block] = STATE(1637),
    [sym_closure_expression] = STATE(1637),
    [sym_closure_parameters] = STATE(237),
    [sym_label] = STATE(3585),
    [sym_break_expression] = STATE(1637),
    [sym_continue_expression] = STATE(1637),
    [sym_index_expression] = STATE(1637),
    [sym_await_expression] = STATE(1637),
    [sym_field_expression] = STATE(1620),
    [sym_unsafe_block] = STATE(1637),
    [sym_async_block] = STATE(1637),
    [sym_try_block] = STATE(1637),
    [sym_block] = STATE(1673),
    [sym__literal] = STATE(1637),
    [sym_string_literal] = STATE(1778),
    [sym_raw_string_literal] = STATE(1778),
    [sym_boolean_literal] = STATE(1778),
    [sym_line_comment] = STATE(241),
    [sym_block_comment] = STATE(241),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(1021),
    [anon_sym_u8] = ACTIONS(404),
    [anon_sym_i8] = ACTIONS(404),
    [anon_sym_u16] = ACTIONS(404),
    [anon_sym_i16] = ACTIONS(404),
    [anon_sym_u32] = ACTIONS(404),
    [anon_sym_i32] = ACTIONS(404),
    [anon_sym_u64] = ACTIONS(404),
    [anon_sym_i64] = ACTIONS(404),
    [anon_sym_u128] = ACTIONS(404),
    [anon_sym_i128] = ACTIONS(404),
    [anon_sym_isize] = ACTIONS(404),
    [anon_sym_usize] = ACTIONS(404),
    [anon_sym_f32] = ACTIONS(404),
    [anon_sym_f64] = ACTIONS(404),
    [anon_sym_bool] = ACTIONS(404),
    [anon_sym_str] = ACTIONS(404),
    [anon_sym_char] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(406),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_AMP] = ACTIONS(1023),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1188),
    [anon_sym_DOT_DOT] = ACTIONS(1039),
    [anon_sym_COLON_COLON] = ACTIONS(408),
    [anon_sym_DASH_GT] = ACTIONS(1190),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_break] = ACTIONS(412),
    [anon_sym_const] = ACTIONS(414),
    [anon_sym_continue] = ACTIONS(416),
    [anon_sym_default] = ACTIONS(418),
    [anon_sym_for] = ACTIONS(420),
    [anon_sym_if] = ACTIONS(422),
    [anon_sym_loop] = ACTIONS(424),
    [anon_sym_match] = ACTIONS(426),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_union] = ACTIONS(418),
    [anon_sym_unsafe] = ACTIONS(432),
    [anon_sym_while] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_move] = ACTIONS(438),
    [anon_sym_try] = ACTIONS(440),
    [sym_integer_literal] = ACTIONS(442),
    [aux_sym_string_literal_token1] = ACTIONS(444),
    [sym_char_literal] = ACTIONS(442),
    [anon_sym_true] = ACTIONS(446),
    [anon_sym_false] = ACTIONS(446),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(448),
    [sym_super] = ACTIONS(450),
    [sym_crate] = ACTIONS(450),
    [sym_metavariable] = ACTIONS(452),
    [sym__raw_string_literal_start] = ACTIONS(454),
    [sym_float_literal] = ACTIONS(442),
  },
  [242] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1638),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_let_condition] = STATE(2662),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(242),
    [sym_block_comment] = STATE(242),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(977),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_let] = ACTIONS(979),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [243] = {
    [sym_bracketed_type] = STATE(3498),
    [sym_generic_function] = STATE(1637),
    [sym_generic_type_with_turbofish] = STATE(2956),
    [sym__expression_except_range] = STATE(1604),
    [sym__expression] = STATE(1644),
    [sym_macro_invocation] = STATE(1641),
    [sym_scoped_identifier] = STATE(1546),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3100),
    [sym_range_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1637),
    [sym_try_expression] = STATE(1637),
    [sym_reference_expression] = STATE(1637),
    [sym_binary_expression] = STATE(1637),
    [sym_assignment_expression] = STATE(1637),
    [sym_compound_assignment_expr] = STATE(1637),
    [sym_type_cast_expression] = STATE(1637),
    [sym_return_expression] = STATE(1637),
    [sym_yield_expression] = STATE(1637),
    [sym_call_expression] = STATE(1637),
    [sym_array_expression] = STATE(1637),
    [sym_parenthesized_expression] = STATE(1637),
    [sym_tuple_expression] = STATE(1637),
    [sym_unit_expression] = STATE(1637),
    [sym_struct_expression] = STATE(1637),
    [sym_if_expression] = STATE(1637),
    [sym_match_expression] = STATE(1637),
    [sym_while_expression] = STATE(1637),
    [sym_loop_expression] = STATE(1637),
    [sym_for_expression] = STATE(1637),
    [sym_const_block] = STATE(1637),
    [sym_closure_expression] = STATE(1637),
    [sym_closure_parameters] = STATE(237),
    [sym_label] = STATE(3585),
    [sym_break_expression] = STATE(1637),
    [sym_continue_expression] = STATE(1637),
    [sym_index_expression] = STATE(1637),
    [sym_await_expression] = STATE(1637),
    [sym_field_expression] = STATE(1620),
    [sym_unsafe_block] = STATE(1637),
    [sym_async_block] = STATE(1637),
    [sym_try_block] = STATE(1637),
    [sym_block] = STATE(1637),
    [sym__literal] = STATE(1637),
    [sym_string_literal] = STATE(1778),
    [sym_raw_string_literal] = STATE(1778),
    [sym_boolean_literal] = STATE(1778),
    [sym_line_comment] = STATE(243),
    [sym_block_comment] = STATE(243),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(1021),
    [anon_sym_u8] = ACTIONS(404),
    [anon_sym_i8] = ACTIONS(404),
    [anon_sym_u16] = ACTIONS(404),
    [anon_sym_i16] = ACTIONS(404),
    [anon_sym_u32] = ACTIONS(404),
    [anon_sym_i32] = ACTIONS(404),
    [anon_sym_u64] = ACTIONS(404),
    [anon_sym_i64] = ACTIONS(404),
    [anon_sym_u128] = ACTIONS(404),
    [anon_sym_i128] = ACTIONS(404),
    [anon_sym_isize] = ACTIONS(404),
    [anon_sym_usize] = ACTIONS(404),
    [anon_sym_f32] = ACTIONS(404),
    [anon_sym_f64] = ACTIONS(404),
    [anon_sym_bool] = ACTIONS(404),
    [anon_sym_str] = ACTIONS(404),
    [anon_sym_char] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_AMP] = ACTIONS(1023),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1039),
    [anon_sym_COLON_COLON] = ACTIONS(408),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_break] = ACTIONS(412),
    [anon_sym_const] = ACTIONS(414),
    [anon_sym_continue] = ACTIONS(416),
    [anon_sym_default] = ACTIONS(418),
    [anon_sym_for] = ACTIONS(420),
    [anon_sym_if] = ACTIONS(422),
    [anon_sym_loop] = ACTIONS(424),
    [anon_sym_match] = ACTIONS(426),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_union] = ACTIONS(418),
    [anon_sym_unsafe] = ACTIONS(432),
    [anon_sym_while] = ACTIONS(434),
    [sym_mutable_specifier] = ACTIONS(1192),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_move] = ACTIONS(438),
    [anon_sym_try] = ACTIONS(440),
    [sym_integer_literal] = ACTIONS(442),
    [aux_sym_string_literal_token1] = ACTIONS(444),
    [sym_char_literal] = ACTIONS(442),
    [anon_sym_true] = ACTIONS(446),
    [anon_sym_false] = ACTIONS(446),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(448),
    [sym_super] = ACTIONS(450),
    [sym_crate] = ACTIONS(450),
    [sym_metavariable] = ACTIONS(452),
    [sym__raw_string_literal_start] = ACTIONS(454),
    [sym_float_literal] = ACTIONS(442),
  },
  [244] = {
    [sym_else_clause] = STATE(385),
    [sym_line_comment] = STATE(244),
    [sym_block_comment] = STATE(244),
    [ts_builtin_sym_end] = ACTIONS(1194),
    [sym_identifier] = ACTIONS(1196),
    [anon_sym_SEMI] = ACTIONS(1194),
    [anon_sym_macro_rules_BANG] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(1194),
    [anon_sym_LBRACK] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym_RBRACE] = ACTIONS(1194),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_STAR] = ACTIONS(1196),
    [anon_sym_QMARK] = ACTIONS(1194),
    [anon_sym_u8] = ACTIONS(1196),
    [anon_sym_i8] = ACTIONS(1196),
    [anon_sym_u16] = ACTIONS(1196),
    [anon_sym_i16] = ACTIONS(1196),
    [anon_sym_u32] = ACTIONS(1196),
    [anon_sym_i32] = ACTIONS(1196),
    [anon_sym_u64] = ACTIONS(1196),
    [anon_sym_i64] = ACTIONS(1196),
    [anon_sym_u128] = ACTIONS(1196),
    [anon_sym_i128] = ACTIONS(1196),
    [anon_sym_isize] = ACTIONS(1196),
    [anon_sym_usize] = ACTIONS(1196),
    [anon_sym_f32] = ACTIONS(1196),
    [anon_sym_f64] = ACTIONS(1196),
    [anon_sym_bool] = ACTIONS(1196),
    [anon_sym_str] = ACTIONS(1196),
    [anon_sym_char] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(1196),
    [anon_sym_PERCENT] = ACTIONS(1196),
    [anon_sym_CARET] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1196),
    [anon_sym_AMP] = ACTIONS(1196),
    [anon_sym_PIPE] = ACTIONS(1196),
    [anon_sym_AMP_AMP] = ACTIONS(1194),
    [anon_sym_PIPE_PIPE] = ACTIONS(1194),
    [anon_sym_LT_LT] = ACTIONS(1196),
    [anon_sym_GT_GT] = ACTIONS(1196),
    [anon_sym_PLUS_EQ] = ACTIONS(1194),
    [anon_sym_DASH_EQ] = ACTIONS(1194),
    [anon_sym_STAR_EQ] = ACTIONS(1194),
    [anon_sym_SLASH_EQ] = ACTIONS(1194),
    [anon_sym_PERCENT_EQ] = ACTIONS(1194),
    [anon_sym_CARET_EQ] = ACTIONS(1194),
    [anon_sym_AMP_EQ] = ACTIONS(1194),
    [anon_sym_PIPE_EQ] = ACTIONS(1194),
    [anon_sym_LT_LT_EQ] = ACTIONS(1194),
    [anon_sym_GT_GT_EQ] = ACTIONS(1194),
    [anon_sym_EQ] = ACTIONS(1196),
    [anon_sym_EQ_EQ] = ACTIONS(1194),
    [anon_sym_BANG_EQ] = ACTIONS(1194),
    [anon_sym_GT] = ACTIONS(1196),
    [anon_sym_LT] = ACTIONS(1196),
    [anon_sym_GT_EQ] = ACTIONS(1194),
    [anon_sym_LT_EQ] = ACTIONS(1194),
    [anon_sym_DOT] = ACTIONS(1196),
    [anon_sym_DOT_DOT] = ACTIONS(1196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1194),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1194),
    [anon_sym_COLON_COLON] = ACTIONS(1194),
    [anon_sym_POUND] = ACTIONS(1194),
    [anon_sym_SQUOTE] = ACTIONS(1196),
    [anon_sym_as] = ACTIONS(1196),
    [anon_sym_async] = ACTIONS(1196),
    [anon_sym_break] = ACTIONS(1196),
    [anon_sym_const] = ACTIONS(1196),
    [anon_sym_continue] = ACTIONS(1196),
    [anon_sym_default] = ACTIONS(1196),
    [anon_sym_enum] = ACTIONS(1196),
    [anon_sym_fn] = ACTIONS(1196),
    [anon_sym_for] = ACTIONS(1196),
    [anon_sym_if] = ACTIONS(1196),
    [anon_sym_impl] = ACTIONS(1196),
    [anon_sym_let] = ACTIONS(1196),
    [anon_sym_loop] = ACTIONS(1196),
    [anon_sym_match] = ACTIONS(1196),
    [anon_sym_mod] = ACTIONS(1196),
    [anon_sym_pub] = ACTIONS(1196),
    [anon_sym_return] = ACTIONS(1196),
    [anon_sym_static] = ACTIONS(1196),
    [anon_sym_struct] = ACTIONS(1196),
    [anon_sym_trait] = ACTIONS(1196),
    [anon_sym_type] = ACTIONS(1196),
    [anon_sym_union] = ACTIONS(1196),
    [anon_sym_unsafe] = ACTIONS(1196),
    [anon_sym_use] = ACTIONS(1196),
    [anon_sym_while] = ACTIONS(1196),
    [anon_sym_extern] = ACTIONS(1196),
    [anon_sym_else] = ACTIONS(1198),
    [anon_sym_yield] = ACTIONS(1196),
    [anon_sym_move] = ACTIONS(1196),
    [anon_sym_try] = ACTIONS(1196),
    [sym_integer_literal] = ACTIONS(1194),
    [aux_sym_string_literal_token1] = ACTIONS(1194),
    [sym_char_literal] = ACTIONS(1194),
    [anon_sym_true] = ACTIONS(1196),
    [anon_sym_false] = ACTIONS(1196),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1196),
    [sym_super] = ACTIONS(1196),
    [sym_crate] = ACTIONS(1196),
    [sym_metavariable] = ACTIONS(1194),
    [sym__raw_string_literal_start] = ACTIONS(1194),
    [sym_float_literal] = ACTIONS(1194),
  },
  [245] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1337),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(234),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(245),
    [sym_block_comment] = STATE(245),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(1041),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(1041),
    [anon_sym_AMP] = ACTIONS(1043),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1047),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [sym_mutable_specifier] = ACTIONS(1200),
    [anon_sym_yield] = ACTIONS(472),
    [anon_sym_move] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [246] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1337),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(246),
    [sym_block_comment] = STATE(246),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [sym_mutable_specifier] = ACTIONS(1202),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [247] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1337),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(247),
    [sym_block_comment] = STATE(247),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1176),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [sym_mutable_specifier] = ACTIONS(1204),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [248] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1654),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(248),
    [sym_block_comment] = STATE(248),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [249] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1714),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(234),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(249),
    [sym_block_comment] = STATE(249),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(1041),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(1041),
    [anon_sym_AMP] = ACTIONS(1043),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1047),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(472),
    [anon_sym_move] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [250] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1715),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(234),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(250),
    [sym_block_comment] = STATE(250),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(1041),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(1041),
    [anon_sym_AMP] = ACTIONS(1043),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1047),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(472),
    [anon_sym_move] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [251] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1590),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(251),
    [sym_block_comment] = STATE(251),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [252] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1717),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(234),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(252),
    [sym_block_comment] = STATE(252),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(1041),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(1041),
    [anon_sym_AMP] = ACTIONS(1043),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1047),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(472),
    [anon_sym_move] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [253] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1718),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(234),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(253),
    [sym_block_comment] = STATE(253),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(1041),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(1041),
    [anon_sym_AMP] = ACTIONS(1043),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1047),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(472),
    [anon_sym_move] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [254] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1719),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(234),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(254),
    [sym_block_comment] = STATE(254),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(1041),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(1041),
    [anon_sym_AMP] = ACTIONS(1043),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1047),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(472),
    [anon_sym_move] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [255] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1720),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(234),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(255),
    [sym_block_comment] = STATE(255),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(1041),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(1041),
    [anon_sym_AMP] = ACTIONS(1043),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1047),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(472),
    [anon_sym_move] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [256] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1721),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(234),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(256),
    [sym_block_comment] = STATE(256),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(1041),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(1041),
    [anon_sym_AMP] = ACTIONS(1043),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1047),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(472),
    [anon_sym_move] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [257] = {
    [sym_bracketed_type] = STATE(3498),
    [sym_generic_function] = STATE(1637),
    [sym_generic_type_with_turbofish] = STATE(2956),
    [sym__expression_except_range] = STATE(1604),
    [sym__expression] = STATE(1643),
    [sym_macro_invocation] = STATE(1641),
    [sym_scoped_identifier] = STATE(1546),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3100),
    [sym_range_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1637),
    [sym_try_expression] = STATE(1637),
    [sym_reference_expression] = STATE(1637),
    [sym_binary_expression] = STATE(1637),
    [sym_assignment_expression] = STATE(1637),
    [sym_compound_assignment_expr] = STATE(1637),
    [sym_type_cast_expression] = STATE(1637),
    [sym_return_expression] = STATE(1637),
    [sym_yield_expression] = STATE(1637),
    [sym_call_expression] = STATE(1637),
    [sym_array_expression] = STATE(1637),
    [sym_parenthesized_expression] = STATE(1637),
    [sym_tuple_expression] = STATE(1637),
    [sym_unit_expression] = STATE(1637),
    [sym_struct_expression] = STATE(1637),
    [sym_if_expression] = STATE(1637),
    [sym_match_expression] = STATE(1637),
    [sym_while_expression] = STATE(1637),
    [sym_loop_expression] = STATE(1637),
    [sym_for_expression] = STATE(1637),
    [sym_const_block] = STATE(1637),
    [sym_closure_expression] = STATE(1637),
    [sym_closure_parameters] = STATE(237),
    [sym_label] = STATE(3585),
    [sym_break_expression] = STATE(1637),
    [sym_continue_expression] = STATE(1637),
    [sym_index_expression] = STATE(1637),
    [sym_await_expression] = STATE(1637),
    [sym_field_expression] = STATE(1620),
    [sym_unsafe_block] = STATE(1637),
    [sym_async_block] = STATE(1637),
    [sym_try_block] = STATE(1637),
    [sym_block] = STATE(1637),
    [sym__literal] = STATE(1637),
    [sym_string_literal] = STATE(1778),
    [sym_raw_string_literal] = STATE(1778),
    [sym_boolean_literal] = STATE(1778),
    [sym_line_comment] = STATE(257),
    [sym_block_comment] = STATE(257),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(1021),
    [anon_sym_u8] = ACTIONS(404),
    [anon_sym_i8] = ACTIONS(404),
    [anon_sym_u16] = ACTIONS(404),
    [anon_sym_i16] = ACTIONS(404),
    [anon_sym_u32] = ACTIONS(404),
    [anon_sym_i32] = ACTIONS(404),
    [anon_sym_u64] = ACTIONS(404),
    [anon_sym_i64] = ACTIONS(404),
    [anon_sym_u128] = ACTIONS(404),
    [anon_sym_i128] = ACTIONS(404),
    [anon_sym_isize] = ACTIONS(404),
    [anon_sym_usize] = ACTIONS(404),
    [anon_sym_f32] = ACTIONS(404),
    [anon_sym_f64] = ACTIONS(404),
    [anon_sym_bool] = ACTIONS(404),
    [anon_sym_str] = ACTIONS(404),
    [anon_sym_char] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_AMP] = ACTIONS(1023),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1039),
    [anon_sym_COLON_COLON] = ACTIONS(408),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_break] = ACTIONS(412),
    [anon_sym_const] = ACTIONS(414),
    [anon_sym_continue] = ACTIONS(416),
    [anon_sym_default] = ACTIONS(418),
    [anon_sym_for] = ACTIONS(420),
    [anon_sym_if] = ACTIONS(422),
    [anon_sym_loop] = ACTIONS(424),
    [anon_sym_match] = ACTIONS(426),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_union] = ACTIONS(418),
    [anon_sym_unsafe] = ACTIONS(432),
    [anon_sym_while] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_move] = ACTIONS(438),
    [anon_sym_try] = ACTIONS(440),
    [sym_integer_literal] = ACTIONS(442),
    [aux_sym_string_literal_token1] = ACTIONS(444),
    [sym_char_literal] = ACTIONS(442),
    [anon_sym_true] = ACTIONS(446),
    [anon_sym_false] = ACTIONS(446),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(448),
    [sym_super] = ACTIONS(450),
    [sym_crate] = ACTIONS(450),
    [sym_metavariable] = ACTIONS(452),
    [sym__raw_string_literal_start] = ACTIONS(454),
    [sym_float_literal] = ACTIONS(442),
  },
  [258] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1579),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(258),
    [sym_block_comment] = STATE(258),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(977),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [259] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1839),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(259),
    [sym_block_comment] = STATE(259),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [260] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1860),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(260),
    [sym_block_comment] = STATE(260),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [261] = {
    [sym_line_comment] = STATE(261),
    [sym_block_comment] = STATE(261),
    [ts_builtin_sym_end] = ACTIONS(1206),
    [sym_identifier] = ACTIONS(1208),
    [anon_sym_SEMI] = ACTIONS(1206),
    [anon_sym_macro_rules_BANG] = ACTIONS(1206),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_RBRACE] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1208),
    [anon_sym_QMARK] = ACTIONS(1206),
    [anon_sym_u8] = ACTIONS(1208),
    [anon_sym_i8] = ACTIONS(1208),
    [anon_sym_u16] = ACTIONS(1208),
    [anon_sym_i16] = ACTIONS(1208),
    [anon_sym_u32] = ACTIONS(1208),
    [anon_sym_i32] = ACTIONS(1208),
    [anon_sym_u64] = ACTIONS(1208),
    [anon_sym_i64] = ACTIONS(1208),
    [anon_sym_u128] = ACTIONS(1208),
    [anon_sym_i128] = ACTIONS(1208),
    [anon_sym_isize] = ACTIONS(1208),
    [anon_sym_usize] = ACTIONS(1208),
    [anon_sym_f32] = ACTIONS(1208),
    [anon_sym_f64] = ACTIONS(1208),
    [anon_sym_bool] = ACTIONS(1208),
    [anon_sym_str] = ACTIONS(1208),
    [anon_sym_char] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_SLASH] = ACTIONS(1208),
    [anon_sym_PERCENT] = ACTIONS(1208),
    [anon_sym_CARET] = ACTIONS(1208),
    [anon_sym_BANG] = ACTIONS(1208),
    [anon_sym_AMP] = ACTIONS(1208),
    [anon_sym_PIPE] = ACTIONS(1208),
    [anon_sym_AMP_AMP] = ACTIONS(1206),
    [anon_sym_PIPE_PIPE] = ACTIONS(1206),
    [anon_sym_LT_LT] = ACTIONS(1208),
    [anon_sym_GT_GT] = ACTIONS(1208),
    [anon_sym_PLUS_EQ] = ACTIONS(1206),
    [anon_sym_DASH_EQ] = ACTIONS(1206),
    [anon_sym_STAR_EQ] = ACTIONS(1206),
    [anon_sym_SLASH_EQ] = ACTIONS(1206),
    [anon_sym_PERCENT_EQ] = ACTIONS(1206),
    [anon_sym_CARET_EQ] = ACTIONS(1206),
    [anon_sym_AMP_EQ] = ACTIONS(1206),
    [anon_sym_PIPE_EQ] = ACTIONS(1206),
    [anon_sym_LT_LT_EQ] = ACTIONS(1206),
    [anon_sym_GT_GT_EQ] = ACTIONS(1206),
    [anon_sym_EQ] = ACTIONS(1208),
    [anon_sym_EQ_EQ] = ACTIONS(1206),
    [anon_sym_BANG_EQ] = ACTIONS(1206),
    [anon_sym_GT] = ACTIONS(1208),
    [anon_sym_LT] = ACTIONS(1208),
    [anon_sym_GT_EQ] = ACTIONS(1206),
    [anon_sym_LT_EQ] = ACTIONS(1206),
    [anon_sym_DOT] = ACTIONS(1208),
    [anon_sym_DOT_DOT] = ACTIONS(1208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1206),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1206),
    [anon_sym_COLON_COLON] = ACTIONS(1206),
    [anon_sym_POUND] = ACTIONS(1206),
    [anon_sym_SQUOTE] = ACTIONS(1208),
    [anon_sym_as] = ACTIONS(1208),
    [anon_sym_async] = ACTIONS(1208),
    [anon_sym_break] = ACTIONS(1208),
    [anon_sym_const] = ACTIONS(1208),
    [anon_sym_continue] = ACTIONS(1208),
    [anon_sym_default] = ACTIONS(1208),
    [anon_sym_enum] = ACTIONS(1208),
    [anon_sym_fn] = ACTIONS(1208),
    [anon_sym_for] = ACTIONS(1208),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_impl] = ACTIONS(1208),
    [anon_sym_let] = ACTIONS(1208),
    [anon_sym_loop] = ACTIONS(1208),
    [anon_sym_match] = ACTIONS(1208),
    [anon_sym_mod] = ACTIONS(1208),
    [anon_sym_pub] = ACTIONS(1208),
    [anon_sym_return] = ACTIONS(1208),
    [anon_sym_static] = ACTIONS(1208),
    [anon_sym_struct] = ACTIONS(1208),
    [anon_sym_trait] = ACTIONS(1208),
    [anon_sym_type] = ACTIONS(1208),
    [anon_sym_union] = ACTIONS(1208),
    [anon_sym_unsafe] = ACTIONS(1208),
    [anon_sym_use] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1208),
    [anon_sym_extern] = ACTIONS(1208),
    [anon_sym_else] = ACTIONS(1208),
    [anon_sym_yield] = ACTIONS(1208),
    [anon_sym_move] = ACTIONS(1208),
    [anon_sym_try] = ACTIONS(1208),
    [sym_integer_literal] = ACTIONS(1206),
    [aux_sym_string_literal_token1] = ACTIONS(1206),
    [sym_char_literal] = ACTIONS(1206),
    [anon_sym_true] = ACTIONS(1208),
    [anon_sym_false] = ACTIONS(1208),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1208),
    [sym_super] = ACTIONS(1208),
    [sym_crate] = ACTIONS(1208),
    [sym_metavariable] = ACTIONS(1206),
    [sym__raw_string_literal_start] = ACTIONS(1206),
    [sym_float_literal] = ACTIONS(1206),
  },
  [262] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1867),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(262),
    [sym_block_comment] = STATE(262),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [263] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1873),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(464),
    [sym_match_expression] = STATE(464),
    [sym_while_expression] = STATE(464),
    [sym_loop_expression] = STATE(464),
    [sym_for_expression] = STATE(464),
    [sym_const_block] = STATE(464),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3579),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(464),
    [sym_async_block] = STATE(464),
    [sym_try_block] = STATE(464),
    [sym_block] = STATE(464),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(263),
    [sym_block_comment] = STATE(263),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(1212),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(1214),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1218),
    [anon_sym_loop] = ACTIONS(1220),
    [anon_sym_match] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(1224),
    [anon_sym_while] = ACTIONS(1226),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(1228),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [264] = {
    [sym_bracketed_type] = STATE(3498),
    [sym_generic_function] = STATE(1637),
    [sym_generic_type_with_turbofish] = STATE(2956),
    [sym__expression_except_range] = STATE(1604),
    [sym__expression] = STATE(1659),
    [sym_macro_invocation] = STATE(1641),
    [sym_scoped_identifier] = STATE(1546),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3100),
    [sym_range_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1637),
    [sym_try_expression] = STATE(1637),
    [sym_reference_expression] = STATE(1637),
    [sym_binary_expression] = STATE(1637),
    [sym_assignment_expression] = STATE(1637),
    [sym_compound_assignment_expr] = STATE(1637),
    [sym_type_cast_expression] = STATE(1637),
    [sym_return_expression] = STATE(1637),
    [sym_yield_expression] = STATE(1637),
    [sym_call_expression] = STATE(1637),
    [sym_array_expression] = STATE(1637),
    [sym_parenthesized_expression] = STATE(1637),
    [sym_tuple_expression] = STATE(1637),
    [sym_unit_expression] = STATE(1637),
    [sym_struct_expression] = STATE(1637),
    [sym_if_expression] = STATE(1637),
    [sym_match_expression] = STATE(1637),
    [sym_while_expression] = STATE(1637),
    [sym_loop_expression] = STATE(1637),
    [sym_for_expression] = STATE(1637),
    [sym_const_block] = STATE(1637),
    [sym_closure_expression] = STATE(1637),
    [sym_closure_parameters] = STATE(237),
    [sym_label] = STATE(3585),
    [sym_break_expression] = STATE(1637),
    [sym_continue_expression] = STATE(1637),
    [sym_index_expression] = STATE(1637),
    [sym_await_expression] = STATE(1637),
    [sym_field_expression] = STATE(1620),
    [sym_unsafe_block] = STATE(1637),
    [sym_async_block] = STATE(1637),
    [sym_try_block] = STATE(1637),
    [sym_block] = STATE(1637),
    [sym__literal] = STATE(1637),
    [sym_string_literal] = STATE(1778),
    [sym_raw_string_literal] = STATE(1778),
    [sym_boolean_literal] = STATE(1778),
    [sym_line_comment] = STATE(264),
    [sym_block_comment] = STATE(264),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(1021),
    [anon_sym_u8] = ACTIONS(404),
    [anon_sym_i8] = ACTIONS(404),
    [anon_sym_u16] = ACTIONS(404),
    [anon_sym_i16] = ACTIONS(404),
    [anon_sym_u32] = ACTIONS(404),
    [anon_sym_i32] = ACTIONS(404),
    [anon_sym_u64] = ACTIONS(404),
    [anon_sym_i64] = ACTIONS(404),
    [anon_sym_u128] = ACTIONS(404),
    [anon_sym_i128] = ACTIONS(404),
    [anon_sym_isize] = ACTIONS(404),
    [anon_sym_usize] = ACTIONS(404),
    [anon_sym_f32] = ACTIONS(404),
    [anon_sym_f64] = ACTIONS(404),
    [anon_sym_bool] = ACTIONS(404),
    [anon_sym_str] = ACTIONS(404),
    [anon_sym_char] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_AMP] = ACTIONS(1023),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1039),
    [anon_sym_COLON_COLON] = ACTIONS(408),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_break] = ACTIONS(412),
    [anon_sym_const] = ACTIONS(414),
    [anon_sym_continue] = ACTIONS(416),
    [anon_sym_default] = ACTIONS(418),
    [anon_sym_for] = ACTIONS(420),
    [anon_sym_if] = ACTIONS(422),
    [anon_sym_loop] = ACTIONS(424),
    [anon_sym_match] = ACTIONS(426),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_union] = ACTIONS(418),
    [anon_sym_unsafe] = ACTIONS(432),
    [anon_sym_while] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_move] = ACTIONS(438),
    [anon_sym_try] = ACTIONS(440),
    [sym_integer_literal] = ACTIONS(442),
    [aux_sym_string_literal_token1] = ACTIONS(444),
    [sym_char_literal] = ACTIONS(442),
    [anon_sym_true] = ACTIONS(446),
    [anon_sym_false] = ACTIONS(446),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(448),
    [sym_super] = ACTIONS(450),
    [sym_crate] = ACTIONS(450),
    [sym_metavariable] = ACTIONS(452),
    [sym__raw_string_literal_start] = ACTIONS(454),
    [sym_float_literal] = ACTIONS(442),
  },
  [265] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1353),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(265),
    [sym_block_comment] = STATE(265),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [266] = {
    [sym_bracketed_type] = STATE(3498),
    [sym_generic_function] = STATE(1637),
    [sym_generic_type_with_turbofish] = STATE(2956),
    [sym__expression_except_range] = STATE(1604),
    [sym__expression] = STATE(1753),
    [sym_macro_invocation] = STATE(1641),
    [sym_scoped_identifier] = STATE(1546),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3100),
    [sym_range_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1637),
    [sym_try_expression] = STATE(1637),
    [sym_reference_expression] = STATE(1637),
    [sym_binary_expression] = STATE(1637),
    [sym_assignment_expression] = STATE(1637),
    [sym_compound_assignment_expr] = STATE(1637),
    [sym_type_cast_expression] = STATE(1637),
    [sym_return_expression] = STATE(1637),
    [sym_yield_expression] = STATE(1637),
    [sym_call_expression] = STATE(1637),
    [sym_array_expression] = STATE(1637),
    [sym_parenthesized_expression] = STATE(1637),
    [sym_tuple_expression] = STATE(1637),
    [sym_unit_expression] = STATE(1637),
    [sym_struct_expression] = STATE(1637),
    [sym_if_expression] = STATE(1637),
    [sym_match_expression] = STATE(1637),
    [sym_while_expression] = STATE(1637),
    [sym_loop_expression] = STATE(1637),
    [sym_for_expression] = STATE(1637),
    [sym_const_block] = STATE(1637),
    [sym_closure_expression] = STATE(1637),
    [sym_closure_parameters] = STATE(237),
    [sym_label] = STATE(3585),
    [sym_break_expression] = STATE(1637),
    [sym_continue_expression] = STATE(1637),
    [sym_index_expression] = STATE(1637),
    [sym_await_expression] = STATE(1637),
    [sym_field_expression] = STATE(1620),
    [sym_unsafe_block] = STATE(1637),
    [sym_async_block] = STATE(1637),
    [sym_try_block] = STATE(1637),
    [sym_block] = STATE(1637),
    [sym__literal] = STATE(1637),
    [sym_string_literal] = STATE(1778),
    [sym_raw_string_literal] = STATE(1778),
    [sym_boolean_literal] = STATE(1778),
    [sym_line_comment] = STATE(266),
    [sym_block_comment] = STATE(266),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(1021),
    [anon_sym_u8] = ACTIONS(404),
    [anon_sym_i8] = ACTIONS(404),
    [anon_sym_u16] = ACTIONS(404),
    [anon_sym_i16] = ACTIONS(404),
    [anon_sym_u32] = ACTIONS(404),
    [anon_sym_i32] = ACTIONS(404),
    [anon_sym_u64] = ACTIONS(404),
    [anon_sym_i64] = ACTIONS(404),
    [anon_sym_u128] = ACTIONS(404),
    [anon_sym_i128] = ACTIONS(404),
    [anon_sym_isize] = ACTIONS(404),
    [anon_sym_usize] = ACTIONS(404),
    [anon_sym_f32] = ACTIONS(404),
    [anon_sym_f64] = ACTIONS(404),
    [anon_sym_bool] = ACTIONS(404),
    [anon_sym_str] = ACTIONS(404),
    [anon_sym_char] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_AMP] = ACTIONS(1023),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1039),
    [anon_sym_COLON_COLON] = ACTIONS(408),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_break] = ACTIONS(412),
    [anon_sym_const] = ACTIONS(414),
    [anon_sym_continue] = ACTIONS(416),
    [anon_sym_default] = ACTIONS(418),
    [anon_sym_for] = ACTIONS(420),
    [anon_sym_if] = ACTIONS(422),
    [anon_sym_loop] = ACTIONS(424),
    [anon_sym_match] = ACTIONS(426),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_union] = ACTIONS(418),
    [anon_sym_unsafe] = ACTIONS(432),
    [anon_sym_while] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_move] = ACTIONS(438),
    [anon_sym_try] = ACTIONS(440),
    [sym_integer_literal] = ACTIONS(442),
    [aux_sym_string_literal_token1] = ACTIONS(444),
    [sym_char_literal] = ACTIONS(442),
    [anon_sym_true] = ACTIONS(446),
    [anon_sym_false] = ACTIONS(446),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(448),
    [sym_super] = ACTIONS(450),
    [sym_crate] = ACTIONS(450),
    [sym_metavariable] = ACTIONS(452),
    [sym__raw_string_literal_start] = ACTIONS(454),
    [sym_float_literal] = ACTIONS(442),
  },
  [267] = {
    [sym_bracketed_type] = STATE(3498),
    [sym_generic_function] = STATE(1637),
    [sym_generic_type_with_turbofish] = STATE(2956),
    [sym__expression_except_range] = STATE(1604),
    [sym__expression] = STATE(1665),
    [sym_macro_invocation] = STATE(1641),
    [sym_scoped_identifier] = STATE(1546),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3100),
    [sym_range_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1637),
    [sym_try_expression] = STATE(1637),
    [sym_reference_expression] = STATE(1637),
    [sym_binary_expression] = STATE(1637),
    [sym_assignment_expression] = STATE(1637),
    [sym_compound_assignment_expr] = STATE(1637),
    [sym_type_cast_expression] = STATE(1637),
    [sym_return_expression] = STATE(1637),
    [sym_yield_expression] = STATE(1637),
    [sym_call_expression] = STATE(1637),
    [sym_array_expression] = STATE(1637),
    [sym_parenthesized_expression] = STATE(1637),
    [sym_tuple_expression] = STATE(1637),
    [sym_unit_expression] = STATE(1637),
    [sym_struct_expression] = STATE(1637),
    [sym_if_expression] = STATE(1637),
    [sym_match_expression] = STATE(1637),
    [sym_while_expression] = STATE(1637),
    [sym_loop_expression] = STATE(1637),
    [sym_for_expression] = STATE(1637),
    [sym_const_block] = STATE(1637),
    [sym_closure_expression] = STATE(1637),
    [sym_closure_parameters] = STATE(237),
    [sym_label] = STATE(3585),
    [sym_break_expression] = STATE(1637),
    [sym_continue_expression] = STATE(1637),
    [sym_index_expression] = STATE(1637),
    [sym_await_expression] = STATE(1637),
    [sym_field_expression] = STATE(1620),
    [sym_unsafe_block] = STATE(1637),
    [sym_async_block] = STATE(1637),
    [sym_try_block] = STATE(1637),
    [sym_block] = STATE(1637),
    [sym__literal] = STATE(1637),
    [sym_string_literal] = STATE(1778),
    [sym_raw_string_literal] = STATE(1778),
    [sym_boolean_literal] = STATE(1778),
    [sym_line_comment] = STATE(267),
    [sym_block_comment] = STATE(267),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(1021),
    [anon_sym_u8] = ACTIONS(404),
    [anon_sym_i8] = ACTIONS(404),
    [anon_sym_u16] = ACTIONS(404),
    [anon_sym_i16] = ACTIONS(404),
    [anon_sym_u32] = ACTIONS(404),
    [anon_sym_i32] = ACTIONS(404),
    [anon_sym_u64] = ACTIONS(404),
    [anon_sym_i64] = ACTIONS(404),
    [anon_sym_u128] = ACTIONS(404),
    [anon_sym_i128] = ACTIONS(404),
    [anon_sym_isize] = ACTIONS(404),
    [anon_sym_usize] = ACTIONS(404),
    [anon_sym_f32] = ACTIONS(404),
    [anon_sym_f64] = ACTIONS(404),
    [anon_sym_bool] = ACTIONS(404),
    [anon_sym_str] = ACTIONS(404),
    [anon_sym_char] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_AMP] = ACTIONS(1023),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1039),
    [anon_sym_COLON_COLON] = ACTIONS(408),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_break] = ACTIONS(412),
    [anon_sym_const] = ACTIONS(414),
    [anon_sym_continue] = ACTIONS(416),
    [anon_sym_default] = ACTIONS(418),
    [anon_sym_for] = ACTIONS(420),
    [anon_sym_if] = ACTIONS(422),
    [anon_sym_loop] = ACTIONS(424),
    [anon_sym_match] = ACTIONS(426),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_union] = ACTIONS(418),
    [anon_sym_unsafe] = ACTIONS(432),
    [anon_sym_while] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_move] = ACTIONS(438),
    [anon_sym_try] = ACTIONS(440),
    [sym_integer_literal] = ACTIONS(442),
    [aux_sym_string_literal_token1] = ACTIONS(444),
    [sym_char_literal] = ACTIONS(442),
    [anon_sym_true] = ACTIONS(446),
    [anon_sym_false] = ACTIONS(446),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(448),
    [sym_super] = ACTIONS(450),
    [sym_crate] = ACTIONS(450),
    [sym_metavariable] = ACTIONS(452),
    [sym__raw_string_literal_start] = ACTIONS(454),
    [sym_float_literal] = ACTIONS(442),
  },
  [268] = {
    [sym_bracketed_type] = STATE(3498),
    [sym_generic_function] = STATE(1637),
    [sym_generic_type_with_turbofish] = STATE(2956),
    [sym__expression_except_range] = STATE(1604),
    [sym__expression] = STATE(1754),
    [sym_macro_invocation] = STATE(1641),
    [sym_scoped_identifier] = STATE(1546),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3100),
    [sym_range_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1637),
    [sym_try_expression] = STATE(1637),
    [sym_reference_expression] = STATE(1637),
    [sym_binary_expression] = STATE(1637),
    [sym_assignment_expression] = STATE(1637),
    [sym_compound_assignment_expr] = STATE(1637),
    [sym_type_cast_expression] = STATE(1637),
    [sym_return_expression] = STATE(1637),
    [sym_yield_expression] = STATE(1637),
    [sym_call_expression] = STATE(1637),
    [sym_array_expression] = STATE(1637),
    [sym_parenthesized_expression] = STATE(1637),
    [sym_tuple_expression] = STATE(1637),
    [sym_unit_expression] = STATE(1637),
    [sym_struct_expression] = STATE(1637),
    [sym_if_expression] = STATE(1637),
    [sym_match_expression] = STATE(1637),
    [sym_while_expression] = STATE(1637),
    [sym_loop_expression] = STATE(1637),
    [sym_for_expression] = STATE(1637),
    [sym_const_block] = STATE(1637),
    [sym_closure_expression] = STATE(1637),
    [sym_closure_parameters] = STATE(237),
    [sym_label] = STATE(3585),
    [sym_break_expression] = STATE(1637),
    [sym_continue_expression] = STATE(1637),
    [sym_index_expression] = STATE(1637),
    [sym_await_expression] = STATE(1637),
    [sym_field_expression] = STATE(1620),
    [sym_unsafe_block] = STATE(1637),
    [sym_async_block] = STATE(1637),
    [sym_try_block] = STATE(1637),
    [sym_block] = STATE(1637),
    [sym__literal] = STATE(1637),
    [sym_string_literal] = STATE(1778),
    [sym_raw_string_literal] = STATE(1778),
    [sym_boolean_literal] = STATE(1778),
    [sym_line_comment] = STATE(268),
    [sym_block_comment] = STATE(268),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(1021),
    [anon_sym_u8] = ACTIONS(404),
    [anon_sym_i8] = ACTIONS(404),
    [anon_sym_u16] = ACTIONS(404),
    [anon_sym_i16] = ACTIONS(404),
    [anon_sym_u32] = ACTIONS(404),
    [anon_sym_i32] = ACTIONS(404),
    [anon_sym_u64] = ACTIONS(404),
    [anon_sym_i64] = ACTIONS(404),
    [anon_sym_u128] = ACTIONS(404),
    [anon_sym_i128] = ACTIONS(404),
    [anon_sym_isize] = ACTIONS(404),
    [anon_sym_usize] = ACTIONS(404),
    [anon_sym_f32] = ACTIONS(404),
    [anon_sym_f64] = ACTIONS(404),
    [anon_sym_bool] = ACTIONS(404),
    [anon_sym_str] = ACTIONS(404),
    [anon_sym_char] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_AMP] = ACTIONS(1023),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1039),
    [anon_sym_COLON_COLON] = ACTIONS(408),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_break] = ACTIONS(412),
    [anon_sym_const] = ACTIONS(414),
    [anon_sym_continue] = ACTIONS(416),
    [anon_sym_default] = ACTIONS(418),
    [anon_sym_for] = ACTIONS(420),
    [anon_sym_if] = ACTIONS(422),
    [anon_sym_loop] = ACTIONS(424),
    [anon_sym_match] = ACTIONS(426),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_union] = ACTIONS(418),
    [anon_sym_unsafe] = ACTIONS(432),
    [anon_sym_while] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_move] = ACTIONS(438),
    [anon_sym_try] = ACTIONS(440),
    [sym_integer_literal] = ACTIONS(442),
    [aux_sym_string_literal_token1] = ACTIONS(444),
    [sym_char_literal] = ACTIONS(442),
    [anon_sym_true] = ACTIONS(446),
    [anon_sym_false] = ACTIONS(446),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(448),
    [sym_super] = ACTIONS(450),
    [sym_crate] = ACTIONS(450),
    [sym_metavariable] = ACTIONS(452),
    [sym__raw_string_literal_start] = ACTIONS(454),
    [sym_float_literal] = ACTIONS(442),
  },
  [269] = {
    [sym_bracketed_type] = STATE(3498),
    [sym_generic_function] = STATE(1637),
    [sym_generic_type_with_turbofish] = STATE(2956),
    [sym__expression_except_range] = STATE(1604),
    [sym__expression] = STATE(1755),
    [sym_macro_invocation] = STATE(1641),
    [sym_scoped_identifier] = STATE(1546),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3100),
    [sym_range_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1637),
    [sym_try_expression] = STATE(1637),
    [sym_reference_expression] = STATE(1637),
    [sym_binary_expression] = STATE(1637),
    [sym_assignment_expression] = STATE(1637),
    [sym_compound_assignment_expr] = STATE(1637),
    [sym_type_cast_expression] = STATE(1637),
    [sym_return_expression] = STATE(1637),
    [sym_yield_expression] = STATE(1637),
    [sym_call_expression] = STATE(1637),
    [sym_array_expression] = STATE(1637),
    [sym_parenthesized_expression] = STATE(1637),
    [sym_tuple_expression] = STATE(1637),
    [sym_unit_expression] = STATE(1637),
    [sym_struct_expression] = STATE(1637),
    [sym_if_expression] = STATE(1637),
    [sym_match_expression] = STATE(1637),
    [sym_while_expression] = STATE(1637),
    [sym_loop_expression] = STATE(1637),
    [sym_for_expression] = STATE(1637),
    [sym_const_block] = STATE(1637),
    [sym_closure_expression] = STATE(1637),
    [sym_closure_parameters] = STATE(237),
    [sym_label] = STATE(3585),
    [sym_break_expression] = STATE(1637),
    [sym_continue_expression] = STATE(1637),
    [sym_index_expression] = STATE(1637),
    [sym_await_expression] = STATE(1637),
    [sym_field_expression] = STATE(1620),
    [sym_unsafe_block] = STATE(1637),
    [sym_async_block] = STATE(1637),
    [sym_try_block] = STATE(1637),
    [sym_block] = STATE(1637),
    [sym__literal] = STATE(1637),
    [sym_string_literal] = STATE(1778),
    [sym_raw_string_literal] = STATE(1778),
    [sym_boolean_literal] = STATE(1778),
    [sym_line_comment] = STATE(269),
    [sym_block_comment] = STATE(269),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(1021),
    [anon_sym_u8] = ACTIONS(404),
    [anon_sym_i8] = ACTIONS(404),
    [anon_sym_u16] = ACTIONS(404),
    [anon_sym_i16] = ACTIONS(404),
    [anon_sym_u32] = ACTIONS(404),
    [anon_sym_i32] = ACTIONS(404),
    [anon_sym_u64] = ACTIONS(404),
    [anon_sym_i64] = ACTIONS(404),
    [anon_sym_u128] = ACTIONS(404),
    [anon_sym_i128] = ACTIONS(404),
    [anon_sym_isize] = ACTIONS(404),
    [anon_sym_usize] = ACTIONS(404),
    [anon_sym_f32] = ACTIONS(404),
    [anon_sym_f64] = ACTIONS(404),
    [anon_sym_bool] = ACTIONS(404),
    [anon_sym_str] = ACTIONS(404),
    [anon_sym_char] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_AMP] = ACTIONS(1023),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1039),
    [anon_sym_COLON_COLON] = ACTIONS(408),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_break] = ACTIONS(412),
    [anon_sym_const] = ACTIONS(414),
    [anon_sym_continue] = ACTIONS(416),
    [anon_sym_default] = ACTIONS(418),
    [anon_sym_for] = ACTIONS(420),
    [anon_sym_if] = ACTIONS(422),
    [anon_sym_loop] = ACTIONS(424),
    [anon_sym_match] = ACTIONS(426),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_union] = ACTIONS(418),
    [anon_sym_unsafe] = ACTIONS(432),
    [anon_sym_while] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_move] = ACTIONS(438),
    [anon_sym_try] = ACTIONS(440),
    [sym_integer_literal] = ACTIONS(442),
    [aux_sym_string_literal_token1] = ACTIONS(444),
    [sym_char_literal] = ACTIONS(442),
    [anon_sym_true] = ACTIONS(446),
    [anon_sym_false] = ACTIONS(446),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(448),
    [sym_super] = ACTIONS(450),
    [sym_crate] = ACTIONS(450),
    [sym_metavariable] = ACTIONS(452),
    [sym__raw_string_literal_start] = ACTIONS(454),
    [sym_float_literal] = ACTIONS(442),
  },
  [270] = {
    [sym_bracketed_type] = STATE(3498),
    [sym_generic_function] = STATE(1637),
    [sym_generic_type_with_turbofish] = STATE(2956),
    [sym__expression_except_range] = STATE(1604),
    [sym__expression] = STATE(1756),
    [sym_macro_invocation] = STATE(1641),
    [sym_scoped_identifier] = STATE(1546),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3100),
    [sym_range_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1637),
    [sym_try_expression] = STATE(1637),
    [sym_reference_expression] = STATE(1637),
    [sym_binary_expression] = STATE(1637),
    [sym_assignment_expression] = STATE(1637),
    [sym_compound_assignment_expr] = STATE(1637),
    [sym_type_cast_expression] = STATE(1637),
    [sym_return_expression] = STATE(1637),
    [sym_yield_expression] = STATE(1637),
    [sym_call_expression] = STATE(1637),
    [sym_array_expression] = STATE(1637),
    [sym_parenthesized_expression] = STATE(1637),
    [sym_tuple_expression] = STATE(1637),
    [sym_unit_expression] = STATE(1637),
    [sym_struct_expression] = STATE(1637),
    [sym_if_expression] = STATE(1637),
    [sym_match_expression] = STATE(1637),
    [sym_while_expression] = STATE(1637),
    [sym_loop_expression] = STATE(1637),
    [sym_for_expression] = STATE(1637),
    [sym_const_block] = STATE(1637),
    [sym_closure_expression] = STATE(1637),
    [sym_closure_parameters] = STATE(237),
    [sym_label] = STATE(3585),
    [sym_break_expression] = STATE(1637),
    [sym_continue_expression] = STATE(1637),
    [sym_index_expression] = STATE(1637),
    [sym_await_expression] = STATE(1637),
    [sym_field_expression] = STATE(1620),
    [sym_unsafe_block] = STATE(1637),
    [sym_async_block] = STATE(1637),
    [sym_try_block] = STATE(1637),
    [sym_block] = STATE(1637),
    [sym__literal] = STATE(1637),
    [sym_string_literal] = STATE(1778),
    [sym_raw_string_literal] = STATE(1778),
    [sym_boolean_literal] = STATE(1778),
    [sym_line_comment] = STATE(270),
    [sym_block_comment] = STATE(270),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(1021),
    [anon_sym_u8] = ACTIONS(404),
    [anon_sym_i8] = ACTIONS(404),
    [anon_sym_u16] = ACTIONS(404),
    [anon_sym_i16] = ACTIONS(404),
    [anon_sym_u32] = ACTIONS(404),
    [anon_sym_i32] = ACTIONS(404),
    [anon_sym_u64] = ACTIONS(404),
    [anon_sym_i64] = ACTIONS(404),
    [anon_sym_u128] = ACTIONS(404),
    [anon_sym_i128] = ACTIONS(404),
    [anon_sym_isize] = ACTIONS(404),
    [anon_sym_usize] = ACTIONS(404),
    [anon_sym_f32] = ACTIONS(404),
    [anon_sym_f64] = ACTIONS(404),
    [anon_sym_bool] = ACTIONS(404),
    [anon_sym_str] = ACTIONS(404),
    [anon_sym_char] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_AMP] = ACTIONS(1023),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1039),
    [anon_sym_COLON_COLON] = ACTIONS(408),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_break] = ACTIONS(412),
    [anon_sym_const] = ACTIONS(414),
    [anon_sym_continue] = ACTIONS(416),
    [anon_sym_default] = ACTIONS(418),
    [anon_sym_for] = ACTIONS(420),
    [anon_sym_if] = ACTIONS(422),
    [anon_sym_loop] = ACTIONS(424),
    [anon_sym_match] = ACTIONS(426),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_union] = ACTIONS(418),
    [anon_sym_unsafe] = ACTIONS(432),
    [anon_sym_while] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_move] = ACTIONS(438),
    [anon_sym_try] = ACTIONS(440),
    [sym_integer_literal] = ACTIONS(442),
    [aux_sym_string_literal_token1] = ACTIONS(444),
    [sym_char_literal] = ACTIONS(442),
    [anon_sym_true] = ACTIONS(446),
    [anon_sym_false] = ACTIONS(446),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(448),
    [sym_super] = ACTIONS(450),
    [sym_crate] = ACTIONS(450),
    [sym_metavariable] = ACTIONS(452),
    [sym__raw_string_literal_start] = ACTIONS(454),
    [sym_float_literal] = ACTIONS(442),
  },
  [271] = {
    [sym_bracketed_type] = STATE(3498),
    [sym_generic_function] = STATE(1637),
    [sym_generic_type_with_turbofish] = STATE(2956),
    [sym__expression_except_range] = STATE(1604),
    [sym__expression] = STATE(1757),
    [sym_macro_invocation] = STATE(1641),
    [sym_scoped_identifier] = STATE(1546),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3100),
    [sym_range_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1637),
    [sym_try_expression] = STATE(1637),
    [sym_reference_expression] = STATE(1637),
    [sym_binary_expression] = STATE(1637),
    [sym_assignment_expression] = STATE(1637),
    [sym_compound_assignment_expr] = STATE(1637),
    [sym_type_cast_expression] = STATE(1637),
    [sym_return_expression] = STATE(1637),
    [sym_yield_expression] = STATE(1637),
    [sym_call_expression] = STATE(1637),
    [sym_array_expression] = STATE(1637),
    [sym_parenthesized_expression] = STATE(1637),
    [sym_tuple_expression] = STATE(1637),
    [sym_unit_expression] = STATE(1637),
    [sym_struct_expression] = STATE(1637),
    [sym_if_expression] = STATE(1637),
    [sym_match_expression] = STATE(1637),
    [sym_while_expression] = STATE(1637),
    [sym_loop_expression] = STATE(1637),
    [sym_for_expression] = STATE(1637),
    [sym_const_block] = STATE(1637),
    [sym_closure_expression] = STATE(1637),
    [sym_closure_parameters] = STATE(237),
    [sym_label] = STATE(3585),
    [sym_break_expression] = STATE(1637),
    [sym_continue_expression] = STATE(1637),
    [sym_index_expression] = STATE(1637),
    [sym_await_expression] = STATE(1637),
    [sym_field_expression] = STATE(1620),
    [sym_unsafe_block] = STATE(1637),
    [sym_async_block] = STATE(1637),
    [sym_try_block] = STATE(1637),
    [sym_block] = STATE(1637),
    [sym__literal] = STATE(1637),
    [sym_string_literal] = STATE(1778),
    [sym_raw_string_literal] = STATE(1778),
    [sym_boolean_literal] = STATE(1778),
    [sym_line_comment] = STATE(271),
    [sym_block_comment] = STATE(271),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(1021),
    [anon_sym_u8] = ACTIONS(404),
    [anon_sym_i8] = ACTIONS(404),
    [anon_sym_u16] = ACTIONS(404),
    [anon_sym_i16] = ACTIONS(404),
    [anon_sym_u32] = ACTIONS(404),
    [anon_sym_i32] = ACTIONS(404),
    [anon_sym_u64] = ACTIONS(404),
    [anon_sym_i64] = ACTIONS(404),
    [anon_sym_u128] = ACTIONS(404),
    [anon_sym_i128] = ACTIONS(404),
    [anon_sym_isize] = ACTIONS(404),
    [anon_sym_usize] = ACTIONS(404),
    [anon_sym_f32] = ACTIONS(404),
    [anon_sym_f64] = ACTIONS(404),
    [anon_sym_bool] = ACTIONS(404),
    [anon_sym_str] = ACTIONS(404),
    [anon_sym_char] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_AMP] = ACTIONS(1023),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1039),
    [anon_sym_COLON_COLON] = ACTIONS(408),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_break] = ACTIONS(412),
    [anon_sym_const] = ACTIONS(414),
    [anon_sym_continue] = ACTIONS(416),
    [anon_sym_default] = ACTIONS(418),
    [anon_sym_for] = ACTIONS(420),
    [anon_sym_if] = ACTIONS(422),
    [anon_sym_loop] = ACTIONS(424),
    [anon_sym_match] = ACTIONS(426),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_union] = ACTIONS(418),
    [anon_sym_unsafe] = ACTIONS(432),
    [anon_sym_while] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_move] = ACTIONS(438),
    [anon_sym_try] = ACTIONS(440),
    [sym_integer_literal] = ACTIONS(442),
    [aux_sym_string_literal_token1] = ACTIONS(444),
    [sym_char_literal] = ACTIONS(442),
    [anon_sym_true] = ACTIONS(446),
    [anon_sym_false] = ACTIONS(446),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(448),
    [sym_super] = ACTIONS(450),
    [sym_crate] = ACTIONS(450),
    [sym_metavariable] = ACTIONS(452),
    [sym__raw_string_literal_start] = ACTIONS(454),
    [sym_float_literal] = ACTIONS(442),
  },
  [272] = {
    [sym_bracketed_type] = STATE(3498),
    [sym_generic_function] = STATE(1637),
    [sym_generic_type_with_turbofish] = STATE(2956),
    [sym__expression_except_range] = STATE(1604),
    [sym__expression] = STATE(1758),
    [sym_macro_invocation] = STATE(1641),
    [sym_scoped_identifier] = STATE(1546),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3100),
    [sym_range_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1637),
    [sym_try_expression] = STATE(1637),
    [sym_reference_expression] = STATE(1637),
    [sym_binary_expression] = STATE(1637),
    [sym_assignment_expression] = STATE(1637),
    [sym_compound_assignment_expr] = STATE(1637),
    [sym_type_cast_expression] = STATE(1637),
    [sym_return_expression] = STATE(1637),
    [sym_yield_expression] = STATE(1637),
    [sym_call_expression] = STATE(1637),
    [sym_array_expression] = STATE(1637),
    [sym_parenthesized_expression] = STATE(1637),
    [sym_tuple_expression] = STATE(1637),
    [sym_unit_expression] = STATE(1637),
    [sym_struct_expression] = STATE(1637),
    [sym_if_expression] = STATE(1637),
    [sym_match_expression] = STATE(1637),
    [sym_while_expression] = STATE(1637),
    [sym_loop_expression] = STATE(1637),
    [sym_for_expression] = STATE(1637),
    [sym_const_block] = STATE(1637),
    [sym_closure_expression] = STATE(1637),
    [sym_closure_parameters] = STATE(237),
    [sym_label] = STATE(3585),
    [sym_break_expression] = STATE(1637),
    [sym_continue_expression] = STATE(1637),
    [sym_index_expression] = STATE(1637),
    [sym_await_expression] = STATE(1637),
    [sym_field_expression] = STATE(1620),
    [sym_unsafe_block] = STATE(1637),
    [sym_async_block] = STATE(1637),
    [sym_try_block] = STATE(1637),
    [sym_block] = STATE(1637),
    [sym__literal] = STATE(1637),
    [sym_string_literal] = STATE(1778),
    [sym_raw_string_literal] = STATE(1778),
    [sym_boolean_literal] = STATE(1778),
    [sym_line_comment] = STATE(272),
    [sym_block_comment] = STATE(272),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(1021),
    [anon_sym_u8] = ACTIONS(404),
    [anon_sym_i8] = ACTIONS(404),
    [anon_sym_u16] = ACTIONS(404),
    [anon_sym_i16] = ACTIONS(404),
    [anon_sym_u32] = ACTIONS(404),
    [anon_sym_i32] = ACTIONS(404),
    [anon_sym_u64] = ACTIONS(404),
    [anon_sym_i64] = ACTIONS(404),
    [anon_sym_u128] = ACTIONS(404),
    [anon_sym_i128] = ACTIONS(404),
    [anon_sym_isize] = ACTIONS(404),
    [anon_sym_usize] = ACTIONS(404),
    [anon_sym_f32] = ACTIONS(404),
    [anon_sym_f64] = ACTIONS(404),
    [anon_sym_bool] = ACTIONS(404),
    [anon_sym_str] = ACTIONS(404),
    [anon_sym_char] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_AMP] = ACTIONS(1023),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1039),
    [anon_sym_COLON_COLON] = ACTIONS(408),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_break] = ACTIONS(412),
    [anon_sym_const] = ACTIONS(414),
    [anon_sym_continue] = ACTIONS(416),
    [anon_sym_default] = ACTIONS(418),
    [anon_sym_for] = ACTIONS(420),
    [anon_sym_if] = ACTIONS(422),
    [anon_sym_loop] = ACTIONS(424),
    [anon_sym_match] = ACTIONS(426),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_union] = ACTIONS(418),
    [anon_sym_unsafe] = ACTIONS(432),
    [anon_sym_while] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_move] = ACTIONS(438),
    [anon_sym_try] = ACTIONS(440),
    [sym_integer_literal] = ACTIONS(442),
    [aux_sym_string_literal_token1] = ACTIONS(444),
    [sym_char_literal] = ACTIONS(442),
    [anon_sym_true] = ACTIONS(446),
    [anon_sym_false] = ACTIONS(446),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(448),
    [sym_super] = ACTIONS(450),
    [sym_crate] = ACTIONS(450),
    [sym_metavariable] = ACTIONS(452),
    [sym__raw_string_literal_start] = ACTIONS(454),
    [sym_float_literal] = ACTIONS(442),
  },
  [273] = {
    [sym_bracketed_type] = STATE(3498),
    [sym_generic_function] = STATE(1637),
    [sym_generic_type_with_turbofish] = STATE(2956),
    [sym__expression_except_range] = STATE(1604),
    [sym__expression] = STATE(1759),
    [sym_macro_invocation] = STATE(1641),
    [sym_scoped_identifier] = STATE(1546),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3100),
    [sym_range_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1637),
    [sym_try_expression] = STATE(1637),
    [sym_reference_expression] = STATE(1637),
    [sym_binary_expression] = STATE(1637),
    [sym_assignment_expression] = STATE(1637),
    [sym_compound_assignment_expr] = STATE(1637),
    [sym_type_cast_expression] = STATE(1637),
    [sym_return_expression] = STATE(1637),
    [sym_yield_expression] = STATE(1637),
    [sym_call_expression] = STATE(1637),
    [sym_array_expression] = STATE(1637),
    [sym_parenthesized_expression] = STATE(1637),
    [sym_tuple_expression] = STATE(1637),
    [sym_unit_expression] = STATE(1637),
    [sym_struct_expression] = STATE(1637),
    [sym_if_expression] = STATE(1637),
    [sym_match_expression] = STATE(1637),
    [sym_while_expression] = STATE(1637),
    [sym_loop_expression] = STATE(1637),
    [sym_for_expression] = STATE(1637),
    [sym_const_block] = STATE(1637),
    [sym_closure_expression] = STATE(1637),
    [sym_closure_parameters] = STATE(237),
    [sym_label] = STATE(3585),
    [sym_break_expression] = STATE(1637),
    [sym_continue_expression] = STATE(1637),
    [sym_index_expression] = STATE(1637),
    [sym_await_expression] = STATE(1637),
    [sym_field_expression] = STATE(1620),
    [sym_unsafe_block] = STATE(1637),
    [sym_async_block] = STATE(1637),
    [sym_try_block] = STATE(1637),
    [sym_block] = STATE(1637),
    [sym__literal] = STATE(1637),
    [sym_string_literal] = STATE(1778),
    [sym_raw_string_literal] = STATE(1778),
    [sym_boolean_literal] = STATE(1778),
    [sym_line_comment] = STATE(273),
    [sym_block_comment] = STATE(273),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(1021),
    [anon_sym_u8] = ACTIONS(404),
    [anon_sym_i8] = ACTIONS(404),
    [anon_sym_u16] = ACTIONS(404),
    [anon_sym_i16] = ACTIONS(404),
    [anon_sym_u32] = ACTIONS(404),
    [anon_sym_i32] = ACTIONS(404),
    [anon_sym_u64] = ACTIONS(404),
    [anon_sym_i64] = ACTIONS(404),
    [anon_sym_u128] = ACTIONS(404),
    [anon_sym_i128] = ACTIONS(404),
    [anon_sym_isize] = ACTIONS(404),
    [anon_sym_usize] = ACTIONS(404),
    [anon_sym_f32] = ACTIONS(404),
    [anon_sym_f64] = ACTIONS(404),
    [anon_sym_bool] = ACTIONS(404),
    [anon_sym_str] = ACTIONS(404),
    [anon_sym_char] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_AMP] = ACTIONS(1023),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1039),
    [anon_sym_COLON_COLON] = ACTIONS(408),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_break] = ACTIONS(412),
    [anon_sym_const] = ACTIONS(414),
    [anon_sym_continue] = ACTIONS(416),
    [anon_sym_default] = ACTIONS(418),
    [anon_sym_for] = ACTIONS(420),
    [anon_sym_if] = ACTIONS(422),
    [anon_sym_loop] = ACTIONS(424),
    [anon_sym_match] = ACTIONS(426),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_union] = ACTIONS(418),
    [anon_sym_unsafe] = ACTIONS(432),
    [anon_sym_while] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_move] = ACTIONS(438),
    [anon_sym_try] = ACTIONS(440),
    [sym_integer_literal] = ACTIONS(442),
    [aux_sym_string_literal_token1] = ACTIONS(444),
    [sym_char_literal] = ACTIONS(442),
    [anon_sym_true] = ACTIONS(446),
    [anon_sym_false] = ACTIONS(446),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(448),
    [sym_super] = ACTIONS(450),
    [sym_crate] = ACTIONS(450),
    [sym_metavariable] = ACTIONS(452),
    [sym__raw_string_literal_start] = ACTIONS(454),
    [sym_float_literal] = ACTIONS(442),
  },
  [274] = {
    [sym_bracketed_type] = STATE(3498),
    [sym_generic_function] = STATE(1637),
    [sym_generic_type_with_turbofish] = STATE(2956),
    [sym__expression_except_range] = STATE(1604),
    [sym__expression] = STATE(1760),
    [sym_macro_invocation] = STATE(1641),
    [sym_scoped_identifier] = STATE(1546),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3100),
    [sym_range_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1637),
    [sym_try_expression] = STATE(1637),
    [sym_reference_expression] = STATE(1637),
    [sym_binary_expression] = STATE(1637),
    [sym_assignment_expression] = STATE(1637),
    [sym_compound_assignment_expr] = STATE(1637),
    [sym_type_cast_expression] = STATE(1637),
    [sym_return_expression] = STATE(1637),
    [sym_yield_expression] = STATE(1637),
    [sym_call_expression] = STATE(1637),
    [sym_array_expression] = STATE(1637),
    [sym_parenthesized_expression] = STATE(1637),
    [sym_tuple_expression] = STATE(1637),
    [sym_unit_expression] = STATE(1637),
    [sym_struct_expression] = STATE(1637),
    [sym_if_expression] = STATE(1637),
    [sym_match_expression] = STATE(1637),
    [sym_while_expression] = STATE(1637),
    [sym_loop_expression] = STATE(1637),
    [sym_for_expression] = STATE(1637),
    [sym_const_block] = STATE(1637),
    [sym_closure_expression] = STATE(1637),
    [sym_closure_parameters] = STATE(237),
    [sym_label] = STATE(3585),
    [sym_break_expression] = STATE(1637),
    [sym_continue_expression] = STATE(1637),
    [sym_index_expression] = STATE(1637),
    [sym_await_expression] = STATE(1637),
    [sym_field_expression] = STATE(1620),
    [sym_unsafe_block] = STATE(1637),
    [sym_async_block] = STATE(1637),
    [sym_try_block] = STATE(1637),
    [sym_block] = STATE(1637),
    [sym__literal] = STATE(1637),
    [sym_string_literal] = STATE(1778),
    [sym_raw_string_literal] = STATE(1778),
    [sym_boolean_literal] = STATE(1778),
    [sym_line_comment] = STATE(274),
    [sym_block_comment] = STATE(274),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(1021),
    [anon_sym_u8] = ACTIONS(404),
    [anon_sym_i8] = ACTIONS(404),
    [anon_sym_u16] = ACTIONS(404),
    [anon_sym_i16] = ACTIONS(404),
    [anon_sym_u32] = ACTIONS(404),
    [anon_sym_i32] = ACTIONS(404),
    [anon_sym_u64] = ACTIONS(404),
    [anon_sym_i64] = ACTIONS(404),
    [anon_sym_u128] = ACTIONS(404),
    [anon_sym_i128] = ACTIONS(404),
    [anon_sym_isize] = ACTIONS(404),
    [anon_sym_usize] = ACTIONS(404),
    [anon_sym_f32] = ACTIONS(404),
    [anon_sym_f64] = ACTIONS(404),
    [anon_sym_bool] = ACTIONS(404),
    [anon_sym_str] = ACTIONS(404),
    [anon_sym_char] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_AMP] = ACTIONS(1023),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1039),
    [anon_sym_COLON_COLON] = ACTIONS(408),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_break] = ACTIONS(412),
    [anon_sym_const] = ACTIONS(414),
    [anon_sym_continue] = ACTIONS(416),
    [anon_sym_default] = ACTIONS(418),
    [anon_sym_for] = ACTIONS(420),
    [anon_sym_if] = ACTIONS(422),
    [anon_sym_loop] = ACTIONS(424),
    [anon_sym_match] = ACTIONS(426),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_union] = ACTIONS(418),
    [anon_sym_unsafe] = ACTIONS(432),
    [anon_sym_while] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_move] = ACTIONS(438),
    [anon_sym_try] = ACTIONS(440),
    [sym_integer_literal] = ACTIONS(442),
    [aux_sym_string_literal_token1] = ACTIONS(444),
    [sym_char_literal] = ACTIONS(442),
    [anon_sym_true] = ACTIONS(446),
    [anon_sym_false] = ACTIONS(446),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(448),
    [sym_super] = ACTIONS(450),
    [sym_crate] = ACTIONS(450),
    [sym_metavariable] = ACTIONS(452),
    [sym__raw_string_literal_start] = ACTIONS(454),
    [sym_float_literal] = ACTIONS(442),
  },
  [275] = {
    [sym_bracketed_type] = STATE(3498),
    [sym_generic_function] = STATE(1637),
    [sym_generic_type_with_turbofish] = STATE(2956),
    [sym__expression_except_range] = STATE(1604),
    [sym__expression] = STATE(1761),
    [sym_macro_invocation] = STATE(1641),
    [sym_scoped_identifier] = STATE(1546),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3100),
    [sym_range_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1637),
    [sym_try_expression] = STATE(1637),
    [sym_reference_expression] = STATE(1637),
    [sym_binary_expression] = STATE(1637),
    [sym_assignment_expression] = STATE(1637),
    [sym_compound_assignment_expr] = STATE(1637),
    [sym_type_cast_expression] = STATE(1637),
    [sym_return_expression] = STATE(1637),
    [sym_yield_expression] = STATE(1637),
    [sym_call_expression] = STATE(1637),
    [sym_array_expression] = STATE(1637),
    [sym_parenthesized_expression] = STATE(1637),
    [sym_tuple_expression] = STATE(1637),
    [sym_unit_expression] = STATE(1637),
    [sym_struct_expression] = STATE(1637),
    [sym_if_expression] = STATE(1637),
    [sym_match_expression] = STATE(1637),
    [sym_while_expression] = STATE(1637),
    [sym_loop_expression] = STATE(1637),
    [sym_for_expression] = STATE(1637),
    [sym_const_block] = STATE(1637),
    [sym_closure_expression] = STATE(1637),
    [sym_closure_parameters] = STATE(237),
    [sym_label] = STATE(3585),
    [sym_break_expression] = STATE(1637),
    [sym_continue_expression] = STATE(1637),
    [sym_index_expression] = STATE(1637),
    [sym_await_expression] = STATE(1637),
    [sym_field_expression] = STATE(1620),
    [sym_unsafe_block] = STATE(1637),
    [sym_async_block] = STATE(1637),
    [sym_try_block] = STATE(1637),
    [sym_block] = STATE(1637),
    [sym__literal] = STATE(1637),
    [sym_string_literal] = STATE(1778),
    [sym_raw_string_literal] = STATE(1778),
    [sym_boolean_literal] = STATE(1778),
    [sym_line_comment] = STATE(275),
    [sym_block_comment] = STATE(275),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(1021),
    [anon_sym_u8] = ACTIONS(404),
    [anon_sym_i8] = ACTIONS(404),
    [anon_sym_u16] = ACTIONS(404),
    [anon_sym_i16] = ACTIONS(404),
    [anon_sym_u32] = ACTIONS(404),
    [anon_sym_i32] = ACTIONS(404),
    [anon_sym_u64] = ACTIONS(404),
    [anon_sym_i64] = ACTIONS(404),
    [anon_sym_u128] = ACTIONS(404),
    [anon_sym_i128] = ACTIONS(404),
    [anon_sym_isize] = ACTIONS(404),
    [anon_sym_usize] = ACTIONS(404),
    [anon_sym_f32] = ACTIONS(404),
    [anon_sym_f64] = ACTIONS(404),
    [anon_sym_bool] = ACTIONS(404),
    [anon_sym_str] = ACTIONS(404),
    [anon_sym_char] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_AMP] = ACTIONS(1023),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1039),
    [anon_sym_COLON_COLON] = ACTIONS(408),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_break] = ACTIONS(412),
    [anon_sym_const] = ACTIONS(414),
    [anon_sym_continue] = ACTIONS(416),
    [anon_sym_default] = ACTIONS(418),
    [anon_sym_for] = ACTIONS(420),
    [anon_sym_if] = ACTIONS(422),
    [anon_sym_loop] = ACTIONS(424),
    [anon_sym_match] = ACTIONS(426),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_union] = ACTIONS(418),
    [anon_sym_unsafe] = ACTIONS(432),
    [anon_sym_while] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_move] = ACTIONS(438),
    [anon_sym_try] = ACTIONS(440),
    [sym_integer_literal] = ACTIONS(442),
    [aux_sym_string_literal_token1] = ACTIONS(444),
    [sym_char_literal] = ACTIONS(442),
    [anon_sym_true] = ACTIONS(446),
    [anon_sym_false] = ACTIONS(446),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(448),
    [sym_super] = ACTIONS(450),
    [sym_crate] = ACTIONS(450),
    [sym_metavariable] = ACTIONS(452),
    [sym__raw_string_literal_start] = ACTIONS(454),
    [sym_float_literal] = ACTIONS(442),
  },
  [276] = {
    [sym_bracketed_type] = STATE(3498),
    [sym_generic_function] = STATE(1637),
    [sym_generic_type_with_turbofish] = STATE(2956),
    [sym__expression_except_range] = STATE(1604),
    [sym__expression] = STATE(1762),
    [sym_macro_invocation] = STATE(1641),
    [sym_scoped_identifier] = STATE(1546),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3100),
    [sym_range_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1637),
    [sym_try_expression] = STATE(1637),
    [sym_reference_expression] = STATE(1637),
    [sym_binary_expression] = STATE(1637),
    [sym_assignment_expression] = STATE(1637),
    [sym_compound_assignment_expr] = STATE(1637),
    [sym_type_cast_expression] = STATE(1637),
    [sym_return_expression] = STATE(1637),
    [sym_yield_expression] = STATE(1637),
    [sym_call_expression] = STATE(1637),
    [sym_array_expression] = STATE(1637),
    [sym_parenthesized_expression] = STATE(1637),
    [sym_tuple_expression] = STATE(1637),
    [sym_unit_expression] = STATE(1637),
    [sym_struct_expression] = STATE(1637),
    [sym_if_expression] = STATE(1637),
    [sym_match_expression] = STATE(1637),
    [sym_while_expression] = STATE(1637),
    [sym_loop_expression] = STATE(1637),
    [sym_for_expression] = STATE(1637),
    [sym_const_block] = STATE(1637),
    [sym_closure_expression] = STATE(1637),
    [sym_closure_parameters] = STATE(237),
    [sym_label] = STATE(3585),
    [sym_break_expression] = STATE(1637),
    [sym_continue_expression] = STATE(1637),
    [sym_index_expression] = STATE(1637),
    [sym_await_expression] = STATE(1637),
    [sym_field_expression] = STATE(1620),
    [sym_unsafe_block] = STATE(1637),
    [sym_async_block] = STATE(1637),
    [sym_try_block] = STATE(1637),
    [sym_block] = STATE(1637),
    [sym__literal] = STATE(1637),
    [sym_string_literal] = STATE(1778),
    [sym_raw_string_literal] = STATE(1778),
    [sym_boolean_literal] = STATE(1778),
    [sym_line_comment] = STATE(276),
    [sym_block_comment] = STATE(276),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(1021),
    [anon_sym_u8] = ACTIONS(404),
    [anon_sym_i8] = ACTIONS(404),
    [anon_sym_u16] = ACTIONS(404),
    [anon_sym_i16] = ACTIONS(404),
    [anon_sym_u32] = ACTIONS(404),
    [anon_sym_i32] = ACTIONS(404),
    [anon_sym_u64] = ACTIONS(404),
    [anon_sym_i64] = ACTIONS(404),
    [anon_sym_u128] = ACTIONS(404),
    [anon_sym_i128] = ACTIONS(404),
    [anon_sym_isize] = ACTIONS(404),
    [anon_sym_usize] = ACTIONS(404),
    [anon_sym_f32] = ACTIONS(404),
    [anon_sym_f64] = ACTIONS(404),
    [anon_sym_bool] = ACTIONS(404),
    [anon_sym_str] = ACTIONS(404),
    [anon_sym_char] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_AMP] = ACTIONS(1023),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1039),
    [anon_sym_COLON_COLON] = ACTIONS(408),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_break] = ACTIONS(412),
    [anon_sym_const] = ACTIONS(414),
    [anon_sym_continue] = ACTIONS(416),
    [anon_sym_default] = ACTIONS(418),
    [anon_sym_for] = ACTIONS(420),
    [anon_sym_if] = ACTIONS(422),
    [anon_sym_loop] = ACTIONS(424),
    [anon_sym_match] = ACTIONS(426),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_union] = ACTIONS(418),
    [anon_sym_unsafe] = ACTIONS(432),
    [anon_sym_while] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_move] = ACTIONS(438),
    [anon_sym_try] = ACTIONS(440),
    [sym_integer_literal] = ACTIONS(442),
    [aux_sym_string_literal_token1] = ACTIONS(444),
    [sym_char_literal] = ACTIONS(442),
    [anon_sym_true] = ACTIONS(446),
    [anon_sym_false] = ACTIONS(446),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(448),
    [sym_super] = ACTIONS(450),
    [sym_crate] = ACTIONS(450),
    [sym_metavariable] = ACTIONS(452),
    [sym__raw_string_literal_start] = ACTIONS(454),
    [sym_float_literal] = ACTIONS(442),
  },
  [277] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1722),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(234),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(277),
    [sym_block_comment] = STATE(277),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(1041),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(1041),
    [anon_sym_AMP] = ACTIONS(1043),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1230),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(472),
    [anon_sym_move] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [278] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1843),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(278),
    [sym_block_comment] = STATE(278),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [279] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1844),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(279),
    [sym_block_comment] = STATE(279),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [280] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1629),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(280),
    [sym_block_comment] = STATE(280),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [281] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1251),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(281),
    [sym_block_comment] = STATE(281),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [282] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1630),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(282),
    [sym_block_comment] = STATE(282),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [283] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1579),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(283),
    [sym_block_comment] = STATE(283),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [284] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1580),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(284),
    [sym_block_comment] = STATE(284),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [285] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1588),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(285),
    [sym_block_comment] = STATE(285),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [286] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1722),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(234),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(286),
    [sym_block_comment] = STATE(286),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(1041),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(1041),
    [anon_sym_AMP] = ACTIONS(1043),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1047),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(472),
    [anon_sym_move] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [287] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1716),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(234),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(287),
    [sym_block_comment] = STATE(287),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(1041),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(1041),
    [anon_sym_AMP] = ACTIONS(1043),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1047),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(472),
    [anon_sym_move] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [288] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1593),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(288),
    [sym_block_comment] = STATE(288),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [289] = {
    [sym_bracketed_type] = STATE(3498),
    [sym_generic_function] = STATE(1637),
    [sym_generic_type_with_turbofish] = STATE(2956),
    [sym__expression_except_range] = STATE(1604),
    [sym__expression] = STATE(1763),
    [sym_macro_invocation] = STATE(1641),
    [sym_scoped_identifier] = STATE(1546),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3100),
    [sym_range_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1637),
    [sym_try_expression] = STATE(1637),
    [sym_reference_expression] = STATE(1637),
    [sym_binary_expression] = STATE(1637),
    [sym_assignment_expression] = STATE(1637),
    [sym_compound_assignment_expr] = STATE(1637),
    [sym_type_cast_expression] = STATE(1637),
    [sym_return_expression] = STATE(1637),
    [sym_yield_expression] = STATE(1637),
    [sym_call_expression] = STATE(1637),
    [sym_array_expression] = STATE(1637),
    [sym_parenthesized_expression] = STATE(1637),
    [sym_tuple_expression] = STATE(1637),
    [sym_unit_expression] = STATE(1637),
    [sym_struct_expression] = STATE(1637),
    [sym_if_expression] = STATE(1637),
    [sym_match_expression] = STATE(1637),
    [sym_while_expression] = STATE(1637),
    [sym_loop_expression] = STATE(1637),
    [sym_for_expression] = STATE(1637),
    [sym_const_block] = STATE(1637),
    [sym_closure_expression] = STATE(1637),
    [sym_closure_parameters] = STATE(237),
    [sym_label] = STATE(3585),
    [sym_break_expression] = STATE(1637),
    [sym_continue_expression] = STATE(1637),
    [sym_index_expression] = STATE(1637),
    [sym_await_expression] = STATE(1637),
    [sym_field_expression] = STATE(1620),
    [sym_unsafe_block] = STATE(1637),
    [sym_async_block] = STATE(1637),
    [sym_try_block] = STATE(1637),
    [sym_block] = STATE(1637),
    [sym__literal] = STATE(1637),
    [sym_string_literal] = STATE(1778),
    [sym_raw_string_literal] = STATE(1778),
    [sym_boolean_literal] = STATE(1778),
    [sym_line_comment] = STATE(289),
    [sym_block_comment] = STATE(289),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(1021),
    [anon_sym_u8] = ACTIONS(404),
    [anon_sym_i8] = ACTIONS(404),
    [anon_sym_u16] = ACTIONS(404),
    [anon_sym_i16] = ACTIONS(404),
    [anon_sym_u32] = ACTIONS(404),
    [anon_sym_i32] = ACTIONS(404),
    [anon_sym_u64] = ACTIONS(404),
    [anon_sym_i64] = ACTIONS(404),
    [anon_sym_u128] = ACTIONS(404),
    [anon_sym_i128] = ACTIONS(404),
    [anon_sym_isize] = ACTIONS(404),
    [anon_sym_usize] = ACTIONS(404),
    [anon_sym_f32] = ACTIONS(404),
    [anon_sym_f64] = ACTIONS(404),
    [anon_sym_bool] = ACTIONS(404),
    [anon_sym_str] = ACTIONS(404),
    [anon_sym_char] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_AMP] = ACTIONS(1023),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1025),
    [anon_sym_COLON_COLON] = ACTIONS(408),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_break] = ACTIONS(412),
    [anon_sym_const] = ACTIONS(414),
    [anon_sym_continue] = ACTIONS(416),
    [anon_sym_default] = ACTIONS(418),
    [anon_sym_for] = ACTIONS(420),
    [anon_sym_if] = ACTIONS(422),
    [anon_sym_loop] = ACTIONS(424),
    [anon_sym_match] = ACTIONS(426),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_union] = ACTIONS(418),
    [anon_sym_unsafe] = ACTIONS(432),
    [anon_sym_while] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_move] = ACTIONS(438),
    [anon_sym_try] = ACTIONS(440),
    [sym_integer_literal] = ACTIONS(442),
    [aux_sym_string_literal_token1] = ACTIONS(444),
    [sym_char_literal] = ACTIONS(442),
    [anon_sym_true] = ACTIONS(446),
    [anon_sym_false] = ACTIONS(446),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(448),
    [sym_super] = ACTIONS(450),
    [sym_crate] = ACTIONS(450),
    [sym_metavariable] = ACTIONS(452),
    [sym__raw_string_literal_start] = ACTIONS(454),
    [sym_float_literal] = ACTIONS(442),
  },
  [290] = {
    [sym_bracketed_type] = STATE(3498),
    [sym_generic_function] = STATE(1637),
    [sym_generic_type_with_turbofish] = STATE(2956),
    [sym__expression_except_range] = STATE(1604),
    [sym__expression] = STATE(1763),
    [sym_macro_invocation] = STATE(1641),
    [sym_scoped_identifier] = STATE(1546),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3100),
    [sym_range_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1637),
    [sym_try_expression] = STATE(1637),
    [sym_reference_expression] = STATE(1637),
    [sym_binary_expression] = STATE(1637),
    [sym_assignment_expression] = STATE(1637),
    [sym_compound_assignment_expr] = STATE(1637),
    [sym_type_cast_expression] = STATE(1637),
    [sym_return_expression] = STATE(1637),
    [sym_yield_expression] = STATE(1637),
    [sym_call_expression] = STATE(1637),
    [sym_array_expression] = STATE(1637),
    [sym_parenthesized_expression] = STATE(1637),
    [sym_tuple_expression] = STATE(1637),
    [sym_unit_expression] = STATE(1637),
    [sym_struct_expression] = STATE(1637),
    [sym_if_expression] = STATE(1637),
    [sym_match_expression] = STATE(1637),
    [sym_while_expression] = STATE(1637),
    [sym_loop_expression] = STATE(1637),
    [sym_for_expression] = STATE(1637),
    [sym_const_block] = STATE(1637),
    [sym_closure_expression] = STATE(1637),
    [sym_closure_parameters] = STATE(237),
    [sym_label] = STATE(3585),
    [sym_break_expression] = STATE(1637),
    [sym_continue_expression] = STATE(1637),
    [sym_index_expression] = STATE(1637),
    [sym_await_expression] = STATE(1637),
    [sym_field_expression] = STATE(1620),
    [sym_unsafe_block] = STATE(1637),
    [sym_async_block] = STATE(1637),
    [sym_try_block] = STATE(1637),
    [sym_block] = STATE(1637),
    [sym__literal] = STATE(1637),
    [sym_string_literal] = STATE(1778),
    [sym_raw_string_literal] = STATE(1778),
    [sym_boolean_literal] = STATE(1778),
    [sym_line_comment] = STATE(290),
    [sym_block_comment] = STATE(290),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(1021),
    [anon_sym_u8] = ACTIONS(404),
    [anon_sym_i8] = ACTIONS(404),
    [anon_sym_u16] = ACTIONS(404),
    [anon_sym_i16] = ACTIONS(404),
    [anon_sym_u32] = ACTIONS(404),
    [anon_sym_i32] = ACTIONS(404),
    [anon_sym_u64] = ACTIONS(404),
    [anon_sym_i64] = ACTIONS(404),
    [anon_sym_u128] = ACTIONS(404),
    [anon_sym_i128] = ACTIONS(404),
    [anon_sym_isize] = ACTIONS(404),
    [anon_sym_usize] = ACTIONS(404),
    [anon_sym_f32] = ACTIONS(404),
    [anon_sym_f64] = ACTIONS(404),
    [anon_sym_bool] = ACTIONS(404),
    [anon_sym_str] = ACTIONS(404),
    [anon_sym_char] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_AMP] = ACTIONS(1023),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1039),
    [anon_sym_COLON_COLON] = ACTIONS(408),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_break] = ACTIONS(412),
    [anon_sym_const] = ACTIONS(414),
    [anon_sym_continue] = ACTIONS(416),
    [anon_sym_default] = ACTIONS(418),
    [anon_sym_for] = ACTIONS(420),
    [anon_sym_if] = ACTIONS(422),
    [anon_sym_loop] = ACTIONS(424),
    [anon_sym_match] = ACTIONS(426),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_union] = ACTIONS(418),
    [anon_sym_unsafe] = ACTIONS(432),
    [anon_sym_while] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_move] = ACTIONS(438),
    [anon_sym_try] = ACTIONS(440),
    [sym_integer_literal] = ACTIONS(442),
    [aux_sym_string_literal_token1] = ACTIONS(444),
    [sym_char_literal] = ACTIONS(442),
    [anon_sym_true] = ACTIONS(446),
    [anon_sym_false] = ACTIONS(446),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(448),
    [sym_super] = ACTIONS(450),
    [sym_crate] = ACTIONS(450),
    [sym_metavariable] = ACTIONS(452),
    [sym__raw_string_literal_start] = ACTIONS(454),
    [sym_float_literal] = ACTIONS(442),
  },
  [291] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1606),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(291),
    [sym_block_comment] = STATE(291),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [292] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1615),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(292),
    [sym_block_comment] = STATE(292),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [293] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1323),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(293),
    [sym_block_comment] = STATE(293),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [294] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1616),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(294),
    [sym_block_comment] = STATE(294),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [295] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1690),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(295),
    [sym_block_comment] = STATE(295),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(977),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [296] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1695),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(296),
    [sym_block_comment] = STATE(296),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [297] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1619),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(297),
    [sym_block_comment] = STATE(297),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1055),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [298] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1697),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(298),
    [sym_block_comment] = STATE(298),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [299] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1698),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(299),
    [sym_block_comment] = STATE(299),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [300] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1482),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(300),
    [sym_block_comment] = STATE(300),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1176),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [301] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1842),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(301),
    [sym_block_comment] = STATE(301),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [302] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1850),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(302),
    [sym_block_comment] = STATE(302),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [303] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1495),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(303),
    [sym_block_comment] = STATE(303),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1176),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [304] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1251),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(304),
    [sym_block_comment] = STATE(304),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1176),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [305] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1485),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(305),
    [sym_block_comment] = STATE(305),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1176),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [306] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1486),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(306),
    [sym_block_comment] = STATE(306),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1176),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [307] = {
    [sym_bracketed_type] = STATE(3498),
    [sym_generic_function] = STATE(1637),
    [sym_generic_type_with_turbofish] = STATE(2956),
    [sym__expression_except_range] = STATE(1604),
    [sym__expression] = STATE(1865),
    [sym_macro_invocation] = STATE(1641),
    [sym_scoped_identifier] = STATE(1546),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3100),
    [sym_range_expression] = STATE(1639),
    [sym_unary_expression] = STATE(1637),
    [sym_try_expression] = STATE(1637),
    [sym_reference_expression] = STATE(1637),
    [sym_binary_expression] = STATE(1637),
    [sym_assignment_expression] = STATE(1637),
    [sym_compound_assignment_expr] = STATE(1637),
    [sym_type_cast_expression] = STATE(1637),
    [sym_return_expression] = STATE(1637),
    [sym_yield_expression] = STATE(1637),
    [sym_call_expression] = STATE(1637),
    [sym_array_expression] = STATE(1637),
    [sym_parenthesized_expression] = STATE(1637),
    [sym_tuple_expression] = STATE(1637),
    [sym_unit_expression] = STATE(1637),
    [sym_struct_expression] = STATE(1637),
    [sym_if_expression] = STATE(1637),
    [sym_match_expression] = STATE(1637),
    [sym_while_expression] = STATE(1637),
    [sym_loop_expression] = STATE(1637),
    [sym_for_expression] = STATE(1637),
    [sym_const_block] = STATE(1637),
    [sym_closure_expression] = STATE(1637),
    [sym_closure_parameters] = STATE(237),
    [sym_label] = STATE(3585),
    [sym_break_expression] = STATE(1637),
    [sym_continue_expression] = STATE(1637),
    [sym_index_expression] = STATE(1637),
    [sym_await_expression] = STATE(1637),
    [sym_field_expression] = STATE(1620),
    [sym_unsafe_block] = STATE(1637),
    [sym_async_block] = STATE(1637),
    [sym_try_block] = STATE(1637),
    [sym_block] = STATE(1637),
    [sym__literal] = STATE(1637),
    [sym_string_literal] = STATE(1778),
    [sym_raw_string_literal] = STATE(1778),
    [sym_boolean_literal] = STATE(1778),
    [sym_line_comment] = STATE(307),
    [sym_block_comment] = STATE(307),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(484),
    [anon_sym_LBRACE] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(1021),
    [anon_sym_u8] = ACTIONS(404),
    [anon_sym_i8] = ACTIONS(404),
    [anon_sym_u16] = ACTIONS(404),
    [anon_sym_i16] = ACTIONS(404),
    [anon_sym_u32] = ACTIONS(404),
    [anon_sym_i32] = ACTIONS(404),
    [anon_sym_u64] = ACTIONS(404),
    [anon_sym_i64] = ACTIONS(404),
    [anon_sym_u128] = ACTIONS(404),
    [anon_sym_i128] = ACTIONS(404),
    [anon_sym_isize] = ACTIONS(404),
    [anon_sym_usize] = ACTIONS(404),
    [anon_sym_f32] = ACTIONS(404),
    [anon_sym_f64] = ACTIONS(404),
    [anon_sym_bool] = ACTIONS(404),
    [anon_sym_str] = ACTIONS(404),
    [anon_sym_char] = ACTIONS(404),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_BANG] = ACTIONS(1021),
    [anon_sym_AMP] = ACTIONS(1023),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1025),
    [anon_sym_COLON_COLON] = ACTIONS(408),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_break] = ACTIONS(412),
    [anon_sym_const] = ACTIONS(414),
    [anon_sym_continue] = ACTIONS(416),
    [anon_sym_default] = ACTIONS(418),
    [anon_sym_for] = ACTIONS(420),
    [anon_sym_if] = ACTIONS(422),
    [anon_sym_loop] = ACTIONS(424),
    [anon_sym_match] = ACTIONS(426),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_static] = ACTIONS(430),
    [anon_sym_union] = ACTIONS(418),
    [anon_sym_unsafe] = ACTIONS(432),
    [anon_sym_while] = ACTIONS(434),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_move] = ACTIONS(438),
    [anon_sym_try] = ACTIONS(440),
    [sym_integer_literal] = ACTIONS(442),
    [aux_sym_string_literal_token1] = ACTIONS(444),
    [sym_char_literal] = ACTIONS(442),
    [anon_sym_true] = ACTIONS(446),
    [anon_sym_false] = ACTIONS(446),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(448),
    [sym_super] = ACTIONS(450),
    [sym_crate] = ACTIONS(450),
    [sym_metavariable] = ACTIONS(452),
    [sym__raw_string_literal_start] = ACTIONS(454),
    [sym_float_literal] = ACTIONS(442),
  },
  [308] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1671),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(308),
    [sym_block_comment] = STATE(308),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [309] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1853),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(458),
    [sym_match_expression] = STATE(458),
    [sym_while_expression] = STATE(458),
    [sym_loop_expression] = STATE(458),
    [sym_for_expression] = STATE(458),
    [sym_const_block] = STATE(458),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3579),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(458),
    [sym_async_block] = STATE(458),
    [sym_try_block] = STATE(458),
    [sym_block] = STATE(458),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(309),
    [sym_block_comment] = STATE(309),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(1212),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(1214),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1218),
    [anon_sym_loop] = ACTIONS(1220),
    [anon_sym_match] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(1224),
    [anon_sym_while] = ACTIONS(1226),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(1228),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [310] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1323),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(234),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(310),
    [sym_block_comment] = STATE(310),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(1041),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(1041),
    [anon_sym_AMP] = ACTIONS(1043),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1047),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(472),
    [anon_sym_move] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [311] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1870),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(311),
    [sym_block_comment] = STATE(311),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [312] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1713),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(234),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(312),
    [sym_block_comment] = STATE(312),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(1041),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(1041),
    [anon_sym_AMP] = ACTIONS(1043),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1047),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(472),
    [anon_sym_move] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [313] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1868),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(313),
    [sym_block_comment] = STATE(313),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [314] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1488),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(314),
    [sym_block_comment] = STATE(314),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1176),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [315] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1490),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(315),
    [sym_block_comment] = STATE(315),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1176),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [316] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1733),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(316),
    [sym_block_comment] = STATE(316),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [317] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1782),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(317),
    [sym_block_comment] = STATE(317),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [318] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1786),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(464),
    [sym_match_expression] = STATE(464),
    [sym_while_expression] = STATE(464),
    [sym_loop_expression] = STATE(464),
    [sym_for_expression] = STATE(464),
    [sym_const_block] = STATE(464),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3579),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(464),
    [sym_async_block] = STATE(464),
    [sym_try_block] = STATE(464),
    [sym_block] = STATE(464),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(318),
    [sym_block_comment] = STATE(318),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(1212),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(1214),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1218),
    [anon_sym_loop] = ACTIONS(1220),
    [anon_sym_match] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(1224),
    [anon_sym_while] = ACTIONS(1226),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(1228),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [319] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1353),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(319),
    [sym_block_comment] = STATE(319),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1176),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [320] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1849),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(320),
    [sym_block_comment] = STATE(320),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [321] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1798),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(321),
    [sym_block_comment] = STATE(321),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [322] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1799),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(322),
    [sym_block_comment] = STATE(322),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [323] = {
    [sym_line_comment] = STATE(323),
    [sym_block_comment] = STATE(323),
    [ts_builtin_sym_end] = ACTIONS(1232),
    [sym_identifier] = ACTIONS(1234),
    [anon_sym_SEMI] = ACTIONS(1232),
    [anon_sym_macro_rules_BANG] = ACTIONS(1232),
    [anon_sym_LPAREN] = ACTIONS(1232),
    [anon_sym_LBRACK] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_RBRACE] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1234),
    [anon_sym_STAR] = ACTIONS(1234),
    [anon_sym_QMARK] = ACTIONS(1232),
    [anon_sym_u8] = ACTIONS(1234),
    [anon_sym_i8] = ACTIONS(1234),
    [anon_sym_u16] = ACTIONS(1234),
    [anon_sym_i16] = ACTIONS(1234),
    [anon_sym_u32] = ACTIONS(1234),
    [anon_sym_i32] = ACTIONS(1234),
    [anon_sym_u64] = ACTIONS(1234),
    [anon_sym_i64] = ACTIONS(1234),
    [anon_sym_u128] = ACTIONS(1234),
    [anon_sym_i128] = ACTIONS(1234),
    [anon_sym_isize] = ACTIONS(1234),
    [anon_sym_usize] = ACTIONS(1234),
    [anon_sym_f32] = ACTIONS(1234),
    [anon_sym_f64] = ACTIONS(1234),
    [anon_sym_bool] = ACTIONS(1234),
    [anon_sym_str] = ACTIONS(1234),
    [anon_sym_char] = ACTIONS(1234),
    [anon_sym_DASH] = ACTIONS(1234),
    [anon_sym_SLASH] = ACTIONS(1234),
    [anon_sym_PERCENT] = ACTIONS(1234),
    [anon_sym_CARET] = ACTIONS(1234),
    [anon_sym_BANG] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(1234),
    [anon_sym_PIPE] = ACTIONS(1234),
    [anon_sym_AMP_AMP] = ACTIONS(1232),
    [anon_sym_PIPE_PIPE] = ACTIONS(1232),
    [anon_sym_LT_LT] = ACTIONS(1234),
    [anon_sym_GT_GT] = ACTIONS(1234),
    [anon_sym_PLUS_EQ] = ACTIONS(1232),
    [anon_sym_DASH_EQ] = ACTIONS(1232),
    [anon_sym_STAR_EQ] = ACTIONS(1232),
    [anon_sym_SLASH_EQ] = ACTIONS(1232),
    [anon_sym_PERCENT_EQ] = ACTIONS(1232),
    [anon_sym_CARET_EQ] = ACTIONS(1232),
    [anon_sym_AMP_EQ] = ACTIONS(1232),
    [anon_sym_PIPE_EQ] = ACTIONS(1232),
    [anon_sym_LT_LT_EQ] = ACTIONS(1232),
    [anon_sym_GT_GT_EQ] = ACTIONS(1232),
    [anon_sym_EQ] = ACTIONS(1234),
    [anon_sym_EQ_EQ] = ACTIONS(1232),
    [anon_sym_BANG_EQ] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(1234),
    [anon_sym_LT] = ACTIONS(1234),
    [anon_sym_GT_EQ] = ACTIONS(1232),
    [anon_sym_LT_EQ] = ACTIONS(1232),
    [anon_sym_DOT] = ACTIONS(1234),
    [anon_sym_DOT_DOT] = ACTIONS(1234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1232),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1232),
    [anon_sym_COLON_COLON] = ACTIONS(1232),
    [anon_sym_POUND] = ACTIONS(1232),
    [anon_sym_SQUOTE] = ACTIONS(1234),
    [anon_sym_as] = ACTIONS(1234),
    [anon_sym_async] = ACTIONS(1234),
    [anon_sym_break] = ACTIONS(1234),
    [anon_sym_const] = ACTIONS(1234),
    [anon_sym_continue] = ACTIONS(1234),
    [anon_sym_default] = ACTIONS(1234),
    [anon_sym_enum] = ACTIONS(1234),
    [anon_sym_fn] = ACTIONS(1234),
    [anon_sym_for] = ACTIONS(1234),
    [anon_sym_if] = ACTIONS(1234),
    [anon_sym_impl] = ACTIONS(1234),
    [anon_sym_let] = ACTIONS(1234),
    [anon_sym_loop] = ACTIONS(1234),
    [anon_sym_match] = ACTIONS(1234),
    [anon_sym_mod] = ACTIONS(1234),
    [anon_sym_pub] = ACTIONS(1234),
    [anon_sym_return] = ACTIONS(1234),
    [anon_sym_static] = ACTIONS(1234),
    [anon_sym_struct] = ACTIONS(1234),
    [anon_sym_trait] = ACTIONS(1234),
    [anon_sym_type] = ACTIONS(1234),
    [anon_sym_union] = ACTIONS(1234),
    [anon_sym_unsafe] = ACTIONS(1234),
    [anon_sym_use] = ACTIONS(1234),
    [anon_sym_while] = ACTIONS(1234),
    [anon_sym_extern] = ACTIONS(1234),
    [anon_sym_else] = ACTIONS(1234),
    [anon_sym_yield] = ACTIONS(1234),
    [anon_sym_move] = ACTIONS(1234),
    [anon_sym_try] = ACTIONS(1234),
    [sym_integer_literal] = ACTIONS(1232),
    [aux_sym_string_literal_token1] = ACTIONS(1232),
    [sym_char_literal] = ACTIONS(1232),
    [anon_sym_true] = ACTIONS(1234),
    [anon_sym_false] = ACTIONS(1234),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1234),
    [sym_super] = ACTIONS(1234),
    [sym_crate] = ACTIONS(1234),
    [sym_metavariable] = ACTIONS(1232),
    [sym__raw_string_literal_start] = ACTIONS(1232),
    [sym_float_literal] = ACTIONS(1232),
  },
  [324] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1567),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(324),
    [sym_block_comment] = STATE(324),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(977),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [325] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1500),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(325),
    [sym_block_comment] = STATE(325),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1176),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [326] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1501),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(326),
    [sym_block_comment] = STATE(326),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1176),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [327] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1494),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(327),
    [sym_block_comment] = STATE(327),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1176),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [328] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1503),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(328),
    [sym_block_comment] = STATE(328),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1176),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [329] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1497),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(329),
    [sym_block_comment] = STATE(329),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1176),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [330] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1817),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(330),
    [sym_block_comment] = STATE(330),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [331] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1818),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(331),
    [sym_block_comment] = STATE(331),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [332] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1825),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(332),
    [sym_block_comment] = STATE(332),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [333] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1829),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(458),
    [sym_match_expression] = STATE(458),
    [sym_while_expression] = STATE(458),
    [sym_loop_expression] = STATE(458),
    [sym_for_expression] = STATE(458),
    [sym_const_block] = STATE(458),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3579),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(458),
    [sym_async_block] = STATE(458),
    [sym_try_block] = STATE(458),
    [sym_block] = STATE(458),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(333),
    [sym_block_comment] = STATE(333),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(1210),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(1212),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(1214),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(1216),
    [anon_sym_if] = ACTIONS(1218),
    [anon_sym_loop] = ACTIONS(1220),
    [anon_sym_match] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(1224),
    [anon_sym_while] = ACTIONS(1226),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(1228),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [334] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1869),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(334),
    [sym_block_comment] = STATE(334),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [335] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1872),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(335),
    [sym_block_comment] = STATE(335),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [336] = {
    [sym_line_comment] = STATE(336),
    [sym_block_comment] = STATE(336),
    [ts_builtin_sym_end] = ACTIONS(1236),
    [sym_identifier] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(1236),
    [anon_sym_macro_rules_BANG] = ACTIONS(1236),
    [anon_sym_LPAREN] = ACTIONS(1236),
    [anon_sym_LBRACK] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1236),
    [anon_sym_RBRACE] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1238),
    [anon_sym_STAR] = ACTIONS(1238),
    [anon_sym_QMARK] = ACTIONS(1236),
    [anon_sym_u8] = ACTIONS(1238),
    [anon_sym_i8] = ACTIONS(1238),
    [anon_sym_u16] = ACTIONS(1238),
    [anon_sym_i16] = ACTIONS(1238),
    [anon_sym_u32] = ACTIONS(1238),
    [anon_sym_i32] = ACTIONS(1238),
    [anon_sym_u64] = ACTIONS(1238),
    [anon_sym_i64] = ACTIONS(1238),
    [anon_sym_u128] = ACTIONS(1238),
    [anon_sym_i128] = ACTIONS(1238),
    [anon_sym_isize] = ACTIONS(1238),
    [anon_sym_usize] = ACTIONS(1238),
    [anon_sym_f32] = ACTIONS(1238),
    [anon_sym_f64] = ACTIONS(1238),
    [anon_sym_bool] = ACTIONS(1238),
    [anon_sym_str] = ACTIONS(1238),
    [anon_sym_char] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1238),
    [anon_sym_SLASH] = ACTIONS(1238),
    [anon_sym_PERCENT] = ACTIONS(1238),
    [anon_sym_CARET] = ACTIONS(1238),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_AMP] = ACTIONS(1238),
    [anon_sym_PIPE] = ACTIONS(1238),
    [anon_sym_AMP_AMP] = ACTIONS(1236),
    [anon_sym_PIPE_PIPE] = ACTIONS(1236),
    [anon_sym_LT_LT] = ACTIONS(1238),
    [anon_sym_GT_GT] = ACTIONS(1238),
    [anon_sym_PLUS_EQ] = ACTIONS(1236),
    [anon_sym_DASH_EQ] = ACTIONS(1236),
    [anon_sym_STAR_EQ] = ACTIONS(1236),
    [anon_sym_SLASH_EQ] = ACTIONS(1236),
    [anon_sym_PERCENT_EQ] = ACTIONS(1236),
    [anon_sym_CARET_EQ] = ACTIONS(1236),
    [anon_sym_AMP_EQ] = ACTIONS(1236),
    [anon_sym_PIPE_EQ] = ACTIONS(1236),
    [anon_sym_LT_LT_EQ] = ACTIONS(1236),
    [anon_sym_GT_GT_EQ] = ACTIONS(1236),
    [anon_sym_EQ] = ACTIONS(1238),
    [anon_sym_EQ_EQ] = ACTIONS(1236),
    [anon_sym_BANG_EQ] = ACTIONS(1236),
    [anon_sym_GT] = ACTIONS(1238),
    [anon_sym_LT] = ACTIONS(1238),
    [anon_sym_GT_EQ] = ACTIONS(1236),
    [anon_sym_LT_EQ] = ACTIONS(1236),
    [anon_sym_DOT] = ACTIONS(1238),
    [anon_sym_DOT_DOT] = ACTIONS(1238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1236),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1236),
    [anon_sym_COLON_COLON] = ACTIONS(1236),
    [anon_sym_POUND] = ACTIONS(1236),
    [anon_sym_SQUOTE] = ACTIONS(1238),
    [anon_sym_as] = ACTIONS(1238),
    [anon_sym_async] = ACTIONS(1238),
    [anon_sym_break] = ACTIONS(1238),
    [anon_sym_const] = ACTIONS(1238),
    [anon_sym_continue] = ACTIONS(1238),
    [anon_sym_default] = ACTIONS(1238),
    [anon_sym_enum] = ACTIONS(1238),
    [anon_sym_fn] = ACTIONS(1238),
    [anon_sym_for] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1238),
    [anon_sym_impl] = ACTIONS(1238),
    [anon_sym_let] = ACTIONS(1238),
    [anon_sym_loop] = ACTIONS(1238),
    [anon_sym_match] = ACTIONS(1238),
    [anon_sym_mod] = ACTIONS(1238),
    [anon_sym_pub] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1238),
    [anon_sym_static] = ACTIONS(1238),
    [anon_sym_struct] = ACTIONS(1238),
    [anon_sym_trait] = ACTIONS(1238),
    [anon_sym_type] = ACTIONS(1238),
    [anon_sym_union] = ACTIONS(1238),
    [anon_sym_unsafe] = ACTIONS(1238),
    [anon_sym_use] = ACTIONS(1238),
    [anon_sym_while] = ACTIONS(1238),
    [anon_sym_extern] = ACTIONS(1238),
    [anon_sym_else] = ACTIONS(1238),
    [anon_sym_yield] = ACTIONS(1238),
    [anon_sym_move] = ACTIONS(1238),
    [anon_sym_try] = ACTIONS(1238),
    [sym_integer_literal] = ACTIONS(1236),
    [aux_sym_string_literal_token1] = ACTIONS(1236),
    [sym_char_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1238),
    [sym_super] = ACTIONS(1238),
    [sym_crate] = ACTIONS(1238),
    [sym_metavariable] = ACTIONS(1236),
    [sym__raw_string_literal_start] = ACTIONS(1236),
    [sym_float_literal] = ACTIONS(1236),
  },
  [337] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1482),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(337),
    [sym_block_comment] = STATE(337),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [338] = {
    [sym_line_comment] = STATE(338),
    [sym_block_comment] = STATE(338),
    [ts_builtin_sym_end] = ACTIONS(1240),
    [sym_identifier] = ACTIONS(1242),
    [anon_sym_SEMI] = ACTIONS(1240),
    [anon_sym_macro_rules_BANG] = ACTIONS(1240),
    [anon_sym_LPAREN] = ACTIONS(1240),
    [anon_sym_LBRACK] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1242),
    [anon_sym_STAR] = ACTIONS(1242),
    [anon_sym_QMARK] = ACTIONS(1240),
    [anon_sym_u8] = ACTIONS(1242),
    [anon_sym_i8] = ACTIONS(1242),
    [anon_sym_u16] = ACTIONS(1242),
    [anon_sym_i16] = ACTIONS(1242),
    [anon_sym_u32] = ACTIONS(1242),
    [anon_sym_i32] = ACTIONS(1242),
    [anon_sym_u64] = ACTIONS(1242),
    [anon_sym_i64] = ACTIONS(1242),
    [anon_sym_u128] = ACTIONS(1242),
    [anon_sym_i128] = ACTIONS(1242),
    [anon_sym_isize] = ACTIONS(1242),
    [anon_sym_usize] = ACTIONS(1242),
    [anon_sym_f32] = ACTIONS(1242),
    [anon_sym_f64] = ACTIONS(1242),
    [anon_sym_bool] = ACTIONS(1242),
    [anon_sym_str] = ACTIONS(1242),
    [anon_sym_char] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1242),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_PERCENT] = ACTIONS(1242),
    [anon_sym_CARET] = ACTIONS(1242),
    [anon_sym_BANG] = ACTIONS(1242),
    [anon_sym_AMP] = ACTIONS(1242),
    [anon_sym_PIPE] = ACTIONS(1242),
    [anon_sym_AMP_AMP] = ACTIONS(1240),
    [anon_sym_PIPE_PIPE] = ACTIONS(1240),
    [anon_sym_LT_LT] = ACTIONS(1242),
    [anon_sym_GT_GT] = ACTIONS(1242),
    [anon_sym_PLUS_EQ] = ACTIONS(1240),
    [anon_sym_DASH_EQ] = ACTIONS(1240),
    [anon_sym_STAR_EQ] = ACTIONS(1240),
    [anon_sym_SLASH_EQ] = ACTIONS(1240),
    [anon_sym_PERCENT_EQ] = ACTIONS(1240),
    [anon_sym_CARET_EQ] = ACTIONS(1240),
    [anon_sym_AMP_EQ] = ACTIONS(1240),
    [anon_sym_PIPE_EQ] = ACTIONS(1240),
    [anon_sym_LT_LT_EQ] = ACTIONS(1240),
    [anon_sym_GT_GT_EQ] = ACTIONS(1240),
    [anon_sym_EQ] = ACTIONS(1242),
    [anon_sym_EQ_EQ] = ACTIONS(1240),
    [anon_sym_BANG_EQ] = ACTIONS(1240),
    [anon_sym_GT] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(1242),
    [anon_sym_GT_EQ] = ACTIONS(1240),
    [anon_sym_LT_EQ] = ACTIONS(1240),
    [anon_sym_DOT] = ACTIONS(1242),
    [anon_sym_DOT_DOT] = ACTIONS(1242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1240),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1240),
    [anon_sym_COLON_COLON] = ACTIONS(1240),
    [anon_sym_POUND] = ACTIONS(1240),
    [anon_sym_SQUOTE] = ACTIONS(1242),
    [anon_sym_as] = ACTIONS(1242),
    [anon_sym_async] = ACTIONS(1242),
    [anon_sym_break] = ACTIONS(1242),
    [anon_sym_const] = ACTIONS(1242),
    [anon_sym_continue] = ACTIONS(1242),
    [anon_sym_default] = ACTIONS(1242),
    [anon_sym_enum] = ACTIONS(1242),
    [anon_sym_fn] = ACTIONS(1242),
    [anon_sym_for] = ACTIONS(1242),
    [anon_sym_if] = ACTIONS(1242),
    [anon_sym_impl] = ACTIONS(1242),
    [anon_sym_let] = ACTIONS(1242),
    [anon_sym_loop] = ACTIONS(1242),
    [anon_sym_match] = ACTIONS(1242),
    [anon_sym_mod] = ACTIONS(1242),
    [anon_sym_pub] = ACTIONS(1242),
    [anon_sym_return] = ACTIONS(1242),
    [anon_sym_static] = ACTIONS(1242),
    [anon_sym_struct] = ACTIONS(1242),
    [anon_sym_trait] = ACTIONS(1242),
    [anon_sym_type] = ACTIONS(1242),
    [anon_sym_union] = ACTIONS(1242),
    [anon_sym_unsafe] = ACTIONS(1242),
    [anon_sym_use] = ACTIONS(1242),
    [anon_sym_while] = ACTIONS(1242),
    [anon_sym_extern] = ACTIONS(1242),
    [anon_sym_else] = ACTIONS(1242),
    [anon_sym_yield] = ACTIONS(1242),
    [anon_sym_move] = ACTIONS(1242),
    [anon_sym_try] = ACTIONS(1242),
    [sym_integer_literal] = ACTIONS(1240),
    [aux_sym_string_literal_token1] = ACTIONS(1240),
    [sym_char_literal] = ACTIONS(1240),
    [anon_sym_true] = ACTIONS(1242),
    [anon_sym_false] = ACTIONS(1242),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1242),
    [sym_super] = ACTIONS(1242),
    [sym_crate] = ACTIONS(1242),
    [sym_metavariable] = ACTIONS(1240),
    [sym__raw_string_literal_start] = ACTIONS(1240),
    [sym_float_literal] = ACTIONS(1240),
  },
  [339] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1323),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(339),
    [sym_block_comment] = STATE(339),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1176),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [340] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1857),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(340),
    [sym_block_comment] = STATE(340),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [341] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1353),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(234),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(341),
    [sym_block_comment] = STATE(341),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(1041),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(1041),
    [anon_sym_AMP] = ACTIONS(1043),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1047),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(472),
    [anon_sym_move] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [342] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1796),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(234),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(342),
    [sym_block_comment] = STATE(342),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(1041),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(1041),
    [anon_sym_AMP] = ACTIONS(1043),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1230),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(472),
    [anon_sym_move] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [343] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1851),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(343),
    [sym_block_comment] = STATE(343),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [344] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1852),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(344),
    [sym_block_comment] = STATE(344),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [345] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1571),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(345),
    [sym_block_comment] = STATE(345),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(977),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [346] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1801),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(346),
    [sym_block_comment] = STATE(346),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [347] = {
    [sym_line_comment] = STATE(347),
    [sym_block_comment] = STATE(347),
    [ts_builtin_sym_end] = ACTIONS(1244),
    [sym_identifier] = ACTIONS(1246),
    [anon_sym_SEMI] = ACTIONS(1244),
    [anon_sym_macro_rules_BANG] = ACTIONS(1244),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_LBRACK] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1244),
    [anon_sym_RBRACE] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1246),
    [anon_sym_STAR] = ACTIONS(1246),
    [anon_sym_QMARK] = ACTIONS(1244),
    [anon_sym_u8] = ACTIONS(1246),
    [anon_sym_i8] = ACTIONS(1246),
    [anon_sym_u16] = ACTIONS(1246),
    [anon_sym_i16] = ACTIONS(1246),
    [anon_sym_u32] = ACTIONS(1246),
    [anon_sym_i32] = ACTIONS(1246),
    [anon_sym_u64] = ACTIONS(1246),
    [anon_sym_i64] = ACTIONS(1246),
    [anon_sym_u128] = ACTIONS(1246),
    [anon_sym_i128] = ACTIONS(1246),
    [anon_sym_isize] = ACTIONS(1246),
    [anon_sym_usize] = ACTIONS(1246),
    [anon_sym_f32] = ACTIONS(1246),
    [anon_sym_f64] = ACTIONS(1246),
    [anon_sym_bool] = ACTIONS(1246),
    [anon_sym_str] = ACTIONS(1246),
    [anon_sym_char] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1246),
    [anon_sym_SLASH] = ACTIONS(1246),
    [anon_sym_PERCENT] = ACTIONS(1246),
    [anon_sym_CARET] = ACTIONS(1246),
    [anon_sym_BANG] = ACTIONS(1246),
    [anon_sym_AMP] = ACTIONS(1246),
    [anon_sym_PIPE] = ACTIONS(1246),
    [anon_sym_AMP_AMP] = ACTIONS(1244),
    [anon_sym_PIPE_PIPE] = ACTIONS(1244),
    [anon_sym_LT_LT] = ACTIONS(1246),
    [anon_sym_GT_GT] = ACTIONS(1246),
    [anon_sym_PLUS_EQ] = ACTIONS(1244),
    [anon_sym_DASH_EQ] = ACTIONS(1244),
    [anon_sym_STAR_EQ] = ACTIONS(1244),
    [anon_sym_SLASH_EQ] = ACTIONS(1244),
    [anon_sym_PERCENT_EQ] = ACTIONS(1244),
    [anon_sym_CARET_EQ] = ACTIONS(1244),
    [anon_sym_AMP_EQ] = ACTIONS(1244),
    [anon_sym_PIPE_EQ] = ACTIONS(1244),
    [anon_sym_LT_LT_EQ] = ACTIONS(1244),
    [anon_sym_GT_GT_EQ] = ACTIONS(1244),
    [anon_sym_EQ] = ACTIONS(1246),
    [anon_sym_EQ_EQ] = ACTIONS(1244),
    [anon_sym_BANG_EQ] = ACTIONS(1244),
    [anon_sym_GT] = ACTIONS(1246),
    [anon_sym_LT] = ACTIONS(1246),
    [anon_sym_GT_EQ] = ACTIONS(1244),
    [anon_sym_LT_EQ] = ACTIONS(1244),
    [anon_sym_DOT] = ACTIONS(1246),
    [anon_sym_DOT_DOT] = ACTIONS(1246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1244),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1244),
    [anon_sym_COLON_COLON] = ACTIONS(1244),
    [anon_sym_POUND] = ACTIONS(1244),
    [anon_sym_SQUOTE] = ACTIONS(1246),
    [anon_sym_as] = ACTIONS(1246),
    [anon_sym_async] = ACTIONS(1246),
    [anon_sym_break] = ACTIONS(1246),
    [anon_sym_const] = ACTIONS(1246),
    [anon_sym_continue] = ACTIONS(1246),
    [anon_sym_default] = ACTIONS(1246),
    [anon_sym_enum] = ACTIONS(1246),
    [anon_sym_fn] = ACTIONS(1246),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_if] = ACTIONS(1246),
    [anon_sym_impl] = ACTIONS(1246),
    [anon_sym_let] = ACTIONS(1246),
    [anon_sym_loop] = ACTIONS(1246),
    [anon_sym_match] = ACTIONS(1246),
    [anon_sym_mod] = ACTIONS(1246),
    [anon_sym_pub] = ACTIONS(1246),
    [anon_sym_return] = ACTIONS(1246),
    [anon_sym_static] = ACTIONS(1246),
    [anon_sym_struct] = ACTIONS(1246),
    [anon_sym_trait] = ACTIONS(1246),
    [anon_sym_type] = ACTIONS(1246),
    [anon_sym_union] = ACTIONS(1246),
    [anon_sym_unsafe] = ACTIONS(1246),
    [anon_sym_use] = ACTIONS(1246),
    [anon_sym_while] = ACTIONS(1246),
    [anon_sym_extern] = ACTIONS(1246),
    [anon_sym_else] = ACTIONS(1246),
    [anon_sym_yield] = ACTIONS(1246),
    [anon_sym_move] = ACTIONS(1246),
    [anon_sym_try] = ACTIONS(1246),
    [sym_integer_literal] = ACTIONS(1244),
    [aux_sym_string_literal_token1] = ACTIONS(1244),
    [sym_char_literal] = ACTIONS(1244),
    [anon_sym_true] = ACTIONS(1246),
    [anon_sym_false] = ACTIONS(1246),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1246),
    [sym_super] = ACTIONS(1246),
    [sym_crate] = ACTIONS(1246),
    [sym_metavariable] = ACTIONS(1244),
    [sym__raw_string_literal_start] = ACTIONS(1244),
    [sym_float_literal] = ACTIONS(1244),
  },
  [348] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1855),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(348),
    [sym_block_comment] = STATE(348),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [349] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1856),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(349),
    [sym_block_comment] = STATE(349),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [350] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1804),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(350),
    [sym_block_comment] = STATE(350),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [351] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1858),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(351),
    [sym_block_comment] = STATE(351),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [352] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1808),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(352),
    [sym_block_comment] = STATE(352),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [353] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1859),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(353),
    [sym_block_comment] = STATE(353),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [354] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1562),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(354),
    [sym_block_comment] = STATE(354),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(977),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [355] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1809),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(355),
    [sym_block_comment] = STATE(355),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [356] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1861),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(356),
    [sym_block_comment] = STATE(356),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [357] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1862),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(357),
    [sym_block_comment] = STATE(357),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [358] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1863),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(358),
    [sym_block_comment] = STATE(358),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [359] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1864),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(359),
    [sym_block_comment] = STATE(359),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [360] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1813),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(234),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(360),
    [sym_block_comment] = STATE(360),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(1041),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(1041),
    [anon_sym_AMP] = ACTIONS(1043),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1230),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(472),
    [anon_sym_move] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [361] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1551),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(361),
    [sym_block_comment] = STATE(361),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(977),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [362] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2808),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1866),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1393),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(233),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(362),
    [sym_block_comment] = STATE(362),
    [sym_identifier] = ACTIONS(334),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(21),
    [anon_sym_u8] = ACTIONS(23),
    [anon_sym_i8] = ACTIONS(23),
    [anon_sym_u16] = ACTIONS(23),
    [anon_sym_i16] = ACTIONS(23),
    [anon_sym_u32] = ACTIONS(23),
    [anon_sym_i32] = ACTIONS(23),
    [anon_sym_u64] = ACTIONS(23),
    [anon_sym_i64] = ACTIONS(23),
    [anon_sym_u128] = ACTIONS(23),
    [anon_sym_i128] = ACTIONS(23),
    [anon_sym_isize] = ACTIONS(23),
    [anon_sym_usize] = ACTIONS(23),
    [anon_sym_f32] = ACTIONS(23),
    [anon_sym_f64] = ACTIONS(23),
    [anon_sym_bool] = ACTIONS(23),
    [anon_sym_str] = ACTIONS(23),
    [anon_sym_char] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(33),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(360),
    [anon_sym_union] = ACTIONS(350),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(89),
    [anon_sym_move] = ACTIONS(91),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(107),
    [sym_super] = ACTIONS(109),
    [sym_crate] = ACTIONS(109),
    [sym_metavariable] = ACTIONS(113),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [363] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1572),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(363),
    [sym_block_comment] = STATE(363),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(977),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [364] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1560),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(364),
    [sym_block_comment] = STATE(364),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(977),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [365] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1822),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(234),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(365),
    [sym_block_comment] = STATE(365),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(1041),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(1041),
    [anon_sym_AMP] = ACTIONS(1043),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1230),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(472),
    [anon_sym_move] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [366] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1712),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(234),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(366),
    [sym_block_comment] = STATE(366),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(1041),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(1041),
    [anon_sym_AMP] = ACTIONS(1043),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1047),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(472),
    [anon_sym_move] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [367] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1566),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(367),
    [sym_block_comment] = STATE(367),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(977),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [368] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1251),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(234),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(368),
    [sym_block_comment] = STATE(368),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(1041),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(1041),
    [anon_sym_AMP] = ACTIONS(1043),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1047),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(472),
    [anon_sym_move] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [369] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1563),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(220),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(369),
    [sym_block_comment] = STATE(369),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(973),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(973),
    [anon_sym_AMP] = ACTIONS(975),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(977),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(494),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(498),
    [anon_sym_static] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(502),
    [anon_sym_move] = ACTIONS(504),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [370] = {
    [sym_bracketed_type] = STATE(3495),
    [sym_generic_function] = STATE(1192),
    [sym_generic_type_with_turbofish] = STATE(2902),
    [sym__expression_except_range] = STATE(1055),
    [sym__expression] = STATE(1740),
    [sym_macro_invocation] = STATE(1241),
    [sym_scoped_identifier] = STATE(1535),
    [sym_scoped_type_identifier_in_expression_position] = STATE(3216),
    [sym_range_expression] = STATE(1215),
    [sym_unary_expression] = STATE(1192),
    [sym_try_expression] = STATE(1192),
    [sym_reference_expression] = STATE(1192),
    [sym_binary_expression] = STATE(1192),
    [sym_assignment_expression] = STATE(1192),
    [sym_compound_assignment_expr] = STATE(1192),
    [sym_type_cast_expression] = STATE(1192),
    [sym_return_expression] = STATE(1192),
    [sym_yield_expression] = STATE(1192),
    [sym_call_expression] = STATE(1192),
    [sym_array_expression] = STATE(1192),
    [sym_parenthesized_expression] = STATE(1192),
    [sym_tuple_expression] = STATE(1192),
    [sym_unit_expression] = STATE(1192),
    [sym_struct_expression] = STATE(1192),
    [sym_if_expression] = STATE(1192),
    [sym_match_expression] = STATE(1192),
    [sym_while_expression] = STATE(1192),
    [sym_loop_expression] = STATE(1192),
    [sym_for_expression] = STATE(1192),
    [sym_const_block] = STATE(1192),
    [sym_closure_expression] = STATE(1192),
    [sym_closure_parameters] = STATE(234),
    [sym_label] = STATE(3535),
    [sym_break_expression] = STATE(1192),
    [sym_continue_expression] = STATE(1192),
    [sym_index_expression] = STATE(1192),
    [sym_await_expression] = STATE(1192),
    [sym_field_expression] = STATE(1073),
    [sym_unsafe_block] = STATE(1192),
    [sym_async_block] = STATE(1192),
    [sym_try_block] = STATE(1192),
    [sym_block] = STATE(1192),
    [sym__literal] = STATE(1192),
    [sym_string_literal] = STATE(1462),
    [sym_raw_string_literal] = STATE(1462),
    [sym_boolean_literal] = STATE(1462),
    [sym_line_comment] = STATE(370),
    [sym_block_comment] = STATE(370),
    [sym_identifier] = ACTIONS(456),
    [anon_sym_LPAREN] = ACTIONS(15),
    [anon_sym_LBRACK] = ACTIONS(17),
    [anon_sym_LBRACE] = ACTIONS(338),
    [anon_sym_STAR] = ACTIONS(1041),
    [anon_sym_u8] = ACTIONS(458),
    [anon_sym_i8] = ACTIONS(458),
    [anon_sym_u16] = ACTIONS(458),
    [anon_sym_i16] = ACTIONS(458),
    [anon_sym_u32] = ACTIONS(458),
    [anon_sym_i32] = ACTIONS(458),
    [anon_sym_u64] = ACTIONS(458),
    [anon_sym_i64] = ACTIONS(458),
    [anon_sym_u128] = ACTIONS(458),
    [anon_sym_i128] = ACTIONS(458),
    [anon_sym_isize] = ACTIONS(458),
    [anon_sym_usize] = ACTIONS(458),
    [anon_sym_f32] = ACTIONS(458),
    [anon_sym_f64] = ACTIONS(458),
    [anon_sym_bool] = ACTIONS(458),
    [anon_sym_str] = ACTIONS(458),
    [anon_sym_char] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(1041),
    [anon_sym_AMP] = ACTIONS(1043),
    [anon_sym_PIPE] = ACTIONS(27),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT] = ACTIONS(1230),
    [anon_sym_COLON_COLON] = ACTIONS(462),
    [anon_sym_SQUOTE] = ACTIONS(37),
    [anon_sym_async] = ACTIONS(346),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_const] = ACTIONS(348),
    [anon_sym_continue] = ACTIONS(45),
    [anon_sym_default] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(352),
    [anon_sym_if] = ACTIONS(354),
    [anon_sym_loop] = ACTIONS(356),
    [anon_sym_match] = ACTIONS(358),
    [anon_sym_return] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(466),
    [anon_sym_unsafe] = ACTIONS(362),
    [anon_sym_while] = ACTIONS(364),
    [anon_sym_yield] = ACTIONS(472),
    [anon_sym_move] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(366),
    [sym_integer_literal] = ACTIONS(95),
    [aux_sym_string_literal_token1] = ACTIONS(97),
    [sym_char_literal] = ACTIONS(95),
    [anon_sym_true] = ACTIONS(99),
    [anon_sym_false] = ACTIONS(99),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(476),
    [sym_super] = ACTIONS(478),
    [sym_crate] = ACTIONS(478),
    [sym_metavariable] = ACTIONS(480),
    [sym__raw_string_literal_start] = ACTIONS(115),
    [sym_float_literal] = ACTIONS(95),
  },
  [371] = {
    [sym_attribute_item] = STATE(414),
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_self_parameter] = STATE(2981),
    [sym_variadic_parameter] = STATE(2981),
    [sym_parameter] = STATE(2981),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2705),
    [sym_bracketed_type] = STATE(3527),
    [sym_lifetime] = STATE(2985),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3273),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(2487),
    [sym_scoped_identifier] = STATE(2113),
    [sym_scoped_type_identifier] = STATE(2114),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2464),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(371),
    [sym_block_comment] = STATE(371),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1248),
    [anon_sym_LPAREN] = ACTIONS(1250),
    [anon_sym_RPAREN] = ACTIONS(1252),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1260),
    [anon_sym_i8] = ACTIONS(1260),
    [anon_sym_u16] = ACTIONS(1260),
    [anon_sym_i16] = ACTIONS(1260),
    [anon_sym_u32] = ACTIONS(1260),
    [anon_sym_i32] = ACTIONS(1260),
    [anon_sym_u64] = ACTIONS(1260),
    [anon_sym_i64] = ACTIONS(1260),
    [anon_sym_u128] = ACTIONS(1260),
    [anon_sym_i128] = ACTIONS(1260),
    [anon_sym_isize] = ACTIONS(1260),
    [anon_sym_usize] = ACTIONS(1260),
    [anon_sym_f32] = ACTIONS(1260),
    [anon_sym_f64] = ACTIONS(1260),
    [anon_sym_bool] = ACTIONS(1260),
    [anon_sym_str] = ACTIONS(1260),
    [anon_sym_char] = ACTIONS(1260),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1266),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_DOT_DOT] = ACTIONS(1272),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1274),
    [anon_sym_COMMA] = ACTIONS(1276),
    [anon_sym_COLON_COLON] = ACTIONS(1278),
    [anon_sym_POUND] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1288),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1296),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_ref] = ACTIONS(1300),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(1304),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1312),
    [sym_super] = ACTIONS(1314),
    [sym_crate] = ACTIONS(1314),
    [sym_metavariable] = ACTIONS(1316),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [372] = {
    [sym_line_comment] = STATE(372),
    [sym_block_comment] = STATE(372),
    [ts_builtin_sym_end] = ACTIONS(1320),
    [sym_identifier] = ACTIONS(1322),
    [anon_sym_SEMI] = ACTIONS(1320),
    [anon_sym_macro_rules_BANG] = ACTIONS(1320),
    [anon_sym_LPAREN] = ACTIONS(1320),
    [anon_sym_LBRACK] = ACTIONS(1320),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_RBRACE] = ACTIONS(1320),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_STAR] = ACTIONS(1322),
    [anon_sym_QMARK] = ACTIONS(1320),
    [anon_sym_u8] = ACTIONS(1322),
    [anon_sym_i8] = ACTIONS(1322),
    [anon_sym_u16] = ACTIONS(1322),
    [anon_sym_i16] = ACTIONS(1322),
    [anon_sym_u32] = ACTIONS(1322),
    [anon_sym_i32] = ACTIONS(1322),
    [anon_sym_u64] = ACTIONS(1322),
    [anon_sym_i64] = ACTIONS(1322),
    [anon_sym_u128] = ACTIONS(1322),
    [anon_sym_i128] = ACTIONS(1322),
    [anon_sym_isize] = ACTIONS(1322),
    [anon_sym_usize] = ACTIONS(1322),
    [anon_sym_f32] = ACTIONS(1322),
    [anon_sym_f64] = ACTIONS(1322),
    [anon_sym_bool] = ACTIONS(1322),
    [anon_sym_str] = ACTIONS(1322),
    [anon_sym_char] = ACTIONS(1322),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_SLASH] = ACTIONS(1322),
    [anon_sym_PERCENT] = ACTIONS(1322),
    [anon_sym_CARET] = ACTIONS(1322),
    [anon_sym_BANG] = ACTIONS(1322),
    [anon_sym_AMP] = ACTIONS(1322),
    [anon_sym_PIPE] = ACTIONS(1322),
    [anon_sym_AMP_AMP] = ACTIONS(1320),
    [anon_sym_PIPE_PIPE] = ACTIONS(1320),
    [anon_sym_LT_LT] = ACTIONS(1322),
    [anon_sym_GT_GT] = ACTIONS(1322),
    [anon_sym_PLUS_EQ] = ACTIONS(1320),
    [anon_sym_DASH_EQ] = ACTIONS(1320),
    [anon_sym_STAR_EQ] = ACTIONS(1320),
    [anon_sym_SLASH_EQ] = ACTIONS(1320),
    [anon_sym_PERCENT_EQ] = ACTIONS(1320),
    [anon_sym_CARET_EQ] = ACTIONS(1320),
    [anon_sym_AMP_EQ] = ACTIONS(1320),
    [anon_sym_PIPE_EQ] = ACTIONS(1320),
    [anon_sym_LT_LT_EQ] = ACTIONS(1320),
    [anon_sym_GT_GT_EQ] = ACTIONS(1320),
    [anon_sym_EQ] = ACTIONS(1322),
    [anon_sym_EQ_EQ] = ACTIONS(1320),
    [anon_sym_BANG_EQ] = ACTIONS(1320),
    [anon_sym_GT] = ACTIONS(1322),
    [anon_sym_LT] = ACTIONS(1322),
    [anon_sym_GT_EQ] = ACTIONS(1320),
    [anon_sym_LT_EQ] = ACTIONS(1320),
    [anon_sym_DOT] = ACTIONS(1322),
    [anon_sym_DOT_DOT] = ACTIONS(1322),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1320),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1320),
    [anon_sym_COLON_COLON] = ACTIONS(1320),
    [anon_sym_POUND] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1322),
    [anon_sym_as] = ACTIONS(1322),
    [anon_sym_async] = ACTIONS(1322),
    [anon_sym_break] = ACTIONS(1322),
    [anon_sym_const] = ACTIONS(1322),
    [anon_sym_continue] = ACTIONS(1322),
    [anon_sym_default] = ACTIONS(1322),
    [anon_sym_enum] = ACTIONS(1322),
    [anon_sym_fn] = ACTIONS(1322),
    [anon_sym_for] = ACTIONS(1322),
    [anon_sym_if] = ACTIONS(1322),
    [anon_sym_impl] = ACTIONS(1322),
    [anon_sym_let] = ACTIONS(1322),
    [anon_sym_loop] = ACTIONS(1322),
    [anon_sym_match] = ACTIONS(1322),
    [anon_sym_mod] = ACTIONS(1322),
    [anon_sym_pub] = ACTIONS(1322),
    [anon_sym_return] = ACTIONS(1322),
    [anon_sym_static] = ACTIONS(1322),
    [anon_sym_struct] = ACTIONS(1322),
    [anon_sym_trait] = ACTIONS(1322),
    [anon_sym_type] = ACTIONS(1322),
    [anon_sym_union] = ACTIONS(1322),
    [anon_sym_unsafe] = ACTIONS(1322),
    [anon_sym_use] = ACTIONS(1322),
    [anon_sym_while] = ACTIONS(1322),
    [anon_sym_extern] = ACTIONS(1322),
    [anon_sym_yield] = ACTIONS(1322),
    [anon_sym_move] = ACTIONS(1322),
    [anon_sym_try] = ACTIONS(1322),
    [sym_integer_literal] = ACTIONS(1320),
    [aux_sym_string_literal_token1] = ACTIONS(1320),
    [sym_char_literal] = ACTIONS(1320),
    [anon_sym_true] = ACTIONS(1322),
    [anon_sym_false] = ACTIONS(1322),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1322),
    [sym_super] = ACTIONS(1322),
    [sym_crate] = ACTIONS(1322),
    [sym_metavariable] = ACTIONS(1320),
    [sym__raw_string_literal_start] = ACTIONS(1320),
    [sym_float_literal] = ACTIONS(1320),
  },
  [373] = {
    [sym_attribute_item] = STATE(417),
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_self_parameter] = STATE(2798),
    [sym_variadic_parameter] = STATE(2798),
    [sym_parameter] = STATE(2798),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2610),
    [sym_bracketed_type] = STATE(3520),
    [sym_lifetime] = STATE(2985),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3198),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(2480),
    [sym_scoped_identifier] = STATE(2216),
    [sym_scoped_type_identifier] = STATE(2114),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(3268),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(373),
    [sym_block_comment] = STATE(373),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [anon_sym_RPAREN] = ACTIONS(1328),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1330),
    [anon_sym_i8] = ACTIONS(1330),
    [anon_sym_u16] = ACTIONS(1330),
    [anon_sym_i16] = ACTIONS(1330),
    [anon_sym_u32] = ACTIONS(1330),
    [anon_sym_i32] = ACTIONS(1330),
    [anon_sym_u64] = ACTIONS(1330),
    [anon_sym_i64] = ACTIONS(1330),
    [anon_sym_u128] = ACTIONS(1330),
    [anon_sym_i128] = ACTIONS(1330),
    [anon_sym_isize] = ACTIONS(1330),
    [anon_sym_usize] = ACTIONS(1330),
    [anon_sym_f32] = ACTIONS(1330),
    [anon_sym_f64] = ACTIONS(1330),
    [anon_sym_bool] = ACTIONS(1330),
    [anon_sym_str] = ACTIONS(1330),
    [anon_sym_char] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1334),
    [anon_sym_DOT_DOT] = ACTIONS(1272),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1274),
    [anon_sym_COMMA] = ACTIONS(1336),
    [anon_sym_COLON_COLON] = ACTIONS(1338),
    [anon_sym_POUND] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1342),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_ref] = ACTIONS(1300),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(1304),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1344),
    [sym_super] = ACTIONS(1346),
    [sym_crate] = ACTIONS(1346),
    [sym_metavariable] = ACTIONS(1348),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [374] = {
    [sym_line_comment] = STATE(374),
    [sym_block_comment] = STATE(374),
    [ts_builtin_sym_end] = ACTIONS(991),
    [sym_identifier] = ACTIONS(989),
    [anon_sym_SEMI] = ACTIONS(991),
    [anon_sym_macro_rules_BANG] = ACTIONS(991),
    [anon_sym_LPAREN] = ACTIONS(991),
    [anon_sym_LBRACK] = ACTIONS(991),
    [anon_sym_LBRACE] = ACTIONS(991),
    [anon_sym_RBRACE] = ACTIONS(991),
    [anon_sym_PLUS] = ACTIONS(989),
    [anon_sym_STAR] = ACTIONS(989),
    [anon_sym_QMARK] = ACTIONS(991),
    [anon_sym_u8] = ACTIONS(989),
    [anon_sym_i8] = ACTIONS(989),
    [anon_sym_u16] = ACTIONS(989),
    [anon_sym_i16] = ACTIONS(989),
    [anon_sym_u32] = ACTIONS(989),
    [anon_sym_i32] = ACTIONS(989),
    [anon_sym_u64] = ACTIONS(989),
    [anon_sym_i64] = ACTIONS(989),
    [anon_sym_u128] = ACTIONS(989),
    [anon_sym_i128] = ACTIONS(989),
    [anon_sym_isize] = ACTIONS(989),
    [anon_sym_usize] = ACTIONS(989),
    [anon_sym_f32] = ACTIONS(989),
    [anon_sym_f64] = ACTIONS(989),
    [anon_sym_bool] = ACTIONS(989),
    [anon_sym_str] = ACTIONS(989),
    [anon_sym_char] = ACTIONS(989),
    [anon_sym_DASH] = ACTIONS(989),
    [anon_sym_SLASH] = ACTIONS(989),
    [anon_sym_PERCENT] = ACTIONS(989),
    [anon_sym_CARET] = ACTIONS(989),
    [anon_sym_BANG] = ACTIONS(989),
    [anon_sym_AMP] = ACTIONS(989),
    [anon_sym_PIPE] = ACTIONS(989),
    [anon_sym_AMP_AMP] = ACTIONS(991),
    [anon_sym_PIPE_PIPE] = ACTIONS(991),
    [anon_sym_LT_LT] = ACTIONS(989),
    [anon_sym_GT_GT] = ACTIONS(989),
    [anon_sym_PLUS_EQ] = ACTIONS(991),
    [anon_sym_DASH_EQ] = ACTIONS(991),
    [anon_sym_STAR_EQ] = ACTIONS(991),
    [anon_sym_SLASH_EQ] = ACTIONS(991),
    [anon_sym_PERCENT_EQ] = ACTIONS(991),
    [anon_sym_CARET_EQ] = ACTIONS(991),
    [anon_sym_AMP_EQ] = ACTIONS(991),
    [anon_sym_PIPE_EQ] = ACTIONS(991),
    [anon_sym_LT_LT_EQ] = ACTIONS(991),
    [anon_sym_GT_GT_EQ] = ACTIONS(991),
    [anon_sym_EQ] = ACTIONS(989),
    [anon_sym_EQ_EQ] = ACTIONS(991),
    [anon_sym_BANG_EQ] = ACTIONS(991),
    [anon_sym_GT] = ACTIONS(989),
    [anon_sym_LT] = ACTIONS(989),
    [anon_sym_GT_EQ] = ACTIONS(991),
    [anon_sym_LT_EQ] = ACTIONS(991),
    [anon_sym_DOT] = ACTIONS(989),
    [anon_sym_DOT_DOT] = ACTIONS(989),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(991),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(991),
    [anon_sym_COLON_COLON] = ACTIONS(991),
    [anon_sym_POUND] = ACTIONS(991),
    [anon_sym_SQUOTE] = ACTIONS(989),
    [anon_sym_as] = ACTIONS(989),
    [anon_sym_async] = ACTIONS(989),
    [anon_sym_break] = ACTIONS(989),
    [anon_sym_const] = ACTIONS(989),
    [anon_sym_continue] = ACTIONS(989),
    [anon_sym_default] = ACTIONS(989),
    [anon_sym_enum] = ACTIONS(989),
    [anon_sym_fn] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(989),
    [anon_sym_impl] = ACTIONS(989),
    [anon_sym_let] = ACTIONS(989),
    [anon_sym_loop] = ACTIONS(989),
    [anon_sym_match] = ACTIONS(989),
    [anon_sym_mod] = ACTIONS(989),
    [anon_sym_pub] = ACTIONS(989),
    [anon_sym_return] = ACTIONS(989),
    [anon_sym_static] = ACTIONS(989),
    [anon_sym_struct] = ACTIONS(989),
    [anon_sym_trait] = ACTIONS(989),
    [anon_sym_type] = ACTIONS(989),
    [anon_sym_union] = ACTIONS(989),
    [anon_sym_unsafe] = ACTIONS(989),
    [anon_sym_use] = ACTIONS(989),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_extern] = ACTIONS(989),
    [anon_sym_yield] = ACTIONS(989),
    [anon_sym_move] = ACTIONS(989),
    [anon_sym_try] = ACTIONS(989),
    [sym_integer_literal] = ACTIONS(991),
    [aux_sym_string_literal_token1] = ACTIONS(991),
    [sym_char_literal] = ACTIONS(991),
    [anon_sym_true] = ACTIONS(989),
    [anon_sym_false] = ACTIONS(989),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(989),
    [sym_super] = ACTIONS(989),
    [sym_crate] = ACTIONS(989),
    [sym_metavariable] = ACTIONS(991),
    [sym__raw_string_literal_start] = ACTIONS(991),
    [sym_float_literal] = ACTIONS(991),
  },
  [375] = {
    [sym_line_comment] = STATE(375),
    [sym_block_comment] = STATE(375),
    [ts_builtin_sym_end] = ACTIONS(987),
    [sym_identifier] = ACTIONS(985),
    [anon_sym_SEMI] = ACTIONS(987),
    [anon_sym_macro_rules_BANG] = ACTIONS(987),
    [anon_sym_LPAREN] = ACTIONS(987),
    [anon_sym_LBRACK] = ACTIONS(987),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_RBRACE] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(985),
    [anon_sym_STAR] = ACTIONS(985),
    [anon_sym_QMARK] = ACTIONS(987),
    [anon_sym_u8] = ACTIONS(985),
    [anon_sym_i8] = ACTIONS(985),
    [anon_sym_u16] = ACTIONS(985),
    [anon_sym_i16] = ACTIONS(985),
    [anon_sym_u32] = ACTIONS(985),
    [anon_sym_i32] = ACTIONS(985),
    [anon_sym_u64] = ACTIONS(985),
    [anon_sym_i64] = ACTIONS(985),
    [anon_sym_u128] = ACTIONS(985),
    [anon_sym_i128] = ACTIONS(985),
    [anon_sym_isize] = ACTIONS(985),
    [anon_sym_usize] = ACTIONS(985),
    [anon_sym_f32] = ACTIONS(985),
    [anon_sym_f64] = ACTIONS(985),
    [anon_sym_bool] = ACTIONS(985),
    [anon_sym_str] = ACTIONS(985),
    [anon_sym_char] = ACTIONS(985),
    [anon_sym_DASH] = ACTIONS(985),
    [anon_sym_SLASH] = ACTIONS(985),
    [anon_sym_PERCENT] = ACTIONS(985),
    [anon_sym_CARET] = ACTIONS(985),
    [anon_sym_BANG] = ACTIONS(985),
    [anon_sym_AMP] = ACTIONS(985),
    [anon_sym_PIPE] = ACTIONS(985),
    [anon_sym_AMP_AMP] = ACTIONS(987),
    [anon_sym_PIPE_PIPE] = ACTIONS(987),
    [anon_sym_LT_LT] = ACTIONS(985),
    [anon_sym_GT_GT] = ACTIONS(985),
    [anon_sym_PLUS_EQ] = ACTIONS(987),
    [anon_sym_DASH_EQ] = ACTIONS(987),
    [anon_sym_STAR_EQ] = ACTIONS(987),
    [anon_sym_SLASH_EQ] = ACTIONS(987),
    [anon_sym_PERCENT_EQ] = ACTIONS(987),
    [anon_sym_CARET_EQ] = ACTIONS(987),
    [anon_sym_AMP_EQ] = ACTIONS(987),
    [anon_sym_PIPE_EQ] = ACTIONS(987),
    [anon_sym_LT_LT_EQ] = ACTIONS(987),
    [anon_sym_GT_GT_EQ] = ACTIONS(987),
    [anon_sym_EQ] = ACTIONS(985),
    [anon_sym_EQ_EQ] = ACTIONS(987),
    [anon_sym_BANG_EQ] = ACTIONS(987),
    [anon_sym_GT] = ACTIONS(985),
    [anon_sym_LT] = ACTIONS(985),
    [anon_sym_GT_EQ] = ACTIONS(987),
    [anon_sym_LT_EQ] = ACTIONS(987),
    [anon_sym_DOT] = ACTIONS(985),
    [anon_sym_DOT_DOT] = ACTIONS(985),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(987),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(987),
    [anon_sym_COLON_COLON] = ACTIONS(987),
    [anon_sym_POUND] = ACTIONS(987),
    [anon_sym_SQUOTE] = ACTIONS(985),
    [anon_sym_as] = ACTIONS(985),
    [anon_sym_async] = ACTIONS(985),
    [anon_sym_break] = ACTIONS(985),
    [anon_sym_const] = ACTIONS(985),
    [anon_sym_continue] = ACTIONS(985),
    [anon_sym_default] = ACTIONS(985),
    [anon_sym_enum] = ACTIONS(985),
    [anon_sym_fn] = ACTIONS(985),
    [anon_sym_for] = ACTIONS(985),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_impl] = ACTIONS(985),
    [anon_sym_let] = ACTIONS(985),
    [anon_sym_loop] = ACTIONS(985),
    [anon_sym_match] = ACTIONS(985),
    [anon_sym_mod] = ACTIONS(985),
    [anon_sym_pub] = ACTIONS(985),
    [anon_sym_return] = ACTIONS(985),
    [anon_sym_static] = ACTIONS(985),
    [anon_sym_struct] = ACTIONS(985),
    [anon_sym_trait] = ACTIONS(985),
    [anon_sym_type] = ACTIONS(985),
    [anon_sym_union] = ACTIONS(985),
    [anon_sym_unsafe] = ACTIONS(985),
    [anon_sym_use] = ACTIONS(985),
    [anon_sym_while] = ACTIONS(985),
    [anon_sym_extern] = ACTIONS(985),
    [anon_sym_yield] = ACTIONS(985),
    [anon_sym_move] = ACTIONS(985),
    [anon_sym_try] = ACTIONS(985),
    [sym_integer_literal] = ACTIONS(987),
    [aux_sym_string_literal_token1] = ACTIONS(987),
    [sym_char_literal] = ACTIONS(987),
    [anon_sym_true] = ACTIONS(985),
    [anon_sym_false] = ACTIONS(985),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(985),
    [sym_super] = ACTIONS(985),
    [sym_crate] = ACTIONS(985),
    [sym_metavariable] = ACTIONS(987),
    [sym__raw_string_literal_start] = ACTIONS(987),
    [sym_float_literal] = ACTIONS(987),
  },
  [376] = {
    [sym_line_comment] = STATE(376),
    [sym_block_comment] = STATE(376),
    [ts_builtin_sym_end] = ACTIONS(1350),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_SEMI] = ACTIONS(1350),
    [anon_sym_macro_rules_BANG] = ACTIONS(1350),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_LBRACK] = ACTIONS(1350),
    [anon_sym_LBRACE] = ACTIONS(1350),
    [anon_sym_RBRACE] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1352),
    [anon_sym_QMARK] = ACTIONS(1350),
    [anon_sym_u8] = ACTIONS(1352),
    [anon_sym_i8] = ACTIONS(1352),
    [anon_sym_u16] = ACTIONS(1352),
    [anon_sym_i16] = ACTIONS(1352),
    [anon_sym_u32] = ACTIONS(1352),
    [anon_sym_i32] = ACTIONS(1352),
    [anon_sym_u64] = ACTIONS(1352),
    [anon_sym_i64] = ACTIONS(1352),
    [anon_sym_u128] = ACTIONS(1352),
    [anon_sym_i128] = ACTIONS(1352),
    [anon_sym_isize] = ACTIONS(1352),
    [anon_sym_usize] = ACTIONS(1352),
    [anon_sym_f32] = ACTIONS(1352),
    [anon_sym_f64] = ACTIONS(1352),
    [anon_sym_bool] = ACTIONS(1352),
    [anon_sym_str] = ACTIONS(1352),
    [anon_sym_char] = ACTIONS(1352),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_SLASH] = ACTIONS(1352),
    [anon_sym_PERCENT] = ACTIONS(1352),
    [anon_sym_CARET] = ACTIONS(1352),
    [anon_sym_BANG] = ACTIONS(1352),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_PIPE] = ACTIONS(1352),
    [anon_sym_AMP_AMP] = ACTIONS(1350),
    [anon_sym_PIPE_PIPE] = ACTIONS(1350),
    [anon_sym_LT_LT] = ACTIONS(1352),
    [anon_sym_GT_GT] = ACTIONS(1352),
    [anon_sym_PLUS_EQ] = ACTIONS(1350),
    [anon_sym_DASH_EQ] = ACTIONS(1350),
    [anon_sym_STAR_EQ] = ACTIONS(1350),
    [anon_sym_SLASH_EQ] = ACTIONS(1350),
    [anon_sym_PERCENT_EQ] = ACTIONS(1350),
    [anon_sym_CARET_EQ] = ACTIONS(1350),
    [anon_sym_AMP_EQ] = ACTIONS(1350),
    [anon_sym_PIPE_EQ] = ACTIONS(1350),
    [anon_sym_LT_LT_EQ] = ACTIONS(1350),
    [anon_sym_GT_GT_EQ] = ACTIONS(1350),
    [anon_sym_EQ] = ACTIONS(1352),
    [anon_sym_EQ_EQ] = ACTIONS(1350),
    [anon_sym_BANG_EQ] = ACTIONS(1350),
    [anon_sym_GT] = ACTIONS(1352),
    [anon_sym_LT] = ACTIONS(1352),
    [anon_sym_GT_EQ] = ACTIONS(1350),
    [anon_sym_LT_EQ] = ACTIONS(1350),
    [anon_sym_DOT] = ACTIONS(1352),
    [anon_sym_DOT_DOT] = ACTIONS(1352),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1350),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1350),
    [anon_sym_COLON_COLON] = ACTIONS(1350),
    [anon_sym_POUND] = ACTIONS(1350),
    [anon_sym_SQUOTE] = ACTIONS(1352),
    [anon_sym_as] = ACTIONS(1352),
    [anon_sym_async] = ACTIONS(1352),
    [anon_sym_break] = ACTIONS(1352),
    [anon_sym_const] = ACTIONS(1352),
    [anon_sym_continue] = ACTIONS(1352),
    [anon_sym_default] = ACTIONS(1352),
    [anon_sym_enum] = ACTIONS(1352),
    [anon_sym_fn] = ACTIONS(1352),
    [anon_sym_for] = ACTIONS(1352),
    [anon_sym_if] = ACTIONS(1352),
    [anon_sym_impl] = ACTIONS(1352),
    [anon_sym_let] = ACTIONS(1352),
    [anon_sym_loop] = ACTIONS(1352),
    [anon_sym_match] = ACTIONS(1352),
    [anon_sym_mod] = ACTIONS(1352),
    [anon_sym_pub] = ACTIONS(1352),
    [anon_sym_return] = ACTIONS(1352),
    [anon_sym_static] = ACTIONS(1352),
    [anon_sym_struct] = ACTIONS(1352),
    [anon_sym_trait] = ACTIONS(1352),
    [anon_sym_type] = ACTIONS(1352),
    [anon_sym_union] = ACTIONS(1352),
    [anon_sym_unsafe] = ACTIONS(1352),
    [anon_sym_use] = ACTIONS(1352),
    [anon_sym_while] = ACTIONS(1352),
    [anon_sym_extern] = ACTIONS(1352),
    [anon_sym_yield] = ACTIONS(1352),
    [anon_sym_move] = ACTIONS(1352),
    [anon_sym_try] = ACTIONS(1352),
    [sym_integer_literal] = ACTIONS(1350),
    [aux_sym_string_literal_token1] = ACTIONS(1350),
    [sym_char_literal] = ACTIONS(1350),
    [anon_sym_true] = ACTIONS(1352),
    [anon_sym_false] = ACTIONS(1352),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1352),
    [sym_super] = ACTIONS(1352),
    [sym_crate] = ACTIONS(1352),
    [sym_metavariable] = ACTIONS(1350),
    [sym__raw_string_literal_start] = ACTIONS(1350),
    [sym_float_literal] = ACTIONS(1350),
  },
  [377] = {
    [sym_line_comment] = STATE(377),
    [sym_block_comment] = STATE(377),
    [ts_builtin_sym_end] = ACTIONS(1354),
    [sym_identifier] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1354),
    [anon_sym_macro_rules_BANG] = ACTIONS(1354),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1354),
    [anon_sym_RBRACE] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1356),
    [anon_sym_QMARK] = ACTIONS(1354),
    [anon_sym_u8] = ACTIONS(1356),
    [anon_sym_i8] = ACTIONS(1356),
    [anon_sym_u16] = ACTIONS(1356),
    [anon_sym_i16] = ACTIONS(1356),
    [anon_sym_u32] = ACTIONS(1356),
    [anon_sym_i32] = ACTIONS(1356),
    [anon_sym_u64] = ACTIONS(1356),
    [anon_sym_i64] = ACTIONS(1356),
    [anon_sym_u128] = ACTIONS(1356),
    [anon_sym_i128] = ACTIONS(1356),
    [anon_sym_isize] = ACTIONS(1356),
    [anon_sym_usize] = ACTIONS(1356),
    [anon_sym_f32] = ACTIONS(1356),
    [anon_sym_f64] = ACTIONS(1356),
    [anon_sym_bool] = ACTIONS(1356),
    [anon_sym_str] = ACTIONS(1356),
    [anon_sym_char] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PERCENT] = ACTIONS(1356),
    [anon_sym_CARET] = ACTIONS(1356),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_AMP] = ACTIONS(1356),
    [anon_sym_PIPE] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1354),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1356),
    [anon_sym_GT_GT] = ACTIONS(1356),
    [anon_sym_PLUS_EQ] = ACTIONS(1354),
    [anon_sym_DASH_EQ] = ACTIONS(1354),
    [anon_sym_STAR_EQ] = ACTIONS(1354),
    [anon_sym_SLASH_EQ] = ACTIONS(1354),
    [anon_sym_PERCENT_EQ] = ACTIONS(1354),
    [anon_sym_CARET_EQ] = ACTIONS(1354),
    [anon_sym_AMP_EQ] = ACTIONS(1354),
    [anon_sym_PIPE_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT_EQ] = ACTIONS(1354),
    [anon_sym_GT_GT_EQ] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1356),
    [anon_sym_EQ_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_GT] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym_DOT] = ACTIONS(1356),
    [anon_sym_DOT_DOT] = ACTIONS(1356),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1354),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1354),
    [anon_sym_COLON_COLON] = ACTIONS(1354),
    [anon_sym_POUND] = ACTIONS(1354),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [anon_sym_as] = ACTIONS(1356),
    [anon_sym_async] = ACTIONS(1356),
    [anon_sym_break] = ACTIONS(1356),
    [anon_sym_const] = ACTIONS(1356),
    [anon_sym_continue] = ACTIONS(1356),
    [anon_sym_default] = ACTIONS(1356),
    [anon_sym_enum] = ACTIONS(1356),
    [anon_sym_fn] = ACTIONS(1356),
    [anon_sym_for] = ACTIONS(1356),
    [anon_sym_if] = ACTIONS(1356),
    [anon_sym_impl] = ACTIONS(1356),
    [anon_sym_let] = ACTIONS(1356),
    [anon_sym_loop] = ACTIONS(1356),
    [anon_sym_match] = ACTIONS(1356),
    [anon_sym_mod] = ACTIONS(1356),
    [anon_sym_pub] = ACTIONS(1356),
    [anon_sym_return] = ACTIONS(1356),
    [anon_sym_static] = ACTIONS(1356),
    [anon_sym_struct] = ACTIONS(1356),
    [anon_sym_trait] = ACTIONS(1356),
    [anon_sym_type] = ACTIONS(1356),
    [anon_sym_union] = ACTIONS(1356),
    [anon_sym_unsafe] = ACTIONS(1356),
    [anon_sym_use] = ACTIONS(1356),
    [anon_sym_while] = ACTIONS(1356),
    [anon_sym_extern] = ACTIONS(1356),
    [anon_sym_yield] = ACTIONS(1356),
    [anon_sym_move] = ACTIONS(1356),
    [anon_sym_try] = ACTIONS(1356),
    [sym_integer_literal] = ACTIONS(1354),
    [aux_sym_string_literal_token1] = ACTIONS(1354),
    [sym_char_literal] = ACTIONS(1354),
    [anon_sym_true] = ACTIONS(1356),
    [anon_sym_false] = ACTIONS(1356),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1356),
    [sym_super] = ACTIONS(1356),
    [sym_crate] = ACTIONS(1356),
    [sym_metavariable] = ACTIONS(1354),
    [sym__raw_string_literal_start] = ACTIONS(1354),
    [sym_float_literal] = ACTIONS(1354),
  },
  [378] = {
    [sym_attribute_item] = STATE(414),
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_self_parameter] = STATE(2981),
    [sym_variadic_parameter] = STATE(2981),
    [sym_parameter] = STATE(2981),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2705),
    [sym_bracketed_type] = STATE(3527),
    [sym_lifetime] = STATE(2985),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3273),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(2487),
    [sym_scoped_identifier] = STATE(2113),
    [sym_scoped_type_identifier] = STATE(2114),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2464),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(378),
    [sym_block_comment] = STATE(378),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1248),
    [anon_sym_LPAREN] = ACTIONS(1250),
    [anon_sym_RPAREN] = ACTIONS(1358),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1260),
    [anon_sym_i8] = ACTIONS(1260),
    [anon_sym_u16] = ACTIONS(1260),
    [anon_sym_i16] = ACTIONS(1260),
    [anon_sym_u32] = ACTIONS(1260),
    [anon_sym_i32] = ACTIONS(1260),
    [anon_sym_u64] = ACTIONS(1260),
    [anon_sym_i64] = ACTIONS(1260),
    [anon_sym_u128] = ACTIONS(1260),
    [anon_sym_i128] = ACTIONS(1260),
    [anon_sym_isize] = ACTIONS(1260),
    [anon_sym_usize] = ACTIONS(1260),
    [anon_sym_f32] = ACTIONS(1260),
    [anon_sym_f64] = ACTIONS(1260),
    [anon_sym_bool] = ACTIONS(1260),
    [anon_sym_str] = ACTIONS(1260),
    [anon_sym_char] = ACTIONS(1260),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1266),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_DOT_DOT] = ACTIONS(1272),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1274),
    [anon_sym_COMMA] = ACTIONS(1360),
    [anon_sym_COLON_COLON] = ACTIONS(1278),
    [anon_sym_POUND] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1288),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1296),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_ref] = ACTIONS(1300),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(1304),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1312),
    [sym_super] = ACTIONS(1314),
    [sym_crate] = ACTIONS(1314),
    [sym_metavariable] = ACTIONS(1316),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [379] = {
    [sym_line_comment] = STATE(379),
    [sym_block_comment] = STATE(379),
    [ts_builtin_sym_end] = ACTIONS(1362),
    [sym_identifier] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1362),
    [anon_sym_macro_rules_BANG] = ACTIONS(1362),
    [anon_sym_LPAREN] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1362),
    [anon_sym_RBRACE] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_QMARK] = ACTIONS(1362),
    [anon_sym_u8] = ACTIONS(1364),
    [anon_sym_i8] = ACTIONS(1364),
    [anon_sym_u16] = ACTIONS(1364),
    [anon_sym_i16] = ACTIONS(1364),
    [anon_sym_u32] = ACTIONS(1364),
    [anon_sym_i32] = ACTIONS(1364),
    [anon_sym_u64] = ACTIONS(1364),
    [anon_sym_i64] = ACTIONS(1364),
    [anon_sym_u128] = ACTIONS(1364),
    [anon_sym_i128] = ACTIONS(1364),
    [anon_sym_isize] = ACTIONS(1364),
    [anon_sym_usize] = ACTIONS(1364),
    [anon_sym_f32] = ACTIONS(1364),
    [anon_sym_f64] = ACTIONS(1364),
    [anon_sym_bool] = ACTIONS(1364),
    [anon_sym_str] = ACTIONS(1364),
    [anon_sym_char] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1364),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_BANG] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1364),
    [anon_sym_AMP_AMP] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1362),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_PLUS_EQ] = ACTIONS(1362),
    [anon_sym_DASH_EQ] = ACTIONS(1362),
    [anon_sym_STAR_EQ] = ACTIONS(1362),
    [anon_sym_SLASH_EQ] = ACTIONS(1362),
    [anon_sym_PERCENT_EQ] = ACTIONS(1362),
    [anon_sym_CARET_EQ] = ACTIONS(1362),
    [anon_sym_AMP_EQ] = ACTIONS(1362),
    [anon_sym_PIPE_EQ] = ACTIONS(1362),
    [anon_sym_LT_LT_EQ] = ACTIONS(1362),
    [anon_sym_GT_GT_EQ] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1364),
    [anon_sym_EQ_EQ] = ACTIONS(1362),
    [anon_sym_BANG_EQ] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1362),
    [anon_sym_LT_EQ] = ACTIONS(1362),
    [anon_sym_DOT] = ACTIONS(1364),
    [anon_sym_DOT_DOT] = ACTIONS(1364),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1362),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1362),
    [anon_sym_COLON_COLON] = ACTIONS(1362),
    [anon_sym_POUND] = ACTIONS(1362),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [anon_sym_as] = ACTIONS(1364),
    [anon_sym_async] = ACTIONS(1364),
    [anon_sym_break] = ACTIONS(1364),
    [anon_sym_const] = ACTIONS(1364),
    [anon_sym_continue] = ACTIONS(1364),
    [anon_sym_default] = ACTIONS(1364),
    [anon_sym_enum] = ACTIONS(1364),
    [anon_sym_fn] = ACTIONS(1364),
    [anon_sym_for] = ACTIONS(1364),
    [anon_sym_if] = ACTIONS(1364),
    [anon_sym_impl] = ACTIONS(1364),
    [anon_sym_let] = ACTIONS(1364),
    [anon_sym_loop] = ACTIONS(1364),
    [anon_sym_match] = ACTIONS(1364),
    [anon_sym_mod] = ACTIONS(1364),
    [anon_sym_pub] = ACTIONS(1364),
    [anon_sym_return] = ACTIONS(1364),
    [anon_sym_static] = ACTIONS(1364),
    [anon_sym_struct] = ACTIONS(1364),
    [anon_sym_trait] = ACTIONS(1364),
    [anon_sym_type] = ACTIONS(1364),
    [anon_sym_union] = ACTIONS(1364),
    [anon_sym_unsafe] = ACTIONS(1364),
    [anon_sym_use] = ACTIONS(1364),
    [anon_sym_while] = ACTIONS(1364),
    [anon_sym_extern] = ACTIONS(1364),
    [anon_sym_yield] = ACTIONS(1364),
    [anon_sym_move] = ACTIONS(1364),
    [anon_sym_try] = ACTIONS(1364),
    [sym_integer_literal] = ACTIONS(1362),
    [aux_sym_string_literal_token1] = ACTIONS(1362),
    [sym_char_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1364),
    [sym_super] = ACTIONS(1364),
    [sym_crate] = ACTIONS(1364),
    [sym_metavariable] = ACTIONS(1362),
    [sym__raw_string_literal_start] = ACTIONS(1362),
    [sym_float_literal] = ACTIONS(1362),
  },
  [380] = {
    [sym_line_comment] = STATE(380),
    [sym_block_comment] = STATE(380),
    [ts_builtin_sym_end] = ACTIONS(1366),
    [sym_identifier] = ACTIONS(1368),
    [anon_sym_SEMI] = ACTIONS(1366),
    [anon_sym_macro_rules_BANG] = ACTIONS(1366),
    [anon_sym_LPAREN] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(1366),
    [anon_sym_RBRACE] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_STAR] = ACTIONS(1368),
    [anon_sym_QMARK] = ACTIONS(1366),
    [anon_sym_u8] = ACTIONS(1368),
    [anon_sym_i8] = ACTIONS(1368),
    [anon_sym_u16] = ACTIONS(1368),
    [anon_sym_i16] = ACTIONS(1368),
    [anon_sym_u32] = ACTIONS(1368),
    [anon_sym_i32] = ACTIONS(1368),
    [anon_sym_u64] = ACTIONS(1368),
    [anon_sym_i64] = ACTIONS(1368),
    [anon_sym_u128] = ACTIONS(1368),
    [anon_sym_i128] = ACTIONS(1368),
    [anon_sym_isize] = ACTIONS(1368),
    [anon_sym_usize] = ACTIONS(1368),
    [anon_sym_f32] = ACTIONS(1368),
    [anon_sym_f64] = ACTIONS(1368),
    [anon_sym_bool] = ACTIONS(1368),
    [anon_sym_str] = ACTIONS(1368),
    [anon_sym_char] = ACTIONS(1368),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_SLASH] = ACTIONS(1368),
    [anon_sym_PERCENT] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1368),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_AMP_AMP] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1366),
    [anon_sym_LT_LT] = ACTIONS(1368),
    [anon_sym_GT_GT] = ACTIONS(1368),
    [anon_sym_PLUS_EQ] = ACTIONS(1366),
    [anon_sym_DASH_EQ] = ACTIONS(1366),
    [anon_sym_STAR_EQ] = ACTIONS(1366),
    [anon_sym_SLASH_EQ] = ACTIONS(1366),
    [anon_sym_PERCENT_EQ] = ACTIONS(1366),
    [anon_sym_CARET_EQ] = ACTIONS(1366),
    [anon_sym_AMP_EQ] = ACTIONS(1366),
    [anon_sym_PIPE_EQ] = ACTIONS(1366),
    [anon_sym_LT_LT_EQ] = ACTIONS(1366),
    [anon_sym_GT_GT_EQ] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1368),
    [anon_sym_EQ_EQ] = ACTIONS(1366),
    [anon_sym_BANG_EQ] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1368),
    [anon_sym_LT] = ACTIONS(1368),
    [anon_sym_GT_EQ] = ACTIONS(1366),
    [anon_sym_LT_EQ] = ACTIONS(1366),
    [anon_sym_DOT] = ACTIONS(1368),
    [anon_sym_DOT_DOT] = ACTIONS(1368),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1366),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1366),
    [anon_sym_COLON_COLON] = ACTIONS(1366),
    [anon_sym_POUND] = ACTIONS(1366),
    [anon_sym_SQUOTE] = ACTIONS(1368),
    [anon_sym_as] = ACTIONS(1368),
    [anon_sym_async] = ACTIONS(1368),
    [anon_sym_break] = ACTIONS(1368),
    [anon_sym_const] = ACTIONS(1368),
    [anon_sym_continue] = ACTIONS(1368),
    [anon_sym_default] = ACTIONS(1368),
    [anon_sym_enum] = ACTIONS(1368),
    [anon_sym_fn] = ACTIONS(1368),
    [anon_sym_for] = ACTIONS(1368),
    [anon_sym_if] = ACTIONS(1368),
    [anon_sym_impl] = ACTIONS(1368),
    [anon_sym_let] = ACTIONS(1368),
    [anon_sym_loop] = ACTIONS(1368),
    [anon_sym_match] = ACTIONS(1368),
    [anon_sym_mod] = ACTIONS(1368),
    [anon_sym_pub] = ACTIONS(1368),
    [anon_sym_return] = ACTIONS(1368),
    [anon_sym_static] = ACTIONS(1368),
    [anon_sym_struct] = ACTIONS(1368),
    [anon_sym_trait] = ACTIONS(1368),
    [anon_sym_type] = ACTIONS(1368),
    [anon_sym_union] = ACTIONS(1368),
    [anon_sym_unsafe] = ACTIONS(1368),
    [anon_sym_use] = ACTIONS(1368),
    [anon_sym_while] = ACTIONS(1368),
    [anon_sym_extern] = ACTIONS(1368),
    [anon_sym_yield] = ACTIONS(1368),
    [anon_sym_move] = ACTIONS(1368),
    [anon_sym_try] = ACTIONS(1368),
    [sym_integer_literal] = ACTIONS(1366),
    [aux_sym_string_literal_token1] = ACTIONS(1366),
    [sym_char_literal] = ACTIONS(1366),
    [anon_sym_true] = ACTIONS(1368),
    [anon_sym_false] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1368),
    [sym_super] = ACTIONS(1368),
    [sym_crate] = ACTIONS(1368),
    [sym_metavariable] = ACTIONS(1366),
    [sym__raw_string_literal_start] = ACTIONS(1366),
    [sym_float_literal] = ACTIONS(1366),
  },
  [381] = {
    [sym_line_comment] = STATE(381),
    [sym_block_comment] = STATE(381),
    [ts_builtin_sym_end] = ACTIONS(1370),
    [sym_identifier] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1370),
    [anon_sym_macro_rules_BANG] = ACTIONS(1370),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1370),
    [anon_sym_RBRACE] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1372),
    [anon_sym_QMARK] = ACTIONS(1370),
    [anon_sym_u8] = ACTIONS(1372),
    [anon_sym_i8] = ACTIONS(1372),
    [anon_sym_u16] = ACTIONS(1372),
    [anon_sym_i16] = ACTIONS(1372),
    [anon_sym_u32] = ACTIONS(1372),
    [anon_sym_i32] = ACTIONS(1372),
    [anon_sym_u64] = ACTIONS(1372),
    [anon_sym_i64] = ACTIONS(1372),
    [anon_sym_u128] = ACTIONS(1372),
    [anon_sym_i128] = ACTIONS(1372),
    [anon_sym_isize] = ACTIONS(1372),
    [anon_sym_usize] = ACTIONS(1372),
    [anon_sym_f32] = ACTIONS(1372),
    [anon_sym_f64] = ACTIONS(1372),
    [anon_sym_bool] = ACTIONS(1372),
    [anon_sym_str] = ACTIONS(1372),
    [anon_sym_char] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PERCENT] = ACTIONS(1372),
    [anon_sym_CARET] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1372),
    [anon_sym_AMP] = ACTIONS(1372),
    [anon_sym_PIPE] = ACTIONS(1372),
    [anon_sym_AMP_AMP] = ACTIONS(1370),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1372),
    [anon_sym_GT_GT] = ACTIONS(1372),
    [anon_sym_PLUS_EQ] = ACTIONS(1370),
    [anon_sym_DASH_EQ] = ACTIONS(1370),
    [anon_sym_STAR_EQ] = ACTIONS(1370),
    [anon_sym_SLASH_EQ] = ACTIONS(1370),
    [anon_sym_PERCENT_EQ] = ACTIONS(1370),
    [anon_sym_CARET_EQ] = ACTIONS(1370),
    [anon_sym_AMP_EQ] = ACTIONS(1370),
    [anon_sym_PIPE_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT_EQ] = ACTIONS(1370),
    [anon_sym_GT_GT_EQ] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1372),
    [anon_sym_EQ_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_GT] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym_DOT] = ACTIONS(1372),
    [anon_sym_DOT_DOT] = ACTIONS(1372),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1370),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1370),
    [anon_sym_COLON_COLON] = ACTIONS(1370),
    [anon_sym_POUND] = ACTIONS(1370),
    [anon_sym_SQUOTE] = ACTIONS(1372),
    [anon_sym_as] = ACTIONS(1372),
    [anon_sym_async] = ACTIONS(1372),
    [anon_sym_break] = ACTIONS(1372),
    [anon_sym_const] = ACTIONS(1372),
    [anon_sym_continue] = ACTIONS(1372),
    [anon_sym_default] = ACTIONS(1372),
    [anon_sym_enum] = ACTIONS(1372),
    [anon_sym_fn] = ACTIONS(1372),
    [anon_sym_for] = ACTIONS(1372),
    [anon_sym_if] = ACTIONS(1372),
    [anon_sym_impl] = ACTIONS(1372),
    [anon_sym_let] = ACTIONS(1372),
    [anon_sym_loop] = ACTIONS(1372),
    [anon_sym_match] = ACTIONS(1372),
    [anon_sym_mod] = ACTIONS(1372),
    [anon_sym_pub] = ACTIONS(1372),
    [anon_sym_return] = ACTIONS(1372),
    [anon_sym_static] = ACTIONS(1372),
    [anon_sym_struct] = ACTIONS(1372),
    [anon_sym_trait] = ACTIONS(1372),
    [anon_sym_type] = ACTIONS(1372),
    [anon_sym_union] = ACTIONS(1372),
    [anon_sym_unsafe] = ACTIONS(1372),
    [anon_sym_use] = ACTIONS(1372),
    [anon_sym_while] = ACTIONS(1372),
    [anon_sym_extern] = ACTIONS(1372),
    [anon_sym_yield] = ACTIONS(1372),
    [anon_sym_move] = ACTIONS(1372),
    [anon_sym_try] = ACTIONS(1372),
    [sym_integer_literal] = ACTIONS(1370),
    [aux_sym_string_literal_token1] = ACTIONS(1370),
    [sym_char_literal] = ACTIONS(1370),
    [anon_sym_true] = ACTIONS(1372),
    [anon_sym_false] = ACTIONS(1372),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1372),
    [sym_super] = ACTIONS(1372),
    [sym_crate] = ACTIONS(1372),
    [sym_metavariable] = ACTIONS(1370),
    [sym__raw_string_literal_start] = ACTIONS(1370),
    [sym_float_literal] = ACTIONS(1370),
  },
  [382] = {
    [sym_line_comment] = STATE(382),
    [sym_block_comment] = STATE(382),
    [ts_builtin_sym_end] = ACTIONS(1374),
    [sym_identifier] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1374),
    [anon_sym_macro_rules_BANG] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1374),
    [anon_sym_RBRACE] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1376),
    [anon_sym_QMARK] = ACTIONS(1374),
    [anon_sym_u8] = ACTIONS(1376),
    [anon_sym_i8] = ACTIONS(1376),
    [anon_sym_u16] = ACTIONS(1376),
    [anon_sym_i16] = ACTIONS(1376),
    [anon_sym_u32] = ACTIONS(1376),
    [anon_sym_i32] = ACTIONS(1376),
    [anon_sym_u64] = ACTIONS(1376),
    [anon_sym_i64] = ACTIONS(1376),
    [anon_sym_u128] = ACTIONS(1376),
    [anon_sym_i128] = ACTIONS(1376),
    [anon_sym_isize] = ACTIONS(1376),
    [anon_sym_usize] = ACTIONS(1376),
    [anon_sym_f32] = ACTIONS(1376),
    [anon_sym_f64] = ACTIONS(1376),
    [anon_sym_bool] = ACTIONS(1376),
    [anon_sym_str] = ACTIONS(1376),
    [anon_sym_char] = ACTIONS(1376),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_SLASH] = ACTIONS(1376),
    [anon_sym_PERCENT] = ACTIONS(1376),
    [anon_sym_CARET] = ACTIONS(1376),
    [anon_sym_BANG] = ACTIONS(1376),
    [anon_sym_AMP] = ACTIONS(1376),
    [anon_sym_PIPE] = ACTIONS(1376),
    [anon_sym_AMP_AMP] = ACTIONS(1374),
    [anon_sym_PIPE_PIPE] = ACTIONS(1374),
    [anon_sym_LT_LT] = ACTIONS(1376),
    [anon_sym_GT_GT] = ACTIONS(1376),
    [anon_sym_PLUS_EQ] = ACTIONS(1374),
    [anon_sym_DASH_EQ] = ACTIONS(1374),
    [anon_sym_STAR_EQ] = ACTIONS(1374),
    [anon_sym_SLASH_EQ] = ACTIONS(1374),
    [anon_sym_PERCENT_EQ] = ACTIONS(1374),
    [anon_sym_CARET_EQ] = ACTIONS(1374),
    [anon_sym_AMP_EQ] = ACTIONS(1374),
    [anon_sym_PIPE_EQ] = ACTIONS(1374),
    [anon_sym_LT_LT_EQ] = ACTIONS(1374),
    [anon_sym_GT_GT_EQ] = ACTIONS(1374),
    [anon_sym_EQ] = ACTIONS(1376),
    [anon_sym_EQ_EQ] = ACTIONS(1374),
    [anon_sym_BANG_EQ] = ACTIONS(1374),
    [anon_sym_GT] = ACTIONS(1376),
    [anon_sym_LT] = ACTIONS(1376),
    [anon_sym_GT_EQ] = ACTIONS(1374),
    [anon_sym_LT_EQ] = ACTIONS(1374),
    [anon_sym_DOT] = ACTIONS(1376),
    [anon_sym_DOT_DOT] = ACTIONS(1376),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1374),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1374),
    [anon_sym_COLON_COLON] = ACTIONS(1374),
    [anon_sym_POUND] = ACTIONS(1374),
    [anon_sym_SQUOTE] = ACTIONS(1376),
    [anon_sym_as] = ACTIONS(1376),
    [anon_sym_async] = ACTIONS(1376),
    [anon_sym_break] = ACTIONS(1376),
    [anon_sym_const] = ACTIONS(1376),
    [anon_sym_continue] = ACTIONS(1376),
    [anon_sym_default] = ACTIONS(1376),
    [anon_sym_enum] = ACTIONS(1376),
    [anon_sym_fn] = ACTIONS(1376),
    [anon_sym_for] = ACTIONS(1376),
    [anon_sym_if] = ACTIONS(1376),
    [anon_sym_impl] = ACTIONS(1376),
    [anon_sym_let] = ACTIONS(1376),
    [anon_sym_loop] = ACTIONS(1376),
    [anon_sym_match] = ACTIONS(1376),
    [anon_sym_mod] = ACTIONS(1376),
    [anon_sym_pub] = ACTIONS(1376),
    [anon_sym_return] = ACTIONS(1376),
    [anon_sym_static] = ACTIONS(1376),
    [anon_sym_struct] = ACTIONS(1376),
    [anon_sym_trait] = ACTIONS(1376),
    [anon_sym_type] = ACTIONS(1376),
    [anon_sym_union] = ACTIONS(1376),
    [anon_sym_unsafe] = ACTIONS(1376),
    [anon_sym_use] = ACTIONS(1376),
    [anon_sym_while] = ACTIONS(1376),
    [anon_sym_extern] = ACTIONS(1376),
    [anon_sym_yield] = ACTIONS(1376),
    [anon_sym_move] = ACTIONS(1376),
    [anon_sym_try] = ACTIONS(1376),
    [sym_integer_literal] = ACTIONS(1374),
    [aux_sym_string_literal_token1] = ACTIONS(1374),
    [sym_char_literal] = ACTIONS(1374),
    [anon_sym_true] = ACTIONS(1376),
    [anon_sym_false] = ACTIONS(1376),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1376),
    [sym_super] = ACTIONS(1376),
    [sym_crate] = ACTIONS(1376),
    [sym_metavariable] = ACTIONS(1374),
    [sym__raw_string_literal_start] = ACTIONS(1374),
    [sym_float_literal] = ACTIONS(1374),
  },
  [383] = {
    [sym_line_comment] = STATE(383),
    [sym_block_comment] = STATE(383),
    [ts_builtin_sym_end] = ACTIONS(1378),
    [sym_identifier] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1378),
    [anon_sym_macro_rules_BANG] = ACTIONS(1378),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1378),
    [anon_sym_RBRACE] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1380),
    [anon_sym_QMARK] = ACTIONS(1378),
    [anon_sym_u8] = ACTIONS(1380),
    [anon_sym_i8] = ACTIONS(1380),
    [anon_sym_u16] = ACTIONS(1380),
    [anon_sym_i16] = ACTIONS(1380),
    [anon_sym_u32] = ACTIONS(1380),
    [anon_sym_i32] = ACTIONS(1380),
    [anon_sym_u64] = ACTIONS(1380),
    [anon_sym_i64] = ACTIONS(1380),
    [anon_sym_u128] = ACTIONS(1380),
    [anon_sym_i128] = ACTIONS(1380),
    [anon_sym_isize] = ACTIONS(1380),
    [anon_sym_usize] = ACTIONS(1380),
    [anon_sym_f32] = ACTIONS(1380),
    [anon_sym_f64] = ACTIONS(1380),
    [anon_sym_bool] = ACTIONS(1380),
    [anon_sym_str] = ACTIONS(1380),
    [anon_sym_char] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PERCENT] = ACTIONS(1380),
    [anon_sym_CARET] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1380),
    [anon_sym_PIPE] = ACTIONS(1380),
    [anon_sym_AMP_AMP] = ACTIONS(1378),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1380),
    [anon_sym_GT_GT] = ACTIONS(1380),
    [anon_sym_PLUS_EQ] = ACTIONS(1378),
    [anon_sym_DASH_EQ] = ACTIONS(1378),
    [anon_sym_STAR_EQ] = ACTIONS(1378),
    [anon_sym_SLASH_EQ] = ACTIONS(1378),
    [anon_sym_PERCENT_EQ] = ACTIONS(1378),
    [anon_sym_CARET_EQ] = ACTIONS(1378),
    [anon_sym_AMP_EQ] = ACTIONS(1378),
    [anon_sym_PIPE_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT_EQ] = ACTIONS(1378),
    [anon_sym_GT_GT_EQ] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1380),
    [anon_sym_EQ_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_GT] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym_DOT] = ACTIONS(1380),
    [anon_sym_DOT_DOT] = ACTIONS(1380),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1378),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1378),
    [anon_sym_COLON_COLON] = ACTIONS(1378),
    [anon_sym_POUND] = ACTIONS(1378),
    [anon_sym_SQUOTE] = ACTIONS(1380),
    [anon_sym_as] = ACTIONS(1380),
    [anon_sym_async] = ACTIONS(1380),
    [anon_sym_break] = ACTIONS(1380),
    [anon_sym_const] = ACTIONS(1380),
    [anon_sym_continue] = ACTIONS(1380),
    [anon_sym_default] = ACTIONS(1380),
    [anon_sym_enum] = ACTIONS(1380),
    [anon_sym_fn] = ACTIONS(1380),
    [anon_sym_for] = ACTIONS(1380),
    [anon_sym_if] = ACTIONS(1380),
    [anon_sym_impl] = ACTIONS(1380),
    [anon_sym_let] = ACTIONS(1380),
    [anon_sym_loop] = ACTIONS(1380),
    [anon_sym_match] = ACTIONS(1380),
    [anon_sym_mod] = ACTIONS(1380),
    [anon_sym_pub] = ACTIONS(1380),
    [anon_sym_return] = ACTIONS(1380),
    [anon_sym_static] = ACTIONS(1380),
    [anon_sym_struct] = ACTIONS(1380),
    [anon_sym_trait] = ACTIONS(1380),
    [anon_sym_type] = ACTIONS(1380),
    [anon_sym_union] = ACTIONS(1380),
    [anon_sym_unsafe] = ACTIONS(1380),
    [anon_sym_use] = ACTIONS(1380),
    [anon_sym_while] = ACTIONS(1380),
    [anon_sym_extern] = ACTIONS(1380),
    [anon_sym_yield] = ACTIONS(1380),
    [anon_sym_move] = ACTIONS(1380),
    [anon_sym_try] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(1378),
    [aux_sym_string_literal_token1] = ACTIONS(1378),
    [sym_char_literal] = ACTIONS(1378),
    [anon_sym_true] = ACTIONS(1380),
    [anon_sym_false] = ACTIONS(1380),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1380),
    [sym_super] = ACTIONS(1380),
    [sym_crate] = ACTIONS(1380),
    [sym_metavariable] = ACTIONS(1378),
    [sym__raw_string_literal_start] = ACTIONS(1378),
    [sym_float_literal] = ACTIONS(1378),
  },
  [384] = {
    [sym_line_comment] = STATE(384),
    [sym_block_comment] = STATE(384),
    [ts_builtin_sym_end] = ACTIONS(1382),
    [sym_identifier] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1382),
    [anon_sym_macro_rules_BANG] = ACTIONS(1382),
    [anon_sym_LPAREN] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [anon_sym_LBRACE] = ACTIONS(1382),
    [anon_sym_RBRACE] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_QMARK] = ACTIONS(1382),
    [anon_sym_u8] = ACTIONS(1384),
    [anon_sym_i8] = ACTIONS(1384),
    [anon_sym_u16] = ACTIONS(1384),
    [anon_sym_i16] = ACTIONS(1384),
    [anon_sym_u32] = ACTIONS(1384),
    [anon_sym_i32] = ACTIONS(1384),
    [anon_sym_u64] = ACTIONS(1384),
    [anon_sym_i64] = ACTIONS(1384),
    [anon_sym_u128] = ACTIONS(1384),
    [anon_sym_i128] = ACTIONS(1384),
    [anon_sym_isize] = ACTIONS(1384),
    [anon_sym_usize] = ACTIONS(1384),
    [anon_sym_f32] = ACTIONS(1384),
    [anon_sym_f64] = ACTIONS(1384),
    [anon_sym_bool] = ACTIONS(1384),
    [anon_sym_str] = ACTIONS(1384),
    [anon_sym_char] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_SLASH] = ACTIONS(1384),
    [anon_sym_PERCENT] = ACTIONS(1384),
    [anon_sym_CARET] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_AMP] = ACTIONS(1384),
    [anon_sym_PIPE] = ACTIONS(1384),
    [anon_sym_AMP_AMP] = ACTIONS(1382),
    [anon_sym_PIPE_PIPE] = ACTIONS(1382),
    [anon_sym_LT_LT] = ACTIONS(1384),
    [anon_sym_GT_GT] = ACTIONS(1384),
    [anon_sym_PLUS_EQ] = ACTIONS(1382),
    [anon_sym_DASH_EQ] = ACTIONS(1382),
    [anon_sym_STAR_EQ] = ACTIONS(1382),
    [anon_sym_SLASH_EQ] = ACTIONS(1382),
    [anon_sym_PERCENT_EQ] = ACTIONS(1382),
    [anon_sym_CARET_EQ] = ACTIONS(1382),
    [anon_sym_AMP_EQ] = ACTIONS(1382),
    [anon_sym_PIPE_EQ] = ACTIONS(1382),
    [anon_sym_LT_LT_EQ] = ACTIONS(1382),
    [anon_sym_GT_GT_EQ] = ACTIONS(1382),
    [anon_sym_EQ] = ACTIONS(1384),
    [anon_sym_EQ_EQ] = ACTIONS(1382),
    [anon_sym_BANG_EQ] = ACTIONS(1382),
    [anon_sym_GT] = ACTIONS(1384),
    [anon_sym_LT] = ACTIONS(1384),
    [anon_sym_GT_EQ] = ACTIONS(1382),
    [anon_sym_LT_EQ] = ACTIONS(1382),
    [anon_sym_DOT] = ACTIONS(1384),
    [anon_sym_DOT_DOT] = ACTIONS(1384),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1382),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1382),
    [anon_sym_COLON_COLON] = ACTIONS(1382),
    [anon_sym_POUND] = ACTIONS(1382),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [anon_sym_as] = ACTIONS(1384),
    [anon_sym_async] = ACTIONS(1384),
    [anon_sym_break] = ACTIONS(1384),
    [anon_sym_const] = ACTIONS(1384),
    [anon_sym_continue] = ACTIONS(1384),
    [anon_sym_default] = ACTIONS(1384),
    [anon_sym_enum] = ACTIONS(1384),
    [anon_sym_fn] = ACTIONS(1384),
    [anon_sym_for] = ACTIONS(1384),
    [anon_sym_if] = ACTIONS(1384),
    [anon_sym_impl] = ACTIONS(1384),
    [anon_sym_let] = ACTIONS(1384),
    [anon_sym_loop] = ACTIONS(1384),
    [anon_sym_match] = ACTIONS(1384),
    [anon_sym_mod] = ACTIONS(1384),
    [anon_sym_pub] = ACTIONS(1384),
    [anon_sym_return] = ACTIONS(1384),
    [anon_sym_static] = ACTIONS(1384),
    [anon_sym_struct] = ACTIONS(1384),
    [anon_sym_trait] = ACTIONS(1384),
    [anon_sym_type] = ACTIONS(1384),
    [anon_sym_union] = ACTIONS(1384),
    [anon_sym_unsafe] = ACTIONS(1384),
    [anon_sym_use] = ACTIONS(1384),
    [anon_sym_while] = ACTIONS(1384),
    [anon_sym_extern] = ACTIONS(1384),
    [anon_sym_yield] = ACTIONS(1384),
    [anon_sym_move] = ACTIONS(1384),
    [anon_sym_try] = ACTIONS(1384),
    [sym_integer_literal] = ACTIONS(1382),
    [aux_sym_string_literal_token1] = ACTIONS(1382),
    [sym_char_literal] = ACTIONS(1382),
    [anon_sym_true] = ACTIONS(1384),
    [anon_sym_false] = ACTIONS(1384),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1384),
    [sym_super] = ACTIONS(1384),
    [sym_crate] = ACTIONS(1384),
    [sym_metavariable] = ACTIONS(1382),
    [sym__raw_string_literal_start] = ACTIONS(1382),
    [sym_float_literal] = ACTIONS(1382),
  },
  [385] = {
    [sym_line_comment] = STATE(385),
    [sym_block_comment] = STATE(385),
    [ts_builtin_sym_end] = ACTIONS(1386),
    [sym_identifier] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1386),
    [anon_sym_macro_rules_BANG] = ACTIONS(1386),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_LBRACE] = ACTIONS(1386),
    [anon_sym_RBRACE] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1388),
    [anon_sym_QMARK] = ACTIONS(1386),
    [anon_sym_u8] = ACTIONS(1388),
    [anon_sym_i8] = ACTIONS(1388),
    [anon_sym_u16] = ACTIONS(1388),
    [anon_sym_i16] = ACTIONS(1388),
    [anon_sym_u32] = ACTIONS(1388),
    [anon_sym_i32] = ACTIONS(1388),
    [anon_sym_u64] = ACTIONS(1388),
    [anon_sym_i64] = ACTIONS(1388),
    [anon_sym_u128] = ACTIONS(1388),
    [anon_sym_i128] = ACTIONS(1388),
    [anon_sym_isize] = ACTIONS(1388),
    [anon_sym_usize] = ACTIONS(1388),
    [anon_sym_f32] = ACTIONS(1388),
    [anon_sym_f64] = ACTIONS(1388),
    [anon_sym_bool] = ACTIONS(1388),
    [anon_sym_str] = ACTIONS(1388),
    [anon_sym_char] = ACTIONS(1388),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_SLASH] = ACTIONS(1388),
    [anon_sym_PERCENT] = ACTIONS(1388),
    [anon_sym_CARET] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1388),
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_PIPE] = ACTIONS(1388),
    [anon_sym_AMP_AMP] = ACTIONS(1386),
    [anon_sym_PIPE_PIPE] = ACTIONS(1386),
    [anon_sym_LT_LT] = ACTIONS(1388),
    [anon_sym_GT_GT] = ACTIONS(1388),
    [anon_sym_PLUS_EQ] = ACTIONS(1386),
    [anon_sym_DASH_EQ] = ACTIONS(1386),
    [anon_sym_STAR_EQ] = ACTIONS(1386),
    [anon_sym_SLASH_EQ] = ACTIONS(1386),
    [anon_sym_PERCENT_EQ] = ACTIONS(1386),
    [anon_sym_CARET_EQ] = ACTIONS(1386),
    [anon_sym_AMP_EQ] = ACTIONS(1386),
    [anon_sym_PIPE_EQ] = ACTIONS(1386),
    [anon_sym_LT_LT_EQ] = ACTIONS(1386),
    [anon_sym_GT_GT_EQ] = ACTIONS(1386),
    [anon_sym_EQ] = ACTIONS(1388),
    [anon_sym_EQ_EQ] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1386),
    [anon_sym_GT] = ACTIONS(1388),
    [anon_sym_LT] = ACTIONS(1388),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym_DOT] = ACTIONS(1388),
    [anon_sym_DOT_DOT] = ACTIONS(1388),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1386),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1386),
    [anon_sym_COLON_COLON] = ACTIONS(1386),
    [anon_sym_POUND] = ACTIONS(1386),
    [anon_sym_SQUOTE] = ACTIONS(1388),
    [anon_sym_as] = ACTIONS(1388),
    [anon_sym_async] = ACTIONS(1388),
    [anon_sym_break] = ACTIONS(1388),
    [anon_sym_const] = ACTIONS(1388),
    [anon_sym_continue] = ACTIONS(1388),
    [anon_sym_default] = ACTIONS(1388),
    [anon_sym_enum] = ACTIONS(1388),
    [anon_sym_fn] = ACTIONS(1388),
    [anon_sym_for] = ACTIONS(1388),
    [anon_sym_if] = ACTIONS(1388),
    [anon_sym_impl] = ACTIONS(1388),
    [anon_sym_let] = ACTIONS(1388),
    [anon_sym_loop] = ACTIONS(1388),
    [anon_sym_match] = ACTIONS(1388),
    [anon_sym_mod] = ACTIONS(1388),
    [anon_sym_pub] = ACTIONS(1388),
    [anon_sym_return] = ACTIONS(1388),
    [anon_sym_static] = ACTIONS(1388),
    [anon_sym_struct] = ACTIONS(1388),
    [anon_sym_trait] = ACTIONS(1388),
    [anon_sym_type] = ACTIONS(1388),
    [anon_sym_union] = ACTIONS(1388),
    [anon_sym_unsafe] = ACTIONS(1388),
    [anon_sym_use] = ACTIONS(1388),
    [anon_sym_while] = ACTIONS(1388),
    [anon_sym_extern] = ACTIONS(1388),
    [anon_sym_yield] = ACTIONS(1388),
    [anon_sym_move] = ACTIONS(1388),
    [anon_sym_try] = ACTIONS(1388),
    [sym_integer_literal] = ACTIONS(1386),
    [aux_sym_string_literal_token1] = ACTIONS(1386),
    [sym_char_literal] = ACTIONS(1386),
    [anon_sym_true] = ACTIONS(1388),
    [anon_sym_false] = ACTIONS(1388),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1388),
    [sym_super] = ACTIONS(1388),
    [sym_crate] = ACTIONS(1388),
    [sym_metavariable] = ACTIONS(1386),
    [sym__raw_string_literal_start] = ACTIONS(1386),
    [sym_float_literal] = ACTIONS(1386),
  },
  [386] = {
    [sym_line_comment] = STATE(386),
    [sym_block_comment] = STATE(386),
    [ts_builtin_sym_end] = ACTIONS(1390),
    [sym_identifier] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1390),
    [anon_sym_macro_rules_BANG] = ACTIONS(1390),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [anon_sym_LBRACE] = ACTIONS(1390),
    [anon_sym_RBRACE] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1392),
    [anon_sym_QMARK] = ACTIONS(1390),
    [anon_sym_u8] = ACTIONS(1392),
    [anon_sym_i8] = ACTIONS(1392),
    [anon_sym_u16] = ACTIONS(1392),
    [anon_sym_i16] = ACTIONS(1392),
    [anon_sym_u32] = ACTIONS(1392),
    [anon_sym_i32] = ACTIONS(1392),
    [anon_sym_u64] = ACTIONS(1392),
    [anon_sym_i64] = ACTIONS(1392),
    [anon_sym_u128] = ACTIONS(1392),
    [anon_sym_i128] = ACTIONS(1392),
    [anon_sym_isize] = ACTIONS(1392),
    [anon_sym_usize] = ACTIONS(1392),
    [anon_sym_f32] = ACTIONS(1392),
    [anon_sym_f64] = ACTIONS(1392),
    [anon_sym_bool] = ACTIONS(1392),
    [anon_sym_str] = ACTIONS(1392),
    [anon_sym_char] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_SLASH] = ACTIONS(1392),
    [anon_sym_PERCENT] = ACTIONS(1392),
    [anon_sym_CARET] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_AMP] = ACTIONS(1392),
    [anon_sym_PIPE] = ACTIONS(1392),
    [anon_sym_AMP_AMP] = ACTIONS(1390),
    [anon_sym_PIPE_PIPE] = ACTIONS(1390),
    [anon_sym_LT_LT] = ACTIONS(1392),
    [anon_sym_GT_GT] = ACTIONS(1392),
    [anon_sym_PLUS_EQ] = ACTIONS(1390),
    [anon_sym_DASH_EQ] = ACTIONS(1390),
    [anon_sym_STAR_EQ] = ACTIONS(1390),
    [anon_sym_SLASH_EQ] = ACTIONS(1390),
    [anon_sym_PERCENT_EQ] = ACTIONS(1390),
    [anon_sym_CARET_EQ] = ACTIONS(1390),
    [anon_sym_AMP_EQ] = ACTIONS(1390),
    [anon_sym_PIPE_EQ] = ACTIONS(1390),
    [anon_sym_LT_LT_EQ] = ACTIONS(1390),
    [anon_sym_GT_GT_EQ] = ACTIONS(1390),
    [anon_sym_EQ] = ACTIONS(1392),
    [anon_sym_EQ_EQ] = ACTIONS(1390),
    [anon_sym_BANG_EQ] = ACTIONS(1390),
    [anon_sym_GT] = ACTIONS(1392),
    [anon_sym_LT] = ACTIONS(1392),
    [anon_sym_GT_EQ] = ACTIONS(1390),
    [anon_sym_LT_EQ] = ACTIONS(1390),
    [anon_sym_DOT] = ACTIONS(1392),
    [anon_sym_DOT_DOT] = ACTIONS(1392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1390),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1390),
    [anon_sym_COLON_COLON] = ACTIONS(1390),
    [anon_sym_POUND] = ACTIONS(1390),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [anon_sym_as] = ACTIONS(1392),
    [anon_sym_async] = ACTIONS(1392),
    [anon_sym_break] = ACTIONS(1392),
    [anon_sym_const] = ACTIONS(1392),
    [anon_sym_continue] = ACTIONS(1392),
    [anon_sym_default] = ACTIONS(1392),
    [anon_sym_enum] = ACTIONS(1392),
    [anon_sym_fn] = ACTIONS(1392),
    [anon_sym_for] = ACTIONS(1392),
    [anon_sym_if] = ACTIONS(1392),
    [anon_sym_impl] = ACTIONS(1392),
    [anon_sym_let] = ACTIONS(1392),
    [anon_sym_loop] = ACTIONS(1392),
    [anon_sym_match] = ACTIONS(1392),
    [anon_sym_mod] = ACTIONS(1392),
    [anon_sym_pub] = ACTIONS(1392),
    [anon_sym_return] = ACTIONS(1392),
    [anon_sym_static] = ACTIONS(1392),
    [anon_sym_struct] = ACTIONS(1392),
    [anon_sym_trait] = ACTIONS(1392),
    [anon_sym_type] = ACTIONS(1392),
    [anon_sym_union] = ACTIONS(1392),
    [anon_sym_unsafe] = ACTIONS(1392),
    [anon_sym_use] = ACTIONS(1392),
    [anon_sym_while] = ACTIONS(1392),
    [anon_sym_extern] = ACTIONS(1392),
    [anon_sym_yield] = ACTIONS(1392),
    [anon_sym_move] = ACTIONS(1392),
    [anon_sym_try] = ACTIONS(1392),
    [sym_integer_literal] = ACTIONS(1390),
    [aux_sym_string_literal_token1] = ACTIONS(1390),
    [sym_char_literal] = ACTIONS(1390),
    [anon_sym_true] = ACTIONS(1392),
    [anon_sym_false] = ACTIONS(1392),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1392),
    [sym_super] = ACTIONS(1392),
    [sym_crate] = ACTIONS(1392),
    [sym_metavariable] = ACTIONS(1390),
    [sym__raw_string_literal_start] = ACTIONS(1390),
    [sym_float_literal] = ACTIONS(1390),
  },
  [387] = {
    [sym_line_comment] = STATE(387),
    [sym_block_comment] = STATE(387),
    [ts_builtin_sym_end] = ACTIONS(1394),
    [sym_identifier] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1394),
    [anon_sym_macro_rules_BANG] = ACTIONS(1394),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1394),
    [anon_sym_RBRACE] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_STAR] = ACTIONS(1396),
    [anon_sym_QMARK] = ACTIONS(1394),
    [anon_sym_u8] = ACTIONS(1396),
    [anon_sym_i8] = ACTIONS(1396),
    [anon_sym_u16] = ACTIONS(1396),
    [anon_sym_i16] = ACTIONS(1396),
    [anon_sym_u32] = ACTIONS(1396),
    [anon_sym_i32] = ACTIONS(1396),
    [anon_sym_u64] = ACTIONS(1396),
    [anon_sym_i64] = ACTIONS(1396),
    [anon_sym_u128] = ACTIONS(1396),
    [anon_sym_i128] = ACTIONS(1396),
    [anon_sym_isize] = ACTIONS(1396),
    [anon_sym_usize] = ACTIONS(1396),
    [anon_sym_f32] = ACTIONS(1396),
    [anon_sym_f64] = ACTIONS(1396),
    [anon_sym_bool] = ACTIONS(1396),
    [anon_sym_str] = ACTIONS(1396),
    [anon_sym_char] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(1396),
    [anon_sym_PERCENT] = ACTIONS(1396),
    [anon_sym_CARET] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_AMP] = ACTIONS(1396),
    [anon_sym_PIPE] = ACTIONS(1396),
    [anon_sym_AMP_AMP] = ACTIONS(1394),
    [anon_sym_PIPE_PIPE] = ACTIONS(1394),
    [anon_sym_LT_LT] = ACTIONS(1396),
    [anon_sym_GT_GT] = ACTIONS(1396),
    [anon_sym_PLUS_EQ] = ACTIONS(1394),
    [anon_sym_DASH_EQ] = ACTIONS(1394),
    [anon_sym_STAR_EQ] = ACTIONS(1394),
    [anon_sym_SLASH_EQ] = ACTIONS(1394),
    [anon_sym_PERCENT_EQ] = ACTIONS(1394),
    [anon_sym_CARET_EQ] = ACTIONS(1394),
    [anon_sym_AMP_EQ] = ACTIONS(1394),
    [anon_sym_PIPE_EQ] = ACTIONS(1394),
    [anon_sym_LT_LT_EQ] = ACTIONS(1394),
    [anon_sym_GT_GT_EQ] = ACTIONS(1394),
    [anon_sym_EQ] = ACTIONS(1396),
    [anon_sym_EQ_EQ] = ACTIONS(1394),
    [anon_sym_BANG_EQ] = ACTIONS(1394),
    [anon_sym_GT] = ACTIONS(1396),
    [anon_sym_LT] = ACTIONS(1396),
    [anon_sym_GT_EQ] = ACTIONS(1394),
    [anon_sym_LT_EQ] = ACTIONS(1394),
    [anon_sym_DOT] = ACTIONS(1396),
    [anon_sym_DOT_DOT] = ACTIONS(1396),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1394),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1394),
    [anon_sym_COLON_COLON] = ACTIONS(1394),
    [anon_sym_POUND] = ACTIONS(1394),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_as] = ACTIONS(1396),
    [anon_sym_async] = ACTIONS(1396),
    [anon_sym_break] = ACTIONS(1396),
    [anon_sym_const] = ACTIONS(1396),
    [anon_sym_continue] = ACTIONS(1396),
    [anon_sym_default] = ACTIONS(1396),
    [anon_sym_enum] = ACTIONS(1396),
    [anon_sym_fn] = ACTIONS(1396),
    [anon_sym_for] = ACTIONS(1396),
    [anon_sym_if] = ACTIONS(1396),
    [anon_sym_impl] = ACTIONS(1396),
    [anon_sym_let] = ACTIONS(1396),
    [anon_sym_loop] = ACTIONS(1396),
    [anon_sym_match] = ACTIONS(1396),
    [anon_sym_mod] = ACTIONS(1396),
    [anon_sym_pub] = ACTIONS(1396),
    [anon_sym_return] = ACTIONS(1396),
    [anon_sym_static] = ACTIONS(1396),
    [anon_sym_struct] = ACTIONS(1396),
    [anon_sym_trait] = ACTIONS(1396),
    [anon_sym_type] = ACTIONS(1396),
    [anon_sym_union] = ACTIONS(1396),
    [anon_sym_unsafe] = ACTIONS(1396),
    [anon_sym_use] = ACTIONS(1396),
    [anon_sym_while] = ACTIONS(1396),
    [anon_sym_extern] = ACTIONS(1396),
    [anon_sym_yield] = ACTIONS(1396),
    [anon_sym_move] = ACTIONS(1396),
    [anon_sym_try] = ACTIONS(1396),
    [sym_integer_literal] = ACTIONS(1394),
    [aux_sym_string_literal_token1] = ACTIONS(1394),
    [sym_char_literal] = ACTIONS(1394),
    [anon_sym_true] = ACTIONS(1396),
    [anon_sym_false] = ACTIONS(1396),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1396),
    [sym_super] = ACTIONS(1396),
    [sym_crate] = ACTIONS(1396),
    [sym_metavariable] = ACTIONS(1394),
    [sym__raw_string_literal_start] = ACTIONS(1394),
    [sym_float_literal] = ACTIONS(1394),
  },
  [388] = {
    [sym_line_comment] = STATE(388),
    [sym_block_comment] = STATE(388),
    [ts_builtin_sym_end] = ACTIONS(1398),
    [sym_identifier] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1398),
    [anon_sym_macro_rules_BANG] = ACTIONS(1398),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1398),
    [anon_sym_RBRACE] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_QMARK] = ACTIONS(1398),
    [anon_sym_u8] = ACTIONS(1400),
    [anon_sym_i8] = ACTIONS(1400),
    [anon_sym_u16] = ACTIONS(1400),
    [anon_sym_i16] = ACTIONS(1400),
    [anon_sym_u32] = ACTIONS(1400),
    [anon_sym_i32] = ACTIONS(1400),
    [anon_sym_u64] = ACTIONS(1400),
    [anon_sym_i64] = ACTIONS(1400),
    [anon_sym_u128] = ACTIONS(1400),
    [anon_sym_i128] = ACTIONS(1400),
    [anon_sym_isize] = ACTIONS(1400),
    [anon_sym_usize] = ACTIONS(1400),
    [anon_sym_f32] = ACTIONS(1400),
    [anon_sym_f64] = ACTIONS(1400),
    [anon_sym_bool] = ACTIONS(1400),
    [anon_sym_str] = ACTIONS(1400),
    [anon_sym_char] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PERCENT] = ACTIONS(1400),
    [anon_sym_CARET] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_PIPE] = ACTIONS(1400),
    [anon_sym_AMP_AMP] = ACTIONS(1398),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1400),
    [anon_sym_GT_GT] = ACTIONS(1400),
    [anon_sym_PLUS_EQ] = ACTIONS(1398),
    [anon_sym_DASH_EQ] = ACTIONS(1398),
    [anon_sym_STAR_EQ] = ACTIONS(1398),
    [anon_sym_SLASH_EQ] = ACTIONS(1398),
    [anon_sym_PERCENT_EQ] = ACTIONS(1398),
    [anon_sym_CARET_EQ] = ACTIONS(1398),
    [anon_sym_AMP_EQ] = ACTIONS(1398),
    [anon_sym_PIPE_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT_EQ] = ACTIONS(1398),
    [anon_sym_GT_GT_EQ] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1400),
    [anon_sym_EQ_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_GT] = ACTIONS(1400),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym_DOT] = ACTIONS(1400),
    [anon_sym_DOT_DOT] = ACTIONS(1400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1398),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1398),
    [anon_sym_POUND] = ACTIONS(1398),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_as] = ACTIONS(1400),
    [anon_sym_async] = ACTIONS(1400),
    [anon_sym_break] = ACTIONS(1400),
    [anon_sym_const] = ACTIONS(1400),
    [anon_sym_continue] = ACTIONS(1400),
    [anon_sym_default] = ACTIONS(1400),
    [anon_sym_enum] = ACTIONS(1400),
    [anon_sym_fn] = ACTIONS(1400),
    [anon_sym_for] = ACTIONS(1400),
    [anon_sym_if] = ACTIONS(1400),
    [anon_sym_impl] = ACTIONS(1400),
    [anon_sym_let] = ACTIONS(1400),
    [anon_sym_loop] = ACTIONS(1400),
    [anon_sym_match] = ACTIONS(1400),
    [anon_sym_mod] = ACTIONS(1400),
    [anon_sym_pub] = ACTIONS(1400),
    [anon_sym_return] = ACTIONS(1400),
    [anon_sym_static] = ACTIONS(1400),
    [anon_sym_struct] = ACTIONS(1400),
    [anon_sym_trait] = ACTIONS(1400),
    [anon_sym_type] = ACTIONS(1400),
    [anon_sym_union] = ACTIONS(1400),
    [anon_sym_unsafe] = ACTIONS(1400),
    [anon_sym_use] = ACTIONS(1400),
    [anon_sym_while] = ACTIONS(1400),
    [anon_sym_extern] = ACTIONS(1400),
    [anon_sym_yield] = ACTIONS(1400),
    [anon_sym_move] = ACTIONS(1400),
    [anon_sym_try] = ACTIONS(1400),
    [sym_integer_literal] = ACTIONS(1398),
    [aux_sym_string_literal_token1] = ACTIONS(1398),
    [sym_char_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1400),
    [sym_super] = ACTIONS(1400),
    [sym_crate] = ACTIONS(1400),
    [sym_metavariable] = ACTIONS(1398),
    [sym__raw_string_literal_start] = ACTIONS(1398),
    [sym_float_literal] = ACTIONS(1398),
  },
  [389] = {
    [sym_line_comment] = STATE(389),
    [sym_block_comment] = STATE(389),
    [ts_builtin_sym_end] = ACTIONS(1402),
    [sym_identifier] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1402),
    [anon_sym_macro_rules_BANG] = ACTIONS(1402),
    [anon_sym_LPAREN] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1402),
    [anon_sym_RBRACE] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1404),
    [anon_sym_QMARK] = ACTIONS(1402),
    [anon_sym_u8] = ACTIONS(1404),
    [anon_sym_i8] = ACTIONS(1404),
    [anon_sym_u16] = ACTIONS(1404),
    [anon_sym_i16] = ACTIONS(1404),
    [anon_sym_u32] = ACTIONS(1404),
    [anon_sym_i32] = ACTIONS(1404),
    [anon_sym_u64] = ACTIONS(1404),
    [anon_sym_i64] = ACTIONS(1404),
    [anon_sym_u128] = ACTIONS(1404),
    [anon_sym_i128] = ACTIONS(1404),
    [anon_sym_isize] = ACTIONS(1404),
    [anon_sym_usize] = ACTIONS(1404),
    [anon_sym_f32] = ACTIONS(1404),
    [anon_sym_f64] = ACTIONS(1404),
    [anon_sym_bool] = ACTIONS(1404),
    [anon_sym_str] = ACTIONS(1404),
    [anon_sym_char] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1404),
    [anon_sym_SLASH] = ACTIONS(1404),
    [anon_sym_PERCENT] = ACTIONS(1404),
    [anon_sym_CARET] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_PIPE] = ACTIONS(1404),
    [anon_sym_AMP_AMP] = ACTIONS(1402),
    [anon_sym_PIPE_PIPE] = ACTIONS(1402),
    [anon_sym_LT_LT] = ACTIONS(1404),
    [anon_sym_GT_GT] = ACTIONS(1404),
    [anon_sym_PLUS_EQ] = ACTIONS(1402),
    [anon_sym_DASH_EQ] = ACTIONS(1402),
    [anon_sym_STAR_EQ] = ACTIONS(1402),
    [anon_sym_SLASH_EQ] = ACTIONS(1402),
    [anon_sym_PERCENT_EQ] = ACTIONS(1402),
    [anon_sym_CARET_EQ] = ACTIONS(1402),
    [anon_sym_AMP_EQ] = ACTIONS(1402),
    [anon_sym_PIPE_EQ] = ACTIONS(1402),
    [anon_sym_LT_LT_EQ] = ACTIONS(1402),
    [anon_sym_GT_GT_EQ] = ACTIONS(1402),
    [anon_sym_EQ] = ACTIONS(1404),
    [anon_sym_EQ_EQ] = ACTIONS(1402),
    [anon_sym_BANG_EQ] = ACTIONS(1402),
    [anon_sym_GT] = ACTIONS(1404),
    [anon_sym_LT] = ACTIONS(1404),
    [anon_sym_GT_EQ] = ACTIONS(1402),
    [anon_sym_LT_EQ] = ACTIONS(1402),
    [anon_sym_DOT] = ACTIONS(1404),
    [anon_sym_DOT_DOT] = ACTIONS(1404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1402),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1402),
    [anon_sym_COLON_COLON] = ACTIONS(1402),
    [anon_sym_POUND] = ACTIONS(1402),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_as] = ACTIONS(1404),
    [anon_sym_async] = ACTIONS(1404),
    [anon_sym_break] = ACTIONS(1404),
    [anon_sym_const] = ACTIONS(1404),
    [anon_sym_continue] = ACTIONS(1404),
    [anon_sym_default] = ACTIONS(1404),
    [anon_sym_enum] = ACTIONS(1404),
    [anon_sym_fn] = ACTIONS(1404),
    [anon_sym_for] = ACTIONS(1404),
    [anon_sym_if] = ACTIONS(1404),
    [anon_sym_impl] = ACTIONS(1404),
    [anon_sym_let] = ACTIONS(1404),
    [anon_sym_loop] = ACTIONS(1404),
    [anon_sym_match] = ACTIONS(1404),
    [anon_sym_mod] = ACTIONS(1404),
    [anon_sym_pub] = ACTIONS(1404),
    [anon_sym_return] = ACTIONS(1404),
    [anon_sym_static] = ACTIONS(1404),
    [anon_sym_struct] = ACTIONS(1404),
    [anon_sym_trait] = ACTIONS(1404),
    [anon_sym_type] = ACTIONS(1404),
    [anon_sym_union] = ACTIONS(1404),
    [anon_sym_unsafe] = ACTIONS(1404),
    [anon_sym_use] = ACTIONS(1404),
    [anon_sym_while] = ACTIONS(1404),
    [anon_sym_extern] = ACTIONS(1404),
    [anon_sym_yield] = ACTIONS(1404),
    [anon_sym_move] = ACTIONS(1404),
    [anon_sym_try] = ACTIONS(1404),
    [sym_integer_literal] = ACTIONS(1402),
    [aux_sym_string_literal_token1] = ACTIONS(1402),
    [sym_char_literal] = ACTIONS(1402),
    [anon_sym_true] = ACTIONS(1404),
    [anon_sym_false] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1404),
    [sym_super] = ACTIONS(1404),
    [sym_crate] = ACTIONS(1404),
    [sym_metavariable] = ACTIONS(1402),
    [sym__raw_string_literal_start] = ACTIONS(1402),
    [sym_float_literal] = ACTIONS(1402),
  },
  [390] = {
    [sym_attribute_item] = STATE(416),
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_self_parameter] = STATE(2751),
    [sym_variadic_parameter] = STATE(2751),
    [sym_parameter] = STATE(2751),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2526),
    [sym_bracketed_type] = STATE(3520),
    [sym_lifetime] = STATE(2985),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3198),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(2480),
    [sym_scoped_identifier] = STATE(2216),
    [sym_scoped_type_identifier] = STATE(2114),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(3268),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(390),
    [sym_block_comment] = STATE(390),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [anon_sym_RPAREN] = ACTIONS(1406),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1330),
    [anon_sym_i8] = ACTIONS(1330),
    [anon_sym_u16] = ACTIONS(1330),
    [anon_sym_i16] = ACTIONS(1330),
    [anon_sym_u32] = ACTIONS(1330),
    [anon_sym_i32] = ACTIONS(1330),
    [anon_sym_u64] = ACTIONS(1330),
    [anon_sym_i64] = ACTIONS(1330),
    [anon_sym_u128] = ACTIONS(1330),
    [anon_sym_i128] = ACTIONS(1330),
    [anon_sym_isize] = ACTIONS(1330),
    [anon_sym_usize] = ACTIONS(1330),
    [anon_sym_f32] = ACTIONS(1330),
    [anon_sym_f64] = ACTIONS(1330),
    [anon_sym_bool] = ACTIONS(1330),
    [anon_sym_str] = ACTIONS(1330),
    [anon_sym_char] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1408),
    [anon_sym_DOT_DOT] = ACTIONS(1272),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1274),
    [anon_sym_COMMA] = ACTIONS(1410),
    [anon_sym_COLON_COLON] = ACTIONS(1338),
    [anon_sym_POUND] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1342),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_ref] = ACTIONS(1300),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(1304),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1344),
    [sym_super] = ACTIONS(1346),
    [sym_crate] = ACTIONS(1346),
    [sym_metavariable] = ACTIONS(1348),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [391] = {
    [sym_line_comment] = STATE(391),
    [sym_block_comment] = STATE(391),
    [ts_builtin_sym_end] = ACTIONS(1412),
    [sym_identifier] = ACTIONS(1414),
    [anon_sym_SEMI] = ACTIONS(1412),
    [anon_sym_macro_rules_BANG] = ACTIONS(1412),
    [anon_sym_LPAREN] = ACTIONS(1412),
    [anon_sym_LBRACK] = ACTIONS(1412),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_RBRACE] = ACTIONS(1412),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1414),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_u8] = ACTIONS(1414),
    [anon_sym_i8] = ACTIONS(1414),
    [anon_sym_u16] = ACTIONS(1414),
    [anon_sym_i16] = ACTIONS(1414),
    [anon_sym_u32] = ACTIONS(1414),
    [anon_sym_i32] = ACTIONS(1414),
    [anon_sym_u64] = ACTIONS(1414),
    [anon_sym_i64] = ACTIONS(1414),
    [anon_sym_u128] = ACTIONS(1414),
    [anon_sym_i128] = ACTIONS(1414),
    [anon_sym_isize] = ACTIONS(1414),
    [anon_sym_usize] = ACTIONS(1414),
    [anon_sym_f32] = ACTIONS(1414),
    [anon_sym_f64] = ACTIONS(1414),
    [anon_sym_bool] = ACTIONS(1414),
    [anon_sym_str] = ACTIONS(1414),
    [anon_sym_char] = ACTIONS(1414),
    [anon_sym_DASH] = ACTIONS(1414),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_PERCENT] = ACTIONS(1416),
    [anon_sym_CARET] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1414),
    [anon_sym_AMP] = ACTIONS(1414),
    [anon_sym_PIPE] = ACTIONS(1414),
    [anon_sym_AMP_AMP] = ACTIONS(1418),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1416),
    [anon_sym_GT_GT] = ACTIONS(1416),
    [anon_sym_PLUS_EQ] = ACTIONS(1418),
    [anon_sym_DASH_EQ] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1418),
    [anon_sym_SLASH_EQ] = ACTIONS(1418),
    [anon_sym_PERCENT_EQ] = ACTIONS(1418),
    [anon_sym_CARET_EQ] = ACTIONS(1418),
    [anon_sym_AMP_EQ] = ACTIONS(1418),
    [anon_sym_PIPE_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT_EQ] = ACTIONS(1418),
    [anon_sym_GT_GT_EQ] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_EQ_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_GT] = ACTIONS(1416),
    [anon_sym_LT] = ACTIONS(1414),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_DOT] = ACTIONS(1416),
    [anon_sym_DOT_DOT] = ACTIONS(1414),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1418),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(1412),
    [anon_sym_POUND] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1414),
    [anon_sym_as] = ACTIONS(1416),
    [anon_sym_async] = ACTIONS(1414),
    [anon_sym_break] = ACTIONS(1414),
    [anon_sym_const] = ACTIONS(1414),
    [anon_sym_continue] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_enum] = ACTIONS(1414),
    [anon_sym_fn] = ACTIONS(1414),
    [anon_sym_for] = ACTIONS(1414),
    [anon_sym_if] = ACTIONS(1414),
    [anon_sym_impl] = ACTIONS(1414),
    [anon_sym_let] = ACTIONS(1414),
    [anon_sym_loop] = ACTIONS(1414),
    [anon_sym_match] = ACTIONS(1414),
    [anon_sym_mod] = ACTIONS(1414),
    [anon_sym_pub] = ACTIONS(1414),
    [anon_sym_return] = ACTIONS(1414),
    [anon_sym_static] = ACTIONS(1414),
    [anon_sym_struct] = ACTIONS(1414),
    [anon_sym_trait] = ACTIONS(1414),
    [anon_sym_type] = ACTIONS(1414),
    [anon_sym_union] = ACTIONS(1414),
    [anon_sym_unsafe] = ACTIONS(1414),
    [anon_sym_use] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(1414),
    [anon_sym_extern] = ACTIONS(1414),
    [anon_sym_yield] = ACTIONS(1414),
    [anon_sym_move] = ACTIONS(1414),
    [anon_sym_try] = ACTIONS(1414),
    [sym_integer_literal] = ACTIONS(1412),
    [aux_sym_string_literal_token1] = ACTIONS(1412),
    [sym_char_literal] = ACTIONS(1412),
    [anon_sym_true] = ACTIONS(1414),
    [anon_sym_false] = ACTIONS(1414),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1414),
    [sym_super] = ACTIONS(1414),
    [sym_crate] = ACTIONS(1414),
    [sym_metavariable] = ACTIONS(1412),
    [sym__raw_string_literal_start] = ACTIONS(1412),
    [sym_float_literal] = ACTIONS(1412),
  },
  [392] = {
    [sym_line_comment] = STATE(392),
    [sym_block_comment] = STATE(392),
    [ts_builtin_sym_end] = ACTIONS(1420),
    [sym_identifier] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1420),
    [anon_sym_macro_rules_BANG] = ACTIONS(1420),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_QMARK] = ACTIONS(1420),
    [anon_sym_u8] = ACTIONS(1422),
    [anon_sym_i8] = ACTIONS(1422),
    [anon_sym_u16] = ACTIONS(1422),
    [anon_sym_i16] = ACTIONS(1422),
    [anon_sym_u32] = ACTIONS(1422),
    [anon_sym_i32] = ACTIONS(1422),
    [anon_sym_u64] = ACTIONS(1422),
    [anon_sym_i64] = ACTIONS(1422),
    [anon_sym_u128] = ACTIONS(1422),
    [anon_sym_i128] = ACTIONS(1422),
    [anon_sym_isize] = ACTIONS(1422),
    [anon_sym_usize] = ACTIONS(1422),
    [anon_sym_f32] = ACTIONS(1422),
    [anon_sym_f64] = ACTIONS(1422),
    [anon_sym_bool] = ACTIONS(1422),
    [anon_sym_str] = ACTIONS(1422),
    [anon_sym_char] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_SLASH] = ACTIONS(1422),
    [anon_sym_PERCENT] = ACTIONS(1422),
    [anon_sym_CARET] = ACTIONS(1422),
    [anon_sym_BANG] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1420),
    [anon_sym_LT_LT] = ACTIONS(1422),
    [anon_sym_GT_GT] = ACTIONS(1422),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1422),
    [anon_sym_EQ_EQ] = ACTIONS(1420),
    [anon_sym_BANG_EQ] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1422),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_GT_EQ] = ACTIONS(1420),
    [anon_sym_LT_EQ] = ACTIONS(1420),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_DOT_DOT] = ACTIONS(1422),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1420),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1420),
    [anon_sym_COLON_COLON] = ACTIONS(1420),
    [anon_sym_POUND] = ACTIONS(1420),
    [anon_sym_SQUOTE] = ACTIONS(1422),
    [anon_sym_as] = ACTIONS(1422),
    [anon_sym_async] = ACTIONS(1422),
    [anon_sym_break] = ACTIONS(1422),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_continue] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_enum] = ACTIONS(1422),
    [anon_sym_fn] = ACTIONS(1422),
    [anon_sym_for] = ACTIONS(1422),
    [anon_sym_if] = ACTIONS(1422),
    [anon_sym_impl] = ACTIONS(1422),
    [anon_sym_let] = ACTIONS(1422),
    [anon_sym_loop] = ACTIONS(1422),
    [anon_sym_match] = ACTIONS(1422),
    [anon_sym_mod] = ACTIONS(1422),
    [anon_sym_pub] = ACTIONS(1422),
    [anon_sym_return] = ACTIONS(1422),
    [anon_sym_static] = ACTIONS(1422),
    [anon_sym_struct] = ACTIONS(1422),
    [anon_sym_trait] = ACTIONS(1422),
    [anon_sym_type] = ACTIONS(1422),
    [anon_sym_union] = ACTIONS(1422),
    [anon_sym_unsafe] = ACTIONS(1422),
    [anon_sym_use] = ACTIONS(1422),
    [anon_sym_while] = ACTIONS(1422),
    [anon_sym_extern] = ACTIONS(1422),
    [anon_sym_yield] = ACTIONS(1422),
    [anon_sym_move] = ACTIONS(1422),
    [anon_sym_try] = ACTIONS(1422),
    [sym_integer_literal] = ACTIONS(1420),
    [aux_sym_string_literal_token1] = ACTIONS(1420),
    [sym_char_literal] = ACTIONS(1420),
    [anon_sym_true] = ACTIONS(1422),
    [anon_sym_false] = ACTIONS(1422),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1422),
    [sym_super] = ACTIONS(1422),
    [sym_crate] = ACTIONS(1422),
    [sym_metavariable] = ACTIONS(1420),
    [sym__raw_string_literal_start] = ACTIONS(1420),
    [sym_float_literal] = ACTIONS(1420),
  },
  [393] = {
    [sym_line_comment] = STATE(393),
    [sym_block_comment] = STATE(393),
    [ts_builtin_sym_end] = ACTIONS(1424),
    [sym_identifier] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1424),
    [anon_sym_macro_rules_BANG] = ACTIONS(1424),
    [anon_sym_LPAREN] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1424),
    [anon_sym_RBRACE] = ACTIONS(1424),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_QMARK] = ACTIONS(1424),
    [anon_sym_u8] = ACTIONS(1426),
    [anon_sym_i8] = ACTIONS(1426),
    [anon_sym_u16] = ACTIONS(1426),
    [anon_sym_i16] = ACTIONS(1426),
    [anon_sym_u32] = ACTIONS(1426),
    [anon_sym_i32] = ACTIONS(1426),
    [anon_sym_u64] = ACTIONS(1426),
    [anon_sym_i64] = ACTIONS(1426),
    [anon_sym_u128] = ACTIONS(1426),
    [anon_sym_i128] = ACTIONS(1426),
    [anon_sym_isize] = ACTIONS(1426),
    [anon_sym_usize] = ACTIONS(1426),
    [anon_sym_f32] = ACTIONS(1426),
    [anon_sym_f64] = ACTIONS(1426),
    [anon_sym_bool] = ACTIONS(1426),
    [anon_sym_str] = ACTIONS(1426),
    [anon_sym_char] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_SLASH] = ACTIONS(1426),
    [anon_sym_PERCENT] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_BANG] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1426),
    [anon_sym_AMP_AMP] = ACTIONS(1424),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1426),
    [anon_sym_GT_GT] = ACTIONS(1426),
    [anon_sym_PLUS_EQ] = ACTIONS(1424),
    [anon_sym_DASH_EQ] = ACTIONS(1424),
    [anon_sym_STAR_EQ] = ACTIONS(1424),
    [anon_sym_SLASH_EQ] = ACTIONS(1424),
    [anon_sym_PERCENT_EQ] = ACTIONS(1424),
    [anon_sym_CARET_EQ] = ACTIONS(1424),
    [anon_sym_AMP_EQ] = ACTIONS(1424),
    [anon_sym_PIPE_EQ] = ACTIONS(1424),
    [anon_sym_LT_LT_EQ] = ACTIONS(1424),
    [anon_sym_GT_GT_EQ] = ACTIONS(1424),
    [anon_sym_EQ] = ACTIONS(1426),
    [anon_sym_EQ_EQ] = ACTIONS(1424),
    [anon_sym_BANG_EQ] = ACTIONS(1424),
    [anon_sym_GT] = ACTIONS(1426),
    [anon_sym_LT] = ACTIONS(1426),
    [anon_sym_GT_EQ] = ACTIONS(1424),
    [anon_sym_LT_EQ] = ACTIONS(1424),
    [anon_sym_DOT] = ACTIONS(1426),
    [anon_sym_DOT_DOT] = ACTIONS(1426),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1424),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1424),
    [anon_sym_COLON_COLON] = ACTIONS(1424),
    [anon_sym_POUND] = ACTIONS(1424),
    [anon_sym_SQUOTE] = ACTIONS(1426),
    [anon_sym_as] = ACTIONS(1426),
    [anon_sym_async] = ACTIONS(1426),
    [anon_sym_break] = ACTIONS(1426),
    [anon_sym_const] = ACTIONS(1426),
    [anon_sym_continue] = ACTIONS(1426),
    [anon_sym_default] = ACTIONS(1426),
    [anon_sym_enum] = ACTIONS(1426),
    [anon_sym_fn] = ACTIONS(1426),
    [anon_sym_for] = ACTIONS(1426),
    [anon_sym_if] = ACTIONS(1426),
    [anon_sym_impl] = ACTIONS(1426),
    [anon_sym_let] = ACTIONS(1426),
    [anon_sym_loop] = ACTIONS(1426),
    [anon_sym_match] = ACTIONS(1426),
    [anon_sym_mod] = ACTIONS(1426),
    [anon_sym_pub] = ACTIONS(1426),
    [anon_sym_return] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(1426),
    [anon_sym_struct] = ACTIONS(1426),
    [anon_sym_trait] = ACTIONS(1426),
    [anon_sym_type] = ACTIONS(1426),
    [anon_sym_union] = ACTIONS(1426),
    [anon_sym_unsafe] = ACTIONS(1426),
    [anon_sym_use] = ACTIONS(1426),
    [anon_sym_while] = ACTIONS(1426),
    [anon_sym_extern] = ACTIONS(1426),
    [anon_sym_yield] = ACTIONS(1426),
    [anon_sym_move] = ACTIONS(1426),
    [anon_sym_try] = ACTIONS(1426),
    [sym_integer_literal] = ACTIONS(1424),
    [aux_sym_string_literal_token1] = ACTIONS(1424),
    [sym_char_literal] = ACTIONS(1424),
    [anon_sym_true] = ACTIONS(1426),
    [anon_sym_false] = ACTIONS(1426),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1426),
    [sym_super] = ACTIONS(1426),
    [sym_crate] = ACTIONS(1426),
    [sym_metavariable] = ACTIONS(1424),
    [sym__raw_string_literal_start] = ACTIONS(1424),
    [sym_float_literal] = ACTIONS(1424),
  },
  [394] = {
    [sym_line_comment] = STATE(394),
    [sym_block_comment] = STATE(394),
    [ts_builtin_sym_end] = ACTIONS(1428),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1428),
    [anon_sym_macro_rules_BANG] = ACTIONS(1428),
    [anon_sym_LPAREN] = ACTIONS(1428),
    [anon_sym_LBRACK] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1428),
    [anon_sym_RBRACE] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_QMARK] = ACTIONS(1428),
    [anon_sym_u8] = ACTIONS(1430),
    [anon_sym_i8] = ACTIONS(1430),
    [anon_sym_u16] = ACTIONS(1430),
    [anon_sym_i16] = ACTIONS(1430),
    [anon_sym_u32] = ACTIONS(1430),
    [anon_sym_i32] = ACTIONS(1430),
    [anon_sym_u64] = ACTIONS(1430),
    [anon_sym_i64] = ACTIONS(1430),
    [anon_sym_u128] = ACTIONS(1430),
    [anon_sym_i128] = ACTIONS(1430),
    [anon_sym_isize] = ACTIONS(1430),
    [anon_sym_usize] = ACTIONS(1430),
    [anon_sym_f32] = ACTIONS(1430),
    [anon_sym_f64] = ACTIONS(1430),
    [anon_sym_bool] = ACTIONS(1430),
    [anon_sym_str] = ACTIONS(1430),
    [anon_sym_char] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_PERCENT] = ACTIONS(1430),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_AMP_AMP] = ACTIONS(1428),
    [anon_sym_PIPE_PIPE] = ACTIONS(1428),
    [anon_sym_LT_LT] = ACTIONS(1430),
    [anon_sym_GT_GT] = ACTIONS(1430),
    [anon_sym_PLUS_EQ] = ACTIONS(1428),
    [anon_sym_DASH_EQ] = ACTIONS(1428),
    [anon_sym_STAR_EQ] = ACTIONS(1428),
    [anon_sym_SLASH_EQ] = ACTIONS(1428),
    [anon_sym_PERCENT_EQ] = ACTIONS(1428),
    [anon_sym_CARET_EQ] = ACTIONS(1428),
    [anon_sym_AMP_EQ] = ACTIONS(1428),
    [anon_sym_PIPE_EQ] = ACTIONS(1428),
    [anon_sym_LT_LT_EQ] = ACTIONS(1428),
    [anon_sym_GT_GT_EQ] = ACTIONS(1428),
    [anon_sym_EQ] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1428),
    [anon_sym_BANG_EQ] = ACTIONS(1428),
    [anon_sym_GT] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1430),
    [anon_sym_GT_EQ] = ACTIONS(1428),
    [anon_sym_LT_EQ] = ACTIONS(1428),
    [anon_sym_DOT] = ACTIONS(1430),
    [anon_sym_DOT_DOT] = ACTIONS(1430),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1428),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1428),
    [anon_sym_COLON_COLON] = ACTIONS(1428),
    [anon_sym_POUND] = ACTIONS(1428),
    [anon_sym_SQUOTE] = ACTIONS(1430),
    [anon_sym_as] = ACTIONS(1430),
    [anon_sym_async] = ACTIONS(1430),
    [anon_sym_break] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1430),
    [anon_sym_continue] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_enum] = ACTIONS(1430),
    [anon_sym_fn] = ACTIONS(1430),
    [anon_sym_for] = ACTIONS(1430),
    [anon_sym_if] = ACTIONS(1430),
    [anon_sym_impl] = ACTIONS(1430),
    [anon_sym_let] = ACTIONS(1430),
    [anon_sym_loop] = ACTIONS(1430),
    [anon_sym_match] = ACTIONS(1430),
    [anon_sym_mod] = ACTIONS(1430),
    [anon_sym_pub] = ACTIONS(1430),
    [anon_sym_return] = ACTIONS(1430),
    [anon_sym_static] = ACTIONS(1430),
    [anon_sym_struct] = ACTIONS(1430),
    [anon_sym_trait] = ACTIONS(1430),
    [anon_sym_type] = ACTIONS(1430),
    [anon_sym_union] = ACTIONS(1430),
    [anon_sym_unsafe] = ACTIONS(1430),
    [anon_sym_use] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1430),
    [anon_sym_extern] = ACTIONS(1430),
    [anon_sym_yield] = ACTIONS(1430),
    [anon_sym_move] = ACTIONS(1430),
    [anon_sym_try] = ACTIONS(1430),
    [sym_integer_literal] = ACTIONS(1428),
    [aux_sym_string_literal_token1] = ACTIONS(1428),
    [sym_char_literal] = ACTIONS(1428),
    [anon_sym_true] = ACTIONS(1430),
    [anon_sym_false] = ACTIONS(1430),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1430),
    [sym_super] = ACTIONS(1430),
    [sym_crate] = ACTIONS(1430),
    [sym_metavariable] = ACTIONS(1428),
    [sym__raw_string_literal_start] = ACTIONS(1428),
    [sym_float_literal] = ACTIONS(1428),
  },
  [395] = {
    [sym_line_comment] = STATE(395),
    [sym_block_comment] = STATE(395),
    [ts_builtin_sym_end] = ACTIONS(1432),
    [sym_identifier] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1418),
    [anon_sym_macro_rules_BANG] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [anon_sym_RBRACE] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_u8] = ACTIONS(1434),
    [anon_sym_i8] = ACTIONS(1434),
    [anon_sym_u16] = ACTIONS(1434),
    [anon_sym_i16] = ACTIONS(1434),
    [anon_sym_u32] = ACTIONS(1434),
    [anon_sym_i32] = ACTIONS(1434),
    [anon_sym_u64] = ACTIONS(1434),
    [anon_sym_i64] = ACTIONS(1434),
    [anon_sym_u128] = ACTIONS(1434),
    [anon_sym_i128] = ACTIONS(1434),
    [anon_sym_isize] = ACTIONS(1434),
    [anon_sym_usize] = ACTIONS(1434),
    [anon_sym_f32] = ACTIONS(1434),
    [anon_sym_f64] = ACTIONS(1434),
    [anon_sym_bool] = ACTIONS(1434),
    [anon_sym_str] = ACTIONS(1434),
    [anon_sym_char] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_PERCENT] = ACTIONS(1416),
    [anon_sym_CARET] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1416),
    [anon_sym_PIPE] = ACTIONS(1416),
    [anon_sym_AMP_AMP] = ACTIONS(1418),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1416),
    [anon_sym_GT_GT] = ACTIONS(1416),
    [anon_sym_PLUS_EQ] = ACTIONS(1418),
    [anon_sym_DASH_EQ] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1418),
    [anon_sym_SLASH_EQ] = ACTIONS(1418),
    [anon_sym_PERCENT_EQ] = ACTIONS(1418),
    [anon_sym_CARET_EQ] = ACTIONS(1418),
    [anon_sym_AMP_EQ] = ACTIONS(1418),
    [anon_sym_PIPE_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT_EQ] = ACTIONS(1418),
    [anon_sym_GT_GT_EQ] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_EQ_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_GT] = ACTIONS(1416),
    [anon_sym_LT] = ACTIONS(1416),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_DOT] = ACTIONS(1416),
    [anon_sym_DOT_DOT] = ACTIONS(1416),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1418),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(1432),
    [anon_sym_POUND] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [anon_sym_as] = ACTIONS(1416),
    [anon_sym_async] = ACTIONS(1434),
    [anon_sym_break] = ACTIONS(1434),
    [anon_sym_const] = ACTIONS(1434),
    [anon_sym_continue] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_enum] = ACTIONS(1434),
    [anon_sym_fn] = ACTIONS(1434),
    [anon_sym_for] = ACTIONS(1434),
    [anon_sym_if] = ACTIONS(1434),
    [anon_sym_impl] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_loop] = ACTIONS(1434),
    [anon_sym_match] = ACTIONS(1434),
    [anon_sym_mod] = ACTIONS(1434),
    [anon_sym_pub] = ACTIONS(1434),
    [anon_sym_return] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_struct] = ACTIONS(1434),
    [anon_sym_trait] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_union] = ACTIONS(1434),
    [anon_sym_unsafe] = ACTIONS(1434),
    [anon_sym_use] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(1434),
    [anon_sym_extern] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1434),
    [anon_sym_move] = ACTIONS(1434),
    [anon_sym_try] = ACTIONS(1434),
    [sym_integer_literal] = ACTIONS(1432),
    [aux_sym_string_literal_token1] = ACTIONS(1432),
    [sym_char_literal] = ACTIONS(1432),
    [anon_sym_true] = ACTIONS(1434),
    [anon_sym_false] = ACTIONS(1434),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1434),
    [sym_super] = ACTIONS(1434),
    [sym_crate] = ACTIONS(1434),
    [sym_metavariable] = ACTIONS(1432),
    [sym__raw_string_literal_start] = ACTIONS(1432),
    [sym_float_literal] = ACTIONS(1432),
  },
  [396] = {
    [sym_attribute_item] = STATE(414),
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_self_parameter] = STATE(2981),
    [sym_variadic_parameter] = STATE(2981),
    [sym_parameter] = STATE(2981),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2705),
    [sym_bracketed_type] = STATE(3520),
    [sym_lifetime] = STATE(2985),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3198),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(2480),
    [sym_scoped_identifier] = STATE(2216),
    [sym_scoped_type_identifier] = STATE(2114),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(3268),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(396),
    [sym_block_comment] = STATE(396),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [anon_sym_RPAREN] = ACTIONS(1436),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1330),
    [anon_sym_i8] = ACTIONS(1330),
    [anon_sym_u16] = ACTIONS(1330),
    [anon_sym_i16] = ACTIONS(1330),
    [anon_sym_u32] = ACTIONS(1330),
    [anon_sym_i32] = ACTIONS(1330),
    [anon_sym_u64] = ACTIONS(1330),
    [anon_sym_i64] = ACTIONS(1330),
    [anon_sym_u128] = ACTIONS(1330),
    [anon_sym_i128] = ACTIONS(1330),
    [anon_sym_isize] = ACTIONS(1330),
    [anon_sym_usize] = ACTIONS(1330),
    [anon_sym_f32] = ACTIONS(1330),
    [anon_sym_f64] = ACTIONS(1330),
    [anon_sym_bool] = ACTIONS(1330),
    [anon_sym_str] = ACTIONS(1330),
    [anon_sym_char] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1438),
    [anon_sym_DOT_DOT] = ACTIONS(1272),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1274),
    [anon_sym_COMMA] = ACTIONS(1440),
    [anon_sym_COLON_COLON] = ACTIONS(1338),
    [anon_sym_POUND] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1342),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_ref] = ACTIONS(1300),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(1304),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1344),
    [sym_super] = ACTIONS(1346),
    [sym_crate] = ACTIONS(1346),
    [sym_metavariable] = ACTIONS(1348),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [397] = {
    [sym_line_comment] = STATE(397),
    [sym_block_comment] = STATE(397),
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym_identifier] = ACTIONS(1444),
    [anon_sym_SEMI] = ACTIONS(1442),
    [anon_sym_macro_rules_BANG] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_RBRACE] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1444),
    [anon_sym_QMARK] = ACTIONS(1442),
    [anon_sym_u8] = ACTIONS(1444),
    [anon_sym_i8] = ACTIONS(1444),
    [anon_sym_u16] = ACTIONS(1444),
    [anon_sym_i16] = ACTIONS(1444),
    [anon_sym_u32] = ACTIONS(1444),
    [anon_sym_i32] = ACTIONS(1444),
    [anon_sym_u64] = ACTIONS(1444),
    [anon_sym_i64] = ACTIONS(1444),
    [anon_sym_u128] = ACTIONS(1444),
    [anon_sym_i128] = ACTIONS(1444),
    [anon_sym_isize] = ACTIONS(1444),
    [anon_sym_usize] = ACTIONS(1444),
    [anon_sym_f32] = ACTIONS(1444),
    [anon_sym_f64] = ACTIONS(1444),
    [anon_sym_bool] = ACTIONS(1444),
    [anon_sym_str] = ACTIONS(1444),
    [anon_sym_char] = ACTIONS(1444),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_SLASH] = ACTIONS(1444),
    [anon_sym_PERCENT] = ACTIONS(1444),
    [anon_sym_CARET] = ACTIONS(1444),
    [anon_sym_BANG] = ACTIONS(1444),
    [anon_sym_AMP] = ACTIONS(1444),
    [anon_sym_PIPE] = ACTIONS(1444),
    [anon_sym_AMP_AMP] = ACTIONS(1442),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1444),
    [anon_sym_GT_GT] = ACTIONS(1444),
    [anon_sym_PLUS_EQ] = ACTIONS(1442),
    [anon_sym_DASH_EQ] = ACTIONS(1442),
    [anon_sym_STAR_EQ] = ACTIONS(1442),
    [anon_sym_SLASH_EQ] = ACTIONS(1442),
    [anon_sym_PERCENT_EQ] = ACTIONS(1442),
    [anon_sym_CARET_EQ] = ACTIONS(1442),
    [anon_sym_AMP_EQ] = ACTIONS(1442),
    [anon_sym_PIPE_EQ] = ACTIONS(1442),
    [anon_sym_LT_LT_EQ] = ACTIONS(1442),
    [anon_sym_GT_GT_EQ] = ACTIONS(1442),
    [anon_sym_EQ] = ACTIONS(1444),
    [anon_sym_EQ_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_GT] = ACTIONS(1444),
    [anon_sym_LT] = ACTIONS(1444),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_DOT] = ACTIONS(1444),
    [anon_sym_DOT_DOT] = ACTIONS(1444),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1442),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1442),
    [anon_sym_COLON_COLON] = ACTIONS(1442),
    [anon_sym_POUND] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1444),
    [anon_sym_as] = ACTIONS(1444),
    [anon_sym_async] = ACTIONS(1444),
    [anon_sym_break] = ACTIONS(1444),
    [anon_sym_const] = ACTIONS(1444),
    [anon_sym_continue] = ACTIONS(1444),
    [anon_sym_default] = ACTIONS(1444),
    [anon_sym_enum] = ACTIONS(1444),
    [anon_sym_fn] = ACTIONS(1444),
    [anon_sym_for] = ACTIONS(1444),
    [anon_sym_if] = ACTIONS(1444),
    [anon_sym_impl] = ACTIONS(1444),
    [anon_sym_let] = ACTIONS(1444),
    [anon_sym_loop] = ACTIONS(1444),
    [anon_sym_match] = ACTIONS(1444),
    [anon_sym_mod] = ACTIONS(1444),
    [anon_sym_pub] = ACTIONS(1444),
    [anon_sym_return] = ACTIONS(1444),
    [anon_sym_static] = ACTIONS(1444),
    [anon_sym_struct] = ACTIONS(1444),
    [anon_sym_trait] = ACTIONS(1444),
    [anon_sym_type] = ACTIONS(1444),
    [anon_sym_union] = ACTIONS(1444),
    [anon_sym_unsafe] = ACTIONS(1444),
    [anon_sym_use] = ACTIONS(1444),
    [anon_sym_while] = ACTIONS(1444),
    [anon_sym_extern] = ACTIONS(1444),
    [anon_sym_yield] = ACTIONS(1444),
    [anon_sym_move] = ACTIONS(1444),
    [anon_sym_try] = ACTIONS(1444),
    [sym_integer_literal] = ACTIONS(1442),
    [aux_sym_string_literal_token1] = ACTIONS(1442),
    [sym_char_literal] = ACTIONS(1442),
    [anon_sym_true] = ACTIONS(1444),
    [anon_sym_false] = ACTIONS(1444),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1444),
    [sym_super] = ACTIONS(1444),
    [sym_crate] = ACTIONS(1444),
    [sym_metavariable] = ACTIONS(1442),
    [sym__raw_string_literal_start] = ACTIONS(1442),
    [sym_float_literal] = ACTIONS(1442),
  },
  [398] = {
    [sym_attribute_item] = STATE(414),
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_self_parameter] = STATE(2981),
    [sym_variadic_parameter] = STATE(2981),
    [sym_parameter] = STATE(2981),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2705),
    [sym_bracketed_type] = STATE(3527),
    [sym_lifetime] = STATE(2985),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3273),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(2487),
    [sym_scoped_identifier] = STATE(2113),
    [sym_scoped_type_identifier] = STATE(2114),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2464),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(398),
    [sym_block_comment] = STATE(398),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1248),
    [anon_sym_LPAREN] = ACTIONS(1250),
    [anon_sym_RPAREN] = ACTIONS(1446),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1260),
    [anon_sym_i8] = ACTIONS(1260),
    [anon_sym_u16] = ACTIONS(1260),
    [anon_sym_i16] = ACTIONS(1260),
    [anon_sym_u32] = ACTIONS(1260),
    [anon_sym_i32] = ACTIONS(1260),
    [anon_sym_u64] = ACTIONS(1260),
    [anon_sym_i64] = ACTIONS(1260),
    [anon_sym_u128] = ACTIONS(1260),
    [anon_sym_i128] = ACTIONS(1260),
    [anon_sym_isize] = ACTIONS(1260),
    [anon_sym_usize] = ACTIONS(1260),
    [anon_sym_f32] = ACTIONS(1260),
    [anon_sym_f64] = ACTIONS(1260),
    [anon_sym_bool] = ACTIONS(1260),
    [anon_sym_str] = ACTIONS(1260),
    [anon_sym_char] = ACTIONS(1260),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1266),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1270),
    [anon_sym_DOT_DOT] = ACTIONS(1272),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1274),
    [anon_sym_COMMA] = ACTIONS(1448),
    [anon_sym_COLON_COLON] = ACTIONS(1278),
    [anon_sym_POUND] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1288),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1296),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_ref] = ACTIONS(1300),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(1304),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1312),
    [sym_super] = ACTIONS(1314),
    [sym_crate] = ACTIONS(1314),
    [sym_metavariable] = ACTIONS(1316),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [399] = {
    [sym_line_comment] = STATE(399),
    [sym_block_comment] = STATE(399),
    [ts_builtin_sym_end] = ACTIONS(1450),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_SEMI] = ACTIONS(1450),
    [anon_sym_macro_rules_BANG] = ACTIONS(1450),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1450),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_RBRACE] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_QMARK] = ACTIONS(1450),
    [anon_sym_u8] = ACTIONS(1452),
    [anon_sym_i8] = ACTIONS(1452),
    [anon_sym_u16] = ACTIONS(1452),
    [anon_sym_i16] = ACTIONS(1452),
    [anon_sym_u32] = ACTIONS(1452),
    [anon_sym_i32] = ACTIONS(1452),
    [anon_sym_u64] = ACTIONS(1452),
    [anon_sym_i64] = ACTIONS(1452),
    [anon_sym_u128] = ACTIONS(1452),
    [anon_sym_i128] = ACTIONS(1452),
    [anon_sym_isize] = ACTIONS(1452),
    [anon_sym_usize] = ACTIONS(1452),
    [anon_sym_f32] = ACTIONS(1452),
    [anon_sym_f64] = ACTIONS(1452),
    [anon_sym_bool] = ACTIONS(1452),
    [anon_sym_str] = ACTIONS(1452),
    [anon_sym_char] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_SLASH] = ACTIONS(1452),
    [anon_sym_PERCENT] = ACTIONS(1452),
    [anon_sym_CARET] = ACTIONS(1452),
    [anon_sym_BANG] = ACTIONS(1452),
    [anon_sym_AMP] = ACTIONS(1452),
    [anon_sym_PIPE] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1450),
    [anon_sym_PIPE_PIPE] = ACTIONS(1450),
    [anon_sym_LT_LT] = ACTIONS(1452),
    [anon_sym_GT_GT] = ACTIONS(1452),
    [anon_sym_PLUS_EQ] = ACTIONS(1450),
    [anon_sym_DASH_EQ] = ACTIONS(1450),
    [anon_sym_STAR_EQ] = ACTIONS(1450),
    [anon_sym_SLASH_EQ] = ACTIONS(1450),
    [anon_sym_PERCENT_EQ] = ACTIONS(1450),
    [anon_sym_CARET_EQ] = ACTIONS(1450),
    [anon_sym_AMP_EQ] = ACTIONS(1450),
    [anon_sym_PIPE_EQ] = ACTIONS(1450),
    [anon_sym_LT_LT_EQ] = ACTIONS(1450),
    [anon_sym_GT_GT_EQ] = ACTIONS(1450),
    [anon_sym_EQ] = ACTIONS(1452),
    [anon_sym_EQ_EQ] = ACTIONS(1450),
    [anon_sym_BANG_EQ] = ACTIONS(1450),
    [anon_sym_GT] = ACTIONS(1452),
    [anon_sym_LT] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1450),
    [anon_sym_LT_EQ] = ACTIONS(1450),
    [anon_sym_DOT] = ACTIONS(1452),
    [anon_sym_DOT_DOT] = ACTIONS(1452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1450),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1450),
    [anon_sym_COLON_COLON] = ACTIONS(1450),
    [anon_sym_POUND] = ACTIONS(1450),
    [anon_sym_SQUOTE] = ACTIONS(1452),
    [anon_sym_as] = ACTIONS(1452),
    [anon_sym_async] = ACTIONS(1452),
    [anon_sym_break] = ACTIONS(1452),
    [anon_sym_const] = ACTIONS(1452),
    [anon_sym_continue] = ACTIONS(1452),
    [anon_sym_default] = ACTIONS(1452),
    [anon_sym_enum] = ACTIONS(1452),
    [anon_sym_fn] = ACTIONS(1452),
    [anon_sym_for] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1452),
    [anon_sym_impl] = ACTIONS(1452),
    [anon_sym_let] = ACTIONS(1452),
    [anon_sym_loop] = ACTIONS(1452),
    [anon_sym_match] = ACTIONS(1452),
    [anon_sym_mod] = ACTIONS(1452),
    [anon_sym_pub] = ACTIONS(1452),
    [anon_sym_return] = ACTIONS(1452),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_struct] = ACTIONS(1452),
    [anon_sym_trait] = ACTIONS(1452),
    [anon_sym_type] = ACTIONS(1452),
    [anon_sym_union] = ACTIONS(1452),
    [anon_sym_unsafe] = ACTIONS(1452),
    [anon_sym_use] = ACTIONS(1452),
    [anon_sym_while] = ACTIONS(1452),
    [anon_sym_extern] = ACTIONS(1452),
    [anon_sym_yield] = ACTIONS(1452),
    [anon_sym_move] = ACTIONS(1452),
    [anon_sym_try] = ACTIONS(1452),
    [sym_integer_literal] = ACTIONS(1450),
    [aux_sym_string_literal_token1] = ACTIONS(1450),
    [sym_char_literal] = ACTIONS(1450),
    [anon_sym_true] = ACTIONS(1452),
    [anon_sym_false] = ACTIONS(1452),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1452),
    [sym_super] = ACTIONS(1452),
    [sym_crate] = ACTIONS(1452),
    [sym_metavariable] = ACTIONS(1450),
    [sym__raw_string_literal_start] = ACTIONS(1450),
    [sym_float_literal] = ACTIONS(1450),
  },
  [400] = {
    [sym_attribute_item] = STATE(415),
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_self_parameter] = STATE(3088),
    [sym_variadic_parameter] = STATE(3088),
    [sym_parameter] = STATE(3088),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2763),
    [sym_bracketed_type] = STATE(3520),
    [sym_lifetime] = STATE(2985),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3198),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(2480),
    [sym_scoped_identifier] = STATE(2216),
    [sym_scoped_type_identifier] = STATE(2114),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(3268),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(400),
    [sym_block_comment] = STATE(400),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [anon_sym_RPAREN] = ACTIONS(1454),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1330),
    [anon_sym_i8] = ACTIONS(1330),
    [anon_sym_u16] = ACTIONS(1330),
    [anon_sym_i16] = ACTIONS(1330),
    [anon_sym_u32] = ACTIONS(1330),
    [anon_sym_i32] = ACTIONS(1330),
    [anon_sym_u64] = ACTIONS(1330),
    [anon_sym_i64] = ACTIONS(1330),
    [anon_sym_u128] = ACTIONS(1330),
    [anon_sym_i128] = ACTIONS(1330),
    [anon_sym_isize] = ACTIONS(1330),
    [anon_sym_usize] = ACTIONS(1330),
    [anon_sym_f32] = ACTIONS(1330),
    [anon_sym_f64] = ACTIONS(1330),
    [anon_sym_bool] = ACTIONS(1330),
    [anon_sym_str] = ACTIONS(1330),
    [anon_sym_char] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1456),
    [anon_sym_DOT_DOT] = ACTIONS(1272),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1274),
    [anon_sym_COLON_COLON] = ACTIONS(1338),
    [anon_sym_POUND] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1342),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_ref] = ACTIONS(1300),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(1304),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1344),
    [sym_super] = ACTIONS(1346),
    [sym_crate] = ACTIONS(1346),
    [sym_metavariable] = ACTIONS(1348),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [401] = {
    [sym_attribute_item] = STATE(415),
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_self_parameter] = STATE(3088),
    [sym_variadic_parameter] = STATE(3088),
    [sym_parameter] = STATE(3088),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2763),
    [sym_bracketed_type] = STATE(3520),
    [sym_lifetime] = STATE(2985),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3198),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(2480),
    [sym_scoped_identifier] = STATE(2216),
    [sym_scoped_type_identifier] = STATE(2114),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(3268),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(401),
    [sym_block_comment] = STATE(401),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [anon_sym_RPAREN] = ACTIONS(1458),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1330),
    [anon_sym_i8] = ACTIONS(1330),
    [anon_sym_u16] = ACTIONS(1330),
    [anon_sym_i16] = ACTIONS(1330),
    [anon_sym_u32] = ACTIONS(1330),
    [anon_sym_i32] = ACTIONS(1330),
    [anon_sym_u64] = ACTIONS(1330),
    [anon_sym_i64] = ACTIONS(1330),
    [anon_sym_u128] = ACTIONS(1330),
    [anon_sym_i128] = ACTIONS(1330),
    [anon_sym_isize] = ACTIONS(1330),
    [anon_sym_usize] = ACTIONS(1330),
    [anon_sym_f32] = ACTIONS(1330),
    [anon_sym_f64] = ACTIONS(1330),
    [anon_sym_bool] = ACTIONS(1330),
    [anon_sym_str] = ACTIONS(1330),
    [anon_sym_char] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1456),
    [anon_sym_DOT_DOT] = ACTIONS(1272),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1274),
    [anon_sym_COLON_COLON] = ACTIONS(1338),
    [anon_sym_POUND] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1342),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_ref] = ACTIONS(1300),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(1304),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1344),
    [sym_super] = ACTIONS(1346),
    [sym_crate] = ACTIONS(1346),
    [sym_metavariable] = ACTIONS(1348),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [402] = {
    [sym_attribute_item] = STATE(415),
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_self_parameter] = STATE(3088),
    [sym_variadic_parameter] = STATE(3088),
    [sym_parameter] = STATE(3088),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2763),
    [sym_bracketed_type] = STATE(3520),
    [sym_lifetime] = STATE(2985),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3198),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(2480),
    [sym_scoped_identifier] = STATE(2216),
    [sym_scoped_type_identifier] = STATE(2114),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(3268),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(402),
    [sym_block_comment] = STATE(402),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [anon_sym_RPAREN] = ACTIONS(1460),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1330),
    [anon_sym_i8] = ACTIONS(1330),
    [anon_sym_u16] = ACTIONS(1330),
    [anon_sym_i16] = ACTIONS(1330),
    [anon_sym_u32] = ACTIONS(1330),
    [anon_sym_i32] = ACTIONS(1330),
    [anon_sym_u64] = ACTIONS(1330),
    [anon_sym_i64] = ACTIONS(1330),
    [anon_sym_u128] = ACTIONS(1330),
    [anon_sym_i128] = ACTIONS(1330),
    [anon_sym_isize] = ACTIONS(1330),
    [anon_sym_usize] = ACTIONS(1330),
    [anon_sym_f32] = ACTIONS(1330),
    [anon_sym_f64] = ACTIONS(1330),
    [anon_sym_bool] = ACTIONS(1330),
    [anon_sym_str] = ACTIONS(1330),
    [anon_sym_char] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1456),
    [anon_sym_DOT_DOT] = ACTIONS(1272),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1274),
    [anon_sym_COLON_COLON] = ACTIONS(1338),
    [anon_sym_POUND] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1342),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_ref] = ACTIONS(1300),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(1304),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1344),
    [sym_super] = ACTIONS(1346),
    [sym_crate] = ACTIONS(1346),
    [sym_metavariable] = ACTIONS(1348),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [403] = {
    [sym_attribute_item] = STATE(415),
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_self_parameter] = STATE(3088),
    [sym_variadic_parameter] = STATE(3088),
    [sym_parameter] = STATE(3088),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2763),
    [sym_bracketed_type] = STATE(3520),
    [sym_lifetime] = STATE(2985),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3198),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(2480),
    [sym_scoped_identifier] = STATE(2216),
    [sym_scoped_type_identifier] = STATE(2114),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(3268),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(403),
    [sym_block_comment] = STATE(403),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [anon_sym_RPAREN] = ACTIONS(1462),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1330),
    [anon_sym_i8] = ACTIONS(1330),
    [anon_sym_u16] = ACTIONS(1330),
    [anon_sym_i16] = ACTIONS(1330),
    [anon_sym_u32] = ACTIONS(1330),
    [anon_sym_i32] = ACTIONS(1330),
    [anon_sym_u64] = ACTIONS(1330),
    [anon_sym_i64] = ACTIONS(1330),
    [anon_sym_u128] = ACTIONS(1330),
    [anon_sym_i128] = ACTIONS(1330),
    [anon_sym_isize] = ACTIONS(1330),
    [anon_sym_usize] = ACTIONS(1330),
    [anon_sym_f32] = ACTIONS(1330),
    [anon_sym_f64] = ACTIONS(1330),
    [anon_sym_bool] = ACTIONS(1330),
    [anon_sym_str] = ACTIONS(1330),
    [anon_sym_char] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1456),
    [anon_sym_DOT_DOT] = ACTIONS(1272),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1274),
    [anon_sym_COLON_COLON] = ACTIONS(1338),
    [anon_sym_POUND] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1342),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_ref] = ACTIONS(1300),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(1304),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1344),
    [sym_super] = ACTIONS(1346),
    [sym_crate] = ACTIONS(1346),
    [sym_metavariable] = ACTIONS(1348),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [404] = {
    [sym_line_comment] = STATE(404),
    [sym_block_comment] = STATE(404),
    [sym_identifier] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1418),
    [anon_sym_macro_rules_BANG] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1418),
    [anon_sym_LBRACK] = ACTIONS(1418),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [anon_sym_RBRACE] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_u8] = ACTIONS(1434),
    [anon_sym_i8] = ACTIONS(1434),
    [anon_sym_u16] = ACTIONS(1434),
    [anon_sym_i16] = ACTIONS(1434),
    [anon_sym_u32] = ACTIONS(1434),
    [anon_sym_i32] = ACTIONS(1434),
    [anon_sym_u64] = ACTIONS(1434),
    [anon_sym_i64] = ACTIONS(1434),
    [anon_sym_u128] = ACTIONS(1434),
    [anon_sym_i128] = ACTIONS(1434),
    [anon_sym_isize] = ACTIONS(1434),
    [anon_sym_usize] = ACTIONS(1434),
    [anon_sym_f32] = ACTIONS(1434),
    [anon_sym_f64] = ACTIONS(1434),
    [anon_sym_bool] = ACTIONS(1434),
    [anon_sym_str] = ACTIONS(1434),
    [anon_sym_char] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_PERCENT] = ACTIONS(1416),
    [anon_sym_CARET] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1416),
    [anon_sym_PIPE] = ACTIONS(1416),
    [anon_sym_AMP_AMP] = ACTIONS(1418),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1416),
    [anon_sym_GT_GT] = ACTIONS(1416),
    [anon_sym_PLUS_EQ] = ACTIONS(1418),
    [anon_sym_DASH_EQ] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1418),
    [anon_sym_SLASH_EQ] = ACTIONS(1418),
    [anon_sym_PERCENT_EQ] = ACTIONS(1418),
    [anon_sym_CARET_EQ] = ACTIONS(1418),
    [anon_sym_AMP_EQ] = ACTIONS(1418),
    [anon_sym_PIPE_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT_EQ] = ACTIONS(1418),
    [anon_sym_GT_GT_EQ] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_EQ_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_GT] = ACTIONS(1416),
    [anon_sym_LT] = ACTIONS(1416),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym_DOT] = ACTIONS(1416),
    [anon_sym_DOT_DOT] = ACTIONS(1416),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1418),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(1432),
    [anon_sym_POUND] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [anon_sym_as] = ACTIONS(1416),
    [anon_sym_async] = ACTIONS(1434),
    [anon_sym_break] = ACTIONS(1434),
    [anon_sym_const] = ACTIONS(1434),
    [anon_sym_continue] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_enum] = ACTIONS(1434),
    [anon_sym_fn] = ACTIONS(1434),
    [anon_sym_for] = ACTIONS(1434),
    [anon_sym_if] = ACTIONS(1434),
    [anon_sym_impl] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_loop] = ACTIONS(1434),
    [anon_sym_match] = ACTIONS(1434),
    [anon_sym_mod] = ACTIONS(1434),
    [anon_sym_pub] = ACTIONS(1434),
    [anon_sym_return] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_struct] = ACTIONS(1434),
    [anon_sym_trait] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_union] = ACTIONS(1434),
    [anon_sym_unsafe] = ACTIONS(1434),
    [anon_sym_use] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(1434),
    [anon_sym_extern] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1434),
    [anon_sym_move] = ACTIONS(1434),
    [anon_sym_try] = ACTIONS(1434),
    [sym_integer_literal] = ACTIONS(1432),
    [aux_sym_string_literal_token1] = ACTIONS(1432),
    [sym_char_literal] = ACTIONS(1432),
    [anon_sym_true] = ACTIONS(1434),
    [anon_sym_false] = ACTIONS(1434),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1434),
    [sym_super] = ACTIONS(1434),
    [sym_crate] = ACTIONS(1434),
    [sym_metavariable] = ACTIONS(1432),
    [sym__raw_string_literal_start] = ACTIONS(1432),
    [sym_float_literal] = ACTIONS(1432),
  },
  [405] = {
    [sym_attribute_item] = STATE(415),
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_self_parameter] = STATE(3088),
    [sym_variadic_parameter] = STATE(3088),
    [sym_parameter] = STATE(3088),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2763),
    [sym_bracketed_type] = STATE(3520),
    [sym_lifetime] = STATE(2985),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3198),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(2480),
    [sym_scoped_identifier] = STATE(2216),
    [sym_scoped_type_identifier] = STATE(2114),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(3268),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(405),
    [sym_block_comment] = STATE(405),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [anon_sym_RPAREN] = ACTIONS(1464),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1330),
    [anon_sym_i8] = ACTIONS(1330),
    [anon_sym_u16] = ACTIONS(1330),
    [anon_sym_i16] = ACTIONS(1330),
    [anon_sym_u32] = ACTIONS(1330),
    [anon_sym_i32] = ACTIONS(1330),
    [anon_sym_u64] = ACTIONS(1330),
    [anon_sym_i64] = ACTIONS(1330),
    [anon_sym_u128] = ACTIONS(1330),
    [anon_sym_i128] = ACTIONS(1330),
    [anon_sym_isize] = ACTIONS(1330),
    [anon_sym_usize] = ACTIONS(1330),
    [anon_sym_f32] = ACTIONS(1330),
    [anon_sym_f64] = ACTIONS(1330),
    [anon_sym_bool] = ACTIONS(1330),
    [anon_sym_str] = ACTIONS(1330),
    [anon_sym_char] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1456),
    [anon_sym_DOT_DOT] = ACTIONS(1272),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1274),
    [anon_sym_COLON_COLON] = ACTIONS(1338),
    [anon_sym_POUND] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1342),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_ref] = ACTIONS(1300),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(1304),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1344),
    [sym_super] = ACTIONS(1346),
    [sym_crate] = ACTIONS(1346),
    [sym_metavariable] = ACTIONS(1348),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [406] = {
    [sym_attribute_item] = STATE(415),
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_self_parameter] = STATE(3088),
    [sym_variadic_parameter] = STATE(3088),
    [sym_parameter] = STATE(3088),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2763),
    [sym_bracketed_type] = STATE(3520),
    [sym_lifetime] = STATE(2985),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3198),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(2480),
    [sym_scoped_identifier] = STATE(2216),
    [sym_scoped_type_identifier] = STATE(2114),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(3268),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(406),
    [sym_block_comment] = STATE(406),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [anon_sym_RPAREN] = ACTIONS(1466),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1330),
    [anon_sym_i8] = ACTIONS(1330),
    [anon_sym_u16] = ACTIONS(1330),
    [anon_sym_i16] = ACTIONS(1330),
    [anon_sym_u32] = ACTIONS(1330),
    [anon_sym_i32] = ACTIONS(1330),
    [anon_sym_u64] = ACTIONS(1330),
    [anon_sym_i64] = ACTIONS(1330),
    [anon_sym_u128] = ACTIONS(1330),
    [anon_sym_i128] = ACTIONS(1330),
    [anon_sym_isize] = ACTIONS(1330),
    [anon_sym_usize] = ACTIONS(1330),
    [anon_sym_f32] = ACTIONS(1330),
    [anon_sym_f64] = ACTIONS(1330),
    [anon_sym_bool] = ACTIONS(1330),
    [anon_sym_str] = ACTIONS(1330),
    [anon_sym_char] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1456),
    [anon_sym_DOT_DOT] = ACTIONS(1272),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1274),
    [anon_sym_COLON_COLON] = ACTIONS(1338),
    [anon_sym_POUND] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1342),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_ref] = ACTIONS(1300),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(1304),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1344),
    [sym_super] = ACTIONS(1346),
    [sym_crate] = ACTIONS(1346),
    [sym_metavariable] = ACTIONS(1348),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [407] = {
    [sym_attribute_item] = STATE(415),
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_self_parameter] = STATE(3088),
    [sym_variadic_parameter] = STATE(3088),
    [sym_parameter] = STATE(3088),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2763),
    [sym_bracketed_type] = STATE(3520),
    [sym_lifetime] = STATE(2985),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3198),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(2480),
    [sym_scoped_identifier] = STATE(2216),
    [sym_scoped_type_identifier] = STATE(2114),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(3268),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(407),
    [sym_block_comment] = STATE(407),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [anon_sym_RPAREN] = ACTIONS(1468),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1330),
    [anon_sym_i8] = ACTIONS(1330),
    [anon_sym_u16] = ACTIONS(1330),
    [anon_sym_i16] = ACTIONS(1330),
    [anon_sym_u32] = ACTIONS(1330),
    [anon_sym_i32] = ACTIONS(1330),
    [anon_sym_u64] = ACTIONS(1330),
    [anon_sym_i64] = ACTIONS(1330),
    [anon_sym_u128] = ACTIONS(1330),
    [anon_sym_i128] = ACTIONS(1330),
    [anon_sym_isize] = ACTIONS(1330),
    [anon_sym_usize] = ACTIONS(1330),
    [anon_sym_f32] = ACTIONS(1330),
    [anon_sym_f64] = ACTIONS(1330),
    [anon_sym_bool] = ACTIONS(1330),
    [anon_sym_str] = ACTIONS(1330),
    [anon_sym_char] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1456),
    [anon_sym_DOT_DOT] = ACTIONS(1272),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1274),
    [anon_sym_COLON_COLON] = ACTIONS(1338),
    [anon_sym_POUND] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1342),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_ref] = ACTIONS(1300),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(1304),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1344),
    [sym_super] = ACTIONS(1346),
    [sym_crate] = ACTIONS(1346),
    [sym_metavariable] = ACTIONS(1348),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [408] = {
    [sym_attribute_item] = STATE(415),
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_self_parameter] = STATE(3088),
    [sym_variadic_parameter] = STATE(3088),
    [sym_parameter] = STATE(3088),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2763),
    [sym_bracketed_type] = STATE(3520),
    [sym_lifetime] = STATE(2985),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3198),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(2480),
    [sym_scoped_identifier] = STATE(2216),
    [sym_scoped_type_identifier] = STATE(2114),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(3268),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(408),
    [sym_block_comment] = STATE(408),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [anon_sym_RPAREN] = ACTIONS(1470),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1330),
    [anon_sym_i8] = ACTIONS(1330),
    [anon_sym_u16] = ACTIONS(1330),
    [anon_sym_i16] = ACTIONS(1330),
    [anon_sym_u32] = ACTIONS(1330),
    [anon_sym_i32] = ACTIONS(1330),
    [anon_sym_u64] = ACTIONS(1330),
    [anon_sym_i64] = ACTIONS(1330),
    [anon_sym_u128] = ACTIONS(1330),
    [anon_sym_i128] = ACTIONS(1330),
    [anon_sym_isize] = ACTIONS(1330),
    [anon_sym_usize] = ACTIONS(1330),
    [anon_sym_f32] = ACTIONS(1330),
    [anon_sym_f64] = ACTIONS(1330),
    [anon_sym_bool] = ACTIONS(1330),
    [anon_sym_str] = ACTIONS(1330),
    [anon_sym_char] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1456),
    [anon_sym_DOT_DOT] = ACTIONS(1272),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1274),
    [anon_sym_COLON_COLON] = ACTIONS(1338),
    [anon_sym_POUND] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1342),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_ref] = ACTIONS(1300),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(1304),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1344),
    [sym_super] = ACTIONS(1346),
    [sym_crate] = ACTIONS(1346),
    [sym_metavariable] = ACTIONS(1348),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [409] = {
    [sym_attribute_item] = STATE(415),
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_self_parameter] = STATE(3088),
    [sym_variadic_parameter] = STATE(3088),
    [sym_parameter] = STATE(3088),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2763),
    [sym_bracketed_type] = STATE(3520),
    [sym_lifetime] = STATE(2985),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3198),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(2480),
    [sym_scoped_identifier] = STATE(2216),
    [sym_scoped_type_identifier] = STATE(2114),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(3268),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(409),
    [sym_block_comment] = STATE(409),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [anon_sym_RPAREN] = ACTIONS(1472),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1330),
    [anon_sym_i8] = ACTIONS(1330),
    [anon_sym_u16] = ACTIONS(1330),
    [anon_sym_i16] = ACTIONS(1330),
    [anon_sym_u32] = ACTIONS(1330),
    [anon_sym_i32] = ACTIONS(1330),
    [anon_sym_u64] = ACTIONS(1330),
    [anon_sym_i64] = ACTIONS(1330),
    [anon_sym_u128] = ACTIONS(1330),
    [anon_sym_i128] = ACTIONS(1330),
    [anon_sym_isize] = ACTIONS(1330),
    [anon_sym_usize] = ACTIONS(1330),
    [anon_sym_f32] = ACTIONS(1330),
    [anon_sym_f64] = ACTIONS(1330),
    [anon_sym_bool] = ACTIONS(1330),
    [anon_sym_str] = ACTIONS(1330),
    [anon_sym_char] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1456),
    [anon_sym_DOT_DOT] = ACTIONS(1272),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1274),
    [anon_sym_COLON_COLON] = ACTIONS(1338),
    [anon_sym_POUND] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1342),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_ref] = ACTIONS(1300),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(1304),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1344),
    [sym_super] = ACTIONS(1346),
    [sym_crate] = ACTIONS(1346),
    [sym_metavariable] = ACTIONS(1348),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [410] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2576),
    [sym_bracketed_type] = STATE(3527),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3273),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(2487),
    [sym_scoped_identifier] = STATE(2113),
    [sym_scoped_type_identifier] = STATE(2114),
    [sym_const_block] = STATE(2079),
    [sym_closure_expression] = STATE(2855),
    [sym_closure_parameters] = STATE(230),
    [sym__pattern] = STATE(2640),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(410),
    [sym_block_comment] = STATE(410),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1248),
    [anon_sym_LPAREN] = ACTIONS(1250),
    [anon_sym_RPAREN] = ACTIONS(1474),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1260),
    [anon_sym_i8] = ACTIONS(1260),
    [anon_sym_u16] = ACTIONS(1260),
    [anon_sym_i16] = ACTIONS(1260),
    [anon_sym_u32] = ACTIONS(1260),
    [anon_sym_i32] = ACTIONS(1260),
    [anon_sym_u64] = ACTIONS(1260),
    [anon_sym_i64] = ACTIONS(1260),
    [anon_sym_u128] = ACTIONS(1260),
    [anon_sym_i128] = ACTIONS(1260),
    [anon_sym_isize] = ACTIONS(1260),
    [anon_sym_usize] = ACTIONS(1260),
    [anon_sym_f32] = ACTIONS(1260),
    [anon_sym_f64] = ACTIONS(1260),
    [anon_sym_bool] = ACTIONS(1260),
    [anon_sym_str] = ACTIONS(1260),
    [anon_sym_char] = ACTIONS(1260),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1476),
    [anon_sym_PIPE] = ACTIONS(1478),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(1484),
    [anon_sym_COLON_COLON] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1288),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1486),
    [anon_sym_union] = ACTIONS(1296),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_ref] = ACTIONS(1300),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(1488),
    [anon_sym_move] = ACTIONS(1490),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1314),
    [sym_super] = ACTIONS(1314),
    [sym_crate] = ACTIONS(1314),
    [sym_metavariable] = ACTIONS(1316),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [411] = {
    [sym_attribute_item] = STATE(415),
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_self_parameter] = STATE(3088),
    [sym_variadic_parameter] = STATE(3088),
    [sym_parameter] = STATE(3088),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2763),
    [sym_bracketed_type] = STATE(3520),
    [sym_lifetime] = STATE(2985),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3198),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(2480),
    [sym_scoped_identifier] = STATE(2216),
    [sym_scoped_type_identifier] = STATE(2114),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(3268),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(411),
    [sym_block_comment] = STATE(411),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1330),
    [anon_sym_i8] = ACTIONS(1330),
    [anon_sym_u16] = ACTIONS(1330),
    [anon_sym_i16] = ACTIONS(1330),
    [anon_sym_u32] = ACTIONS(1330),
    [anon_sym_i32] = ACTIONS(1330),
    [anon_sym_u64] = ACTIONS(1330),
    [anon_sym_i64] = ACTIONS(1330),
    [anon_sym_u128] = ACTIONS(1330),
    [anon_sym_i128] = ACTIONS(1330),
    [anon_sym_isize] = ACTIONS(1330),
    [anon_sym_usize] = ACTIONS(1330),
    [anon_sym_f32] = ACTIONS(1330),
    [anon_sym_f64] = ACTIONS(1330),
    [anon_sym_bool] = ACTIONS(1330),
    [anon_sym_str] = ACTIONS(1330),
    [anon_sym_char] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1456),
    [anon_sym_DOT_DOT] = ACTIONS(1272),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1274),
    [anon_sym_COLON_COLON] = ACTIONS(1338),
    [anon_sym_POUND] = ACTIONS(1280),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1342),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_ref] = ACTIONS(1300),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(1304),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1344),
    [sym_super] = ACTIONS(1346),
    [sym_crate] = ACTIONS(1346),
    [sym_metavariable] = ACTIONS(1348),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [412] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2576),
    [sym_bracketed_type] = STATE(3527),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3273),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(2487),
    [sym_scoped_identifier] = STATE(2113),
    [sym_scoped_type_identifier] = STATE(2114),
    [sym_const_block] = STATE(2079),
    [sym_closure_expression] = STATE(2855),
    [sym_closure_parameters] = STATE(230),
    [sym__pattern] = STATE(2640),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(412),
    [sym_block_comment] = STATE(412),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1248),
    [anon_sym_LPAREN] = ACTIONS(1250),
    [anon_sym_RPAREN] = ACTIONS(1492),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1260),
    [anon_sym_i8] = ACTIONS(1260),
    [anon_sym_u16] = ACTIONS(1260),
    [anon_sym_i16] = ACTIONS(1260),
    [anon_sym_u32] = ACTIONS(1260),
    [anon_sym_i32] = ACTIONS(1260),
    [anon_sym_u64] = ACTIONS(1260),
    [anon_sym_i64] = ACTIONS(1260),
    [anon_sym_u128] = ACTIONS(1260),
    [anon_sym_i128] = ACTIONS(1260),
    [anon_sym_isize] = ACTIONS(1260),
    [anon_sym_usize] = ACTIONS(1260),
    [anon_sym_f32] = ACTIONS(1260),
    [anon_sym_f64] = ACTIONS(1260),
    [anon_sym_bool] = ACTIONS(1260),
    [anon_sym_str] = ACTIONS(1260),
    [anon_sym_char] = ACTIONS(1260),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1476),
    [anon_sym_PIPE] = ACTIONS(1478),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(1484),
    [anon_sym_COLON_COLON] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1288),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1486),
    [anon_sym_union] = ACTIONS(1296),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_ref] = ACTIONS(1300),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(1488),
    [anon_sym_move] = ACTIONS(1490),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1314),
    [sym_super] = ACTIONS(1314),
    [sym_crate] = ACTIONS(1314),
    [sym_metavariable] = ACTIONS(1316),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [413] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2576),
    [sym_bracketed_type] = STATE(3527),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3273),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(2487),
    [sym_scoped_identifier] = STATE(2113),
    [sym_scoped_type_identifier] = STATE(2114),
    [sym_const_block] = STATE(2079),
    [sym_closure_expression] = STATE(2855),
    [sym_closure_parameters] = STATE(230),
    [sym__pattern] = STATE(2640),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(413),
    [sym_block_comment] = STATE(413),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1248),
    [anon_sym_LPAREN] = ACTIONS(1250),
    [anon_sym_RPAREN] = ACTIONS(1494),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1260),
    [anon_sym_i8] = ACTIONS(1260),
    [anon_sym_u16] = ACTIONS(1260),
    [anon_sym_i16] = ACTIONS(1260),
    [anon_sym_u32] = ACTIONS(1260),
    [anon_sym_i32] = ACTIONS(1260),
    [anon_sym_u64] = ACTIONS(1260),
    [anon_sym_i64] = ACTIONS(1260),
    [anon_sym_u128] = ACTIONS(1260),
    [anon_sym_i128] = ACTIONS(1260),
    [anon_sym_isize] = ACTIONS(1260),
    [anon_sym_usize] = ACTIONS(1260),
    [anon_sym_f32] = ACTIONS(1260),
    [anon_sym_f64] = ACTIONS(1260),
    [anon_sym_bool] = ACTIONS(1260),
    [anon_sym_str] = ACTIONS(1260),
    [anon_sym_char] = ACTIONS(1260),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1476),
    [anon_sym_PIPE] = ACTIONS(1478),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(1484),
    [anon_sym_COLON_COLON] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1288),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_static] = ACTIONS(1486),
    [anon_sym_union] = ACTIONS(1296),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_ref] = ACTIONS(1300),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(1488),
    [anon_sym_move] = ACTIONS(1490),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1314),
    [sym_super] = ACTIONS(1314),
    [sym_crate] = ACTIONS(1314),
    [sym_metavariable] = ACTIONS(1316),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [414] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_self_parameter] = STATE(2883),
    [sym_variadic_parameter] = STATE(2883),
    [sym_parameter] = STATE(2883),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2555),
    [sym_bracketed_type] = STATE(3520),
    [sym_lifetime] = STATE(2985),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3198),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(2480),
    [sym_scoped_identifier] = STATE(2216),
    [sym_scoped_type_identifier] = STATE(2114),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(3268),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(414),
    [sym_block_comment] = STATE(414),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1330),
    [anon_sym_i8] = ACTIONS(1330),
    [anon_sym_u16] = ACTIONS(1330),
    [anon_sym_i16] = ACTIONS(1330),
    [anon_sym_u32] = ACTIONS(1330),
    [anon_sym_i32] = ACTIONS(1330),
    [anon_sym_u64] = ACTIONS(1330),
    [anon_sym_i64] = ACTIONS(1330),
    [anon_sym_u128] = ACTIONS(1330),
    [anon_sym_i128] = ACTIONS(1330),
    [anon_sym_isize] = ACTIONS(1330),
    [anon_sym_usize] = ACTIONS(1330),
    [anon_sym_f32] = ACTIONS(1330),
    [anon_sym_f64] = ACTIONS(1330),
    [anon_sym_bool] = ACTIONS(1330),
    [anon_sym_str] = ACTIONS(1330),
    [anon_sym_char] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1496),
    [anon_sym_DOT_DOT] = ACTIONS(1272),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1274),
    [anon_sym_COLON_COLON] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1342),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_ref] = ACTIONS(1300),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(1304),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1344),
    [sym_super] = ACTIONS(1346),
    [sym_crate] = ACTIONS(1346),
    [sym_metavariable] = ACTIONS(1348),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [415] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_self_parameter] = STATE(3049),
    [sym_variadic_parameter] = STATE(3049),
    [sym_parameter] = STATE(3049),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2760),
    [sym_bracketed_type] = STATE(3520),
    [sym_lifetime] = STATE(2985),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3198),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(2480),
    [sym_scoped_identifier] = STATE(2216),
    [sym_scoped_type_identifier] = STATE(2114),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(3268),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(415),
    [sym_block_comment] = STATE(415),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1330),
    [anon_sym_i8] = ACTIONS(1330),
    [anon_sym_u16] = ACTIONS(1330),
    [anon_sym_i16] = ACTIONS(1330),
    [anon_sym_u32] = ACTIONS(1330),
    [anon_sym_i32] = ACTIONS(1330),
    [anon_sym_u64] = ACTIONS(1330),
    [anon_sym_i64] = ACTIONS(1330),
    [anon_sym_u128] = ACTIONS(1330),
    [anon_sym_i128] = ACTIONS(1330),
    [anon_sym_isize] = ACTIONS(1330),
    [anon_sym_usize] = ACTIONS(1330),
    [anon_sym_f32] = ACTIONS(1330),
    [anon_sym_f64] = ACTIONS(1330),
    [anon_sym_bool] = ACTIONS(1330),
    [anon_sym_str] = ACTIONS(1330),
    [anon_sym_char] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1498),
    [anon_sym_DOT_DOT] = ACTIONS(1272),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1274),
    [anon_sym_COLON_COLON] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1342),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_ref] = ACTIONS(1300),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(1304),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1344),
    [sym_super] = ACTIONS(1346),
    [sym_crate] = ACTIONS(1346),
    [sym_metavariable] = ACTIONS(1348),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [416] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_self_parameter] = STATE(2879),
    [sym_variadic_parameter] = STATE(2879),
    [sym_parameter] = STATE(2879),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2554),
    [sym_bracketed_type] = STATE(3520),
    [sym_lifetime] = STATE(2985),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3198),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(2480),
    [sym_scoped_identifier] = STATE(2216),
    [sym_scoped_type_identifier] = STATE(2114),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(3268),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(416),
    [sym_block_comment] = STATE(416),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1330),
    [anon_sym_i8] = ACTIONS(1330),
    [anon_sym_u16] = ACTIONS(1330),
    [anon_sym_i16] = ACTIONS(1330),
    [anon_sym_u32] = ACTIONS(1330),
    [anon_sym_i32] = ACTIONS(1330),
    [anon_sym_u64] = ACTIONS(1330),
    [anon_sym_i64] = ACTIONS(1330),
    [anon_sym_u128] = ACTIONS(1330),
    [anon_sym_i128] = ACTIONS(1330),
    [anon_sym_isize] = ACTIONS(1330),
    [anon_sym_usize] = ACTIONS(1330),
    [anon_sym_f32] = ACTIONS(1330),
    [anon_sym_f64] = ACTIONS(1330),
    [anon_sym_bool] = ACTIONS(1330),
    [anon_sym_str] = ACTIONS(1330),
    [anon_sym_char] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1500),
    [anon_sym_DOT_DOT] = ACTIONS(1272),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1274),
    [anon_sym_COLON_COLON] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1342),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_ref] = ACTIONS(1300),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(1304),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1344),
    [sym_super] = ACTIONS(1346),
    [sym_crate] = ACTIONS(1346),
    [sym_metavariable] = ACTIONS(1348),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [417] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_self_parameter] = STATE(2812),
    [sym_variadic_parameter] = STATE(2812),
    [sym_parameter] = STATE(2812),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2614),
    [sym_bracketed_type] = STATE(3520),
    [sym_lifetime] = STATE(2985),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3198),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(2480),
    [sym_scoped_identifier] = STATE(2216),
    [sym_scoped_type_identifier] = STATE(2114),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(3268),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(417),
    [sym_block_comment] = STATE(417),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1330),
    [anon_sym_i8] = ACTIONS(1330),
    [anon_sym_u16] = ACTIONS(1330),
    [anon_sym_i16] = ACTIONS(1330),
    [anon_sym_u32] = ACTIONS(1330),
    [anon_sym_i32] = ACTIONS(1330),
    [anon_sym_u64] = ACTIONS(1330),
    [anon_sym_i64] = ACTIONS(1330),
    [anon_sym_u128] = ACTIONS(1330),
    [anon_sym_i128] = ACTIONS(1330),
    [anon_sym_isize] = ACTIONS(1330),
    [anon_sym_usize] = ACTIONS(1330),
    [anon_sym_f32] = ACTIONS(1330),
    [anon_sym_f64] = ACTIONS(1330),
    [anon_sym_bool] = ACTIONS(1330),
    [anon_sym_str] = ACTIONS(1330),
    [anon_sym_char] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1502),
    [anon_sym_DOT_DOT] = ACTIONS(1272),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1274),
    [anon_sym_COLON_COLON] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1342),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_ref] = ACTIONS(1300),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(1304),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1344),
    [sym_super] = ACTIONS(1346),
    [sym_crate] = ACTIONS(1346),
    [sym_metavariable] = ACTIONS(1348),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [418] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2734),
    [sym_bracketed_type] = STATE(3528),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3278),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(2424),
    [sym_scoped_identifier] = STATE(2157),
    [sym_scoped_type_identifier] = STATE(2114),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2672),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(418),
    [sym_block_comment] = STATE(418),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_RBRACK] = ACTIONS(1508),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1510),
    [anon_sym_i8] = ACTIONS(1510),
    [anon_sym_u16] = ACTIONS(1510),
    [anon_sym_i16] = ACTIONS(1510),
    [anon_sym_u32] = ACTIONS(1510),
    [anon_sym_i32] = ACTIONS(1510),
    [anon_sym_u64] = ACTIONS(1510),
    [anon_sym_i64] = ACTIONS(1510),
    [anon_sym_u128] = ACTIONS(1510),
    [anon_sym_i128] = ACTIONS(1510),
    [anon_sym_isize] = ACTIONS(1510),
    [anon_sym_usize] = ACTIONS(1510),
    [anon_sym_f32] = ACTIONS(1510),
    [anon_sym_f64] = ACTIONS(1510),
    [anon_sym_bool] = ACTIONS(1510),
    [anon_sym_str] = ACTIONS(1510),
    [anon_sym_char] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1512),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(1514),
    [anon_sym_COLON_COLON] = ACTIONS(1516),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1518),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1520),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_ref] = ACTIONS(1300),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1522),
    [sym_super] = ACTIONS(1522),
    [sym_crate] = ACTIONS(1522),
    [sym_metavariable] = ACTIONS(1524),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [419] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1983),
    [sym_bracketed_type] = STATE(3520),
    [sym_lifetime] = STATE(829),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3198),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(2480),
    [sym_scoped_identifier] = STATE(2216),
    [sym_scoped_type_identifier] = STATE(2114),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2093),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(419),
    [sym_block_comment] = STATE(419),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1330),
    [anon_sym_i8] = ACTIONS(1330),
    [anon_sym_u16] = ACTIONS(1330),
    [anon_sym_i16] = ACTIONS(1330),
    [anon_sym_u32] = ACTIONS(1330),
    [anon_sym_i32] = ACTIONS(1330),
    [anon_sym_u64] = ACTIONS(1330),
    [anon_sym_i64] = ACTIONS(1330),
    [anon_sym_u128] = ACTIONS(1330),
    [anon_sym_i128] = ACTIONS(1330),
    [anon_sym_isize] = ACTIONS(1330),
    [anon_sym_usize] = ACTIONS(1330),
    [anon_sym_f32] = ACTIONS(1330),
    [anon_sym_f64] = ACTIONS(1330),
    [anon_sym_bool] = ACTIONS(1330),
    [anon_sym_str] = ACTIONS(1330),
    [anon_sym_char] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1526),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1342),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_ref] = ACTIONS(1300),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(1528),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1530),
    [sym_super] = ACTIONS(1346),
    [sym_crate] = ACTIONS(1346),
    [sym_metavariable] = ACTIONS(1348),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [420] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1976),
    [sym_bracketed_type] = STATE(3527),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3273),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(2487),
    [sym_scoped_identifier] = STATE(2113),
    [sym_scoped_type_identifier] = STATE(2114),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2081),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(420),
    [sym_block_comment] = STATE(420),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1248),
    [anon_sym_LPAREN] = ACTIONS(1250),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1260),
    [anon_sym_i8] = ACTIONS(1260),
    [anon_sym_u16] = ACTIONS(1260),
    [anon_sym_i16] = ACTIONS(1260),
    [anon_sym_u32] = ACTIONS(1260),
    [anon_sym_i32] = ACTIONS(1260),
    [anon_sym_u64] = ACTIONS(1260),
    [anon_sym_i64] = ACTIONS(1260),
    [anon_sym_u128] = ACTIONS(1260),
    [anon_sym_i128] = ACTIONS(1260),
    [anon_sym_isize] = ACTIONS(1260),
    [anon_sym_usize] = ACTIONS(1260),
    [anon_sym_f32] = ACTIONS(1260),
    [anon_sym_f64] = ACTIONS(1260),
    [anon_sym_bool] = ACTIONS(1260),
    [anon_sym_str] = ACTIONS(1260),
    [anon_sym_char] = ACTIONS(1260),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1476),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1288),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1296),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_ref] = ACTIONS(1300),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1314),
    [sym_super] = ACTIONS(1314),
    [sym_crate] = ACTIONS(1314),
    [sym_metavariable] = ACTIONS(1316),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [421] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1983),
    [sym_bracketed_type] = STATE(3527),
    [sym_lifetime] = STATE(833),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3273),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(2487),
    [sym_scoped_identifier] = STATE(2113),
    [sym_scoped_type_identifier] = STATE(2114),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2093),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(421),
    [sym_block_comment] = STATE(421),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1248),
    [anon_sym_LPAREN] = ACTIONS(1250),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1260),
    [anon_sym_i8] = ACTIONS(1260),
    [anon_sym_u16] = ACTIONS(1260),
    [anon_sym_i16] = ACTIONS(1260),
    [anon_sym_u32] = ACTIONS(1260),
    [anon_sym_i32] = ACTIONS(1260),
    [anon_sym_u64] = ACTIONS(1260),
    [anon_sym_i64] = ACTIONS(1260),
    [anon_sym_u128] = ACTIONS(1260),
    [anon_sym_i128] = ACTIONS(1260),
    [anon_sym_isize] = ACTIONS(1260),
    [anon_sym_usize] = ACTIONS(1260),
    [anon_sym_f32] = ACTIONS(1260),
    [anon_sym_f64] = ACTIONS(1260),
    [anon_sym_bool] = ACTIONS(1260),
    [anon_sym_str] = ACTIONS(1260),
    [anon_sym_char] = ACTIONS(1260),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1476),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1288),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1296),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_ref] = ACTIONS(1300),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(1532),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1314),
    [sym_super] = ACTIONS(1314),
    [sym_crate] = ACTIONS(1314),
    [sym_metavariable] = ACTIONS(1316),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [422] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1976),
    [sym_bracketed_type] = STATE(3520),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3198),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(2480),
    [sym_scoped_identifier] = STATE(2216),
    [sym_scoped_type_identifier] = STATE(2114),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2081),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(422),
    [sym_block_comment] = STATE(422),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1330),
    [anon_sym_i8] = ACTIONS(1330),
    [anon_sym_u16] = ACTIONS(1330),
    [anon_sym_i16] = ACTIONS(1330),
    [anon_sym_u32] = ACTIONS(1330),
    [anon_sym_i32] = ACTIONS(1330),
    [anon_sym_u64] = ACTIONS(1330),
    [anon_sym_i64] = ACTIONS(1330),
    [anon_sym_u128] = ACTIONS(1330),
    [anon_sym_i128] = ACTIONS(1330),
    [anon_sym_isize] = ACTIONS(1330),
    [anon_sym_usize] = ACTIONS(1330),
    [anon_sym_f32] = ACTIONS(1330),
    [anon_sym_f64] = ACTIONS(1330),
    [anon_sym_bool] = ACTIONS(1330),
    [anon_sym_str] = ACTIONS(1330),
    [anon_sym_char] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1526),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1342),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_ref] = ACTIONS(1300),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1534),
    [sym_super] = ACTIONS(1346),
    [sym_crate] = ACTIONS(1346),
    [sym_metavariable] = ACTIONS(1348),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [423] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1983),
    [sym_bracketed_type] = STATE(3520),
    [sym_lifetime] = STATE(833),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3198),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(2480),
    [sym_scoped_identifier] = STATE(2216),
    [sym_scoped_type_identifier] = STATE(2114),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2093),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(423),
    [sym_block_comment] = STATE(423),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1330),
    [anon_sym_i8] = ACTIONS(1330),
    [anon_sym_u16] = ACTIONS(1330),
    [anon_sym_i16] = ACTIONS(1330),
    [anon_sym_u32] = ACTIONS(1330),
    [anon_sym_i32] = ACTIONS(1330),
    [anon_sym_u64] = ACTIONS(1330),
    [anon_sym_i64] = ACTIONS(1330),
    [anon_sym_u128] = ACTIONS(1330),
    [anon_sym_i128] = ACTIONS(1330),
    [anon_sym_isize] = ACTIONS(1330),
    [anon_sym_usize] = ACTIONS(1330),
    [anon_sym_f32] = ACTIONS(1330),
    [anon_sym_f64] = ACTIONS(1330),
    [anon_sym_bool] = ACTIONS(1330),
    [anon_sym_str] = ACTIONS(1330),
    [anon_sym_char] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1526),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1342),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_ref] = ACTIONS(1300),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(1536),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1346),
    [sym_super] = ACTIONS(1346),
    [sym_crate] = ACTIONS(1346),
    [sym_metavariable] = ACTIONS(1348),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [424] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1976),
    [sym_bracketed_type] = STATE(3527),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3273),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(2487),
    [sym_scoped_identifier] = STATE(2113),
    [sym_scoped_type_identifier] = STATE(2114),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2081),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(424),
    [sym_block_comment] = STATE(424),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1248),
    [anon_sym_LPAREN] = ACTIONS(1250),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1260),
    [anon_sym_i8] = ACTIONS(1260),
    [anon_sym_u16] = ACTIONS(1260),
    [anon_sym_i16] = ACTIONS(1260),
    [anon_sym_u32] = ACTIONS(1260),
    [anon_sym_i32] = ACTIONS(1260),
    [anon_sym_u64] = ACTIONS(1260),
    [anon_sym_i64] = ACTIONS(1260),
    [anon_sym_u128] = ACTIONS(1260),
    [anon_sym_i128] = ACTIONS(1260),
    [anon_sym_isize] = ACTIONS(1260),
    [anon_sym_usize] = ACTIONS(1260),
    [anon_sym_f32] = ACTIONS(1260),
    [anon_sym_f64] = ACTIONS(1260),
    [anon_sym_bool] = ACTIONS(1260),
    [anon_sym_str] = ACTIONS(1260),
    [anon_sym_char] = ACTIONS(1260),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1476),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1288),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1296),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_ref] = ACTIONS(1300),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1538),
    [sym_super] = ACTIONS(1314),
    [sym_crate] = ACTIONS(1314),
    [sym_metavariable] = ACTIONS(1316),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [425] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1983),
    [sym_bracketed_type] = STATE(3527),
    [sym_lifetime] = STATE(829),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3273),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(2487),
    [sym_scoped_identifier] = STATE(2113),
    [sym_scoped_type_identifier] = STATE(2114),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2093),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(425),
    [sym_block_comment] = STATE(425),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1248),
    [anon_sym_LPAREN] = ACTIONS(1250),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1260),
    [anon_sym_i8] = ACTIONS(1260),
    [anon_sym_u16] = ACTIONS(1260),
    [anon_sym_i16] = ACTIONS(1260),
    [anon_sym_u32] = ACTIONS(1260),
    [anon_sym_i32] = ACTIONS(1260),
    [anon_sym_u64] = ACTIONS(1260),
    [anon_sym_i64] = ACTIONS(1260),
    [anon_sym_u128] = ACTIONS(1260),
    [anon_sym_i128] = ACTIONS(1260),
    [anon_sym_isize] = ACTIONS(1260),
    [anon_sym_usize] = ACTIONS(1260),
    [anon_sym_f32] = ACTIONS(1260),
    [anon_sym_f64] = ACTIONS(1260),
    [anon_sym_bool] = ACTIONS(1260),
    [anon_sym_str] = ACTIONS(1260),
    [anon_sym_char] = ACTIONS(1260),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1476),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(1278),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1288),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1296),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_ref] = ACTIONS(1300),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(1540),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1542),
    [sym_super] = ACTIONS(1314),
    [sym_crate] = ACTIONS(1314),
    [sym_metavariable] = ACTIONS(1316),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [426] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1983),
    [sym_bracketed_type] = STATE(3528),
    [sym_lifetime] = STATE(833),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3278),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(2424),
    [sym_scoped_identifier] = STATE(2157),
    [sym_scoped_type_identifier] = STATE(2114),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2093),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(426),
    [sym_block_comment] = STATE(426),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1510),
    [anon_sym_i8] = ACTIONS(1510),
    [anon_sym_u16] = ACTIONS(1510),
    [anon_sym_i16] = ACTIONS(1510),
    [anon_sym_u32] = ACTIONS(1510),
    [anon_sym_i32] = ACTIONS(1510),
    [anon_sym_u64] = ACTIONS(1510),
    [anon_sym_i64] = ACTIONS(1510),
    [anon_sym_u128] = ACTIONS(1510),
    [anon_sym_i128] = ACTIONS(1510),
    [anon_sym_isize] = ACTIONS(1510),
    [anon_sym_usize] = ACTIONS(1510),
    [anon_sym_f32] = ACTIONS(1510),
    [anon_sym_f64] = ACTIONS(1510),
    [anon_sym_bool] = ACTIONS(1510),
    [anon_sym_str] = ACTIONS(1510),
    [anon_sym_char] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1512),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(1516),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1518),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1520),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_ref] = ACTIONS(1300),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(1544),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1522),
    [sym_super] = ACTIONS(1522),
    [sym_crate] = ACTIONS(1522),
    [sym_metavariable] = ACTIONS(1524),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [427] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1976),
    [sym_bracketed_type] = STATE(3520),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3198),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(2480),
    [sym_scoped_identifier] = STATE(2216),
    [sym_scoped_type_identifier] = STATE(2114),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2081),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(427),
    [sym_block_comment] = STATE(427),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1324),
    [anon_sym_LPAREN] = ACTIONS(1326),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1330),
    [anon_sym_i8] = ACTIONS(1330),
    [anon_sym_u16] = ACTIONS(1330),
    [anon_sym_i16] = ACTIONS(1330),
    [anon_sym_u32] = ACTIONS(1330),
    [anon_sym_i32] = ACTIONS(1330),
    [anon_sym_u64] = ACTIONS(1330),
    [anon_sym_i64] = ACTIONS(1330),
    [anon_sym_u128] = ACTIONS(1330),
    [anon_sym_i128] = ACTIONS(1330),
    [anon_sym_isize] = ACTIONS(1330),
    [anon_sym_usize] = ACTIONS(1330),
    [anon_sym_f32] = ACTIONS(1330),
    [anon_sym_f64] = ACTIONS(1330),
    [anon_sym_bool] = ACTIONS(1330),
    [anon_sym_str] = ACTIONS(1330),
    [anon_sym_char] = ACTIONS(1330),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1526),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(1338),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1340),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1342),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_ref] = ACTIONS(1300),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1346),
    [sym_super] = ACTIONS(1346),
    [sym_crate] = ACTIONS(1346),
    [sym_metavariable] = ACTIONS(1348),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [428] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1976),
    [sym_bracketed_type] = STATE(3528),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3278),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(2424),
    [sym_scoped_identifier] = STATE(2157),
    [sym_scoped_type_identifier] = STATE(2114),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2081),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(428),
    [sym_block_comment] = STATE(428),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1504),
    [anon_sym_LPAREN] = ACTIONS(1506),
    [anon_sym_LBRACK] = ACTIONS(1254),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1510),
    [anon_sym_i8] = ACTIONS(1510),
    [anon_sym_u16] = ACTIONS(1510),
    [anon_sym_i16] = ACTIONS(1510),
    [anon_sym_u32] = ACTIONS(1510),
    [anon_sym_i32] = ACTIONS(1510),
    [anon_sym_u64] = ACTIONS(1510),
    [anon_sym_i64] = ACTIONS(1510),
    [anon_sym_u128] = ACTIONS(1510),
    [anon_sym_i128] = ACTIONS(1510),
    [anon_sym_isize] = ACTIONS(1510),
    [anon_sym_usize] = ACTIONS(1510),
    [anon_sym_f32] = ACTIONS(1510),
    [anon_sym_f64] = ACTIONS(1510),
    [anon_sym_bool] = ACTIONS(1510),
    [anon_sym_str] = ACTIONS(1510),
    [anon_sym_char] = ACTIONS(1510),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1512),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(1516),
    [anon_sym_SQUOTE] = ACTIONS(1282),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1286),
    [anon_sym_default] = ACTIONS(1518),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1520),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_ref] = ACTIONS(1300),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1522),
    [sym_super] = ACTIONS(1522),
    [sym_crate] = ACTIONS(1522),
    [sym_metavariable] = ACTIONS(1524),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [429] = {
    [sym_line_comment] = STATE(429),
    [sym_block_comment] = STATE(429),
    [sym_identifier] = ACTIONS(1546),
    [anon_sym_SEMI] = ACTIONS(1548),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_RPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [anon_sym_RBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym_RBRACE] = ACTIONS(1548),
    [anon_sym_COLON] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1546),
    [anon_sym_STAR] = ACTIONS(1546),
    [anon_sym_QMARK] = ACTIONS(1548),
    [anon_sym_u8] = ACTIONS(1546),
    [anon_sym_i8] = ACTIONS(1546),
    [anon_sym_u16] = ACTIONS(1546),
    [anon_sym_i16] = ACTIONS(1546),
    [anon_sym_u32] = ACTIONS(1546),
    [anon_sym_i32] = ACTIONS(1546),
    [anon_sym_u64] = ACTIONS(1546),
    [anon_sym_i64] = ACTIONS(1546),
    [anon_sym_u128] = ACTIONS(1546),
    [anon_sym_i128] = ACTIONS(1546),
    [anon_sym_isize] = ACTIONS(1546),
    [anon_sym_usize] = ACTIONS(1546),
    [anon_sym_f32] = ACTIONS(1546),
    [anon_sym_f64] = ACTIONS(1546),
    [anon_sym_bool] = ACTIONS(1546),
    [anon_sym_str] = ACTIONS(1546),
    [anon_sym_char] = ACTIONS(1546),
    [anon_sym_DASH] = ACTIONS(1546),
    [anon_sym_SLASH] = ACTIONS(1546),
    [anon_sym_PERCENT] = ACTIONS(1546),
    [anon_sym_CARET] = ACTIONS(1546),
    [anon_sym_BANG] = ACTIONS(1546),
    [anon_sym_AMP] = ACTIONS(1546),
    [anon_sym_PIPE] = ACTIONS(1546),
    [anon_sym_AMP_AMP] = ACTIONS(1548),
    [anon_sym_PIPE_PIPE] = ACTIONS(1548),
    [anon_sym_LT_LT] = ACTIONS(1546),
    [anon_sym_GT_GT] = ACTIONS(1546),
    [anon_sym_PLUS_EQ] = ACTIONS(1548),
    [anon_sym_DASH_EQ] = ACTIONS(1548),
    [anon_sym_STAR_EQ] = ACTIONS(1548),
    [anon_sym_SLASH_EQ] = ACTIONS(1548),
    [anon_sym_PERCENT_EQ] = ACTIONS(1548),
    [anon_sym_CARET_EQ] = ACTIONS(1548),
    [anon_sym_AMP_EQ] = ACTIONS(1548),
    [anon_sym_PIPE_EQ] = ACTIONS(1548),
    [anon_sym_LT_LT_EQ] = ACTIONS(1548),
    [anon_sym_GT_GT_EQ] = ACTIONS(1548),
    [anon_sym_EQ] = ACTIONS(1546),
    [anon_sym_EQ_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ] = ACTIONS(1548),
    [anon_sym_GT] = ACTIONS(1546),
    [anon_sym_LT] = ACTIONS(1546),
    [anon_sym_GT_EQ] = ACTIONS(1548),
    [anon_sym_LT_EQ] = ACTIONS(1548),
    [anon_sym_DOT] = ACTIONS(1546),
    [anon_sym_DOT_DOT] = ACTIONS(1546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1548),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1548),
    [anon_sym_COMMA] = ACTIONS(1548),
    [anon_sym_COLON_COLON] = ACTIONS(1548),
    [anon_sym_SQUOTE] = ACTIONS(1546),
    [anon_sym_as] = ACTIONS(1546),
    [anon_sym_async] = ACTIONS(1546),
    [anon_sym_break] = ACTIONS(1546),
    [anon_sym_const] = ACTIONS(1546),
    [anon_sym_continue] = ACTIONS(1546),
    [anon_sym_default] = ACTIONS(1546),
    [anon_sym_for] = ACTIONS(1546),
    [anon_sym_if] = ACTIONS(1546),
    [anon_sym_loop] = ACTIONS(1546),
    [anon_sym_match] = ACTIONS(1546),
    [anon_sym_return] = ACTIONS(1546),
    [anon_sym_static] = ACTIONS(1546),
    [anon_sym_union] = ACTIONS(1546),
    [anon_sym_unsafe] = ACTIONS(1546),
    [anon_sym_while] = ACTIONS(1546),
    [anon_sym_else] = ACTIONS(1546),
    [anon_sym_yield] = ACTIONS(1546),
    [anon_sym_move] = ACTIONS(1546),
    [anon_sym_try] = ACTIONS(1546),
    [sym_integer_literal] = ACTIONS(1548),
    [aux_sym_string_literal_token1] = ACTIONS(1548),
    [sym_char_literal] = ACTIONS(1548),
    [anon_sym_true] = ACTIONS(1546),
    [anon_sym_false] = ACTIONS(1546),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1546),
    [sym_super] = ACTIONS(1546),
    [sym_crate] = ACTIONS(1546),
    [sym_metavariable] = ACTIONS(1548),
    [sym__raw_string_literal_start] = ACTIONS(1548),
    [sym_float_literal] = ACTIONS(1548),
  },
  [430] = {
    [sym_line_comment] = STATE(430),
    [sym_block_comment] = STATE(430),
    [sym_identifier] = ACTIONS(1546),
    [anon_sym_LPAREN] = ACTIONS(1548),
    [anon_sym_LBRACK] = ACTIONS(1548),
    [anon_sym_LBRACE] = ACTIONS(1548),
    [anon_sym_EQ_GT] = ACTIONS(1548),
    [anon_sym_COLON] = ACTIONS(1546),
    [anon_sym_PLUS] = ACTIONS(1546),
    [anon_sym_STAR] = ACTIONS(1546),
    [anon_sym_QMARK] = ACTIONS(1548),
    [anon_sym_u8] = ACTIONS(1546),
    [anon_sym_i8] = ACTIONS(1546),
    [anon_sym_u16] = ACTIONS(1546),
    [anon_sym_i16] = ACTIONS(1546),
    [anon_sym_u32] = ACTIONS(1546),
    [anon_sym_i32] = ACTIONS(1546),
    [anon_sym_u64] = ACTIONS(1546),
    [anon_sym_i64] = ACTIONS(1546),
    [anon_sym_u128] = ACTIONS(1546),
    [anon_sym_i128] = ACTIONS(1546),
    [anon_sym_isize] = ACTIONS(1546),
    [anon_sym_usize] = ACTIONS(1546),
    [anon_sym_f32] = ACTIONS(1546),
    [anon_sym_f64] = ACTIONS(1546),
    [anon_sym_bool] = ACTIONS(1546),
    [anon_sym_str] = ACTIONS(1546),
    [anon_sym_char] = ACTIONS(1546),
    [anon_sym_DASH] = ACTIONS(1546),
    [anon_sym_SLASH] = ACTIONS(1546),
    [anon_sym_PERCENT] = ACTIONS(1546),
    [anon_sym_CARET] = ACTIONS(1546),
    [anon_sym_BANG] = ACTIONS(1546),
    [anon_sym_AMP] = ACTIONS(1546),
    [anon_sym_PIPE] = ACTIONS(1546),
    [anon_sym_AMP_AMP] = ACTIONS(1548),
    [anon_sym_PIPE_PIPE] = ACTIONS(1548),
    [anon_sym_LT_LT] = ACTIONS(1546),
    [anon_sym_GT_GT] = ACTIONS(1546),
    [anon_sym_PLUS_EQ] = ACTIONS(1548),
    [anon_sym_DASH_EQ] = ACTIONS(1548),
    [anon_sym_STAR_EQ] = ACTIONS(1548),
    [anon_sym_SLASH_EQ] = ACTIONS(1548),
    [anon_sym_PERCENT_EQ] = ACTIONS(1548),
    [anon_sym_CARET_EQ] = ACTIONS(1548),
    [anon_sym_AMP_EQ] = ACTIONS(1548),
    [anon_sym_PIPE_EQ] = ACTIONS(1548),
    [anon_sym_LT_LT_EQ] = ACTIONS(1548),
    [anon_sym_GT_GT_EQ] = ACTIONS(1548),
    [anon_sym_EQ] = ACTIONS(1546),
    [anon_sym_EQ_EQ] = ACTIONS(1548),
    [anon_sym_BANG_EQ] = ACTIONS(1548),
    [anon_sym_GT] = ACTIONS(1546),
    [anon_sym_LT] = ACTIONS(1546),
    [anon_sym_GT_EQ] = ACTIONS(1548),
    [anon_sym_LT_EQ] = ACTIONS(1548),
    [anon_sym_DOT] = ACTIONS(1546),
    [anon_sym_DOT_DOT] = ACTIONS(1546),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1548),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1548),
    [anon_sym_COLON_COLON] = ACTIONS(1548),
    [anon_sym_SQUOTE] = ACTIONS(1546),
    [anon_sym_as] = ACTIONS(1546),
    [anon_sym_async] = ACTIONS(1546),
    [anon_sym_break] = ACTIONS(1546),
    [anon_sym_const] = ACTIONS(1546),
    [anon_sym_continue] = ACTIONS(1546),
    [anon_sym_default] = ACTIONS(1546),
    [anon_sym_for] = ACTIONS(1546),
    [anon_sym_if] = ACTIONS(1546),
    [anon_sym_loop] = ACTIONS(1546),
    [anon_sym_match] = ACTIONS(1546),
    [anon_sym_return] = ACTIONS(1546),
    [anon_sym_static] = ACTIONS(1546),
    [anon_sym_union] = ACTIONS(1546),
    [anon_sym_unsafe] = ACTIONS(1546),
    [anon_sym_while] = ACTIONS(1546),
    [anon_sym_yield] = ACTIONS(1546),
    [anon_sym_move] = ACTIONS(1546),
    [anon_sym_try] = ACTIONS(1546),
    [sym_integer_literal] = ACTIONS(1548),
    [aux_sym_string_literal_token1] = ACTIONS(1548),
    [sym_char_literal] = ACTIONS(1548),
    [anon_sym_true] = ACTIONS(1546),
    [anon_sym_false] = ACTIONS(1546),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1546),
    [sym_super] = ACTIONS(1546),
    [sym_crate] = ACTIONS(1546),
    [sym_metavariable] = ACTIONS(1548),
    [sym__raw_string_literal_start] = ACTIONS(1548),
    [sym_float_literal] = ACTIONS(1548),
  },
  [431] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2112),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(431),
    [sym_block_comment] = STATE(431),
    [sym_identifier] = ACTIONS(1550),
    [anon_sym_LPAREN] = ACTIONS(1552),
    [anon_sym_LBRACK] = ACTIONS(1552),
    [anon_sym_LBRACE] = ACTIONS(1552),
    [anon_sym_STAR] = ACTIONS(1552),
    [anon_sym_u8] = ACTIONS(1550),
    [anon_sym_i8] = ACTIONS(1550),
    [anon_sym_u16] = ACTIONS(1550),
    [anon_sym_i16] = ACTIONS(1550),
    [anon_sym_u32] = ACTIONS(1550),
    [anon_sym_i32] = ACTIONS(1550),
    [anon_sym_u64] = ACTIONS(1550),
    [anon_sym_i64] = ACTIONS(1550),
    [anon_sym_u128] = ACTIONS(1550),
    [anon_sym_i128] = ACTIONS(1550),
    [anon_sym_isize] = ACTIONS(1550),
    [anon_sym_usize] = ACTIONS(1550),
    [anon_sym_f32] = ACTIONS(1550),
    [anon_sym_f64] = ACTIONS(1550),
    [anon_sym_bool] = ACTIONS(1550),
    [anon_sym_str] = ACTIONS(1550),
    [anon_sym_char] = ACTIONS(1550),
    [anon_sym_DASH] = ACTIONS(1550),
    [anon_sym_BANG] = ACTIONS(1552),
    [anon_sym_AMP] = ACTIONS(1552),
    [anon_sym_PIPE] = ACTIONS(1552),
    [anon_sym_LT] = ACTIONS(1552),
    [anon_sym__] = ACTIONS(1550),
    [anon_sym_DOT_DOT] = ACTIONS(1552),
    [anon_sym_COLON_COLON] = ACTIONS(1552),
    [anon_sym_DASH_GT] = ACTIONS(1552),
    [anon_sym_SQUOTE] = ACTIONS(1550),
    [anon_sym_async] = ACTIONS(1550),
    [anon_sym_break] = ACTIONS(1550),
    [anon_sym_const] = ACTIONS(1550),
    [anon_sym_continue] = ACTIONS(1550),
    [anon_sym_default] = ACTIONS(1550),
    [anon_sym_for] = ACTIONS(1550),
    [anon_sym_if] = ACTIONS(1550),
    [anon_sym_loop] = ACTIONS(1550),
    [anon_sym_match] = ACTIONS(1550),
    [anon_sym_return] = ACTIONS(1550),
    [anon_sym_static] = ACTIONS(1550),
    [anon_sym_union] = ACTIONS(1550),
    [anon_sym_unsafe] = ACTIONS(1550),
    [anon_sym_while] = ACTIONS(1550),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [anon_sym_yield] = ACTIONS(1550),
    [anon_sym_move] = ACTIONS(1550),
    [anon_sym_try] = ACTIONS(1550),
    [sym_integer_literal] = ACTIONS(1552),
    [aux_sym_string_literal_token1] = ACTIONS(1552),
    [sym_char_literal] = ACTIONS(1552),
    [anon_sym_true] = ACTIONS(1550),
    [anon_sym_false] = ACTIONS(1550),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1550),
    [sym_super] = ACTIONS(1550),
    [sym_crate] = ACTIONS(1550),
    [sym_metavariable] = ACTIONS(1552),
    [sym__raw_string_literal_start] = ACTIONS(1552),
    [sym_float_literal] = ACTIONS(1552),
  },
  [432] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2103),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(432),
    [sym_block_comment] = STATE(432),
    [sym_identifier] = ACTIONS(1554),
    [anon_sym_LPAREN] = ACTIONS(1556),
    [anon_sym_LBRACK] = ACTIONS(1556),
    [anon_sym_LBRACE] = ACTIONS(1556),
    [anon_sym_STAR] = ACTIONS(1556),
    [anon_sym_u8] = ACTIONS(1554),
    [anon_sym_i8] = ACTIONS(1554),
    [anon_sym_u16] = ACTIONS(1554),
    [anon_sym_i16] = ACTIONS(1554),
    [anon_sym_u32] = ACTIONS(1554),
    [anon_sym_i32] = ACTIONS(1554),
    [anon_sym_u64] = ACTIONS(1554),
    [anon_sym_i64] = ACTIONS(1554),
    [anon_sym_u128] = ACTIONS(1554),
    [anon_sym_i128] = ACTIONS(1554),
    [anon_sym_isize] = ACTIONS(1554),
    [anon_sym_usize] = ACTIONS(1554),
    [anon_sym_f32] = ACTIONS(1554),
    [anon_sym_f64] = ACTIONS(1554),
    [anon_sym_bool] = ACTIONS(1554),
    [anon_sym_str] = ACTIONS(1554),
    [anon_sym_char] = ACTIONS(1554),
    [anon_sym_DASH] = ACTIONS(1554),
    [anon_sym_BANG] = ACTIONS(1556),
    [anon_sym_AMP] = ACTIONS(1556),
    [anon_sym_PIPE] = ACTIONS(1556),
    [anon_sym_LT] = ACTIONS(1556),
    [anon_sym__] = ACTIONS(1554),
    [anon_sym_DOT_DOT] = ACTIONS(1556),
    [anon_sym_COLON_COLON] = ACTIONS(1556),
    [anon_sym_DASH_GT] = ACTIONS(1556),
    [anon_sym_SQUOTE] = ACTIONS(1554),
    [anon_sym_async] = ACTIONS(1554),
    [anon_sym_break] = ACTIONS(1554),
    [anon_sym_const] = ACTIONS(1554),
    [anon_sym_continue] = ACTIONS(1554),
    [anon_sym_default] = ACTIONS(1554),
    [anon_sym_for] = ACTIONS(1554),
    [anon_sym_if] = ACTIONS(1554),
    [anon_sym_loop] = ACTIONS(1554),
    [anon_sym_match] = ACTIONS(1554),
    [anon_sym_return] = ACTIONS(1554),
    [anon_sym_static] = ACTIONS(1554),
    [anon_sym_union] = ACTIONS(1554),
    [anon_sym_unsafe] = ACTIONS(1554),
    [anon_sym_while] = ACTIONS(1554),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [anon_sym_yield] = ACTIONS(1554),
    [anon_sym_move] = ACTIONS(1554),
    [anon_sym_try] = ACTIONS(1554),
    [sym_integer_literal] = ACTIONS(1556),
    [aux_sym_string_literal_token1] = ACTIONS(1556),
    [sym_char_literal] = ACTIONS(1556),
    [anon_sym_true] = ACTIONS(1554),
    [anon_sym_false] = ACTIONS(1554),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1554),
    [sym_super] = ACTIONS(1554),
    [sym_crate] = ACTIONS(1554),
    [sym_metavariable] = ACTIONS(1556),
    [sym__raw_string_literal_start] = ACTIONS(1556),
    [sym_float_literal] = ACTIONS(1556),
  },
  [433] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2391),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(2396),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_type_binding] = STATE(2575),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_label] = STATE(3582),
    [sym_block] = STATE(2575),
    [sym__literal] = STATE(2575),
    [sym_string_literal] = STATE(2861),
    [sym_raw_string_literal] = STATE(2861),
    [sym_boolean_literal] = STATE(2861),
    [sym_line_comment] = STATE(433),
    [sym_block_comment] = STATE(433),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_LBRACE] = ACTIONS(1564),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_GT] = ACTIONS(1570),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(1574),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_integer_literal] = ACTIONS(1580),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1580),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1580),
  },
  [434] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2391),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(2396),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_type_binding] = STATE(2575),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_label] = STATE(3582),
    [sym_block] = STATE(2575),
    [sym__literal] = STATE(2575),
    [sym_string_literal] = STATE(2861),
    [sym_raw_string_literal] = STATE(2861),
    [sym_boolean_literal] = STATE(2861),
    [sym_line_comment] = STATE(434),
    [sym_block_comment] = STATE(434),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_LBRACE] = ACTIONS(1564),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_GT] = ACTIONS(1586),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(1574),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_integer_literal] = ACTIONS(1580),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1580),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1580),
  },
  [435] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2391),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(2396),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_type_binding] = STATE(2575),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_label] = STATE(3582),
    [sym_block] = STATE(2575),
    [sym__literal] = STATE(2575),
    [sym_string_literal] = STATE(2861),
    [sym_raw_string_literal] = STATE(2861),
    [sym_boolean_literal] = STATE(2861),
    [sym_line_comment] = STATE(435),
    [sym_block_comment] = STATE(435),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_LBRACE] = ACTIONS(1564),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_GT] = ACTIONS(1588),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(1574),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_integer_literal] = ACTIONS(1580),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1580),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1580),
  },
  [436] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2391),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(2396),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_type_binding] = STATE(2575),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_label] = STATE(3582),
    [sym_block] = STATE(2575),
    [sym__literal] = STATE(2575),
    [sym_string_literal] = STATE(2861),
    [sym_raw_string_literal] = STATE(2861),
    [sym_boolean_literal] = STATE(2861),
    [sym_line_comment] = STATE(436),
    [sym_block_comment] = STATE(436),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_LBRACE] = ACTIONS(1564),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_GT] = ACTIONS(1590),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(1574),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_integer_literal] = ACTIONS(1580),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1580),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1580),
  },
  [437] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2391),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(2396),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_type_binding] = STATE(2575),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_label] = STATE(3582),
    [sym_block] = STATE(2575),
    [sym__literal] = STATE(2575),
    [sym_string_literal] = STATE(2861),
    [sym_raw_string_literal] = STATE(2861),
    [sym_boolean_literal] = STATE(2861),
    [sym_line_comment] = STATE(437),
    [sym_block_comment] = STATE(437),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_LBRACE] = ACTIONS(1564),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_GT] = ACTIONS(1592),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(1574),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_integer_literal] = ACTIONS(1580),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1580),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1580),
  },
  [438] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2391),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(2396),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_type_binding] = STATE(2575),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_label] = STATE(3582),
    [sym_block] = STATE(2575),
    [sym__literal] = STATE(2575),
    [sym_string_literal] = STATE(2861),
    [sym_raw_string_literal] = STATE(2861),
    [sym_boolean_literal] = STATE(2861),
    [sym_line_comment] = STATE(438),
    [sym_block_comment] = STATE(438),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_LBRACE] = ACTIONS(1564),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_GT] = ACTIONS(1594),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(1574),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_integer_literal] = ACTIONS(1580),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1580),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1580),
  },
  [439] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2391),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(2396),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_type_binding] = STATE(2575),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_label] = STATE(3582),
    [sym_block] = STATE(2575),
    [sym__literal] = STATE(2575),
    [sym_string_literal] = STATE(2861),
    [sym_raw_string_literal] = STATE(2861),
    [sym_boolean_literal] = STATE(2861),
    [sym_line_comment] = STATE(439),
    [sym_block_comment] = STATE(439),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_LBRACE] = ACTIONS(1564),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_GT] = ACTIONS(1596),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(1574),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_integer_literal] = ACTIONS(1580),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1580),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1580),
  },
  [440] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2391),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(2396),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_type_binding] = STATE(2575),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_label] = STATE(3582),
    [sym_block] = STATE(2575),
    [sym__literal] = STATE(2575),
    [sym_string_literal] = STATE(2861),
    [sym_raw_string_literal] = STATE(2861),
    [sym_boolean_literal] = STATE(2861),
    [sym_line_comment] = STATE(440),
    [sym_block_comment] = STATE(440),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_LBRACE] = ACTIONS(1564),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_GT] = ACTIONS(1598),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(1574),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_integer_literal] = ACTIONS(1580),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1580),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1580),
  },
  [441] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2391),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(2396),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_type_binding] = STATE(2575),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_label] = STATE(3582),
    [sym_block] = STATE(2575),
    [sym__literal] = STATE(2575),
    [sym_string_literal] = STATE(2861),
    [sym_raw_string_literal] = STATE(2861),
    [sym_boolean_literal] = STATE(2861),
    [sym_line_comment] = STATE(441),
    [sym_block_comment] = STATE(441),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_LBRACE] = ACTIONS(1564),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_GT] = ACTIONS(1600),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(1574),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_integer_literal] = ACTIONS(1580),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1580),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1580),
  },
  [442] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2391),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(2396),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_type_binding] = STATE(2575),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_label] = STATE(3582),
    [sym_block] = STATE(2575),
    [sym__literal] = STATE(2575),
    [sym_string_literal] = STATE(2861),
    [sym_raw_string_literal] = STATE(2861),
    [sym_boolean_literal] = STATE(2861),
    [sym_line_comment] = STATE(442),
    [sym_block_comment] = STATE(442),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_LBRACE] = ACTIONS(1564),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(1574),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_integer_literal] = ACTIONS(1580),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1580),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1580),
  },
  [443] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2300),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(2301),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_type_binding] = STATE(2426),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_label] = STATE(3582),
    [sym_block] = STATE(2426),
    [sym__literal] = STATE(2426),
    [sym_string_literal] = STATE(2861),
    [sym_raw_string_literal] = STATE(2861),
    [sym_boolean_literal] = STATE(2861),
    [sym_line_comment] = STATE(443),
    [sym_block_comment] = STATE(443),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_LBRACE] = ACTIONS(1564),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(1574),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_integer_literal] = ACTIONS(1580),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1580),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1580),
  },
  [444] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2345),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(2346),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_type_binding] = STATE(2425),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_label] = STATE(3582),
    [sym_block] = STATE(2425),
    [sym__literal] = STATE(2425),
    [sym_string_literal] = STATE(2861),
    [sym_raw_string_literal] = STATE(2861),
    [sym_boolean_literal] = STATE(2861),
    [sym_line_comment] = STATE(444),
    [sym_block_comment] = STATE(444),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_LBRACE] = ACTIONS(1564),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(1574),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_integer_literal] = ACTIONS(1580),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1580),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1580),
  },
  [445] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2352),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(2353),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_type_binding] = STATE(2441),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_label] = STATE(3582),
    [sym_block] = STATE(2441),
    [sym__literal] = STATE(2441),
    [sym_string_literal] = STATE(2861),
    [sym_raw_string_literal] = STATE(2861),
    [sym_boolean_literal] = STATE(2861),
    [sym_line_comment] = STATE(445),
    [sym_block_comment] = STATE(445),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(1558),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_LBRACE] = ACTIONS(1564),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(1574),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_integer_literal] = ACTIONS(1580),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1580),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1580),
  },
  [446] = {
    [sym_else_clause] = STATE(455),
    [sym_line_comment] = STATE(446),
    [sym_block_comment] = STATE(446),
    [sym_identifier] = ACTIONS(1196),
    [anon_sym_LPAREN] = ACTIONS(1194),
    [anon_sym_LBRACK] = ACTIONS(1194),
    [anon_sym_RBRACE] = ACTIONS(1194),
    [anon_sym_PLUS] = ACTIONS(1196),
    [anon_sym_STAR] = ACTIONS(1196),
    [anon_sym_QMARK] = ACTIONS(1194),
    [anon_sym_u8] = ACTIONS(1196),
    [anon_sym_i8] = ACTIONS(1196),
    [anon_sym_u16] = ACTIONS(1196),
    [anon_sym_i16] = ACTIONS(1196),
    [anon_sym_u32] = ACTIONS(1196),
    [anon_sym_i32] = ACTIONS(1196),
    [anon_sym_u64] = ACTIONS(1196),
    [anon_sym_i64] = ACTIONS(1196),
    [anon_sym_u128] = ACTIONS(1196),
    [anon_sym_i128] = ACTIONS(1196),
    [anon_sym_isize] = ACTIONS(1196),
    [anon_sym_usize] = ACTIONS(1196),
    [anon_sym_f32] = ACTIONS(1196),
    [anon_sym_f64] = ACTIONS(1196),
    [anon_sym_bool] = ACTIONS(1196),
    [anon_sym_str] = ACTIONS(1196),
    [anon_sym_char] = ACTIONS(1196),
    [anon_sym_DASH] = ACTIONS(1196),
    [anon_sym_SLASH] = ACTIONS(1196),
    [anon_sym_PERCENT] = ACTIONS(1196),
    [anon_sym_CARET] = ACTIONS(1196),
    [anon_sym_AMP] = ACTIONS(1196),
    [anon_sym_PIPE] = ACTIONS(1196),
    [anon_sym_AMP_AMP] = ACTIONS(1194),
    [anon_sym_PIPE_PIPE] = ACTIONS(1194),
    [anon_sym_LT_LT] = ACTIONS(1196),
    [anon_sym_GT_GT] = ACTIONS(1196),
    [anon_sym_PLUS_EQ] = ACTIONS(1194),
    [anon_sym_DASH_EQ] = ACTIONS(1194),
    [anon_sym_STAR_EQ] = ACTIONS(1194),
    [anon_sym_SLASH_EQ] = ACTIONS(1194),
    [anon_sym_PERCENT_EQ] = ACTIONS(1194),
    [anon_sym_CARET_EQ] = ACTIONS(1194),
    [anon_sym_AMP_EQ] = ACTIONS(1194),
    [anon_sym_PIPE_EQ] = ACTIONS(1194),
    [anon_sym_LT_LT_EQ] = ACTIONS(1194),
    [anon_sym_GT_GT_EQ] = ACTIONS(1194),
    [anon_sym_EQ] = ACTIONS(1196),
    [anon_sym_EQ_EQ] = ACTIONS(1194),
    [anon_sym_BANG_EQ] = ACTIONS(1194),
    [anon_sym_GT] = ACTIONS(1196),
    [anon_sym_LT] = ACTIONS(1196),
    [anon_sym_GT_EQ] = ACTIONS(1194),
    [anon_sym_LT_EQ] = ACTIONS(1194),
    [anon_sym__] = ACTIONS(1196),
    [anon_sym_DOT] = ACTIONS(1196),
    [anon_sym_DOT_DOT] = ACTIONS(1196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1194),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1194),
    [anon_sym_COMMA] = ACTIONS(1194),
    [anon_sym_COLON_COLON] = ACTIONS(1194),
    [anon_sym_POUND] = ACTIONS(1194),
    [anon_sym_as] = ACTIONS(1196),
    [anon_sym_const] = ACTIONS(1196),
    [anon_sym_default] = ACTIONS(1196),
    [anon_sym_union] = ACTIONS(1196),
    [anon_sym_ref] = ACTIONS(1196),
    [anon_sym_else] = ACTIONS(1602),
    [sym_mutable_specifier] = ACTIONS(1196),
    [sym_integer_literal] = ACTIONS(1194),
    [aux_sym_string_literal_token1] = ACTIONS(1194),
    [sym_char_literal] = ACTIONS(1194),
    [anon_sym_true] = ACTIONS(1196),
    [anon_sym_false] = ACTIONS(1196),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1196),
    [sym_super] = ACTIONS(1196),
    [sym_crate] = ACTIONS(1196),
    [sym_metavariable] = ACTIONS(1194),
    [sym__raw_string_literal_start] = ACTIONS(1194),
    [sym_float_literal] = ACTIONS(1194),
  },
  [447] = {
    [sym_line_comment] = STATE(447),
    [sym_block_comment] = STATE(447),
    [sym_identifier] = ACTIONS(1242),
    [anon_sym_LPAREN] = ACTIONS(1240),
    [anon_sym_LBRACK] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(1242),
    [anon_sym_STAR] = ACTIONS(1242),
    [anon_sym_QMARK] = ACTIONS(1240),
    [anon_sym_u8] = ACTIONS(1242),
    [anon_sym_i8] = ACTIONS(1242),
    [anon_sym_u16] = ACTIONS(1242),
    [anon_sym_i16] = ACTIONS(1242),
    [anon_sym_u32] = ACTIONS(1242),
    [anon_sym_i32] = ACTIONS(1242),
    [anon_sym_u64] = ACTIONS(1242),
    [anon_sym_i64] = ACTIONS(1242),
    [anon_sym_u128] = ACTIONS(1242),
    [anon_sym_i128] = ACTIONS(1242),
    [anon_sym_isize] = ACTIONS(1242),
    [anon_sym_usize] = ACTIONS(1242),
    [anon_sym_f32] = ACTIONS(1242),
    [anon_sym_f64] = ACTIONS(1242),
    [anon_sym_bool] = ACTIONS(1242),
    [anon_sym_str] = ACTIONS(1242),
    [anon_sym_char] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1242),
    [anon_sym_SLASH] = ACTIONS(1242),
    [anon_sym_PERCENT] = ACTIONS(1242),
    [anon_sym_CARET] = ACTIONS(1242),
    [anon_sym_AMP] = ACTIONS(1242),
    [anon_sym_PIPE] = ACTIONS(1242),
    [anon_sym_AMP_AMP] = ACTIONS(1240),
    [anon_sym_PIPE_PIPE] = ACTIONS(1240),
    [anon_sym_LT_LT] = ACTIONS(1242),
    [anon_sym_GT_GT] = ACTIONS(1242),
    [anon_sym_PLUS_EQ] = ACTIONS(1240),
    [anon_sym_DASH_EQ] = ACTIONS(1240),
    [anon_sym_STAR_EQ] = ACTIONS(1240),
    [anon_sym_SLASH_EQ] = ACTIONS(1240),
    [anon_sym_PERCENT_EQ] = ACTIONS(1240),
    [anon_sym_CARET_EQ] = ACTIONS(1240),
    [anon_sym_AMP_EQ] = ACTIONS(1240),
    [anon_sym_PIPE_EQ] = ACTIONS(1240),
    [anon_sym_LT_LT_EQ] = ACTIONS(1240),
    [anon_sym_GT_GT_EQ] = ACTIONS(1240),
    [anon_sym_EQ] = ACTIONS(1242),
    [anon_sym_EQ_EQ] = ACTIONS(1240),
    [anon_sym_BANG_EQ] = ACTIONS(1240),
    [anon_sym_GT] = ACTIONS(1242),
    [anon_sym_LT] = ACTIONS(1242),
    [anon_sym_GT_EQ] = ACTIONS(1240),
    [anon_sym_LT_EQ] = ACTIONS(1240),
    [anon_sym__] = ACTIONS(1242),
    [anon_sym_DOT] = ACTIONS(1242),
    [anon_sym_DOT_DOT] = ACTIONS(1242),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1240),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1240),
    [anon_sym_COMMA] = ACTIONS(1240),
    [anon_sym_COLON_COLON] = ACTIONS(1240),
    [anon_sym_POUND] = ACTIONS(1240),
    [anon_sym_as] = ACTIONS(1242),
    [anon_sym_const] = ACTIONS(1242),
    [anon_sym_default] = ACTIONS(1242),
    [anon_sym_union] = ACTIONS(1242),
    [anon_sym_ref] = ACTIONS(1242),
    [anon_sym_else] = ACTIONS(1242),
    [sym_mutable_specifier] = ACTIONS(1242),
    [sym_integer_literal] = ACTIONS(1240),
    [aux_sym_string_literal_token1] = ACTIONS(1240),
    [sym_char_literal] = ACTIONS(1240),
    [anon_sym_true] = ACTIONS(1242),
    [anon_sym_false] = ACTIONS(1242),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1242),
    [sym_super] = ACTIONS(1242),
    [sym_crate] = ACTIONS(1242),
    [sym_metavariable] = ACTIONS(1240),
    [sym__raw_string_literal_start] = ACTIONS(1240),
    [sym_float_literal] = ACTIONS(1240),
  },
  [448] = {
    [sym_line_comment] = STATE(448),
    [sym_block_comment] = STATE(448),
    [sym_identifier] = ACTIONS(1246),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_LBRACK] = ACTIONS(1244),
    [anon_sym_RBRACE] = ACTIONS(1244),
    [anon_sym_PLUS] = ACTIONS(1246),
    [anon_sym_STAR] = ACTIONS(1246),
    [anon_sym_QMARK] = ACTIONS(1244),
    [anon_sym_u8] = ACTIONS(1246),
    [anon_sym_i8] = ACTIONS(1246),
    [anon_sym_u16] = ACTIONS(1246),
    [anon_sym_i16] = ACTIONS(1246),
    [anon_sym_u32] = ACTIONS(1246),
    [anon_sym_i32] = ACTIONS(1246),
    [anon_sym_u64] = ACTIONS(1246),
    [anon_sym_i64] = ACTIONS(1246),
    [anon_sym_u128] = ACTIONS(1246),
    [anon_sym_i128] = ACTIONS(1246),
    [anon_sym_isize] = ACTIONS(1246),
    [anon_sym_usize] = ACTIONS(1246),
    [anon_sym_f32] = ACTIONS(1246),
    [anon_sym_f64] = ACTIONS(1246),
    [anon_sym_bool] = ACTIONS(1246),
    [anon_sym_str] = ACTIONS(1246),
    [anon_sym_char] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1246),
    [anon_sym_SLASH] = ACTIONS(1246),
    [anon_sym_PERCENT] = ACTIONS(1246),
    [anon_sym_CARET] = ACTIONS(1246),
    [anon_sym_AMP] = ACTIONS(1246),
    [anon_sym_PIPE] = ACTIONS(1246),
    [anon_sym_AMP_AMP] = ACTIONS(1244),
    [anon_sym_PIPE_PIPE] = ACTIONS(1244),
    [anon_sym_LT_LT] = ACTIONS(1246),
    [anon_sym_GT_GT] = ACTIONS(1246),
    [anon_sym_PLUS_EQ] = ACTIONS(1244),
    [anon_sym_DASH_EQ] = ACTIONS(1244),
    [anon_sym_STAR_EQ] = ACTIONS(1244),
    [anon_sym_SLASH_EQ] = ACTIONS(1244),
    [anon_sym_PERCENT_EQ] = ACTIONS(1244),
    [anon_sym_CARET_EQ] = ACTIONS(1244),
    [anon_sym_AMP_EQ] = ACTIONS(1244),
    [anon_sym_PIPE_EQ] = ACTIONS(1244),
    [anon_sym_LT_LT_EQ] = ACTIONS(1244),
    [anon_sym_GT_GT_EQ] = ACTIONS(1244),
    [anon_sym_EQ] = ACTIONS(1246),
    [anon_sym_EQ_EQ] = ACTIONS(1244),
    [anon_sym_BANG_EQ] = ACTIONS(1244),
    [anon_sym_GT] = ACTIONS(1246),
    [anon_sym_LT] = ACTIONS(1246),
    [anon_sym_GT_EQ] = ACTIONS(1244),
    [anon_sym_LT_EQ] = ACTIONS(1244),
    [anon_sym__] = ACTIONS(1246),
    [anon_sym_DOT] = ACTIONS(1246),
    [anon_sym_DOT_DOT] = ACTIONS(1246),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1244),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1244),
    [anon_sym_COMMA] = ACTIONS(1244),
    [anon_sym_COLON_COLON] = ACTIONS(1244),
    [anon_sym_POUND] = ACTIONS(1244),
    [anon_sym_as] = ACTIONS(1246),
    [anon_sym_const] = ACTIONS(1246),
    [anon_sym_default] = ACTIONS(1246),
    [anon_sym_union] = ACTIONS(1246),
    [anon_sym_ref] = ACTIONS(1246),
    [anon_sym_else] = ACTIONS(1246),
    [sym_mutable_specifier] = ACTIONS(1246),
    [sym_integer_literal] = ACTIONS(1244),
    [aux_sym_string_literal_token1] = ACTIONS(1244),
    [sym_char_literal] = ACTIONS(1244),
    [anon_sym_true] = ACTIONS(1246),
    [anon_sym_false] = ACTIONS(1246),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1246),
    [sym_super] = ACTIONS(1246),
    [sym_crate] = ACTIONS(1246),
    [sym_metavariable] = ACTIONS(1244),
    [sym__raw_string_literal_start] = ACTIONS(1244),
    [sym_float_literal] = ACTIONS(1244),
  },
  [449] = {
    [sym_line_comment] = STATE(449),
    [sym_block_comment] = STATE(449),
    [sym_identifier] = ACTIONS(1208),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_RBRACE] = ACTIONS(1206),
    [anon_sym_PLUS] = ACTIONS(1208),
    [anon_sym_STAR] = ACTIONS(1208),
    [anon_sym_QMARK] = ACTIONS(1206),
    [anon_sym_u8] = ACTIONS(1208),
    [anon_sym_i8] = ACTIONS(1208),
    [anon_sym_u16] = ACTIONS(1208),
    [anon_sym_i16] = ACTIONS(1208),
    [anon_sym_u32] = ACTIONS(1208),
    [anon_sym_i32] = ACTIONS(1208),
    [anon_sym_u64] = ACTIONS(1208),
    [anon_sym_i64] = ACTIONS(1208),
    [anon_sym_u128] = ACTIONS(1208),
    [anon_sym_i128] = ACTIONS(1208),
    [anon_sym_isize] = ACTIONS(1208),
    [anon_sym_usize] = ACTIONS(1208),
    [anon_sym_f32] = ACTIONS(1208),
    [anon_sym_f64] = ACTIONS(1208),
    [anon_sym_bool] = ACTIONS(1208),
    [anon_sym_str] = ACTIONS(1208),
    [anon_sym_char] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1208),
    [anon_sym_SLASH] = ACTIONS(1208),
    [anon_sym_PERCENT] = ACTIONS(1208),
    [anon_sym_CARET] = ACTIONS(1208),
    [anon_sym_AMP] = ACTIONS(1208),
    [anon_sym_PIPE] = ACTIONS(1208),
    [anon_sym_AMP_AMP] = ACTIONS(1206),
    [anon_sym_PIPE_PIPE] = ACTIONS(1206),
    [anon_sym_LT_LT] = ACTIONS(1208),
    [anon_sym_GT_GT] = ACTIONS(1208),
    [anon_sym_PLUS_EQ] = ACTIONS(1206),
    [anon_sym_DASH_EQ] = ACTIONS(1206),
    [anon_sym_STAR_EQ] = ACTIONS(1206),
    [anon_sym_SLASH_EQ] = ACTIONS(1206),
    [anon_sym_PERCENT_EQ] = ACTIONS(1206),
    [anon_sym_CARET_EQ] = ACTIONS(1206),
    [anon_sym_AMP_EQ] = ACTIONS(1206),
    [anon_sym_PIPE_EQ] = ACTIONS(1206),
    [anon_sym_LT_LT_EQ] = ACTIONS(1206),
    [anon_sym_GT_GT_EQ] = ACTIONS(1206),
    [anon_sym_EQ] = ACTIONS(1208),
    [anon_sym_EQ_EQ] = ACTIONS(1206),
    [anon_sym_BANG_EQ] = ACTIONS(1206),
    [anon_sym_GT] = ACTIONS(1208),
    [anon_sym_LT] = ACTIONS(1208),
    [anon_sym_GT_EQ] = ACTIONS(1206),
    [anon_sym_LT_EQ] = ACTIONS(1206),
    [anon_sym__] = ACTIONS(1208),
    [anon_sym_DOT] = ACTIONS(1208),
    [anon_sym_DOT_DOT] = ACTIONS(1208),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1206),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1206),
    [anon_sym_COMMA] = ACTIONS(1206),
    [anon_sym_COLON_COLON] = ACTIONS(1206),
    [anon_sym_POUND] = ACTIONS(1206),
    [anon_sym_as] = ACTIONS(1208),
    [anon_sym_const] = ACTIONS(1208),
    [anon_sym_default] = ACTIONS(1208),
    [anon_sym_union] = ACTIONS(1208),
    [anon_sym_ref] = ACTIONS(1208),
    [anon_sym_else] = ACTIONS(1208),
    [sym_mutable_specifier] = ACTIONS(1208),
    [sym_integer_literal] = ACTIONS(1206),
    [aux_sym_string_literal_token1] = ACTIONS(1206),
    [sym_char_literal] = ACTIONS(1206),
    [anon_sym_true] = ACTIONS(1208),
    [anon_sym_false] = ACTIONS(1208),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1208),
    [sym_super] = ACTIONS(1208),
    [sym_crate] = ACTIONS(1208),
    [sym_metavariable] = ACTIONS(1206),
    [sym__raw_string_literal_start] = ACTIONS(1206),
    [sym_float_literal] = ACTIONS(1206),
  },
  [450] = {
    [sym_line_comment] = STATE(450),
    [sym_block_comment] = STATE(450),
    [sym_identifier] = ACTIONS(1234),
    [anon_sym_LPAREN] = ACTIONS(1232),
    [anon_sym_LBRACK] = ACTIONS(1232),
    [anon_sym_RBRACE] = ACTIONS(1232),
    [anon_sym_PLUS] = ACTIONS(1234),
    [anon_sym_STAR] = ACTIONS(1234),
    [anon_sym_QMARK] = ACTIONS(1232),
    [anon_sym_u8] = ACTIONS(1234),
    [anon_sym_i8] = ACTIONS(1234),
    [anon_sym_u16] = ACTIONS(1234),
    [anon_sym_i16] = ACTIONS(1234),
    [anon_sym_u32] = ACTIONS(1234),
    [anon_sym_i32] = ACTIONS(1234),
    [anon_sym_u64] = ACTIONS(1234),
    [anon_sym_i64] = ACTIONS(1234),
    [anon_sym_u128] = ACTIONS(1234),
    [anon_sym_i128] = ACTIONS(1234),
    [anon_sym_isize] = ACTIONS(1234),
    [anon_sym_usize] = ACTIONS(1234),
    [anon_sym_f32] = ACTIONS(1234),
    [anon_sym_f64] = ACTIONS(1234),
    [anon_sym_bool] = ACTIONS(1234),
    [anon_sym_str] = ACTIONS(1234),
    [anon_sym_char] = ACTIONS(1234),
    [anon_sym_DASH] = ACTIONS(1234),
    [anon_sym_SLASH] = ACTIONS(1234),
    [anon_sym_PERCENT] = ACTIONS(1234),
    [anon_sym_CARET] = ACTIONS(1234),
    [anon_sym_AMP] = ACTIONS(1234),
    [anon_sym_PIPE] = ACTIONS(1234),
    [anon_sym_AMP_AMP] = ACTIONS(1232),
    [anon_sym_PIPE_PIPE] = ACTIONS(1232),
    [anon_sym_LT_LT] = ACTIONS(1234),
    [anon_sym_GT_GT] = ACTIONS(1234),
    [anon_sym_PLUS_EQ] = ACTIONS(1232),
    [anon_sym_DASH_EQ] = ACTIONS(1232),
    [anon_sym_STAR_EQ] = ACTIONS(1232),
    [anon_sym_SLASH_EQ] = ACTIONS(1232),
    [anon_sym_PERCENT_EQ] = ACTIONS(1232),
    [anon_sym_CARET_EQ] = ACTIONS(1232),
    [anon_sym_AMP_EQ] = ACTIONS(1232),
    [anon_sym_PIPE_EQ] = ACTIONS(1232),
    [anon_sym_LT_LT_EQ] = ACTIONS(1232),
    [anon_sym_GT_GT_EQ] = ACTIONS(1232),
    [anon_sym_EQ] = ACTIONS(1234),
    [anon_sym_EQ_EQ] = ACTIONS(1232),
    [anon_sym_BANG_EQ] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(1234),
    [anon_sym_LT] = ACTIONS(1234),
    [anon_sym_GT_EQ] = ACTIONS(1232),
    [anon_sym_LT_EQ] = ACTIONS(1232),
    [anon_sym__] = ACTIONS(1234),
    [anon_sym_DOT] = ACTIONS(1234),
    [anon_sym_DOT_DOT] = ACTIONS(1234),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1232),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1232),
    [anon_sym_COMMA] = ACTIONS(1232),
    [anon_sym_COLON_COLON] = ACTIONS(1232),
    [anon_sym_POUND] = ACTIONS(1232),
    [anon_sym_as] = ACTIONS(1234),
    [anon_sym_const] = ACTIONS(1234),
    [anon_sym_default] = ACTIONS(1234),
    [anon_sym_union] = ACTIONS(1234),
    [anon_sym_ref] = ACTIONS(1234),
    [anon_sym_else] = ACTIONS(1234),
    [sym_mutable_specifier] = ACTIONS(1234),
    [sym_integer_literal] = ACTIONS(1232),
    [aux_sym_string_literal_token1] = ACTIONS(1232),
    [sym_char_literal] = ACTIONS(1232),
    [anon_sym_true] = ACTIONS(1234),
    [anon_sym_false] = ACTIONS(1234),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1234),
    [sym_super] = ACTIONS(1234),
    [sym_crate] = ACTIONS(1234),
    [sym_metavariable] = ACTIONS(1232),
    [sym__raw_string_literal_start] = ACTIONS(1232),
    [sym_float_literal] = ACTIONS(1232),
  },
  [451] = {
    [sym_line_comment] = STATE(451),
    [sym_block_comment] = STATE(451),
    [sym_identifier] = ACTIONS(1238),
    [anon_sym_LPAREN] = ACTIONS(1236),
    [anon_sym_LBRACK] = ACTIONS(1236),
    [anon_sym_RBRACE] = ACTIONS(1236),
    [anon_sym_PLUS] = ACTIONS(1238),
    [anon_sym_STAR] = ACTIONS(1238),
    [anon_sym_QMARK] = ACTIONS(1236),
    [anon_sym_u8] = ACTIONS(1238),
    [anon_sym_i8] = ACTIONS(1238),
    [anon_sym_u16] = ACTIONS(1238),
    [anon_sym_i16] = ACTIONS(1238),
    [anon_sym_u32] = ACTIONS(1238),
    [anon_sym_i32] = ACTIONS(1238),
    [anon_sym_u64] = ACTIONS(1238),
    [anon_sym_i64] = ACTIONS(1238),
    [anon_sym_u128] = ACTIONS(1238),
    [anon_sym_i128] = ACTIONS(1238),
    [anon_sym_isize] = ACTIONS(1238),
    [anon_sym_usize] = ACTIONS(1238),
    [anon_sym_f32] = ACTIONS(1238),
    [anon_sym_f64] = ACTIONS(1238),
    [anon_sym_bool] = ACTIONS(1238),
    [anon_sym_str] = ACTIONS(1238),
    [anon_sym_char] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1238),
    [anon_sym_SLASH] = ACTIONS(1238),
    [anon_sym_PERCENT] = ACTIONS(1238),
    [anon_sym_CARET] = ACTIONS(1238),
    [anon_sym_AMP] = ACTIONS(1238),
    [anon_sym_PIPE] = ACTIONS(1238),
    [anon_sym_AMP_AMP] = ACTIONS(1236),
    [anon_sym_PIPE_PIPE] = ACTIONS(1236),
    [anon_sym_LT_LT] = ACTIONS(1238),
    [anon_sym_GT_GT] = ACTIONS(1238),
    [anon_sym_PLUS_EQ] = ACTIONS(1236),
    [anon_sym_DASH_EQ] = ACTIONS(1236),
    [anon_sym_STAR_EQ] = ACTIONS(1236),
    [anon_sym_SLASH_EQ] = ACTIONS(1236),
    [anon_sym_PERCENT_EQ] = ACTIONS(1236),
    [anon_sym_CARET_EQ] = ACTIONS(1236),
    [anon_sym_AMP_EQ] = ACTIONS(1236),
    [anon_sym_PIPE_EQ] = ACTIONS(1236),
    [anon_sym_LT_LT_EQ] = ACTIONS(1236),
    [anon_sym_GT_GT_EQ] = ACTIONS(1236),
    [anon_sym_EQ] = ACTIONS(1238),
    [anon_sym_EQ_EQ] = ACTIONS(1236),
    [anon_sym_BANG_EQ] = ACTIONS(1236),
    [anon_sym_GT] = ACTIONS(1238),
    [anon_sym_LT] = ACTIONS(1238),
    [anon_sym_GT_EQ] = ACTIONS(1236),
    [anon_sym_LT_EQ] = ACTIONS(1236),
    [anon_sym__] = ACTIONS(1238),
    [anon_sym_DOT] = ACTIONS(1238),
    [anon_sym_DOT_DOT] = ACTIONS(1238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1236),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1236),
    [anon_sym_COMMA] = ACTIONS(1236),
    [anon_sym_COLON_COLON] = ACTIONS(1236),
    [anon_sym_POUND] = ACTIONS(1236),
    [anon_sym_as] = ACTIONS(1238),
    [anon_sym_const] = ACTIONS(1238),
    [anon_sym_default] = ACTIONS(1238),
    [anon_sym_union] = ACTIONS(1238),
    [anon_sym_ref] = ACTIONS(1238),
    [anon_sym_else] = ACTIONS(1238),
    [sym_mutable_specifier] = ACTIONS(1238),
    [sym_integer_literal] = ACTIONS(1236),
    [aux_sym_string_literal_token1] = ACTIONS(1236),
    [sym_char_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1238),
    [sym_super] = ACTIONS(1238),
    [sym_crate] = ACTIONS(1238),
    [sym_metavariable] = ACTIONS(1236),
    [sym__raw_string_literal_start] = ACTIONS(1236),
    [sym_float_literal] = ACTIONS(1236),
  },
  [452] = {
    [sym_line_comment] = STATE(452),
    [sym_block_comment] = STATE(452),
    [sym_identifier] = ACTIONS(1364),
    [anon_sym_LPAREN] = ACTIONS(1362),
    [anon_sym_LBRACK] = ACTIONS(1362),
    [anon_sym_RBRACE] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1364),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_QMARK] = ACTIONS(1362),
    [anon_sym_u8] = ACTIONS(1364),
    [anon_sym_i8] = ACTIONS(1364),
    [anon_sym_u16] = ACTIONS(1364),
    [anon_sym_i16] = ACTIONS(1364),
    [anon_sym_u32] = ACTIONS(1364),
    [anon_sym_i32] = ACTIONS(1364),
    [anon_sym_u64] = ACTIONS(1364),
    [anon_sym_i64] = ACTIONS(1364),
    [anon_sym_u128] = ACTIONS(1364),
    [anon_sym_i128] = ACTIONS(1364),
    [anon_sym_isize] = ACTIONS(1364),
    [anon_sym_usize] = ACTIONS(1364),
    [anon_sym_f32] = ACTIONS(1364),
    [anon_sym_f64] = ACTIONS(1364),
    [anon_sym_bool] = ACTIONS(1364),
    [anon_sym_str] = ACTIONS(1364),
    [anon_sym_char] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1364),
    [anon_sym_SLASH] = ACTIONS(1364),
    [anon_sym_PERCENT] = ACTIONS(1364),
    [anon_sym_CARET] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_PIPE] = ACTIONS(1364),
    [anon_sym_AMP_AMP] = ACTIONS(1362),
    [anon_sym_PIPE_PIPE] = ACTIONS(1362),
    [anon_sym_LT_LT] = ACTIONS(1364),
    [anon_sym_GT_GT] = ACTIONS(1364),
    [anon_sym_PLUS_EQ] = ACTIONS(1362),
    [anon_sym_DASH_EQ] = ACTIONS(1362),
    [anon_sym_STAR_EQ] = ACTIONS(1362),
    [anon_sym_SLASH_EQ] = ACTIONS(1362),
    [anon_sym_PERCENT_EQ] = ACTIONS(1362),
    [anon_sym_CARET_EQ] = ACTIONS(1362),
    [anon_sym_AMP_EQ] = ACTIONS(1362),
    [anon_sym_PIPE_EQ] = ACTIONS(1362),
    [anon_sym_LT_LT_EQ] = ACTIONS(1362),
    [anon_sym_GT_GT_EQ] = ACTIONS(1362),
    [anon_sym_EQ] = ACTIONS(1364),
    [anon_sym_EQ_EQ] = ACTIONS(1362),
    [anon_sym_BANG_EQ] = ACTIONS(1362),
    [anon_sym_GT] = ACTIONS(1364),
    [anon_sym_LT] = ACTIONS(1364),
    [anon_sym_GT_EQ] = ACTIONS(1362),
    [anon_sym_LT_EQ] = ACTIONS(1362),
    [anon_sym__] = ACTIONS(1364),
    [anon_sym_DOT] = ACTIONS(1364),
    [anon_sym_DOT_DOT] = ACTIONS(1364),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1362),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1362),
    [anon_sym_COMMA] = ACTIONS(1362),
    [anon_sym_COLON_COLON] = ACTIONS(1362),
    [anon_sym_POUND] = ACTIONS(1362),
    [anon_sym_as] = ACTIONS(1364),
    [anon_sym_const] = ACTIONS(1364),
    [anon_sym_default] = ACTIONS(1364),
    [anon_sym_union] = ACTIONS(1364),
    [anon_sym_ref] = ACTIONS(1364),
    [sym_mutable_specifier] = ACTIONS(1364),
    [sym_integer_literal] = ACTIONS(1362),
    [aux_sym_string_literal_token1] = ACTIONS(1362),
    [sym_char_literal] = ACTIONS(1362),
    [anon_sym_true] = ACTIONS(1364),
    [anon_sym_false] = ACTIONS(1364),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1364),
    [sym_super] = ACTIONS(1364),
    [sym_crate] = ACTIONS(1364),
    [sym_metavariable] = ACTIONS(1362),
    [sym__raw_string_literal_start] = ACTIONS(1362),
    [sym_float_literal] = ACTIONS(1362),
  },
  [453] = {
    [sym_line_comment] = STATE(453),
    [sym_block_comment] = STATE(453),
    [sym_identifier] = ACTIONS(1430),
    [anon_sym_LPAREN] = ACTIONS(1428),
    [anon_sym_LBRACK] = ACTIONS(1428),
    [anon_sym_RBRACE] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1430),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_QMARK] = ACTIONS(1428),
    [anon_sym_u8] = ACTIONS(1430),
    [anon_sym_i8] = ACTIONS(1430),
    [anon_sym_u16] = ACTIONS(1430),
    [anon_sym_i16] = ACTIONS(1430),
    [anon_sym_u32] = ACTIONS(1430),
    [anon_sym_i32] = ACTIONS(1430),
    [anon_sym_u64] = ACTIONS(1430),
    [anon_sym_i64] = ACTIONS(1430),
    [anon_sym_u128] = ACTIONS(1430),
    [anon_sym_i128] = ACTIONS(1430),
    [anon_sym_isize] = ACTIONS(1430),
    [anon_sym_usize] = ACTIONS(1430),
    [anon_sym_f32] = ACTIONS(1430),
    [anon_sym_f64] = ACTIONS(1430),
    [anon_sym_bool] = ACTIONS(1430),
    [anon_sym_str] = ACTIONS(1430),
    [anon_sym_char] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1430),
    [anon_sym_SLASH] = ACTIONS(1430),
    [anon_sym_PERCENT] = ACTIONS(1430),
    [anon_sym_CARET] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_PIPE] = ACTIONS(1430),
    [anon_sym_AMP_AMP] = ACTIONS(1428),
    [anon_sym_PIPE_PIPE] = ACTIONS(1428),
    [anon_sym_LT_LT] = ACTIONS(1430),
    [anon_sym_GT_GT] = ACTIONS(1430),
    [anon_sym_PLUS_EQ] = ACTIONS(1428),
    [anon_sym_DASH_EQ] = ACTIONS(1428),
    [anon_sym_STAR_EQ] = ACTIONS(1428),
    [anon_sym_SLASH_EQ] = ACTIONS(1428),
    [anon_sym_PERCENT_EQ] = ACTIONS(1428),
    [anon_sym_CARET_EQ] = ACTIONS(1428),
    [anon_sym_AMP_EQ] = ACTIONS(1428),
    [anon_sym_PIPE_EQ] = ACTIONS(1428),
    [anon_sym_LT_LT_EQ] = ACTIONS(1428),
    [anon_sym_GT_GT_EQ] = ACTIONS(1428),
    [anon_sym_EQ] = ACTIONS(1430),
    [anon_sym_EQ_EQ] = ACTIONS(1428),
    [anon_sym_BANG_EQ] = ACTIONS(1428),
    [anon_sym_GT] = ACTIONS(1430),
    [anon_sym_LT] = ACTIONS(1430),
    [anon_sym_GT_EQ] = ACTIONS(1428),
    [anon_sym_LT_EQ] = ACTIONS(1428),
    [anon_sym__] = ACTIONS(1430),
    [anon_sym_DOT] = ACTIONS(1430),
    [anon_sym_DOT_DOT] = ACTIONS(1430),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1428),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1428),
    [anon_sym_COMMA] = ACTIONS(1428),
    [anon_sym_COLON_COLON] = ACTIONS(1428),
    [anon_sym_POUND] = ACTIONS(1428),
    [anon_sym_as] = ACTIONS(1430),
    [anon_sym_const] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_union] = ACTIONS(1430),
    [anon_sym_ref] = ACTIONS(1430),
    [sym_mutable_specifier] = ACTIONS(1430),
    [sym_integer_literal] = ACTIONS(1428),
    [aux_sym_string_literal_token1] = ACTIONS(1428),
    [sym_char_literal] = ACTIONS(1428),
    [anon_sym_true] = ACTIONS(1430),
    [anon_sym_false] = ACTIONS(1430),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1430),
    [sym_super] = ACTIONS(1430),
    [sym_crate] = ACTIONS(1430),
    [sym_metavariable] = ACTIONS(1428),
    [sym__raw_string_literal_start] = ACTIONS(1428),
    [sym_float_literal] = ACTIONS(1428),
  },
  [454] = {
    [sym_line_comment] = STATE(454),
    [sym_block_comment] = STATE(454),
    [sym_identifier] = ACTIONS(1372),
    [anon_sym_LPAREN] = ACTIONS(1370),
    [anon_sym_LBRACK] = ACTIONS(1370),
    [anon_sym_RBRACE] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1372),
    [anon_sym_STAR] = ACTIONS(1372),
    [anon_sym_QMARK] = ACTIONS(1370),
    [anon_sym_u8] = ACTIONS(1372),
    [anon_sym_i8] = ACTIONS(1372),
    [anon_sym_u16] = ACTIONS(1372),
    [anon_sym_i16] = ACTIONS(1372),
    [anon_sym_u32] = ACTIONS(1372),
    [anon_sym_i32] = ACTIONS(1372),
    [anon_sym_u64] = ACTIONS(1372),
    [anon_sym_i64] = ACTIONS(1372),
    [anon_sym_u128] = ACTIONS(1372),
    [anon_sym_i128] = ACTIONS(1372),
    [anon_sym_isize] = ACTIONS(1372),
    [anon_sym_usize] = ACTIONS(1372),
    [anon_sym_f32] = ACTIONS(1372),
    [anon_sym_f64] = ACTIONS(1372),
    [anon_sym_bool] = ACTIONS(1372),
    [anon_sym_str] = ACTIONS(1372),
    [anon_sym_char] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1372),
    [anon_sym_SLASH] = ACTIONS(1372),
    [anon_sym_PERCENT] = ACTIONS(1372),
    [anon_sym_CARET] = ACTIONS(1372),
    [anon_sym_AMP] = ACTIONS(1372),
    [anon_sym_PIPE] = ACTIONS(1372),
    [anon_sym_AMP_AMP] = ACTIONS(1370),
    [anon_sym_PIPE_PIPE] = ACTIONS(1370),
    [anon_sym_LT_LT] = ACTIONS(1372),
    [anon_sym_GT_GT] = ACTIONS(1372),
    [anon_sym_PLUS_EQ] = ACTIONS(1370),
    [anon_sym_DASH_EQ] = ACTIONS(1370),
    [anon_sym_STAR_EQ] = ACTIONS(1370),
    [anon_sym_SLASH_EQ] = ACTIONS(1370),
    [anon_sym_PERCENT_EQ] = ACTIONS(1370),
    [anon_sym_CARET_EQ] = ACTIONS(1370),
    [anon_sym_AMP_EQ] = ACTIONS(1370),
    [anon_sym_PIPE_EQ] = ACTIONS(1370),
    [anon_sym_LT_LT_EQ] = ACTIONS(1370),
    [anon_sym_GT_GT_EQ] = ACTIONS(1370),
    [anon_sym_EQ] = ACTIONS(1372),
    [anon_sym_EQ_EQ] = ACTIONS(1370),
    [anon_sym_BANG_EQ] = ACTIONS(1370),
    [anon_sym_GT] = ACTIONS(1372),
    [anon_sym_LT] = ACTIONS(1372),
    [anon_sym_GT_EQ] = ACTIONS(1370),
    [anon_sym_LT_EQ] = ACTIONS(1370),
    [anon_sym__] = ACTIONS(1372),
    [anon_sym_DOT] = ACTIONS(1372),
    [anon_sym_DOT_DOT] = ACTIONS(1372),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1370),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1370),
    [anon_sym_COMMA] = ACTIONS(1370),
    [anon_sym_COLON_COLON] = ACTIONS(1370),
    [anon_sym_POUND] = ACTIONS(1370),
    [anon_sym_as] = ACTIONS(1372),
    [anon_sym_const] = ACTIONS(1372),
    [anon_sym_default] = ACTIONS(1372),
    [anon_sym_union] = ACTIONS(1372),
    [anon_sym_ref] = ACTIONS(1372),
    [sym_mutable_specifier] = ACTIONS(1372),
    [sym_integer_literal] = ACTIONS(1370),
    [aux_sym_string_literal_token1] = ACTIONS(1370),
    [sym_char_literal] = ACTIONS(1370),
    [anon_sym_true] = ACTIONS(1372),
    [anon_sym_false] = ACTIONS(1372),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1372),
    [sym_super] = ACTIONS(1372),
    [sym_crate] = ACTIONS(1372),
    [sym_metavariable] = ACTIONS(1370),
    [sym__raw_string_literal_start] = ACTIONS(1370),
    [sym_float_literal] = ACTIONS(1370),
  },
  [455] = {
    [sym_line_comment] = STATE(455),
    [sym_block_comment] = STATE(455),
    [sym_identifier] = ACTIONS(1388),
    [anon_sym_LPAREN] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1386),
    [anon_sym_RBRACE] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1388),
    [anon_sym_STAR] = ACTIONS(1388),
    [anon_sym_QMARK] = ACTIONS(1386),
    [anon_sym_u8] = ACTIONS(1388),
    [anon_sym_i8] = ACTIONS(1388),
    [anon_sym_u16] = ACTIONS(1388),
    [anon_sym_i16] = ACTIONS(1388),
    [anon_sym_u32] = ACTIONS(1388),
    [anon_sym_i32] = ACTIONS(1388),
    [anon_sym_u64] = ACTIONS(1388),
    [anon_sym_i64] = ACTIONS(1388),
    [anon_sym_u128] = ACTIONS(1388),
    [anon_sym_i128] = ACTIONS(1388),
    [anon_sym_isize] = ACTIONS(1388),
    [anon_sym_usize] = ACTIONS(1388),
    [anon_sym_f32] = ACTIONS(1388),
    [anon_sym_f64] = ACTIONS(1388),
    [anon_sym_bool] = ACTIONS(1388),
    [anon_sym_str] = ACTIONS(1388),
    [anon_sym_char] = ACTIONS(1388),
    [anon_sym_DASH] = ACTIONS(1388),
    [anon_sym_SLASH] = ACTIONS(1388),
    [anon_sym_PERCENT] = ACTIONS(1388),
    [anon_sym_CARET] = ACTIONS(1388),
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_PIPE] = ACTIONS(1388),
    [anon_sym_AMP_AMP] = ACTIONS(1386),
    [anon_sym_PIPE_PIPE] = ACTIONS(1386),
    [anon_sym_LT_LT] = ACTIONS(1388),
    [anon_sym_GT_GT] = ACTIONS(1388),
    [anon_sym_PLUS_EQ] = ACTIONS(1386),
    [anon_sym_DASH_EQ] = ACTIONS(1386),
    [anon_sym_STAR_EQ] = ACTIONS(1386),
    [anon_sym_SLASH_EQ] = ACTIONS(1386),
    [anon_sym_PERCENT_EQ] = ACTIONS(1386),
    [anon_sym_CARET_EQ] = ACTIONS(1386),
    [anon_sym_AMP_EQ] = ACTIONS(1386),
    [anon_sym_PIPE_EQ] = ACTIONS(1386),
    [anon_sym_LT_LT_EQ] = ACTIONS(1386),
    [anon_sym_GT_GT_EQ] = ACTIONS(1386),
    [anon_sym_EQ] = ACTIONS(1388),
    [anon_sym_EQ_EQ] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1386),
    [anon_sym_GT] = ACTIONS(1388),
    [anon_sym_LT] = ACTIONS(1388),
    [anon_sym_GT_EQ] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1386),
    [anon_sym__] = ACTIONS(1388),
    [anon_sym_DOT] = ACTIONS(1388),
    [anon_sym_DOT_DOT] = ACTIONS(1388),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1386),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1386),
    [anon_sym_COMMA] = ACTIONS(1386),
    [anon_sym_COLON_COLON] = ACTIONS(1386),
    [anon_sym_POUND] = ACTIONS(1386),
    [anon_sym_as] = ACTIONS(1388),
    [anon_sym_const] = ACTIONS(1388),
    [anon_sym_default] = ACTIONS(1388),
    [anon_sym_union] = ACTIONS(1388),
    [anon_sym_ref] = ACTIONS(1388),
    [sym_mutable_specifier] = ACTIONS(1388),
    [sym_integer_literal] = ACTIONS(1386),
    [aux_sym_string_literal_token1] = ACTIONS(1386),
    [sym_char_literal] = ACTIONS(1386),
    [anon_sym_true] = ACTIONS(1388),
    [anon_sym_false] = ACTIONS(1388),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1388),
    [sym_super] = ACTIONS(1388),
    [sym_crate] = ACTIONS(1388),
    [sym_metavariable] = ACTIONS(1386),
    [sym__raw_string_literal_start] = ACTIONS(1386),
    [sym_float_literal] = ACTIONS(1386),
  },
  [456] = {
    [sym_attribute_item] = STATE(1479),
    [sym_inner_attribute_item] = STATE(1479),
    [sym_bracketed_type] = STATE(3523),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3262),
    [sym_macro_invocation] = STATE(2877),
    [sym_scoped_identifier] = STATE(2130),
    [sym_scoped_type_identifier] = STATE(2908),
    [sym_match_arm] = STATE(1471),
    [sym_last_match_arm] = STATE(3546),
    [sym_match_pattern] = STATE(3345),
    [sym_const_block] = STATE(2877),
    [sym__pattern] = STATE(2919),
    [sym_tuple_pattern] = STATE(2877),
    [sym_slice_pattern] = STATE(2877),
    [sym_tuple_struct_pattern] = STATE(2877),
    [sym_struct_pattern] = STATE(2877),
    [sym_remaining_field_pattern] = STATE(2877),
    [sym_mut_pattern] = STATE(2877),
    [sym_range_pattern] = STATE(2877),
    [sym_ref_pattern] = STATE(2877),
    [sym_captured_pattern] = STATE(2877),
    [sym_reference_pattern] = STATE(2877),
    [sym_or_pattern] = STATE(2877),
    [sym__literal_pattern] = STATE(2387),
    [sym_negative_literal] = STATE(2299),
    [sym_string_literal] = STATE(2299),
    [sym_raw_string_literal] = STATE(2299),
    [sym_boolean_literal] = STATE(2299),
    [sym_line_comment] = STATE(456),
    [sym_block_comment] = STATE(456),
    [aux_sym_match_block_repeat1] = STATE(478),
    [aux_sym_match_arm_repeat1] = STATE(759),
    [sym_identifier] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1608),
    [anon_sym_RBRACE] = ACTIONS(1610),
    [anon_sym_u8] = ACTIONS(1612),
    [anon_sym_i8] = ACTIONS(1612),
    [anon_sym_u16] = ACTIONS(1612),
    [anon_sym_i16] = ACTIONS(1612),
    [anon_sym_u32] = ACTIONS(1612),
    [anon_sym_i32] = ACTIONS(1612),
    [anon_sym_u64] = ACTIONS(1612),
    [anon_sym_i64] = ACTIONS(1612),
    [anon_sym_u128] = ACTIONS(1612),
    [anon_sym_i128] = ACTIONS(1612),
    [anon_sym_isize] = ACTIONS(1612),
    [anon_sym_usize] = ACTIONS(1612),
    [anon_sym_f32] = ACTIONS(1612),
    [anon_sym_f64] = ACTIONS(1612),
    [anon_sym_bool] = ACTIONS(1612),
    [anon_sym_str] = ACTIONS(1612),
    [anon_sym_char] = ACTIONS(1612),
    [anon_sym_DASH] = ACTIONS(1614),
    [anon_sym_AMP] = ACTIONS(1616),
    [anon_sym_PIPE] = ACTIONS(1618),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1620),
    [anon_sym_DOT_DOT] = ACTIONS(1622),
    [anon_sym_COLON_COLON] = ACTIONS(1624),
    [anon_sym_POUND] = ACTIONS(1626),
    [anon_sym_const] = ACTIONS(1628),
    [anon_sym_default] = ACTIONS(1630),
    [anon_sym_union] = ACTIONS(1630),
    [anon_sym_ref] = ACTIONS(1632),
    [sym_mutable_specifier] = ACTIONS(1634),
    [sym_integer_literal] = ACTIONS(1636),
    [aux_sym_string_literal_token1] = ACTIONS(1638),
    [sym_char_literal] = ACTIONS(1636),
    [anon_sym_true] = ACTIONS(1640),
    [anon_sym_false] = ACTIONS(1640),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1642),
    [sym_super] = ACTIONS(1642),
    [sym_crate] = ACTIONS(1642),
    [sym_metavariable] = ACTIONS(1644),
    [sym__raw_string_literal_start] = ACTIONS(1646),
    [sym_float_literal] = ACTIONS(1636),
  },
  [457] = {
    [sym_line_comment] = STATE(457),
    [sym_block_comment] = STATE(457),
    [sym_identifier] = ACTIONS(1356),
    [anon_sym_LPAREN] = ACTIONS(1354),
    [anon_sym_LBRACK] = ACTIONS(1354),
    [anon_sym_RBRACE] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1356),
    [anon_sym_STAR] = ACTIONS(1356),
    [anon_sym_QMARK] = ACTIONS(1354),
    [anon_sym_u8] = ACTIONS(1356),
    [anon_sym_i8] = ACTIONS(1356),
    [anon_sym_u16] = ACTIONS(1356),
    [anon_sym_i16] = ACTIONS(1356),
    [anon_sym_u32] = ACTIONS(1356),
    [anon_sym_i32] = ACTIONS(1356),
    [anon_sym_u64] = ACTIONS(1356),
    [anon_sym_i64] = ACTIONS(1356),
    [anon_sym_u128] = ACTIONS(1356),
    [anon_sym_i128] = ACTIONS(1356),
    [anon_sym_isize] = ACTIONS(1356),
    [anon_sym_usize] = ACTIONS(1356),
    [anon_sym_f32] = ACTIONS(1356),
    [anon_sym_f64] = ACTIONS(1356),
    [anon_sym_bool] = ACTIONS(1356),
    [anon_sym_str] = ACTIONS(1356),
    [anon_sym_char] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1356),
    [anon_sym_SLASH] = ACTIONS(1356),
    [anon_sym_PERCENT] = ACTIONS(1356),
    [anon_sym_CARET] = ACTIONS(1356),
    [anon_sym_AMP] = ACTIONS(1356),
    [anon_sym_PIPE] = ACTIONS(1356),
    [anon_sym_AMP_AMP] = ACTIONS(1354),
    [anon_sym_PIPE_PIPE] = ACTIONS(1354),
    [anon_sym_LT_LT] = ACTIONS(1356),
    [anon_sym_GT_GT] = ACTIONS(1356),
    [anon_sym_PLUS_EQ] = ACTIONS(1354),
    [anon_sym_DASH_EQ] = ACTIONS(1354),
    [anon_sym_STAR_EQ] = ACTIONS(1354),
    [anon_sym_SLASH_EQ] = ACTIONS(1354),
    [anon_sym_PERCENT_EQ] = ACTIONS(1354),
    [anon_sym_CARET_EQ] = ACTIONS(1354),
    [anon_sym_AMP_EQ] = ACTIONS(1354),
    [anon_sym_PIPE_EQ] = ACTIONS(1354),
    [anon_sym_LT_LT_EQ] = ACTIONS(1354),
    [anon_sym_GT_GT_EQ] = ACTIONS(1354),
    [anon_sym_EQ] = ACTIONS(1356),
    [anon_sym_EQ_EQ] = ACTIONS(1354),
    [anon_sym_BANG_EQ] = ACTIONS(1354),
    [anon_sym_GT] = ACTIONS(1356),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT_EQ] = ACTIONS(1354),
    [anon_sym_LT_EQ] = ACTIONS(1354),
    [anon_sym__] = ACTIONS(1356),
    [anon_sym_DOT] = ACTIONS(1356),
    [anon_sym_DOT_DOT] = ACTIONS(1356),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1354),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1354),
    [anon_sym_COMMA] = ACTIONS(1354),
    [anon_sym_COLON_COLON] = ACTIONS(1354),
    [anon_sym_POUND] = ACTIONS(1354),
    [anon_sym_as] = ACTIONS(1356),
    [anon_sym_const] = ACTIONS(1356),
    [anon_sym_default] = ACTIONS(1356),
    [anon_sym_union] = ACTIONS(1356),
    [anon_sym_ref] = ACTIONS(1356),
    [sym_mutable_specifier] = ACTIONS(1356),
    [sym_integer_literal] = ACTIONS(1354),
    [aux_sym_string_literal_token1] = ACTIONS(1354),
    [sym_char_literal] = ACTIONS(1354),
    [anon_sym_true] = ACTIONS(1356),
    [anon_sym_false] = ACTIONS(1356),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1356),
    [sym_super] = ACTIONS(1356),
    [sym_crate] = ACTIONS(1356),
    [sym_metavariable] = ACTIONS(1354),
    [sym__raw_string_literal_start] = ACTIONS(1354),
    [sym_float_literal] = ACTIONS(1354),
  },
  [458] = {
    [sym_line_comment] = STATE(458),
    [sym_block_comment] = STATE(458),
    [sym_identifier] = ACTIONS(1648),
    [anon_sym_LPAREN] = ACTIONS(1650),
    [anon_sym_LBRACK] = ACTIONS(1650),
    [anon_sym_RBRACE] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_u8] = ACTIONS(1648),
    [anon_sym_i8] = ACTIONS(1648),
    [anon_sym_u16] = ACTIONS(1648),
    [anon_sym_i16] = ACTIONS(1648),
    [anon_sym_u32] = ACTIONS(1648),
    [anon_sym_i32] = ACTIONS(1648),
    [anon_sym_u64] = ACTIONS(1648),
    [anon_sym_i64] = ACTIONS(1648),
    [anon_sym_u128] = ACTIONS(1648),
    [anon_sym_i128] = ACTIONS(1648),
    [anon_sym_isize] = ACTIONS(1648),
    [anon_sym_usize] = ACTIONS(1648),
    [anon_sym_f32] = ACTIONS(1648),
    [anon_sym_f64] = ACTIONS(1648),
    [anon_sym_bool] = ACTIONS(1648),
    [anon_sym_str] = ACTIONS(1648),
    [anon_sym_char] = ACTIONS(1648),
    [anon_sym_DASH] = ACTIONS(1648),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_PERCENT] = ACTIONS(1416),
    [anon_sym_CARET] = ACTIONS(1416),
    [anon_sym_AMP] = ACTIONS(1648),
    [anon_sym_PIPE] = ACTIONS(1648),
    [anon_sym_AMP_AMP] = ACTIONS(1418),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1416),
    [anon_sym_GT_GT] = ACTIONS(1416),
    [anon_sym_PLUS_EQ] = ACTIONS(1418),
    [anon_sym_DASH_EQ] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1418),
    [anon_sym_SLASH_EQ] = ACTIONS(1418),
    [anon_sym_PERCENT_EQ] = ACTIONS(1418),
    [anon_sym_CARET_EQ] = ACTIONS(1418),
    [anon_sym_AMP_EQ] = ACTIONS(1418),
    [anon_sym_PIPE_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT_EQ] = ACTIONS(1418),
    [anon_sym_GT_GT_EQ] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_EQ_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_GT] = ACTIONS(1416),
    [anon_sym_LT] = ACTIONS(1648),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym__] = ACTIONS(1648),
    [anon_sym_DOT] = ACTIONS(1416),
    [anon_sym_DOT_DOT] = ACTIONS(1648),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1418),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(1650),
    [anon_sym_POUND] = ACTIONS(1650),
    [anon_sym_as] = ACTIONS(1416),
    [anon_sym_const] = ACTIONS(1648),
    [anon_sym_default] = ACTIONS(1648),
    [anon_sym_union] = ACTIONS(1648),
    [anon_sym_ref] = ACTIONS(1648),
    [sym_mutable_specifier] = ACTIONS(1648),
    [sym_integer_literal] = ACTIONS(1650),
    [aux_sym_string_literal_token1] = ACTIONS(1650),
    [sym_char_literal] = ACTIONS(1650),
    [anon_sym_true] = ACTIONS(1648),
    [anon_sym_false] = ACTIONS(1648),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1648),
    [sym_super] = ACTIONS(1648),
    [sym_crate] = ACTIONS(1648),
    [sym_metavariable] = ACTIONS(1650),
    [sym__raw_string_literal_start] = ACTIONS(1650),
    [sym_float_literal] = ACTIONS(1650),
  },
  [459] = {
    [sym_attribute_item] = STATE(1479),
    [sym_inner_attribute_item] = STATE(1479),
    [sym_bracketed_type] = STATE(3523),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3262),
    [sym_macro_invocation] = STATE(2877),
    [sym_scoped_identifier] = STATE(2130),
    [sym_scoped_type_identifier] = STATE(2908),
    [sym_match_arm] = STATE(1471),
    [sym_last_match_arm] = STATE(3568),
    [sym_match_pattern] = STATE(3345),
    [sym_const_block] = STATE(2877),
    [sym__pattern] = STATE(2919),
    [sym_tuple_pattern] = STATE(2877),
    [sym_slice_pattern] = STATE(2877),
    [sym_tuple_struct_pattern] = STATE(2877),
    [sym_struct_pattern] = STATE(2877),
    [sym_remaining_field_pattern] = STATE(2877),
    [sym_mut_pattern] = STATE(2877),
    [sym_range_pattern] = STATE(2877),
    [sym_ref_pattern] = STATE(2877),
    [sym_captured_pattern] = STATE(2877),
    [sym_reference_pattern] = STATE(2877),
    [sym_or_pattern] = STATE(2877),
    [sym__literal_pattern] = STATE(2387),
    [sym_negative_literal] = STATE(2299),
    [sym_string_literal] = STATE(2299),
    [sym_raw_string_literal] = STATE(2299),
    [sym_boolean_literal] = STATE(2299),
    [sym_line_comment] = STATE(459),
    [sym_block_comment] = STATE(459),
    [aux_sym_match_block_repeat1] = STATE(475),
    [aux_sym_match_arm_repeat1] = STATE(759),
    [sym_identifier] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1608),
    [anon_sym_RBRACE] = ACTIONS(1652),
    [anon_sym_u8] = ACTIONS(1612),
    [anon_sym_i8] = ACTIONS(1612),
    [anon_sym_u16] = ACTIONS(1612),
    [anon_sym_i16] = ACTIONS(1612),
    [anon_sym_u32] = ACTIONS(1612),
    [anon_sym_i32] = ACTIONS(1612),
    [anon_sym_u64] = ACTIONS(1612),
    [anon_sym_i64] = ACTIONS(1612),
    [anon_sym_u128] = ACTIONS(1612),
    [anon_sym_i128] = ACTIONS(1612),
    [anon_sym_isize] = ACTIONS(1612),
    [anon_sym_usize] = ACTIONS(1612),
    [anon_sym_f32] = ACTIONS(1612),
    [anon_sym_f64] = ACTIONS(1612),
    [anon_sym_bool] = ACTIONS(1612),
    [anon_sym_str] = ACTIONS(1612),
    [anon_sym_char] = ACTIONS(1612),
    [anon_sym_DASH] = ACTIONS(1614),
    [anon_sym_AMP] = ACTIONS(1616),
    [anon_sym_PIPE] = ACTIONS(1618),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1620),
    [anon_sym_DOT_DOT] = ACTIONS(1622),
    [anon_sym_COLON_COLON] = ACTIONS(1624),
    [anon_sym_POUND] = ACTIONS(1626),
    [anon_sym_const] = ACTIONS(1628),
    [anon_sym_default] = ACTIONS(1630),
    [anon_sym_union] = ACTIONS(1630),
    [anon_sym_ref] = ACTIONS(1632),
    [sym_mutable_specifier] = ACTIONS(1634),
    [sym_integer_literal] = ACTIONS(1636),
    [aux_sym_string_literal_token1] = ACTIONS(1638),
    [sym_char_literal] = ACTIONS(1636),
    [anon_sym_true] = ACTIONS(1640),
    [anon_sym_false] = ACTIONS(1640),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1642),
    [sym_super] = ACTIONS(1642),
    [sym_crate] = ACTIONS(1642),
    [sym_metavariable] = ACTIONS(1644),
    [sym__raw_string_literal_start] = ACTIONS(1646),
    [sym_float_literal] = ACTIONS(1636),
  },
  [460] = {
    [sym_line_comment] = STATE(460),
    [sym_block_comment] = STATE(460),
    [sym_identifier] = ACTIONS(1400),
    [anon_sym_LPAREN] = ACTIONS(1398),
    [anon_sym_LBRACK] = ACTIONS(1398),
    [anon_sym_RBRACE] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_QMARK] = ACTIONS(1398),
    [anon_sym_u8] = ACTIONS(1400),
    [anon_sym_i8] = ACTIONS(1400),
    [anon_sym_u16] = ACTIONS(1400),
    [anon_sym_i16] = ACTIONS(1400),
    [anon_sym_u32] = ACTIONS(1400),
    [anon_sym_i32] = ACTIONS(1400),
    [anon_sym_u64] = ACTIONS(1400),
    [anon_sym_i64] = ACTIONS(1400),
    [anon_sym_u128] = ACTIONS(1400),
    [anon_sym_i128] = ACTIONS(1400),
    [anon_sym_isize] = ACTIONS(1400),
    [anon_sym_usize] = ACTIONS(1400),
    [anon_sym_f32] = ACTIONS(1400),
    [anon_sym_f64] = ACTIONS(1400),
    [anon_sym_bool] = ACTIONS(1400),
    [anon_sym_str] = ACTIONS(1400),
    [anon_sym_char] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1400),
    [anon_sym_SLASH] = ACTIONS(1400),
    [anon_sym_PERCENT] = ACTIONS(1400),
    [anon_sym_CARET] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_PIPE] = ACTIONS(1400),
    [anon_sym_AMP_AMP] = ACTIONS(1398),
    [anon_sym_PIPE_PIPE] = ACTIONS(1398),
    [anon_sym_LT_LT] = ACTIONS(1400),
    [anon_sym_GT_GT] = ACTIONS(1400),
    [anon_sym_PLUS_EQ] = ACTIONS(1398),
    [anon_sym_DASH_EQ] = ACTIONS(1398),
    [anon_sym_STAR_EQ] = ACTIONS(1398),
    [anon_sym_SLASH_EQ] = ACTIONS(1398),
    [anon_sym_PERCENT_EQ] = ACTIONS(1398),
    [anon_sym_CARET_EQ] = ACTIONS(1398),
    [anon_sym_AMP_EQ] = ACTIONS(1398),
    [anon_sym_PIPE_EQ] = ACTIONS(1398),
    [anon_sym_LT_LT_EQ] = ACTIONS(1398),
    [anon_sym_GT_GT_EQ] = ACTIONS(1398),
    [anon_sym_EQ] = ACTIONS(1400),
    [anon_sym_EQ_EQ] = ACTIONS(1398),
    [anon_sym_BANG_EQ] = ACTIONS(1398),
    [anon_sym_GT] = ACTIONS(1400),
    [anon_sym_LT] = ACTIONS(1400),
    [anon_sym_GT_EQ] = ACTIONS(1398),
    [anon_sym_LT_EQ] = ACTIONS(1398),
    [anon_sym__] = ACTIONS(1400),
    [anon_sym_DOT] = ACTIONS(1400),
    [anon_sym_DOT_DOT] = ACTIONS(1400),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1398),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1398),
    [anon_sym_COMMA] = ACTIONS(1398),
    [anon_sym_COLON_COLON] = ACTIONS(1398),
    [anon_sym_POUND] = ACTIONS(1398),
    [anon_sym_as] = ACTIONS(1400),
    [anon_sym_const] = ACTIONS(1400),
    [anon_sym_default] = ACTIONS(1400),
    [anon_sym_union] = ACTIONS(1400),
    [anon_sym_ref] = ACTIONS(1400),
    [sym_mutable_specifier] = ACTIONS(1400),
    [sym_integer_literal] = ACTIONS(1398),
    [aux_sym_string_literal_token1] = ACTIONS(1398),
    [sym_char_literal] = ACTIONS(1398),
    [anon_sym_true] = ACTIONS(1400),
    [anon_sym_false] = ACTIONS(1400),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1400),
    [sym_super] = ACTIONS(1400),
    [sym_crate] = ACTIONS(1400),
    [sym_metavariable] = ACTIONS(1398),
    [sym__raw_string_literal_start] = ACTIONS(1398),
    [sym_float_literal] = ACTIONS(1398),
  },
  [461] = {
    [sym_attribute_item] = STATE(1479),
    [sym_inner_attribute_item] = STATE(1479),
    [sym_bracketed_type] = STATE(3523),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3262),
    [sym_macro_invocation] = STATE(2877),
    [sym_scoped_identifier] = STATE(2130),
    [sym_scoped_type_identifier] = STATE(2908),
    [sym_match_arm] = STATE(1471),
    [sym_last_match_arm] = STATE(3358),
    [sym_match_pattern] = STATE(3345),
    [sym_const_block] = STATE(2877),
    [sym__pattern] = STATE(2919),
    [sym_tuple_pattern] = STATE(2877),
    [sym_slice_pattern] = STATE(2877),
    [sym_tuple_struct_pattern] = STATE(2877),
    [sym_struct_pattern] = STATE(2877),
    [sym_remaining_field_pattern] = STATE(2877),
    [sym_mut_pattern] = STATE(2877),
    [sym_range_pattern] = STATE(2877),
    [sym_ref_pattern] = STATE(2877),
    [sym_captured_pattern] = STATE(2877),
    [sym_reference_pattern] = STATE(2877),
    [sym_or_pattern] = STATE(2877),
    [sym__literal_pattern] = STATE(2387),
    [sym_negative_literal] = STATE(2299),
    [sym_string_literal] = STATE(2299),
    [sym_raw_string_literal] = STATE(2299),
    [sym_boolean_literal] = STATE(2299),
    [sym_line_comment] = STATE(461),
    [sym_block_comment] = STATE(461),
    [aux_sym_match_block_repeat1] = STATE(477),
    [aux_sym_match_arm_repeat1] = STATE(759),
    [sym_identifier] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1608),
    [anon_sym_RBRACE] = ACTIONS(1654),
    [anon_sym_u8] = ACTIONS(1612),
    [anon_sym_i8] = ACTIONS(1612),
    [anon_sym_u16] = ACTIONS(1612),
    [anon_sym_i16] = ACTIONS(1612),
    [anon_sym_u32] = ACTIONS(1612),
    [anon_sym_i32] = ACTIONS(1612),
    [anon_sym_u64] = ACTIONS(1612),
    [anon_sym_i64] = ACTIONS(1612),
    [anon_sym_u128] = ACTIONS(1612),
    [anon_sym_i128] = ACTIONS(1612),
    [anon_sym_isize] = ACTIONS(1612),
    [anon_sym_usize] = ACTIONS(1612),
    [anon_sym_f32] = ACTIONS(1612),
    [anon_sym_f64] = ACTIONS(1612),
    [anon_sym_bool] = ACTIONS(1612),
    [anon_sym_str] = ACTIONS(1612),
    [anon_sym_char] = ACTIONS(1612),
    [anon_sym_DASH] = ACTIONS(1614),
    [anon_sym_AMP] = ACTIONS(1616),
    [anon_sym_PIPE] = ACTIONS(1618),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1620),
    [anon_sym_DOT_DOT] = ACTIONS(1622),
    [anon_sym_COLON_COLON] = ACTIONS(1624),
    [anon_sym_POUND] = ACTIONS(1626),
    [anon_sym_const] = ACTIONS(1628),
    [anon_sym_default] = ACTIONS(1630),
    [anon_sym_union] = ACTIONS(1630),
    [anon_sym_ref] = ACTIONS(1632),
    [sym_mutable_specifier] = ACTIONS(1634),
    [sym_integer_literal] = ACTIONS(1636),
    [aux_sym_string_literal_token1] = ACTIONS(1638),
    [sym_char_literal] = ACTIONS(1636),
    [anon_sym_true] = ACTIONS(1640),
    [anon_sym_false] = ACTIONS(1640),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1642),
    [sym_super] = ACTIONS(1642),
    [sym_crate] = ACTIONS(1642),
    [sym_metavariable] = ACTIONS(1644),
    [sym__raw_string_literal_start] = ACTIONS(1646),
    [sym_float_literal] = ACTIONS(1636),
  },
  [462] = {
    [sym_line_comment] = STATE(462),
    [sym_block_comment] = STATE(462),
    [sym_identifier] = ACTIONS(1368),
    [anon_sym_LPAREN] = ACTIONS(1366),
    [anon_sym_LBRACK] = ACTIONS(1366),
    [anon_sym_RBRACE] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1368),
    [anon_sym_STAR] = ACTIONS(1368),
    [anon_sym_QMARK] = ACTIONS(1366),
    [anon_sym_u8] = ACTIONS(1368),
    [anon_sym_i8] = ACTIONS(1368),
    [anon_sym_u16] = ACTIONS(1368),
    [anon_sym_i16] = ACTIONS(1368),
    [anon_sym_u32] = ACTIONS(1368),
    [anon_sym_i32] = ACTIONS(1368),
    [anon_sym_u64] = ACTIONS(1368),
    [anon_sym_i64] = ACTIONS(1368),
    [anon_sym_u128] = ACTIONS(1368),
    [anon_sym_i128] = ACTIONS(1368),
    [anon_sym_isize] = ACTIONS(1368),
    [anon_sym_usize] = ACTIONS(1368),
    [anon_sym_f32] = ACTIONS(1368),
    [anon_sym_f64] = ACTIONS(1368),
    [anon_sym_bool] = ACTIONS(1368),
    [anon_sym_str] = ACTIONS(1368),
    [anon_sym_char] = ACTIONS(1368),
    [anon_sym_DASH] = ACTIONS(1368),
    [anon_sym_SLASH] = ACTIONS(1368),
    [anon_sym_PERCENT] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1368),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_PIPE] = ACTIONS(1368),
    [anon_sym_AMP_AMP] = ACTIONS(1366),
    [anon_sym_PIPE_PIPE] = ACTIONS(1366),
    [anon_sym_LT_LT] = ACTIONS(1368),
    [anon_sym_GT_GT] = ACTIONS(1368),
    [anon_sym_PLUS_EQ] = ACTIONS(1366),
    [anon_sym_DASH_EQ] = ACTIONS(1366),
    [anon_sym_STAR_EQ] = ACTIONS(1366),
    [anon_sym_SLASH_EQ] = ACTIONS(1366),
    [anon_sym_PERCENT_EQ] = ACTIONS(1366),
    [anon_sym_CARET_EQ] = ACTIONS(1366),
    [anon_sym_AMP_EQ] = ACTIONS(1366),
    [anon_sym_PIPE_EQ] = ACTIONS(1366),
    [anon_sym_LT_LT_EQ] = ACTIONS(1366),
    [anon_sym_GT_GT_EQ] = ACTIONS(1366),
    [anon_sym_EQ] = ACTIONS(1368),
    [anon_sym_EQ_EQ] = ACTIONS(1366),
    [anon_sym_BANG_EQ] = ACTIONS(1366),
    [anon_sym_GT] = ACTIONS(1368),
    [anon_sym_LT] = ACTIONS(1368),
    [anon_sym_GT_EQ] = ACTIONS(1366),
    [anon_sym_LT_EQ] = ACTIONS(1366),
    [anon_sym__] = ACTIONS(1368),
    [anon_sym_DOT] = ACTIONS(1368),
    [anon_sym_DOT_DOT] = ACTIONS(1368),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1366),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1366),
    [anon_sym_COMMA] = ACTIONS(1366),
    [anon_sym_COLON_COLON] = ACTIONS(1366),
    [anon_sym_POUND] = ACTIONS(1366),
    [anon_sym_as] = ACTIONS(1368),
    [anon_sym_const] = ACTIONS(1368),
    [anon_sym_default] = ACTIONS(1368),
    [anon_sym_union] = ACTIONS(1368),
    [anon_sym_ref] = ACTIONS(1368),
    [sym_mutable_specifier] = ACTIONS(1368),
    [sym_integer_literal] = ACTIONS(1366),
    [aux_sym_string_literal_token1] = ACTIONS(1366),
    [sym_char_literal] = ACTIONS(1366),
    [anon_sym_true] = ACTIONS(1368),
    [anon_sym_false] = ACTIONS(1368),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1368),
    [sym_super] = ACTIONS(1368),
    [sym_crate] = ACTIONS(1368),
    [sym_metavariable] = ACTIONS(1366),
    [sym__raw_string_literal_start] = ACTIONS(1366),
    [sym_float_literal] = ACTIONS(1366),
  },
  [463] = {
    [sym_line_comment] = STATE(463),
    [sym_block_comment] = STATE(463),
    [sym_identifier] = ACTIONS(1404),
    [anon_sym_LPAREN] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(1402),
    [anon_sym_RBRACE] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1404),
    [anon_sym_STAR] = ACTIONS(1404),
    [anon_sym_QMARK] = ACTIONS(1402),
    [anon_sym_u8] = ACTIONS(1404),
    [anon_sym_i8] = ACTIONS(1404),
    [anon_sym_u16] = ACTIONS(1404),
    [anon_sym_i16] = ACTIONS(1404),
    [anon_sym_u32] = ACTIONS(1404),
    [anon_sym_i32] = ACTIONS(1404),
    [anon_sym_u64] = ACTIONS(1404),
    [anon_sym_i64] = ACTIONS(1404),
    [anon_sym_u128] = ACTIONS(1404),
    [anon_sym_i128] = ACTIONS(1404),
    [anon_sym_isize] = ACTIONS(1404),
    [anon_sym_usize] = ACTIONS(1404),
    [anon_sym_f32] = ACTIONS(1404),
    [anon_sym_f64] = ACTIONS(1404),
    [anon_sym_bool] = ACTIONS(1404),
    [anon_sym_str] = ACTIONS(1404),
    [anon_sym_char] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1404),
    [anon_sym_SLASH] = ACTIONS(1404),
    [anon_sym_PERCENT] = ACTIONS(1404),
    [anon_sym_CARET] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_PIPE] = ACTIONS(1404),
    [anon_sym_AMP_AMP] = ACTIONS(1402),
    [anon_sym_PIPE_PIPE] = ACTIONS(1402),
    [anon_sym_LT_LT] = ACTIONS(1404),
    [anon_sym_GT_GT] = ACTIONS(1404),
    [anon_sym_PLUS_EQ] = ACTIONS(1402),
    [anon_sym_DASH_EQ] = ACTIONS(1402),
    [anon_sym_STAR_EQ] = ACTIONS(1402),
    [anon_sym_SLASH_EQ] = ACTIONS(1402),
    [anon_sym_PERCENT_EQ] = ACTIONS(1402),
    [anon_sym_CARET_EQ] = ACTIONS(1402),
    [anon_sym_AMP_EQ] = ACTIONS(1402),
    [anon_sym_PIPE_EQ] = ACTIONS(1402),
    [anon_sym_LT_LT_EQ] = ACTIONS(1402),
    [anon_sym_GT_GT_EQ] = ACTIONS(1402),
    [anon_sym_EQ] = ACTIONS(1404),
    [anon_sym_EQ_EQ] = ACTIONS(1402),
    [anon_sym_BANG_EQ] = ACTIONS(1402),
    [anon_sym_GT] = ACTIONS(1404),
    [anon_sym_LT] = ACTIONS(1404),
    [anon_sym_GT_EQ] = ACTIONS(1402),
    [anon_sym_LT_EQ] = ACTIONS(1402),
    [anon_sym__] = ACTIONS(1404),
    [anon_sym_DOT] = ACTIONS(1404),
    [anon_sym_DOT_DOT] = ACTIONS(1404),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1402),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1402),
    [anon_sym_COMMA] = ACTIONS(1402),
    [anon_sym_COLON_COLON] = ACTIONS(1402),
    [anon_sym_POUND] = ACTIONS(1402),
    [anon_sym_as] = ACTIONS(1404),
    [anon_sym_const] = ACTIONS(1404),
    [anon_sym_default] = ACTIONS(1404),
    [anon_sym_union] = ACTIONS(1404),
    [anon_sym_ref] = ACTIONS(1404),
    [sym_mutable_specifier] = ACTIONS(1404),
    [sym_integer_literal] = ACTIONS(1402),
    [aux_sym_string_literal_token1] = ACTIONS(1402),
    [sym_char_literal] = ACTIONS(1402),
    [anon_sym_true] = ACTIONS(1404),
    [anon_sym_false] = ACTIONS(1404),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1404),
    [sym_super] = ACTIONS(1404),
    [sym_crate] = ACTIONS(1404),
    [sym_metavariable] = ACTIONS(1402),
    [sym__raw_string_literal_start] = ACTIONS(1402),
    [sym_float_literal] = ACTIONS(1402),
  },
  [464] = {
    [sym_line_comment] = STATE(464),
    [sym_block_comment] = STATE(464),
    [sym_identifier] = ACTIONS(1656),
    [anon_sym_LPAREN] = ACTIONS(1658),
    [anon_sym_LBRACK] = ACTIONS(1658),
    [anon_sym_RBRACE] = ACTIONS(1418),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1416),
    [anon_sym_QMARK] = ACTIONS(1418),
    [anon_sym_u8] = ACTIONS(1656),
    [anon_sym_i8] = ACTIONS(1656),
    [anon_sym_u16] = ACTIONS(1656),
    [anon_sym_i16] = ACTIONS(1656),
    [anon_sym_u32] = ACTIONS(1656),
    [anon_sym_i32] = ACTIONS(1656),
    [anon_sym_u64] = ACTIONS(1656),
    [anon_sym_i64] = ACTIONS(1656),
    [anon_sym_u128] = ACTIONS(1656),
    [anon_sym_i128] = ACTIONS(1656),
    [anon_sym_isize] = ACTIONS(1656),
    [anon_sym_usize] = ACTIONS(1656),
    [anon_sym_f32] = ACTIONS(1656),
    [anon_sym_f64] = ACTIONS(1656),
    [anon_sym_bool] = ACTIONS(1656),
    [anon_sym_str] = ACTIONS(1656),
    [anon_sym_char] = ACTIONS(1656),
    [anon_sym_DASH] = ACTIONS(1656),
    [anon_sym_SLASH] = ACTIONS(1416),
    [anon_sym_PERCENT] = ACTIONS(1416),
    [anon_sym_CARET] = ACTIONS(1416),
    [anon_sym_AMP] = ACTIONS(1656),
    [anon_sym_PIPE] = ACTIONS(1656),
    [anon_sym_AMP_AMP] = ACTIONS(1418),
    [anon_sym_PIPE_PIPE] = ACTIONS(1418),
    [anon_sym_LT_LT] = ACTIONS(1416),
    [anon_sym_GT_GT] = ACTIONS(1416),
    [anon_sym_PLUS_EQ] = ACTIONS(1418),
    [anon_sym_DASH_EQ] = ACTIONS(1418),
    [anon_sym_STAR_EQ] = ACTIONS(1418),
    [anon_sym_SLASH_EQ] = ACTIONS(1418),
    [anon_sym_PERCENT_EQ] = ACTIONS(1418),
    [anon_sym_CARET_EQ] = ACTIONS(1418),
    [anon_sym_AMP_EQ] = ACTIONS(1418),
    [anon_sym_PIPE_EQ] = ACTIONS(1418),
    [anon_sym_LT_LT_EQ] = ACTIONS(1418),
    [anon_sym_GT_GT_EQ] = ACTIONS(1418),
    [anon_sym_EQ] = ACTIONS(1416),
    [anon_sym_EQ_EQ] = ACTIONS(1418),
    [anon_sym_BANG_EQ] = ACTIONS(1418),
    [anon_sym_GT] = ACTIONS(1416),
    [anon_sym_LT] = ACTIONS(1656),
    [anon_sym_GT_EQ] = ACTIONS(1418),
    [anon_sym_LT_EQ] = ACTIONS(1418),
    [anon_sym__] = ACTIONS(1656),
    [anon_sym_DOT] = ACTIONS(1416),
    [anon_sym_DOT_DOT] = ACTIONS(1656),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1418),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1418),
    [anon_sym_COMMA] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(1658),
    [anon_sym_POUND] = ACTIONS(1658),
    [anon_sym_as] = ACTIONS(1416),
    [anon_sym_const] = ACTIONS(1656),
    [anon_sym_default] = ACTIONS(1656),
    [anon_sym_union] = ACTIONS(1656),
    [anon_sym_ref] = ACTIONS(1656),
    [sym_mutable_specifier] = ACTIONS(1656),
    [sym_integer_literal] = ACTIONS(1658),
    [aux_sym_string_literal_token1] = ACTIONS(1658),
    [sym_char_literal] = ACTIONS(1658),
    [anon_sym_true] = ACTIONS(1656),
    [anon_sym_false] = ACTIONS(1656),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1656),
    [sym_super] = ACTIONS(1656),
    [sym_crate] = ACTIONS(1656),
    [sym_metavariable] = ACTIONS(1658),
    [sym__raw_string_literal_start] = ACTIONS(1658),
    [sym_float_literal] = ACTIONS(1658),
  },
  [465] = {
    [sym_line_comment] = STATE(465),
    [sym_block_comment] = STATE(465),
    [sym_identifier] = ACTIONS(1384),
    [anon_sym_LPAREN] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1382),
    [anon_sym_RBRACE] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_QMARK] = ACTIONS(1382),
    [anon_sym_u8] = ACTIONS(1384),
    [anon_sym_i8] = ACTIONS(1384),
    [anon_sym_u16] = ACTIONS(1384),
    [anon_sym_i16] = ACTIONS(1384),
    [anon_sym_u32] = ACTIONS(1384),
    [anon_sym_i32] = ACTIONS(1384),
    [anon_sym_u64] = ACTIONS(1384),
    [anon_sym_i64] = ACTIONS(1384),
    [anon_sym_u128] = ACTIONS(1384),
    [anon_sym_i128] = ACTIONS(1384),
    [anon_sym_isize] = ACTIONS(1384),
    [anon_sym_usize] = ACTIONS(1384),
    [anon_sym_f32] = ACTIONS(1384),
    [anon_sym_f64] = ACTIONS(1384),
    [anon_sym_bool] = ACTIONS(1384),
    [anon_sym_str] = ACTIONS(1384),
    [anon_sym_char] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1384),
    [anon_sym_SLASH] = ACTIONS(1384),
    [anon_sym_PERCENT] = ACTIONS(1384),
    [anon_sym_CARET] = ACTIONS(1384),
    [anon_sym_AMP] = ACTIONS(1384),
    [anon_sym_PIPE] = ACTIONS(1384),
    [anon_sym_AMP_AMP] = ACTIONS(1382),
    [anon_sym_PIPE_PIPE] = ACTIONS(1382),
    [anon_sym_LT_LT] = ACTIONS(1384),
    [anon_sym_GT_GT] = ACTIONS(1384),
    [anon_sym_PLUS_EQ] = ACTIONS(1382),
    [anon_sym_DASH_EQ] = ACTIONS(1382),
    [anon_sym_STAR_EQ] = ACTIONS(1382),
    [anon_sym_SLASH_EQ] = ACTIONS(1382),
    [anon_sym_PERCENT_EQ] = ACTIONS(1382),
    [anon_sym_CARET_EQ] = ACTIONS(1382),
    [anon_sym_AMP_EQ] = ACTIONS(1382),
    [anon_sym_PIPE_EQ] = ACTIONS(1382),
    [anon_sym_LT_LT_EQ] = ACTIONS(1382),
    [anon_sym_GT_GT_EQ] = ACTIONS(1382),
    [anon_sym_EQ] = ACTIONS(1384),
    [anon_sym_EQ_EQ] = ACTIONS(1382),
    [anon_sym_BANG_EQ] = ACTIONS(1382),
    [anon_sym_GT] = ACTIONS(1384),
    [anon_sym_LT] = ACTIONS(1384),
    [anon_sym_GT_EQ] = ACTIONS(1382),
    [anon_sym_LT_EQ] = ACTIONS(1382),
    [anon_sym__] = ACTIONS(1384),
    [anon_sym_DOT] = ACTIONS(1384),
    [anon_sym_DOT_DOT] = ACTIONS(1384),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1382),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1382),
    [anon_sym_COMMA] = ACTIONS(1382),
    [anon_sym_COLON_COLON] = ACTIONS(1382),
    [anon_sym_POUND] = ACTIONS(1382),
    [anon_sym_as] = ACTIONS(1384),
    [anon_sym_const] = ACTIONS(1384),
    [anon_sym_default] = ACTIONS(1384),
    [anon_sym_union] = ACTIONS(1384),
    [anon_sym_ref] = ACTIONS(1384),
    [sym_mutable_specifier] = ACTIONS(1384),
    [sym_integer_literal] = ACTIONS(1382),
    [aux_sym_string_literal_token1] = ACTIONS(1382),
    [sym_char_literal] = ACTIONS(1382),
    [anon_sym_true] = ACTIONS(1384),
    [anon_sym_false] = ACTIONS(1384),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1384),
    [sym_super] = ACTIONS(1384),
    [sym_crate] = ACTIONS(1384),
    [sym_metavariable] = ACTIONS(1382),
    [sym__raw_string_literal_start] = ACTIONS(1382),
    [sym_float_literal] = ACTIONS(1382),
  },
  [466] = {
    [sym_line_comment] = STATE(466),
    [sym_block_comment] = STATE(466),
    [sym_identifier] = ACTIONS(1422),
    [anon_sym_LPAREN] = ACTIONS(1420),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1422),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_QMARK] = ACTIONS(1420),
    [anon_sym_u8] = ACTIONS(1422),
    [anon_sym_i8] = ACTIONS(1422),
    [anon_sym_u16] = ACTIONS(1422),
    [anon_sym_i16] = ACTIONS(1422),
    [anon_sym_u32] = ACTIONS(1422),
    [anon_sym_i32] = ACTIONS(1422),
    [anon_sym_u64] = ACTIONS(1422),
    [anon_sym_i64] = ACTIONS(1422),
    [anon_sym_u128] = ACTIONS(1422),
    [anon_sym_i128] = ACTIONS(1422),
    [anon_sym_isize] = ACTIONS(1422),
    [anon_sym_usize] = ACTIONS(1422),
    [anon_sym_f32] = ACTIONS(1422),
    [anon_sym_f64] = ACTIONS(1422),
    [anon_sym_bool] = ACTIONS(1422),
    [anon_sym_str] = ACTIONS(1422),
    [anon_sym_char] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1422),
    [anon_sym_SLASH] = ACTIONS(1422),
    [anon_sym_PERCENT] = ACTIONS(1422),
    [anon_sym_CARET] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_PIPE] = ACTIONS(1422),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_PIPE_PIPE] = ACTIONS(1420),
    [anon_sym_LT_LT] = ACTIONS(1422),
    [anon_sym_GT_GT] = ACTIONS(1422),
    [anon_sym_PLUS_EQ] = ACTIONS(1420),
    [anon_sym_DASH_EQ] = ACTIONS(1420),
    [anon_sym_STAR_EQ] = ACTIONS(1420),
    [anon_sym_SLASH_EQ] = ACTIONS(1420),
    [anon_sym_PERCENT_EQ] = ACTIONS(1420),
    [anon_sym_CARET_EQ] = ACTIONS(1420),
    [anon_sym_AMP_EQ] = ACTIONS(1420),
    [anon_sym_PIPE_EQ] = ACTIONS(1420),
    [anon_sym_LT_LT_EQ] = ACTIONS(1420),
    [anon_sym_GT_GT_EQ] = ACTIONS(1420),
    [anon_sym_EQ] = ACTIONS(1422),
    [anon_sym_EQ_EQ] = ACTIONS(1420),
    [anon_sym_BANG_EQ] = ACTIONS(1420),
    [anon_sym_GT] = ACTIONS(1422),
    [anon_sym_LT] = ACTIONS(1422),
    [anon_sym_GT_EQ] = ACTIONS(1420),
    [anon_sym_LT_EQ] = ACTIONS(1420),
    [anon_sym__] = ACTIONS(1422),
    [anon_sym_DOT] = ACTIONS(1422),
    [anon_sym_DOT_DOT] = ACTIONS(1422),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1420),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1420),
    [anon_sym_COMMA] = ACTIONS(1420),
    [anon_sym_COLON_COLON] = ACTIONS(1420),
    [anon_sym_POUND] = ACTIONS(1420),
    [anon_sym_as] = ACTIONS(1422),
    [anon_sym_const] = ACTIONS(1422),
    [anon_sym_default] = ACTIONS(1422),
    [anon_sym_union] = ACTIONS(1422),
    [anon_sym_ref] = ACTIONS(1422),
    [sym_mutable_specifier] = ACTIONS(1422),
    [sym_integer_literal] = ACTIONS(1420),
    [aux_sym_string_literal_token1] = ACTIONS(1420),
    [sym_char_literal] = ACTIONS(1420),
    [anon_sym_true] = ACTIONS(1422),
    [anon_sym_false] = ACTIONS(1422),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1422),
    [sym_super] = ACTIONS(1422),
    [sym_crate] = ACTIONS(1422),
    [sym_metavariable] = ACTIONS(1420),
    [sym__raw_string_literal_start] = ACTIONS(1420),
    [sym_float_literal] = ACTIONS(1420),
  },
  [467] = {
    [sym_line_comment] = STATE(467),
    [sym_block_comment] = STATE(467),
    [sym_identifier] = ACTIONS(1452),
    [anon_sym_LPAREN] = ACTIONS(1450),
    [anon_sym_LBRACK] = ACTIONS(1450),
    [anon_sym_RBRACE] = ACTIONS(1450),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1452),
    [anon_sym_QMARK] = ACTIONS(1450),
    [anon_sym_u8] = ACTIONS(1452),
    [anon_sym_i8] = ACTIONS(1452),
    [anon_sym_u16] = ACTIONS(1452),
    [anon_sym_i16] = ACTIONS(1452),
    [anon_sym_u32] = ACTIONS(1452),
    [anon_sym_i32] = ACTIONS(1452),
    [anon_sym_u64] = ACTIONS(1452),
    [anon_sym_i64] = ACTIONS(1452),
    [anon_sym_u128] = ACTIONS(1452),
    [anon_sym_i128] = ACTIONS(1452),
    [anon_sym_isize] = ACTIONS(1452),
    [anon_sym_usize] = ACTIONS(1452),
    [anon_sym_f32] = ACTIONS(1452),
    [anon_sym_f64] = ACTIONS(1452),
    [anon_sym_bool] = ACTIONS(1452),
    [anon_sym_str] = ACTIONS(1452),
    [anon_sym_char] = ACTIONS(1452),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_SLASH] = ACTIONS(1452),
    [anon_sym_PERCENT] = ACTIONS(1452),
    [anon_sym_CARET] = ACTIONS(1452),
    [anon_sym_AMP] = ACTIONS(1452),
    [anon_sym_PIPE] = ACTIONS(1452),
    [anon_sym_AMP_AMP] = ACTIONS(1450),
    [anon_sym_PIPE_PIPE] = ACTIONS(1450),
    [anon_sym_LT_LT] = ACTIONS(1452),
    [anon_sym_GT_GT] = ACTIONS(1452),
    [anon_sym_PLUS_EQ] = ACTIONS(1450),
    [anon_sym_DASH_EQ] = ACTIONS(1450),
    [anon_sym_STAR_EQ] = ACTIONS(1450),
    [anon_sym_SLASH_EQ] = ACTIONS(1450),
    [anon_sym_PERCENT_EQ] = ACTIONS(1450),
    [anon_sym_CARET_EQ] = ACTIONS(1450),
    [anon_sym_AMP_EQ] = ACTIONS(1450),
    [anon_sym_PIPE_EQ] = ACTIONS(1450),
    [anon_sym_LT_LT_EQ] = ACTIONS(1450),
    [anon_sym_GT_GT_EQ] = ACTIONS(1450),
    [anon_sym_EQ] = ACTIONS(1452),
    [anon_sym_EQ_EQ] = ACTIONS(1450),
    [anon_sym_BANG_EQ] = ACTIONS(1450),
    [anon_sym_GT] = ACTIONS(1452),
    [anon_sym_LT] = ACTIONS(1452),
    [anon_sym_GT_EQ] = ACTIONS(1450),
    [anon_sym_LT_EQ] = ACTIONS(1450),
    [anon_sym__] = ACTIONS(1452),
    [anon_sym_DOT] = ACTIONS(1452),
    [anon_sym_DOT_DOT] = ACTIONS(1452),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1450),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1450),
    [anon_sym_COMMA] = ACTIONS(1450),
    [anon_sym_COLON_COLON] = ACTIONS(1450),
    [anon_sym_POUND] = ACTIONS(1450),
    [anon_sym_as] = ACTIONS(1452),
    [anon_sym_const] = ACTIONS(1452),
    [anon_sym_default] = ACTIONS(1452),
    [anon_sym_union] = ACTIONS(1452),
    [anon_sym_ref] = ACTIONS(1452),
    [sym_mutable_specifier] = ACTIONS(1452),
    [sym_integer_literal] = ACTIONS(1450),
    [aux_sym_string_literal_token1] = ACTIONS(1450),
    [sym_char_literal] = ACTIONS(1450),
    [anon_sym_true] = ACTIONS(1452),
    [anon_sym_false] = ACTIONS(1452),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1452),
    [sym_super] = ACTIONS(1452),
    [sym_crate] = ACTIONS(1452),
    [sym_metavariable] = ACTIONS(1450),
    [sym__raw_string_literal_start] = ACTIONS(1450),
    [sym_float_literal] = ACTIONS(1450),
  },
  [468] = {
    [sym_line_comment] = STATE(468),
    [sym_block_comment] = STATE(468),
    [sym_identifier] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1378),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [anon_sym_RBRACE] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1380),
    [anon_sym_QMARK] = ACTIONS(1378),
    [anon_sym_u8] = ACTIONS(1380),
    [anon_sym_i8] = ACTIONS(1380),
    [anon_sym_u16] = ACTIONS(1380),
    [anon_sym_i16] = ACTIONS(1380),
    [anon_sym_u32] = ACTIONS(1380),
    [anon_sym_i32] = ACTIONS(1380),
    [anon_sym_u64] = ACTIONS(1380),
    [anon_sym_i64] = ACTIONS(1380),
    [anon_sym_u128] = ACTIONS(1380),
    [anon_sym_i128] = ACTIONS(1380),
    [anon_sym_isize] = ACTIONS(1380),
    [anon_sym_usize] = ACTIONS(1380),
    [anon_sym_f32] = ACTIONS(1380),
    [anon_sym_f64] = ACTIONS(1380),
    [anon_sym_bool] = ACTIONS(1380),
    [anon_sym_str] = ACTIONS(1380),
    [anon_sym_char] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1380),
    [anon_sym_SLASH] = ACTIONS(1380),
    [anon_sym_PERCENT] = ACTIONS(1380),
    [anon_sym_CARET] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1380),
    [anon_sym_PIPE] = ACTIONS(1380),
    [anon_sym_AMP_AMP] = ACTIONS(1378),
    [anon_sym_PIPE_PIPE] = ACTIONS(1378),
    [anon_sym_LT_LT] = ACTIONS(1380),
    [anon_sym_GT_GT] = ACTIONS(1380),
    [anon_sym_PLUS_EQ] = ACTIONS(1378),
    [anon_sym_DASH_EQ] = ACTIONS(1378),
    [anon_sym_STAR_EQ] = ACTIONS(1378),
    [anon_sym_SLASH_EQ] = ACTIONS(1378),
    [anon_sym_PERCENT_EQ] = ACTIONS(1378),
    [anon_sym_CARET_EQ] = ACTIONS(1378),
    [anon_sym_AMP_EQ] = ACTIONS(1378),
    [anon_sym_PIPE_EQ] = ACTIONS(1378),
    [anon_sym_LT_LT_EQ] = ACTIONS(1378),
    [anon_sym_GT_GT_EQ] = ACTIONS(1378),
    [anon_sym_EQ] = ACTIONS(1380),
    [anon_sym_EQ_EQ] = ACTIONS(1378),
    [anon_sym_BANG_EQ] = ACTIONS(1378),
    [anon_sym_GT] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1380),
    [anon_sym_GT_EQ] = ACTIONS(1378),
    [anon_sym_LT_EQ] = ACTIONS(1378),
    [anon_sym__] = ACTIONS(1380),
    [anon_sym_DOT] = ACTIONS(1380),
    [anon_sym_DOT_DOT] = ACTIONS(1380),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1378),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1378),
    [anon_sym_COMMA] = ACTIONS(1378),
    [anon_sym_COLON_COLON] = ACTIONS(1378),
    [anon_sym_POUND] = ACTIONS(1378),
    [anon_sym_as] = ACTIONS(1380),
    [anon_sym_const] = ACTIONS(1380),
    [anon_sym_default] = ACTIONS(1380),
    [anon_sym_union] = ACTIONS(1380),
    [anon_sym_ref] = ACTIONS(1380),
    [sym_mutable_specifier] = ACTIONS(1380),
    [sym_integer_literal] = ACTIONS(1378),
    [aux_sym_string_literal_token1] = ACTIONS(1378),
    [sym_char_literal] = ACTIONS(1378),
    [anon_sym_true] = ACTIONS(1380),
    [anon_sym_false] = ACTIONS(1380),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1380),
    [sym_super] = ACTIONS(1380),
    [sym_crate] = ACTIONS(1380),
    [sym_metavariable] = ACTIONS(1378),
    [sym__raw_string_literal_start] = ACTIONS(1378),
    [sym_float_literal] = ACTIONS(1378),
  },
  [469] = {
    [sym_line_comment] = STATE(469),
    [sym_block_comment] = STATE(469),
    [sym_identifier] = ACTIONS(1352),
    [anon_sym_LPAREN] = ACTIONS(1350),
    [anon_sym_LBRACK] = ACTIONS(1350),
    [anon_sym_RBRACE] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1352),
    [anon_sym_STAR] = ACTIONS(1352),
    [anon_sym_QMARK] = ACTIONS(1350),
    [anon_sym_u8] = ACTIONS(1352),
    [anon_sym_i8] = ACTIONS(1352),
    [anon_sym_u16] = ACTIONS(1352),
    [anon_sym_i16] = ACTIONS(1352),
    [anon_sym_u32] = ACTIONS(1352),
    [anon_sym_i32] = ACTIONS(1352),
    [anon_sym_u64] = ACTIONS(1352),
    [anon_sym_i64] = ACTIONS(1352),
    [anon_sym_u128] = ACTIONS(1352),
    [anon_sym_i128] = ACTIONS(1352),
    [anon_sym_isize] = ACTIONS(1352),
    [anon_sym_usize] = ACTIONS(1352),
    [anon_sym_f32] = ACTIONS(1352),
    [anon_sym_f64] = ACTIONS(1352),
    [anon_sym_bool] = ACTIONS(1352),
    [anon_sym_str] = ACTIONS(1352),
    [anon_sym_char] = ACTIONS(1352),
    [anon_sym_DASH] = ACTIONS(1352),
    [anon_sym_SLASH] = ACTIONS(1352),
    [anon_sym_PERCENT] = ACTIONS(1352),
    [anon_sym_CARET] = ACTIONS(1352),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_PIPE] = ACTIONS(1352),
    [anon_sym_AMP_AMP] = ACTIONS(1350),
    [anon_sym_PIPE_PIPE] = ACTIONS(1350),
    [anon_sym_LT_LT] = ACTIONS(1352),
    [anon_sym_GT_GT] = ACTIONS(1352),
    [anon_sym_PLUS_EQ] = ACTIONS(1350),
    [anon_sym_DASH_EQ] = ACTIONS(1350),
    [anon_sym_STAR_EQ] = ACTIONS(1350),
    [anon_sym_SLASH_EQ] = ACTIONS(1350),
    [anon_sym_PERCENT_EQ] = ACTIONS(1350),
    [anon_sym_CARET_EQ] = ACTIONS(1350),
    [anon_sym_AMP_EQ] = ACTIONS(1350),
    [anon_sym_PIPE_EQ] = ACTIONS(1350),
    [anon_sym_LT_LT_EQ] = ACTIONS(1350),
    [anon_sym_GT_GT_EQ] = ACTIONS(1350),
    [anon_sym_EQ] = ACTIONS(1352),
    [anon_sym_EQ_EQ] = ACTIONS(1350),
    [anon_sym_BANG_EQ] = ACTIONS(1350),
    [anon_sym_GT] = ACTIONS(1352),
    [anon_sym_LT] = ACTIONS(1352),
    [anon_sym_GT_EQ] = ACTIONS(1350),
    [anon_sym_LT_EQ] = ACTIONS(1350),
    [anon_sym__] = ACTIONS(1352),
    [anon_sym_DOT] = ACTIONS(1352),
    [anon_sym_DOT_DOT] = ACTIONS(1352),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1350),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1350),
    [anon_sym_COMMA] = ACTIONS(1350),
    [anon_sym_COLON_COLON] = ACTIONS(1350),
    [anon_sym_POUND] = ACTIONS(1350),
    [anon_sym_as] = ACTIONS(1352),
    [anon_sym_const] = ACTIONS(1352),
    [anon_sym_default] = ACTIONS(1352),
    [anon_sym_union] = ACTIONS(1352),
    [anon_sym_ref] = ACTIONS(1352),
    [sym_mutable_specifier] = ACTIONS(1352),
    [sym_integer_literal] = ACTIONS(1350),
    [aux_sym_string_literal_token1] = ACTIONS(1350),
    [sym_char_literal] = ACTIONS(1350),
    [anon_sym_true] = ACTIONS(1352),
    [anon_sym_false] = ACTIONS(1352),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1352),
    [sym_super] = ACTIONS(1352),
    [sym_crate] = ACTIONS(1352),
    [sym_metavariable] = ACTIONS(1350),
    [sym__raw_string_literal_start] = ACTIONS(1350),
    [sym_float_literal] = ACTIONS(1350),
  },
  [470] = {
    [sym_line_comment] = STATE(470),
    [sym_block_comment] = STATE(470),
    [sym_identifier] = ACTIONS(1392),
    [anon_sym_LPAREN] = ACTIONS(1390),
    [anon_sym_LBRACK] = ACTIONS(1390),
    [anon_sym_RBRACE] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1392),
    [anon_sym_STAR] = ACTIONS(1392),
    [anon_sym_QMARK] = ACTIONS(1390),
    [anon_sym_u8] = ACTIONS(1392),
    [anon_sym_i8] = ACTIONS(1392),
    [anon_sym_u16] = ACTIONS(1392),
    [anon_sym_i16] = ACTIONS(1392),
    [anon_sym_u32] = ACTIONS(1392),
    [anon_sym_i32] = ACTIONS(1392),
    [anon_sym_u64] = ACTIONS(1392),
    [anon_sym_i64] = ACTIONS(1392),
    [anon_sym_u128] = ACTIONS(1392),
    [anon_sym_i128] = ACTIONS(1392),
    [anon_sym_isize] = ACTIONS(1392),
    [anon_sym_usize] = ACTIONS(1392),
    [anon_sym_f32] = ACTIONS(1392),
    [anon_sym_f64] = ACTIONS(1392),
    [anon_sym_bool] = ACTIONS(1392),
    [anon_sym_str] = ACTIONS(1392),
    [anon_sym_char] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1392),
    [anon_sym_SLASH] = ACTIONS(1392),
    [anon_sym_PERCENT] = ACTIONS(1392),
    [anon_sym_CARET] = ACTIONS(1392),
    [anon_sym_AMP] = ACTIONS(1392),
    [anon_sym_PIPE] = ACTIONS(1392),
    [anon_sym_AMP_AMP] = ACTIONS(1390),
    [anon_sym_PIPE_PIPE] = ACTIONS(1390),
    [anon_sym_LT_LT] = ACTIONS(1392),
    [anon_sym_GT_GT] = ACTIONS(1392),
    [anon_sym_PLUS_EQ] = ACTIONS(1390),
    [anon_sym_DASH_EQ] = ACTIONS(1390),
    [anon_sym_STAR_EQ] = ACTIONS(1390),
    [anon_sym_SLASH_EQ] = ACTIONS(1390),
    [anon_sym_PERCENT_EQ] = ACTIONS(1390),
    [anon_sym_CARET_EQ] = ACTIONS(1390),
    [anon_sym_AMP_EQ] = ACTIONS(1390),
    [anon_sym_PIPE_EQ] = ACTIONS(1390),
    [anon_sym_LT_LT_EQ] = ACTIONS(1390),
    [anon_sym_GT_GT_EQ] = ACTIONS(1390),
    [anon_sym_EQ] = ACTIONS(1392),
    [anon_sym_EQ_EQ] = ACTIONS(1390),
    [anon_sym_BANG_EQ] = ACTIONS(1390),
    [anon_sym_GT] = ACTIONS(1392),
    [anon_sym_LT] = ACTIONS(1392),
    [anon_sym_GT_EQ] = ACTIONS(1390),
    [anon_sym_LT_EQ] = ACTIONS(1390),
    [anon_sym__] = ACTIONS(1392),
    [anon_sym_DOT] = ACTIONS(1392),
    [anon_sym_DOT_DOT] = ACTIONS(1392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1390),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1390),
    [anon_sym_COMMA] = ACTIONS(1390),
    [anon_sym_COLON_COLON] = ACTIONS(1390),
    [anon_sym_POUND] = ACTIONS(1390),
    [anon_sym_as] = ACTIONS(1392),
    [anon_sym_const] = ACTIONS(1392),
    [anon_sym_default] = ACTIONS(1392),
    [anon_sym_union] = ACTIONS(1392),
    [anon_sym_ref] = ACTIONS(1392),
    [sym_mutable_specifier] = ACTIONS(1392),
    [sym_integer_literal] = ACTIONS(1390),
    [aux_sym_string_literal_token1] = ACTIONS(1390),
    [sym_char_literal] = ACTIONS(1390),
    [anon_sym_true] = ACTIONS(1392),
    [anon_sym_false] = ACTIONS(1392),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1392),
    [sym_super] = ACTIONS(1392),
    [sym_crate] = ACTIONS(1392),
    [sym_metavariable] = ACTIONS(1390),
    [sym__raw_string_literal_start] = ACTIONS(1390),
    [sym_float_literal] = ACTIONS(1390),
  },
  [471] = {
    [sym_line_comment] = STATE(471),
    [sym_block_comment] = STATE(471),
    [sym_identifier] = ACTIONS(1396),
    [anon_sym_LPAREN] = ACTIONS(1394),
    [anon_sym_LBRACK] = ACTIONS(1394),
    [anon_sym_RBRACE] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1396),
    [anon_sym_STAR] = ACTIONS(1396),
    [anon_sym_QMARK] = ACTIONS(1394),
    [anon_sym_u8] = ACTIONS(1396),
    [anon_sym_i8] = ACTIONS(1396),
    [anon_sym_u16] = ACTIONS(1396),
    [anon_sym_i16] = ACTIONS(1396),
    [anon_sym_u32] = ACTIONS(1396),
    [anon_sym_i32] = ACTIONS(1396),
    [anon_sym_u64] = ACTIONS(1396),
    [anon_sym_i64] = ACTIONS(1396),
    [anon_sym_u128] = ACTIONS(1396),
    [anon_sym_i128] = ACTIONS(1396),
    [anon_sym_isize] = ACTIONS(1396),
    [anon_sym_usize] = ACTIONS(1396),
    [anon_sym_f32] = ACTIONS(1396),
    [anon_sym_f64] = ACTIONS(1396),
    [anon_sym_bool] = ACTIONS(1396),
    [anon_sym_str] = ACTIONS(1396),
    [anon_sym_char] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1396),
    [anon_sym_SLASH] = ACTIONS(1396),
    [anon_sym_PERCENT] = ACTIONS(1396),
    [anon_sym_CARET] = ACTIONS(1396),
    [anon_sym_AMP] = ACTIONS(1396),
    [anon_sym_PIPE] = ACTIONS(1396),
    [anon_sym_AMP_AMP] = ACTIONS(1394),
    [anon_sym_PIPE_PIPE] = ACTIONS(1394),
    [anon_sym_LT_LT] = ACTIONS(1396),
    [anon_sym_GT_GT] = ACTIONS(1396),
    [anon_sym_PLUS_EQ] = ACTIONS(1394),
    [anon_sym_DASH_EQ] = ACTIONS(1394),
    [anon_sym_STAR_EQ] = ACTIONS(1394),
    [anon_sym_SLASH_EQ] = ACTIONS(1394),
    [anon_sym_PERCENT_EQ] = ACTIONS(1394),
    [anon_sym_CARET_EQ] = ACTIONS(1394),
    [anon_sym_AMP_EQ] = ACTIONS(1394),
    [anon_sym_PIPE_EQ] = ACTIONS(1394),
    [anon_sym_LT_LT_EQ] = ACTIONS(1394),
    [anon_sym_GT_GT_EQ] = ACTIONS(1394),
    [anon_sym_EQ] = ACTIONS(1396),
    [anon_sym_EQ_EQ] = ACTIONS(1394),
    [anon_sym_BANG_EQ] = ACTIONS(1394),
    [anon_sym_GT] = ACTIONS(1396),
    [anon_sym_LT] = ACTIONS(1396),
    [anon_sym_GT_EQ] = ACTIONS(1394),
    [anon_sym_LT_EQ] = ACTIONS(1394),
    [anon_sym__] = ACTIONS(1396),
    [anon_sym_DOT] = ACTIONS(1396),
    [anon_sym_DOT_DOT] = ACTIONS(1396),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1394),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1394),
    [anon_sym_COMMA] = ACTIONS(1394),
    [anon_sym_COLON_COLON] = ACTIONS(1394),
    [anon_sym_POUND] = ACTIONS(1394),
    [anon_sym_as] = ACTIONS(1396),
    [anon_sym_const] = ACTIONS(1396),
    [anon_sym_default] = ACTIONS(1396),
    [anon_sym_union] = ACTIONS(1396),
    [anon_sym_ref] = ACTIONS(1396),
    [sym_mutable_specifier] = ACTIONS(1396),
    [sym_integer_literal] = ACTIONS(1394),
    [aux_sym_string_literal_token1] = ACTIONS(1394),
    [sym_char_literal] = ACTIONS(1394),
    [anon_sym_true] = ACTIONS(1396),
    [anon_sym_false] = ACTIONS(1396),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1396),
    [sym_super] = ACTIONS(1396),
    [sym_crate] = ACTIONS(1396),
    [sym_metavariable] = ACTIONS(1394),
    [sym__raw_string_literal_start] = ACTIONS(1394),
    [sym_float_literal] = ACTIONS(1394),
  },
  [472] = {
    [sym_attribute_item] = STATE(1479),
    [sym_inner_attribute_item] = STATE(1479),
    [sym_bracketed_type] = STATE(3523),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3262),
    [sym_macro_invocation] = STATE(2877),
    [sym_scoped_identifier] = STATE(2130),
    [sym_scoped_type_identifier] = STATE(2908),
    [sym_match_arm] = STATE(1471),
    [sym_last_match_arm] = STATE(3426),
    [sym_match_pattern] = STATE(3345),
    [sym_const_block] = STATE(2877),
    [sym__pattern] = STATE(2919),
    [sym_tuple_pattern] = STATE(2877),
    [sym_slice_pattern] = STATE(2877),
    [sym_tuple_struct_pattern] = STATE(2877),
    [sym_struct_pattern] = STATE(2877),
    [sym_remaining_field_pattern] = STATE(2877),
    [sym_mut_pattern] = STATE(2877),
    [sym_range_pattern] = STATE(2877),
    [sym_ref_pattern] = STATE(2877),
    [sym_captured_pattern] = STATE(2877),
    [sym_reference_pattern] = STATE(2877),
    [sym_or_pattern] = STATE(2877),
    [sym__literal_pattern] = STATE(2387),
    [sym_negative_literal] = STATE(2299),
    [sym_string_literal] = STATE(2299),
    [sym_raw_string_literal] = STATE(2299),
    [sym_boolean_literal] = STATE(2299),
    [sym_line_comment] = STATE(472),
    [sym_block_comment] = STATE(472),
    [aux_sym_match_block_repeat1] = STATE(476),
    [aux_sym_match_arm_repeat1] = STATE(759),
    [sym_identifier] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1608),
    [anon_sym_RBRACE] = ACTIONS(1660),
    [anon_sym_u8] = ACTIONS(1612),
    [anon_sym_i8] = ACTIONS(1612),
    [anon_sym_u16] = ACTIONS(1612),
    [anon_sym_i16] = ACTIONS(1612),
    [anon_sym_u32] = ACTIONS(1612),
    [anon_sym_i32] = ACTIONS(1612),
    [anon_sym_u64] = ACTIONS(1612),
    [anon_sym_i64] = ACTIONS(1612),
    [anon_sym_u128] = ACTIONS(1612),
    [anon_sym_i128] = ACTIONS(1612),
    [anon_sym_isize] = ACTIONS(1612),
    [anon_sym_usize] = ACTIONS(1612),
    [anon_sym_f32] = ACTIONS(1612),
    [anon_sym_f64] = ACTIONS(1612),
    [anon_sym_bool] = ACTIONS(1612),
    [anon_sym_str] = ACTIONS(1612),
    [anon_sym_char] = ACTIONS(1612),
    [anon_sym_DASH] = ACTIONS(1614),
    [anon_sym_AMP] = ACTIONS(1616),
    [anon_sym_PIPE] = ACTIONS(1618),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1620),
    [anon_sym_DOT_DOT] = ACTIONS(1622),
    [anon_sym_COLON_COLON] = ACTIONS(1624),
    [anon_sym_POUND] = ACTIONS(1626),
    [anon_sym_const] = ACTIONS(1628),
    [anon_sym_default] = ACTIONS(1630),
    [anon_sym_union] = ACTIONS(1630),
    [anon_sym_ref] = ACTIONS(1632),
    [sym_mutable_specifier] = ACTIONS(1634),
    [sym_integer_literal] = ACTIONS(1636),
    [aux_sym_string_literal_token1] = ACTIONS(1638),
    [sym_char_literal] = ACTIONS(1636),
    [anon_sym_true] = ACTIONS(1640),
    [anon_sym_false] = ACTIONS(1640),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1642),
    [sym_super] = ACTIONS(1642),
    [sym_crate] = ACTIONS(1642),
    [sym_metavariable] = ACTIONS(1644),
    [sym__raw_string_literal_start] = ACTIONS(1646),
    [sym_float_literal] = ACTIONS(1636),
  },
  [473] = {
    [sym_line_comment] = STATE(473),
    [sym_block_comment] = STATE(473),
    [sym_identifier] = ACTIONS(1376),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [anon_sym_RBRACE] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1376),
    [anon_sym_STAR] = ACTIONS(1376),
    [anon_sym_QMARK] = ACTIONS(1374),
    [anon_sym_u8] = ACTIONS(1376),
    [anon_sym_i8] = ACTIONS(1376),
    [anon_sym_u16] = ACTIONS(1376),
    [anon_sym_i16] = ACTIONS(1376),
    [anon_sym_u32] = ACTIONS(1376),
    [anon_sym_i32] = ACTIONS(1376),
    [anon_sym_u64] = ACTIONS(1376),
    [anon_sym_i64] = ACTIONS(1376),
    [anon_sym_u128] = ACTIONS(1376),
    [anon_sym_i128] = ACTIONS(1376),
    [anon_sym_isize] = ACTIONS(1376),
    [anon_sym_usize] = ACTIONS(1376),
    [anon_sym_f32] = ACTIONS(1376),
    [anon_sym_f64] = ACTIONS(1376),
    [anon_sym_bool] = ACTIONS(1376),
    [anon_sym_str] = ACTIONS(1376),
    [anon_sym_char] = ACTIONS(1376),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_SLASH] = ACTIONS(1376),
    [anon_sym_PERCENT] = ACTIONS(1376),
    [anon_sym_CARET] = ACTIONS(1376),
    [anon_sym_AMP] = ACTIONS(1376),
    [anon_sym_PIPE] = ACTIONS(1376),
    [anon_sym_AMP_AMP] = ACTIONS(1374),
    [anon_sym_PIPE_PIPE] = ACTIONS(1374),
    [anon_sym_LT_LT] = ACTIONS(1376),
    [anon_sym_GT_GT] = ACTIONS(1376),
    [anon_sym_PLUS_EQ] = ACTIONS(1374),
    [anon_sym_DASH_EQ] = ACTIONS(1374),
    [anon_sym_STAR_EQ] = ACTIONS(1374),
    [anon_sym_SLASH_EQ] = ACTIONS(1374),
    [anon_sym_PERCENT_EQ] = ACTIONS(1374),
    [anon_sym_CARET_EQ] = ACTIONS(1374),
    [anon_sym_AMP_EQ] = ACTIONS(1374),
    [anon_sym_PIPE_EQ] = ACTIONS(1374),
    [anon_sym_LT_LT_EQ] = ACTIONS(1374),
    [anon_sym_GT_GT_EQ] = ACTIONS(1374),
    [anon_sym_EQ] = ACTIONS(1376),
    [anon_sym_EQ_EQ] = ACTIONS(1374),
    [anon_sym_BANG_EQ] = ACTIONS(1374),
    [anon_sym_GT] = ACTIONS(1376),
    [anon_sym_LT] = ACTIONS(1376),
    [anon_sym_GT_EQ] = ACTIONS(1374),
    [anon_sym_LT_EQ] = ACTIONS(1374),
    [anon_sym__] = ACTIONS(1376),
    [anon_sym_DOT] = ACTIONS(1376),
    [anon_sym_DOT_DOT] = ACTIONS(1376),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1374),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1374),
    [anon_sym_COMMA] = ACTIONS(1374),
    [anon_sym_COLON_COLON] = ACTIONS(1374),
    [anon_sym_POUND] = ACTIONS(1374),
    [anon_sym_as] = ACTIONS(1376),
    [anon_sym_const] = ACTIONS(1376),
    [anon_sym_default] = ACTIONS(1376),
    [anon_sym_union] = ACTIONS(1376),
    [anon_sym_ref] = ACTIONS(1376),
    [sym_mutable_specifier] = ACTIONS(1376),
    [sym_integer_literal] = ACTIONS(1374),
    [aux_sym_string_literal_token1] = ACTIONS(1374),
    [sym_char_literal] = ACTIONS(1374),
    [anon_sym_true] = ACTIONS(1376),
    [anon_sym_false] = ACTIONS(1376),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1376),
    [sym_super] = ACTIONS(1376),
    [sym_crate] = ACTIONS(1376),
    [sym_metavariable] = ACTIONS(1374),
    [sym__raw_string_literal_start] = ACTIONS(1374),
    [sym_float_literal] = ACTIONS(1374),
  },
  [474] = {
    [sym_line_comment] = STATE(474),
    [sym_block_comment] = STATE(474),
    [sym_identifier] = ACTIONS(1426),
    [anon_sym_LPAREN] = ACTIONS(1424),
    [anon_sym_LBRACK] = ACTIONS(1424),
    [anon_sym_RBRACE] = ACTIONS(1424),
    [anon_sym_PLUS] = ACTIONS(1426),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_QMARK] = ACTIONS(1424),
    [anon_sym_u8] = ACTIONS(1426),
    [anon_sym_i8] = ACTIONS(1426),
    [anon_sym_u16] = ACTIONS(1426),
    [anon_sym_i16] = ACTIONS(1426),
    [anon_sym_u32] = ACTIONS(1426),
    [anon_sym_i32] = ACTIONS(1426),
    [anon_sym_u64] = ACTIONS(1426),
    [anon_sym_i64] = ACTIONS(1426),
    [anon_sym_u128] = ACTIONS(1426),
    [anon_sym_i128] = ACTIONS(1426),
    [anon_sym_isize] = ACTIONS(1426),
    [anon_sym_usize] = ACTIONS(1426),
    [anon_sym_f32] = ACTIONS(1426),
    [anon_sym_f64] = ACTIONS(1426),
    [anon_sym_bool] = ACTIONS(1426),
    [anon_sym_str] = ACTIONS(1426),
    [anon_sym_char] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1426),
    [anon_sym_SLASH] = ACTIONS(1426),
    [anon_sym_PERCENT] = ACTIONS(1426),
    [anon_sym_CARET] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_PIPE] = ACTIONS(1426),
    [anon_sym_AMP_AMP] = ACTIONS(1424),
    [anon_sym_PIPE_PIPE] = ACTIONS(1424),
    [anon_sym_LT_LT] = ACTIONS(1426),
    [anon_sym_GT_GT] = ACTIONS(1426),
    [anon_sym_PLUS_EQ] = ACTIONS(1424),
    [anon_sym_DASH_EQ] = ACTIONS(1424),
    [anon_sym_STAR_EQ] = ACTIONS(1424),
    [anon_sym_SLASH_EQ] = ACTIONS(1424),
    [anon_sym_PERCENT_EQ] = ACTIONS(1424),
    [anon_sym_CARET_EQ] = ACTIONS(1424),
    [anon_sym_AMP_EQ] = ACTIONS(1424),
    [anon_sym_PIPE_EQ] = ACTIONS(1424),
    [anon_sym_LT_LT_EQ] = ACTIONS(1424),
    [anon_sym_GT_GT_EQ] = ACTIONS(1424),
    [anon_sym_EQ] = ACTIONS(1426),
    [anon_sym_EQ_EQ] = ACTIONS(1424),
    [anon_sym_BANG_EQ] = ACTIONS(1424),
    [anon_sym_GT] = ACTIONS(1426),
    [anon_sym_LT] = ACTIONS(1426),
    [anon_sym_GT_EQ] = ACTIONS(1424),
    [anon_sym_LT_EQ] = ACTIONS(1424),
    [anon_sym__] = ACTIONS(1426),
    [anon_sym_DOT] = ACTIONS(1426),
    [anon_sym_DOT_DOT] = ACTIONS(1426),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1424),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1424),
    [anon_sym_COMMA] = ACTIONS(1424),
    [anon_sym_COLON_COLON] = ACTIONS(1424),
    [anon_sym_POUND] = ACTIONS(1424),
    [anon_sym_as] = ACTIONS(1426),
    [anon_sym_const] = ACTIONS(1426),
    [anon_sym_default] = ACTIONS(1426),
    [anon_sym_union] = ACTIONS(1426),
    [anon_sym_ref] = ACTIONS(1426),
    [sym_mutable_specifier] = ACTIONS(1426),
    [sym_integer_literal] = ACTIONS(1424),
    [aux_sym_string_literal_token1] = ACTIONS(1424),
    [sym_char_literal] = ACTIONS(1424),
    [anon_sym_true] = ACTIONS(1426),
    [anon_sym_false] = ACTIONS(1426),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1426),
    [sym_super] = ACTIONS(1426),
    [sym_crate] = ACTIONS(1426),
    [sym_metavariable] = ACTIONS(1424),
    [sym__raw_string_literal_start] = ACTIONS(1424),
    [sym_float_literal] = ACTIONS(1424),
  },
  [475] = {
    [sym_attribute_item] = STATE(1479),
    [sym_inner_attribute_item] = STATE(1479),
    [sym_bracketed_type] = STATE(3523),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3262),
    [sym_macro_invocation] = STATE(2877),
    [sym_scoped_identifier] = STATE(2130),
    [sym_scoped_type_identifier] = STATE(2908),
    [sym_match_arm] = STATE(1471),
    [sym_last_match_arm] = STATE(3363),
    [sym_match_pattern] = STATE(3345),
    [sym_const_block] = STATE(2877),
    [sym__pattern] = STATE(2919),
    [sym_tuple_pattern] = STATE(2877),
    [sym_slice_pattern] = STATE(2877),
    [sym_tuple_struct_pattern] = STATE(2877),
    [sym_struct_pattern] = STATE(2877),
    [sym_remaining_field_pattern] = STATE(2877),
    [sym_mut_pattern] = STATE(2877),
    [sym_range_pattern] = STATE(2877),
    [sym_ref_pattern] = STATE(2877),
    [sym_captured_pattern] = STATE(2877),
    [sym_reference_pattern] = STATE(2877),
    [sym_or_pattern] = STATE(2877),
    [sym__literal_pattern] = STATE(2387),
    [sym_negative_literal] = STATE(2299),
    [sym_string_literal] = STATE(2299),
    [sym_raw_string_literal] = STATE(2299),
    [sym_boolean_literal] = STATE(2299),
    [sym_line_comment] = STATE(475),
    [sym_block_comment] = STATE(475),
    [aux_sym_match_block_repeat1] = STATE(721),
    [aux_sym_match_arm_repeat1] = STATE(759),
    [sym_identifier] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1608),
    [anon_sym_u8] = ACTIONS(1612),
    [anon_sym_i8] = ACTIONS(1612),
    [anon_sym_u16] = ACTIONS(1612),
    [anon_sym_i16] = ACTIONS(1612),
    [anon_sym_u32] = ACTIONS(1612),
    [anon_sym_i32] = ACTIONS(1612),
    [anon_sym_u64] = ACTIONS(1612),
    [anon_sym_i64] = ACTIONS(1612),
    [anon_sym_u128] = ACTIONS(1612),
    [anon_sym_i128] = ACTIONS(1612),
    [anon_sym_isize] = ACTIONS(1612),
    [anon_sym_usize] = ACTIONS(1612),
    [anon_sym_f32] = ACTIONS(1612),
    [anon_sym_f64] = ACTIONS(1612),
    [anon_sym_bool] = ACTIONS(1612),
    [anon_sym_str] = ACTIONS(1612),
    [anon_sym_char] = ACTIONS(1612),
    [anon_sym_DASH] = ACTIONS(1614),
    [anon_sym_AMP] = ACTIONS(1616),
    [anon_sym_PIPE] = ACTIONS(1618),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1620),
    [anon_sym_DOT_DOT] = ACTIONS(1622),
    [anon_sym_COLON_COLON] = ACTIONS(1624),
    [anon_sym_POUND] = ACTIONS(1626),
    [anon_sym_const] = ACTIONS(1628),
    [anon_sym_default] = ACTIONS(1630),
    [anon_sym_union] = ACTIONS(1630),
    [anon_sym_ref] = ACTIONS(1632),
    [sym_mutable_specifier] = ACTIONS(1634),
    [sym_integer_literal] = ACTIONS(1636),
    [aux_sym_string_literal_token1] = ACTIONS(1638),
    [sym_char_literal] = ACTIONS(1636),
    [anon_sym_true] = ACTIONS(1640),
    [anon_sym_false] = ACTIONS(1640),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1642),
    [sym_super] = ACTIONS(1642),
    [sym_crate] = ACTIONS(1642),
    [sym_metavariable] = ACTIONS(1644),
    [sym__raw_string_literal_start] = ACTIONS(1646),
    [sym_float_literal] = ACTIONS(1636),
  },
  [476] = {
    [sym_attribute_item] = STATE(1479),
    [sym_inner_attribute_item] = STATE(1479),
    [sym_bracketed_type] = STATE(3523),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3262),
    [sym_macro_invocation] = STATE(2877),
    [sym_scoped_identifier] = STATE(2130),
    [sym_scoped_type_identifier] = STATE(2908),
    [sym_match_arm] = STATE(1471),
    [sym_last_match_arm] = STATE(3477),
    [sym_match_pattern] = STATE(3345),
    [sym_const_block] = STATE(2877),
    [sym__pattern] = STATE(2919),
    [sym_tuple_pattern] = STATE(2877),
    [sym_slice_pattern] = STATE(2877),
    [sym_tuple_struct_pattern] = STATE(2877),
    [sym_struct_pattern] = STATE(2877),
    [sym_remaining_field_pattern] = STATE(2877),
    [sym_mut_pattern] = STATE(2877),
    [sym_range_pattern] = STATE(2877),
    [sym_ref_pattern] = STATE(2877),
    [sym_captured_pattern] = STATE(2877),
    [sym_reference_pattern] = STATE(2877),
    [sym_or_pattern] = STATE(2877),
    [sym__literal_pattern] = STATE(2387),
    [sym_negative_literal] = STATE(2299),
    [sym_string_literal] = STATE(2299),
    [sym_raw_string_literal] = STATE(2299),
    [sym_boolean_literal] = STATE(2299),
    [sym_line_comment] = STATE(476),
    [sym_block_comment] = STATE(476),
    [aux_sym_match_block_repeat1] = STATE(721),
    [aux_sym_match_arm_repeat1] = STATE(759),
    [sym_identifier] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1608),
    [anon_sym_u8] = ACTIONS(1612),
    [anon_sym_i8] = ACTIONS(1612),
    [anon_sym_u16] = ACTIONS(1612),
    [anon_sym_i16] = ACTIONS(1612),
    [anon_sym_u32] = ACTIONS(1612),
    [anon_sym_i32] = ACTIONS(1612),
    [anon_sym_u64] = ACTIONS(1612),
    [anon_sym_i64] = ACTIONS(1612),
    [anon_sym_u128] = ACTIONS(1612),
    [anon_sym_i128] = ACTIONS(1612),
    [anon_sym_isize] = ACTIONS(1612),
    [anon_sym_usize] = ACTIONS(1612),
    [anon_sym_f32] = ACTIONS(1612),
    [anon_sym_f64] = ACTIONS(1612),
    [anon_sym_bool] = ACTIONS(1612),
    [anon_sym_str] = ACTIONS(1612),
    [anon_sym_char] = ACTIONS(1612),
    [anon_sym_DASH] = ACTIONS(1614),
    [anon_sym_AMP] = ACTIONS(1616),
    [anon_sym_PIPE] = ACTIONS(1618),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1620),
    [anon_sym_DOT_DOT] = ACTIONS(1622),
    [anon_sym_COLON_COLON] = ACTIONS(1624),
    [anon_sym_POUND] = ACTIONS(1626),
    [anon_sym_const] = ACTIONS(1628),
    [anon_sym_default] = ACTIONS(1630),
    [anon_sym_union] = ACTIONS(1630),
    [anon_sym_ref] = ACTIONS(1632),
    [sym_mutable_specifier] = ACTIONS(1634),
    [sym_integer_literal] = ACTIONS(1636),
    [aux_sym_string_literal_token1] = ACTIONS(1638),
    [sym_char_literal] = ACTIONS(1636),
    [anon_sym_true] = ACTIONS(1640),
    [anon_sym_false] = ACTIONS(1640),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1642),
    [sym_super] = ACTIONS(1642),
    [sym_crate] = ACTIONS(1642),
    [sym_metavariable] = ACTIONS(1644),
    [sym__raw_string_literal_start] = ACTIONS(1646),
    [sym_float_literal] = ACTIONS(1636),
  },
  [477] = {
    [sym_attribute_item] = STATE(1479),
    [sym_inner_attribute_item] = STATE(1479),
    [sym_bracketed_type] = STATE(3523),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3262),
    [sym_macro_invocation] = STATE(2877),
    [sym_scoped_identifier] = STATE(2130),
    [sym_scoped_type_identifier] = STATE(2908),
    [sym_match_arm] = STATE(1471),
    [sym_last_match_arm] = STATE(3364),
    [sym_match_pattern] = STATE(3345),
    [sym_const_block] = STATE(2877),
    [sym__pattern] = STATE(2919),
    [sym_tuple_pattern] = STATE(2877),
    [sym_slice_pattern] = STATE(2877),
    [sym_tuple_struct_pattern] = STATE(2877),
    [sym_struct_pattern] = STATE(2877),
    [sym_remaining_field_pattern] = STATE(2877),
    [sym_mut_pattern] = STATE(2877),
    [sym_range_pattern] = STATE(2877),
    [sym_ref_pattern] = STATE(2877),
    [sym_captured_pattern] = STATE(2877),
    [sym_reference_pattern] = STATE(2877),
    [sym_or_pattern] = STATE(2877),
    [sym__literal_pattern] = STATE(2387),
    [sym_negative_literal] = STATE(2299),
    [sym_string_literal] = STATE(2299),
    [sym_raw_string_literal] = STATE(2299),
    [sym_boolean_literal] = STATE(2299),
    [sym_line_comment] = STATE(477),
    [sym_block_comment] = STATE(477),
    [aux_sym_match_block_repeat1] = STATE(721),
    [aux_sym_match_arm_repeat1] = STATE(759),
    [sym_identifier] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1608),
    [anon_sym_u8] = ACTIONS(1612),
    [anon_sym_i8] = ACTIONS(1612),
    [anon_sym_u16] = ACTIONS(1612),
    [anon_sym_i16] = ACTIONS(1612),
    [anon_sym_u32] = ACTIONS(1612),
    [anon_sym_i32] = ACTIONS(1612),
    [anon_sym_u64] = ACTIONS(1612),
    [anon_sym_i64] = ACTIONS(1612),
    [anon_sym_u128] = ACTIONS(1612),
    [anon_sym_i128] = ACTIONS(1612),
    [anon_sym_isize] = ACTIONS(1612),
    [anon_sym_usize] = ACTIONS(1612),
    [anon_sym_f32] = ACTIONS(1612),
    [anon_sym_f64] = ACTIONS(1612),
    [anon_sym_bool] = ACTIONS(1612),
    [anon_sym_str] = ACTIONS(1612),
    [anon_sym_char] = ACTIONS(1612),
    [anon_sym_DASH] = ACTIONS(1614),
    [anon_sym_AMP] = ACTIONS(1616),
    [anon_sym_PIPE] = ACTIONS(1618),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1620),
    [anon_sym_DOT_DOT] = ACTIONS(1622),
    [anon_sym_COLON_COLON] = ACTIONS(1624),
    [anon_sym_POUND] = ACTIONS(1626),
    [anon_sym_const] = ACTIONS(1628),
    [anon_sym_default] = ACTIONS(1630),
    [anon_sym_union] = ACTIONS(1630),
    [anon_sym_ref] = ACTIONS(1632),
    [sym_mutable_specifier] = ACTIONS(1634),
    [sym_integer_literal] = ACTIONS(1636),
    [aux_sym_string_literal_token1] = ACTIONS(1638),
    [sym_char_literal] = ACTIONS(1636),
    [anon_sym_true] = ACTIONS(1640),
    [anon_sym_false] = ACTIONS(1640),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1642),
    [sym_super] = ACTIONS(1642),
    [sym_crate] = ACTIONS(1642),
    [sym_metavariable] = ACTIONS(1644),
    [sym__raw_string_literal_start] = ACTIONS(1646),
    [sym_float_literal] = ACTIONS(1636),
  },
  [478] = {
    [sym_attribute_item] = STATE(1479),
    [sym_inner_attribute_item] = STATE(1479),
    [sym_bracketed_type] = STATE(3523),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3262),
    [sym_macro_invocation] = STATE(2877),
    [sym_scoped_identifier] = STATE(2130),
    [sym_scoped_type_identifier] = STATE(2908),
    [sym_match_arm] = STATE(1471),
    [sym_last_match_arm] = STATE(3405),
    [sym_match_pattern] = STATE(3345),
    [sym_const_block] = STATE(2877),
    [sym__pattern] = STATE(2919),
    [sym_tuple_pattern] = STATE(2877),
    [sym_slice_pattern] = STATE(2877),
    [sym_tuple_struct_pattern] = STATE(2877),
    [sym_struct_pattern] = STATE(2877),
    [sym_remaining_field_pattern] = STATE(2877),
    [sym_mut_pattern] = STATE(2877),
    [sym_range_pattern] = STATE(2877),
    [sym_ref_pattern] = STATE(2877),
    [sym_captured_pattern] = STATE(2877),
    [sym_reference_pattern] = STATE(2877),
    [sym_or_pattern] = STATE(2877),
    [sym__literal_pattern] = STATE(2387),
    [sym_negative_literal] = STATE(2299),
    [sym_string_literal] = STATE(2299),
    [sym_raw_string_literal] = STATE(2299),
    [sym_boolean_literal] = STATE(2299),
    [sym_line_comment] = STATE(478),
    [sym_block_comment] = STATE(478),
    [aux_sym_match_block_repeat1] = STATE(721),
    [aux_sym_match_arm_repeat1] = STATE(759),
    [sym_identifier] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1608),
    [anon_sym_u8] = ACTIONS(1612),
    [anon_sym_i8] = ACTIONS(1612),
    [anon_sym_u16] = ACTIONS(1612),
    [anon_sym_i16] = ACTIONS(1612),
    [anon_sym_u32] = ACTIONS(1612),
    [anon_sym_i32] = ACTIONS(1612),
    [anon_sym_u64] = ACTIONS(1612),
    [anon_sym_i64] = ACTIONS(1612),
    [anon_sym_u128] = ACTIONS(1612),
    [anon_sym_i128] = ACTIONS(1612),
    [anon_sym_isize] = ACTIONS(1612),
    [anon_sym_usize] = ACTIONS(1612),
    [anon_sym_f32] = ACTIONS(1612),
    [anon_sym_f64] = ACTIONS(1612),
    [anon_sym_bool] = ACTIONS(1612),
    [anon_sym_str] = ACTIONS(1612),
    [anon_sym_char] = ACTIONS(1612),
    [anon_sym_DASH] = ACTIONS(1614),
    [anon_sym_AMP] = ACTIONS(1616),
    [anon_sym_PIPE] = ACTIONS(1618),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1620),
    [anon_sym_DOT_DOT] = ACTIONS(1622),
    [anon_sym_COLON_COLON] = ACTIONS(1624),
    [anon_sym_POUND] = ACTIONS(1626),
    [anon_sym_const] = ACTIONS(1628),
    [anon_sym_default] = ACTIONS(1630),
    [anon_sym_union] = ACTIONS(1630),
    [anon_sym_ref] = ACTIONS(1632),
    [sym_mutable_specifier] = ACTIONS(1634),
    [sym_integer_literal] = ACTIONS(1636),
    [aux_sym_string_literal_token1] = ACTIONS(1638),
    [sym_char_literal] = ACTIONS(1636),
    [anon_sym_true] = ACTIONS(1640),
    [anon_sym_false] = ACTIONS(1640),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1642),
    [sym_super] = ACTIONS(1642),
    [sym_crate] = ACTIONS(1642),
    [sym_metavariable] = ACTIONS(1644),
    [sym__raw_string_literal_start] = ACTIONS(1646),
    [sym_float_literal] = ACTIONS(1636),
  },
  [479] = {
    [sym_line_comment] = STATE(479),
    [sym_block_comment] = STATE(479),
    [ts_builtin_sym_end] = ACTIONS(1662),
    [sym_identifier] = ACTIONS(1664),
    [anon_sym_SEMI] = ACTIONS(1662),
    [anon_sym_macro_rules_BANG] = ACTIONS(1662),
    [anon_sym_LPAREN] = ACTIONS(1662),
    [anon_sym_LBRACK] = ACTIONS(1662),
    [anon_sym_LBRACE] = ACTIONS(1662),
    [anon_sym_RBRACE] = ACTIONS(1662),
    [anon_sym_STAR] = ACTIONS(1662),
    [anon_sym_u8] = ACTIONS(1664),
    [anon_sym_i8] = ACTIONS(1664),
    [anon_sym_u16] = ACTIONS(1664),
    [anon_sym_i16] = ACTIONS(1664),
    [anon_sym_u32] = ACTIONS(1664),
    [anon_sym_i32] = ACTIONS(1664),
    [anon_sym_u64] = ACTIONS(1664),
    [anon_sym_i64] = ACTIONS(1664),
    [anon_sym_u128] = ACTIONS(1664),
    [anon_sym_i128] = ACTIONS(1664),
    [anon_sym_isize] = ACTIONS(1664),
    [anon_sym_usize] = ACTIONS(1664),
    [anon_sym_f32] = ACTIONS(1664),
    [anon_sym_f64] = ACTIONS(1664),
    [anon_sym_bool] = ACTIONS(1664),
    [anon_sym_str] = ACTIONS(1664),
    [anon_sym_char] = ACTIONS(1664),
    [anon_sym_DASH] = ACTIONS(1662),
    [anon_sym_BANG] = ACTIONS(1662),
    [anon_sym_AMP] = ACTIONS(1662),
    [anon_sym_PIPE] = ACTIONS(1662),
    [anon_sym_LT] = ACTIONS(1662),
    [anon_sym_DOT_DOT] = ACTIONS(1662),
    [anon_sym_COLON_COLON] = ACTIONS(1662),
    [anon_sym_POUND] = ACTIONS(1662),
    [anon_sym_SQUOTE] = ACTIONS(1664),
    [anon_sym_async] = ACTIONS(1664),
    [anon_sym_break] = ACTIONS(1664),
    [anon_sym_const] = ACTIONS(1664),
    [anon_sym_continue] = ACTIONS(1664),
    [anon_sym_default] = ACTIONS(1664),
    [anon_sym_enum] = ACTIONS(1664),
    [anon_sym_fn] = ACTIONS(1664),
    [anon_sym_for] = ACTIONS(1664),
    [anon_sym_if] = ACTIONS(1664),
    [anon_sym_impl] = ACTIONS(1664),
    [anon_sym_let] = ACTIONS(1664),
    [anon_sym_loop] = ACTIONS(1664),
    [anon_sym_match] = ACTIONS(1664),
    [anon_sym_mod] = ACTIONS(1664),
    [anon_sym_pub] = ACTIONS(1664),
    [anon_sym_return] = ACTIONS(1664),
    [anon_sym_static] = ACTIONS(1664),
    [anon_sym_struct] = ACTIONS(1664),
    [anon_sym_trait] = ACTIONS(1664),
    [anon_sym_type] = ACTIONS(1664),
    [anon_sym_union] = ACTIONS(1664),
    [anon_sym_unsafe] = ACTIONS(1664),
    [anon_sym_use] = ACTIONS(1664),
    [anon_sym_while] = ACTIONS(1664),
    [anon_sym_extern] = ACTIONS(1664),
    [anon_sym_yield] = ACTIONS(1664),
    [anon_sym_move] = ACTIONS(1664),
    [anon_sym_try] = ACTIONS(1664),
    [sym_integer_literal] = ACTIONS(1662),
    [aux_sym_string_literal_token1] = ACTIONS(1662),
    [sym_char_literal] = ACTIONS(1662),
    [anon_sym_true] = ACTIONS(1664),
    [anon_sym_false] = ACTIONS(1664),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1664),
    [sym_super] = ACTIONS(1664),
    [sym_crate] = ACTIONS(1664),
    [sym_metavariable] = ACTIONS(1662),
    [sym__raw_string_literal_start] = ACTIONS(1662),
    [sym_float_literal] = ACTIONS(1662),
  },
  [480] = {
    [sym_line_comment] = STATE(480),
    [sym_block_comment] = STATE(480),
    [ts_builtin_sym_end] = ACTIONS(1666),
    [sym_identifier] = ACTIONS(1668),
    [anon_sym_SEMI] = ACTIONS(1666),
    [anon_sym_macro_rules_BANG] = ACTIONS(1666),
    [anon_sym_LPAREN] = ACTIONS(1666),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_LBRACE] = ACTIONS(1666),
    [anon_sym_RBRACE] = ACTIONS(1666),
    [anon_sym_STAR] = ACTIONS(1666),
    [anon_sym_u8] = ACTIONS(1668),
    [anon_sym_i8] = ACTIONS(1668),
    [anon_sym_u16] = ACTIONS(1668),
    [anon_sym_i16] = ACTIONS(1668),
    [anon_sym_u32] = ACTIONS(1668),
    [anon_sym_i32] = ACTIONS(1668),
    [anon_sym_u64] = ACTIONS(1668),
    [anon_sym_i64] = ACTIONS(1668),
    [anon_sym_u128] = ACTIONS(1668),
    [anon_sym_i128] = ACTIONS(1668),
    [anon_sym_isize] = ACTIONS(1668),
    [anon_sym_usize] = ACTIONS(1668),
    [anon_sym_f32] = ACTIONS(1668),
    [anon_sym_f64] = ACTIONS(1668),
    [anon_sym_bool] = ACTIONS(1668),
    [anon_sym_str] = ACTIONS(1668),
    [anon_sym_char] = ACTIONS(1668),
    [anon_sym_DASH] = ACTIONS(1666),
    [anon_sym_BANG] = ACTIONS(1666),
    [anon_sym_AMP] = ACTIONS(1666),
    [anon_sym_PIPE] = ACTIONS(1666),
    [anon_sym_LT] = ACTIONS(1666),
    [anon_sym_DOT_DOT] = ACTIONS(1666),
    [anon_sym_COLON_COLON] = ACTIONS(1666),
    [anon_sym_POUND] = ACTIONS(1666),
    [anon_sym_SQUOTE] = ACTIONS(1668),
    [anon_sym_async] = ACTIONS(1668),
    [anon_sym_break] = ACTIONS(1668),
    [anon_sym_const] = ACTIONS(1668),
    [anon_sym_continue] = ACTIONS(1668),
    [anon_sym_default] = ACTIONS(1668),
    [anon_sym_enum] = ACTIONS(1668),
    [anon_sym_fn] = ACTIONS(1668),
    [anon_sym_for] = ACTIONS(1668),
    [anon_sym_if] = ACTIONS(1668),
    [anon_sym_impl] = ACTIONS(1668),
    [anon_sym_let] = ACTIONS(1668),
    [anon_sym_loop] = ACTIONS(1668),
    [anon_sym_match] = ACTIONS(1668),
    [anon_sym_mod] = ACTIONS(1668),
    [anon_sym_pub] = ACTIONS(1668),
    [anon_sym_return] = ACTIONS(1668),
    [anon_sym_static] = ACTIONS(1668),
    [anon_sym_struct] = ACTIONS(1668),
    [anon_sym_trait] = ACTIONS(1668),
    [anon_sym_type] = ACTIONS(1668),
    [anon_sym_union] = ACTIONS(1668),
    [anon_sym_unsafe] = ACTIONS(1668),
    [anon_sym_use] = ACTIONS(1668),
    [anon_sym_while] = ACTIONS(1668),
    [anon_sym_extern] = ACTIONS(1668),
    [anon_sym_yield] = ACTIONS(1668),
    [anon_sym_move] = ACTIONS(1668),
    [anon_sym_try] = ACTIONS(1668),
    [sym_integer_literal] = ACTIONS(1666),
    [aux_sym_string_literal_token1] = ACTIONS(1666),
    [sym_char_literal] = ACTIONS(1666),
    [anon_sym_true] = ACTIONS(1668),
    [anon_sym_false] = ACTIONS(1668),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1668),
    [sym_super] = ACTIONS(1668),
    [sym_crate] = ACTIONS(1668),
    [sym_metavariable] = ACTIONS(1666),
    [sym__raw_string_literal_start] = ACTIONS(1666),
    [sym_float_literal] = ACTIONS(1666),
  },
  [481] = {
    [sym_line_comment] = STATE(481),
    [sym_block_comment] = STATE(481),
    [ts_builtin_sym_end] = ACTIONS(1670),
    [sym_identifier] = ACTIONS(1672),
    [anon_sym_SEMI] = ACTIONS(1670),
    [anon_sym_macro_rules_BANG] = ACTIONS(1670),
    [anon_sym_LPAREN] = ACTIONS(1670),
    [anon_sym_LBRACK] = ACTIONS(1670),
    [anon_sym_LBRACE] = ACTIONS(1670),
    [anon_sym_RBRACE] = ACTIONS(1670),
    [anon_sym_STAR] = ACTIONS(1670),
    [anon_sym_u8] = ACTIONS(1672),
    [anon_sym_i8] = ACTIONS(1672),
    [anon_sym_u16] = ACTIONS(1672),
    [anon_sym_i16] = ACTIONS(1672),
    [anon_sym_u32] = ACTIONS(1672),
    [anon_sym_i32] = ACTIONS(1672),
    [anon_sym_u64] = ACTIONS(1672),
    [anon_sym_i64] = ACTIONS(1672),
    [anon_sym_u128] = ACTIONS(1672),
    [anon_sym_i128] = ACTIONS(1672),
    [anon_sym_isize] = ACTIONS(1672),
    [anon_sym_usize] = ACTIONS(1672),
    [anon_sym_f32] = ACTIONS(1672),
    [anon_sym_f64] = ACTIONS(1672),
    [anon_sym_bool] = ACTIONS(1672),
    [anon_sym_str] = ACTIONS(1672),
    [anon_sym_char] = ACTIONS(1672),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_BANG] = ACTIONS(1670),
    [anon_sym_AMP] = ACTIONS(1670),
    [anon_sym_PIPE] = ACTIONS(1670),
    [anon_sym_LT] = ACTIONS(1670),
    [anon_sym_DOT_DOT] = ACTIONS(1670),
    [anon_sym_COLON_COLON] = ACTIONS(1670),
    [anon_sym_POUND] = ACTIONS(1670),
    [anon_sym_SQUOTE] = ACTIONS(1672),
    [anon_sym_async] = ACTIONS(1672),
    [anon_sym_break] = ACTIONS(1672),
    [anon_sym_const] = ACTIONS(1672),
    [anon_sym_continue] = ACTIONS(1672),
    [anon_sym_default] = ACTIONS(1672),
    [anon_sym_enum] = ACTIONS(1672),
    [anon_sym_fn] = ACTIONS(1672),
    [anon_sym_for] = ACTIONS(1672),
    [anon_sym_if] = ACTIONS(1672),
    [anon_sym_impl] = ACTIONS(1672),
    [anon_sym_let] = ACTIONS(1672),
    [anon_sym_loop] = ACTIONS(1672),
    [anon_sym_match] = ACTIONS(1672),
    [anon_sym_mod] = ACTIONS(1672),
    [anon_sym_pub] = ACTIONS(1672),
    [anon_sym_return] = ACTIONS(1672),
    [anon_sym_static] = ACTIONS(1672),
    [anon_sym_struct] = ACTIONS(1672),
    [anon_sym_trait] = ACTIONS(1672),
    [anon_sym_type] = ACTIONS(1672),
    [anon_sym_union] = ACTIONS(1672),
    [anon_sym_unsafe] = ACTIONS(1672),
    [anon_sym_use] = ACTIONS(1672),
    [anon_sym_while] = ACTIONS(1672),
    [anon_sym_extern] = ACTIONS(1672),
    [anon_sym_yield] = ACTIONS(1672),
    [anon_sym_move] = ACTIONS(1672),
    [anon_sym_try] = ACTIONS(1672),
    [sym_integer_literal] = ACTIONS(1670),
    [aux_sym_string_literal_token1] = ACTIONS(1670),
    [sym_char_literal] = ACTIONS(1670),
    [anon_sym_true] = ACTIONS(1672),
    [anon_sym_false] = ACTIONS(1672),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1672),
    [sym_super] = ACTIONS(1672),
    [sym_crate] = ACTIONS(1672),
    [sym_metavariable] = ACTIONS(1670),
    [sym__raw_string_literal_start] = ACTIONS(1670),
    [sym_float_literal] = ACTIONS(1670),
  },
  [482] = {
    [sym_line_comment] = STATE(482),
    [sym_block_comment] = STATE(482),
    [ts_builtin_sym_end] = ACTIONS(1674),
    [sym_identifier] = ACTIONS(1676),
    [anon_sym_SEMI] = ACTIONS(1674),
    [anon_sym_macro_rules_BANG] = ACTIONS(1674),
    [anon_sym_LPAREN] = ACTIONS(1674),
    [anon_sym_LBRACK] = ACTIONS(1674),
    [anon_sym_LBRACE] = ACTIONS(1674),
    [anon_sym_RBRACE] = ACTIONS(1674),
    [anon_sym_STAR] = ACTIONS(1674),
    [anon_sym_u8] = ACTIONS(1676),
    [anon_sym_i8] = ACTIONS(1676),
    [anon_sym_u16] = ACTIONS(1676),
    [anon_sym_i16] = ACTIONS(1676),
    [anon_sym_u32] = ACTIONS(1676),
    [anon_sym_i32] = ACTIONS(1676),
    [anon_sym_u64] = ACTIONS(1676),
    [anon_sym_i64] = ACTIONS(1676),
    [anon_sym_u128] = ACTIONS(1676),
    [anon_sym_i128] = ACTIONS(1676),
    [anon_sym_isize] = ACTIONS(1676),
    [anon_sym_usize] = ACTIONS(1676),
    [anon_sym_f32] = ACTIONS(1676),
    [anon_sym_f64] = ACTIONS(1676),
    [anon_sym_bool] = ACTIONS(1676),
    [anon_sym_str] = ACTIONS(1676),
    [anon_sym_char] = ACTIONS(1676),
    [anon_sym_DASH] = ACTIONS(1674),
    [anon_sym_BANG] = ACTIONS(1674),
    [anon_sym_AMP] = ACTIONS(1674),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_LT] = ACTIONS(1674),
    [anon_sym_DOT_DOT] = ACTIONS(1674),
    [anon_sym_COLON_COLON] = ACTIONS(1674),
    [anon_sym_POUND] = ACTIONS(1674),
    [anon_sym_SQUOTE] = ACTIONS(1676),
    [anon_sym_async] = ACTIONS(1676),
    [anon_sym_break] = ACTIONS(1676),
    [anon_sym_const] = ACTIONS(1676),
    [anon_sym_continue] = ACTIONS(1676),
    [anon_sym_default] = ACTIONS(1676),
    [anon_sym_enum] = ACTIONS(1676),
    [anon_sym_fn] = ACTIONS(1676),
    [anon_sym_for] = ACTIONS(1676),
    [anon_sym_if] = ACTIONS(1676),
    [anon_sym_impl] = ACTIONS(1676),
    [anon_sym_let] = ACTIONS(1676),
    [anon_sym_loop] = ACTIONS(1676),
    [anon_sym_match] = ACTIONS(1676),
    [anon_sym_mod] = ACTIONS(1676),
    [anon_sym_pub] = ACTIONS(1676),
    [anon_sym_return] = ACTIONS(1676),
    [anon_sym_static] = ACTIONS(1676),
    [anon_sym_struct] = ACTIONS(1676),
    [anon_sym_trait] = ACTIONS(1676),
    [anon_sym_type] = ACTIONS(1676),
    [anon_sym_union] = ACTIONS(1676),
    [anon_sym_unsafe] = ACTIONS(1676),
    [anon_sym_use] = ACTIONS(1676),
    [anon_sym_while] = ACTIONS(1676),
    [anon_sym_extern] = ACTIONS(1676),
    [anon_sym_yield] = ACTIONS(1676),
    [anon_sym_move] = ACTIONS(1676),
    [anon_sym_try] = ACTIONS(1676),
    [sym_integer_literal] = ACTIONS(1674),
    [aux_sym_string_literal_token1] = ACTIONS(1674),
    [sym_char_literal] = ACTIONS(1674),
    [anon_sym_true] = ACTIONS(1676),
    [anon_sym_false] = ACTIONS(1676),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1676),
    [sym_super] = ACTIONS(1676),
    [sym_crate] = ACTIONS(1676),
    [sym_metavariable] = ACTIONS(1674),
    [sym__raw_string_literal_start] = ACTIONS(1674),
    [sym_float_literal] = ACTIONS(1674),
  },
  [483] = {
    [sym_line_comment] = STATE(483),
    [sym_block_comment] = STATE(483),
    [ts_builtin_sym_end] = ACTIONS(1678),
    [sym_identifier] = ACTIONS(1680),
    [anon_sym_SEMI] = ACTIONS(1678),
    [anon_sym_macro_rules_BANG] = ACTIONS(1678),
    [anon_sym_LPAREN] = ACTIONS(1678),
    [anon_sym_LBRACK] = ACTIONS(1678),
    [anon_sym_LBRACE] = ACTIONS(1678),
    [anon_sym_RBRACE] = ACTIONS(1678),
    [anon_sym_STAR] = ACTIONS(1678),
    [anon_sym_u8] = ACTIONS(1680),
    [anon_sym_i8] = ACTIONS(1680),
    [anon_sym_u16] = ACTIONS(1680),
    [anon_sym_i16] = ACTIONS(1680),
    [anon_sym_u32] = ACTIONS(1680),
    [anon_sym_i32] = ACTIONS(1680),
    [anon_sym_u64] = ACTIONS(1680),
    [anon_sym_i64] = ACTIONS(1680),
    [anon_sym_u128] = ACTIONS(1680),
    [anon_sym_i128] = ACTIONS(1680),
    [anon_sym_isize] = ACTIONS(1680),
    [anon_sym_usize] = ACTIONS(1680),
    [anon_sym_f32] = ACTIONS(1680),
    [anon_sym_f64] = ACTIONS(1680),
    [anon_sym_bool] = ACTIONS(1680),
    [anon_sym_str] = ACTIONS(1680),
    [anon_sym_char] = ACTIONS(1680),
    [anon_sym_DASH] = ACTIONS(1678),
    [anon_sym_BANG] = ACTIONS(1678),
    [anon_sym_AMP] = ACTIONS(1678),
    [anon_sym_PIPE] = ACTIONS(1678),
    [anon_sym_LT] = ACTIONS(1678),
    [anon_sym_DOT_DOT] = ACTIONS(1678),
    [anon_sym_COLON_COLON] = ACTIONS(1678),
    [anon_sym_POUND] = ACTIONS(1678),
    [anon_sym_SQUOTE] = ACTIONS(1680),
    [anon_sym_async] = ACTIONS(1680),
    [anon_sym_break] = ACTIONS(1680),
    [anon_sym_const] = ACTIONS(1680),
    [anon_sym_continue] = ACTIONS(1680),
    [anon_sym_default] = ACTIONS(1680),
    [anon_sym_enum] = ACTIONS(1680),
    [anon_sym_fn] = ACTIONS(1680),
    [anon_sym_for] = ACTIONS(1680),
    [anon_sym_if] = ACTIONS(1680),
    [anon_sym_impl] = ACTIONS(1680),
    [anon_sym_let] = ACTIONS(1680),
    [anon_sym_loop] = ACTIONS(1680),
    [anon_sym_match] = ACTIONS(1680),
    [anon_sym_mod] = ACTIONS(1680),
    [anon_sym_pub] = ACTIONS(1680),
    [anon_sym_return] = ACTIONS(1680),
    [anon_sym_static] = ACTIONS(1680),
    [anon_sym_struct] = ACTIONS(1680),
    [anon_sym_trait] = ACTIONS(1680),
    [anon_sym_type] = ACTIONS(1680),
    [anon_sym_union] = ACTIONS(1680),
    [anon_sym_unsafe] = ACTIONS(1680),
    [anon_sym_use] = ACTIONS(1680),
    [anon_sym_while] = ACTIONS(1680),
    [anon_sym_extern] = ACTIONS(1680),
    [anon_sym_yield] = ACTIONS(1680),
    [anon_sym_move] = ACTIONS(1680),
    [anon_sym_try] = ACTIONS(1680),
    [sym_integer_literal] = ACTIONS(1678),
    [aux_sym_string_literal_token1] = ACTIONS(1678),
    [sym_char_literal] = ACTIONS(1678),
    [anon_sym_true] = ACTIONS(1680),
    [anon_sym_false] = ACTIONS(1680),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1680),
    [sym_super] = ACTIONS(1680),
    [sym_crate] = ACTIONS(1680),
    [sym_metavariable] = ACTIONS(1678),
    [sym__raw_string_literal_start] = ACTIONS(1678),
    [sym_float_literal] = ACTIONS(1678),
  },
  [484] = {
    [sym_line_comment] = STATE(484),
    [sym_block_comment] = STATE(484),
    [ts_builtin_sym_end] = ACTIONS(1682),
    [sym_identifier] = ACTIONS(1684),
    [anon_sym_SEMI] = ACTIONS(1682),
    [anon_sym_macro_rules_BANG] = ACTIONS(1682),
    [anon_sym_LPAREN] = ACTIONS(1682),
    [anon_sym_LBRACK] = ACTIONS(1682),
    [anon_sym_LBRACE] = ACTIONS(1682),
    [anon_sym_RBRACE] = ACTIONS(1682),
    [anon_sym_STAR] = ACTIONS(1682),
    [anon_sym_u8] = ACTIONS(1684),
    [anon_sym_i8] = ACTIONS(1684),
    [anon_sym_u16] = ACTIONS(1684),
    [anon_sym_i16] = ACTIONS(1684),
    [anon_sym_u32] = ACTIONS(1684),
    [anon_sym_i32] = ACTIONS(1684),
    [anon_sym_u64] = ACTIONS(1684),
    [anon_sym_i64] = ACTIONS(1684),
    [anon_sym_u128] = ACTIONS(1684),
    [anon_sym_i128] = ACTIONS(1684),
    [anon_sym_isize] = ACTIONS(1684),
    [anon_sym_usize] = ACTIONS(1684),
    [anon_sym_f32] = ACTIONS(1684),
    [anon_sym_f64] = ACTIONS(1684),
    [anon_sym_bool] = ACTIONS(1684),
    [anon_sym_str] = ACTIONS(1684),
    [anon_sym_char] = ACTIONS(1684),
    [anon_sym_DASH] = ACTIONS(1682),
    [anon_sym_BANG] = ACTIONS(1682),
    [anon_sym_AMP] = ACTIONS(1682),
    [anon_sym_PIPE] = ACTIONS(1682),
    [anon_sym_LT] = ACTIONS(1682),
    [anon_sym_DOT_DOT] = ACTIONS(1682),
    [anon_sym_COLON_COLON] = ACTIONS(1682),
    [anon_sym_POUND] = ACTIONS(1682),
    [anon_sym_SQUOTE] = ACTIONS(1684),
    [anon_sym_async] = ACTIONS(1684),
    [anon_sym_break] = ACTIONS(1684),
    [anon_sym_const] = ACTIONS(1684),
    [anon_sym_continue] = ACTIONS(1684),
    [anon_sym_default] = ACTIONS(1684),
    [anon_sym_enum] = ACTIONS(1684),
    [anon_sym_fn] = ACTIONS(1684),
    [anon_sym_for] = ACTIONS(1684),
    [anon_sym_if] = ACTIONS(1684),
    [anon_sym_impl] = ACTIONS(1684),
    [anon_sym_let] = ACTIONS(1684),
    [anon_sym_loop] = ACTIONS(1684),
    [anon_sym_match] = ACTIONS(1684),
    [anon_sym_mod] = ACTIONS(1684),
    [anon_sym_pub] = ACTIONS(1684),
    [anon_sym_return] = ACTIONS(1684),
    [anon_sym_static] = ACTIONS(1684),
    [anon_sym_struct] = ACTIONS(1684),
    [anon_sym_trait] = ACTIONS(1684),
    [anon_sym_type] = ACTIONS(1684),
    [anon_sym_union] = ACTIONS(1684),
    [anon_sym_unsafe] = ACTIONS(1684),
    [anon_sym_use] = ACTIONS(1684),
    [anon_sym_while] = ACTIONS(1684),
    [anon_sym_extern] = ACTIONS(1684),
    [anon_sym_yield] = ACTIONS(1684),
    [anon_sym_move] = ACTIONS(1684),
    [anon_sym_try] = ACTIONS(1684),
    [sym_integer_literal] = ACTIONS(1682),
    [aux_sym_string_literal_token1] = ACTIONS(1682),
    [sym_char_literal] = ACTIONS(1682),
    [anon_sym_true] = ACTIONS(1684),
    [anon_sym_false] = ACTIONS(1684),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1684),
    [sym_super] = ACTIONS(1684),
    [sym_crate] = ACTIONS(1684),
    [sym_metavariable] = ACTIONS(1682),
    [sym__raw_string_literal_start] = ACTIONS(1682),
    [sym_float_literal] = ACTIONS(1682),
  },
  [485] = {
    [sym_line_comment] = STATE(485),
    [sym_block_comment] = STATE(485),
    [ts_builtin_sym_end] = ACTIONS(1686),
    [sym_identifier] = ACTIONS(1688),
    [anon_sym_SEMI] = ACTIONS(1686),
    [anon_sym_macro_rules_BANG] = ACTIONS(1686),
    [anon_sym_LPAREN] = ACTIONS(1686),
    [anon_sym_LBRACK] = ACTIONS(1686),
    [anon_sym_LBRACE] = ACTIONS(1686),
    [anon_sym_RBRACE] = ACTIONS(1686),
    [anon_sym_STAR] = ACTIONS(1686),
    [anon_sym_u8] = ACTIONS(1688),
    [anon_sym_i8] = ACTIONS(1688),
    [anon_sym_u16] = ACTIONS(1688),
    [anon_sym_i16] = ACTIONS(1688),
    [anon_sym_u32] = ACTIONS(1688),
    [anon_sym_i32] = ACTIONS(1688),
    [anon_sym_u64] = ACTIONS(1688),
    [anon_sym_i64] = ACTIONS(1688),
    [anon_sym_u128] = ACTIONS(1688),
    [anon_sym_i128] = ACTIONS(1688),
    [anon_sym_isize] = ACTIONS(1688),
    [anon_sym_usize] = ACTIONS(1688),
    [anon_sym_f32] = ACTIONS(1688),
    [anon_sym_f64] = ACTIONS(1688),
    [anon_sym_bool] = ACTIONS(1688),
    [anon_sym_str] = ACTIONS(1688),
    [anon_sym_char] = ACTIONS(1688),
    [anon_sym_DASH] = ACTIONS(1686),
    [anon_sym_BANG] = ACTIONS(1686),
    [anon_sym_AMP] = ACTIONS(1686),
    [anon_sym_PIPE] = ACTIONS(1686),
    [anon_sym_LT] = ACTIONS(1686),
    [anon_sym_DOT_DOT] = ACTIONS(1686),
    [anon_sym_COLON_COLON] = ACTIONS(1686),
    [anon_sym_POUND] = ACTIONS(1686),
    [anon_sym_SQUOTE] = ACTIONS(1688),
    [anon_sym_async] = ACTIONS(1688),
    [anon_sym_break] = ACTIONS(1688),
    [anon_sym_const] = ACTIONS(1688),
    [anon_sym_continue] = ACTIONS(1688),
    [anon_sym_default] = ACTIONS(1688),
    [anon_sym_enum] = ACTIONS(1688),
    [anon_sym_fn] = ACTIONS(1688),
    [anon_sym_for] = ACTIONS(1688),
    [anon_sym_if] = ACTIONS(1688),
    [anon_sym_impl] = ACTIONS(1688),
    [anon_sym_let] = ACTIONS(1688),
    [anon_sym_loop] = ACTIONS(1688),
    [anon_sym_match] = ACTIONS(1688),
    [anon_sym_mod] = ACTIONS(1688),
    [anon_sym_pub] = ACTIONS(1688),
    [anon_sym_return] = ACTIONS(1688),
    [anon_sym_static] = ACTIONS(1688),
    [anon_sym_struct] = ACTIONS(1688),
    [anon_sym_trait] = ACTIONS(1688),
    [anon_sym_type] = ACTIONS(1688),
    [anon_sym_union] = ACTIONS(1688),
    [anon_sym_unsafe] = ACTIONS(1688),
    [anon_sym_use] = ACTIONS(1688),
    [anon_sym_while] = ACTIONS(1688),
    [anon_sym_extern] = ACTIONS(1688),
    [anon_sym_yield] = ACTIONS(1688),
    [anon_sym_move] = ACTIONS(1688),
    [anon_sym_try] = ACTIONS(1688),
    [sym_integer_literal] = ACTIONS(1686),
    [aux_sym_string_literal_token1] = ACTIONS(1686),
    [sym_char_literal] = ACTIONS(1686),
    [anon_sym_true] = ACTIONS(1688),
    [anon_sym_false] = ACTIONS(1688),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1688),
    [sym_super] = ACTIONS(1688),
    [sym_crate] = ACTIONS(1688),
    [sym_metavariable] = ACTIONS(1686),
    [sym__raw_string_literal_start] = ACTIONS(1686),
    [sym_float_literal] = ACTIONS(1686),
  },
  [486] = {
    [sym_line_comment] = STATE(486),
    [sym_block_comment] = STATE(486),
    [ts_builtin_sym_end] = ACTIONS(1690),
    [sym_identifier] = ACTIONS(1692),
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_macro_rules_BANG] = ACTIONS(1690),
    [anon_sym_LPAREN] = ACTIONS(1690),
    [anon_sym_LBRACK] = ACTIONS(1690),
    [anon_sym_LBRACE] = ACTIONS(1690),
    [anon_sym_RBRACE] = ACTIONS(1690),
    [anon_sym_STAR] = ACTIONS(1690),
    [anon_sym_u8] = ACTIONS(1692),
    [anon_sym_i8] = ACTIONS(1692),
    [anon_sym_u16] = ACTIONS(1692),
    [anon_sym_i16] = ACTIONS(1692),
    [anon_sym_u32] = ACTIONS(1692),
    [anon_sym_i32] = ACTIONS(1692),
    [anon_sym_u64] = ACTIONS(1692),
    [anon_sym_i64] = ACTIONS(1692),
    [anon_sym_u128] = ACTIONS(1692),
    [anon_sym_i128] = ACTIONS(1692),
    [anon_sym_isize] = ACTIONS(1692),
    [anon_sym_usize] = ACTIONS(1692),
    [anon_sym_f32] = ACTIONS(1692),
    [anon_sym_f64] = ACTIONS(1692),
    [anon_sym_bool] = ACTIONS(1692),
    [anon_sym_str] = ACTIONS(1692),
    [anon_sym_char] = ACTIONS(1692),
    [anon_sym_DASH] = ACTIONS(1690),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_AMP] = ACTIONS(1690),
    [anon_sym_PIPE] = ACTIONS(1690),
    [anon_sym_LT] = ACTIONS(1690),
    [anon_sym_DOT_DOT] = ACTIONS(1690),
    [anon_sym_COLON_COLON] = ACTIONS(1690),
    [anon_sym_POUND] = ACTIONS(1690),
    [anon_sym_SQUOTE] = ACTIONS(1692),
    [anon_sym_async] = ACTIONS(1692),
    [anon_sym_break] = ACTIONS(1692),
    [anon_sym_const] = ACTIONS(1692),
    [anon_sym_continue] = ACTIONS(1692),
    [anon_sym_default] = ACTIONS(1692),
    [anon_sym_enum] = ACTIONS(1692),
    [anon_sym_fn] = ACTIONS(1692),
    [anon_sym_for] = ACTIONS(1692),
    [anon_sym_if] = ACTIONS(1692),
    [anon_sym_impl] = ACTIONS(1692),
    [anon_sym_let] = ACTIONS(1692),
    [anon_sym_loop] = ACTIONS(1692),
    [anon_sym_match] = ACTIONS(1692),
    [anon_sym_mod] = ACTIONS(1692),
    [anon_sym_pub] = ACTIONS(1692),
    [anon_sym_return] = ACTIONS(1692),
    [anon_sym_static] = ACTIONS(1692),
    [anon_sym_struct] = ACTIONS(1692),
    [anon_sym_trait] = ACTIONS(1692),
    [anon_sym_type] = ACTIONS(1692),
    [anon_sym_union] = ACTIONS(1692),
    [anon_sym_unsafe] = ACTIONS(1692),
    [anon_sym_use] = ACTIONS(1692),
    [anon_sym_while] = ACTIONS(1692),
    [anon_sym_extern] = ACTIONS(1692),
    [anon_sym_yield] = ACTIONS(1692),
    [anon_sym_move] = ACTIONS(1692),
    [anon_sym_try] = ACTIONS(1692),
    [sym_integer_literal] = ACTIONS(1690),
    [aux_sym_string_literal_token1] = ACTIONS(1690),
    [sym_char_literal] = ACTIONS(1690),
    [anon_sym_true] = ACTIONS(1692),
    [anon_sym_false] = ACTIONS(1692),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1692),
    [sym_super] = ACTIONS(1692),
    [sym_crate] = ACTIONS(1692),
    [sym_metavariable] = ACTIONS(1690),
    [sym__raw_string_literal_start] = ACTIONS(1690),
    [sym_float_literal] = ACTIONS(1690),
  },
  [487] = {
    [sym_line_comment] = STATE(487),
    [sym_block_comment] = STATE(487),
    [ts_builtin_sym_end] = ACTIONS(1694),
    [sym_identifier] = ACTIONS(1696),
    [anon_sym_SEMI] = ACTIONS(1694),
    [anon_sym_macro_rules_BANG] = ACTIONS(1694),
    [anon_sym_LPAREN] = ACTIONS(1694),
    [anon_sym_LBRACK] = ACTIONS(1694),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym_RBRACE] = ACTIONS(1694),
    [anon_sym_STAR] = ACTIONS(1694),
    [anon_sym_u8] = ACTIONS(1696),
    [anon_sym_i8] = ACTIONS(1696),
    [anon_sym_u16] = ACTIONS(1696),
    [anon_sym_i16] = ACTIONS(1696),
    [anon_sym_u32] = ACTIONS(1696),
    [anon_sym_i32] = ACTIONS(1696),
    [anon_sym_u64] = ACTIONS(1696),
    [anon_sym_i64] = ACTIONS(1696),
    [anon_sym_u128] = ACTIONS(1696),
    [anon_sym_i128] = ACTIONS(1696),
    [anon_sym_isize] = ACTIONS(1696),
    [anon_sym_usize] = ACTIONS(1696),
    [anon_sym_f32] = ACTIONS(1696),
    [anon_sym_f64] = ACTIONS(1696),
    [anon_sym_bool] = ACTIONS(1696),
    [anon_sym_str] = ACTIONS(1696),
    [anon_sym_char] = ACTIONS(1696),
    [anon_sym_DASH] = ACTIONS(1694),
    [anon_sym_BANG] = ACTIONS(1694),
    [anon_sym_AMP] = ACTIONS(1694),
    [anon_sym_PIPE] = ACTIONS(1694),
    [anon_sym_LT] = ACTIONS(1694),
    [anon_sym_DOT_DOT] = ACTIONS(1694),
    [anon_sym_COLON_COLON] = ACTIONS(1694),
    [anon_sym_POUND] = ACTIONS(1694),
    [anon_sym_SQUOTE] = ACTIONS(1696),
    [anon_sym_async] = ACTIONS(1696),
    [anon_sym_break] = ACTIONS(1696),
    [anon_sym_const] = ACTIONS(1696),
    [anon_sym_continue] = ACTIONS(1696),
    [anon_sym_default] = ACTIONS(1696),
    [anon_sym_enum] = ACTIONS(1696),
    [anon_sym_fn] = ACTIONS(1696),
    [anon_sym_for] = ACTIONS(1696),
    [anon_sym_if] = ACTIONS(1696),
    [anon_sym_impl] = ACTIONS(1696),
    [anon_sym_let] = ACTIONS(1696),
    [anon_sym_loop] = ACTIONS(1696),
    [anon_sym_match] = ACTIONS(1696),
    [anon_sym_mod] = ACTIONS(1696),
    [anon_sym_pub] = ACTIONS(1696),
    [anon_sym_return] = ACTIONS(1696),
    [anon_sym_static] = ACTIONS(1696),
    [anon_sym_struct] = ACTIONS(1696),
    [anon_sym_trait] = ACTIONS(1696),
    [anon_sym_type] = ACTIONS(1696),
    [anon_sym_union] = ACTIONS(1696),
    [anon_sym_unsafe] = ACTIONS(1696),
    [anon_sym_use] = ACTIONS(1696),
    [anon_sym_while] = ACTIONS(1696),
    [anon_sym_extern] = ACTIONS(1696),
    [anon_sym_yield] = ACTIONS(1696),
    [anon_sym_move] = ACTIONS(1696),
    [anon_sym_try] = ACTIONS(1696),
    [sym_integer_literal] = ACTIONS(1694),
    [aux_sym_string_literal_token1] = ACTIONS(1694),
    [sym_char_literal] = ACTIONS(1694),
    [anon_sym_true] = ACTIONS(1696),
    [anon_sym_false] = ACTIONS(1696),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1696),
    [sym_super] = ACTIONS(1696),
    [sym_crate] = ACTIONS(1696),
    [sym_metavariable] = ACTIONS(1694),
    [sym__raw_string_literal_start] = ACTIONS(1694),
    [sym_float_literal] = ACTIONS(1694),
  },
  [488] = {
    [sym_line_comment] = STATE(488),
    [sym_block_comment] = STATE(488),
    [ts_builtin_sym_end] = ACTIONS(1698),
    [sym_identifier] = ACTIONS(1700),
    [anon_sym_SEMI] = ACTIONS(1698),
    [anon_sym_macro_rules_BANG] = ACTIONS(1698),
    [anon_sym_LPAREN] = ACTIONS(1698),
    [anon_sym_LBRACK] = ACTIONS(1698),
    [anon_sym_LBRACE] = ACTIONS(1698),
    [anon_sym_RBRACE] = ACTIONS(1698),
    [anon_sym_STAR] = ACTIONS(1698),
    [anon_sym_u8] = ACTIONS(1700),
    [anon_sym_i8] = ACTIONS(1700),
    [anon_sym_u16] = ACTIONS(1700),
    [anon_sym_i16] = ACTIONS(1700),
    [anon_sym_u32] = ACTIONS(1700),
    [anon_sym_i32] = ACTIONS(1700),
    [anon_sym_u64] = ACTIONS(1700),
    [anon_sym_i64] = ACTIONS(1700),
    [anon_sym_u128] = ACTIONS(1700),
    [anon_sym_i128] = ACTIONS(1700),
    [anon_sym_isize] = ACTIONS(1700),
    [anon_sym_usize] = ACTIONS(1700),
    [anon_sym_f32] = ACTIONS(1700),
    [anon_sym_f64] = ACTIONS(1700),
    [anon_sym_bool] = ACTIONS(1700),
    [anon_sym_str] = ACTIONS(1700),
    [anon_sym_char] = ACTIONS(1700),
    [anon_sym_DASH] = ACTIONS(1698),
    [anon_sym_BANG] = ACTIONS(1698),
    [anon_sym_AMP] = ACTIONS(1698),
    [anon_sym_PIPE] = ACTIONS(1698),
    [anon_sym_LT] = ACTIONS(1698),
    [anon_sym_DOT_DOT] = ACTIONS(1698),
    [anon_sym_COLON_COLON] = ACTIONS(1698),
    [anon_sym_POUND] = ACTIONS(1698),
    [anon_sym_SQUOTE] = ACTIONS(1700),
    [anon_sym_async] = ACTIONS(1700),
    [anon_sym_break] = ACTIONS(1700),
    [anon_sym_const] = ACTIONS(1700),
    [anon_sym_continue] = ACTIONS(1700),
    [anon_sym_default] = ACTIONS(1700),
    [anon_sym_enum] = ACTIONS(1700),
    [anon_sym_fn] = ACTIONS(1700),
    [anon_sym_for] = ACTIONS(1700),
    [anon_sym_if] = ACTIONS(1700),
    [anon_sym_impl] = ACTIONS(1700),
    [anon_sym_let] = ACTIONS(1700),
    [anon_sym_loop] = ACTIONS(1700),
    [anon_sym_match] = ACTIONS(1700),
    [anon_sym_mod] = ACTIONS(1700),
    [anon_sym_pub] = ACTIONS(1700),
    [anon_sym_return] = ACTIONS(1700),
    [anon_sym_static] = ACTIONS(1700),
    [anon_sym_struct] = ACTIONS(1700),
    [anon_sym_trait] = ACTIONS(1700),
    [anon_sym_type] = ACTIONS(1700),
    [anon_sym_union] = ACTIONS(1700),
    [anon_sym_unsafe] = ACTIONS(1700),
    [anon_sym_use] = ACTIONS(1700),
    [anon_sym_while] = ACTIONS(1700),
    [anon_sym_extern] = ACTIONS(1700),
    [anon_sym_yield] = ACTIONS(1700),
    [anon_sym_move] = ACTIONS(1700),
    [anon_sym_try] = ACTIONS(1700),
    [sym_integer_literal] = ACTIONS(1698),
    [aux_sym_string_literal_token1] = ACTIONS(1698),
    [sym_char_literal] = ACTIONS(1698),
    [anon_sym_true] = ACTIONS(1700),
    [anon_sym_false] = ACTIONS(1700),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1700),
    [sym_super] = ACTIONS(1700),
    [sym_crate] = ACTIONS(1700),
    [sym_metavariable] = ACTIONS(1698),
    [sym__raw_string_literal_start] = ACTIONS(1698),
    [sym_float_literal] = ACTIONS(1698),
  },
  [489] = {
    [sym_line_comment] = STATE(489),
    [sym_block_comment] = STATE(489),
    [ts_builtin_sym_end] = ACTIONS(1702),
    [sym_identifier] = ACTIONS(1704),
    [anon_sym_SEMI] = ACTIONS(1702),
    [anon_sym_macro_rules_BANG] = ACTIONS(1702),
    [anon_sym_LPAREN] = ACTIONS(1702),
    [anon_sym_LBRACK] = ACTIONS(1702),
    [anon_sym_LBRACE] = ACTIONS(1702),
    [anon_sym_RBRACE] = ACTIONS(1702),
    [anon_sym_STAR] = ACTIONS(1702),
    [anon_sym_u8] = ACTIONS(1704),
    [anon_sym_i8] = ACTIONS(1704),
    [anon_sym_u16] = ACTIONS(1704),
    [anon_sym_i16] = ACTIONS(1704),
    [anon_sym_u32] = ACTIONS(1704),
    [anon_sym_i32] = ACTIONS(1704),
    [anon_sym_u64] = ACTIONS(1704),
    [anon_sym_i64] = ACTIONS(1704),
    [anon_sym_u128] = ACTIONS(1704),
    [anon_sym_i128] = ACTIONS(1704),
    [anon_sym_isize] = ACTIONS(1704),
    [anon_sym_usize] = ACTIONS(1704),
    [anon_sym_f32] = ACTIONS(1704),
    [anon_sym_f64] = ACTIONS(1704),
    [anon_sym_bool] = ACTIONS(1704),
    [anon_sym_str] = ACTIONS(1704),
    [anon_sym_char] = ACTIONS(1704),
    [anon_sym_DASH] = ACTIONS(1702),
    [anon_sym_BANG] = ACTIONS(1702),
    [anon_sym_AMP] = ACTIONS(1702),
    [anon_sym_PIPE] = ACTIONS(1702),
    [anon_sym_LT] = ACTIONS(1702),
    [anon_sym_DOT_DOT] = ACTIONS(1702),
    [anon_sym_COLON_COLON] = ACTIONS(1702),
    [anon_sym_POUND] = ACTIONS(1702),
    [anon_sym_SQUOTE] = ACTIONS(1704),
    [anon_sym_async] = ACTIONS(1704),
    [anon_sym_break] = ACTIONS(1704),
    [anon_sym_const] = ACTIONS(1704),
    [anon_sym_continue] = ACTIONS(1704),
    [anon_sym_default] = ACTIONS(1704),
    [anon_sym_enum] = ACTIONS(1704),
    [anon_sym_fn] = ACTIONS(1704),
    [anon_sym_for] = ACTIONS(1704),
    [anon_sym_if] = ACTIONS(1704),
    [anon_sym_impl] = ACTIONS(1704),
    [anon_sym_let] = ACTIONS(1704),
    [anon_sym_loop] = ACTIONS(1704),
    [anon_sym_match] = ACTIONS(1704),
    [anon_sym_mod] = ACTIONS(1704),
    [anon_sym_pub] = ACTIONS(1704),
    [anon_sym_return] = ACTIONS(1704),
    [anon_sym_static] = ACTIONS(1704),
    [anon_sym_struct] = ACTIONS(1704),
    [anon_sym_trait] = ACTIONS(1704),
    [anon_sym_type] = ACTIONS(1704),
    [anon_sym_union] = ACTIONS(1704),
    [anon_sym_unsafe] = ACTIONS(1704),
    [anon_sym_use] = ACTIONS(1704),
    [anon_sym_while] = ACTIONS(1704),
    [anon_sym_extern] = ACTIONS(1704),
    [anon_sym_yield] = ACTIONS(1704),
    [anon_sym_move] = ACTIONS(1704),
    [anon_sym_try] = ACTIONS(1704),
    [sym_integer_literal] = ACTIONS(1702),
    [aux_sym_string_literal_token1] = ACTIONS(1702),
    [sym_char_literal] = ACTIONS(1702),
    [anon_sym_true] = ACTIONS(1704),
    [anon_sym_false] = ACTIONS(1704),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1704),
    [sym_super] = ACTIONS(1704),
    [sym_crate] = ACTIONS(1704),
    [sym_metavariable] = ACTIONS(1702),
    [sym__raw_string_literal_start] = ACTIONS(1702),
    [sym_float_literal] = ACTIONS(1702),
  },
  [490] = {
    [sym_line_comment] = STATE(490),
    [sym_block_comment] = STATE(490),
    [ts_builtin_sym_end] = ACTIONS(1706),
    [sym_identifier] = ACTIONS(1708),
    [anon_sym_SEMI] = ACTIONS(1706),
    [anon_sym_macro_rules_BANG] = ACTIONS(1706),
    [anon_sym_LPAREN] = ACTIONS(1706),
    [anon_sym_LBRACK] = ACTIONS(1706),
    [anon_sym_LBRACE] = ACTIONS(1706),
    [anon_sym_RBRACE] = ACTIONS(1706),
    [anon_sym_STAR] = ACTIONS(1706),
    [anon_sym_u8] = ACTIONS(1708),
    [anon_sym_i8] = ACTIONS(1708),
    [anon_sym_u16] = ACTIONS(1708),
    [anon_sym_i16] = ACTIONS(1708),
    [anon_sym_u32] = ACTIONS(1708),
    [anon_sym_i32] = ACTIONS(1708),
    [anon_sym_u64] = ACTIONS(1708),
    [anon_sym_i64] = ACTIONS(1708),
    [anon_sym_u128] = ACTIONS(1708),
    [anon_sym_i128] = ACTIONS(1708),
    [anon_sym_isize] = ACTIONS(1708),
    [anon_sym_usize] = ACTIONS(1708),
    [anon_sym_f32] = ACTIONS(1708),
    [anon_sym_f64] = ACTIONS(1708),
    [anon_sym_bool] = ACTIONS(1708),
    [anon_sym_str] = ACTIONS(1708),
    [anon_sym_char] = ACTIONS(1708),
    [anon_sym_DASH] = ACTIONS(1706),
    [anon_sym_BANG] = ACTIONS(1706),
    [anon_sym_AMP] = ACTIONS(1706),
    [anon_sym_PIPE] = ACTIONS(1706),
    [anon_sym_LT] = ACTIONS(1706),
    [anon_sym_DOT_DOT] = ACTIONS(1706),
    [anon_sym_COLON_COLON] = ACTIONS(1706),
    [anon_sym_POUND] = ACTIONS(1706),
    [anon_sym_SQUOTE] = ACTIONS(1708),
    [anon_sym_async] = ACTIONS(1708),
    [anon_sym_break] = ACTIONS(1708),
    [anon_sym_const] = ACTIONS(1708),
    [anon_sym_continue] = ACTIONS(1708),
    [anon_sym_default] = ACTIONS(1708),
    [anon_sym_enum] = ACTIONS(1708),
    [anon_sym_fn] = ACTIONS(1708),
    [anon_sym_for] = ACTIONS(1708),
    [anon_sym_if] = ACTIONS(1708),
    [anon_sym_impl] = ACTIONS(1708),
    [anon_sym_let] = ACTIONS(1708),
    [anon_sym_loop] = ACTIONS(1708),
    [anon_sym_match] = ACTIONS(1708),
    [anon_sym_mod] = ACTIONS(1708),
    [anon_sym_pub] = ACTIONS(1708),
    [anon_sym_return] = ACTIONS(1708),
    [anon_sym_static] = ACTIONS(1708),
    [anon_sym_struct] = ACTIONS(1708),
    [anon_sym_trait] = ACTIONS(1708),
    [anon_sym_type] = ACTIONS(1708),
    [anon_sym_union] = ACTIONS(1708),
    [anon_sym_unsafe] = ACTIONS(1708),
    [anon_sym_use] = ACTIONS(1708),
    [anon_sym_while] = ACTIONS(1708),
    [anon_sym_extern] = ACTIONS(1708),
    [anon_sym_yield] = ACTIONS(1708),
    [anon_sym_move] = ACTIONS(1708),
    [anon_sym_try] = ACTIONS(1708),
    [sym_integer_literal] = ACTIONS(1706),
    [aux_sym_string_literal_token1] = ACTIONS(1706),
    [sym_char_literal] = ACTIONS(1706),
    [anon_sym_true] = ACTIONS(1708),
    [anon_sym_false] = ACTIONS(1708),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1708),
    [sym_super] = ACTIONS(1708),
    [sym_crate] = ACTIONS(1708),
    [sym_metavariable] = ACTIONS(1706),
    [sym__raw_string_literal_start] = ACTIONS(1706),
    [sym_float_literal] = ACTIONS(1706),
  },
  [491] = {
    [sym_line_comment] = STATE(491),
    [sym_block_comment] = STATE(491),
    [ts_builtin_sym_end] = ACTIONS(1710),
    [sym_identifier] = ACTIONS(1712),
    [anon_sym_SEMI] = ACTIONS(1710),
    [anon_sym_macro_rules_BANG] = ACTIONS(1710),
    [anon_sym_LPAREN] = ACTIONS(1710),
    [anon_sym_LBRACK] = ACTIONS(1710),
    [anon_sym_LBRACE] = ACTIONS(1710),
    [anon_sym_RBRACE] = ACTIONS(1710),
    [anon_sym_STAR] = ACTIONS(1710),
    [anon_sym_u8] = ACTIONS(1712),
    [anon_sym_i8] = ACTIONS(1712),
    [anon_sym_u16] = ACTIONS(1712),
    [anon_sym_i16] = ACTIONS(1712),
    [anon_sym_u32] = ACTIONS(1712),
    [anon_sym_i32] = ACTIONS(1712),
    [anon_sym_u64] = ACTIONS(1712),
    [anon_sym_i64] = ACTIONS(1712),
    [anon_sym_u128] = ACTIONS(1712),
    [anon_sym_i128] = ACTIONS(1712),
    [anon_sym_isize] = ACTIONS(1712),
    [anon_sym_usize] = ACTIONS(1712),
    [anon_sym_f32] = ACTIONS(1712),
    [anon_sym_f64] = ACTIONS(1712),
    [anon_sym_bool] = ACTIONS(1712),
    [anon_sym_str] = ACTIONS(1712),
    [anon_sym_char] = ACTIONS(1712),
    [anon_sym_DASH] = ACTIONS(1710),
    [anon_sym_BANG] = ACTIONS(1710),
    [anon_sym_AMP] = ACTIONS(1710),
    [anon_sym_PIPE] = ACTIONS(1710),
    [anon_sym_LT] = ACTIONS(1710),
    [anon_sym_DOT_DOT] = ACTIONS(1710),
    [anon_sym_COLON_COLON] = ACTIONS(1710),
    [anon_sym_POUND] = ACTIONS(1710),
    [anon_sym_SQUOTE] = ACTIONS(1712),
    [anon_sym_async] = ACTIONS(1712),
    [anon_sym_break] = ACTIONS(1712),
    [anon_sym_const] = ACTIONS(1712),
    [anon_sym_continue] = ACTIONS(1712),
    [anon_sym_default] = ACTIONS(1712),
    [anon_sym_enum] = ACTIONS(1712),
    [anon_sym_fn] = ACTIONS(1712),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_if] = ACTIONS(1712),
    [anon_sym_impl] = ACTIONS(1712),
    [anon_sym_let] = ACTIONS(1712),
    [anon_sym_loop] = ACTIONS(1712),
    [anon_sym_match] = ACTIONS(1712),
    [anon_sym_mod] = ACTIONS(1712),
    [anon_sym_pub] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1712),
    [anon_sym_static] = ACTIONS(1712),
    [anon_sym_struct] = ACTIONS(1712),
    [anon_sym_trait] = ACTIONS(1712),
    [anon_sym_type] = ACTIONS(1712),
    [anon_sym_union] = ACTIONS(1712),
    [anon_sym_unsafe] = ACTIONS(1712),
    [anon_sym_use] = ACTIONS(1712),
    [anon_sym_while] = ACTIONS(1712),
    [anon_sym_extern] = ACTIONS(1712),
    [anon_sym_yield] = ACTIONS(1712),
    [anon_sym_move] = ACTIONS(1712),
    [anon_sym_try] = ACTIONS(1712),
    [sym_integer_literal] = ACTIONS(1710),
    [aux_sym_string_literal_token1] = ACTIONS(1710),
    [sym_char_literal] = ACTIONS(1710),
    [anon_sym_true] = ACTIONS(1712),
    [anon_sym_false] = ACTIONS(1712),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1712),
    [sym_super] = ACTIONS(1712),
    [sym_crate] = ACTIONS(1712),
    [sym_metavariable] = ACTIONS(1710),
    [sym__raw_string_literal_start] = ACTIONS(1710),
    [sym_float_literal] = ACTIONS(1710),
  },
  [492] = {
    [sym_line_comment] = STATE(492),
    [sym_block_comment] = STATE(492),
    [ts_builtin_sym_end] = ACTIONS(1714),
    [sym_identifier] = ACTIONS(1716),
    [anon_sym_SEMI] = ACTIONS(1714),
    [anon_sym_macro_rules_BANG] = ACTIONS(1714),
    [anon_sym_LPAREN] = ACTIONS(1714),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_LBRACE] = ACTIONS(1714),
    [anon_sym_RBRACE] = ACTIONS(1714),
    [anon_sym_STAR] = ACTIONS(1714),
    [anon_sym_u8] = ACTIONS(1716),
    [anon_sym_i8] = ACTIONS(1716),
    [anon_sym_u16] = ACTIONS(1716),
    [anon_sym_i16] = ACTIONS(1716),
    [anon_sym_u32] = ACTIONS(1716),
    [anon_sym_i32] = ACTIONS(1716),
    [anon_sym_u64] = ACTIONS(1716),
    [anon_sym_i64] = ACTIONS(1716),
    [anon_sym_u128] = ACTIONS(1716),
    [anon_sym_i128] = ACTIONS(1716),
    [anon_sym_isize] = ACTIONS(1716),
    [anon_sym_usize] = ACTIONS(1716),
    [anon_sym_f32] = ACTIONS(1716),
    [anon_sym_f64] = ACTIONS(1716),
    [anon_sym_bool] = ACTIONS(1716),
    [anon_sym_str] = ACTIONS(1716),
    [anon_sym_char] = ACTIONS(1716),
    [anon_sym_DASH] = ACTIONS(1714),
    [anon_sym_BANG] = ACTIONS(1714),
    [anon_sym_AMP] = ACTIONS(1714),
    [anon_sym_PIPE] = ACTIONS(1714),
    [anon_sym_LT] = ACTIONS(1714),
    [anon_sym_DOT_DOT] = ACTIONS(1714),
    [anon_sym_COLON_COLON] = ACTIONS(1714),
    [anon_sym_POUND] = ACTIONS(1714),
    [anon_sym_SQUOTE] = ACTIONS(1716),
    [anon_sym_async] = ACTIONS(1716),
    [anon_sym_break] = ACTIONS(1716),
    [anon_sym_const] = ACTIONS(1716),
    [anon_sym_continue] = ACTIONS(1716),
    [anon_sym_default] = ACTIONS(1716),
    [anon_sym_enum] = ACTIONS(1716),
    [anon_sym_fn] = ACTIONS(1716),
    [anon_sym_for] = ACTIONS(1716),
    [anon_sym_if] = ACTIONS(1716),
    [anon_sym_impl] = ACTIONS(1716),
    [anon_sym_let] = ACTIONS(1716),
    [anon_sym_loop] = ACTIONS(1716),
    [anon_sym_match] = ACTIONS(1716),
    [anon_sym_mod] = ACTIONS(1716),
    [anon_sym_pub] = ACTIONS(1716),
    [anon_sym_return] = ACTIONS(1716),
    [anon_sym_static] = ACTIONS(1716),
    [anon_sym_struct] = ACTIONS(1716),
    [anon_sym_trait] = ACTIONS(1716),
    [anon_sym_type] = ACTIONS(1716),
    [anon_sym_union] = ACTIONS(1716),
    [anon_sym_unsafe] = ACTIONS(1716),
    [anon_sym_use] = ACTIONS(1716),
    [anon_sym_while] = ACTIONS(1716),
    [anon_sym_extern] = ACTIONS(1716),
    [anon_sym_yield] = ACTIONS(1716),
    [anon_sym_move] = ACTIONS(1716),
    [anon_sym_try] = ACTIONS(1716),
    [sym_integer_literal] = ACTIONS(1714),
    [aux_sym_string_literal_token1] = ACTIONS(1714),
    [sym_char_literal] = ACTIONS(1714),
    [anon_sym_true] = ACTIONS(1716),
    [anon_sym_false] = ACTIONS(1716),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1716),
    [sym_super] = ACTIONS(1716),
    [sym_crate] = ACTIONS(1716),
    [sym_metavariable] = ACTIONS(1714),
    [sym__raw_string_literal_start] = ACTIONS(1714),
    [sym_float_literal] = ACTIONS(1714),
  },
  [493] = {
    [sym_line_comment] = STATE(493),
    [sym_block_comment] = STATE(493),
    [ts_builtin_sym_end] = ACTIONS(1718),
    [sym_identifier] = ACTIONS(1720),
    [anon_sym_SEMI] = ACTIONS(1718),
    [anon_sym_macro_rules_BANG] = ACTIONS(1718),
    [anon_sym_LPAREN] = ACTIONS(1718),
    [anon_sym_LBRACK] = ACTIONS(1718),
    [anon_sym_LBRACE] = ACTIONS(1718),
    [anon_sym_RBRACE] = ACTIONS(1718),
    [anon_sym_STAR] = ACTIONS(1718),
    [anon_sym_u8] = ACTIONS(1720),
    [anon_sym_i8] = ACTIONS(1720),
    [anon_sym_u16] = ACTIONS(1720),
    [anon_sym_i16] = ACTIONS(1720),
    [anon_sym_u32] = ACTIONS(1720),
    [anon_sym_i32] = ACTIONS(1720),
    [anon_sym_u64] = ACTIONS(1720),
    [anon_sym_i64] = ACTIONS(1720),
    [anon_sym_u128] = ACTIONS(1720),
    [anon_sym_i128] = ACTIONS(1720),
    [anon_sym_isize] = ACTIONS(1720),
    [anon_sym_usize] = ACTIONS(1720),
    [anon_sym_f32] = ACTIONS(1720),
    [anon_sym_f64] = ACTIONS(1720),
    [anon_sym_bool] = ACTIONS(1720),
    [anon_sym_str] = ACTIONS(1720),
    [anon_sym_char] = ACTIONS(1720),
    [anon_sym_DASH] = ACTIONS(1718),
    [anon_sym_BANG] = ACTIONS(1718),
    [anon_sym_AMP] = ACTIONS(1718),
    [anon_sym_PIPE] = ACTIONS(1718),
    [anon_sym_LT] = ACTIONS(1718),
    [anon_sym_DOT_DOT] = ACTIONS(1718),
    [anon_sym_COLON_COLON] = ACTIONS(1718),
    [anon_sym_POUND] = ACTIONS(1718),
    [anon_sym_SQUOTE] = ACTIONS(1720),
    [anon_sym_async] = ACTIONS(1720),
    [anon_sym_break] = ACTIONS(1720),
    [anon_sym_const] = ACTIONS(1720),
    [anon_sym_continue] = ACTIONS(1720),
    [anon_sym_default] = ACTIONS(1720),
    [anon_sym_enum] = ACTIONS(1720),
    [anon_sym_fn] = ACTIONS(1720),
    [anon_sym_for] = ACTIONS(1720),
    [anon_sym_if] = ACTIONS(1720),
    [anon_sym_impl] = ACTIONS(1720),
    [anon_sym_let] = ACTIONS(1720),
    [anon_sym_loop] = ACTIONS(1720),
    [anon_sym_match] = ACTIONS(1720),
    [anon_sym_mod] = ACTIONS(1720),
    [anon_sym_pub] = ACTIONS(1720),
    [anon_sym_return] = ACTIONS(1720),
    [anon_sym_static] = ACTIONS(1720),
    [anon_sym_struct] = ACTIONS(1720),
    [anon_sym_trait] = ACTIONS(1720),
    [anon_sym_type] = ACTIONS(1720),
    [anon_sym_union] = ACTIONS(1720),
    [anon_sym_unsafe] = ACTIONS(1720),
    [anon_sym_use] = ACTIONS(1720),
    [anon_sym_while] = ACTIONS(1720),
    [anon_sym_extern] = ACTIONS(1720),
    [anon_sym_yield] = ACTIONS(1720),
    [anon_sym_move] = ACTIONS(1720),
    [anon_sym_try] = ACTIONS(1720),
    [sym_integer_literal] = ACTIONS(1718),
    [aux_sym_string_literal_token1] = ACTIONS(1718),
    [sym_char_literal] = ACTIONS(1718),
    [anon_sym_true] = ACTIONS(1720),
    [anon_sym_false] = ACTIONS(1720),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1720),
    [sym_super] = ACTIONS(1720),
    [sym_crate] = ACTIONS(1720),
    [sym_metavariable] = ACTIONS(1718),
    [sym__raw_string_literal_start] = ACTIONS(1718),
    [sym_float_literal] = ACTIONS(1718),
  },
  [494] = {
    [sym_line_comment] = STATE(494),
    [sym_block_comment] = STATE(494),
    [ts_builtin_sym_end] = ACTIONS(1722),
    [sym_identifier] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(1722),
    [anon_sym_macro_rules_BANG] = ACTIONS(1722),
    [anon_sym_LPAREN] = ACTIONS(1722),
    [anon_sym_LBRACK] = ACTIONS(1722),
    [anon_sym_LBRACE] = ACTIONS(1722),
    [anon_sym_RBRACE] = ACTIONS(1722),
    [anon_sym_STAR] = ACTIONS(1722),
    [anon_sym_u8] = ACTIONS(1724),
    [anon_sym_i8] = ACTIONS(1724),
    [anon_sym_u16] = ACTIONS(1724),
    [anon_sym_i16] = ACTIONS(1724),
    [anon_sym_u32] = ACTIONS(1724),
    [anon_sym_i32] = ACTIONS(1724),
    [anon_sym_u64] = ACTIONS(1724),
    [anon_sym_i64] = ACTIONS(1724),
    [anon_sym_u128] = ACTIONS(1724),
    [anon_sym_i128] = ACTIONS(1724),
    [anon_sym_isize] = ACTIONS(1724),
    [anon_sym_usize] = ACTIONS(1724),
    [anon_sym_f32] = ACTIONS(1724),
    [anon_sym_f64] = ACTIONS(1724),
    [anon_sym_bool] = ACTIONS(1724),
    [anon_sym_str] = ACTIONS(1724),
    [anon_sym_char] = ACTIONS(1724),
    [anon_sym_DASH] = ACTIONS(1722),
    [anon_sym_BANG] = ACTIONS(1722),
    [anon_sym_AMP] = ACTIONS(1722),
    [anon_sym_PIPE] = ACTIONS(1722),
    [anon_sym_LT] = ACTIONS(1722),
    [anon_sym_DOT_DOT] = ACTIONS(1722),
    [anon_sym_COLON_COLON] = ACTIONS(1722),
    [anon_sym_POUND] = ACTIONS(1722),
    [anon_sym_SQUOTE] = ACTIONS(1724),
    [anon_sym_async] = ACTIONS(1724),
    [anon_sym_break] = ACTIONS(1724),
    [anon_sym_const] = ACTIONS(1724),
    [anon_sym_continue] = ACTIONS(1724),
    [anon_sym_default] = ACTIONS(1724),
    [anon_sym_enum] = ACTIONS(1724),
    [anon_sym_fn] = ACTIONS(1724),
    [anon_sym_for] = ACTIONS(1724),
    [anon_sym_if] = ACTIONS(1724),
    [anon_sym_impl] = ACTIONS(1724),
    [anon_sym_let] = ACTIONS(1724),
    [anon_sym_loop] = ACTIONS(1724),
    [anon_sym_match] = ACTIONS(1724),
    [anon_sym_mod] = ACTIONS(1724),
    [anon_sym_pub] = ACTIONS(1724),
    [anon_sym_return] = ACTIONS(1724),
    [anon_sym_static] = ACTIONS(1724),
    [anon_sym_struct] = ACTIONS(1724),
    [anon_sym_trait] = ACTIONS(1724),
    [anon_sym_type] = ACTIONS(1724),
    [anon_sym_union] = ACTIONS(1724),
    [anon_sym_unsafe] = ACTIONS(1724),
    [anon_sym_use] = ACTIONS(1724),
    [anon_sym_while] = ACTIONS(1724),
    [anon_sym_extern] = ACTIONS(1724),
    [anon_sym_yield] = ACTIONS(1724),
    [anon_sym_move] = ACTIONS(1724),
    [anon_sym_try] = ACTIONS(1724),
    [sym_integer_literal] = ACTIONS(1722),
    [aux_sym_string_literal_token1] = ACTIONS(1722),
    [sym_char_literal] = ACTIONS(1722),
    [anon_sym_true] = ACTIONS(1724),
    [anon_sym_false] = ACTIONS(1724),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1724),
    [sym_super] = ACTIONS(1724),
    [sym_crate] = ACTIONS(1724),
    [sym_metavariable] = ACTIONS(1722),
    [sym__raw_string_literal_start] = ACTIONS(1722),
    [sym_float_literal] = ACTIONS(1722),
  },
  [495] = {
    [sym_line_comment] = STATE(495),
    [sym_block_comment] = STATE(495),
    [ts_builtin_sym_end] = ACTIONS(1726),
    [sym_identifier] = ACTIONS(1728),
    [anon_sym_SEMI] = ACTIONS(1726),
    [anon_sym_macro_rules_BANG] = ACTIONS(1726),
    [anon_sym_LPAREN] = ACTIONS(1726),
    [anon_sym_LBRACK] = ACTIONS(1726),
    [anon_sym_LBRACE] = ACTIONS(1726),
    [anon_sym_RBRACE] = ACTIONS(1726),
    [anon_sym_STAR] = ACTIONS(1726),
    [anon_sym_u8] = ACTIONS(1728),
    [anon_sym_i8] = ACTIONS(1728),
    [anon_sym_u16] = ACTIONS(1728),
    [anon_sym_i16] = ACTIONS(1728),
    [anon_sym_u32] = ACTIONS(1728),
    [anon_sym_i32] = ACTIONS(1728),
    [anon_sym_u64] = ACTIONS(1728),
    [anon_sym_i64] = ACTIONS(1728),
    [anon_sym_u128] = ACTIONS(1728),
    [anon_sym_i128] = ACTIONS(1728),
    [anon_sym_isize] = ACTIONS(1728),
    [anon_sym_usize] = ACTIONS(1728),
    [anon_sym_f32] = ACTIONS(1728),
    [anon_sym_f64] = ACTIONS(1728),
    [anon_sym_bool] = ACTIONS(1728),
    [anon_sym_str] = ACTIONS(1728),
    [anon_sym_char] = ACTIONS(1728),
    [anon_sym_DASH] = ACTIONS(1726),
    [anon_sym_BANG] = ACTIONS(1726),
    [anon_sym_AMP] = ACTIONS(1726),
    [anon_sym_PIPE] = ACTIONS(1726),
    [anon_sym_LT] = ACTIONS(1726),
    [anon_sym_DOT_DOT] = ACTIONS(1726),
    [anon_sym_COLON_COLON] = ACTIONS(1726),
    [anon_sym_POUND] = ACTIONS(1726),
    [anon_sym_SQUOTE] = ACTIONS(1728),
    [anon_sym_async] = ACTIONS(1728),
    [anon_sym_break] = ACTIONS(1728),
    [anon_sym_const] = ACTIONS(1728),
    [anon_sym_continue] = ACTIONS(1728),
    [anon_sym_default] = ACTIONS(1728),
    [anon_sym_enum] = ACTIONS(1728),
    [anon_sym_fn] = ACTIONS(1728),
    [anon_sym_for] = ACTIONS(1728),
    [anon_sym_if] = ACTIONS(1728),
    [anon_sym_impl] = ACTIONS(1728),
    [anon_sym_let] = ACTIONS(1728),
    [anon_sym_loop] = ACTIONS(1728),
    [anon_sym_match] = ACTIONS(1728),
    [anon_sym_mod] = ACTIONS(1728),
    [anon_sym_pub] = ACTIONS(1728),
    [anon_sym_return] = ACTIONS(1728),
    [anon_sym_static] = ACTIONS(1728),
    [anon_sym_struct] = ACTIONS(1728),
    [anon_sym_trait] = ACTIONS(1728),
    [anon_sym_type] = ACTIONS(1728),
    [anon_sym_union] = ACTIONS(1728),
    [anon_sym_unsafe] = ACTIONS(1728),
    [anon_sym_use] = ACTIONS(1728),
    [anon_sym_while] = ACTIONS(1728),
    [anon_sym_extern] = ACTIONS(1728),
    [anon_sym_yield] = ACTIONS(1728),
    [anon_sym_move] = ACTIONS(1728),
    [anon_sym_try] = ACTIONS(1728),
    [sym_integer_literal] = ACTIONS(1726),
    [aux_sym_string_literal_token1] = ACTIONS(1726),
    [sym_char_literal] = ACTIONS(1726),
    [anon_sym_true] = ACTIONS(1728),
    [anon_sym_false] = ACTIONS(1728),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1728),
    [sym_super] = ACTIONS(1728),
    [sym_crate] = ACTIONS(1728),
    [sym_metavariable] = ACTIONS(1726),
    [sym__raw_string_literal_start] = ACTIONS(1726),
    [sym_float_literal] = ACTIONS(1726),
  },
  [496] = {
    [sym_line_comment] = STATE(496),
    [sym_block_comment] = STATE(496),
    [ts_builtin_sym_end] = ACTIONS(1730),
    [sym_identifier] = ACTIONS(1732),
    [anon_sym_SEMI] = ACTIONS(1730),
    [anon_sym_macro_rules_BANG] = ACTIONS(1730),
    [anon_sym_LPAREN] = ACTIONS(1730),
    [anon_sym_LBRACK] = ACTIONS(1730),
    [anon_sym_LBRACE] = ACTIONS(1730),
    [anon_sym_RBRACE] = ACTIONS(1730),
    [anon_sym_STAR] = ACTIONS(1730),
    [anon_sym_u8] = ACTIONS(1732),
    [anon_sym_i8] = ACTIONS(1732),
    [anon_sym_u16] = ACTIONS(1732),
    [anon_sym_i16] = ACTIONS(1732),
    [anon_sym_u32] = ACTIONS(1732),
    [anon_sym_i32] = ACTIONS(1732),
    [anon_sym_u64] = ACTIONS(1732),
    [anon_sym_i64] = ACTIONS(1732),
    [anon_sym_u128] = ACTIONS(1732),
    [anon_sym_i128] = ACTIONS(1732),
    [anon_sym_isize] = ACTIONS(1732),
    [anon_sym_usize] = ACTIONS(1732),
    [anon_sym_f32] = ACTIONS(1732),
    [anon_sym_f64] = ACTIONS(1732),
    [anon_sym_bool] = ACTIONS(1732),
    [anon_sym_str] = ACTIONS(1732),
    [anon_sym_char] = ACTIONS(1732),
    [anon_sym_DASH] = ACTIONS(1730),
    [anon_sym_BANG] = ACTIONS(1730),
    [anon_sym_AMP] = ACTIONS(1730),
    [anon_sym_PIPE] = ACTIONS(1730),
    [anon_sym_LT] = ACTIONS(1730),
    [anon_sym_DOT_DOT] = ACTIONS(1730),
    [anon_sym_COLON_COLON] = ACTIONS(1730),
    [anon_sym_POUND] = ACTIONS(1730),
    [anon_sym_SQUOTE] = ACTIONS(1732),
    [anon_sym_async] = ACTIONS(1732),
    [anon_sym_break] = ACTIONS(1732),
    [anon_sym_const] = ACTIONS(1732),
    [anon_sym_continue] = ACTIONS(1732),
    [anon_sym_default] = ACTIONS(1732),
    [anon_sym_enum] = ACTIONS(1732),
    [anon_sym_fn] = ACTIONS(1732),
    [anon_sym_for] = ACTIONS(1732),
    [anon_sym_if] = ACTIONS(1732),
    [anon_sym_impl] = ACTIONS(1732),
    [anon_sym_let] = ACTIONS(1732),
    [anon_sym_loop] = ACTIONS(1732),
    [anon_sym_match] = ACTIONS(1732),
    [anon_sym_mod] = ACTIONS(1732),
    [anon_sym_pub] = ACTIONS(1732),
    [anon_sym_return] = ACTIONS(1732),
    [anon_sym_static] = ACTIONS(1732),
    [anon_sym_struct] = ACTIONS(1732),
    [anon_sym_trait] = ACTIONS(1732),
    [anon_sym_type] = ACTIONS(1732),
    [anon_sym_union] = ACTIONS(1732),
    [anon_sym_unsafe] = ACTIONS(1732),
    [anon_sym_use] = ACTIONS(1732),
    [anon_sym_while] = ACTIONS(1732),
    [anon_sym_extern] = ACTIONS(1732),
    [anon_sym_yield] = ACTIONS(1732),
    [anon_sym_move] = ACTIONS(1732),
    [anon_sym_try] = ACTIONS(1732),
    [sym_integer_literal] = ACTIONS(1730),
    [aux_sym_string_literal_token1] = ACTIONS(1730),
    [sym_char_literal] = ACTIONS(1730),
    [anon_sym_true] = ACTIONS(1732),
    [anon_sym_false] = ACTIONS(1732),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1732),
    [sym_super] = ACTIONS(1732),
    [sym_crate] = ACTIONS(1732),
    [sym_metavariable] = ACTIONS(1730),
    [sym__raw_string_literal_start] = ACTIONS(1730),
    [sym_float_literal] = ACTIONS(1730),
  },
  [497] = {
    [sym_line_comment] = STATE(497),
    [sym_block_comment] = STATE(497),
    [ts_builtin_sym_end] = ACTIONS(1734),
    [sym_identifier] = ACTIONS(1736),
    [anon_sym_SEMI] = ACTIONS(1734),
    [anon_sym_macro_rules_BANG] = ACTIONS(1734),
    [anon_sym_LPAREN] = ACTIONS(1734),
    [anon_sym_LBRACK] = ACTIONS(1734),
    [anon_sym_LBRACE] = ACTIONS(1734),
    [anon_sym_RBRACE] = ACTIONS(1734),
    [anon_sym_STAR] = ACTIONS(1734),
    [anon_sym_u8] = ACTIONS(1736),
    [anon_sym_i8] = ACTIONS(1736),
    [anon_sym_u16] = ACTIONS(1736),
    [anon_sym_i16] = ACTIONS(1736),
    [anon_sym_u32] = ACTIONS(1736),
    [anon_sym_i32] = ACTIONS(1736),
    [anon_sym_u64] = ACTIONS(1736),
    [anon_sym_i64] = ACTIONS(1736),
    [anon_sym_u128] = ACTIONS(1736),
    [anon_sym_i128] = ACTIONS(1736),
    [anon_sym_isize] = ACTIONS(1736),
    [anon_sym_usize] = ACTIONS(1736),
    [anon_sym_f32] = ACTIONS(1736),
    [anon_sym_f64] = ACTIONS(1736),
    [anon_sym_bool] = ACTIONS(1736),
    [anon_sym_str] = ACTIONS(1736),
    [anon_sym_char] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1734),
    [anon_sym_BANG] = ACTIONS(1734),
    [anon_sym_AMP] = ACTIONS(1734),
    [anon_sym_PIPE] = ACTIONS(1734),
    [anon_sym_LT] = ACTIONS(1734),
    [anon_sym_DOT_DOT] = ACTIONS(1734),
    [anon_sym_COLON_COLON] = ACTIONS(1734),
    [anon_sym_POUND] = ACTIONS(1734),
    [anon_sym_SQUOTE] = ACTIONS(1736),
    [anon_sym_async] = ACTIONS(1736),
    [anon_sym_break] = ACTIONS(1736),
    [anon_sym_const] = ACTIONS(1736),
    [anon_sym_continue] = ACTIONS(1736),
    [anon_sym_default] = ACTIONS(1736),
    [anon_sym_enum] = ACTIONS(1736),
    [anon_sym_fn] = ACTIONS(1736),
    [anon_sym_for] = ACTIONS(1736),
    [anon_sym_if] = ACTIONS(1736),
    [anon_sym_impl] = ACTIONS(1736),
    [anon_sym_let] = ACTIONS(1736),
    [anon_sym_loop] = ACTIONS(1736),
    [anon_sym_match] = ACTIONS(1736),
    [anon_sym_mod] = ACTIONS(1736),
    [anon_sym_pub] = ACTIONS(1736),
    [anon_sym_return] = ACTIONS(1736),
    [anon_sym_static] = ACTIONS(1736),
    [anon_sym_struct] = ACTIONS(1736),
    [anon_sym_trait] = ACTIONS(1736),
    [anon_sym_type] = ACTIONS(1736),
    [anon_sym_union] = ACTIONS(1736),
    [anon_sym_unsafe] = ACTIONS(1736),
    [anon_sym_use] = ACTIONS(1736),
    [anon_sym_while] = ACTIONS(1736),
    [anon_sym_extern] = ACTIONS(1736),
    [anon_sym_yield] = ACTIONS(1736),
    [anon_sym_move] = ACTIONS(1736),
    [anon_sym_try] = ACTIONS(1736),
    [sym_integer_literal] = ACTIONS(1734),
    [aux_sym_string_literal_token1] = ACTIONS(1734),
    [sym_char_literal] = ACTIONS(1734),
    [anon_sym_true] = ACTIONS(1736),
    [anon_sym_false] = ACTIONS(1736),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1736),
    [sym_super] = ACTIONS(1736),
    [sym_crate] = ACTIONS(1736),
    [sym_metavariable] = ACTIONS(1734),
    [sym__raw_string_literal_start] = ACTIONS(1734),
    [sym_float_literal] = ACTIONS(1734),
  },
  [498] = {
    [sym_line_comment] = STATE(498),
    [sym_block_comment] = STATE(498),
    [ts_builtin_sym_end] = ACTIONS(1738),
    [sym_identifier] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1738),
    [anon_sym_macro_rules_BANG] = ACTIONS(1738),
    [anon_sym_LPAREN] = ACTIONS(1738),
    [anon_sym_LBRACK] = ACTIONS(1738),
    [anon_sym_LBRACE] = ACTIONS(1738),
    [anon_sym_RBRACE] = ACTIONS(1738),
    [anon_sym_STAR] = ACTIONS(1738),
    [anon_sym_u8] = ACTIONS(1740),
    [anon_sym_i8] = ACTIONS(1740),
    [anon_sym_u16] = ACTIONS(1740),
    [anon_sym_i16] = ACTIONS(1740),
    [anon_sym_u32] = ACTIONS(1740),
    [anon_sym_i32] = ACTIONS(1740),
    [anon_sym_u64] = ACTIONS(1740),
    [anon_sym_i64] = ACTIONS(1740),
    [anon_sym_u128] = ACTIONS(1740),
    [anon_sym_i128] = ACTIONS(1740),
    [anon_sym_isize] = ACTIONS(1740),
    [anon_sym_usize] = ACTIONS(1740),
    [anon_sym_f32] = ACTIONS(1740),
    [anon_sym_f64] = ACTIONS(1740),
    [anon_sym_bool] = ACTIONS(1740),
    [anon_sym_str] = ACTIONS(1740),
    [anon_sym_char] = ACTIONS(1740),
    [anon_sym_DASH] = ACTIONS(1738),
    [anon_sym_BANG] = ACTIONS(1738),
    [anon_sym_AMP] = ACTIONS(1738),
    [anon_sym_PIPE] = ACTIONS(1738),
    [anon_sym_LT] = ACTIONS(1738),
    [anon_sym_DOT_DOT] = ACTIONS(1738),
    [anon_sym_COLON_COLON] = ACTIONS(1738),
    [anon_sym_POUND] = ACTIONS(1738),
    [anon_sym_SQUOTE] = ACTIONS(1740),
    [anon_sym_async] = ACTIONS(1740),
    [anon_sym_break] = ACTIONS(1740),
    [anon_sym_const] = ACTIONS(1740),
    [anon_sym_continue] = ACTIONS(1740),
    [anon_sym_default] = ACTIONS(1740),
    [anon_sym_enum] = ACTIONS(1740),
    [anon_sym_fn] = ACTIONS(1740),
    [anon_sym_for] = ACTIONS(1740),
    [anon_sym_if] = ACTIONS(1740),
    [anon_sym_impl] = ACTIONS(1740),
    [anon_sym_let] = ACTIONS(1740),
    [anon_sym_loop] = ACTIONS(1740),
    [anon_sym_match] = ACTIONS(1740),
    [anon_sym_mod] = ACTIONS(1740),
    [anon_sym_pub] = ACTIONS(1740),
    [anon_sym_return] = ACTIONS(1740),
    [anon_sym_static] = ACTIONS(1740),
    [anon_sym_struct] = ACTIONS(1740),
    [anon_sym_trait] = ACTIONS(1740),
    [anon_sym_type] = ACTIONS(1740),
    [anon_sym_union] = ACTIONS(1740),
    [anon_sym_unsafe] = ACTIONS(1740),
    [anon_sym_use] = ACTIONS(1740),
    [anon_sym_while] = ACTIONS(1740),
    [anon_sym_extern] = ACTIONS(1740),
    [anon_sym_yield] = ACTIONS(1740),
    [anon_sym_move] = ACTIONS(1740),
    [anon_sym_try] = ACTIONS(1740),
    [sym_integer_literal] = ACTIONS(1738),
    [aux_sym_string_literal_token1] = ACTIONS(1738),
    [sym_char_literal] = ACTIONS(1738),
    [anon_sym_true] = ACTIONS(1740),
    [anon_sym_false] = ACTIONS(1740),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1740),
    [sym_super] = ACTIONS(1740),
    [sym_crate] = ACTIONS(1740),
    [sym_metavariable] = ACTIONS(1738),
    [sym__raw_string_literal_start] = ACTIONS(1738),
    [sym_float_literal] = ACTIONS(1738),
  },
  [499] = {
    [sym_line_comment] = STATE(499),
    [sym_block_comment] = STATE(499),
    [ts_builtin_sym_end] = ACTIONS(1742),
    [sym_identifier] = ACTIONS(1744),
    [anon_sym_SEMI] = ACTIONS(1742),
    [anon_sym_macro_rules_BANG] = ACTIONS(1742),
    [anon_sym_LPAREN] = ACTIONS(1742),
    [anon_sym_LBRACK] = ACTIONS(1742),
    [anon_sym_LBRACE] = ACTIONS(1742),
    [anon_sym_RBRACE] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_u8] = ACTIONS(1744),
    [anon_sym_i8] = ACTIONS(1744),
    [anon_sym_u16] = ACTIONS(1744),
    [anon_sym_i16] = ACTIONS(1744),
    [anon_sym_u32] = ACTIONS(1744),
    [anon_sym_i32] = ACTIONS(1744),
    [anon_sym_u64] = ACTIONS(1744),
    [anon_sym_i64] = ACTIONS(1744),
    [anon_sym_u128] = ACTIONS(1744),
    [anon_sym_i128] = ACTIONS(1744),
    [anon_sym_isize] = ACTIONS(1744),
    [anon_sym_usize] = ACTIONS(1744),
    [anon_sym_f32] = ACTIONS(1744),
    [anon_sym_f64] = ACTIONS(1744),
    [anon_sym_bool] = ACTIONS(1744),
    [anon_sym_str] = ACTIONS(1744),
    [anon_sym_char] = ACTIONS(1744),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_BANG] = ACTIONS(1742),
    [anon_sym_AMP] = ACTIONS(1742),
    [anon_sym_PIPE] = ACTIONS(1742),
    [anon_sym_LT] = ACTIONS(1742),
    [anon_sym_DOT_DOT] = ACTIONS(1742),
    [anon_sym_COLON_COLON] = ACTIONS(1742),
    [anon_sym_POUND] = ACTIONS(1742),
    [anon_sym_SQUOTE] = ACTIONS(1744),
    [anon_sym_async] = ACTIONS(1744),
    [anon_sym_break] = ACTIONS(1744),
    [anon_sym_const] = ACTIONS(1744),
    [anon_sym_continue] = ACTIONS(1744),
    [anon_sym_default] = ACTIONS(1744),
    [anon_sym_enum] = ACTIONS(1744),
    [anon_sym_fn] = ACTIONS(1744),
    [anon_sym_for] = ACTIONS(1744),
    [anon_sym_if] = ACTIONS(1744),
    [anon_sym_impl] = ACTIONS(1744),
    [anon_sym_let] = ACTIONS(1744),
    [anon_sym_loop] = ACTIONS(1744),
    [anon_sym_match] = ACTIONS(1744),
    [anon_sym_mod] = ACTIONS(1744),
    [anon_sym_pub] = ACTIONS(1744),
    [anon_sym_return] = ACTIONS(1744),
    [anon_sym_static] = ACTIONS(1744),
    [anon_sym_struct] = ACTIONS(1744),
    [anon_sym_trait] = ACTIONS(1744),
    [anon_sym_type] = ACTIONS(1744),
    [anon_sym_union] = ACTIONS(1744),
    [anon_sym_unsafe] = ACTIONS(1744),
    [anon_sym_use] = ACTIONS(1744),
    [anon_sym_while] = ACTIONS(1744),
    [anon_sym_extern] = ACTIONS(1744),
    [anon_sym_yield] = ACTIONS(1744),
    [anon_sym_move] = ACTIONS(1744),
    [anon_sym_try] = ACTIONS(1744),
    [sym_integer_literal] = ACTIONS(1742),
    [aux_sym_string_literal_token1] = ACTIONS(1742),
    [sym_char_literal] = ACTIONS(1742),
    [anon_sym_true] = ACTIONS(1744),
    [anon_sym_false] = ACTIONS(1744),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1744),
    [sym_super] = ACTIONS(1744),
    [sym_crate] = ACTIONS(1744),
    [sym_metavariable] = ACTIONS(1742),
    [sym__raw_string_literal_start] = ACTIONS(1742),
    [sym_float_literal] = ACTIONS(1742),
  },
  [500] = {
    [sym_line_comment] = STATE(500),
    [sym_block_comment] = STATE(500),
    [ts_builtin_sym_end] = ACTIONS(1746),
    [sym_identifier] = ACTIONS(1748),
    [anon_sym_SEMI] = ACTIONS(1746),
    [anon_sym_macro_rules_BANG] = ACTIONS(1746),
    [anon_sym_LPAREN] = ACTIONS(1746),
    [anon_sym_LBRACK] = ACTIONS(1746),
    [anon_sym_LBRACE] = ACTIONS(1746),
    [anon_sym_RBRACE] = ACTIONS(1746),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_u8] = ACTIONS(1748),
    [anon_sym_i8] = ACTIONS(1748),
    [anon_sym_u16] = ACTIONS(1748),
    [anon_sym_i16] = ACTIONS(1748),
    [anon_sym_u32] = ACTIONS(1748),
    [anon_sym_i32] = ACTIONS(1748),
    [anon_sym_u64] = ACTIONS(1748),
    [anon_sym_i64] = ACTIONS(1748),
    [anon_sym_u128] = ACTIONS(1748),
    [anon_sym_i128] = ACTIONS(1748),
    [anon_sym_isize] = ACTIONS(1748),
    [anon_sym_usize] = ACTIONS(1748),
    [anon_sym_f32] = ACTIONS(1748),
    [anon_sym_f64] = ACTIONS(1748),
    [anon_sym_bool] = ACTIONS(1748),
    [anon_sym_str] = ACTIONS(1748),
    [anon_sym_char] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_BANG] = ACTIONS(1746),
    [anon_sym_AMP] = ACTIONS(1746),
    [anon_sym_PIPE] = ACTIONS(1746),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_DOT_DOT] = ACTIONS(1746),
    [anon_sym_COLON_COLON] = ACTIONS(1746),
    [anon_sym_POUND] = ACTIONS(1746),
    [anon_sym_SQUOTE] = ACTIONS(1748),
    [anon_sym_async] = ACTIONS(1748),
    [anon_sym_break] = ACTIONS(1748),
    [anon_sym_const] = ACTIONS(1748),
    [anon_sym_continue] = ACTIONS(1748),
    [anon_sym_default] = ACTIONS(1748),
    [anon_sym_enum] = ACTIONS(1748),
    [anon_sym_fn] = ACTIONS(1748),
    [anon_sym_for] = ACTIONS(1748),
    [anon_sym_if] = ACTIONS(1748),
    [anon_sym_impl] = ACTIONS(1748),
    [anon_sym_let] = ACTIONS(1748),
    [anon_sym_loop] = ACTIONS(1748),
    [anon_sym_match] = ACTIONS(1748),
    [anon_sym_mod] = ACTIONS(1748),
    [anon_sym_pub] = ACTIONS(1748),
    [anon_sym_return] = ACTIONS(1748),
    [anon_sym_static] = ACTIONS(1748),
    [anon_sym_struct] = ACTIONS(1748),
    [anon_sym_trait] = ACTIONS(1748),
    [anon_sym_type] = ACTIONS(1748),
    [anon_sym_union] = ACTIONS(1748),
    [anon_sym_unsafe] = ACTIONS(1748),
    [anon_sym_use] = ACTIONS(1748),
    [anon_sym_while] = ACTIONS(1748),
    [anon_sym_extern] = ACTIONS(1748),
    [anon_sym_yield] = ACTIONS(1748),
    [anon_sym_move] = ACTIONS(1748),
    [anon_sym_try] = ACTIONS(1748),
    [sym_integer_literal] = ACTIONS(1746),
    [aux_sym_string_literal_token1] = ACTIONS(1746),
    [sym_char_literal] = ACTIONS(1746),
    [anon_sym_true] = ACTIONS(1748),
    [anon_sym_false] = ACTIONS(1748),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1748),
    [sym_super] = ACTIONS(1748),
    [sym_crate] = ACTIONS(1748),
    [sym_metavariable] = ACTIONS(1746),
    [sym__raw_string_literal_start] = ACTIONS(1746),
    [sym_float_literal] = ACTIONS(1746),
  },
  [501] = {
    [sym_line_comment] = STATE(501),
    [sym_block_comment] = STATE(501),
    [ts_builtin_sym_end] = ACTIONS(1750),
    [sym_identifier] = ACTIONS(1752),
    [anon_sym_SEMI] = ACTIONS(1750),
    [anon_sym_macro_rules_BANG] = ACTIONS(1750),
    [anon_sym_LPAREN] = ACTIONS(1750),
    [anon_sym_LBRACK] = ACTIONS(1750),
    [anon_sym_LBRACE] = ACTIONS(1750),
    [anon_sym_RBRACE] = ACTIONS(1750),
    [anon_sym_STAR] = ACTIONS(1750),
    [anon_sym_u8] = ACTIONS(1752),
    [anon_sym_i8] = ACTIONS(1752),
    [anon_sym_u16] = ACTIONS(1752),
    [anon_sym_i16] = ACTIONS(1752),
    [anon_sym_u32] = ACTIONS(1752),
    [anon_sym_i32] = ACTIONS(1752),
    [anon_sym_u64] = ACTIONS(1752),
    [anon_sym_i64] = ACTIONS(1752),
    [anon_sym_u128] = ACTIONS(1752),
    [anon_sym_i128] = ACTIONS(1752),
    [anon_sym_isize] = ACTIONS(1752),
    [anon_sym_usize] = ACTIONS(1752),
    [anon_sym_f32] = ACTIONS(1752),
    [anon_sym_f64] = ACTIONS(1752),
    [anon_sym_bool] = ACTIONS(1752),
    [anon_sym_str] = ACTIONS(1752),
    [anon_sym_char] = ACTIONS(1752),
    [anon_sym_DASH] = ACTIONS(1750),
    [anon_sym_BANG] = ACTIONS(1750),
    [anon_sym_AMP] = ACTIONS(1750),
    [anon_sym_PIPE] = ACTIONS(1750),
    [anon_sym_LT] = ACTIONS(1750),
    [anon_sym_DOT_DOT] = ACTIONS(1750),
    [anon_sym_COLON_COLON] = ACTIONS(1750),
    [anon_sym_POUND] = ACTIONS(1750),
    [anon_sym_SQUOTE] = ACTIONS(1752),
    [anon_sym_async] = ACTIONS(1752),
    [anon_sym_break] = ACTIONS(1752),
    [anon_sym_const] = ACTIONS(1752),
    [anon_sym_continue] = ACTIONS(1752),
    [anon_sym_default] = ACTIONS(1752),
    [anon_sym_enum] = ACTIONS(1752),
    [anon_sym_fn] = ACTIONS(1752),
    [anon_sym_for] = ACTIONS(1752),
    [anon_sym_if] = ACTIONS(1752),
    [anon_sym_impl] = ACTIONS(1752),
    [anon_sym_let] = ACTIONS(1752),
    [anon_sym_loop] = ACTIONS(1752),
    [anon_sym_match] = ACTIONS(1752),
    [anon_sym_mod] = ACTIONS(1752),
    [anon_sym_pub] = ACTIONS(1752),
    [anon_sym_return] = ACTIONS(1752),
    [anon_sym_static] = ACTIONS(1752),
    [anon_sym_struct] = ACTIONS(1752),
    [anon_sym_trait] = ACTIONS(1752),
    [anon_sym_type] = ACTIONS(1752),
    [anon_sym_union] = ACTIONS(1752),
    [anon_sym_unsafe] = ACTIONS(1752),
    [anon_sym_use] = ACTIONS(1752),
    [anon_sym_while] = ACTIONS(1752),
    [anon_sym_extern] = ACTIONS(1752),
    [anon_sym_yield] = ACTIONS(1752),
    [anon_sym_move] = ACTIONS(1752),
    [anon_sym_try] = ACTIONS(1752),
    [sym_integer_literal] = ACTIONS(1750),
    [aux_sym_string_literal_token1] = ACTIONS(1750),
    [sym_char_literal] = ACTIONS(1750),
    [anon_sym_true] = ACTIONS(1752),
    [anon_sym_false] = ACTIONS(1752),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1752),
    [sym_super] = ACTIONS(1752),
    [sym_crate] = ACTIONS(1752),
    [sym_metavariable] = ACTIONS(1750),
    [sym__raw_string_literal_start] = ACTIONS(1750),
    [sym_float_literal] = ACTIONS(1750),
  },
  [502] = {
    [sym_line_comment] = STATE(502),
    [sym_block_comment] = STATE(502),
    [ts_builtin_sym_end] = ACTIONS(1754),
    [sym_identifier] = ACTIONS(1756),
    [anon_sym_SEMI] = ACTIONS(1754),
    [anon_sym_macro_rules_BANG] = ACTIONS(1754),
    [anon_sym_LPAREN] = ACTIONS(1754),
    [anon_sym_LBRACK] = ACTIONS(1754),
    [anon_sym_LBRACE] = ACTIONS(1754),
    [anon_sym_RBRACE] = ACTIONS(1754),
    [anon_sym_STAR] = ACTIONS(1754),
    [anon_sym_u8] = ACTIONS(1756),
    [anon_sym_i8] = ACTIONS(1756),
    [anon_sym_u16] = ACTIONS(1756),
    [anon_sym_i16] = ACTIONS(1756),
    [anon_sym_u32] = ACTIONS(1756),
    [anon_sym_i32] = ACTIONS(1756),
    [anon_sym_u64] = ACTIONS(1756),
    [anon_sym_i64] = ACTIONS(1756),
    [anon_sym_u128] = ACTIONS(1756),
    [anon_sym_i128] = ACTIONS(1756),
    [anon_sym_isize] = ACTIONS(1756),
    [anon_sym_usize] = ACTIONS(1756),
    [anon_sym_f32] = ACTIONS(1756),
    [anon_sym_f64] = ACTIONS(1756),
    [anon_sym_bool] = ACTIONS(1756),
    [anon_sym_str] = ACTIONS(1756),
    [anon_sym_char] = ACTIONS(1756),
    [anon_sym_DASH] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(1754),
    [anon_sym_AMP] = ACTIONS(1754),
    [anon_sym_PIPE] = ACTIONS(1754),
    [anon_sym_LT] = ACTIONS(1754),
    [anon_sym_DOT_DOT] = ACTIONS(1754),
    [anon_sym_COLON_COLON] = ACTIONS(1754),
    [anon_sym_POUND] = ACTIONS(1754),
    [anon_sym_SQUOTE] = ACTIONS(1756),
    [anon_sym_async] = ACTIONS(1756),
    [anon_sym_break] = ACTIONS(1756),
    [anon_sym_const] = ACTIONS(1756),
    [anon_sym_continue] = ACTIONS(1756),
    [anon_sym_default] = ACTIONS(1756),
    [anon_sym_enum] = ACTIONS(1756),
    [anon_sym_fn] = ACTIONS(1756),
    [anon_sym_for] = ACTIONS(1756),
    [anon_sym_if] = ACTIONS(1756),
    [anon_sym_impl] = ACTIONS(1756),
    [anon_sym_let] = ACTIONS(1756),
    [anon_sym_loop] = ACTIONS(1756),
    [anon_sym_match] = ACTIONS(1756),
    [anon_sym_mod] = ACTIONS(1756),
    [anon_sym_pub] = ACTIONS(1756),
    [anon_sym_return] = ACTIONS(1756),
    [anon_sym_static] = ACTIONS(1756),
    [anon_sym_struct] = ACTIONS(1756),
    [anon_sym_trait] = ACTIONS(1756),
    [anon_sym_type] = ACTIONS(1756),
    [anon_sym_union] = ACTIONS(1756),
    [anon_sym_unsafe] = ACTIONS(1756),
    [anon_sym_use] = ACTIONS(1756),
    [anon_sym_while] = ACTIONS(1756),
    [anon_sym_extern] = ACTIONS(1756),
    [anon_sym_yield] = ACTIONS(1756),
    [anon_sym_move] = ACTIONS(1756),
    [anon_sym_try] = ACTIONS(1756),
    [sym_integer_literal] = ACTIONS(1754),
    [aux_sym_string_literal_token1] = ACTIONS(1754),
    [sym_char_literal] = ACTIONS(1754),
    [anon_sym_true] = ACTIONS(1756),
    [anon_sym_false] = ACTIONS(1756),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1756),
    [sym_super] = ACTIONS(1756),
    [sym_crate] = ACTIONS(1756),
    [sym_metavariable] = ACTIONS(1754),
    [sym__raw_string_literal_start] = ACTIONS(1754),
    [sym_float_literal] = ACTIONS(1754),
  },
  [503] = {
    [sym_line_comment] = STATE(503),
    [sym_block_comment] = STATE(503),
    [ts_builtin_sym_end] = ACTIONS(1758),
    [sym_identifier] = ACTIONS(1760),
    [anon_sym_SEMI] = ACTIONS(1758),
    [anon_sym_macro_rules_BANG] = ACTIONS(1758),
    [anon_sym_LPAREN] = ACTIONS(1758),
    [anon_sym_LBRACK] = ACTIONS(1758),
    [anon_sym_LBRACE] = ACTIONS(1758),
    [anon_sym_RBRACE] = ACTIONS(1758),
    [anon_sym_STAR] = ACTIONS(1758),
    [anon_sym_u8] = ACTIONS(1760),
    [anon_sym_i8] = ACTIONS(1760),
    [anon_sym_u16] = ACTIONS(1760),
    [anon_sym_i16] = ACTIONS(1760),
    [anon_sym_u32] = ACTIONS(1760),
    [anon_sym_i32] = ACTIONS(1760),
    [anon_sym_u64] = ACTIONS(1760),
    [anon_sym_i64] = ACTIONS(1760),
    [anon_sym_u128] = ACTIONS(1760),
    [anon_sym_i128] = ACTIONS(1760),
    [anon_sym_isize] = ACTIONS(1760),
    [anon_sym_usize] = ACTIONS(1760),
    [anon_sym_f32] = ACTIONS(1760),
    [anon_sym_f64] = ACTIONS(1760),
    [anon_sym_bool] = ACTIONS(1760),
    [anon_sym_str] = ACTIONS(1760),
    [anon_sym_char] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1758),
    [anon_sym_BANG] = ACTIONS(1758),
    [anon_sym_AMP] = ACTIONS(1758),
    [anon_sym_PIPE] = ACTIONS(1758),
    [anon_sym_LT] = ACTIONS(1758),
    [anon_sym_DOT_DOT] = ACTIONS(1758),
    [anon_sym_COLON_COLON] = ACTIONS(1758),
    [anon_sym_POUND] = ACTIONS(1758),
    [anon_sym_SQUOTE] = ACTIONS(1760),
    [anon_sym_async] = ACTIONS(1760),
    [anon_sym_break] = ACTIONS(1760),
    [anon_sym_const] = ACTIONS(1760),
    [anon_sym_continue] = ACTIONS(1760),
    [anon_sym_default] = ACTIONS(1760),
    [anon_sym_enum] = ACTIONS(1760),
    [anon_sym_fn] = ACTIONS(1760),
    [anon_sym_for] = ACTIONS(1760),
    [anon_sym_if] = ACTIONS(1760),
    [anon_sym_impl] = ACTIONS(1760),
    [anon_sym_let] = ACTIONS(1760),
    [anon_sym_loop] = ACTIONS(1760),
    [anon_sym_match] = ACTIONS(1760),
    [anon_sym_mod] = ACTIONS(1760),
    [anon_sym_pub] = ACTIONS(1760),
    [anon_sym_return] = ACTIONS(1760),
    [anon_sym_static] = ACTIONS(1760),
    [anon_sym_struct] = ACTIONS(1760),
    [anon_sym_trait] = ACTIONS(1760),
    [anon_sym_type] = ACTIONS(1760),
    [anon_sym_union] = ACTIONS(1760),
    [anon_sym_unsafe] = ACTIONS(1760),
    [anon_sym_use] = ACTIONS(1760),
    [anon_sym_while] = ACTIONS(1760),
    [anon_sym_extern] = ACTIONS(1760),
    [anon_sym_yield] = ACTIONS(1760),
    [anon_sym_move] = ACTIONS(1760),
    [anon_sym_try] = ACTIONS(1760),
    [sym_integer_literal] = ACTIONS(1758),
    [aux_sym_string_literal_token1] = ACTIONS(1758),
    [sym_char_literal] = ACTIONS(1758),
    [anon_sym_true] = ACTIONS(1760),
    [anon_sym_false] = ACTIONS(1760),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1760),
    [sym_super] = ACTIONS(1760),
    [sym_crate] = ACTIONS(1760),
    [sym_metavariable] = ACTIONS(1758),
    [sym__raw_string_literal_start] = ACTIONS(1758),
    [sym_float_literal] = ACTIONS(1758),
  },
  [504] = {
    [sym_line_comment] = STATE(504),
    [sym_block_comment] = STATE(504),
    [ts_builtin_sym_end] = ACTIONS(1762),
    [sym_identifier] = ACTIONS(1764),
    [anon_sym_SEMI] = ACTIONS(1762),
    [anon_sym_macro_rules_BANG] = ACTIONS(1762),
    [anon_sym_LPAREN] = ACTIONS(1762),
    [anon_sym_LBRACK] = ACTIONS(1762),
    [anon_sym_LBRACE] = ACTIONS(1762),
    [anon_sym_RBRACE] = ACTIONS(1762),
    [anon_sym_STAR] = ACTIONS(1762),
    [anon_sym_u8] = ACTIONS(1764),
    [anon_sym_i8] = ACTIONS(1764),
    [anon_sym_u16] = ACTIONS(1764),
    [anon_sym_i16] = ACTIONS(1764),
    [anon_sym_u32] = ACTIONS(1764),
    [anon_sym_i32] = ACTIONS(1764),
    [anon_sym_u64] = ACTIONS(1764),
    [anon_sym_i64] = ACTIONS(1764),
    [anon_sym_u128] = ACTIONS(1764),
    [anon_sym_i128] = ACTIONS(1764),
    [anon_sym_isize] = ACTIONS(1764),
    [anon_sym_usize] = ACTIONS(1764),
    [anon_sym_f32] = ACTIONS(1764),
    [anon_sym_f64] = ACTIONS(1764),
    [anon_sym_bool] = ACTIONS(1764),
    [anon_sym_str] = ACTIONS(1764),
    [anon_sym_char] = ACTIONS(1764),
    [anon_sym_DASH] = ACTIONS(1762),
    [anon_sym_BANG] = ACTIONS(1762),
    [anon_sym_AMP] = ACTIONS(1762),
    [anon_sym_PIPE] = ACTIONS(1762),
    [anon_sym_LT] = ACTIONS(1762),
    [anon_sym_DOT_DOT] = ACTIONS(1762),
    [anon_sym_COLON_COLON] = ACTIONS(1762),
    [anon_sym_POUND] = ACTIONS(1762),
    [anon_sym_SQUOTE] = ACTIONS(1764),
    [anon_sym_async] = ACTIONS(1764),
    [anon_sym_break] = ACTIONS(1764),
    [anon_sym_const] = ACTIONS(1764),
    [anon_sym_continue] = ACTIONS(1764),
    [anon_sym_default] = ACTIONS(1764),
    [anon_sym_enum] = ACTIONS(1764),
    [anon_sym_fn] = ACTIONS(1764),
    [anon_sym_for] = ACTIONS(1764),
    [anon_sym_if] = ACTIONS(1764),
    [anon_sym_impl] = ACTIONS(1764),
    [anon_sym_let] = ACTIONS(1764),
    [anon_sym_loop] = ACTIONS(1764),
    [anon_sym_match] = ACTIONS(1764),
    [anon_sym_mod] = ACTIONS(1764),
    [anon_sym_pub] = ACTIONS(1764),
    [anon_sym_return] = ACTIONS(1764),
    [anon_sym_static] = ACTIONS(1764),
    [anon_sym_struct] = ACTIONS(1764),
    [anon_sym_trait] = ACTIONS(1764),
    [anon_sym_type] = ACTIONS(1764),
    [anon_sym_union] = ACTIONS(1764),
    [anon_sym_unsafe] = ACTIONS(1764),
    [anon_sym_use] = ACTIONS(1764),
    [anon_sym_while] = ACTIONS(1764),
    [anon_sym_extern] = ACTIONS(1764),
    [anon_sym_yield] = ACTIONS(1764),
    [anon_sym_move] = ACTIONS(1764),
    [anon_sym_try] = ACTIONS(1764),
    [sym_integer_literal] = ACTIONS(1762),
    [aux_sym_string_literal_token1] = ACTIONS(1762),
    [sym_char_literal] = ACTIONS(1762),
    [anon_sym_true] = ACTIONS(1764),
    [anon_sym_false] = ACTIONS(1764),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1764),
    [sym_super] = ACTIONS(1764),
    [sym_crate] = ACTIONS(1764),
    [sym_metavariable] = ACTIONS(1762),
    [sym__raw_string_literal_start] = ACTIONS(1762),
    [sym_float_literal] = ACTIONS(1762),
  },
  [505] = {
    [sym_line_comment] = STATE(505),
    [sym_block_comment] = STATE(505),
    [ts_builtin_sym_end] = ACTIONS(1766),
    [sym_identifier] = ACTIONS(1768),
    [anon_sym_SEMI] = ACTIONS(1766),
    [anon_sym_macro_rules_BANG] = ACTIONS(1766),
    [anon_sym_LPAREN] = ACTIONS(1766),
    [anon_sym_LBRACK] = ACTIONS(1766),
    [anon_sym_LBRACE] = ACTIONS(1766),
    [anon_sym_RBRACE] = ACTIONS(1766),
    [anon_sym_STAR] = ACTIONS(1766),
    [anon_sym_u8] = ACTIONS(1768),
    [anon_sym_i8] = ACTIONS(1768),
    [anon_sym_u16] = ACTIONS(1768),
    [anon_sym_i16] = ACTIONS(1768),
    [anon_sym_u32] = ACTIONS(1768),
    [anon_sym_i32] = ACTIONS(1768),
    [anon_sym_u64] = ACTIONS(1768),
    [anon_sym_i64] = ACTIONS(1768),
    [anon_sym_u128] = ACTIONS(1768),
    [anon_sym_i128] = ACTIONS(1768),
    [anon_sym_isize] = ACTIONS(1768),
    [anon_sym_usize] = ACTIONS(1768),
    [anon_sym_f32] = ACTIONS(1768),
    [anon_sym_f64] = ACTIONS(1768),
    [anon_sym_bool] = ACTIONS(1768),
    [anon_sym_str] = ACTIONS(1768),
    [anon_sym_char] = ACTIONS(1768),
    [anon_sym_DASH] = ACTIONS(1766),
    [anon_sym_BANG] = ACTIONS(1766),
    [anon_sym_AMP] = ACTIONS(1766),
    [anon_sym_PIPE] = ACTIONS(1766),
    [anon_sym_LT] = ACTIONS(1766),
    [anon_sym_DOT_DOT] = ACTIONS(1766),
    [anon_sym_COLON_COLON] = ACTIONS(1766),
    [anon_sym_POUND] = ACTIONS(1766),
    [anon_sym_SQUOTE] = ACTIONS(1768),
    [anon_sym_async] = ACTIONS(1768),
    [anon_sym_break] = ACTIONS(1768),
    [anon_sym_const] = ACTIONS(1768),
    [anon_sym_continue] = ACTIONS(1768),
    [anon_sym_default] = ACTIONS(1768),
    [anon_sym_enum] = ACTIONS(1768),
    [anon_sym_fn] = ACTIONS(1768),
    [anon_sym_for] = ACTIONS(1768),
    [anon_sym_if] = ACTIONS(1768),
    [anon_sym_impl] = ACTIONS(1768),
    [anon_sym_let] = ACTIONS(1768),
    [anon_sym_loop] = ACTIONS(1768),
    [anon_sym_match] = ACTIONS(1768),
    [anon_sym_mod] = ACTIONS(1768),
    [anon_sym_pub] = ACTIONS(1768),
    [anon_sym_return] = ACTIONS(1768),
    [anon_sym_static] = ACTIONS(1768),
    [anon_sym_struct] = ACTIONS(1768),
    [anon_sym_trait] = ACTIONS(1768),
    [anon_sym_type] = ACTIONS(1768),
    [anon_sym_union] = ACTIONS(1768),
    [anon_sym_unsafe] = ACTIONS(1768),
    [anon_sym_use] = ACTIONS(1768),
    [anon_sym_while] = ACTIONS(1768),
    [anon_sym_extern] = ACTIONS(1768),
    [anon_sym_yield] = ACTIONS(1768),
    [anon_sym_move] = ACTIONS(1768),
    [anon_sym_try] = ACTIONS(1768),
    [sym_integer_literal] = ACTIONS(1766),
    [aux_sym_string_literal_token1] = ACTIONS(1766),
    [sym_char_literal] = ACTIONS(1766),
    [anon_sym_true] = ACTIONS(1768),
    [anon_sym_false] = ACTIONS(1768),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1768),
    [sym_super] = ACTIONS(1768),
    [sym_crate] = ACTIONS(1768),
    [sym_metavariable] = ACTIONS(1766),
    [sym__raw_string_literal_start] = ACTIONS(1766),
    [sym_float_literal] = ACTIONS(1766),
  },
  [506] = {
    [sym_line_comment] = STATE(506),
    [sym_block_comment] = STATE(506),
    [ts_builtin_sym_end] = ACTIONS(1770),
    [sym_identifier] = ACTIONS(1772),
    [anon_sym_SEMI] = ACTIONS(1770),
    [anon_sym_macro_rules_BANG] = ACTIONS(1770),
    [anon_sym_LPAREN] = ACTIONS(1770),
    [anon_sym_LBRACK] = ACTIONS(1770),
    [anon_sym_LBRACE] = ACTIONS(1770),
    [anon_sym_RBRACE] = ACTIONS(1770),
    [anon_sym_STAR] = ACTIONS(1770),
    [anon_sym_u8] = ACTIONS(1772),
    [anon_sym_i8] = ACTIONS(1772),
    [anon_sym_u16] = ACTIONS(1772),
    [anon_sym_i16] = ACTIONS(1772),
    [anon_sym_u32] = ACTIONS(1772),
    [anon_sym_i32] = ACTIONS(1772),
    [anon_sym_u64] = ACTIONS(1772),
    [anon_sym_i64] = ACTIONS(1772),
    [anon_sym_u128] = ACTIONS(1772),
    [anon_sym_i128] = ACTIONS(1772),
    [anon_sym_isize] = ACTIONS(1772),
    [anon_sym_usize] = ACTIONS(1772),
    [anon_sym_f32] = ACTIONS(1772),
    [anon_sym_f64] = ACTIONS(1772),
    [anon_sym_bool] = ACTIONS(1772),
    [anon_sym_str] = ACTIONS(1772),
    [anon_sym_char] = ACTIONS(1772),
    [anon_sym_DASH] = ACTIONS(1770),
    [anon_sym_BANG] = ACTIONS(1770),
    [anon_sym_AMP] = ACTIONS(1770),
    [anon_sym_PIPE] = ACTIONS(1770),
    [anon_sym_LT] = ACTIONS(1770),
    [anon_sym_DOT_DOT] = ACTIONS(1770),
    [anon_sym_COLON_COLON] = ACTIONS(1770),
    [anon_sym_POUND] = ACTIONS(1770),
    [anon_sym_SQUOTE] = ACTIONS(1772),
    [anon_sym_async] = ACTIONS(1772),
    [anon_sym_break] = ACTIONS(1772),
    [anon_sym_const] = ACTIONS(1772),
    [anon_sym_continue] = ACTIONS(1772),
    [anon_sym_default] = ACTIONS(1772),
    [anon_sym_enum] = ACTIONS(1772),
    [anon_sym_fn] = ACTIONS(1772),
    [anon_sym_for] = ACTIONS(1772),
    [anon_sym_if] = ACTIONS(1772),
    [anon_sym_impl] = ACTIONS(1772),
    [anon_sym_let] = ACTIONS(1772),
    [anon_sym_loop] = ACTIONS(1772),
    [anon_sym_match] = ACTIONS(1772),
    [anon_sym_mod] = ACTIONS(1772),
    [anon_sym_pub] = ACTIONS(1772),
    [anon_sym_return] = ACTIONS(1772),
    [anon_sym_static] = ACTIONS(1772),
    [anon_sym_struct] = ACTIONS(1772),
    [anon_sym_trait] = ACTIONS(1772),
    [anon_sym_type] = ACTIONS(1772),
    [anon_sym_union] = ACTIONS(1772),
    [anon_sym_unsafe] = ACTIONS(1772),
    [anon_sym_use] = ACTIONS(1772),
    [anon_sym_while] = ACTIONS(1772),
    [anon_sym_extern] = ACTIONS(1772),
    [anon_sym_yield] = ACTIONS(1772),
    [anon_sym_move] = ACTIONS(1772),
    [anon_sym_try] = ACTIONS(1772),
    [sym_integer_literal] = ACTIONS(1770),
    [aux_sym_string_literal_token1] = ACTIONS(1770),
    [sym_char_literal] = ACTIONS(1770),
    [anon_sym_true] = ACTIONS(1772),
    [anon_sym_false] = ACTIONS(1772),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1772),
    [sym_super] = ACTIONS(1772),
    [sym_crate] = ACTIONS(1772),
    [sym_metavariable] = ACTIONS(1770),
    [sym__raw_string_literal_start] = ACTIONS(1770),
    [sym_float_literal] = ACTIONS(1770),
  },
  [507] = {
    [sym_line_comment] = STATE(507),
    [sym_block_comment] = STATE(507),
    [ts_builtin_sym_end] = ACTIONS(1774),
    [sym_identifier] = ACTIONS(1776),
    [anon_sym_SEMI] = ACTIONS(1774),
    [anon_sym_macro_rules_BANG] = ACTIONS(1774),
    [anon_sym_LPAREN] = ACTIONS(1774),
    [anon_sym_LBRACK] = ACTIONS(1774),
    [anon_sym_LBRACE] = ACTIONS(1774),
    [anon_sym_RBRACE] = ACTIONS(1774),
    [anon_sym_STAR] = ACTIONS(1774),
    [anon_sym_u8] = ACTIONS(1776),
    [anon_sym_i8] = ACTIONS(1776),
    [anon_sym_u16] = ACTIONS(1776),
    [anon_sym_i16] = ACTIONS(1776),
    [anon_sym_u32] = ACTIONS(1776),
    [anon_sym_i32] = ACTIONS(1776),
    [anon_sym_u64] = ACTIONS(1776),
    [anon_sym_i64] = ACTIONS(1776),
    [anon_sym_u128] = ACTIONS(1776),
    [anon_sym_i128] = ACTIONS(1776),
    [anon_sym_isize] = ACTIONS(1776),
    [anon_sym_usize] = ACTIONS(1776),
    [anon_sym_f32] = ACTIONS(1776),
    [anon_sym_f64] = ACTIONS(1776),
    [anon_sym_bool] = ACTIONS(1776),
    [anon_sym_str] = ACTIONS(1776),
    [anon_sym_char] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_BANG] = ACTIONS(1774),
    [anon_sym_AMP] = ACTIONS(1774),
    [anon_sym_PIPE] = ACTIONS(1774),
    [anon_sym_LT] = ACTIONS(1774),
    [anon_sym_DOT_DOT] = ACTIONS(1774),
    [anon_sym_COLON_COLON] = ACTIONS(1774),
    [anon_sym_POUND] = ACTIONS(1774),
    [anon_sym_SQUOTE] = ACTIONS(1776),
    [anon_sym_async] = ACTIONS(1776),
    [anon_sym_break] = ACTIONS(1776),
    [anon_sym_const] = ACTIONS(1776),
    [anon_sym_continue] = ACTIONS(1776),
    [anon_sym_default] = ACTIONS(1776),
    [anon_sym_enum] = ACTIONS(1776),
    [anon_sym_fn] = ACTIONS(1776),
    [anon_sym_for] = ACTIONS(1776),
    [anon_sym_if] = ACTIONS(1776),
    [anon_sym_impl] = ACTIONS(1776),
    [anon_sym_let] = ACTIONS(1776),
    [anon_sym_loop] = ACTIONS(1776),
    [anon_sym_match] = ACTIONS(1776),
    [anon_sym_mod] = ACTIONS(1776),
    [anon_sym_pub] = ACTIONS(1776),
    [anon_sym_return] = ACTIONS(1776),
    [anon_sym_static] = ACTIONS(1776),
    [anon_sym_struct] = ACTIONS(1776),
    [anon_sym_trait] = ACTIONS(1776),
    [anon_sym_type] = ACTIONS(1776),
    [anon_sym_union] = ACTIONS(1776),
    [anon_sym_unsafe] = ACTIONS(1776),
    [anon_sym_use] = ACTIONS(1776),
    [anon_sym_while] = ACTIONS(1776),
    [anon_sym_extern] = ACTIONS(1776),
    [anon_sym_yield] = ACTIONS(1776),
    [anon_sym_move] = ACTIONS(1776),
    [anon_sym_try] = ACTIONS(1776),
    [sym_integer_literal] = ACTIONS(1774),
    [aux_sym_string_literal_token1] = ACTIONS(1774),
    [sym_char_literal] = ACTIONS(1774),
    [anon_sym_true] = ACTIONS(1776),
    [anon_sym_false] = ACTIONS(1776),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1776),
    [sym_super] = ACTIONS(1776),
    [sym_crate] = ACTIONS(1776),
    [sym_metavariable] = ACTIONS(1774),
    [sym__raw_string_literal_start] = ACTIONS(1774),
    [sym_float_literal] = ACTIONS(1774),
  },
  [508] = {
    [sym_line_comment] = STATE(508),
    [sym_block_comment] = STATE(508),
    [ts_builtin_sym_end] = ACTIONS(1778),
    [sym_identifier] = ACTIONS(1780),
    [anon_sym_SEMI] = ACTIONS(1778),
    [anon_sym_macro_rules_BANG] = ACTIONS(1778),
    [anon_sym_LPAREN] = ACTIONS(1778),
    [anon_sym_LBRACK] = ACTIONS(1778),
    [anon_sym_LBRACE] = ACTIONS(1778),
    [anon_sym_RBRACE] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1778),
    [anon_sym_u8] = ACTIONS(1780),
    [anon_sym_i8] = ACTIONS(1780),
    [anon_sym_u16] = ACTIONS(1780),
    [anon_sym_i16] = ACTIONS(1780),
    [anon_sym_u32] = ACTIONS(1780),
    [anon_sym_i32] = ACTIONS(1780),
    [anon_sym_u64] = ACTIONS(1780),
    [anon_sym_i64] = ACTIONS(1780),
    [anon_sym_u128] = ACTIONS(1780),
    [anon_sym_i128] = ACTIONS(1780),
    [anon_sym_isize] = ACTIONS(1780),
    [anon_sym_usize] = ACTIONS(1780),
    [anon_sym_f32] = ACTIONS(1780),
    [anon_sym_f64] = ACTIONS(1780),
    [anon_sym_bool] = ACTIONS(1780),
    [anon_sym_str] = ACTIONS(1780),
    [anon_sym_char] = ACTIONS(1780),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_BANG] = ACTIONS(1778),
    [anon_sym_AMP] = ACTIONS(1778),
    [anon_sym_PIPE] = ACTIONS(1778),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_DOT_DOT] = ACTIONS(1778),
    [anon_sym_COLON_COLON] = ACTIONS(1778),
    [anon_sym_POUND] = ACTIONS(1778),
    [anon_sym_SQUOTE] = ACTIONS(1780),
    [anon_sym_async] = ACTIONS(1780),
    [anon_sym_break] = ACTIONS(1780),
    [anon_sym_const] = ACTIONS(1780),
    [anon_sym_continue] = ACTIONS(1780),
    [anon_sym_default] = ACTIONS(1780),
    [anon_sym_enum] = ACTIONS(1780),
    [anon_sym_fn] = ACTIONS(1780),
    [anon_sym_for] = ACTIONS(1780),
    [anon_sym_if] = ACTIONS(1780),
    [anon_sym_impl] = ACTIONS(1780),
    [anon_sym_let] = ACTIONS(1780),
    [anon_sym_loop] = ACTIONS(1780),
    [anon_sym_match] = ACTIONS(1780),
    [anon_sym_mod] = ACTIONS(1780),
    [anon_sym_pub] = ACTIONS(1780),
    [anon_sym_return] = ACTIONS(1780),
    [anon_sym_static] = ACTIONS(1780),
    [anon_sym_struct] = ACTIONS(1780),
    [anon_sym_trait] = ACTIONS(1780),
    [anon_sym_type] = ACTIONS(1780),
    [anon_sym_union] = ACTIONS(1780),
    [anon_sym_unsafe] = ACTIONS(1780),
    [anon_sym_use] = ACTIONS(1780),
    [anon_sym_while] = ACTIONS(1780),
    [anon_sym_extern] = ACTIONS(1780),
    [anon_sym_yield] = ACTIONS(1780),
    [anon_sym_move] = ACTIONS(1780),
    [anon_sym_try] = ACTIONS(1780),
    [sym_integer_literal] = ACTIONS(1778),
    [aux_sym_string_literal_token1] = ACTIONS(1778),
    [sym_char_literal] = ACTIONS(1778),
    [anon_sym_true] = ACTIONS(1780),
    [anon_sym_false] = ACTIONS(1780),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1780),
    [sym_super] = ACTIONS(1780),
    [sym_crate] = ACTIONS(1780),
    [sym_metavariable] = ACTIONS(1778),
    [sym__raw_string_literal_start] = ACTIONS(1778),
    [sym_float_literal] = ACTIONS(1778),
  },
  [509] = {
    [sym_line_comment] = STATE(509),
    [sym_block_comment] = STATE(509),
    [ts_builtin_sym_end] = ACTIONS(1782),
    [sym_identifier] = ACTIONS(1784),
    [anon_sym_SEMI] = ACTIONS(1782),
    [anon_sym_macro_rules_BANG] = ACTIONS(1782),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_LBRACK] = ACTIONS(1782),
    [anon_sym_LBRACE] = ACTIONS(1782),
    [anon_sym_RBRACE] = ACTIONS(1782),
    [anon_sym_STAR] = ACTIONS(1782),
    [anon_sym_u8] = ACTIONS(1784),
    [anon_sym_i8] = ACTIONS(1784),
    [anon_sym_u16] = ACTIONS(1784),
    [anon_sym_i16] = ACTIONS(1784),
    [anon_sym_u32] = ACTIONS(1784),
    [anon_sym_i32] = ACTIONS(1784),
    [anon_sym_u64] = ACTIONS(1784),
    [anon_sym_i64] = ACTIONS(1784),
    [anon_sym_u128] = ACTIONS(1784),
    [anon_sym_i128] = ACTIONS(1784),
    [anon_sym_isize] = ACTIONS(1784),
    [anon_sym_usize] = ACTIONS(1784),
    [anon_sym_f32] = ACTIONS(1784),
    [anon_sym_f64] = ACTIONS(1784),
    [anon_sym_bool] = ACTIONS(1784),
    [anon_sym_str] = ACTIONS(1784),
    [anon_sym_char] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1782),
    [anon_sym_BANG] = ACTIONS(1782),
    [anon_sym_AMP] = ACTIONS(1782),
    [anon_sym_PIPE] = ACTIONS(1782),
    [anon_sym_LT] = ACTIONS(1782),
    [anon_sym_DOT_DOT] = ACTIONS(1782),
    [anon_sym_COLON_COLON] = ACTIONS(1782),
    [anon_sym_POUND] = ACTIONS(1782),
    [anon_sym_SQUOTE] = ACTIONS(1784),
    [anon_sym_async] = ACTIONS(1784),
    [anon_sym_break] = ACTIONS(1784),
    [anon_sym_const] = ACTIONS(1784),
    [anon_sym_continue] = ACTIONS(1784),
    [anon_sym_default] = ACTIONS(1784),
    [anon_sym_enum] = ACTIONS(1784),
    [anon_sym_fn] = ACTIONS(1784),
    [anon_sym_for] = ACTIONS(1784),
    [anon_sym_if] = ACTIONS(1784),
    [anon_sym_impl] = ACTIONS(1784),
    [anon_sym_let] = ACTIONS(1784),
    [anon_sym_loop] = ACTIONS(1784),
    [anon_sym_match] = ACTIONS(1784),
    [anon_sym_mod] = ACTIONS(1784),
    [anon_sym_pub] = ACTIONS(1784),
    [anon_sym_return] = ACTIONS(1784),
    [anon_sym_static] = ACTIONS(1784),
    [anon_sym_struct] = ACTIONS(1784),
    [anon_sym_trait] = ACTIONS(1784),
    [anon_sym_type] = ACTIONS(1784),
    [anon_sym_union] = ACTIONS(1784),
    [anon_sym_unsafe] = ACTIONS(1784),
    [anon_sym_use] = ACTIONS(1784),
    [anon_sym_while] = ACTIONS(1784),
    [anon_sym_extern] = ACTIONS(1784),
    [anon_sym_yield] = ACTIONS(1784),
    [anon_sym_move] = ACTIONS(1784),
    [anon_sym_try] = ACTIONS(1784),
    [sym_integer_literal] = ACTIONS(1782),
    [aux_sym_string_literal_token1] = ACTIONS(1782),
    [sym_char_literal] = ACTIONS(1782),
    [anon_sym_true] = ACTIONS(1784),
    [anon_sym_false] = ACTIONS(1784),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1784),
    [sym_super] = ACTIONS(1784),
    [sym_crate] = ACTIONS(1784),
    [sym_metavariable] = ACTIONS(1782),
    [sym__raw_string_literal_start] = ACTIONS(1782),
    [sym_float_literal] = ACTIONS(1782),
  },
  [510] = {
    [sym_line_comment] = STATE(510),
    [sym_block_comment] = STATE(510),
    [ts_builtin_sym_end] = ACTIONS(1786),
    [sym_identifier] = ACTIONS(1788),
    [anon_sym_SEMI] = ACTIONS(1786),
    [anon_sym_macro_rules_BANG] = ACTIONS(1786),
    [anon_sym_LPAREN] = ACTIONS(1786),
    [anon_sym_LBRACK] = ACTIONS(1786),
    [anon_sym_LBRACE] = ACTIONS(1786),
    [anon_sym_RBRACE] = ACTIONS(1786),
    [anon_sym_STAR] = ACTIONS(1786),
    [anon_sym_u8] = ACTIONS(1788),
    [anon_sym_i8] = ACTIONS(1788),
    [anon_sym_u16] = ACTIONS(1788),
    [anon_sym_i16] = ACTIONS(1788),
    [anon_sym_u32] = ACTIONS(1788),
    [anon_sym_i32] = ACTIONS(1788),
    [anon_sym_u64] = ACTIONS(1788),
    [anon_sym_i64] = ACTIONS(1788),
    [anon_sym_u128] = ACTIONS(1788),
    [anon_sym_i128] = ACTIONS(1788),
    [anon_sym_isize] = ACTIONS(1788),
    [anon_sym_usize] = ACTIONS(1788),
    [anon_sym_f32] = ACTIONS(1788),
    [anon_sym_f64] = ACTIONS(1788),
    [anon_sym_bool] = ACTIONS(1788),
    [anon_sym_str] = ACTIONS(1788),
    [anon_sym_char] = ACTIONS(1788),
    [anon_sym_DASH] = ACTIONS(1786),
    [anon_sym_BANG] = ACTIONS(1786),
    [anon_sym_AMP] = ACTIONS(1786),
    [anon_sym_PIPE] = ACTIONS(1786),
    [anon_sym_LT] = ACTIONS(1786),
    [anon_sym_DOT_DOT] = ACTIONS(1786),
    [anon_sym_COLON_COLON] = ACTIONS(1786),
    [anon_sym_POUND] = ACTIONS(1786),
    [anon_sym_SQUOTE] = ACTIONS(1788),
    [anon_sym_async] = ACTIONS(1788),
    [anon_sym_break] = ACTIONS(1788),
    [anon_sym_const] = ACTIONS(1788),
    [anon_sym_continue] = ACTIONS(1788),
    [anon_sym_default] = ACTIONS(1788),
    [anon_sym_enum] = ACTIONS(1788),
    [anon_sym_fn] = ACTIONS(1788),
    [anon_sym_for] = ACTIONS(1788),
    [anon_sym_if] = ACTIONS(1788),
    [anon_sym_impl] = ACTIONS(1788),
    [anon_sym_let] = ACTIONS(1788),
    [anon_sym_loop] = ACTIONS(1788),
    [anon_sym_match] = ACTIONS(1788),
    [anon_sym_mod] = ACTIONS(1788),
    [anon_sym_pub] = ACTIONS(1788),
    [anon_sym_return] = ACTIONS(1788),
    [anon_sym_static] = ACTIONS(1788),
    [anon_sym_struct] = ACTIONS(1788),
    [anon_sym_trait] = ACTIONS(1788),
    [anon_sym_type] = ACTIONS(1788),
    [anon_sym_union] = ACTIONS(1788),
    [anon_sym_unsafe] = ACTIONS(1788),
    [anon_sym_use] = ACTIONS(1788),
    [anon_sym_while] = ACTIONS(1788),
    [anon_sym_extern] = ACTIONS(1788),
    [anon_sym_yield] = ACTIONS(1788),
    [anon_sym_move] = ACTIONS(1788),
    [anon_sym_try] = ACTIONS(1788),
    [sym_integer_literal] = ACTIONS(1786),
    [aux_sym_string_literal_token1] = ACTIONS(1786),
    [sym_char_literal] = ACTIONS(1786),
    [anon_sym_true] = ACTIONS(1788),
    [anon_sym_false] = ACTIONS(1788),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1788),
    [sym_super] = ACTIONS(1788),
    [sym_crate] = ACTIONS(1788),
    [sym_metavariable] = ACTIONS(1786),
    [sym__raw_string_literal_start] = ACTIONS(1786),
    [sym_float_literal] = ACTIONS(1786),
  },
  [511] = {
    [sym_line_comment] = STATE(511),
    [sym_block_comment] = STATE(511),
    [ts_builtin_sym_end] = ACTIONS(1790),
    [sym_identifier] = ACTIONS(1792),
    [anon_sym_SEMI] = ACTIONS(1790),
    [anon_sym_macro_rules_BANG] = ACTIONS(1790),
    [anon_sym_LPAREN] = ACTIONS(1790),
    [anon_sym_LBRACK] = ACTIONS(1790),
    [anon_sym_LBRACE] = ACTIONS(1790),
    [anon_sym_RBRACE] = ACTIONS(1790),
    [anon_sym_STAR] = ACTIONS(1790),
    [anon_sym_u8] = ACTIONS(1792),
    [anon_sym_i8] = ACTIONS(1792),
    [anon_sym_u16] = ACTIONS(1792),
    [anon_sym_i16] = ACTIONS(1792),
    [anon_sym_u32] = ACTIONS(1792),
    [anon_sym_i32] = ACTIONS(1792),
    [anon_sym_u64] = ACTIONS(1792),
    [anon_sym_i64] = ACTIONS(1792),
    [anon_sym_u128] = ACTIONS(1792),
    [anon_sym_i128] = ACTIONS(1792),
    [anon_sym_isize] = ACTIONS(1792),
    [anon_sym_usize] = ACTIONS(1792),
    [anon_sym_f32] = ACTIONS(1792),
    [anon_sym_f64] = ACTIONS(1792),
    [anon_sym_bool] = ACTIONS(1792),
    [anon_sym_str] = ACTIONS(1792),
    [anon_sym_char] = ACTIONS(1792),
    [anon_sym_DASH] = ACTIONS(1790),
    [anon_sym_BANG] = ACTIONS(1790),
    [anon_sym_AMP] = ACTIONS(1790),
    [anon_sym_PIPE] = ACTIONS(1790),
    [anon_sym_LT] = ACTIONS(1790),
    [anon_sym_DOT_DOT] = ACTIONS(1790),
    [anon_sym_COLON_COLON] = ACTIONS(1790),
    [anon_sym_POUND] = ACTIONS(1790),
    [anon_sym_SQUOTE] = ACTIONS(1792),
    [anon_sym_async] = ACTIONS(1792),
    [anon_sym_break] = ACTIONS(1792),
    [anon_sym_const] = ACTIONS(1792),
    [anon_sym_continue] = ACTIONS(1792),
    [anon_sym_default] = ACTIONS(1792),
    [anon_sym_enum] = ACTIONS(1792),
    [anon_sym_fn] = ACTIONS(1792),
    [anon_sym_for] = ACTIONS(1792),
    [anon_sym_if] = ACTIONS(1792),
    [anon_sym_impl] = ACTIONS(1792),
    [anon_sym_let] = ACTIONS(1792),
    [anon_sym_loop] = ACTIONS(1792),
    [anon_sym_match] = ACTIONS(1792),
    [anon_sym_mod] = ACTIONS(1792),
    [anon_sym_pub] = ACTIONS(1792),
    [anon_sym_return] = ACTIONS(1792),
    [anon_sym_static] = ACTIONS(1792),
    [anon_sym_struct] = ACTIONS(1792),
    [anon_sym_trait] = ACTIONS(1792),
    [anon_sym_type] = ACTIONS(1792),
    [anon_sym_union] = ACTIONS(1792),
    [anon_sym_unsafe] = ACTIONS(1792),
    [anon_sym_use] = ACTIONS(1792),
    [anon_sym_while] = ACTIONS(1792),
    [anon_sym_extern] = ACTIONS(1792),
    [anon_sym_yield] = ACTIONS(1792),
    [anon_sym_move] = ACTIONS(1792),
    [anon_sym_try] = ACTIONS(1792),
    [sym_integer_literal] = ACTIONS(1790),
    [aux_sym_string_literal_token1] = ACTIONS(1790),
    [sym_char_literal] = ACTIONS(1790),
    [anon_sym_true] = ACTIONS(1792),
    [anon_sym_false] = ACTIONS(1792),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1792),
    [sym_super] = ACTIONS(1792),
    [sym_crate] = ACTIONS(1792),
    [sym_metavariable] = ACTIONS(1790),
    [sym__raw_string_literal_start] = ACTIONS(1790),
    [sym_float_literal] = ACTIONS(1790),
  },
  [512] = {
    [sym_line_comment] = STATE(512),
    [sym_block_comment] = STATE(512),
    [ts_builtin_sym_end] = ACTIONS(1794),
    [sym_identifier] = ACTIONS(1796),
    [anon_sym_SEMI] = ACTIONS(1794),
    [anon_sym_macro_rules_BANG] = ACTIONS(1794),
    [anon_sym_LPAREN] = ACTIONS(1794),
    [anon_sym_LBRACK] = ACTIONS(1794),
    [anon_sym_LBRACE] = ACTIONS(1794),
    [anon_sym_RBRACE] = ACTIONS(1794),
    [anon_sym_STAR] = ACTIONS(1794),
    [anon_sym_u8] = ACTIONS(1796),
    [anon_sym_i8] = ACTIONS(1796),
    [anon_sym_u16] = ACTIONS(1796),
    [anon_sym_i16] = ACTIONS(1796),
    [anon_sym_u32] = ACTIONS(1796),
    [anon_sym_i32] = ACTIONS(1796),
    [anon_sym_u64] = ACTIONS(1796),
    [anon_sym_i64] = ACTIONS(1796),
    [anon_sym_u128] = ACTIONS(1796),
    [anon_sym_i128] = ACTIONS(1796),
    [anon_sym_isize] = ACTIONS(1796),
    [anon_sym_usize] = ACTIONS(1796),
    [anon_sym_f32] = ACTIONS(1796),
    [anon_sym_f64] = ACTIONS(1796),
    [anon_sym_bool] = ACTIONS(1796),
    [anon_sym_str] = ACTIONS(1796),
    [anon_sym_char] = ACTIONS(1796),
    [anon_sym_DASH] = ACTIONS(1794),
    [anon_sym_BANG] = ACTIONS(1794),
    [anon_sym_AMP] = ACTIONS(1794),
    [anon_sym_PIPE] = ACTIONS(1794),
    [anon_sym_LT] = ACTIONS(1794),
    [anon_sym_DOT_DOT] = ACTIONS(1794),
    [anon_sym_COLON_COLON] = ACTIONS(1794),
    [anon_sym_POUND] = ACTIONS(1794),
    [anon_sym_SQUOTE] = ACTIONS(1796),
    [anon_sym_async] = ACTIONS(1796),
    [anon_sym_break] = ACTIONS(1796),
    [anon_sym_const] = ACTIONS(1796),
    [anon_sym_continue] = ACTIONS(1796),
    [anon_sym_default] = ACTIONS(1796),
    [anon_sym_enum] = ACTIONS(1796),
    [anon_sym_fn] = ACTIONS(1796),
    [anon_sym_for] = ACTIONS(1796),
    [anon_sym_if] = ACTIONS(1796),
    [anon_sym_impl] = ACTIONS(1796),
    [anon_sym_let] = ACTIONS(1796),
    [anon_sym_loop] = ACTIONS(1796),
    [anon_sym_match] = ACTIONS(1796),
    [anon_sym_mod] = ACTIONS(1796),
    [anon_sym_pub] = ACTIONS(1796),
    [anon_sym_return] = ACTIONS(1796),
    [anon_sym_static] = ACTIONS(1796),
    [anon_sym_struct] = ACTIONS(1796),
    [anon_sym_trait] = ACTIONS(1796),
    [anon_sym_type] = ACTIONS(1796),
    [anon_sym_union] = ACTIONS(1796),
    [anon_sym_unsafe] = ACTIONS(1796),
    [anon_sym_use] = ACTIONS(1796),
    [anon_sym_while] = ACTIONS(1796),
    [anon_sym_extern] = ACTIONS(1796),
    [anon_sym_yield] = ACTIONS(1796),
    [anon_sym_move] = ACTIONS(1796),
    [anon_sym_try] = ACTIONS(1796),
    [sym_integer_literal] = ACTIONS(1794),
    [aux_sym_string_literal_token1] = ACTIONS(1794),
    [sym_char_literal] = ACTIONS(1794),
    [anon_sym_true] = ACTIONS(1796),
    [anon_sym_false] = ACTIONS(1796),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1796),
    [sym_super] = ACTIONS(1796),
    [sym_crate] = ACTIONS(1796),
    [sym_metavariable] = ACTIONS(1794),
    [sym__raw_string_literal_start] = ACTIONS(1794),
    [sym_float_literal] = ACTIONS(1794),
  },
  [513] = {
    [sym_line_comment] = STATE(513),
    [sym_block_comment] = STATE(513),
    [ts_builtin_sym_end] = ACTIONS(1798),
    [sym_identifier] = ACTIONS(1800),
    [anon_sym_SEMI] = ACTIONS(1798),
    [anon_sym_macro_rules_BANG] = ACTIONS(1798),
    [anon_sym_LPAREN] = ACTIONS(1798),
    [anon_sym_LBRACK] = ACTIONS(1798),
    [anon_sym_LBRACE] = ACTIONS(1798),
    [anon_sym_RBRACE] = ACTIONS(1798),
    [anon_sym_STAR] = ACTIONS(1798),
    [anon_sym_u8] = ACTIONS(1800),
    [anon_sym_i8] = ACTIONS(1800),
    [anon_sym_u16] = ACTIONS(1800),
    [anon_sym_i16] = ACTIONS(1800),
    [anon_sym_u32] = ACTIONS(1800),
    [anon_sym_i32] = ACTIONS(1800),
    [anon_sym_u64] = ACTIONS(1800),
    [anon_sym_i64] = ACTIONS(1800),
    [anon_sym_u128] = ACTIONS(1800),
    [anon_sym_i128] = ACTIONS(1800),
    [anon_sym_isize] = ACTIONS(1800),
    [anon_sym_usize] = ACTIONS(1800),
    [anon_sym_f32] = ACTIONS(1800),
    [anon_sym_f64] = ACTIONS(1800),
    [anon_sym_bool] = ACTIONS(1800),
    [anon_sym_str] = ACTIONS(1800),
    [anon_sym_char] = ACTIONS(1800),
    [anon_sym_DASH] = ACTIONS(1798),
    [anon_sym_BANG] = ACTIONS(1798),
    [anon_sym_AMP] = ACTIONS(1798),
    [anon_sym_PIPE] = ACTIONS(1798),
    [anon_sym_LT] = ACTIONS(1798),
    [anon_sym_DOT_DOT] = ACTIONS(1798),
    [anon_sym_COLON_COLON] = ACTIONS(1798),
    [anon_sym_POUND] = ACTIONS(1798),
    [anon_sym_SQUOTE] = ACTIONS(1800),
    [anon_sym_async] = ACTIONS(1800),
    [anon_sym_break] = ACTIONS(1800),
    [anon_sym_const] = ACTIONS(1800),
    [anon_sym_continue] = ACTIONS(1800),
    [anon_sym_default] = ACTIONS(1800),
    [anon_sym_enum] = ACTIONS(1800),
    [anon_sym_fn] = ACTIONS(1800),
    [anon_sym_for] = ACTIONS(1800),
    [anon_sym_if] = ACTIONS(1800),
    [anon_sym_impl] = ACTIONS(1800),
    [anon_sym_let] = ACTIONS(1800),
    [anon_sym_loop] = ACTIONS(1800),
    [anon_sym_match] = ACTIONS(1800),
    [anon_sym_mod] = ACTIONS(1800),
    [anon_sym_pub] = ACTIONS(1800),
    [anon_sym_return] = ACTIONS(1800),
    [anon_sym_static] = ACTIONS(1800),
    [anon_sym_struct] = ACTIONS(1800),
    [anon_sym_trait] = ACTIONS(1800),
    [anon_sym_type] = ACTIONS(1800),
    [anon_sym_union] = ACTIONS(1800),
    [anon_sym_unsafe] = ACTIONS(1800),
    [anon_sym_use] = ACTIONS(1800),
    [anon_sym_while] = ACTIONS(1800),
    [anon_sym_extern] = ACTIONS(1800),
    [anon_sym_yield] = ACTIONS(1800),
    [anon_sym_move] = ACTIONS(1800),
    [anon_sym_try] = ACTIONS(1800),
    [sym_integer_literal] = ACTIONS(1798),
    [aux_sym_string_literal_token1] = ACTIONS(1798),
    [sym_char_literal] = ACTIONS(1798),
    [anon_sym_true] = ACTIONS(1800),
    [anon_sym_false] = ACTIONS(1800),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1800),
    [sym_super] = ACTIONS(1800),
    [sym_crate] = ACTIONS(1800),
    [sym_metavariable] = ACTIONS(1798),
    [sym__raw_string_literal_start] = ACTIONS(1798),
    [sym_float_literal] = ACTIONS(1798),
  },
  [514] = {
    [sym_line_comment] = STATE(514),
    [sym_block_comment] = STATE(514),
    [ts_builtin_sym_end] = ACTIONS(1802),
    [sym_identifier] = ACTIONS(1804),
    [anon_sym_SEMI] = ACTIONS(1802),
    [anon_sym_macro_rules_BANG] = ACTIONS(1802),
    [anon_sym_LPAREN] = ACTIONS(1802),
    [anon_sym_LBRACK] = ACTIONS(1802),
    [anon_sym_LBRACE] = ACTIONS(1802),
    [anon_sym_RBRACE] = ACTIONS(1802),
    [anon_sym_STAR] = ACTIONS(1802),
    [anon_sym_u8] = ACTIONS(1804),
    [anon_sym_i8] = ACTIONS(1804),
    [anon_sym_u16] = ACTIONS(1804),
    [anon_sym_i16] = ACTIONS(1804),
    [anon_sym_u32] = ACTIONS(1804),
    [anon_sym_i32] = ACTIONS(1804),
    [anon_sym_u64] = ACTIONS(1804),
    [anon_sym_i64] = ACTIONS(1804),
    [anon_sym_u128] = ACTIONS(1804),
    [anon_sym_i128] = ACTIONS(1804),
    [anon_sym_isize] = ACTIONS(1804),
    [anon_sym_usize] = ACTIONS(1804),
    [anon_sym_f32] = ACTIONS(1804),
    [anon_sym_f64] = ACTIONS(1804),
    [anon_sym_bool] = ACTIONS(1804),
    [anon_sym_str] = ACTIONS(1804),
    [anon_sym_char] = ACTIONS(1804),
    [anon_sym_DASH] = ACTIONS(1802),
    [anon_sym_BANG] = ACTIONS(1802),
    [anon_sym_AMP] = ACTIONS(1802),
    [anon_sym_PIPE] = ACTIONS(1802),
    [anon_sym_LT] = ACTIONS(1802),
    [anon_sym_DOT_DOT] = ACTIONS(1802),
    [anon_sym_COLON_COLON] = ACTIONS(1802),
    [anon_sym_POUND] = ACTIONS(1802),
    [anon_sym_SQUOTE] = ACTIONS(1804),
    [anon_sym_async] = ACTIONS(1804),
    [anon_sym_break] = ACTIONS(1804),
    [anon_sym_const] = ACTIONS(1804),
    [anon_sym_continue] = ACTIONS(1804),
    [anon_sym_default] = ACTIONS(1804),
    [anon_sym_enum] = ACTIONS(1804),
    [anon_sym_fn] = ACTIONS(1804),
    [anon_sym_for] = ACTIONS(1804),
    [anon_sym_if] = ACTIONS(1804),
    [anon_sym_impl] = ACTIONS(1804),
    [anon_sym_let] = ACTIONS(1804),
    [anon_sym_loop] = ACTIONS(1804),
    [anon_sym_match] = ACTIONS(1804),
    [anon_sym_mod] = ACTIONS(1804),
    [anon_sym_pub] = ACTIONS(1804),
    [anon_sym_return] = ACTIONS(1804),
    [anon_sym_static] = ACTIONS(1804),
    [anon_sym_struct] = ACTIONS(1804),
    [anon_sym_trait] = ACTIONS(1804),
    [anon_sym_type] = ACTIONS(1804),
    [anon_sym_union] = ACTIONS(1804),
    [anon_sym_unsafe] = ACTIONS(1804),
    [anon_sym_use] = ACTIONS(1804),
    [anon_sym_while] = ACTIONS(1804),
    [anon_sym_extern] = ACTIONS(1804),
    [anon_sym_yield] = ACTIONS(1804),
    [anon_sym_move] = ACTIONS(1804),
    [anon_sym_try] = ACTIONS(1804),
    [sym_integer_literal] = ACTIONS(1802),
    [aux_sym_string_literal_token1] = ACTIONS(1802),
    [sym_char_literal] = ACTIONS(1802),
    [anon_sym_true] = ACTIONS(1804),
    [anon_sym_false] = ACTIONS(1804),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1804),
    [sym_super] = ACTIONS(1804),
    [sym_crate] = ACTIONS(1804),
    [sym_metavariable] = ACTIONS(1802),
    [sym__raw_string_literal_start] = ACTIONS(1802),
    [sym_float_literal] = ACTIONS(1802),
  },
  [515] = {
    [sym_line_comment] = STATE(515),
    [sym_block_comment] = STATE(515),
    [ts_builtin_sym_end] = ACTIONS(1806),
    [sym_identifier] = ACTIONS(1808),
    [anon_sym_SEMI] = ACTIONS(1806),
    [anon_sym_macro_rules_BANG] = ACTIONS(1806),
    [anon_sym_LPAREN] = ACTIONS(1806),
    [anon_sym_LBRACK] = ACTIONS(1806),
    [anon_sym_LBRACE] = ACTIONS(1806),
    [anon_sym_RBRACE] = ACTIONS(1806),
    [anon_sym_STAR] = ACTIONS(1806),
    [anon_sym_u8] = ACTIONS(1808),
    [anon_sym_i8] = ACTIONS(1808),
    [anon_sym_u16] = ACTIONS(1808),
    [anon_sym_i16] = ACTIONS(1808),
    [anon_sym_u32] = ACTIONS(1808),
    [anon_sym_i32] = ACTIONS(1808),
    [anon_sym_u64] = ACTIONS(1808),
    [anon_sym_i64] = ACTIONS(1808),
    [anon_sym_u128] = ACTIONS(1808),
    [anon_sym_i128] = ACTIONS(1808),
    [anon_sym_isize] = ACTIONS(1808),
    [anon_sym_usize] = ACTIONS(1808),
    [anon_sym_f32] = ACTIONS(1808),
    [anon_sym_f64] = ACTIONS(1808),
    [anon_sym_bool] = ACTIONS(1808),
    [anon_sym_str] = ACTIONS(1808),
    [anon_sym_char] = ACTIONS(1808),
    [anon_sym_DASH] = ACTIONS(1806),
    [anon_sym_BANG] = ACTIONS(1806),
    [anon_sym_AMP] = ACTIONS(1806),
    [anon_sym_PIPE] = ACTIONS(1806),
    [anon_sym_LT] = ACTIONS(1806),
    [anon_sym_DOT_DOT] = ACTIONS(1806),
    [anon_sym_COLON_COLON] = ACTIONS(1806),
    [anon_sym_POUND] = ACTIONS(1806),
    [anon_sym_SQUOTE] = ACTIONS(1808),
    [anon_sym_async] = ACTIONS(1808),
    [anon_sym_break] = ACTIONS(1808),
    [anon_sym_const] = ACTIONS(1808),
    [anon_sym_continue] = ACTIONS(1808),
    [anon_sym_default] = ACTIONS(1808),
    [anon_sym_enum] = ACTIONS(1808),
    [anon_sym_fn] = ACTIONS(1808),
    [anon_sym_for] = ACTIONS(1808),
    [anon_sym_if] = ACTIONS(1808),
    [anon_sym_impl] = ACTIONS(1808),
    [anon_sym_let] = ACTIONS(1808),
    [anon_sym_loop] = ACTIONS(1808),
    [anon_sym_match] = ACTIONS(1808),
    [anon_sym_mod] = ACTIONS(1808),
    [anon_sym_pub] = ACTIONS(1808),
    [anon_sym_return] = ACTIONS(1808),
    [anon_sym_static] = ACTIONS(1808),
    [anon_sym_struct] = ACTIONS(1808),
    [anon_sym_trait] = ACTIONS(1808),
    [anon_sym_type] = ACTIONS(1808),
    [anon_sym_union] = ACTIONS(1808),
    [anon_sym_unsafe] = ACTIONS(1808),
    [anon_sym_use] = ACTIONS(1808),
    [anon_sym_while] = ACTIONS(1808),
    [anon_sym_extern] = ACTIONS(1808),
    [anon_sym_yield] = ACTIONS(1808),
    [anon_sym_move] = ACTIONS(1808),
    [anon_sym_try] = ACTIONS(1808),
    [sym_integer_literal] = ACTIONS(1806),
    [aux_sym_string_literal_token1] = ACTIONS(1806),
    [sym_char_literal] = ACTIONS(1806),
    [anon_sym_true] = ACTIONS(1808),
    [anon_sym_false] = ACTIONS(1808),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1808),
    [sym_super] = ACTIONS(1808),
    [sym_crate] = ACTIONS(1808),
    [sym_metavariable] = ACTIONS(1806),
    [sym__raw_string_literal_start] = ACTIONS(1806),
    [sym_float_literal] = ACTIONS(1806),
  },
  [516] = {
    [sym_line_comment] = STATE(516),
    [sym_block_comment] = STATE(516),
    [ts_builtin_sym_end] = ACTIONS(1810),
    [sym_identifier] = ACTIONS(1812),
    [anon_sym_SEMI] = ACTIONS(1810),
    [anon_sym_macro_rules_BANG] = ACTIONS(1810),
    [anon_sym_LPAREN] = ACTIONS(1810),
    [anon_sym_LBRACK] = ACTIONS(1810),
    [anon_sym_LBRACE] = ACTIONS(1810),
    [anon_sym_RBRACE] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1810),
    [anon_sym_u8] = ACTIONS(1812),
    [anon_sym_i8] = ACTIONS(1812),
    [anon_sym_u16] = ACTIONS(1812),
    [anon_sym_i16] = ACTIONS(1812),
    [anon_sym_u32] = ACTIONS(1812),
    [anon_sym_i32] = ACTIONS(1812),
    [anon_sym_u64] = ACTIONS(1812),
    [anon_sym_i64] = ACTIONS(1812),
    [anon_sym_u128] = ACTIONS(1812),
    [anon_sym_i128] = ACTIONS(1812),
    [anon_sym_isize] = ACTIONS(1812),
    [anon_sym_usize] = ACTIONS(1812),
    [anon_sym_f32] = ACTIONS(1812),
    [anon_sym_f64] = ACTIONS(1812),
    [anon_sym_bool] = ACTIONS(1812),
    [anon_sym_str] = ACTIONS(1812),
    [anon_sym_char] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_BANG] = ACTIONS(1810),
    [anon_sym_AMP] = ACTIONS(1810),
    [anon_sym_PIPE] = ACTIONS(1810),
    [anon_sym_LT] = ACTIONS(1810),
    [anon_sym_DOT_DOT] = ACTIONS(1810),
    [anon_sym_COLON_COLON] = ACTIONS(1810),
    [anon_sym_POUND] = ACTIONS(1810),
    [anon_sym_SQUOTE] = ACTIONS(1812),
    [anon_sym_async] = ACTIONS(1812),
    [anon_sym_break] = ACTIONS(1812),
    [anon_sym_const] = ACTIONS(1812),
    [anon_sym_continue] = ACTIONS(1812),
    [anon_sym_default] = ACTIONS(1812),
    [anon_sym_enum] = ACTIONS(1812),
    [anon_sym_fn] = ACTIONS(1812),
    [anon_sym_for] = ACTIONS(1812),
    [anon_sym_if] = ACTIONS(1812),
    [anon_sym_impl] = ACTIONS(1812),
    [anon_sym_let] = ACTIONS(1812),
    [anon_sym_loop] = ACTIONS(1812),
    [anon_sym_match] = ACTIONS(1812),
    [anon_sym_mod] = ACTIONS(1812),
    [anon_sym_pub] = ACTIONS(1812),
    [anon_sym_return] = ACTIONS(1812),
    [anon_sym_static] = ACTIONS(1812),
    [anon_sym_struct] = ACTIONS(1812),
    [anon_sym_trait] = ACTIONS(1812),
    [anon_sym_type] = ACTIONS(1812),
    [anon_sym_union] = ACTIONS(1812),
    [anon_sym_unsafe] = ACTIONS(1812),
    [anon_sym_use] = ACTIONS(1812),
    [anon_sym_while] = ACTIONS(1812),
    [anon_sym_extern] = ACTIONS(1812),
    [anon_sym_yield] = ACTIONS(1812),
    [anon_sym_move] = ACTIONS(1812),
    [anon_sym_try] = ACTIONS(1812),
    [sym_integer_literal] = ACTIONS(1810),
    [aux_sym_string_literal_token1] = ACTIONS(1810),
    [sym_char_literal] = ACTIONS(1810),
    [anon_sym_true] = ACTIONS(1812),
    [anon_sym_false] = ACTIONS(1812),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1812),
    [sym_super] = ACTIONS(1812),
    [sym_crate] = ACTIONS(1812),
    [sym_metavariable] = ACTIONS(1810),
    [sym__raw_string_literal_start] = ACTIONS(1810),
    [sym_float_literal] = ACTIONS(1810),
  },
  [517] = {
    [sym_line_comment] = STATE(517),
    [sym_block_comment] = STATE(517),
    [ts_builtin_sym_end] = ACTIONS(1814),
    [sym_identifier] = ACTIONS(1816),
    [anon_sym_SEMI] = ACTIONS(1814),
    [anon_sym_macro_rules_BANG] = ACTIONS(1814),
    [anon_sym_LPAREN] = ACTIONS(1814),
    [anon_sym_LBRACK] = ACTIONS(1814),
    [anon_sym_LBRACE] = ACTIONS(1814),
    [anon_sym_RBRACE] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1814),
    [anon_sym_u8] = ACTIONS(1816),
    [anon_sym_i8] = ACTIONS(1816),
    [anon_sym_u16] = ACTIONS(1816),
    [anon_sym_i16] = ACTIONS(1816),
    [anon_sym_u32] = ACTIONS(1816),
    [anon_sym_i32] = ACTIONS(1816),
    [anon_sym_u64] = ACTIONS(1816),
    [anon_sym_i64] = ACTIONS(1816),
    [anon_sym_u128] = ACTIONS(1816),
    [anon_sym_i128] = ACTIONS(1816),
    [anon_sym_isize] = ACTIONS(1816),
    [anon_sym_usize] = ACTIONS(1816),
    [anon_sym_f32] = ACTIONS(1816),
    [anon_sym_f64] = ACTIONS(1816),
    [anon_sym_bool] = ACTIONS(1816),
    [anon_sym_str] = ACTIONS(1816),
    [anon_sym_char] = ACTIONS(1816),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_BANG] = ACTIONS(1814),
    [anon_sym_AMP] = ACTIONS(1814),
    [anon_sym_PIPE] = ACTIONS(1814),
    [anon_sym_LT] = ACTIONS(1814),
    [anon_sym_DOT_DOT] = ACTIONS(1814),
    [anon_sym_COLON_COLON] = ACTIONS(1814),
    [anon_sym_POUND] = ACTIONS(1814),
    [anon_sym_SQUOTE] = ACTIONS(1816),
    [anon_sym_async] = ACTIONS(1816),
    [anon_sym_break] = ACTIONS(1816),
    [anon_sym_const] = ACTIONS(1816),
    [anon_sym_continue] = ACTIONS(1816),
    [anon_sym_default] = ACTIONS(1816),
    [anon_sym_enum] = ACTIONS(1816),
    [anon_sym_fn] = ACTIONS(1816),
    [anon_sym_for] = ACTIONS(1816),
    [anon_sym_if] = ACTIONS(1816),
    [anon_sym_impl] = ACTIONS(1816),
    [anon_sym_let] = ACTIONS(1816),
    [anon_sym_loop] = ACTIONS(1816),
    [anon_sym_match] = ACTIONS(1816),
    [anon_sym_mod] = ACTIONS(1816),
    [anon_sym_pub] = ACTIONS(1816),
    [anon_sym_return] = ACTIONS(1816),
    [anon_sym_static] = ACTIONS(1816),
    [anon_sym_struct] = ACTIONS(1816),
    [anon_sym_trait] = ACTIONS(1816),
    [anon_sym_type] = ACTIONS(1816),
    [anon_sym_union] = ACTIONS(1816),
    [anon_sym_unsafe] = ACTIONS(1816),
    [anon_sym_use] = ACTIONS(1816),
    [anon_sym_while] = ACTIONS(1816),
    [anon_sym_extern] = ACTIONS(1816),
    [anon_sym_yield] = ACTIONS(1816),
    [anon_sym_move] = ACTIONS(1816),
    [anon_sym_try] = ACTIONS(1816),
    [sym_integer_literal] = ACTIONS(1814),
    [aux_sym_string_literal_token1] = ACTIONS(1814),
    [sym_char_literal] = ACTIONS(1814),
    [anon_sym_true] = ACTIONS(1816),
    [anon_sym_false] = ACTIONS(1816),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1816),
    [sym_super] = ACTIONS(1816),
    [sym_crate] = ACTIONS(1816),
    [sym_metavariable] = ACTIONS(1814),
    [sym__raw_string_literal_start] = ACTIONS(1814),
    [sym_float_literal] = ACTIONS(1814),
  },
  [518] = {
    [sym_line_comment] = STATE(518),
    [sym_block_comment] = STATE(518),
    [ts_builtin_sym_end] = ACTIONS(1818),
    [sym_identifier] = ACTIONS(1820),
    [anon_sym_SEMI] = ACTIONS(1818),
    [anon_sym_macro_rules_BANG] = ACTIONS(1818),
    [anon_sym_LPAREN] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(1818),
    [anon_sym_LBRACE] = ACTIONS(1818),
    [anon_sym_RBRACE] = ACTIONS(1818),
    [anon_sym_STAR] = ACTIONS(1818),
    [anon_sym_u8] = ACTIONS(1820),
    [anon_sym_i8] = ACTIONS(1820),
    [anon_sym_u16] = ACTIONS(1820),
    [anon_sym_i16] = ACTIONS(1820),
    [anon_sym_u32] = ACTIONS(1820),
    [anon_sym_i32] = ACTIONS(1820),
    [anon_sym_u64] = ACTIONS(1820),
    [anon_sym_i64] = ACTIONS(1820),
    [anon_sym_u128] = ACTIONS(1820),
    [anon_sym_i128] = ACTIONS(1820),
    [anon_sym_isize] = ACTIONS(1820),
    [anon_sym_usize] = ACTIONS(1820),
    [anon_sym_f32] = ACTIONS(1820),
    [anon_sym_f64] = ACTIONS(1820),
    [anon_sym_bool] = ACTIONS(1820),
    [anon_sym_str] = ACTIONS(1820),
    [anon_sym_char] = ACTIONS(1820),
    [anon_sym_DASH] = ACTIONS(1818),
    [anon_sym_BANG] = ACTIONS(1818),
    [anon_sym_AMP] = ACTIONS(1818),
    [anon_sym_PIPE] = ACTIONS(1818),
    [anon_sym_LT] = ACTIONS(1818),
    [anon_sym_DOT_DOT] = ACTIONS(1818),
    [anon_sym_COLON_COLON] = ACTIONS(1818),
    [anon_sym_POUND] = ACTIONS(1818),
    [anon_sym_SQUOTE] = ACTIONS(1820),
    [anon_sym_async] = ACTIONS(1820),
    [anon_sym_break] = ACTIONS(1820),
    [anon_sym_const] = ACTIONS(1820),
    [anon_sym_continue] = ACTIONS(1820),
    [anon_sym_default] = ACTIONS(1820),
    [anon_sym_enum] = ACTIONS(1820),
    [anon_sym_fn] = ACTIONS(1820),
    [anon_sym_for] = ACTIONS(1820),
    [anon_sym_if] = ACTIONS(1820),
    [anon_sym_impl] = ACTIONS(1820),
    [anon_sym_let] = ACTIONS(1820),
    [anon_sym_loop] = ACTIONS(1820),
    [anon_sym_match] = ACTIONS(1820),
    [anon_sym_mod] = ACTIONS(1820),
    [anon_sym_pub] = ACTIONS(1820),
    [anon_sym_return] = ACTIONS(1820),
    [anon_sym_static] = ACTIONS(1820),
    [anon_sym_struct] = ACTIONS(1820),
    [anon_sym_trait] = ACTIONS(1820),
    [anon_sym_type] = ACTIONS(1820),
    [anon_sym_union] = ACTIONS(1820),
    [anon_sym_unsafe] = ACTIONS(1820),
    [anon_sym_use] = ACTIONS(1820),
    [anon_sym_while] = ACTIONS(1820),
    [anon_sym_extern] = ACTIONS(1820),
    [anon_sym_yield] = ACTIONS(1820),
    [anon_sym_move] = ACTIONS(1820),
    [anon_sym_try] = ACTIONS(1820),
    [sym_integer_literal] = ACTIONS(1818),
    [aux_sym_string_literal_token1] = ACTIONS(1818),
    [sym_char_literal] = ACTIONS(1818),
    [anon_sym_true] = ACTIONS(1820),
    [anon_sym_false] = ACTIONS(1820),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1820),
    [sym_super] = ACTIONS(1820),
    [sym_crate] = ACTIONS(1820),
    [sym_metavariable] = ACTIONS(1818),
    [sym__raw_string_literal_start] = ACTIONS(1818),
    [sym_float_literal] = ACTIONS(1818),
  },
  [519] = {
    [sym_line_comment] = STATE(519),
    [sym_block_comment] = STATE(519),
    [ts_builtin_sym_end] = ACTIONS(1822),
    [sym_identifier] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1822),
    [anon_sym_macro_rules_BANG] = ACTIONS(1822),
    [anon_sym_LPAREN] = ACTIONS(1822),
    [anon_sym_LBRACK] = ACTIONS(1822),
    [anon_sym_LBRACE] = ACTIONS(1822),
    [anon_sym_RBRACE] = ACTIONS(1822),
    [anon_sym_STAR] = ACTIONS(1822),
    [anon_sym_u8] = ACTIONS(1824),
    [anon_sym_i8] = ACTIONS(1824),
    [anon_sym_u16] = ACTIONS(1824),
    [anon_sym_i16] = ACTIONS(1824),
    [anon_sym_u32] = ACTIONS(1824),
    [anon_sym_i32] = ACTIONS(1824),
    [anon_sym_u64] = ACTIONS(1824),
    [anon_sym_i64] = ACTIONS(1824),
    [anon_sym_u128] = ACTIONS(1824),
    [anon_sym_i128] = ACTIONS(1824),
    [anon_sym_isize] = ACTIONS(1824),
    [anon_sym_usize] = ACTIONS(1824),
    [anon_sym_f32] = ACTIONS(1824),
    [anon_sym_f64] = ACTIONS(1824),
    [anon_sym_bool] = ACTIONS(1824),
    [anon_sym_str] = ACTIONS(1824),
    [anon_sym_char] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1822),
    [anon_sym_BANG] = ACTIONS(1822),
    [anon_sym_AMP] = ACTIONS(1822),
    [anon_sym_PIPE] = ACTIONS(1822),
    [anon_sym_LT] = ACTIONS(1822),
    [anon_sym_DOT_DOT] = ACTIONS(1822),
    [anon_sym_COLON_COLON] = ACTIONS(1822),
    [anon_sym_POUND] = ACTIONS(1822),
    [anon_sym_SQUOTE] = ACTIONS(1824),
    [anon_sym_async] = ACTIONS(1824),
    [anon_sym_break] = ACTIONS(1824),
    [anon_sym_const] = ACTIONS(1824),
    [anon_sym_continue] = ACTIONS(1824),
    [anon_sym_default] = ACTIONS(1824),
    [anon_sym_enum] = ACTIONS(1824),
    [anon_sym_fn] = ACTIONS(1824),
    [anon_sym_for] = ACTIONS(1824),
    [anon_sym_if] = ACTIONS(1824),
    [anon_sym_impl] = ACTIONS(1824),
    [anon_sym_let] = ACTIONS(1824),
    [anon_sym_loop] = ACTIONS(1824),
    [anon_sym_match] = ACTIONS(1824),
    [anon_sym_mod] = ACTIONS(1824),
    [anon_sym_pub] = ACTIONS(1824),
    [anon_sym_return] = ACTIONS(1824),
    [anon_sym_static] = ACTIONS(1824),
    [anon_sym_struct] = ACTIONS(1824),
    [anon_sym_trait] = ACTIONS(1824),
    [anon_sym_type] = ACTIONS(1824),
    [anon_sym_union] = ACTIONS(1824),
    [anon_sym_unsafe] = ACTIONS(1824),
    [anon_sym_use] = ACTIONS(1824),
    [anon_sym_while] = ACTIONS(1824),
    [anon_sym_extern] = ACTIONS(1824),
    [anon_sym_yield] = ACTIONS(1824),
    [anon_sym_move] = ACTIONS(1824),
    [anon_sym_try] = ACTIONS(1824),
    [sym_integer_literal] = ACTIONS(1822),
    [aux_sym_string_literal_token1] = ACTIONS(1822),
    [sym_char_literal] = ACTIONS(1822),
    [anon_sym_true] = ACTIONS(1824),
    [anon_sym_false] = ACTIONS(1824),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1824),
    [sym_super] = ACTIONS(1824),
    [sym_crate] = ACTIONS(1824),
    [sym_metavariable] = ACTIONS(1822),
    [sym__raw_string_literal_start] = ACTIONS(1822),
    [sym_float_literal] = ACTIONS(1822),
  },
  [520] = {
    [sym_line_comment] = STATE(520),
    [sym_block_comment] = STATE(520),
    [ts_builtin_sym_end] = ACTIONS(1826),
    [sym_identifier] = ACTIONS(1828),
    [anon_sym_SEMI] = ACTIONS(1826),
    [anon_sym_macro_rules_BANG] = ACTIONS(1826),
    [anon_sym_LPAREN] = ACTIONS(1826),
    [anon_sym_LBRACK] = ACTIONS(1826),
    [anon_sym_LBRACE] = ACTIONS(1826),
    [anon_sym_RBRACE] = ACTIONS(1826),
    [anon_sym_STAR] = ACTIONS(1826),
    [anon_sym_u8] = ACTIONS(1828),
    [anon_sym_i8] = ACTIONS(1828),
    [anon_sym_u16] = ACTIONS(1828),
    [anon_sym_i16] = ACTIONS(1828),
    [anon_sym_u32] = ACTIONS(1828),
    [anon_sym_i32] = ACTIONS(1828),
    [anon_sym_u64] = ACTIONS(1828),
    [anon_sym_i64] = ACTIONS(1828),
    [anon_sym_u128] = ACTIONS(1828),
    [anon_sym_i128] = ACTIONS(1828),
    [anon_sym_isize] = ACTIONS(1828),
    [anon_sym_usize] = ACTIONS(1828),
    [anon_sym_f32] = ACTIONS(1828),
    [anon_sym_f64] = ACTIONS(1828),
    [anon_sym_bool] = ACTIONS(1828),
    [anon_sym_str] = ACTIONS(1828),
    [anon_sym_char] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1826),
    [anon_sym_BANG] = ACTIONS(1826),
    [anon_sym_AMP] = ACTIONS(1826),
    [anon_sym_PIPE] = ACTIONS(1826),
    [anon_sym_LT] = ACTIONS(1826),
    [anon_sym_DOT_DOT] = ACTIONS(1826),
    [anon_sym_COLON_COLON] = ACTIONS(1826),
    [anon_sym_POUND] = ACTIONS(1826),
    [anon_sym_SQUOTE] = ACTIONS(1828),
    [anon_sym_async] = ACTIONS(1828),
    [anon_sym_break] = ACTIONS(1828),
    [anon_sym_const] = ACTIONS(1828),
    [anon_sym_continue] = ACTIONS(1828),
    [anon_sym_default] = ACTIONS(1828),
    [anon_sym_enum] = ACTIONS(1828),
    [anon_sym_fn] = ACTIONS(1828),
    [anon_sym_for] = ACTIONS(1828),
    [anon_sym_if] = ACTIONS(1828),
    [anon_sym_impl] = ACTIONS(1828),
    [anon_sym_let] = ACTIONS(1828),
    [anon_sym_loop] = ACTIONS(1828),
    [anon_sym_match] = ACTIONS(1828),
    [anon_sym_mod] = ACTIONS(1828),
    [anon_sym_pub] = ACTIONS(1828),
    [anon_sym_return] = ACTIONS(1828),
    [anon_sym_static] = ACTIONS(1828),
    [anon_sym_struct] = ACTIONS(1828),
    [anon_sym_trait] = ACTIONS(1828),
    [anon_sym_type] = ACTIONS(1828),
    [anon_sym_union] = ACTIONS(1828),
    [anon_sym_unsafe] = ACTIONS(1828),
    [anon_sym_use] = ACTIONS(1828),
    [anon_sym_while] = ACTIONS(1828),
    [anon_sym_extern] = ACTIONS(1828),
    [anon_sym_yield] = ACTIONS(1828),
    [anon_sym_move] = ACTIONS(1828),
    [anon_sym_try] = ACTIONS(1828),
    [sym_integer_literal] = ACTIONS(1826),
    [aux_sym_string_literal_token1] = ACTIONS(1826),
    [sym_char_literal] = ACTIONS(1826),
    [anon_sym_true] = ACTIONS(1828),
    [anon_sym_false] = ACTIONS(1828),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1828),
    [sym_super] = ACTIONS(1828),
    [sym_crate] = ACTIONS(1828),
    [sym_metavariable] = ACTIONS(1826),
    [sym__raw_string_literal_start] = ACTIONS(1826),
    [sym_float_literal] = ACTIONS(1826),
  },
  [521] = {
    [sym_line_comment] = STATE(521),
    [sym_block_comment] = STATE(521),
    [ts_builtin_sym_end] = ACTIONS(1830),
    [sym_identifier] = ACTIONS(1832),
    [anon_sym_SEMI] = ACTIONS(1830),
    [anon_sym_macro_rules_BANG] = ACTIONS(1830),
    [anon_sym_LPAREN] = ACTIONS(1830),
    [anon_sym_LBRACK] = ACTIONS(1830),
    [anon_sym_LBRACE] = ACTIONS(1830),
    [anon_sym_RBRACE] = ACTIONS(1830),
    [anon_sym_STAR] = ACTIONS(1830),
    [anon_sym_u8] = ACTIONS(1832),
    [anon_sym_i8] = ACTIONS(1832),
    [anon_sym_u16] = ACTIONS(1832),
    [anon_sym_i16] = ACTIONS(1832),
    [anon_sym_u32] = ACTIONS(1832),
    [anon_sym_i32] = ACTIONS(1832),
    [anon_sym_u64] = ACTIONS(1832),
    [anon_sym_i64] = ACTIONS(1832),
    [anon_sym_u128] = ACTIONS(1832),
    [anon_sym_i128] = ACTIONS(1832),
    [anon_sym_isize] = ACTIONS(1832),
    [anon_sym_usize] = ACTIONS(1832),
    [anon_sym_f32] = ACTIONS(1832),
    [anon_sym_f64] = ACTIONS(1832),
    [anon_sym_bool] = ACTIONS(1832),
    [anon_sym_str] = ACTIONS(1832),
    [anon_sym_char] = ACTIONS(1832),
    [anon_sym_DASH] = ACTIONS(1830),
    [anon_sym_BANG] = ACTIONS(1830),
    [anon_sym_AMP] = ACTIONS(1830),
    [anon_sym_PIPE] = ACTIONS(1830),
    [anon_sym_LT] = ACTIONS(1830),
    [anon_sym_DOT_DOT] = ACTIONS(1830),
    [anon_sym_COLON_COLON] = ACTIONS(1830),
    [anon_sym_POUND] = ACTIONS(1830),
    [anon_sym_SQUOTE] = ACTIONS(1832),
    [anon_sym_async] = ACTIONS(1832),
    [anon_sym_break] = ACTIONS(1832),
    [anon_sym_const] = ACTIONS(1832),
    [anon_sym_continue] = ACTIONS(1832),
    [anon_sym_default] = ACTIONS(1832),
    [anon_sym_enum] = ACTIONS(1832),
    [anon_sym_fn] = ACTIONS(1832),
    [anon_sym_for] = ACTIONS(1832),
    [anon_sym_if] = ACTIONS(1832),
    [anon_sym_impl] = ACTIONS(1832),
    [anon_sym_let] = ACTIONS(1832),
    [anon_sym_loop] = ACTIONS(1832),
    [anon_sym_match] = ACTIONS(1832),
    [anon_sym_mod] = ACTIONS(1832),
    [anon_sym_pub] = ACTIONS(1832),
    [anon_sym_return] = ACTIONS(1832),
    [anon_sym_static] = ACTIONS(1832),
    [anon_sym_struct] = ACTIONS(1832),
    [anon_sym_trait] = ACTIONS(1832),
    [anon_sym_type] = ACTIONS(1832),
    [anon_sym_union] = ACTIONS(1832),
    [anon_sym_unsafe] = ACTIONS(1832),
    [anon_sym_use] = ACTIONS(1832),
    [anon_sym_while] = ACTIONS(1832),
    [anon_sym_extern] = ACTIONS(1832),
    [anon_sym_yield] = ACTIONS(1832),
    [anon_sym_move] = ACTIONS(1832),
    [anon_sym_try] = ACTIONS(1832),
    [sym_integer_literal] = ACTIONS(1830),
    [aux_sym_string_literal_token1] = ACTIONS(1830),
    [sym_char_literal] = ACTIONS(1830),
    [anon_sym_true] = ACTIONS(1832),
    [anon_sym_false] = ACTIONS(1832),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1832),
    [sym_super] = ACTIONS(1832),
    [sym_crate] = ACTIONS(1832),
    [sym_metavariable] = ACTIONS(1830),
    [sym__raw_string_literal_start] = ACTIONS(1830),
    [sym_float_literal] = ACTIONS(1830),
  },
  [522] = {
    [sym_line_comment] = STATE(522),
    [sym_block_comment] = STATE(522),
    [ts_builtin_sym_end] = ACTIONS(1834),
    [sym_identifier] = ACTIONS(1836),
    [anon_sym_SEMI] = ACTIONS(1834),
    [anon_sym_macro_rules_BANG] = ACTIONS(1834),
    [anon_sym_LPAREN] = ACTIONS(1834),
    [anon_sym_LBRACK] = ACTIONS(1834),
    [anon_sym_LBRACE] = ACTIONS(1834),
    [anon_sym_RBRACE] = ACTIONS(1834),
    [anon_sym_STAR] = ACTIONS(1834),
    [anon_sym_u8] = ACTIONS(1836),
    [anon_sym_i8] = ACTIONS(1836),
    [anon_sym_u16] = ACTIONS(1836),
    [anon_sym_i16] = ACTIONS(1836),
    [anon_sym_u32] = ACTIONS(1836),
    [anon_sym_i32] = ACTIONS(1836),
    [anon_sym_u64] = ACTIONS(1836),
    [anon_sym_i64] = ACTIONS(1836),
    [anon_sym_u128] = ACTIONS(1836),
    [anon_sym_i128] = ACTIONS(1836),
    [anon_sym_isize] = ACTIONS(1836),
    [anon_sym_usize] = ACTIONS(1836),
    [anon_sym_f32] = ACTIONS(1836),
    [anon_sym_f64] = ACTIONS(1836),
    [anon_sym_bool] = ACTIONS(1836),
    [anon_sym_str] = ACTIONS(1836),
    [anon_sym_char] = ACTIONS(1836),
    [anon_sym_DASH] = ACTIONS(1834),
    [anon_sym_BANG] = ACTIONS(1834),
    [anon_sym_AMP] = ACTIONS(1834),
    [anon_sym_PIPE] = ACTIONS(1834),
    [anon_sym_LT] = ACTIONS(1834),
    [anon_sym_DOT_DOT] = ACTIONS(1834),
    [anon_sym_COLON_COLON] = ACTIONS(1834),
    [anon_sym_POUND] = ACTIONS(1834),
    [anon_sym_SQUOTE] = ACTIONS(1836),
    [anon_sym_async] = ACTIONS(1836),
    [anon_sym_break] = ACTIONS(1836),
    [anon_sym_const] = ACTIONS(1836),
    [anon_sym_continue] = ACTIONS(1836),
    [anon_sym_default] = ACTIONS(1836),
    [anon_sym_enum] = ACTIONS(1836),
    [anon_sym_fn] = ACTIONS(1836),
    [anon_sym_for] = ACTIONS(1836),
    [anon_sym_if] = ACTIONS(1836),
    [anon_sym_impl] = ACTIONS(1836),
    [anon_sym_let] = ACTIONS(1836),
    [anon_sym_loop] = ACTIONS(1836),
    [anon_sym_match] = ACTIONS(1836),
    [anon_sym_mod] = ACTIONS(1836),
    [anon_sym_pub] = ACTIONS(1836),
    [anon_sym_return] = ACTIONS(1836),
    [anon_sym_static] = ACTIONS(1836),
    [anon_sym_struct] = ACTIONS(1836),
    [anon_sym_trait] = ACTIONS(1836),
    [anon_sym_type] = ACTIONS(1836),
    [anon_sym_union] = ACTIONS(1836),
    [anon_sym_unsafe] = ACTIONS(1836),
    [anon_sym_use] = ACTIONS(1836),
    [anon_sym_while] = ACTIONS(1836),
    [anon_sym_extern] = ACTIONS(1836),
    [anon_sym_yield] = ACTIONS(1836),
    [anon_sym_move] = ACTIONS(1836),
    [anon_sym_try] = ACTIONS(1836),
    [sym_integer_literal] = ACTIONS(1834),
    [aux_sym_string_literal_token1] = ACTIONS(1834),
    [sym_char_literal] = ACTIONS(1834),
    [anon_sym_true] = ACTIONS(1836),
    [anon_sym_false] = ACTIONS(1836),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1836),
    [sym_super] = ACTIONS(1836),
    [sym_crate] = ACTIONS(1836),
    [sym_metavariable] = ACTIONS(1834),
    [sym__raw_string_literal_start] = ACTIONS(1834),
    [sym_float_literal] = ACTIONS(1834),
  },
  [523] = {
    [sym_line_comment] = STATE(523),
    [sym_block_comment] = STATE(523),
    [ts_builtin_sym_end] = ACTIONS(1838),
    [sym_identifier] = ACTIONS(1840),
    [anon_sym_SEMI] = ACTIONS(1838),
    [anon_sym_macro_rules_BANG] = ACTIONS(1838),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym_LBRACE] = ACTIONS(1838),
    [anon_sym_RBRACE] = ACTIONS(1838),
    [anon_sym_STAR] = ACTIONS(1838),
    [anon_sym_u8] = ACTIONS(1840),
    [anon_sym_i8] = ACTIONS(1840),
    [anon_sym_u16] = ACTIONS(1840),
    [anon_sym_i16] = ACTIONS(1840),
    [anon_sym_u32] = ACTIONS(1840),
    [anon_sym_i32] = ACTIONS(1840),
    [anon_sym_u64] = ACTIONS(1840),
    [anon_sym_i64] = ACTIONS(1840),
    [anon_sym_u128] = ACTIONS(1840),
    [anon_sym_i128] = ACTIONS(1840),
    [anon_sym_isize] = ACTIONS(1840),
    [anon_sym_usize] = ACTIONS(1840),
    [anon_sym_f32] = ACTIONS(1840),
    [anon_sym_f64] = ACTIONS(1840),
    [anon_sym_bool] = ACTIONS(1840),
    [anon_sym_str] = ACTIONS(1840),
    [anon_sym_char] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_BANG] = ACTIONS(1838),
    [anon_sym_AMP] = ACTIONS(1838),
    [anon_sym_PIPE] = ACTIONS(1838),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_DOT_DOT] = ACTIONS(1838),
    [anon_sym_COLON_COLON] = ACTIONS(1838),
    [anon_sym_POUND] = ACTIONS(1838),
    [anon_sym_SQUOTE] = ACTIONS(1840),
    [anon_sym_async] = ACTIONS(1840),
    [anon_sym_break] = ACTIONS(1840),
    [anon_sym_const] = ACTIONS(1840),
    [anon_sym_continue] = ACTIONS(1840),
    [anon_sym_default] = ACTIONS(1840),
    [anon_sym_enum] = ACTIONS(1840),
    [anon_sym_fn] = ACTIONS(1840),
    [anon_sym_for] = ACTIONS(1840),
    [anon_sym_if] = ACTIONS(1840),
    [anon_sym_impl] = ACTIONS(1840),
    [anon_sym_let] = ACTIONS(1840),
    [anon_sym_loop] = ACTIONS(1840),
    [anon_sym_match] = ACTIONS(1840),
    [anon_sym_mod] = ACTIONS(1840),
    [anon_sym_pub] = ACTIONS(1840),
    [anon_sym_return] = ACTIONS(1840),
    [anon_sym_static] = ACTIONS(1840),
    [anon_sym_struct] = ACTIONS(1840),
    [anon_sym_trait] = ACTIONS(1840),
    [anon_sym_type] = ACTIONS(1840),
    [anon_sym_union] = ACTIONS(1840),
    [anon_sym_unsafe] = ACTIONS(1840),
    [anon_sym_use] = ACTIONS(1840),
    [anon_sym_while] = ACTIONS(1840),
    [anon_sym_extern] = ACTIONS(1840),
    [anon_sym_yield] = ACTIONS(1840),
    [anon_sym_move] = ACTIONS(1840),
    [anon_sym_try] = ACTIONS(1840),
    [sym_integer_literal] = ACTIONS(1838),
    [aux_sym_string_literal_token1] = ACTIONS(1838),
    [sym_char_literal] = ACTIONS(1838),
    [anon_sym_true] = ACTIONS(1840),
    [anon_sym_false] = ACTIONS(1840),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1840),
    [sym_super] = ACTIONS(1840),
    [sym_crate] = ACTIONS(1840),
    [sym_metavariable] = ACTIONS(1838),
    [sym__raw_string_literal_start] = ACTIONS(1838),
    [sym_float_literal] = ACTIONS(1838),
  },
  [524] = {
    [sym_line_comment] = STATE(524),
    [sym_block_comment] = STATE(524),
    [ts_builtin_sym_end] = ACTIONS(1842),
    [sym_identifier] = ACTIONS(1844),
    [anon_sym_SEMI] = ACTIONS(1842),
    [anon_sym_macro_rules_BANG] = ACTIONS(1842),
    [anon_sym_LPAREN] = ACTIONS(1842),
    [anon_sym_LBRACK] = ACTIONS(1842),
    [anon_sym_LBRACE] = ACTIONS(1842),
    [anon_sym_RBRACE] = ACTIONS(1842),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_u8] = ACTIONS(1844),
    [anon_sym_i8] = ACTIONS(1844),
    [anon_sym_u16] = ACTIONS(1844),
    [anon_sym_i16] = ACTIONS(1844),
    [anon_sym_u32] = ACTIONS(1844),
    [anon_sym_i32] = ACTIONS(1844),
    [anon_sym_u64] = ACTIONS(1844),
    [anon_sym_i64] = ACTIONS(1844),
    [anon_sym_u128] = ACTIONS(1844),
    [anon_sym_i128] = ACTIONS(1844),
    [anon_sym_isize] = ACTIONS(1844),
    [anon_sym_usize] = ACTIONS(1844),
    [anon_sym_f32] = ACTIONS(1844),
    [anon_sym_f64] = ACTIONS(1844),
    [anon_sym_bool] = ACTIONS(1844),
    [anon_sym_str] = ACTIONS(1844),
    [anon_sym_char] = ACTIONS(1844),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_BANG] = ACTIONS(1842),
    [anon_sym_AMP] = ACTIONS(1842),
    [anon_sym_PIPE] = ACTIONS(1842),
    [anon_sym_LT] = ACTIONS(1842),
    [anon_sym_DOT_DOT] = ACTIONS(1842),
    [anon_sym_COLON_COLON] = ACTIONS(1842),
    [anon_sym_POUND] = ACTIONS(1842),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_async] = ACTIONS(1844),
    [anon_sym_break] = ACTIONS(1844),
    [anon_sym_const] = ACTIONS(1844),
    [anon_sym_continue] = ACTIONS(1844),
    [anon_sym_default] = ACTIONS(1844),
    [anon_sym_enum] = ACTIONS(1844),
    [anon_sym_fn] = ACTIONS(1844),
    [anon_sym_for] = ACTIONS(1844),
    [anon_sym_if] = ACTIONS(1844),
    [anon_sym_impl] = ACTIONS(1844),
    [anon_sym_let] = ACTIONS(1844),
    [anon_sym_loop] = ACTIONS(1844),
    [anon_sym_match] = ACTIONS(1844),
    [anon_sym_mod] = ACTIONS(1844),
    [anon_sym_pub] = ACTIONS(1844),
    [anon_sym_return] = ACTIONS(1844),
    [anon_sym_static] = ACTIONS(1844),
    [anon_sym_struct] = ACTIONS(1844),
    [anon_sym_trait] = ACTIONS(1844),
    [anon_sym_type] = ACTIONS(1844),
    [anon_sym_union] = ACTIONS(1844),
    [anon_sym_unsafe] = ACTIONS(1844),
    [anon_sym_use] = ACTIONS(1844),
    [anon_sym_while] = ACTIONS(1844),
    [anon_sym_extern] = ACTIONS(1844),
    [anon_sym_yield] = ACTIONS(1844),
    [anon_sym_move] = ACTIONS(1844),
    [anon_sym_try] = ACTIONS(1844),
    [sym_integer_literal] = ACTIONS(1842),
    [aux_sym_string_literal_token1] = ACTIONS(1842),
    [sym_char_literal] = ACTIONS(1842),
    [anon_sym_true] = ACTIONS(1844),
    [anon_sym_false] = ACTIONS(1844),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1844),
    [sym_super] = ACTIONS(1844),
    [sym_crate] = ACTIONS(1844),
    [sym_metavariable] = ACTIONS(1842),
    [sym__raw_string_literal_start] = ACTIONS(1842),
    [sym_float_literal] = ACTIONS(1842),
  },
  [525] = {
    [sym_line_comment] = STATE(525),
    [sym_block_comment] = STATE(525),
    [ts_builtin_sym_end] = ACTIONS(1846),
    [sym_identifier] = ACTIONS(1848),
    [anon_sym_SEMI] = ACTIONS(1846),
    [anon_sym_macro_rules_BANG] = ACTIONS(1846),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_LBRACK] = ACTIONS(1846),
    [anon_sym_LBRACE] = ACTIONS(1846),
    [anon_sym_RBRACE] = ACTIONS(1846),
    [anon_sym_STAR] = ACTIONS(1846),
    [anon_sym_u8] = ACTIONS(1848),
    [anon_sym_i8] = ACTIONS(1848),
    [anon_sym_u16] = ACTIONS(1848),
    [anon_sym_i16] = ACTIONS(1848),
    [anon_sym_u32] = ACTIONS(1848),
    [anon_sym_i32] = ACTIONS(1848),
    [anon_sym_u64] = ACTIONS(1848),
    [anon_sym_i64] = ACTIONS(1848),
    [anon_sym_u128] = ACTIONS(1848),
    [anon_sym_i128] = ACTIONS(1848),
    [anon_sym_isize] = ACTIONS(1848),
    [anon_sym_usize] = ACTIONS(1848),
    [anon_sym_f32] = ACTIONS(1848),
    [anon_sym_f64] = ACTIONS(1848),
    [anon_sym_bool] = ACTIONS(1848),
    [anon_sym_str] = ACTIONS(1848),
    [anon_sym_char] = ACTIONS(1848),
    [anon_sym_DASH] = ACTIONS(1846),
    [anon_sym_BANG] = ACTIONS(1846),
    [anon_sym_AMP] = ACTIONS(1846),
    [anon_sym_PIPE] = ACTIONS(1846),
    [anon_sym_LT] = ACTIONS(1846),
    [anon_sym_DOT_DOT] = ACTIONS(1846),
    [anon_sym_COLON_COLON] = ACTIONS(1846),
    [anon_sym_POUND] = ACTIONS(1846),
    [anon_sym_SQUOTE] = ACTIONS(1848),
    [anon_sym_async] = ACTIONS(1848),
    [anon_sym_break] = ACTIONS(1848),
    [anon_sym_const] = ACTIONS(1848),
    [anon_sym_continue] = ACTIONS(1848),
    [anon_sym_default] = ACTIONS(1848),
    [anon_sym_enum] = ACTIONS(1848),
    [anon_sym_fn] = ACTIONS(1848),
    [anon_sym_for] = ACTIONS(1848),
    [anon_sym_if] = ACTIONS(1848),
    [anon_sym_impl] = ACTIONS(1848),
    [anon_sym_let] = ACTIONS(1848),
    [anon_sym_loop] = ACTIONS(1848),
    [anon_sym_match] = ACTIONS(1848),
    [anon_sym_mod] = ACTIONS(1848),
    [anon_sym_pub] = ACTIONS(1848),
    [anon_sym_return] = ACTIONS(1848),
    [anon_sym_static] = ACTIONS(1848),
    [anon_sym_struct] = ACTIONS(1848),
    [anon_sym_trait] = ACTIONS(1848),
    [anon_sym_type] = ACTIONS(1848),
    [anon_sym_union] = ACTIONS(1848),
    [anon_sym_unsafe] = ACTIONS(1848),
    [anon_sym_use] = ACTIONS(1848),
    [anon_sym_while] = ACTIONS(1848),
    [anon_sym_extern] = ACTIONS(1848),
    [anon_sym_yield] = ACTIONS(1848),
    [anon_sym_move] = ACTIONS(1848),
    [anon_sym_try] = ACTIONS(1848),
    [sym_integer_literal] = ACTIONS(1846),
    [aux_sym_string_literal_token1] = ACTIONS(1846),
    [sym_char_literal] = ACTIONS(1846),
    [anon_sym_true] = ACTIONS(1848),
    [anon_sym_false] = ACTIONS(1848),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1848),
    [sym_super] = ACTIONS(1848),
    [sym_crate] = ACTIONS(1848),
    [sym_metavariable] = ACTIONS(1846),
    [sym__raw_string_literal_start] = ACTIONS(1846),
    [sym_float_literal] = ACTIONS(1846),
  },
  [526] = {
    [sym_line_comment] = STATE(526),
    [sym_block_comment] = STATE(526),
    [ts_builtin_sym_end] = ACTIONS(1850),
    [sym_identifier] = ACTIONS(1852),
    [anon_sym_SEMI] = ACTIONS(1850),
    [anon_sym_macro_rules_BANG] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [anon_sym_LBRACE] = ACTIONS(1850),
    [anon_sym_RBRACE] = ACTIONS(1850),
    [anon_sym_STAR] = ACTIONS(1850),
    [anon_sym_u8] = ACTIONS(1852),
    [anon_sym_i8] = ACTIONS(1852),
    [anon_sym_u16] = ACTIONS(1852),
    [anon_sym_i16] = ACTIONS(1852),
    [anon_sym_u32] = ACTIONS(1852),
    [anon_sym_i32] = ACTIONS(1852),
    [anon_sym_u64] = ACTIONS(1852),
    [anon_sym_i64] = ACTIONS(1852),
    [anon_sym_u128] = ACTIONS(1852),
    [anon_sym_i128] = ACTIONS(1852),
    [anon_sym_isize] = ACTIONS(1852),
    [anon_sym_usize] = ACTIONS(1852),
    [anon_sym_f32] = ACTIONS(1852),
    [anon_sym_f64] = ACTIONS(1852),
    [anon_sym_bool] = ACTIONS(1852),
    [anon_sym_str] = ACTIONS(1852),
    [anon_sym_char] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1850),
    [anon_sym_BANG] = ACTIONS(1850),
    [anon_sym_AMP] = ACTIONS(1850),
    [anon_sym_PIPE] = ACTIONS(1850),
    [anon_sym_LT] = ACTIONS(1850),
    [anon_sym_DOT_DOT] = ACTIONS(1850),
    [anon_sym_COLON_COLON] = ACTIONS(1850),
    [anon_sym_POUND] = ACTIONS(1850),
    [anon_sym_SQUOTE] = ACTIONS(1852),
    [anon_sym_async] = ACTIONS(1852),
    [anon_sym_break] = ACTIONS(1852),
    [anon_sym_const] = ACTIONS(1852),
    [anon_sym_continue] = ACTIONS(1852),
    [anon_sym_default] = ACTIONS(1852),
    [anon_sym_enum] = ACTIONS(1852),
    [anon_sym_fn] = ACTIONS(1852),
    [anon_sym_for] = ACTIONS(1852),
    [anon_sym_if] = ACTIONS(1852),
    [anon_sym_impl] = ACTIONS(1852),
    [anon_sym_let] = ACTIONS(1852),
    [anon_sym_loop] = ACTIONS(1852),
    [anon_sym_match] = ACTIONS(1852),
    [anon_sym_mod] = ACTIONS(1852),
    [anon_sym_pub] = ACTIONS(1852),
    [anon_sym_return] = ACTIONS(1852),
    [anon_sym_static] = ACTIONS(1852),
    [anon_sym_struct] = ACTIONS(1852),
    [anon_sym_trait] = ACTIONS(1852),
    [anon_sym_type] = ACTIONS(1852),
    [anon_sym_union] = ACTIONS(1852),
    [anon_sym_unsafe] = ACTIONS(1852),
    [anon_sym_use] = ACTIONS(1852),
    [anon_sym_while] = ACTIONS(1852),
    [anon_sym_extern] = ACTIONS(1852),
    [anon_sym_yield] = ACTIONS(1852),
    [anon_sym_move] = ACTIONS(1852),
    [anon_sym_try] = ACTIONS(1852),
    [sym_integer_literal] = ACTIONS(1850),
    [aux_sym_string_literal_token1] = ACTIONS(1850),
    [sym_char_literal] = ACTIONS(1850),
    [anon_sym_true] = ACTIONS(1852),
    [anon_sym_false] = ACTIONS(1852),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1852),
    [sym_super] = ACTIONS(1852),
    [sym_crate] = ACTIONS(1852),
    [sym_metavariable] = ACTIONS(1850),
    [sym__raw_string_literal_start] = ACTIONS(1850),
    [sym_float_literal] = ACTIONS(1850),
  },
  [527] = {
    [sym_line_comment] = STATE(527),
    [sym_block_comment] = STATE(527),
    [ts_builtin_sym_end] = ACTIONS(1854),
    [sym_identifier] = ACTIONS(1856),
    [anon_sym_SEMI] = ACTIONS(1854),
    [anon_sym_macro_rules_BANG] = ACTIONS(1854),
    [anon_sym_LPAREN] = ACTIONS(1854),
    [anon_sym_LBRACK] = ACTIONS(1854),
    [anon_sym_LBRACE] = ACTIONS(1854),
    [anon_sym_RBRACE] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1854),
    [anon_sym_u8] = ACTIONS(1856),
    [anon_sym_i8] = ACTIONS(1856),
    [anon_sym_u16] = ACTIONS(1856),
    [anon_sym_i16] = ACTIONS(1856),
    [anon_sym_u32] = ACTIONS(1856),
    [anon_sym_i32] = ACTIONS(1856),
    [anon_sym_u64] = ACTIONS(1856),
    [anon_sym_i64] = ACTIONS(1856),
    [anon_sym_u128] = ACTIONS(1856),
    [anon_sym_i128] = ACTIONS(1856),
    [anon_sym_isize] = ACTIONS(1856),
    [anon_sym_usize] = ACTIONS(1856),
    [anon_sym_f32] = ACTIONS(1856),
    [anon_sym_f64] = ACTIONS(1856),
    [anon_sym_bool] = ACTIONS(1856),
    [anon_sym_str] = ACTIONS(1856),
    [anon_sym_char] = ACTIONS(1856),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_BANG] = ACTIONS(1854),
    [anon_sym_AMP] = ACTIONS(1854),
    [anon_sym_PIPE] = ACTIONS(1854),
    [anon_sym_LT] = ACTIONS(1854),
    [anon_sym_DOT_DOT] = ACTIONS(1854),
    [anon_sym_COLON_COLON] = ACTIONS(1854),
    [anon_sym_POUND] = ACTIONS(1854),
    [anon_sym_SQUOTE] = ACTIONS(1856),
    [anon_sym_async] = ACTIONS(1856),
    [anon_sym_break] = ACTIONS(1856),
    [anon_sym_const] = ACTIONS(1856),
    [anon_sym_continue] = ACTIONS(1856),
    [anon_sym_default] = ACTIONS(1856),
    [anon_sym_enum] = ACTIONS(1856),
    [anon_sym_fn] = ACTIONS(1856),
    [anon_sym_for] = ACTIONS(1856),
    [anon_sym_if] = ACTIONS(1856),
    [anon_sym_impl] = ACTIONS(1856),
    [anon_sym_let] = ACTIONS(1856),
    [anon_sym_loop] = ACTIONS(1856),
    [anon_sym_match] = ACTIONS(1856),
    [anon_sym_mod] = ACTIONS(1856),
    [anon_sym_pub] = ACTIONS(1856),
    [anon_sym_return] = ACTIONS(1856),
    [anon_sym_static] = ACTIONS(1856),
    [anon_sym_struct] = ACTIONS(1856),
    [anon_sym_trait] = ACTIONS(1856),
    [anon_sym_type] = ACTIONS(1856),
    [anon_sym_union] = ACTIONS(1856),
    [anon_sym_unsafe] = ACTIONS(1856),
    [anon_sym_use] = ACTIONS(1856),
    [anon_sym_while] = ACTIONS(1856),
    [anon_sym_extern] = ACTIONS(1856),
    [anon_sym_yield] = ACTIONS(1856),
    [anon_sym_move] = ACTIONS(1856),
    [anon_sym_try] = ACTIONS(1856),
    [sym_integer_literal] = ACTIONS(1854),
    [aux_sym_string_literal_token1] = ACTIONS(1854),
    [sym_char_literal] = ACTIONS(1854),
    [anon_sym_true] = ACTIONS(1856),
    [anon_sym_false] = ACTIONS(1856),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1856),
    [sym_super] = ACTIONS(1856),
    [sym_crate] = ACTIONS(1856),
    [sym_metavariable] = ACTIONS(1854),
    [sym__raw_string_literal_start] = ACTIONS(1854),
    [sym_float_literal] = ACTIONS(1854),
  },
  [528] = {
    [sym_line_comment] = STATE(528),
    [sym_block_comment] = STATE(528),
    [ts_builtin_sym_end] = ACTIONS(1858),
    [sym_identifier] = ACTIONS(1860),
    [anon_sym_SEMI] = ACTIONS(1858),
    [anon_sym_macro_rules_BANG] = ACTIONS(1858),
    [anon_sym_LPAREN] = ACTIONS(1858),
    [anon_sym_LBRACK] = ACTIONS(1858),
    [anon_sym_LBRACE] = ACTIONS(1858),
    [anon_sym_RBRACE] = ACTIONS(1858),
    [anon_sym_STAR] = ACTIONS(1858),
    [anon_sym_u8] = ACTIONS(1860),
    [anon_sym_i8] = ACTIONS(1860),
    [anon_sym_u16] = ACTIONS(1860),
    [anon_sym_i16] = ACTIONS(1860),
    [anon_sym_u32] = ACTIONS(1860),
    [anon_sym_i32] = ACTIONS(1860),
    [anon_sym_u64] = ACTIONS(1860),
    [anon_sym_i64] = ACTIONS(1860),
    [anon_sym_u128] = ACTIONS(1860),
    [anon_sym_i128] = ACTIONS(1860),
    [anon_sym_isize] = ACTIONS(1860),
    [anon_sym_usize] = ACTIONS(1860),
    [anon_sym_f32] = ACTIONS(1860),
    [anon_sym_f64] = ACTIONS(1860),
    [anon_sym_bool] = ACTIONS(1860),
    [anon_sym_str] = ACTIONS(1860),
    [anon_sym_char] = ACTIONS(1860),
    [anon_sym_DASH] = ACTIONS(1858),
    [anon_sym_BANG] = ACTIONS(1858),
    [anon_sym_AMP] = ACTIONS(1858),
    [anon_sym_PIPE] = ACTIONS(1858),
    [anon_sym_LT] = ACTIONS(1858),
    [anon_sym_DOT_DOT] = ACTIONS(1858),
    [anon_sym_COLON_COLON] = ACTIONS(1858),
    [anon_sym_POUND] = ACTIONS(1858),
    [anon_sym_SQUOTE] = ACTIONS(1860),
    [anon_sym_async] = ACTIONS(1860),
    [anon_sym_break] = ACTIONS(1860),
    [anon_sym_const] = ACTIONS(1860),
    [anon_sym_continue] = ACTIONS(1860),
    [anon_sym_default] = ACTIONS(1860),
    [anon_sym_enum] = ACTIONS(1860),
    [anon_sym_fn] = ACTIONS(1860),
    [anon_sym_for] = ACTIONS(1860),
    [anon_sym_if] = ACTIONS(1860),
    [anon_sym_impl] = ACTIONS(1860),
    [anon_sym_let] = ACTIONS(1860),
    [anon_sym_loop] = ACTIONS(1860),
    [anon_sym_match] = ACTIONS(1860),
    [anon_sym_mod] = ACTIONS(1860),
    [anon_sym_pub] = ACTIONS(1860),
    [anon_sym_return] = ACTIONS(1860),
    [anon_sym_static] = ACTIONS(1860),
    [anon_sym_struct] = ACTIONS(1860),
    [anon_sym_trait] = ACTIONS(1860),
    [anon_sym_type] = ACTIONS(1860),
    [anon_sym_union] = ACTIONS(1860),
    [anon_sym_unsafe] = ACTIONS(1860),
    [anon_sym_use] = ACTIONS(1860),
    [anon_sym_while] = ACTIONS(1860),
    [anon_sym_extern] = ACTIONS(1860),
    [anon_sym_yield] = ACTIONS(1860),
    [anon_sym_move] = ACTIONS(1860),
    [anon_sym_try] = ACTIONS(1860),
    [sym_integer_literal] = ACTIONS(1858),
    [aux_sym_string_literal_token1] = ACTIONS(1858),
    [sym_char_literal] = ACTIONS(1858),
    [anon_sym_true] = ACTIONS(1860),
    [anon_sym_false] = ACTIONS(1860),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1860),
    [sym_super] = ACTIONS(1860),
    [sym_crate] = ACTIONS(1860),
    [sym_metavariable] = ACTIONS(1858),
    [sym__raw_string_literal_start] = ACTIONS(1858),
    [sym_float_literal] = ACTIONS(1858),
  },
  [529] = {
    [sym_line_comment] = STATE(529),
    [sym_block_comment] = STATE(529),
    [ts_builtin_sym_end] = ACTIONS(1862),
    [sym_identifier] = ACTIONS(1864),
    [anon_sym_SEMI] = ACTIONS(1862),
    [anon_sym_macro_rules_BANG] = ACTIONS(1862),
    [anon_sym_LPAREN] = ACTIONS(1862),
    [anon_sym_LBRACK] = ACTIONS(1862),
    [anon_sym_LBRACE] = ACTIONS(1862),
    [anon_sym_RBRACE] = ACTIONS(1862),
    [anon_sym_STAR] = ACTIONS(1862),
    [anon_sym_u8] = ACTIONS(1864),
    [anon_sym_i8] = ACTIONS(1864),
    [anon_sym_u16] = ACTIONS(1864),
    [anon_sym_i16] = ACTIONS(1864),
    [anon_sym_u32] = ACTIONS(1864),
    [anon_sym_i32] = ACTIONS(1864),
    [anon_sym_u64] = ACTIONS(1864),
    [anon_sym_i64] = ACTIONS(1864),
    [anon_sym_u128] = ACTIONS(1864),
    [anon_sym_i128] = ACTIONS(1864),
    [anon_sym_isize] = ACTIONS(1864),
    [anon_sym_usize] = ACTIONS(1864),
    [anon_sym_f32] = ACTIONS(1864),
    [anon_sym_f64] = ACTIONS(1864),
    [anon_sym_bool] = ACTIONS(1864),
    [anon_sym_str] = ACTIONS(1864),
    [anon_sym_char] = ACTIONS(1864),
    [anon_sym_DASH] = ACTIONS(1862),
    [anon_sym_BANG] = ACTIONS(1862),
    [anon_sym_AMP] = ACTIONS(1862),
    [anon_sym_PIPE] = ACTIONS(1862),
    [anon_sym_LT] = ACTIONS(1862),
    [anon_sym_DOT_DOT] = ACTIONS(1862),
    [anon_sym_COLON_COLON] = ACTIONS(1862),
    [anon_sym_POUND] = ACTIONS(1862),
    [anon_sym_SQUOTE] = ACTIONS(1864),
    [anon_sym_async] = ACTIONS(1864),
    [anon_sym_break] = ACTIONS(1864),
    [anon_sym_const] = ACTIONS(1864),
    [anon_sym_continue] = ACTIONS(1864),
    [anon_sym_default] = ACTIONS(1864),
    [anon_sym_enum] = ACTIONS(1864),
    [anon_sym_fn] = ACTIONS(1864),
    [anon_sym_for] = ACTIONS(1864),
    [anon_sym_if] = ACTIONS(1864),
    [anon_sym_impl] = ACTIONS(1864),
    [anon_sym_let] = ACTIONS(1864),
    [anon_sym_loop] = ACTIONS(1864),
    [anon_sym_match] = ACTIONS(1864),
    [anon_sym_mod] = ACTIONS(1864),
    [anon_sym_pub] = ACTIONS(1864),
    [anon_sym_return] = ACTIONS(1864),
    [anon_sym_static] = ACTIONS(1864),
    [anon_sym_struct] = ACTIONS(1864),
    [anon_sym_trait] = ACTIONS(1864),
    [anon_sym_type] = ACTIONS(1864),
    [anon_sym_union] = ACTIONS(1864),
    [anon_sym_unsafe] = ACTIONS(1864),
    [anon_sym_use] = ACTIONS(1864),
    [anon_sym_while] = ACTIONS(1864),
    [anon_sym_extern] = ACTIONS(1864),
    [anon_sym_yield] = ACTIONS(1864),
    [anon_sym_move] = ACTIONS(1864),
    [anon_sym_try] = ACTIONS(1864),
    [sym_integer_literal] = ACTIONS(1862),
    [aux_sym_string_literal_token1] = ACTIONS(1862),
    [sym_char_literal] = ACTIONS(1862),
    [anon_sym_true] = ACTIONS(1864),
    [anon_sym_false] = ACTIONS(1864),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1864),
    [sym_super] = ACTIONS(1864),
    [sym_crate] = ACTIONS(1864),
    [sym_metavariable] = ACTIONS(1862),
    [sym__raw_string_literal_start] = ACTIONS(1862),
    [sym_float_literal] = ACTIONS(1862),
  },
  [530] = {
    [sym_line_comment] = STATE(530),
    [sym_block_comment] = STATE(530),
    [ts_builtin_sym_end] = ACTIONS(1866),
    [sym_identifier] = ACTIONS(1868),
    [anon_sym_SEMI] = ACTIONS(1866),
    [anon_sym_macro_rules_BANG] = ACTIONS(1866),
    [anon_sym_LPAREN] = ACTIONS(1866),
    [anon_sym_LBRACK] = ACTIONS(1866),
    [anon_sym_LBRACE] = ACTIONS(1866),
    [anon_sym_RBRACE] = ACTIONS(1866),
    [anon_sym_STAR] = ACTIONS(1866),
    [anon_sym_u8] = ACTIONS(1868),
    [anon_sym_i8] = ACTIONS(1868),
    [anon_sym_u16] = ACTIONS(1868),
    [anon_sym_i16] = ACTIONS(1868),
    [anon_sym_u32] = ACTIONS(1868),
    [anon_sym_i32] = ACTIONS(1868),
    [anon_sym_u64] = ACTIONS(1868),
    [anon_sym_i64] = ACTIONS(1868),
    [anon_sym_u128] = ACTIONS(1868),
    [anon_sym_i128] = ACTIONS(1868),
    [anon_sym_isize] = ACTIONS(1868),
    [anon_sym_usize] = ACTIONS(1868),
    [anon_sym_f32] = ACTIONS(1868),
    [anon_sym_f64] = ACTIONS(1868),
    [anon_sym_bool] = ACTIONS(1868),
    [anon_sym_str] = ACTIONS(1868),
    [anon_sym_char] = ACTIONS(1868),
    [anon_sym_DASH] = ACTIONS(1866),
    [anon_sym_BANG] = ACTIONS(1866),
    [anon_sym_AMP] = ACTIONS(1866),
    [anon_sym_PIPE] = ACTIONS(1866),
    [anon_sym_LT] = ACTIONS(1866),
    [anon_sym_DOT_DOT] = ACTIONS(1866),
    [anon_sym_COLON_COLON] = ACTIONS(1866),
    [anon_sym_POUND] = ACTIONS(1866),
    [anon_sym_SQUOTE] = ACTIONS(1868),
    [anon_sym_async] = ACTIONS(1868),
    [anon_sym_break] = ACTIONS(1868),
    [anon_sym_const] = ACTIONS(1868),
    [anon_sym_continue] = ACTIONS(1868),
    [anon_sym_default] = ACTIONS(1868),
    [anon_sym_enum] = ACTIONS(1868),
    [anon_sym_fn] = ACTIONS(1868),
    [anon_sym_for] = ACTIONS(1868),
    [anon_sym_if] = ACTIONS(1868),
    [anon_sym_impl] = ACTIONS(1868),
    [anon_sym_let] = ACTIONS(1868),
    [anon_sym_loop] = ACTIONS(1868),
    [anon_sym_match] = ACTIONS(1868),
    [anon_sym_mod] = ACTIONS(1868),
    [anon_sym_pub] = ACTIONS(1868),
    [anon_sym_return] = ACTIONS(1868),
    [anon_sym_static] = ACTIONS(1868),
    [anon_sym_struct] = ACTIONS(1868),
    [anon_sym_trait] = ACTIONS(1868),
    [anon_sym_type] = ACTIONS(1868),
    [anon_sym_union] = ACTIONS(1868),
    [anon_sym_unsafe] = ACTIONS(1868),
    [anon_sym_use] = ACTIONS(1868),
    [anon_sym_while] = ACTIONS(1868),
    [anon_sym_extern] = ACTIONS(1868),
    [anon_sym_yield] = ACTIONS(1868),
    [anon_sym_move] = ACTIONS(1868),
    [anon_sym_try] = ACTIONS(1868),
    [sym_integer_literal] = ACTIONS(1866),
    [aux_sym_string_literal_token1] = ACTIONS(1866),
    [sym_char_literal] = ACTIONS(1866),
    [anon_sym_true] = ACTIONS(1868),
    [anon_sym_false] = ACTIONS(1868),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1868),
    [sym_super] = ACTIONS(1868),
    [sym_crate] = ACTIONS(1868),
    [sym_metavariable] = ACTIONS(1866),
    [sym__raw_string_literal_start] = ACTIONS(1866),
    [sym_float_literal] = ACTIONS(1866),
  },
  [531] = {
    [sym_line_comment] = STATE(531),
    [sym_block_comment] = STATE(531),
    [ts_builtin_sym_end] = ACTIONS(1870),
    [sym_identifier] = ACTIONS(1872),
    [anon_sym_SEMI] = ACTIONS(1870),
    [anon_sym_macro_rules_BANG] = ACTIONS(1870),
    [anon_sym_LPAREN] = ACTIONS(1870),
    [anon_sym_LBRACK] = ACTIONS(1870),
    [anon_sym_LBRACE] = ACTIONS(1870),
    [anon_sym_RBRACE] = ACTIONS(1870),
    [anon_sym_STAR] = ACTIONS(1870),
    [anon_sym_u8] = ACTIONS(1872),
    [anon_sym_i8] = ACTIONS(1872),
    [anon_sym_u16] = ACTIONS(1872),
    [anon_sym_i16] = ACTIONS(1872),
    [anon_sym_u32] = ACTIONS(1872),
    [anon_sym_i32] = ACTIONS(1872),
    [anon_sym_u64] = ACTIONS(1872),
    [anon_sym_i64] = ACTIONS(1872),
    [anon_sym_u128] = ACTIONS(1872),
    [anon_sym_i128] = ACTIONS(1872),
    [anon_sym_isize] = ACTIONS(1872),
    [anon_sym_usize] = ACTIONS(1872),
    [anon_sym_f32] = ACTIONS(1872),
    [anon_sym_f64] = ACTIONS(1872),
    [anon_sym_bool] = ACTIONS(1872),
    [anon_sym_str] = ACTIONS(1872),
    [anon_sym_char] = ACTIONS(1872),
    [anon_sym_DASH] = ACTIONS(1870),
    [anon_sym_BANG] = ACTIONS(1870),
    [anon_sym_AMP] = ACTIONS(1870),
    [anon_sym_PIPE] = ACTIONS(1870),
    [anon_sym_LT] = ACTIONS(1870),
    [anon_sym_DOT_DOT] = ACTIONS(1870),
    [anon_sym_COLON_COLON] = ACTIONS(1870),
    [anon_sym_POUND] = ACTIONS(1870),
    [anon_sym_SQUOTE] = ACTIONS(1872),
    [anon_sym_async] = ACTIONS(1872),
    [anon_sym_break] = ACTIONS(1872),
    [anon_sym_const] = ACTIONS(1872),
    [anon_sym_continue] = ACTIONS(1872),
    [anon_sym_default] = ACTIONS(1872),
    [anon_sym_enum] = ACTIONS(1872),
    [anon_sym_fn] = ACTIONS(1872),
    [anon_sym_for] = ACTIONS(1872),
    [anon_sym_if] = ACTIONS(1872),
    [anon_sym_impl] = ACTIONS(1872),
    [anon_sym_let] = ACTIONS(1872),
    [anon_sym_loop] = ACTIONS(1872),
    [anon_sym_match] = ACTIONS(1872),
    [anon_sym_mod] = ACTIONS(1872),
    [anon_sym_pub] = ACTIONS(1872),
    [anon_sym_return] = ACTIONS(1872),
    [anon_sym_static] = ACTIONS(1872),
    [anon_sym_struct] = ACTIONS(1872),
    [anon_sym_trait] = ACTIONS(1872),
    [anon_sym_type] = ACTIONS(1872),
    [anon_sym_union] = ACTIONS(1872),
    [anon_sym_unsafe] = ACTIONS(1872),
    [anon_sym_use] = ACTIONS(1872),
    [anon_sym_while] = ACTIONS(1872),
    [anon_sym_extern] = ACTIONS(1872),
    [anon_sym_yield] = ACTIONS(1872),
    [anon_sym_move] = ACTIONS(1872),
    [anon_sym_try] = ACTIONS(1872),
    [sym_integer_literal] = ACTIONS(1870),
    [aux_sym_string_literal_token1] = ACTIONS(1870),
    [sym_char_literal] = ACTIONS(1870),
    [anon_sym_true] = ACTIONS(1872),
    [anon_sym_false] = ACTIONS(1872),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1872),
    [sym_super] = ACTIONS(1872),
    [sym_crate] = ACTIONS(1872),
    [sym_metavariable] = ACTIONS(1870),
    [sym__raw_string_literal_start] = ACTIONS(1870),
    [sym_float_literal] = ACTIONS(1870),
  },
  [532] = {
    [sym_line_comment] = STATE(532),
    [sym_block_comment] = STATE(532),
    [ts_builtin_sym_end] = ACTIONS(1874),
    [sym_identifier] = ACTIONS(1876),
    [anon_sym_SEMI] = ACTIONS(1874),
    [anon_sym_macro_rules_BANG] = ACTIONS(1874),
    [anon_sym_LPAREN] = ACTIONS(1874),
    [anon_sym_LBRACK] = ACTIONS(1874),
    [anon_sym_LBRACE] = ACTIONS(1874),
    [anon_sym_RBRACE] = ACTIONS(1874),
    [anon_sym_STAR] = ACTIONS(1874),
    [anon_sym_u8] = ACTIONS(1876),
    [anon_sym_i8] = ACTIONS(1876),
    [anon_sym_u16] = ACTIONS(1876),
    [anon_sym_i16] = ACTIONS(1876),
    [anon_sym_u32] = ACTIONS(1876),
    [anon_sym_i32] = ACTIONS(1876),
    [anon_sym_u64] = ACTIONS(1876),
    [anon_sym_i64] = ACTIONS(1876),
    [anon_sym_u128] = ACTIONS(1876),
    [anon_sym_i128] = ACTIONS(1876),
    [anon_sym_isize] = ACTIONS(1876),
    [anon_sym_usize] = ACTIONS(1876),
    [anon_sym_f32] = ACTIONS(1876),
    [anon_sym_f64] = ACTIONS(1876),
    [anon_sym_bool] = ACTIONS(1876),
    [anon_sym_str] = ACTIONS(1876),
    [anon_sym_char] = ACTIONS(1876),
    [anon_sym_DASH] = ACTIONS(1874),
    [anon_sym_BANG] = ACTIONS(1874),
    [anon_sym_AMP] = ACTIONS(1874),
    [anon_sym_PIPE] = ACTIONS(1874),
    [anon_sym_LT] = ACTIONS(1874),
    [anon_sym_DOT_DOT] = ACTIONS(1874),
    [anon_sym_COLON_COLON] = ACTIONS(1874),
    [anon_sym_POUND] = ACTIONS(1874),
    [anon_sym_SQUOTE] = ACTIONS(1876),
    [anon_sym_async] = ACTIONS(1876),
    [anon_sym_break] = ACTIONS(1876),
    [anon_sym_const] = ACTIONS(1876),
    [anon_sym_continue] = ACTIONS(1876),
    [anon_sym_default] = ACTIONS(1876),
    [anon_sym_enum] = ACTIONS(1876),
    [anon_sym_fn] = ACTIONS(1876),
    [anon_sym_for] = ACTIONS(1876),
    [anon_sym_if] = ACTIONS(1876),
    [anon_sym_impl] = ACTIONS(1876),
    [anon_sym_let] = ACTIONS(1876),
    [anon_sym_loop] = ACTIONS(1876),
    [anon_sym_match] = ACTIONS(1876),
    [anon_sym_mod] = ACTIONS(1876),
    [anon_sym_pub] = ACTIONS(1876),
    [anon_sym_return] = ACTIONS(1876),
    [anon_sym_static] = ACTIONS(1876),
    [anon_sym_struct] = ACTIONS(1876),
    [anon_sym_trait] = ACTIONS(1876),
    [anon_sym_type] = ACTIONS(1876),
    [anon_sym_union] = ACTIONS(1876),
    [anon_sym_unsafe] = ACTIONS(1876),
    [anon_sym_use] = ACTIONS(1876),
    [anon_sym_while] = ACTIONS(1876),
    [anon_sym_extern] = ACTIONS(1876),
    [anon_sym_yield] = ACTIONS(1876),
    [anon_sym_move] = ACTIONS(1876),
    [anon_sym_try] = ACTIONS(1876),
    [sym_integer_literal] = ACTIONS(1874),
    [aux_sym_string_literal_token1] = ACTIONS(1874),
    [sym_char_literal] = ACTIONS(1874),
    [anon_sym_true] = ACTIONS(1876),
    [anon_sym_false] = ACTIONS(1876),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1876),
    [sym_super] = ACTIONS(1876),
    [sym_crate] = ACTIONS(1876),
    [sym_metavariable] = ACTIONS(1874),
    [sym__raw_string_literal_start] = ACTIONS(1874),
    [sym_float_literal] = ACTIONS(1874),
  },
  [533] = {
    [sym_line_comment] = STATE(533),
    [sym_block_comment] = STATE(533),
    [ts_builtin_sym_end] = ACTIONS(1878),
    [sym_identifier] = ACTIONS(1880),
    [anon_sym_SEMI] = ACTIONS(1878),
    [anon_sym_macro_rules_BANG] = ACTIONS(1878),
    [anon_sym_LPAREN] = ACTIONS(1878),
    [anon_sym_LBRACK] = ACTIONS(1878),
    [anon_sym_LBRACE] = ACTIONS(1878),
    [anon_sym_RBRACE] = ACTIONS(1878),
    [anon_sym_STAR] = ACTIONS(1878),
    [anon_sym_u8] = ACTIONS(1880),
    [anon_sym_i8] = ACTIONS(1880),
    [anon_sym_u16] = ACTIONS(1880),
    [anon_sym_i16] = ACTIONS(1880),
    [anon_sym_u32] = ACTIONS(1880),
    [anon_sym_i32] = ACTIONS(1880),
    [anon_sym_u64] = ACTIONS(1880),
    [anon_sym_i64] = ACTIONS(1880),
    [anon_sym_u128] = ACTIONS(1880),
    [anon_sym_i128] = ACTIONS(1880),
    [anon_sym_isize] = ACTIONS(1880),
    [anon_sym_usize] = ACTIONS(1880),
    [anon_sym_f32] = ACTIONS(1880),
    [anon_sym_f64] = ACTIONS(1880),
    [anon_sym_bool] = ACTIONS(1880),
    [anon_sym_str] = ACTIONS(1880),
    [anon_sym_char] = ACTIONS(1880),
    [anon_sym_DASH] = ACTIONS(1878),
    [anon_sym_BANG] = ACTIONS(1878),
    [anon_sym_AMP] = ACTIONS(1878),
    [anon_sym_PIPE] = ACTIONS(1878),
    [anon_sym_LT] = ACTIONS(1878),
    [anon_sym_DOT_DOT] = ACTIONS(1878),
    [anon_sym_COLON_COLON] = ACTIONS(1878),
    [anon_sym_POUND] = ACTIONS(1878),
    [anon_sym_SQUOTE] = ACTIONS(1880),
    [anon_sym_async] = ACTIONS(1880),
    [anon_sym_break] = ACTIONS(1880),
    [anon_sym_const] = ACTIONS(1880),
    [anon_sym_continue] = ACTIONS(1880),
    [anon_sym_default] = ACTIONS(1880),
    [anon_sym_enum] = ACTIONS(1880),
    [anon_sym_fn] = ACTIONS(1880),
    [anon_sym_for] = ACTIONS(1880),
    [anon_sym_if] = ACTIONS(1880),
    [anon_sym_impl] = ACTIONS(1880),
    [anon_sym_let] = ACTIONS(1880),
    [anon_sym_loop] = ACTIONS(1880),
    [anon_sym_match] = ACTIONS(1880),
    [anon_sym_mod] = ACTIONS(1880),
    [anon_sym_pub] = ACTIONS(1880),
    [anon_sym_return] = ACTIONS(1880),
    [anon_sym_static] = ACTIONS(1880),
    [anon_sym_struct] = ACTIONS(1880),
    [anon_sym_trait] = ACTIONS(1880),
    [anon_sym_type] = ACTIONS(1880),
    [anon_sym_union] = ACTIONS(1880),
    [anon_sym_unsafe] = ACTIONS(1880),
    [anon_sym_use] = ACTIONS(1880),
    [anon_sym_while] = ACTIONS(1880),
    [anon_sym_extern] = ACTIONS(1880),
    [anon_sym_yield] = ACTIONS(1880),
    [anon_sym_move] = ACTIONS(1880),
    [anon_sym_try] = ACTIONS(1880),
    [sym_integer_literal] = ACTIONS(1878),
    [aux_sym_string_literal_token1] = ACTIONS(1878),
    [sym_char_literal] = ACTIONS(1878),
    [anon_sym_true] = ACTIONS(1880),
    [anon_sym_false] = ACTIONS(1880),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1880),
    [sym_super] = ACTIONS(1880),
    [sym_crate] = ACTIONS(1880),
    [sym_metavariable] = ACTIONS(1878),
    [sym__raw_string_literal_start] = ACTIONS(1878),
    [sym_float_literal] = ACTIONS(1878),
  },
  [534] = {
    [sym_line_comment] = STATE(534),
    [sym_block_comment] = STATE(534),
    [ts_builtin_sym_end] = ACTIONS(1882),
    [sym_identifier] = ACTIONS(1884),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_macro_rules_BANG] = ACTIONS(1882),
    [anon_sym_LPAREN] = ACTIONS(1882),
    [anon_sym_LBRACK] = ACTIONS(1882),
    [anon_sym_LBRACE] = ACTIONS(1882),
    [anon_sym_RBRACE] = ACTIONS(1882),
    [anon_sym_STAR] = ACTIONS(1882),
    [anon_sym_u8] = ACTIONS(1884),
    [anon_sym_i8] = ACTIONS(1884),
    [anon_sym_u16] = ACTIONS(1884),
    [anon_sym_i16] = ACTIONS(1884),
    [anon_sym_u32] = ACTIONS(1884),
    [anon_sym_i32] = ACTIONS(1884),
    [anon_sym_u64] = ACTIONS(1884),
    [anon_sym_i64] = ACTIONS(1884),
    [anon_sym_u128] = ACTIONS(1884),
    [anon_sym_i128] = ACTIONS(1884),
    [anon_sym_isize] = ACTIONS(1884),
    [anon_sym_usize] = ACTIONS(1884),
    [anon_sym_f32] = ACTIONS(1884),
    [anon_sym_f64] = ACTIONS(1884),
    [anon_sym_bool] = ACTIONS(1884),
    [anon_sym_str] = ACTIONS(1884),
    [anon_sym_char] = ACTIONS(1884),
    [anon_sym_DASH] = ACTIONS(1882),
    [anon_sym_BANG] = ACTIONS(1882),
    [anon_sym_AMP] = ACTIONS(1882),
    [anon_sym_PIPE] = ACTIONS(1882),
    [anon_sym_LT] = ACTIONS(1882),
    [anon_sym_DOT_DOT] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(1882),
    [anon_sym_POUND] = ACTIONS(1882),
    [anon_sym_SQUOTE] = ACTIONS(1884),
    [anon_sym_async] = ACTIONS(1884),
    [anon_sym_break] = ACTIONS(1884),
    [anon_sym_const] = ACTIONS(1884),
    [anon_sym_continue] = ACTIONS(1884),
    [anon_sym_default] = ACTIONS(1884),
    [anon_sym_enum] = ACTIONS(1884),
    [anon_sym_fn] = ACTIONS(1884),
    [anon_sym_for] = ACTIONS(1884),
    [anon_sym_if] = ACTIONS(1884),
    [anon_sym_impl] = ACTIONS(1884),
    [anon_sym_let] = ACTIONS(1884),
    [anon_sym_loop] = ACTIONS(1884),
    [anon_sym_match] = ACTIONS(1884),
    [anon_sym_mod] = ACTIONS(1884),
    [anon_sym_pub] = ACTIONS(1884),
    [anon_sym_return] = ACTIONS(1884),
    [anon_sym_static] = ACTIONS(1884),
    [anon_sym_struct] = ACTIONS(1884),
    [anon_sym_trait] = ACTIONS(1884),
    [anon_sym_type] = ACTIONS(1884),
    [anon_sym_union] = ACTIONS(1884),
    [anon_sym_unsafe] = ACTIONS(1884),
    [anon_sym_use] = ACTIONS(1884),
    [anon_sym_while] = ACTIONS(1884),
    [anon_sym_extern] = ACTIONS(1884),
    [anon_sym_yield] = ACTIONS(1884),
    [anon_sym_move] = ACTIONS(1884),
    [anon_sym_try] = ACTIONS(1884),
    [sym_integer_literal] = ACTIONS(1882),
    [aux_sym_string_literal_token1] = ACTIONS(1882),
    [sym_char_literal] = ACTIONS(1882),
    [anon_sym_true] = ACTIONS(1884),
    [anon_sym_false] = ACTIONS(1884),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1884),
    [sym_super] = ACTIONS(1884),
    [sym_crate] = ACTIONS(1884),
    [sym_metavariable] = ACTIONS(1882),
    [sym__raw_string_literal_start] = ACTIONS(1882),
    [sym_float_literal] = ACTIONS(1882),
  },
  [535] = {
    [sym_line_comment] = STATE(535),
    [sym_block_comment] = STATE(535),
    [ts_builtin_sym_end] = ACTIONS(1886),
    [sym_identifier] = ACTIONS(1888),
    [anon_sym_SEMI] = ACTIONS(1886),
    [anon_sym_macro_rules_BANG] = ACTIONS(1886),
    [anon_sym_LPAREN] = ACTIONS(1886),
    [anon_sym_LBRACK] = ACTIONS(1886),
    [anon_sym_LBRACE] = ACTIONS(1886),
    [anon_sym_RBRACE] = ACTIONS(1886),
    [anon_sym_STAR] = ACTIONS(1886),
    [anon_sym_u8] = ACTIONS(1888),
    [anon_sym_i8] = ACTIONS(1888),
    [anon_sym_u16] = ACTIONS(1888),
    [anon_sym_i16] = ACTIONS(1888),
    [anon_sym_u32] = ACTIONS(1888),
    [anon_sym_i32] = ACTIONS(1888),
    [anon_sym_u64] = ACTIONS(1888),
    [anon_sym_i64] = ACTIONS(1888),
    [anon_sym_u128] = ACTIONS(1888),
    [anon_sym_i128] = ACTIONS(1888),
    [anon_sym_isize] = ACTIONS(1888),
    [anon_sym_usize] = ACTIONS(1888),
    [anon_sym_f32] = ACTIONS(1888),
    [anon_sym_f64] = ACTIONS(1888),
    [anon_sym_bool] = ACTIONS(1888),
    [anon_sym_str] = ACTIONS(1888),
    [anon_sym_char] = ACTIONS(1888),
    [anon_sym_DASH] = ACTIONS(1886),
    [anon_sym_BANG] = ACTIONS(1886),
    [anon_sym_AMP] = ACTIONS(1886),
    [anon_sym_PIPE] = ACTIONS(1886),
    [anon_sym_LT] = ACTIONS(1886),
    [anon_sym_DOT_DOT] = ACTIONS(1886),
    [anon_sym_COLON_COLON] = ACTIONS(1886),
    [anon_sym_POUND] = ACTIONS(1886),
    [anon_sym_SQUOTE] = ACTIONS(1888),
    [anon_sym_async] = ACTIONS(1888),
    [anon_sym_break] = ACTIONS(1888),
    [anon_sym_const] = ACTIONS(1888),
    [anon_sym_continue] = ACTIONS(1888),
    [anon_sym_default] = ACTIONS(1888),
    [anon_sym_enum] = ACTIONS(1888),
    [anon_sym_fn] = ACTIONS(1888),
    [anon_sym_for] = ACTIONS(1888),
    [anon_sym_if] = ACTIONS(1888),
    [anon_sym_impl] = ACTIONS(1888),
    [anon_sym_let] = ACTIONS(1888),
    [anon_sym_loop] = ACTIONS(1888),
    [anon_sym_match] = ACTIONS(1888),
    [anon_sym_mod] = ACTIONS(1888),
    [anon_sym_pub] = ACTIONS(1888),
    [anon_sym_return] = ACTIONS(1888),
    [anon_sym_static] = ACTIONS(1888),
    [anon_sym_struct] = ACTIONS(1888),
    [anon_sym_trait] = ACTIONS(1888),
    [anon_sym_type] = ACTIONS(1888),
    [anon_sym_union] = ACTIONS(1888),
    [anon_sym_unsafe] = ACTIONS(1888),
    [anon_sym_use] = ACTIONS(1888),
    [anon_sym_while] = ACTIONS(1888),
    [anon_sym_extern] = ACTIONS(1888),
    [anon_sym_yield] = ACTIONS(1888),
    [anon_sym_move] = ACTIONS(1888),
    [anon_sym_try] = ACTIONS(1888),
    [sym_integer_literal] = ACTIONS(1886),
    [aux_sym_string_literal_token1] = ACTIONS(1886),
    [sym_char_literal] = ACTIONS(1886),
    [anon_sym_true] = ACTIONS(1888),
    [anon_sym_false] = ACTIONS(1888),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1888),
    [sym_super] = ACTIONS(1888),
    [sym_crate] = ACTIONS(1888),
    [sym_metavariable] = ACTIONS(1886),
    [sym__raw_string_literal_start] = ACTIONS(1886),
    [sym_float_literal] = ACTIONS(1886),
  },
  [536] = {
    [sym_line_comment] = STATE(536),
    [sym_block_comment] = STATE(536),
    [ts_builtin_sym_end] = ACTIONS(1890),
    [sym_identifier] = ACTIONS(1892),
    [anon_sym_SEMI] = ACTIONS(1890),
    [anon_sym_macro_rules_BANG] = ACTIONS(1890),
    [anon_sym_LPAREN] = ACTIONS(1890),
    [anon_sym_LBRACK] = ACTIONS(1890),
    [anon_sym_LBRACE] = ACTIONS(1890),
    [anon_sym_RBRACE] = ACTIONS(1890),
    [anon_sym_STAR] = ACTIONS(1890),
    [anon_sym_u8] = ACTIONS(1892),
    [anon_sym_i8] = ACTIONS(1892),
    [anon_sym_u16] = ACTIONS(1892),
    [anon_sym_i16] = ACTIONS(1892),
    [anon_sym_u32] = ACTIONS(1892),
    [anon_sym_i32] = ACTIONS(1892),
    [anon_sym_u64] = ACTIONS(1892),
    [anon_sym_i64] = ACTIONS(1892),
    [anon_sym_u128] = ACTIONS(1892),
    [anon_sym_i128] = ACTIONS(1892),
    [anon_sym_isize] = ACTIONS(1892),
    [anon_sym_usize] = ACTIONS(1892),
    [anon_sym_f32] = ACTIONS(1892),
    [anon_sym_f64] = ACTIONS(1892),
    [anon_sym_bool] = ACTIONS(1892),
    [anon_sym_str] = ACTIONS(1892),
    [anon_sym_char] = ACTIONS(1892),
    [anon_sym_DASH] = ACTIONS(1890),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_AMP] = ACTIONS(1890),
    [anon_sym_PIPE] = ACTIONS(1890),
    [anon_sym_LT] = ACTIONS(1890),
    [anon_sym_DOT_DOT] = ACTIONS(1890),
    [anon_sym_COLON_COLON] = ACTIONS(1890),
    [anon_sym_POUND] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1892),
    [anon_sym_async] = ACTIONS(1892),
    [anon_sym_break] = ACTIONS(1892),
    [anon_sym_const] = ACTIONS(1892),
    [anon_sym_continue] = ACTIONS(1892),
    [anon_sym_default] = ACTIONS(1892),
    [anon_sym_enum] = ACTIONS(1892),
    [anon_sym_fn] = ACTIONS(1892),
    [anon_sym_for] = ACTIONS(1892),
    [anon_sym_if] = ACTIONS(1892),
    [anon_sym_impl] = ACTIONS(1892),
    [anon_sym_let] = ACTIONS(1892),
    [anon_sym_loop] = ACTIONS(1892),
    [anon_sym_match] = ACTIONS(1892),
    [anon_sym_mod] = ACTIONS(1892),
    [anon_sym_pub] = ACTIONS(1892),
    [anon_sym_return] = ACTIONS(1892),
    [anon_sym_static] = ACTIONS(1892),
    [anon_sym_struct] = ACTIONS(1892),
    [anon_sym_trait] = ACTIONS(1892),
    [anon_sym_type] = ACTIONS(1892),
    [anon_sym_union] = ACTIONS(1892),
    [anon_sym_unsafe] = ACTIONS(1892),
    [anon_sym_use] = ACTIONS(1892),
    [anon_sym_while] = ACTIONS(1892),
    [anon_sym_extern] = ACTIONS(1892),
    [anon_sym_yield] = ACTIONS(1892),
    [anon_sym_move] = ACTIONS(1892),
    [anon_sym_try] = ACTIONS(1892),
    [sym_integer_literal] = ACTIONS(1890),
    [aux_sym_string_literal_token1] = ACTIONS(1890),
    [sym_char_literal] = ACTIONS(1890),
    [anon_sym_true] = ACTIONS(1892),
    [anon_sym_false] = ACTIONS(1892),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1892),
    [sym_super] = ACTIONS(1892),
    [sym_crate] = ACTIONS(1892),
    [sym_metavariable] = ACTIONS(1890),
    [sym__raw_string_literal_start] = ACTIONS(1890),
    [sym_float_literal] = ACTIONS(1890),
  },
  [537] = {
    [sym_line_comment] = STATE(537),
    [sym_block_comment] = STATE(537),
    [ts_builtin_sym_end] = ACTIONS(1894),
    [sym_identifier] = ACTIONS(1896),
    [anon_sym_SEMI] = ACTIONS(1894),
    [anon_sym_macro_rules_BANG] = ACTIONS(1894),
    [anon_sym_LPAREN] = ACTIONS(1894),
    [anon_sym_LBRACK] = ACTIONS(1894),
    [anon_sym_LBRACE] = ACTIONS(1894),
    [anon_sym_RBRACE] = ACTIONS(1894),
    [anon_sym_STAR] = ACTIONS(1894),
    [anon_sym_u8] = ACTIONS(1896),
    [anon_sym_i8] = ACTIONS(1896),
    [anon_sym_u16] = ACTIONS(1896),
    [anon_sym_i16] = ACTIONS(1896),
    [anon_sym_u32] = ACTIONS(1896),
    [anon_sym_i32] = ACTIONS(1896),
    [anon_sym_u64] = ACTIONS(1896),
    [anon_sym_i64] = ACTIONS(1896),
    [anon_sym_u128] = ACTIONS(1896),
    [anon_sym_i128] = ACTIONS(1896),
    [anon_sym_isize] = ACTIONS(1896),
    [anon_sym_usize] = ACTIONS(1896),
    [anon_sym_f32] = ACTIONS(1896),
    [anon_sym_f64] = ACTIONS(1896),
    [anon_sym_bool] = ACTIONS(1896),
    [anon_sym_str] = ACTIONS(1896),
    [anon_sym_char] = ACTIONS(1896),
    [anon_sym_DASH] = ACTIONS(1894),
    [anon_sym_BANG] = ACTIONS(1894),
    [anon_sym_AMP] = ACTIONS(1894),
    [anon_sym_PIPE] = ACTIONS(1894),
    [anon_sym_LT] = ACTIONS(1894),
    [anon_sym_DOT_DOT] = ACTIONS(1894),
    [anon_sym_COLON_COLON] = ACTIONS(1894),
    [anon_sym_POUND] = ACTIONS(1894),
    [anon_sym_SQUOTE] = ACTIONS(1896),
    [anon_sym_async] = ACTIONS(1896),
    [anon_sym_break] = ACTIONS(1896),
    [anon_sym_const] = ACTIONS(1896),
    [anon_sym_continue] = ACTIONS(1896),
    [anon_sym_default] = ACTIONS(1896),
    [anon_sym_enum] = ACTIONS(1896),
    [anon_sym_fn] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1896),
    [anon_sym_if] = ACTIONS(1896),
    [anon_sym_impl] = ACTIONS(1896),
    [anon_sym_let] = ACTIONS(1896),
    [anon_sym_loop] = ACTIONS(1896),
    [anon_sym_match] = ACTIONS(1896),
    [anon_sym_mod] = ACTIONS(1896),
    [anon_sym_pub] = ACTIONS(1896),
    [anon_sym_return] = ACTIONS(1896),
    [anon_sym_static] = ACTIONS(1896),
    [anon_sym_struct] = ACTIONS(1896),
    [anon_sym_trait] = ACTIONS(1896),
    [anon_sym_type] = ACTIONS(1896),
    [anon_sym_union] = ACTIONS(1896),
    [anon_sym_unsafe] = ACTIONS(1896),
    [anon_sym_use] = ACTIONS(1896),
    [anon_sym_while] = ACTIONS(1896),
    [anon_sym_extern] = ACTIONS(1896),
    [anon_sym_yield] = ACTIONS(1896),
    [anon_sym_move] = ACTIONS(1896),
    [anon_sym_try] = ACTIONS(1896),
    [sym_integer_literal] = ACTIONS(1894),
    [aux_sym_string_literal_token1] = ACTIONS(1894),
    [sym_char_literal] = ACTIONS(1894),
    [anon_sym_true] = ACTIONS(1896),
    [anon_sym_false] = ACTIONS(1896),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1896),
    [sym_super] = ACTIONS(1896),
    [sym_crate] = ACTIONS(1896),
    [sym_metavariable] = ACTIONS(1894),
    [sym__raw_string_literal_start] = ACTIONS(1894),
    [sym_float_literal] = ACTIONS(1894),
  },
  [538] = {
    [sym_line_comment] = STATE(538),
    [sym_block_comment] = STATE(538),
    [ts_builtin_sym_end] = ACTIONS(1898),
    [sym_identifier] = ACTIONS(1900),
    [anon_sym_SEMI] = ACTIONS(1898),
    [anon_sym_macro_rules_BANG] = ACTIONS(1898),
    [anon_sym_LPAREN] = ACTIONS(1898),
    [anon_sym_LBRACK] = ACTIONS(1898),
    [anon_sym_LBRACE] = ACTIONS(1898),
    [anon_sym_RBRACE] = ACTIONS(1898),
    [anon_sym_STAR] = ACTIONS(1898),
    [anon_sym_u8] = ACTIONS(1900),
    [anon_sym_i8] = ACTIONS(1900),
    [anon_sym_u16] = ACTIONS(1900),
    [anon_sym_i16] = ACTIONS(1900),
    [anon_sym_u32] = ACTIONS(1900),
    [anon_sym_i32] = ACTIONS(1900),
    [anon_sym_u64] = ACTIONS(1900),
    [anon_sym_i64] = ACTIONS(1900),
    [anon_sym_u128] = ACTIONS(1900),
    [anon_sym_i128] = ACTIONS(1900),
    [anon_sym_isize] = ACTIONS(1900),
    [anon_sym_usize] = ACTIONS(1900),
    [anon_sym_f32] = ACTIONS(1900),
    [anon_sym_f64] = ACTIONS(1900),
    [anon_sym_bool] = ACTIONS(1900),
    [anon_sym_str] = ACTIONS(1900),
    [anon_sym_char] = ACTIONS(1900),
    [anon_sym_DASH] = ACTIONS(1898),
    [anon_sym_BANG] = ACTIONS(1898),
    [anon_sym_AMP] = ACTIONS(1898),
    [anon_sym_PIPE] = ACTIONS(1898),
    [anon_sym_LT] = ACTIONS(1898),
    [anon_sym_DOT_DOT] = ACTIONS(1898),
    [anon_sym_COLON_COLON] = ACTIONS(1898),
    [anon_sym_POUND] = ACTIONS(1898),
    [anon_sym_SQUOTE] = ACTIONS(1900),
    [anon_sym_async] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1900),
    [anon_sym_const] = ACTIONS(1900),
    [anon_sym_continue] = ACTIONS(1900),
    [anon_sym_default] = ACTIONS(1900),
    [anon_sym_enum] = ACTIONS(1900),
    [anon_sym_fn] = ACTIONS(1900),
    [anon_sym_for] = ACTIONS(1900),
    [anon_sym_if] = ACTIONS(1900),
    [anon_sym_impl] = ACTIONS(1900),
    [anon_sym_let] = ACTIONS(1900),
    [anon_sym_loop] = ACTIONS(1900),
    [anon_sym_match] = ACTIONS(1900),
    [anon_sym_mod] = ACTIONS(1900),
    [anon_sym_pub] = ACTIONS(1900),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_static] = ACTIONS(1900),
    [anon_sym_struct] = ACTIONS(1900),
    [anon_sym_trait] = ACTIONS(1900),
    [anon_sym_type] = ACTIONS(1900),
    [anon_sym_union] = ACTIONS(1900),
    [anon_sym_unsafe] = ACTIONS(1900),
    [anon_sym_use] = ACTIONS(1900),
    [anon_sym_while] = ACTIONS(1900),
    [anon_sym_extern] = ACTIONS(1900),
    [anon_sym_yield] = ACTIONS(1900),
    [anon_sym_move] = ACTIONS(1900),
    [anon_sym_try] = ACTIONS(1900),
    [sym_integer_literal] = ACTIONS(1898),
    [aux_sym_string_literal_token1] = ACTIONS(1898),
    [sym_char_literal] = ACTIONS(1898),
    [anon_sym_true] = ACTIONS(1900),
    [anon_sym_false] = ACTIONS(1900),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1900),
    [sym_super] = ACTIONS(1900),
    [sym_crate] = ACTIONS(1900),
    [sym_metavariable] = ACTIONS(1898),
    [sym__raw_string_literal_start] = ACTIONS(1898),
    [sym_float_literal] = ACTIONS(1898),
  },
  [539] = {
    [sym_line_comment] = STATE(539),
    [sym_block_comment] = STATE(539),
    [ts_builtin_sym_end] = ACTIONS(1902),
    [sym_identifier] = ACTIONS(1904),
    [anon_sym_SEMI] = ACTIONS(1902),
    [anon_sym_macro_rules_BANG] = ACTIONS(1902),
    [anon_sym_LPAREN] = ACTIONS(1902),
    [anon_sym_LBRACK] = ACTIONS(1902),
    [anon_sym_LBRACE] = ACTIONS(1902),
    [anon_sym_RBRACE] = ACTIONS(1902),
    [anon_sym_STAR] = ACTIONS(1902),
    [anon_sym_u8] = ACTIONS(1904),
    [anon_sym_i8] = ACTIONS(1904),
    [anon_sym_u16] = ACTIONS(1904),
    [anon_sym_i16] = ACTIONS(1904),
    [anon_sym_u32] = ACTIONS(1904),
    [anon_sym_i32] = ACTIONS(1904),
    [anon_sym_u64] = ACTIONS(1904),
    [anon_sym_i64] = ACTIONS(1904),
    [anon_sym_u128] = ACTIONS(1904),
    [anon_sym_i128] = ACTIONS(1904),
    [anon_sym_isize] = ACTIONS(1904),
    [anon_sym_usize] = ACTIONS(1904),
    [anon_sym_f32] = ACTIONS(1904),
    [anon_sym_f64] = ACTIONS(1904),
    [anon_sym_bool] = ACTIONS(1904),
    [anon_sym_str] = ACTIONS(1904),
    [anon_sym_char] = ACTIONS(1904),
    [anon_sym_DASH] = ACTIONS(1902),
    [anon_sym_BANG] = ACTIONS(1902),
    [anon_sym_AMP] = ACTIONS(1902),
    [anon_sym_PIPE] = ACTIONS(1902),
    [anon_sym_LT] = ACTIONS(1902),
    [anon_sym_DOT_DOT] = ACTIONS(1902),
    [anon_sym_COLON_COLON] = ACTIONS(1902),
    [anon_sym_POUND] = ACTIONS(1902),
    [anon_sym_SQUOTE] = ACTIONS(1904),
    [anon_sym_async] = ACTIONS(1904),
    [anon_sym_break] = ACTIONS(1904),
    [anon_sym_const] = ACTIONS(1904),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_default] = ACTIONS(1904),
    [anon_sym_enum] = ACTIONS(1904),
    [anon_sym_fn] = ACTIONS(1904),
    [anon_sym_for] = ACTIONS(1904),
    [anon_sym_if] = ACTIONS(1904),
    [anon_sym_impl] = ACTIONS(1904),
    [anon_sym_let] = ACTIONS(1904),
    [anon_sym_loop] = ACTIONS(1904),
    [anon_sym_match] = ACTIONS(1904),
    [anon_sym_mod] = ACTIONS(1904),
    [anon_sym_pub] = ACTIONS(1904),
    [anon_sym_return] = ACTIONS(1904),
    [anon_sym_static] = ACTIONS(1904),
    [anon_sym_struct] = ACTIONS(1904),
    [anon_sym_trait] = ACTIONS(1904),
    [anon_sym_type] = ACTIONS(1904),
    [anon_sym_union] = ACTIONS(1904),
    [anon_sym_unsafe] = ACTIONS(1904),
    [anon_sym_use] = ACTIONS(1904),
    [anon_sym_while] = ACTIONS(1904),
    [anon_sym_extern] = ACTIONS(1904),
    [anon_sym_yield] = ACTIONS(1904),
    [anon_sym_move] = ACTIONS(1904),
    [anon_sym_try] = ACTIONS(1904),
    [sym_integer_literal] = ACTIONS(1902),
    [aux_sym_string_literal_token1] = ACTIONS(1902),
    [sym_char_literal] = ACTIONS(1902),
    [anon_sym_true] = ACTIONS(1904),
    [anon_sym_false] = ACTIONS(1904),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1904),
    [sym_super] = ACTIONS(1904),
    [sym_crate] = ACTIONS(1904),
    [sym_metavariable] = ACTIONS(1902),
    [sym__raw_string_literal_start] = ACTIONS(1902),
    [sym_float_literal] = ACTIONS(1902),
  },
  [540] = {
    [sym_line_comment] = STATE(540),
    [sym_block_comment] = STATE(540),
    [ts_builtin_sym_end] = ACTIONS(1906),
    [sym_identifier] = ACTIONS(1908),
    [anon_sym_SEMI] = ACTIONS(1906),
    [anon_sym_macro_rules_BANG] = ACTIONS(1906),
    [anon_sym_LPAREN] = ACTIONS(1906),
    [anon_sym_LBRACK] = ACTIONS(1906),
    [anon_sym_LBRACE] = ACTIONS(1906),
    [anon_sym_RBRACE] = ACTIONS(1906),
    [anon_sym_STAR] = ACTIONS(1906),
    [anon_sym_u8] = ACTIONS(1908),
    [anon_sym_i8] = ACTIONS(1908),
    [anon_sym_u16] = ACTIONS(1908),
    [anon_sym_i16] = ACTIONS(1908),
    [anon_sym_u32] = ACTIONS(1908),
    [anon_sym_i32] = ACTIONS(1908),
    [anon_sym_u64] = ACTIONS(1908),
    [anon_sym_i64] = ACTIONS(1908),
    [anon_sym_u128] = ACTIONS(1908),
    [anon_sym_i128] = ACTIONS(1908),
    [anon_sym_isize] = ACTIONS(1908),
    [anon_sym_usize] = ACTIONS(1908),
    [anon_sym_f32] = ACTIONS(1908),
    [anon_sym_f64] = ACTIONS(1908),
    [anon_sym_bool] = ACTIONS(1908),
    [anon_sym_str] = ACTIONS(1908),
    [anon_sym_char] = ACTIONS(1908),
    [anon_sym_DASH] = ACTIONS(1906),
    [anon_sym_BANG] = ACTIONS(1906),
    [anon_sym_AMP] = ACTIONS(1906),
    [anon_sym_PIPE] = ACTIONS(1906),
    [anon_sym_LT] = ACTIONS(1906),
    [anon_sym_DOT_DOT] = ACTIONS(1906),
    [anon_sym_COLON_COLON] = ACTIONS(1906),
    [anon_sym_POUND] = ACTIONS(1906),
    [anon_sym_SQUOTE] = ACTIONS(1908),
    [anon_sym_async] = ACTIONS(1908),
    [anon_sym_break] = ACTIONS(1908),
    [anon_sym_const] = ACTIONS(1908),
    [anon_sym_continue] = ACTIONS(1908),
    [anon_sym_default] = ACTIONS(1908),
    [anon_sym_enum] = ACTIONS(1908),
    [anon_sym_fn] = ACTIONS(1908),
    [anon_sym_for] = ACTIONS(1908),
    [anon_sym_if] = ACTIONS(1908),
    [anon_sym_impl] = ACTIONS(1908),
    [anon_sym_let] = ACTIONS(1908),
    [anon_sym_loop] = ACTIONS(1908),
    [anon_sym_match] = ACTIONS(1908),
    [anon_sym_mod] = ACTIONS(1908),
    [anon_sym_pub] = ACTIONS(1908),
    [anon_sym_return] = ACTIONS(1908),
    [anon_sym_static] = ACTIONS(1908),
    [anon_sym_struct] = ACTIONS(1908),
    [anon_sym_trait] = ACTIONS(1908),
    [anon_sym_type] = ACTIONS(1908),
    [anon_sym_union] = ACTIONS(1908),
    [anon_sym_unsafe] = ACTIONS(1908),
    [anon_sym_use] = ACTIONS(1908),
    [anon_sym_while] = ACTIONS(1908),
    [anon_sym_extern] = ACTIONS(1908),
    [anon_sym_yield] = ACTIONS(1908),
    [anon_sym_move] = ACTIONS(1908),
    [anon_sym_try] = ACTIONS(1908),
    [sym_integer_literal] = ACTIONS(1906),
    [aux_sym_string_literal_token1] = ACTIONS(1906),
    [sym_char_literal] = ACTIONS(1906),
    [anon_sym_true] = ACTIONS(1908),
    [anon_sym_false] = ACTIONS(1908),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1908),
    [sym_super] = ACTIONS(1908),
    [sym_crate] = ACTIONS(1908),
    [sym_metavariable] = ACTIONS(1906),
    [sym__raw_string_literal_start] = ACTIONS(1906),
    [sym_float_literal] = ACTIONS(1906),
  },
  [541] = {
    [sym_line_comment] = STATE(541),
    [sym_block_comment] = STATE(541),
    [ts_builtin_sym_end] = ACTIONS(1910),
    [sym_identifier] = ACTIONS(1912),
    [anon_sym_SEMI] = ACTIONS(1910),
    [anon_sym_macro_rules_BANG] = ACTIONS(1910),
    [anon_sym_LPAREN] = ACTIONS(1910),
    [anon_sym_LBRACK] = ACTIONS(1910),
    [anon_sym_LBRACE] = ACTIONS(1910),
    [anon_sym_RBRACE] = ACTIONS(1910),
    [anon_sym_STAR] = ACTIONS(1910),
    [anon_sym_u8] = ACTIONS(1912),
    [anon_sym_i8] = ACTIONS(1912),
    [anon_sym_u16] = ACTIONS(1912),
    [anon_sym_i16] = ACTIONS(1912),
    [anon_sym_u32] = ACTIONS(1912),
    [anon_sym_i32] = ACTIONS(1912),
    [anon_sym_u64] = ACTIONS(1912),
    [anon_sym_i64] = ACTIONS(1912),
    [anon_sym_u128] = ACTIONS(1912),
    [anon_sym_i128] = ACTIONS(1912),
    [anon_sym_isize] = ACTIONS(1912),
    [anon_sym_usize] = ACTIONS(1912),
    [anon_sym_f32] = ACTIONS(1912),
    [anon_sym_f64] = ACTIONS(1912),
    [anon_sym_bool] = ACTIONS(1912),
    [anon_sym_str] = ACTIONS(1912),
    [anon_sym_char] = ACTIONS(1912),
    [anon_sym_DASH] = ACTIONS(1910),
    [anon_sym_BANG] = ACTIONS(1910),
    [anon_sym_AMP] = ACTIONS(1910),
    [anon_sym_PIPE] = ACTIONS(1910),
    [anon_sym_LT] = ACTIONS(1910),
    [anon_sym_DOT_DOT] = ACTIONS(1910),
    [anon_sym_COLON_COLON] = ACTIONS(1910),
    [anon_sym_POUND] = ACTIONS(1910),
    [anon_sym_SQUOTE] = ACTIONS(1912),
    [anon_sym_async] = ACTIONS(1912),
    [anon_sym_break] = ACTIONS(1912),
    [anon_sym_const] = ACTIONS(1912),
    [anon_sym_continue] = ACTIONS(1912),
    [anon_sym_default] = ACTIONS(1912),
    [anon_sym_enum] = ACTIONS(1912),
    [anon_sym_fn] = ACTIONS(1912),
    [anon_sym_for] = ACTIONS(1912),
    [anon_sym_if] = ACTIONS(1912),
    [anon_sym_impl] = ACTIONS(1912),
    [anon_sym_let] = ACTIONS(1912),
    [anon_sym_loop] = ACTIONS(1912),
    [anon_sym_match] = ACTIONS(1912),
    [anon_sym_mod] = ACTIONS(1912),
    [anon_sym_pub] = ACTIONS(1912),
    [anon_sym_return] = ACTIONS(1912),
    [anon_sym_static] = ACTIONS(1912),
    [anon_sym_struct] = ACTIONS(1912),
    [anon_sym_trait] = ACTIONS(1912),
    [anon_sym_type] = ACTIONS(1912),
    [anon_sym_union] = ACTIONS(1912),
    [anon_sym_unsafe] = ACTIONS(1912),
    [anon_sym_use] = ACTIONS(1912),
    [anon_sym_while] = ACTIONS(1912),
    [anon_sym_extern] = ACTIONS(1912),
    [anon_sym_yield] = ACTIONS(1912),
    [anon_sym_move] = ACTIONS(1912),
    [anon_sym_try] = ACTIONS(1912),
    [sym_integer_literal] = ACTIONS(1910),
    [aux_sym_string_literal_token1] = ACTIONS(1910),
    [sym_char_literal] = ACTIONS(1910),
    [anon_sym_true] = ACTIONS(1912),
    [anon_sym_false] = ACTIONS(1912),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1912),
    [sym_super] = ACTIONS(1912),
    [sym_crate] = ACTIONS(1912),
    [sym_metavariable] = ACTIONS(1910),
    [sym__raw_string_literal_start] = ACTIONS(1910),
    [sym_float_literal] = ACTIONS(1910),
  },
  [542] = {
    [sym_line_comment] = STATE(542),
    [sym_block_comment] = STATE(542),
    [ts_builtin_sym_end] = ACTIONS(1914),
    [sym_identifier] = ACTIONS(1916),
    [anon_sym_SEMI] = ACTIONS(1914),
    [anon_sym_macro_rules_BANG] = ACTIONS(1914),
    [anon_sym_LPAREN] = ACTIONS(1914),
    [anon_sym_LBRACK] = ACTIONS(1914),
    [anon_sym_LBRACE] = ACTIONS(1914),
    [anon_sym_RBRACE] = ACTIONS(1914),
    [anon_sym_STAR] = ACTIONS(1914),
    [anon_sym_u8] = ACTIONS(1916),
    [anon_sym_i8] = ACTIONS(1916),
    [anon_sym_u16] = ACTIONS(1916),
    [anon_sym_i16] = ACTIONS(1916),
    [anon_sym_u32] = ACTIONS(1916),
    [anon_sym_i32] = ACTIONS(1916),
    [anon_sym_u64] = ACTIONS(1916),
    [anon_sym_i64] = ACTIONS(1916),
    [anon_sym_u128] = ACTIONS(1916),
    [anon_sym_i128] = ACTIONS(1916),
    [anon_sym_isize] = ACTIONS(1916),
    [anon_sym_usize] = ACTIONS(1916),
    [anon_sym_f32] = ACTIONS(1916),
    [anon_sym_f64] = ACTIONS(1916),
    [anon_sym_bool] = ACTIONS(1916),
    [anon_sym_str] = ACTIONS(1916),
    [anon_sym_char] = ACTIONS(1916),
    [anon_sym_DASH] = ACTIONS(1914),
    [anon_sym_BANG] = ACTIONS(1914),
    [anon_sym_AMP] = ACTIONS(1914),
    [anon_sym_PIPE] = ACTIONS(1914),
    [anon_sym_LT] = ACTIONS(1914),
    [anon_sym_DOT_DOT] = ACTIONS(1914),
    [anon_sym_COLON_COLON] = ACTIONS(1914),
    [anon_sym_POUND] = ACTIONS(1914),
    [anon_sym_SQUOTE] = ACTIONS(1916),
    [anon_sym_async] = ACTIONS(1916),
    [anon_sym_break] = ACTIONS(1916),
    [anon_sym_const] = ACTIONS(1916),
    [anon_sym_continue] = ACTIONS(1916),
    [anon_sym_default] = ACTIONS(1916),
    [anon_sym_enum] = ACTIONS(1916),
    [anon_sym_fn] = ACTIONS(1916),
    [anon_sym_for] = ACTIONS(1916),
    [anon_sym_if] = ACTIONS(1916),
    [anon_sym_impl] = ACTIONS(1916),
    [anon_sym_let] = ACTIONS(1916),
    [anon_sym_loop] = ACTIONS(1916),
    [anon_sym_match] = ACTIONS(1916),
    [anon_sym_mod] = ACTIONS(1916),
    [anon_sym_pub] = ACTIONS(1916),
    [anon_sym_return] = ACTIONS(1916),
    [anon_sym_static] = ACTIONS(1916),
    [anon_sym_struct] = ACTIONS(1916),
    [anon_sym_trait] = ACTIONS(1916),
    [anon_sym_type] = ACTIONS(1916),
    [anon_sym_union] = ACTIONS(1916),
    [anon_sym_unsafe] = ACTIONS(1916),
    [anon_sym_use] = ACTIONS(1916),
    [anon_sym_while] = ACTIONS(1916),
    [anon_sym_extern] = ACTIONS(1916),
    [anon_sym_yield] = ACTIONS(1916),
    [anon_sym_move] = ACTIONS(1916),
    [anon_sym_try] = ACTIONS(1916),
    [sym_integer_literal] = ACTIONS(1914),
    [aux_sym_string_literal_token1] = ACTIONS(1914),
    [sym_char_literal] = ACTIONS(1914),
    [anon_sym_true] = ACTIONS(1916),
    [anon_sym_false] = ACTIONS(1916),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1916),
    [sym_super] = ACTIONS(1916),
    [sym_crate] = ACTIONS(1916),
    [sym_metavariable] = ACTIONS(1914),
    [sym__raw_string_literal_start] = ACTIONS(1914),
    [sym_float_literal] = ACTIONS(1914),
  },
  [543] = {
    [sym_line_comment] = STATE(543),
    [sym_block_comment] = STATE(543),
    [ts_builtin_sym_end] = ACTIONS(1918),
    [sym_identifier] = ACTIONS(1920),
    [anon_sym_SEMI] = ACTIONS(1918),
    [anon_sym_macro_rules_BANG] = ACTIONS(1918),
    [anon_sym_LPAREN] = ACTIONS(1918),
    [anon_sym_LBRACK] = ACTIONS(1918),
    [anon_sym_LBRACE] = ACTIONS(1918),
    [anon_sym_RBRACE] = ACTIONS(1918),
    [anon_sym_STAR] = ACTIONS(1918),
    [anon_sym_u8] = ACTIONS(1920),
    [anon_sym_i8] = ACTIONS(1920),
    [anon_sym_u16] = ACTIONS(1920),
    [anon_sym_i16] = ACTIONS(1920),
    [anon_sym_u32] = ACTIONS(1920),
    [anon_sym_i32] = ACTIONS(1920),
    [anon_sym_u64] = ACTIONS(1920),
    [anon_sym_i64] = ACTIONS(1920),
    [anon_sym_u128] = ACTIONS(1920),
    [anon_sym_i128] = ACTIONS(1920),
    [anon_sym_isize] = ACTIONS(1920),
    [anon_sym_usize] = ACTIONS(1920),
    [anon_sym_f32] = ACTIONS(1920),
    [anon_sym_f64] = ACTIONS(1920),
    [anon_sym_bool] = ACTIONS(1920),
    [anon_sym_str] = ACTIONS(1920),
    [anon_sym_char] = ACTIONS(1920),
    [anon_sym_DASH] = ACTIONS(1918),
    [anon_sym_BANG] = ACTIONS(1918),
    [anon_sym_AMP] = ACTIONS(1918),
    [anon_sym_PIPE] = ACTIONS(1918),
    [anon_sym_LT] = ACTIONS(1918),
    [anon_sym_DOT_DOT] = ACTIONS(1918),
    [anon_sym_COLON_COLON] = ACTIONS(1918),
    [anon_sym_POUND] = ACTIONS(1918),
    [anon_sym_SQUOTE] = ACTIONS(1920),
    [anon_sym_async] = ACTIONS(1920),
    [anon_sym_break] = ACTIONS(1920),
    [anon_sym_const] = ACTIONS(1920),
    [anon_sym_continue] = ACTIONS(1920),
    [anon_sym_default] = ACTIONS(1920),
    [anon_sym_enum] = ACTIONS(1920),
    [anon_sym_fn] = ACTIONS(1920),
    [anon_sym_for] = ACTIONS(1920),
    [anon_sym_if] = ACTIONS(1920),
    [anon_sym_impl] = ACTIONS(1920),
    [anon_sym_let] = ACTIONS(1920),
    [anon_sym_loop] = ACTIONS(1920),
    [anon_sym_match] = ACTIONS(1920),
    [anon_sym_mod] = ACTIONS(1920),
    [anon_sym_pub] = ACTIONS(1920),
    [anon_sym_return] = ACTIONS(1920),
    [anon_sym_static] = ACTIONS(1920),
    [anon_sym_struct] = ACTIONS(1920),
    [anon_sym_trait] = ACTIONS(1920),
    [anon_sym_type] = ACTIONS(1920),
    [anon_sym_union] = ACTIONS(1920),
    [anon_sym_unsafe] = ACTIONS(1920),
    [anon_sym_use] = ACTIONS(1920),
    [anon_sym_while] = ACTIONS(1920),
    [anon_sym_extern] = ACTIONS(1920),
    [anon_sym_yield] = ACTIONS(1920),
    [anon_sym_move] = ACTIONS(1920),
    [anon_sym_try] = ACTIONS(1920),
    [sym_integer_literal] = ACTIONS(1918),
    [aux_sym_string_literal_token1] = ACTIONS(1918),
    [sym_char_literal] = ACTIONS(1918),
    [anon_sym_true] = ACTIONS(1920),
    [anon_sym_false] = ACTIONS(1920),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1920),
    [sym_super] = ACTIONS(1920),
    [sym_crate] = ACTIONS(1920),
    [sym_metavariable] = ACTIONS(1918),
    [sym__raw_string_literal_start] = ACTIONS(1918),
    [sym_float_literal] = ACTIONS(1918),
  },
  [544] = {
    [sym_line_comment] = STATE(544),
    [sym_block_comment] = STATE(544),
    [ts_builtin_sym_end] = ACTIONS(1922),
    [sym_identifier] = ACTIONS(1924),
    [anon_sym_SEMI] = ACTIONS(1922),
    [anon_sym_macro_rules_BANG] = ACTIONS(1922),
    [anon_sym_LPAREN] = ACTIONS(1922),
    [anon_sym_LBRACK] = ACTIONS(1922),
    [anon_sym_LBRACE] = ACTIONS(1922),
    [anon_sym_RBRACE] = ACTIONS(1922),
    [anon_sym_STAR] = ACTIONS(1922),
    [anon_sym_u8] = ACTIONS(1924),
    [anon_sym_i8] = ACTIONS(1924),
    [anon_sym_u16] = ACTIONS(1924),
    [anon_sym_i16] = ACTIONS(1924),
    [anon_sym_u32] = ACTIONS(1924),
    [anon_sym_i32] = ACTIONS(1924),
    [anon_sym_u64] = ACTIONS(1924),
    [anon_sym_i64] = ACTIONS(1924),
    [anon_sym_u128] = ACTIONS(1924),
    [anon_sym_i128] = ACTIONS(1924),
    [anon_sym_isize] = ACTIONS(1924),
    [anon_sym_usize] = ACTIONS(1924),
    [anon_sym_f32] = ACTIONS(1924),
    [anon_sym_f64] = ACTIONS(1924),
    [anon_sym_bool] = ACTIONS(1924),
    [anon_sym_str] = ACTIONS(1924),
    [anon_sym_char] = ACTIONS(1924),
    [anon_sym_DASH] = ACTIONS(1922),
    [anon_sym_BANG] = ACTIONS(1922),
    [anon_sym_AMP] = ACTIONS(1922),
    [anon_sym_PIPE] = ACTIONS(1922),
    [anon_sym_LT] = ACTIONS(1922),
    [anon_sym_DOT_DOT] = ACTIONS(1922),
    [anon_sym_COLON_COLON] = ACTIONS(1922),
    [anon_sym_POUND] = ACTIONS(1922),
    [anon_sym_SQUOTE] = ACTIONS(1924),
    [anon_sym_async] = ACTIONS(1924),
    [anon_sym_break] = ACTIONS(1924),
    [anon_sym_const] = ACTIONS(1924),
    [anon_sym_continue] = ACTIONS(1924),
    [anon_sym_default] = ACTIONS(1924),
    [anon_sym_enum] = ACTIONS(1924),
    [anon_sym_fn] = ACTIONS(1924),
    [anon_sym_for] = ACTIONS(1924),
    [anon_sym_if] = ACTIONS(1924),
    [anon_sym_impl] = ACTIONS(1924),
    [anon_sym_let] = ACTIONS(1924),
    [anon_sym_loop] = ACTIONS(1924),
    [anon_sym_match] = ACTIONS(1924),
    [anon_sym_mod] = ACTIONS(1924),
    [anon_sym_pub] = ACTIONS(1924),
    [anon_sym_return] = ACTIONS(1924),
    [anon_sym_static] = ACTIONS(1924),
    [anon_sym_struct] = ACTIONS(1924),
    [anon_sym_trait] = ACTIONS(1924),
    [anon_sym_type] = ACTIONS(1924),
    [anon_sym_union] = ACTIONS(1924),
    [anon_sym_unsafe] = ACTIONS(1924),
    [anon_sym_use] = ACTIONS(1924),
    [anon_sym_while] = ACTIONS(1924),
    [anon_sym_extern] = ACTIONS(1924),
    [anon_sym_yield] = ACTIONS(1924),
    [anon_sym_move] = ACTIONS(1924),
    [anon_sym_try] = ACTIONS(1924),
    [sym_integer_literal] = ACTIONS(1922),
    [aux_sym_string_literal_token1] = ACTIONS(1922),
    [sym_char_literal] = ACTIONS(1922),
    [anon_sym_true] = ACTIONS(1924),
    [anon_sym_false] = ACTIONS(1924),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1924),
    [sym_super] = ACTIONS(1924),
    [sym_crate] = ACTIONS(1924),
    [sym_metavariable] = ACTIONS(1922),
    [sym__raw_string_literal_start] = ACTIONS(1922),
    [sym_float_literal] = ACTIONS(1922),
  },
  [545] = {
    [sym_line_comment] = STATE(545),
    [sym_block_comment] = STATE(545),
    [ts_builtin_sym_end] = ACTIONS(1926),
    [sym_identifier] = ACTIONS(1928),
    [anon_sym_SEMI] = ACTIONS(1926),
    [anon_sym_macro_rules_BANG] = ACTIONS(1926),
    [anon_sym_LPAREN] = ACTIONS(1926),
    [anon_sym_LBRACK] = ACTIONS(1926),
    [anon_sym_LBRACE] = ACTIONS(1926),
    [anon_sym_RBRACE] = ACTIONS(1926),
    [anon_sym_STAR] = ACTIONS(1926),
    [anon_sym_u8] = ACTIONS(1928),
    [anon_sym_i8] = ACTIONS(1928),
    [anon_sym_u16] = ACTIONS(1928),
    [anon_sym_i16] = ACTIONS(1928),
    [anon_sym_u32] = ACTIONS(1928),
    [anon_sym_i32] = ACTIONS(1928),
    [anon_sym_u64] = ACTIONS(1928),
    [anon_sym_i64] = ACTIONS(1928),
    [anon_sym_u128] = ACTIONS(1928),
    [anon_sym_i128] = ACTIONS(1928),
    [anon_sym_isize] = ACTIONS(1928),
    [anon_sym_usize] = ACTIONS(1928),
    [anon_sym_f32] = ACTIONS(1928),
    [anon_sym_f64] = ACTIONS(1928),
    [anon_sym_bool] = ACTIONS(1928),
    [anon_sym_str] = ACTIONS(1928),
    [anon_sym_char] = ACTIONS(1928),
    [anon_sym_DASH] = ACTIONS(1926),
    [anon_sym_BANG] = ACTIONS(1926),
    [anon_sym_AMP] = ACTIONS(1926),
    [anon_sym_PIPE] = ACTIONS(1926),
    [anon_sym_LT] = ACTIONS(1926),
    [anon_sym_DOT_DOT] = ACTIONS(1926),
    [anon_sym_COLON_COLON] = ACTIONS(1926),
    [anon_sym_POUND] = ACTIONS(1926),
    [anon_sym_SQUOTE] = ACTIONS(1928),
    [anon_sym_async] = ACTIONS(1928),
    [anon_sym_break] = ACTIONS(1928),
    [anon_sym_const] = ACTIONS(1928),
    [anon_sym_continue] = ACTIONS(1928),
    [anon_sym_default] = ACTIONS(1928),
    [anon_sym_enum] = ACTIONS(1928),
    [anon_sym_fn] = ACTIONS(1928),
    [anon_sym_for] = ACTIONS(1928),
    [anon_sym_if] = ACTIONS(1928),
    [anon_sym_impl] = ACTIONS(1928),
    [anon_sym_let] = ACTIONS(1928),
    [anon_sym_loop] = ACTIONS(1928),
    [anon_sym_match] = ACTIONS(1928),
    [anon_sym_mod] = ACTIONS(1928),
    [anon_sym_pub] = ACTIONS(1928),
    [anon_sym_return] = ACTIONS(1928),
    [anon_sym_static] = ACTIONS(1928),
    [anon_sym_struct] = ACTIONS(1928),
    [anon_sym_trait] = ACTIONS(1928),
    [anon_sym_type] = ACTIONS(1928),
    [anon_sym_union] = ACTIONS(1928),
    [anon_sym_unsafe] = ACTIONS(1928),
    [anon_sym_use] = ACTIONS(1928),
    [anon_sym_while] = ACTIONS(1928),
    [anon_sym_extern] = ACTIONS(1928),
    [anon_sym_yield] = ACTIONS(1928),
    [anon_sym_move] = ACTIONS(1928),
    [anon_sym_try] = ACTIONS(1928),
    [sym_integer_literal] = ACTIONS(1926),
    [aux_sym_string_literal_token1] = ACTIONS(1926),
    [sym_char_literal] = ACTIONS(1926),
    [anon_sym_true] = ACTIONS(1928),
    [anon_sym_false] = ACTIONS(1928),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1928),
    [sym_super] = ACTIONS(1928),
    [sym_crate] = ACTIONS(1928),
    [sym_metavariable] = ACTIONS(1926),
    [sym__raw_string_literal_start] = ACTIONS(1926),
    [sym_float_literal] = ACTIONS(1926),
  },
  [546] = {
    [sym_line_comment] = STATE(546),
    [sym_block_comment] = STATE(546),
    [ts_builtin_sym_end] = ACTIONS(1930),
    [sym_identifier] = ACTIONS(1932),
    [anon_sym_SEMI] = ACTIONS(1930),
    [anon_sym_macro_rules_BANG] = ACTIONS(1930),
    [anon_sym_LPAREN] = ACTIONS(1930),
    [anon_sym_LBRACK] = ACTIONS(1930),
    [anon_sym_LBRACE] = ACTIONS(1930),
    [anon_sym_RBRACE] = ACTIONS(1930),
    [anon_sym_STAR] = ACTIONS(1930),
    [anon_sym_u8] = ACTIONS(1932),
    [anon_sym_i8] = ACTIONS(1932),
    [anon_sym_u16] = ACTIONS(1932),
    [anon_sym_i16] = ACTIONS(1932),
    [anon_sym_u32] = ACTIONS(1932),
    [anon_sym_i32] = ACTIONS(1932),
    [anon_sym_u64] = ACTIONS(1932),
    [anon_sym_i64] = ACTIONS(1932),
    [anon_sym_u128] = ACTIONS(1932),
    [anon_sym_i128] = ACTIONS(1932),
    [anon_sym_isize] = ACTIONS(1932),
    [anon_sym_usize] = ACTIONS(1932),
    [anon_sym_f32] = ACTIONS(1932),
    [anon_sym_f64] = ACTIONS(1932),
    [anon_sym_bool] = ACTIONS(1932),
    [anon_sym_str] = ACTIONS(1932),
    [anon_sym_char] = ACTIONS(1932),
    [anon_sym_DASH] = ACTIONS(1930),
    [anon_sym_BANG] = ACTIONS(1930),
    [anon_sym_AMP] = ACTIONS(1930),
    [anon_sym_PIPE] = ACTIONS(1930),
    [anon_sym_LT] = ACTIONS(1930),
    [anon_sym_DOT_DOT] = ACTIONS(1930),
    [anon_sym_COLON_COLON] = ACTIONS(1930),
    [anon_sym_POUND] = ACTIONS(1930),
    [anon_sym_SQUOTE] = ACTIONS(1932),
    [anon_sym_async] = ACTIONS(1932),
    [anon_sym_break] = ACTIONS(1932),
    [anon_sym_const] = ACTIONS(1932),
    [anon_sym_continue] = ACTIONS(1932),
    [anon_sym_default] = ACTIONS(1932),
    [anon_sym_enum] = ACTIONS(1932),
    [anon_sym_fn] = ACTIONS(1932),
    [anon_sym_for] = ACTIONS(1932),
    [anon_sym_if] = ACTIONS(1932),
    [anon_sym_impl] = ACTIONS(1932),
    [anon_sym_let] = ACTIONS(1932),
    [anon_sym_loop] = ACTIONS(1932),
    [anon_sym_match] = ACTIONS(1932),
    [anon_sym_mod] = ACTIONS(1932),
    [anon_sym_pub] = ACTIONS(1932),
    [anon_sym_return] = ACTIONS(1932),
    [anon_sym_static] = ACTIONS(1932),
    [anon_sym_struct] = ACTIONS(1932),
    [anon_sym_trait] = ACTIONS(1932),
    [anon_sym_type] = ACTIONS(1932),
    [anon_sym_union] = ACTIONS(1932),
    [anon_sym_unsafe] = ACTIONS(1932),
    [anon_sym_use] = ACTIONS(1932),
    [anon_sym_while] = ACTIONS(1932),
    [anon_sym_extern] = ACTIONS(1932),
    [anon_sym_yield] = ACTIONS(1932),
    [anon_sym_move] = ACTIONS(1932),
    [anon_sym_try] = ACTIONS(1932),
    [sym_integer_literal] = ACTIONS(1930),
    [aux_sym_string_literal_token1] = ACTIONS(1930),
    [sym_char_literal] = ACTIONS(1930),
    [anon_sym_true] = ACTIONS(1932),
    [anon_sym_false] = ACTIONS(1932),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1932),
    [sym_super] = ACTIONS(1932),
    [sym_crate] = ACTIONS(1932),
    [sym_metavariable] = ACTIONS(1930),
    [sym__raw_string_literal_start] = ACTIONS(1930),
    [sym_float_literal] = ACTIONS(1930),
  },
  [547] = {
    [sym_line_comment] = STATE(547),
    [sym_block_comment] = STATE(547),
    [ts_builtin_sym_end] = ACTIONS(1934),
    [sym_identifier] = ACTIONS(1936),
    [anon_sym_SEMI] = ACTIONS(1934),
    [anon_sym_macro_rules_BANG] = ACTIONS(1934),
    [anon_sym_LPAREN] = ACTIONS(1934),
    [anon_sym_LBRACK] = ACTIONS(1934),
    [anon_sym_LBRACE] = ACTIONS(1934),
    [anon_sym_RBRACE] = ACTIONS(1934),
    [anon_sym_STAR] = ACTIONS(1934),
    [anon_sym_u8] = ACTIONS(1936),
    [anon_sym_i8] = ACTIONS(1936),
    [anon_sym_u16] = ACTIONS(1936),
    [anon_sym_i16] = ACTIONS(1936),
    [anon_sym_u32] = ACTIONS(1936),
    [anon_sym_i32] = ACTIONS(1936),
    [anon_sym_u64] = ACTIONS(1936),
    [anon_sym_i64] = ACTIONS(1936),
    [anon_sym_u128] = ACTIONS(1936),
    [anon_sym_i128] = ACTIONS(1936),
    [anon_sym_isize] = ACTIONS(1936),
    [anon_sym_usize] = ACTIONS(1936),
    [anon_sym_f32] = ACTIONS(1936),
    [anon_sym_f64] = ACTIONS(1936),
    [anon_sym_bool] = ACTIONS(1936),
    [anon_sym_str] = ACTIONS(1936),
    [anon_sym_char] = ACTIONS(1936),
    [anon_sym_DASH] = ACTIONS(1934),
    [anon_sym_BANG] = ACTIONS(1934),
    [anon_sym_AMP] = ACTIONS(1934),
    [anon_sym_PIPE] = ACTIONS(1934),
    [anon_sym_LT] = ACTIONS(1934),
    [anon_sym_DOT_DOT] = ACTIONS(1934),
    [anon_sym_COLON_COLON] = ACTIONS(1934),
    [anon_sym_POUND] = ACTIONS(1934),
    [anon_sym_SQUOTE] = ACTIONS(1936),
    [anon_sym_async] = ACTIONS(1936),
    [anon_sym_break] = ACTIONS(1936),
    [anon_sym_const] = ACTIONS(1936),
    [anon_sym_continue] = ACTIONS(1936),
    [anon_sym_default] = ACTIONS(1936),
    [anon_sym_enum] = ACTIONS(1936),
    [anon_sym_fn] = ACTIONS(1936),
    [anon_sym_for] = ACTIONS(1936),
    [anon_sym_if] = ACTIONS(1936),
    [anon_sym_impl] = ACTIONS(1936),
    [anon_sym_let] = ACTIONS(1936),
    [anon_sym_loop] = ACTIONS(1936),
    [anon_sym_match] = ACTIONS(1936),
    [anon_sym_mod] = ACTIONS(1936),
    [anon_sym_pub] = ACTIONS(1936),
    [anon_sym_return] = ACTIONS(1936),
    [anon_sym_static] = ACTIONS(1936),
    [anon_sym_struct] = ACTIONS(1936),
    [anon_sym_trait] = ACTIONS(1936),
    [anon_sym_type] = ACTIONS(1936),
    [anon_sym_union] = ACTIONS(1936),
    [anon_sym_unsafe] = ACTIONS(1936),
    [anon_sym_use] = ACTIONS(1936),
    [anon_sym_while] = ACTIONS(1936),
    [anon_sym_extern] = ACTIONS(1936),
    [anon_sym_yield] = ACTIONS(1936),
    [anon_sym_move] = ACTIONS(1936),
    [anon_sym_try] = ACTIONS(1936),
    [sym_integer_literal] = ACTIONS(1934),
    [aux_sym_string_literal_token1] = ACTIONS(1934),
    [sym_char_literal] = ACTIONS(1934),
    [anon_sym_true] = ACTIONS(1936),
    [anon_sym_false] = ACTIONS(1936),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1936),
    [sym_super] = ACTIONS(1936),
    [sym_crate] = ACTIONS(1936),
    [sym_metavariable] = ACTIONS(1934),
    [sym__raw_string_literal_start] = ACTIONS(1934),
    [sym_float_literal] = ACTIONS(1934),
  },
  [548] = {
    [sym_line_comment] = STATE(548),
    [sym_block_comment] = STATE(548),
    [ts_builtin_sym_end] = ACTIONS(1938),
    [sym_identifier] = ACTIONS(1940),
    [anon_sym_SEMI] = ACTIONS(1938),
    [anon_sym_macro_rules_BANG] = ACTIONS(1938),
    [anon_sym_LPAREN] = ACTIONS(1938),
    [anon_sym_LBRACK] = ACTIONS(1938),
    [anon_sym_LBRACE] = ACTIONS(1938),
    [anon_sym_RBRACE] = ACTIONS(1938),
    [anon_sym_STAR] = ACTIONS(1938),
    [anon_sym_u8] = ACTIONS(1940),
    [anon_sym_i8] = ACTIONS(1940),
    [anon_sym_u16] = ACTIONS(1940),
    [anon_sym_i16] = ACTIONS(1940),
    [anon_sym_u32] = ACTIONS(1940),
    [anon_sym_i32] = ACTIONS(1940),
    [anon_sym_u64] = ACTIONS(1940),
    [anon_sym_i64] = ACTIONS(1940),
    [anon_sym_u128] = ACTIONS(1940),
    [anon_sym_i128] = ACTIONS(1940),
    [anon_sym_isize] = ACTIONS(1940),
    [anon_sym_usize] = ACTIONS(1940),
    [anon_sym_f32] = ACTIONS(1940),
    [anon_sym_f64] = ACTIONS(1940),
    [anon_sym_bool] = ACTIONS(1940),
    [anon_sym_str] = ACTIONS(1940),
    [anon_sym_char] = ACTIONS(1940),
    [anon_sym_DASH] = ACTIONS(1938),
    [anon_sym_BANG] = ACTIONS(1938),
    [anon_sym_AMP] = ACTIONS(1938),
    [anon_sym_PIPE] = ACTIONS(1938),
    [anon_sym_LT] = ACTIONS(1938),
    [anon_sym_DOT_DOT] = ACTIONS(1938),
    [anon_sym_COLON_COLON] = ACTIONS(1938),
    [anon_sym_POUND] = ACTIONS(1938),
    [anon_sym_SQUOTE] = ACTIONS(1940),
    [anon_sym_async] = ACTIONS(1940),
    [anon_sym_break] = ACTIONS(1940),
    [anon_sym_const] = ACTIONS(1940),
    [anon_sym_continue] = ACTIONS(1940),
    [anon_sym_default] = ACTIONS(1940),
    [anon_sym_enum] = ACTIONS(1940),
    [anon_sym_fn] = ACTIONS(1940),
    [anon_sym_for] = ACTIONS(1940),
    [anon_sym_if] = ACTIONS(1940),
    [anon_sym_impl] = ACTIONS(1940),
    [anon_sym_let] = ACTIONS(1940),
    [anon_sym_loop] = ACTIONS(1940),
    [anon_sym_match] = ACTIONS(1940),
    [anon_sym_mod] = ACTIONS(1940),
    [anon_sym_pub] = ACTIONS(1940),
    [anon_sym_return] = ACTIONS(1940),
    [anon_sym_static] = ACTIONS(1940),
    [anon_sym_struct] = ACTIONS(1940),
    [anon_sym_trait] = ACTIONS(1940),
    [anon_sym_type] = ACTIONS(1940),
    [anon_sym_union] = ACTIONS(1940),
    [anon_sym_unsafe] = ACTIONS(1940),
    [anon_sym_use] = ACTIONS(1940),
    [anon_sym_while] = ACTIONS(1940),
    [anon_sym_extern] = ACTIONS(1940),
    [anon_sym_yield] = ACTIONS(1940),
    [anon_sym_move] = ACTIONS(1940),
    [anon_sym_try] = ACTIONS(1940),
    [sym_integer_literal] = ACTIONS(1938),
    [aux_sym_string_literal_token1] = ACTIONS(1938),
    [sym_char_literal] = ACTIONS(1938),
    [anon_sym_true] = ACTIONS(1940),
    [anon_sym_false] = ACTIONS(1940),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1940),
    [sym_super] = ACTIONS(1940),
    [sym_crate] = ACTIONS(1940),
    [sym_metavariable] = ACTIONS(1938),
    [sym__raw_string_literal_start] = ACTIONS(1938),
    [sym_float_literal] = ACTIONS(1938),
  },
  [549] = {
    [sym_line_comment] = STATE(549),
    [sym_block_comment] = STATE(549),
    [ts_builtin_sym_end] = ACTIONS(1942),
    [sym_identifier] = ACTIONS(1944),
    [anon_sym_SEMI] = ACTIONS(1942),
    [anon_sym_macro_rules_BANG] = ACTIONS(1942),
    [anon_sym_LPAREN] = ACTIONS(1942),
    [anon_sym_LBRACK] = ACTIONS(1942),
    [anon_sym_LBRACE] = ACTIONS(1942),
    [anon_sym_RBRACE] = ACTIONS(1942),
    [anon_sym_STAR] = ACTIONS(1942),
    [anon_sym_u8] = ACTIONS(1944),
    [anon_sym_i8] = ACTIONS(1944),
    [anon_sym_u16] = ACTIONS(1944),
    [anon_sym_i16] = ACTIONS(1944),
    [anon_sym_u32] = ACTIONS(1944),
    [anon_sym_i32] = ACTIONS(1944),
    [anon_sym_u64] = ACTIONS(1944),
    [anon_sym_i64] = ACTIONS(1944),
    [anon_sym_u128] = ACTIONS(1944),
    [anon_sym_i128] = ACTIONS(1944),
    [anon_sym_isize] = ACTIONS(1944),
    [anon_sym_usize] = ACTIONS(1944),
    [anon_sym_f32] = ACTIONS(1944),
    [anon_sym_f64] = ACTIONS(1944),
    [anon_sym_bool] = ACTIONS(1944),
    [anon_sym_str] = ACTIONS(1944),
    [anon_sym_char] = ACTIONS(1944),
    [anon_sym_DASH] = ACTIONS(1942),
    [anon_sym_BANG] = ACTIONS(1942),
    [anon_sym_AMP] = ACTIONS(1942),
    [anon_sym_PIPE] = ACTIONS(1942),
    [anon_sym_LT] = ACTIONS(1942),
    [anon_sym_DOT_DOT] = ACTIONS(1942),
    [anon_sym_COLON_COLON] = ACTIONS(1942),
    [anon_sym_POUND] = ACTIONS(1942),
    [anon_sym_SQUOTE] = ACTIONS(1944),
    [anon_sym_async] = ACTIONS(1944),
    [anon_sym_break] = ACTIONS(1944),
    [anon_sym_const] = ACTIONS(1944),
    [anon_sym_continue] = ACTIONS(1944),
    [anon_sym_default] = ACTIONS(1944),
    [anon_sym_enum] = ACTIONS(1944),
    [anon_sym_fn] = ACTIONS(1944),
    [anon_sym_for] = ACTIONS(1944),
    [anon_sym_if] = ACTIONS(1944),
    [anon_sym_impl] = ACTIONS(1944),
    [anon_sym_let] = ACTIONS(1944),
    [anon_sym_loop] = ACTIONS(1944),
    [anon_sym_match] = ACTIONS(1944),
    [anon_sym_mod] = ACTIONS(1944),
    [anon_sym_pub] = ACTIONS(1944),
    [anon_sym_return] = ACTIONS(1944),
    [anon_sym_static] = ACTIONS(1944),
    [anon_sym_struct] = ACTIONS(1944),
    [anon_sym_trait] = ACTIONS(1944),
    [anon_sym_type] = ACTIONS(1944),
    [anon_sym_union] = ACTIONS(1944),
    [anon_sym_unsafe] = ACTIONS(1944),
    [anon_sym_use] = ACTIONS(1944),
    [anon_sym_while] = ACTIONS(1944),
    [anon_sym_extern] = ACTIONS(1944),
    [anon_sym_yield] = ACTIONS(1944),
    [anon_sym_move] = ACTIONS(1944),
    [anon_sym_try] = ACTIONS(1944),
    [sym_integer_literal] = ACTIONS(1942),
    [aux_sym_string_literal_token1] = ACTIONS(1942),
    [sym_char_literal] = ACTIONS(1942),
    [anon_sym_true] = ACTIONS(1944),
    [anon_sym_false] = ACTIONS(1944),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1944),
    [sym_super] = ACTIONS(1944),
    [sym_crate] = ACTIONS(1944),
    [sym_metavariable] = ACTIONS(1942),
    [sym__raw_string_literal_start] = ACTIONS(1942),
    [sym_float_literal] = ACTIONS(1942),
  },
  [550] = {
    [sym_line_comment] = STATE(550),
    [sym_block_comment] = STATE(550),
    [ts_builtin_sym_end] = ACTIONS(1946),
    [sym_identifier] = ACTIONS(1948),
    [anon_sym_SEMI] = ACTIONS(1946),
    [anon_sym_macro_rules_BANG] = ACTIONS(1946),
    [anon_sym_LPAREN] = ACTIONS(1946),
    [anon_sym_LBRACK] = ACTIONS(1946),
    [anon_sym_LBRACE] = ACTIONS(1946),
    [anon_sym_RBRACE] = ACTIONS(1946),
    [anon_sym_STAR] = ACTIONS(1946),
    [anon_sym_u8] = ACTIONS(1948),
    [anon_sym_i8] = ACTIONS(1948),
    [anon_sym_u16] = ACTIONS(1948),
    [anon_sym_i16] = ACTIONS(1948),
    [anon_sym_u32] = ACTIONS(1948),
    [anon_sym_i32] = ACTIONS(1948),
    [anon_sym_u64] = ACTIONS(1948),
    [anon_sym_i64] = ACTIONS(1948),
    [anon_sym_u128] = ACTIONS(1948),
    [anon_sym_i128] = ACTIONS(1948),
    [anon_sym_isize] = ACTIONS(1948),
    [anon_sym_usize] = ACTIONS(1948),
    [anon_sym_f32] = ACTIONS(1948),
    [anon_sym_f64] = ACTIONS(1948),
    [anon_sym_bool] = ACTIONS(1948),
    [anon_sym_str] = ACTIONS(1948),
    [anon_sym_char] = ACTIONS(1948),
    [anon_sym_DASH] = ACTIONS(1946),
    [anon_sym_BANG] = ACTIONS(1946),
    [anon_sym_AMP] = ACTIONS(1946),
    [anon_sym_PIPE] = ACTIONS(1946),
    [anon_sym_LT] = ACTIONS(1946),
    [anon_sym_DOT_DOT] = ACTIONS(1946),
    [anon_sym_COLON_COLON] = ACTIONS(1946),
    [anon_sym_POUND] = ACTIONS(1946),
    [anon_sym_SQUOTE] = ACTIONS(1948),
    [anon_sym_async] = ACTIONS(1948),
    [anon_sym_break] = ACTIONS(1948),
    [anon_sym_const] = ACTIONS(1948),
    [anon_sym_continue] = ACTIONS(1948),
    [anon_sym_default] = ACTIONS(1948),
    [anon_sym_enum] = ACTIONS(1948),
    [anon_sym_fn] = ACTIONS(1948),
    [anon_sym_for] = ACTIONS(1948),
    [anon_sym_if] = ACTIONS(1948),
    [anon_sym_impl] = ACTIONS(1948),
    [anon_sym_let] = ACTIONS(1948),
    [anon_sym_loop] = ACTIONS(1948),
    [anon_sym_match] = ACTIONS(1948),
    [anon_sym_mod] = ACTIONS(1948),
    [anon_sym_pub] = ACTIONS(1948),
    [anon_sym_return] = ACTIONS(1948),
    [anon_sym_static] = ACTIONS(1948),
    [anon_sym_struct] = ACTIONS(1948),
    [anon_sym_trait] = ACTIONS(1948),
    [anon_sym_type] = ACTIONS(1948),
    [anon_sym_union] = ACTIONS(1948),
    [anon_sym_unsafe] = ACTIONS(1948),
    [anon_sym_use] = ACTIONS(1948),
    [anon_sym_while] = ACTIONS(1948),
    [anon_sym_extern] = ACTIONS(1948),
    [anon_sym_yield] = ACTIONS(1948),
    [anon_sym_move] = ACTIONS(1948),
    [anon_sym_try] = ACTIONS(1948),
    [sym_integer_literal] = ACTIONS(1946),
    [aux_sym_string_literal_token1] = ACTIONS(1946),
    [sym_char_literal] = ACTIONS(1946),
    [anon_sym_true] = ACTIONS(1948),
    [anon_sym_false] = ACTIONS(1948),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1948),
    [sym_super] = ACTIONS(1948),
    [sym_crate] = ACTIONS(1948),
    [sym_metavariable] = ACTIONS(1946),
    [sym__raw_string_literal_start] = ACTIONS(1946),
    [sym_float_literal] = ACTIONS(1946),
  },
  [551] = {
    [sym_line_comment] = STATE(551),
    [sym_block_comment] = STATE(551),
    [ts_builtin_sym_end] = ACTIONS(1950),
    [sym_identifier] = ACTIONS(1952),
    [anon_sym_SEMI] = ACTIONS(1950),
    [anon_sym_macro_rules_BANG] = ACTIONS(1950),
    [anon_sym_LPAREN] = ACTIONS(1950),
    [anon_sym_LBRACK] = ACTIONS(1950),
    [anon_sym_LBRACE] = ACTIONS(1950),
    [anon_sym_RBRACE] = ACTIONS(1950),
    [anon_sym_STAR] = ACTIONS(1950),
    [anon_sym_u8] = ACTIONS(1952),
    [anon_sym_i8] = ACTIONS(1952),
    [anon_sym_u16] = ACTIONS(1952),
    [anon_sym_i16] = ACTIONS(1952),
    [anon_sym_u32] = ACTIONS(1952),
    [anon_sym_i32] = ACTIONS(1952),
    [anon_sym_u64] = ACTIONS(1952),
    [anon_sym_i64] = ACTIONS(1952),
    [anon_sym_u128] = ACTIONS(1952),
    [anon_sym_i128] = ACTIONS(1952),
    [anon_sym_isize] = ACTIONS(1952),
    [anon_sym_usize] = ACTIONS(1952),
    [anon_sym_f32] = ACTIONS(1952),
    [anon_sym_f64] = ACTIONS(1952),
    [anon_sym_bool] = ACTIONS(1952),
    [anon_sym_str] = ACTIONS(1952),
    [anon_sym_char] = ACTIONS(1952),
    [anon_sym_DASH] = ACTIONS(1950),
    [anon_sym_BANG] = ACTIONS(1950),
    [anon_sym_AMP] = ACTIONS(1950),
    [anon_sym_PIPE] = ACTIONS(1950),
    [anon_sym_LT] = ACTIONS(1950),
    [anon_sym_DOT_DOT] = ACTIONS(1950),
    [anon_sym_COLON_COLON] = ACTIONS(1950),
    [anon_sym_POUND] = ACTIONS(1950),
    [anon_sym_SQUOTE] = ACTIONS(1952),
    [anon_sym_async] = ACTIONS(1952),
    [anon_sym_break] = ACTIONS(1952),
    [anon_sym_const] = ACTIONS(1952),
    [anon_sym_continue] = ACTIONS(1952),
    [anon_sym_default] = ACTIONS(1952),
    [anon_sym_enum] = ACTIONS(1952),
    [anon_sym_fn] = ACTIONS(1952),
    [anon_sym_for] = ACTIONS(1952),
    [anon_sym_if] = ACTIONS(1952),
    [anon_sym_impl] = ACTIONS(1952),
    [anon_sym_let] = ACTIONS(1952),
    [anon_sym_loop] = ACTIONS(1952),
    [anon_sym_match] = ACTIONS(1952),
    [anon_sym_mod] = ACTIONS(1952),
    [anon_sym_pub] = ACTIONS(1952),
    [anon_sym_return] = ACTIONS(1952),
    [anon_sym_static] = ACTIONS(1952),
    [anon_sym_struct] = ACTIONS(1952),
    [anon_sym_trait] = ACTIONS(1952),
    [anon_sym_type] = ACTIONS(1952),
    [anon_sym_union] = ACTIONS(1952),
    [anon_sym_unsafe] = ACTIONS(1952),
    [anon_sym_use] = ACTIONS(1952),
    [anon_sym_while] = ACTIONS(1952),
    [anon_sym_extern] = ACTIONS(1952),
    [anon_sym_yield] = ACTIONS(1952),
    [anon_sym_move] = ACTIONS(1952),
    [anon_sym_try] = ACTIONS(1952),
    [sym_integer_literal] = ACTIONS(1950),
    [aux_sym_string_literal_token1] = ACTIONS(1950),
    [sym_char_literal] = ACTIONS(1950),
    [anon_sym_true] = ACTIONS(1952),
    [anon_sym_false] = ACTIONS(1952),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1952),
    [sym_super] = ACTIONS(1952),
    [sym_crate] = ACTIONS(1952),
    [sym_metavariable] = ACTIONS(1950),
    [sym__raw_string_literal_start] = ACTIONS(1950),
    [sym_float_literal] = ACTIONS(1950),
  },
  [552] = {
    [sym_line_comment] = STATE(552),
    [sym_block_comment] = STATE(552),
    [ts_builtin_sym_end] = ACTIONS(1954),
    [sym_identifier] = ACTIONS(1956),
    [anon_sym_SEMI] = ACTIONS(1954),
    [anon_sym_macro_rules_BANG] = ACTIONS(1954),
    [anon_sym_LPAREN] = ACTIONS(1954),
    [anon_sym_LBRACK] = ACTIONS(1954),
    [anon_sym_LBRACE] = ACTIONS(1954),
    [anon_sym_RBRACE] = ACTIONS(1954),
    [anon_sym_STAR] = ACTIONS(1954),
    [anon_sym_u8] = ACTIONS(1956),
    [anon_sym_i8] = ACTIONS(1956),
    [anon_sym_u16] = ACTIONS(1956),
    [anon_sym_i16] = ACTIONS(1956),
    [anon_sym_u32] = ACTIONS(1956),
    [anon_sym_i32] = ACTIONS(1956),
    [anon_sym_u64] = ACTIONS(1956),
    [anon_sym_i64] = ACTIONS(1956),
    [anon_sym_u128] = ACTIONS(1956),
    [anon_sym_i128] = ACTIONS(1956),
    [anon_sym_isize] = ACTIONS(1956),
    [anon_sym_usize] = ACTIONS(1956),
    [anon_sym_f32] = ACTIONS(1956),
    [anon_sym_f64] = ACTIONS(1956),
    [anon_sym_bool] = ACTIONS(1956),
    [anon_sym_str] = ACTIONS(1956),
    [anon_sym_char] = ACTIONS(1956),
    [anon_sym_DASH] = ACTIONS(1954),
    [anon_sym_BANG] = ACTIONS(1954),
    [anon_sym_AMP] = ACTIONS(1954),
    [anon_sym_PIPE] = ACTIONS(1954),
    [anon_sym_LT] = ACTIONS(1954),
    [anon_sym_DOT_DOT] = ACTIONS(1954),
    [anon_sym_COLON_COLON] = ACTIONS(1954),
    [anon_sym_POUND] = ACTIONS(1954),
    [anon_sym_SQUOTE] = ACTIONS(1956),
    [anon_sym_async] = ACTIONS(1956),
    [anon_sym_break] = ACTIONS(1956),
    [anon_sym_const] = ACTIONS(1956),
    [anon_sym_continue] = ACTIONS(1956),
    [anon_sym_default] = ACTIONS(1956),
    [anon_sym_enum] = ACTIONS(1956),
    [anon_sym_fn] = ACTIONS(1956),
    [anon_sym_for] = ACTIONS(1956),
    [anon_sym_if] = ACTIONS(1956),
    [anon_sym_impl] = ACTIONS(1956),
    [anon_sym_let] = ACTIONS(1956),
    [anon_sym_loop] = ACTIONS(1956),
    [anon_sym_match] = ACTIONS(1956),
    [anon_sym_mod] = ACTIONS(1956),
    [anon_sym_pub] = ACTIONS(1956),
    [anon_sym_return] = ACTIONS(1956),
    [anon_sym_static] = ACTIONS(1956),
    [anon_sym_struct] = ACTIONS(1956),
    [anon_sym_trait] = ACTIONS(1956),
    [anon_sym_type] = ACTIONS(1956),
    [anon_sym_union] = ACTIONS(1956),
    [anon_sym_unsafe] = ACTIONS(1956),
    [anon_sym_use] = ACTIONS(1956),
    [anon_sym_while] = ACTIONS(1956),
    [anon_sym_extern] = ACTIONS(1956),
    [anon_sym_yield] = ACTIONS(1956),
    [anon_sym_move] = ACTIONS(1956),
    [anon_sym_try] = ACTIONS(1956),
    [sym_integer_literal] = ACTIONS(1954),
    [aux_sym_string_literal_token1] = ACTIONS(1954),
    [sym_char_literal] = ACTIONS(1954),
    [anon_sym_true] = ACTIONS(1956),
    [anon_sym_false] = ACTIONS(1956),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1956),
    [sym_super] = ACTIONS(1956),
    [sym_crate] = ACTIONS(1956),
    [sym_metavariable] = ACTIONS(1954),
    [sym__raw_string_literal_start] = ACTIONS(1954),
    [sym_float_literal] = ACTIONS(1954),
  },
  [553] = {
    [sym_line_comment] = STATE(553),
    [sym_block_comment] = STATE(553),
    [ts_builtin_sym_end] = ACTIONS(1958),
    [sym_identifier] = ACTIONS(1960),
    [anon_sym_SEMI] = ACTIONS(1958),
    [anon_sym_macro_rules_BANG] = ACTIONS(1958),
    [anon_sym_LPAREN] = ACTIONS(1958),
    [anon_sym_LBRACK] = ACTIONS(1958),
    [anon_sym_LBRACE] = ACTIONS(1958),
    [anon_sym_RBRACE] = ACTIONS(1958),
    [anon_sym_STAR] = ACTIONS(1958),
    [anon_sym_u8] = ACTIONS(1960),
    [anon_sym_i8] = ACTIONS(1960),
    [anon_sym_u16] = ACTIONS(1960),
    [anon_sym_i16] = ACTIONS(1960),
    [anon_sym_u32] = ACTIONS(1960),
    [anon_sym_i32] = ACTIONS(1960),
    [anon_sym_u64] = ACTIONS(1960),
    [anon_sym_i64] = ACTIONS(1960),
    [anon_sym_u128] = ACTIONS(1960),
    [anon_sym_i128] = ACTIONS(1960),
    [anon_sym_isize] = ACTIONS(1960),
    [anon_sym_usize] = ACTIONS(1960),
    [anon_sym_f32] = ACTIONS(1960),
    [anon_sym_f64] = ACTIONS(1960),
    [anon_sym_bool] = ACTIONS(1960),
    [anon_sym_str] = ACTIONS(1960),
    [anon_sym_char] = ACTIONS(1960),
    [anon_sym_DASH] = ACTIONS(1958),
    [anon_sym_BANG] = ACTIONS(1958),
    [anon_sym_AMP] = ACTIONS(1958),
    [anon_sym_PIPE] = ACTIONS(1958),
    [anon_sym_LT] = ACTIONS(1958),
    [anon_sym_DOT_DOT] = ACTIONS(1958),
    [anon_sym_COLON_COLON] = ACTIONS(1958),
    [anon_sym_POUND] = ACTIONS(1958),
    [anon_sym_SQUOTE] = ACTIONS(1960),
    [anon_sym_async] = ACTIONS(1960),
    [anon_sym_break] = ACTIONS(1960),
    [anon_sym_const] = ACTIONS(1960),
    [anon_sym_continue] = ACTIONS(1960),
    [anon_sym_default] = ACTIONS(1960),
    [anon_sym_enum] = ACTIONS(1960),
    [anon_sym_fn] = ACTIONS(1960),
    [anon_sym_for] = ACTIONS(1960),
    [anon_sym_if] = ACTIONS(1960),
    [anon_sym_impl] = ACTIONS(1960),
    [anon_sym_let] = ACTIONS(1960),
    [anon_sym_loop] = ACTIONS(1960),
    [anon_sym_match] = ACTIONS(1960),
    [anon_sym_mod] = ACTIONS(1960),
    [anon_sym_pub] = ACTIONS(1960),
    [anon_sym_return] = ACTIONS(1960),
    [anon_sym_static] = ACTIONS(1960),
    [anon_sym_struct] = ACTIONS(1960),
    [anon_sym_trait] = ACTIONS(1960),
    [anon_sym_type] = ACTIONS(1960),
    [anon_sym_union] = ACTIONS(1960),
    [anon_sym_unsafe] = ACTIONS(1960),
    [anon_sym_use] = ACTIONS(1960),
    [anon_sym_while] = ACTIONS(1960),
    [anon_sym_extern] = ACTIONS(1960),
    [anon_sym_yield] = ACTIONS(1960),
    [anon_sym_move] = ACTIONS(1960),
    [anon_sym_try] = ACTIONS(1960),
    [sym_integer_literal] = ACTIONS(1958),
    [aux_sym_string_literal_token1] = ACTIONS(1958),
    [sym_char_literal] = ACTIONS(1958),
    [anon_sym_true] = ACTIONS(1960),
    [anon_sym_false] = ACTIONS(1960),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1960),
    [sym_super] = ACTIONS(1960),
    [sym_crate] = ACTIONS(1960),
    [sym_metavariable] = ACTIONS(1958),
    [sym__raw_string_literal_start] = ACTIONS(1958),
    [sym_float_literal] = ACTIONS(1958),
  },
  [554] = {
    [sym_line_comment] = STATE(554),
    [sym_block_comment] = STATE(554),
    [ts_builtin_sym_end] = ACTIONS(1962),
    [sym_identifier] = ACTIONS(1964),
    [anon_sym_SEMI] = ACTIONS(1962),
    [anon_sym_macro_rules_BANG] = ACTIONS(1962),
    [anon_sym_LPAREN] = ACTIONS(1962),
    [anon_sym_LBRACK] = ACTIONS(1962),
    [anon_sym_LBRACE] = ACTIONS(1962),
    [anon_sym_RBRACE] = ACTIONS(1962),
    [anon_sym_STAR] = ACTIONS(1962),
    [anon_sym_u8] = ACTIONS(1964),
    [anon_sym_i8] = ACTIONS(1964),
    [anon_sym_u16] = ACTIONS(1964),
    [anon_sym_i16] = ACTIONS(1964),
    [anon_sym_u32] = ACTIONS(1964),
    [anon_sym_i32] = ACTIONS(1964),
    [anon_sym_u64] = ACTIONS(1964),
    [anon_sym_i64] = ACTIONS(1964),
    [anon_sym_u128] = ACTIONS(1964),
    [anon_sym_i128] = ACTIONS(1964),
    [anon_sym_isize] = ACTIONS(1964),
    [anon_sym_usize] = ACTIONS(1964),
    [anon_sym_f32] = ACTIONS(1964),
    [anon_sym_f64] = ACTIONS(1964),
    [anon_sym_bool] = ACTIONS(1964),
    [anon_sym_str] = ACTIONS(1964),
    [anon_sym_char] = ACTIONS(1964),
    [anon_sym_DASH] = ACTIONS(1962),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_AMP] = ACTIONS(1962),
    [anon_sym_PIPE] = ACTIONS(1962),
    [anon_sym_LT] = ACTIONS(1962),
    [anon_sym_DOT_DOT] = ACTIONS(1962),
    [anon_sym_COLON_COLON] = ACTIONS(1962),
    [anon_sym_POUND] = ACTIONS(1962),
    [anon_sym_SQUOTE] = ACTIONS(1964),
    [anon_sym_async] = ACTIONS(1964),
    [anon_sym_break] = ACTIONS(1964),
    [anon_sym_const] = ACTIONS(1964),
    [anon_sym_continue] = ACTIONS(1964),
    [anon_sym_default] = ACTIONS(1964),
    [anon_sym_enum] = ACTIONS(1964),
    [anon_sym_fn] = ACTIONS(1964),
    [anon_sym_for] = ACTIONS(1964),
    [anon_sym_if] = ACTIONS(1964),
    [anon_sym_impl] = ACTIONS(1964),
    [anon_sym_let] = ACTIONS(1964),
    [anon_sym_loop] = ACTIONS(1964),
    [anon_sym_match] = ACTIONS(1964),
    [anon_sym_mod] = ACTIONS(1964),
    [anon_sym_pub] = ACTIONS(1964),
    [anon_sym_return] = ACTIONS(1964),
    [anon_sym_static] = ACTIONS(1964),
    [anon_sym_struct] = ACTIONS(1964),
    [anon_sym_trait] = ACTIONS(1964),
    [anon_sym_type] = ACTIONS(1964),
    [anon_sym_union] = ACTIONS(1964),
    [anon_sym_unsafe] = ACTIONS(1964),
    [anon_sym_use] = ACTIONS(1964),
    [anon_sym_while] = ACTIONS(1964),
    [anon_sym_extern] = ACTIONS(1964),
    [anon_sym_yield] = ACTIONS(1964),
    [anon_sym_move] = ACTIONS(1964),
    [anon_sym_try] = ACTIONS(1964),
    [sym_integer_literal] = ACTIONS(1962),
    [aux_sym_string_literal_token1] = ACTIONS(1962),
    [sym_char_literal] = ACTIONS(1962),
    [anon_sym_true] = ACTIONS(1964),
    [anon_sym_false] = ACTIONS(1964),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1964),
    [sym_super] = ACTIONS(1964),
    [sym_crate] = ACTIONS(1964),
    [sym_metavariable] = ACTIONS(1962),
    [sym__raw_string_literal_start] = ACTIONS(1962),
    [sym_float_literal] = ACTIONS(1962),
  },
  [555] = {
    [sym_line_comment] = STATE(555),
    [sym_block_comment] = STATE(555),
    [ts_builtin_sym_end] = ACTIONS(1966),
    [sym_identifier] = ACTIONS(1968),
    [anon_sym_SEMI] = ACTIONS(1966),
    [anon_sym_macro_rules_BANG] = ACTIONS(1966),
    [anon_sym_LPAREN] = ACTIONS(1966),
    [anon_sym_LBRACK] = ACTIONS(1966),
    [anon_sym_LBRACE] = ACTIONS(1966),
    [anon_sym_RBRACE] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_u8] = ACTIONS(1968),
    [anon_sym_i8] = ACTIONS(1968),
    [anon_sym_u16] = ACTIONS(1968),
    [anon_sym_i16] = ACTIONS(1968),
    [anon_sym_u32] = ACTIONS(1968),
    [anon_sym_i32] = ACTIONS(1968),
    [anon_sym_u64] = ACTIONS(1968),
    [anon_sym_i64] = ACTIONS(1968),
    [anon_sym_u128] = ACTIONS(1968),
    [anon_sym_i128] = ACTIONS(1968),
    [anon_sym_isize] = ACTIONS(1968),
    [anon_sym_usize] = ACTIONS(1968),
    [anon_sym_f32] = ACTIONS(1968),
    [anon_sym_f64] = ACTIONS(1968),
    [anon_sym_bool] = ACTIONS(1968),
    [anon_sym_str] = ACTIONS(1968),
    [anon_sym_char] = ACTIONS(1968),
    [anon_sym_DASH] = ACTIONS(1966),
    [anon_sym_BANG] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1966),
    [anon_sym_PIPE] = ACTIONS(1966),
    [anon_sym_LT] = ACTIONS(1966),
    [anon_sym_DOT_DOT] = ACTIONS(1966),
    [anon_sym_COLON_COLON] = ACTIONS(1966),
    [anon_sym_POUND] = ACTIONS(1966),
    [anon_sym_SQUOTE] = ACTIONS(1968),
    [anon_sym_async] = ACTIONS(1968),
    [anon_sym_break] = ACTIONS(1968),
    [anon_sym_const] = ACTIONS(1968),
    [anon_sym_continue] = ACTIONS(1968),
    [anon_sym_default] = ACTIONS(1968),
    [anon_sym_enum] = ACTIONS(1968),
    [anon_sym_fn] = ACTIONS(1968),
    [anon_sym_for] = ACTIONS(1968),
    [anon_sym_if] = ACTIONS(1968),
    [anon_sym_impl] = ACTIONS(1968),
    [anon_sym_let] = ACTIONS(1968),
    [anon_sym_loop] = ACTIONS(1968),
    [anon_sym_match] = ACTIONS(1968),
    [anon_sym_mod] = ACTIONS(1968),
    [anon_sym_pub] = ACTIONS(1968),
    [anon_sym_return] = ACTIONS(1968),
    [anon_sym_static] = ACTIONS(1968),
    [anon_sym_struct] = ACTIONS(1968),
    [anon_sym_trait] = ACTIONS(1968),
    [anon_sym_type] = ACTIONS(1968),
    [anon_sym_union] = ACTIONS(1968),
    [anon_sym_unsafe] = ACTIONS(1968),
    [anon_sym_use] = ACTIONS(1968),
    [anon_sym_while] = ACTIONS(1968),
    [anon_sym_extern] = ACTIONS(1968),
    [anon_sym_yield] = ACTIONS(1968),
    [anon_sym_move] = ACTIONS(1968),
    [anon_sym_try] = ACTIONS(1968),
    [sym_integer_literal] = ACTIONS(1966),
    [aux_sym_string_literal_token1] = ACTIONS(1966),
    [sym_char_literal] = ACTIONS(1966),
    [anon_sym_true] = ACTIONS(1968),
    [anon_sym_false] = ACTIONS(1968),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1968),
    [sym_super] = ACTIONS(1968),
    [sym_crate] = ACTIONS(1968),
    [sym_metavariable] = ACTIONS(1966),
    [sym__raw_string_literal_start] = ACTIONS(1966),
    [sym_float_literal] = ACTIONS(1966),
  },
  [556] = {
    [sym_line_comment] = STATE(556),
    [sym_block_comment] = STATE(556),
    [ts_builtin_sym_end] = ACTIONS(1970),
    [sym_identifier] = ACTIONS(1972),
    [anon_sym_SEMI] = ACTIONS(1970),
    [anon_sym_macro_rules_BANG] = ACTIONS(1970),
    [anon_sym_LPAREN] = ACTIONS(1970),
    [anon_sym_LBRACK] = ACTIONS(1970),
    [anon_sym_LBRACE] = ACTIONS(1970),
    [anon_sym_RBRACE] = ACTIONS(1970),
    [anon_sym_STAR] = ACTIONS(1970),
    [anon_sym_u8] = ACTIONS(1972),
    [anon_sym_i8] = ACTIONS(1972),
    [anon_sym_u16] = ACTIONS(1972),
    [anon_sym_i16] = ACTIONS(1972),
    [anon_sym_u32] = ACTIONS(1972),
    [anon_sym_i32] = ACTIONS(1972),
    [anon_sym_u64] = ACTIONS(1972),
    [anon_sym_i64] = ACTIONS(1972),
    [anon_sym_u128] = ACTIONS(1972),
    [anon_sym_i128] = ACTIONS(1972),
    [anon_sym_isize] = ACTIONS(1972),
    [anon_sym_usize] = ACTIONS(1972),
    [anon_sym_f32] = ACTIONS(1972),
    [anon_sym_f64] = ACTIONS(1972),
    [anon_sym_bool] = ACTIONS(1972),
    [anon_sym_str] = ACTIONS(1972),
    [anon_sym_char] = ACTIONS(1972),
    [anon_sym_DASH] = ACTIONS(1970),
    [anon_sym_BANG] = ACTIONS(1970),
    [anon_sym_AMP] = ACTIONS(1970),
    [anon_sym_PIPE] = ACTIONS(1970),
    [anon_sym_LT] = ACTIONS(1970),
    [anon_sym_DOT_DOT] = ACTIONS(1970),
    [anon_sym_COLON_COLON] = ACTIONS(1970),
    [anon_sym_POUND] = ACTIONS(1970),
    [anon_sym_SQUOTE] = ACTIONS(1972),
    [anon_sym_async] = ACTIONS(1972),
    [anon_sym_break] = ACTIONS(1972),
    [anon_sym_const] = ACTIONS(1972),
    [anon_sym_continue] = ACTIONS(1972),
    [anon_sym_default] = ACTIONS(1972),
    [anon_sym_enum] = ACTIONS(1972),
    [anon_sym_fn] = ACTIONS(1972),
    [anon_sym_for] = ACTIONS(1972),
    [anon_sym_if] = ACTIONS(1972),
    [anon_sym_impl] = ACTIONS(1972),
    [anon_sym_let] = ACTIONS(1972),
    [anon_sym_loop] = ACTIONS(1972),
    [anon_sym_match] = ACTIONS(1972),
    [anon_sym_mod] = ACTIONS(1972),
    [anon_sym_pub] = ACTIONS(1972),
    [anon_sym_return] = ACTIONS(1972),
    [anon_sym_static] = ACTIONS(1972),
    [anon_sym_struct] = ACTIONS(1972),
    [anon_sym_trait] = ACTIONS(1972),
    [anon_sym_type] = ACTIONS(1972),
    [anon_sym_union] = ACTIONS(1972),
    [anon_sym_unsafe] = ACTIONS(1972),
    [anon_sym_use] = ACTIONS(1972),
    [anon_sym_while] = ACTIONS(1972),
    [anon_sym_extern] = ACTIONS(1972),
    [anon_sym_yield] = ACTIONS(1972),
    [anon_sym_move] = ACTIONS(1972),
    [anon_sym_try] = ACTIONS(1972),
    [sym_integer_literal] = ACTIONS(1970),
    [aux_sym_string_literal_token1] = ACTIONS(1970),
    [sym_char_literal] = ACTIONS(1970),
    [anon_sym_true] = ACTIONS(1972),
    [anon_sym_false] = ACTIONS(1972),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1972),
    [sym_super] = ACTIONS(1972),
    [sym_crate] = ACTIONS(1972),
    [sym_metavariable] = ACTIONS(1970),
    [sym__raw_string_literal_start] = ACTIONS(1970),
    [sym_float_literal] = ACTIONS(1970),
  },
  [557] = {
    [sym_line_comment] = STATE(557),
    [sym_block_comment] = STATE(557),
    [ts_builtin_sym_end] = ACTIONS(1974),
    [sym_identifier] = ACTIONS(1976),
    [anon_sym_SEMI] = ACTIONS(1974),
    [anon_sym_macro_rules_BANG] = ACTIONS(1974),
    [anon_sym_LPAREN] = ACTIONS(1974),
    [anon_sym_LBRACK] = ACTIONS(1974),
    [anon_sym_LBRACE] = ACTIONS(1974),
    [anon_sym_RBRACE] = ACTIONS(1974),
    [anon_sym_STAR] = ACTIONS(1974),
    [anon_sym_u8] = ACTIONS(1976),
    [anon_sym_i8] = ACTIONS(1976),
    [anon_sym_u16] = ACTIONS(1976),
    [anon_sym_i16] = ACTIONS(1976),
    [anon_sym_u32] = ACTIONS(1976),
    [anon_sym_i32] = ACTIONS(1976),
    [anon_sym_u64] = ACTIONS(1976),
    [anon_sym_i64] = ACTIONS(1976),
    [anon_sym_u128] = ACTIONS(1976),
    [anon_sym_i128] = ACTIONS(1976),
    [anon_sym_isize] = ACTIONS(1976),
    [anon_sym_usize] = ACTIONS(1976),
    [anon_sym_f32] = ACTIONS(1976),
    [anon_sym_f64] = ACTIONS(1976),
    [anon_sym_bool] = ACTIONS(1976),
    [anon_sym_str] = ACTIONS(1976),
    [anon_sym_char] = ACTIONS(1976),
    [anon_sym_DASH] = ACTIONS(1974),
    [anon_sym_BANG] = ACTIONS(1974),
    [anon_sym_AMP] = ACTIONS(1974),
    [anon_sym_PIPE] = ACTIONS(1974),
    [anon_sym_LT] = ACTIONS(1974),
    [anon_sym_DOT_DOT] = ACTIONS(1974),
    [anon_sym_COLON_COLON] = ACTIONS(1974),
    [anon_sym_POUND] = ACTIONS(1974),
    [anon_sym_SQUOTE] = ACTIONS(1976),
    [anon_sym_async] = ACTIONS(1976),
    [anon_sym_break] = ACTIONS(1976),
    [anon_sym_const] = ACTIONS(1976),
    [anon_sym_continue] = ACTIONS(1976),
    [anon_sym_default] = ACTIONS(1976),
    [anon_sym_enum] = ACTIONS(1976),
    [anon_sym_fn] = ACTIONS(1976),
    [anon_sym_for] = ACTIONS(1976),
    [anon_sym_if] = ACTIONS(1976),
    [anon_sym_impl] = ACTIONS(1976),
    [anon_sym_let] = ACTIONS(1976),
    [anon_sym_loop] = ACTIONS(1976),
    [anon_sym_match] = ACTIONS(1976),
    [anon_sym_mod] = ACTIONS(1976),
    [anon_sym_pub] = ACTIONS(1976),
    [anon_sym_return] = ACTIONS(1976),
    [anon_sym_static] = ACTIONS(1976),
    [anon_sym_struct] = ACTIONS(1976),
    [anon_sym_trait] = ACTIONS(1976),
    [anon_sym_type] = ACTIONS(1976),
    [anon_sym_union] = ACTIONS(1976),
    [anon_sym_unsafe] = ACTIONS(1976),
    [anon_sym_use] = ACTIONS(1976),
    [anon_sym_while] = ACTIONS(1976),
    [anon_sym_extern] = ACTIONS(1976),
    [anon_sym_yield] = ACTIONS(1976),
    [anon_sym_move] = ACTIONS(1976),
    [anon_sym_try] = ACTIONS(1976),
    [sym_integer_literal] = ACTIONS(1974),
    [aux_sym_string_literal_token1] = ACTIONS(1974),
    [sym_char_literal] = ACTIONS(1974),
    [anon_sym_true] = ACTIONS(1976),
    [anon_sym_false] = ACTIONS(1976),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1976),
    [sym_super] = ACTIONS(1976),
    [sym_crate] = ACTIONS(1976),
    [sym_metavariable] = ACTIONS(1974),
    [sym__raw_string_literal_start] = ACTIONS(1974),
    [sym_float_literal] = ACTIONS(1974),
  },
  [558] = {
    [sym_line_comment] = STATE(558),
    [sym_block_comment] = STATE(558),
    [ts_builtin_sym_end] = ACTIONS(1978),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_SEMI] = ACTIONS(1978),
    [anon_sym_macro_rules_BANG] = ACTIONS(1978),
    [anon_sym_LPAREN] = ACTIONS(1978),
    [anon_sym_LBRACK] = ACTIONS(1978),
    [anon_sym_LBRACE] = ACTIONS(1978),
    [anon_sym_RBRACE] = ACTIONS(1978),
    [anon_sym_STAR] = ACTIONS(1978),
    [anon_sym_u8] = ACTIONS(1980),
    [anon_sym_i8] = ACTIONS(1980),
    [anon_sym_u16] = ACTIONS(1980),
    [anon_sym_i16] = ACTIONS(1980),
    [anon_sym_u32] = ACTIONS(1980),
    [anon_sym_i32] = ACTIONS(1980),
    [anon_sym_u64] = ACTIONS(1980),
    [anon_sym_i64] = ACTIONS(1980),
    [anon_sym_u128] = ACTIONS(1980),
    [anon_sym_i128] = ACTIONS(1980),
    [anon_sym_isize] = ACTIONS(1980),
    [anon_sym_usize] = ACTIONS(1980),
    [anon_sym_f32] = ACTIONS(1980),
    [anon_sym_f64] = ACTIONS(1980),
    [anon_sym_bool] = ACTIONS(1980),
    [anon_sym_str] = ACTIONS(1980),
    [anon_sym_char] = ACTIONS(1980),
    [anon_sym_DASH] = ACTIONS(1978),
    [anon_sym_BANG] = ACTIONS(1978),
    [anon_sym_AMP] = ACTIONS(1978),
    [anon_sym_PIPE] = ACTIONS(1978),
    [anon_sym_LT] = ACTIONS(1978),
    [anon_sym_DOT_DOT] = ACTIONS(1978),
    [anon_sym_COLON_COLON] = ACTIONS(1978),
    [anon_sym_POUND] = ACTIONS(1978),
    [anon_sym_SQUOTE] = ACTIONS(1980),
    [anon_sym_async] = ACTIONS(1980),
    [anon_sym_break] = ACTIONS(1980),
    [anon_sym_const] = ACTIONS(1980),
    [anon_sym_continue] = ACTIONS(1980),
    [anon_sym_default] = ACTIONS(1980),
    [anon_sym_enum] = ACTIONS(1980),
    [anon_sym_fn] = ACTIONS(1980),
    [anon_sym_for] = ACTIONS(1980),
    [anon_sym_if] = ACTIONS(1980),
    [anon_sym_impl] = ACTIONS(1980),
    [anon_sym_let] = ACTIONS(1980),
    [anon_sym_loop] = ACTIONS(1980),
    [anon_sym_match] = ACTIONS(1980),
    [anon_sym_mod] = ACTIONS(1980),
    [anon_sym_pub] = ACTIONS(1980),
    [anon_sym_return] = ACTIONS(1980),
    [anon_sym_static] = ACTIONS(1980),
    [anon_sym_struct] = ACTIONS(1980),
    [anon_sym_trait] = ACTIONS(1980),
    [anon_sym_type] = ACTIONS(1980),
    [anon_sym_union] = ACTIONS(1980),
    [anon_sym_unsafe] = ACTIONS(1980),
    [anon_sym_use] = ACTIONS(1980),
    [anon_sym_while] = ACTIONS(1980),
    [anon_sym_extern] = ACTIONS(1980),
    [anon_sym_yield] = ACTIONS(1980),
    [anon_sym_move] = ACTIONS(1980),
    [anon_sym_try] = ACTIONS(1980),
    [sym_integer_literal] = ACTIONS(1978),
    [aux_sym_string_literal_token1] = ACTIONS(1978),
    [sym_char_literal] = ACTIONS(1978),
    [anon_sym_true] = ACTIONS(1980),
    [anon_sym_false] = ACTIONS(1980),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1980),
    [sym_super] = ACTIONS(1980),
    [sym_crate] = ACTIONS(1980),
    [sym_metavariable] = ACTIONS(1978),
    [sym__raw_string_literal_start] = ACTIONS(1978),
    [sym_float_literal] = ACTIONS(1978),
  },
  [559] = {
    [sym_line_comment] = STATE(559),
    [sym_block_comment] = STATE(559),
    [ts_builtin_sym_end] = ACTIONS(1982),
    [sym_identifier] = ACTIONS(1984),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym_macro_rules_BANG] = ACTIONS(1982),
    [anon_sym_LPAREN] = ACTIONS(1982),
    [anon_sym_LBRACK] = ACTIONS(1982),
    [anon_sym_LBRACE] = ACTIONS(1982),
    [anon_sym_RBRACE] = ACTIONS(1982),
    [anon_sym_STAR] = ACTIONS(1982),
    [anon_sym_u8] = ACTIONS(1984),
    [anon_sym_i8] = ACTIONS(1984),
    [anon_sym_u16] = ACTIONS(1984),
    [anon_sym_i16] = ACTIONS(1984),
    [anon_sym_u32] = ACTIONS(1984),
    [anon_sym_i32] = ACTIONS(1984),
    [anon_sym_u64] = ACTIONS(1984),
    [anon_sym_i64] = ACTIONS(1984),
    [anon_sym_u128] = ACTIONS(1984),
    [anon_sym_i128] = ACTIONS(1984),
    [anon_sym_isize] = ACTIONS(1984),
    [anon_sym_usize] = ACTIONS(1984),
    [anon_sym_f32] = ACTIONS(1984),
    [anon_sym_f64] = ACTIONS(1984),
    [anon_sym_bool] = ACTIONS(1984),
    [anon_sym_str] = ACTIONS(1984),
    [anon_sym_char] = ACTIONS(1984),
    [anon_sym_DASH] = ACTIONS(1982),
    [anon_sym_BANG] = ACTIONS(1982),
    [anon_sym_AMP] = ACTIONS(1982),
    [anon_sym_PIPE] = ACTIONS(1982),
    [anon_sym_LT] = ACTIONS(1982),
    [anon_sym_DOT_DOT] = ACTIONS(1982),
    [anon_sym_COLON_COLON] = ACTIONS(1982),
    [anon_sym_POUND] = ACTIONS(1982),
    [anon_sym_SQUOTE] = ACTIONS(1984),
    [anon_sym_async] = ACTIONS(1984),
    [anon_sym_break] = ACTIONS(1984),
    [anon_sym_const] = ACTIONS(1984),
    [anon_sym_continue] = ACTIONS(1984),
    [anon_sym_default] = ACTIONS(1984),
    [anon_sym_enum] = ACTIONS(1984),
    [anon_sym_fn] = ACTIONS(1984),
    [anon_sym_for] = ACTIONS(1984),
    [anon_sym_if] = ACTIONS(1984),
    [anon_sym_impl] = ACTIONS(1984),
    [anon_sym_let] = ACTIONS(1984),
    [anon_sym_loop] = ACTIONS(1984),
    [anon_sym_match] = ACTIONS(1984),
    [anon_sym_mod] = ACTIONS(1984),
    [anon_sym_pub] = ACTIONS(1984),
    [anon_sym_return] = ACTIONS(1984),
    [anon_sym_static] = ACTIONS(1984),
    [anon_sym_struct] = ACTIONS(1984),
    [anon_sym_trait] = ACTIONS(1984),
    [anon_sym_type] = ACTIONS(1984),
    [anon_sym_union] = ACTIONS(1984),
    [anon_sym_unsafe] = ACTIONS(1984),
    [anon_sym_use] = ACTIONS(1984),
    [anon_sym_while] = ACTIONS(1984),
    [anon_sym_extern] = ACTIONS(1984),
    [anon_sym_yield] = ACTIONS(1984),
    [anon_sym_move] = ACTIONS(1984),
    [anon_sym_try] = ACTIONS(1984),
    [sym_integer_literal] = ACTIONS(1982),
    [aux_sym_string_literal_token1] = ACTIONS(1982),
    [sym_char_literal] = ACTIONS(1982),
    [anon_sym_true] = ACTIONS(1984),
    [anon_sym_false] = ACTIONS(1984),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1984),
    [sym_super] = ACTIONS(1984),
    [sym_crate] = ACTIONS(1984),
    [sym_metavariable] = ACTIONS(1982),
    [sym__raw_string_literal_start] = ACTIONS(1982),
    [sym_float_literal] = ACTIONS(1982),
  },
  [560] = {
    [sym_line_comment] = STATE(560),
    [sym_block_comment] = STATE(560),
    [ts_builtin_sym_end] = ACTIONS(1986),
    [sym_identifier] = ACTIONS(1988),
    [anon_sym_SEMI] = ACTIONS(1986),
    [anon_sym_macro_rules_BANG] = ACTIONS(1986),
    [anon_sym_LPAREN] = ACTIONS(1986),
    [anon_sym_LBRACK] = ACTIONS(1986),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_RBRACE] = ACTIONS(1986),
    [anon_sym_STAR] = ACTIONS(1986),
    [anon_sym_u8] = ACTIONS(1988),
    [anon_sym_i8] = ACTIONS(1988),
    [anon_sym_u16] = ACTIONS(1988),
    [anon_sym_i16] = ACTIONS(1988),
    [anon_sym_u32] = ACTIONS(1988),
    [anon_sym_i32] = ACTIONS(1988),
    [anon_sym_u64] = ACTIONS(1988),
    [anon_sym_i64] = ACTIONS(1988),
    [anon_sym_u128] = ACTIONS(1988),
    [anon_sym_i128] = ACTIONS(1988),
    [anon_sym_isize] = ACTIONS(1988),
    [anon_sym_usize] = ACTIONS(1988),
    [anon_sym_f32] = ACTIONS(1988),
    [anon_sym_f64] = ACTIONS(1988),
    [anon_sym_bool] = ACTIONS(1988),
    [anon_sym_str] = ACTIONS(1988),
    [anon_sym_char] = ACTIONS(1988),
    [anon_sym_DASH] = ACTIONS(1986),
    [anon_sym_BANG] = ACTIONS(1986),
    [anon_sym_AMP] = ACTIONS(1986),
    [anon_sym_PIPE] = ACTIONS(1986),
    [anon_sym_LT] = ACTIONS(1986),
    [anon_sym_DOT_DOT] = ACTIONS(1986),
    [anon_sym_COLON_COLON] = ACTIONS(1986),
    [anon_sym_POUND] = ACTIONS(1986),
    [anon_sym_SQUOTE] = ACTIONS(1988),
    [anon_sym_async] = ACTIONS(1988),
    [anon_sym_break] = ACTIONS(1988),
    [anon_sym_const] = ACTIONS(1988),
    [anon_sym_continue] = ACTIONS(1988),
    [anon_sym_default] = ACTIONS(1988),
    [anon_sym_enum] = ACTIONS(1988),
    [anon_sym_fn] = ACTIONS(1988),
    [anon_sym_for] = ACTIONS(1988),
    [anon_sym_if] = ACTIONS(1988),
    [anon_sym_impl] = ACTIONS(1988),
    [anon_sym_let] = ACTIONS(1988),
    [anon_sym_loop] = ACTIONS(1988),
    [anon_sym_match] = ACTIONS(1988),
    [anon_sym_mod] = ACTIONS(1988),
    [anon_sym_pub] = ACTIONS(1988),
    [anon_sym_return] = ACTIONS(1988),
    [anon_sym_static] = ACTIONS(1988),
    [anon_sym_struct] = ACTIONS(1988),
    [anon_sym_trait] = ACTIONS(1988),
    [anon_sym_type] = ACTIONS(1988),
    [anon_sym_union] = ACTIONS(1988),
    [anon_sym_unsafe] = ACTIONS(1988),
    [anon_sym_use] = ACTIONS(1988),
    [anon_sym_while] = ACTIONS(1988),
    [anon_sym_extern] = ACTIONS(1988),
    [anon_sym_yield] = ACTIONS(1988),
    [anon_sym_move] = ACTIONS(1988),
    [anon_sym_try] = ACTIONS(1988),
    [sym_integer_literal] = ACTIONS(1986),
    [aux_sym_string_literal_token1] = ACTIONS(1986),
    [sym_char_literal] = ACTIONS(1986),
    [anon_sym_true] = ACTIONS(1988),
    [anon_sym_false] = ACTIONS(1988),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1988),
    [sym_super] = ACTIONS(1988),
    [sym_crate] = ACTIONS(1988),
    [sym_metavariable] = ACTIONS(1986),
    [sym__raw_string_literal_start] = ACTIONS(1986),
    [sym_float_literal] = ACTIONS(1986),
  },
  [561] = {
    [sym_line_comment] = STATE(561),
    [sym_block_comment] = STATE(561),
    [ts_builtin_sym_end] = ACTIONS(1990),
    [sym_identifier] = ACTIONS(1992),
    [anon_sym_SEMI] = ACTIONS(1990),
    [anon_sym_macro_rules_BANG] = ACTIONS(1990),
    [anon_sym_LPAREN] = ACTIONS(1990),
    [anon_sym_LBRACK] = ACTIONS(1990),
    [anon_sym_LBRACE] = ACTIONS(1990),
    [anon_sym_RBRACE] = ACTIONS(1990),
    [anon_sym_STAR] = ACTIONS(1990),
    [anon_sym_u8] = ACTIONS(1992),
    [anon_sym_i8] = ACTIONS(1992),
    [anon_sym_u16] = ACTIONS(1992),
    [anon_sym_i16] = ACTIONS(1992),
    [anon_sym_u32] = ACTIONS(1992),
    [anon_sym_i32] = ACTIONS(1992),
    [anon_sym_u64] = ACTIONS(1992),
    [anon_sym_i64] = ACTIONS(1992),
    [anon_sym_u128] = ACTIONS(1992),
    [anon_sym_i128] = ACTIONS(1992),
    [anon_sym_isize] = ACTIONS(1992),
    [anon_sym_usize] = ACTIONS(1992),
    [anon_sym_f32] = ACTIONS(1992),
    [anon_sym_f64] = ACTIONS(1992),
    [anon_sym_bool] = ACTIONS(1992),
    [anon_sym_str] = ACTIONS(1992),
    [anon_sym_char] = ACTIONS(1992),
    [anon_sym_DASH] = ACTIONS(1990),
    [anon_sym_BANG] = ACTIONS(1990),
    [anon_sym_AMP] = ACTIONS(1990),
    [anon_sym_PIPE] = ACTIONS(1990),
    [anon_sym_LT] = ACTIONS(1990),
    [anon_sym_DOT_DOT] = ACTIONS(1990),
    [anon_sym_COLON_COLON] = ACTIONS(1990),
    [anon_sym_POUND] = ACTIONS(1990),
    [anon_sym_SQUOTE] = ACTIONS(1992),
    [anon_sym_async] = ACTIONS(1992),
    [anon_sym_break] = ACTIONS(1992),
    [anon_sym_const] = ACTIONS(1992),
    [anon_sym_continue] = ACTIONS(1992),
    [anon_sym_default] = ACTIONS(1992),
    [anon_sym_enum] = ACTIONS(1992),
    [anon_sym_fn] = ACTIONS(1992),
    [anon_sym_for] = ACTIONS(1992),
    [anon_sym_if] = ACTIONS(1992),
    [anon_sym_impl] = ACTIONS(1992),
    [anon_sym_let] = ACTIONS(1992),
    [anon_sym_loop] = ACTIONS(1992),
    [anon_sym_match] = ACTIONS(1992),
    [anon_sym_mod] = ACTIONS(1992),
    [anon_sym_pub] = ACTIONS(1992),
    [anon_sym_return] = ACTIONS(1992),
    [anon_sym_static] = ACTIONS(1992),
    [anon_sym_struct] = ACTIONS(1992),
    [anon_sym_trait] = ACTIONS(1992),
    [anon_sym_type] = ACTIONS(1992),
    [anon_sym_union] = ACTIONS(1992),
    [anon_sym_unsafe] = ACTIONS(1992),
    [anon_sym_use] = ACTIONS(1992),
    [anon_sym_while] = ACTIONS(1992),
    [anon_sym_extern] = ACTIONS(1992),
    [anon_sym_yield] = ACTIONS(1992),
    [anon_sym_move] = ACTIONS(1992),
    [anon_sym_try] = ACTIONS(1992),
    [sym_integer_literal] = ACTIONS(1990),
    [aux_sym_string_literal_token1] = ACTIONS(1990),
    [sym_char_literal] = ACTIONS(1990),
    [anon_sym_true] = ACTIONS(1992),
    [anon_sym_false] = ACTIONS(1992),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1992),
    [sym_super] = ACTIONS(1992),
    [sym_crate] = ACTIONS(1992),
    [sym_metavariable] = ACTIONS(1990),
    [sym__raw_string_literal_start] = ACTIONS(1990),
    [sym_float_literal] = ACTIONS(1990),
  },
  [562] = {
    [sym_line_comment] = STATE(562),
    [sym_block_comment] = STATE(562),
    [ts_builtin_sym_end] = ACTIONS(1994),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_SEMI] = ACTIONS(1994),
    [anon_sym_macro_rules_BANG] = ACTIONS(1994),
    [anon_sym_LPAREN] = ACTIONS(1994),
    [anon_sym_LBRACK] = ACTIONS(1994),
    [anon_sym_LBRACE] = ACTIONS(1994),
    [anon_sym_RBRACE] = ACTIONS(1994),
    [anon_sym_STAR] = ACTIONS(1994),
    [anon_sym_u8] = ACTIONS(1996),
    [anon_sym_i8] = ACTIONS(1996),
    [anon_sym_u16] = ACTIONS(1996),
    [anon_sym_i16] = ACTIONS(1996),
    [anon_sym_u32] = ACTIONS(1996),
    [anon_sym_i32] = ACTIONS(1996),
    [anon_sym_u64] = ACTIONS(1996),
    [anon_sym_i64] = ACTIONS(1996),
    [anon_sym_u128] = ACTIONS(1996),
    [anon_sym_i128] = ACTIONS(1996),
    [anon_sym_isize] = ACTIONS(1996),
    [anon_sym_usize] = ACTIONS(1996),
    [anon_sym_f32] = ACTIONS(1996),
    [anon_sym_f64] = ACTIONS(1996),
    [anon_sym_bool] = ACTIONS(1996),
    [anon_sym_str] = ACTIONS(1996),
    [anon_sym_char] = ACTIONS(1996),
    [anon_sym_DASH] = ACTIONS(1994),
    [anon_sym_BANG] = ACTIONS(1994),
    [anon_sym_AMP] = ACTIONS(1994),
    [anon_sym_PIPE] = ACTIONS(1994),
    [anon_sym_LT] = ACTIONS(1994),
    [anon_sym_DOT_DOT] = ACTIONS(1994),
    [anon_sym_COLON_COLON] = ACTIONS(1994),
    [anon_sym_POUND] = ACTIONS(1994),
    [anon_sym_SQUOTE] = ACTIONS(1996),
    [anon_sym_async] = ACTIONS(1996),
    [anon_sym_break] = ACTIONS(1996),
    [anon_sym_const] = ACTIONS(1996),
    [anon_sym_continue] = ACTIONS(1996),
    [anon_sym_default] = ACTIONS(1996),
    [anon_sym_enum] = ACTIONS(1996),
    [anon_sym_fn] = ACTIONS(1996),
    [anon_sym_for] = ACTIONS(1996),
    [anon_sym_if] = ACTIONS(1996),
    [anon_sym_impl] = ACTIONS(1996),
    [anon_sym_let] = ACTIONS(1996),
    [anon_sym_loop] = ACTIONS(1996),
    [anon_sym_match] = ACTIONS(1996),
    [anon_sym_mod] = ACTIONS(1996),
    [anon_sym_pub] = ACTIONS(1996),
    [anon_sym_return] = ACTIONS(1996),
    [anon_sym_static] = ACTIONS(1996),
    [anon_sym_struct] = ACTIONS(1996),
    [anon_sym_trait] = ACTIONS(1996),
    [anon_sym_type] = ACTIONS(1996),
    [anon_sym_union] = ACTIONS(1996),
    [anon_sym_unsafe] = ACTIONS(1996),
    [anon_sym_use] = ACTIONS(1996),
    [anon_sym_while] = ACTIONS(1996),
    [anon_sym_extern] = ACTIONS(1996),
    [anon_sym_yield] = ACTIONS(1996),
    [anon_sym_move] = ACTIONS(1996),
    [anon_sym_try] = ACTIONS(1996),
    [sym_integer_literal] = ACTIONS(1994),
    [aux_sym_string_literal_token1] = ACTIONS(1994),
    [sym_char_literal] = ACTIONS(1994),
    [anon_sym_true] = ACTIONS(1996),
    [anon_sym_false] = ACTIONS(1996),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1996),
    [sym_super] = ACTIONS(1996),
    [sym_crate] = ACTIONS(1996),
    [sym_metavariable] = ACTIONS(1994),
    [sym__raw_string_literal_start] = ACTIONS(1994),
    [sym_float_literal] = ACTIONS(1994),
  },
  [563] = {
    [sym_line_comment] = STATE(563),
    [sym_block_comment] = STATE(563),
    [ts_builtin_sym_end] = ACTIONS(1998),
    [sym_identifier] = ACTIONS(2000),
    [anon_sym_SEMI] = ACTIONS(1998),
    [anon_sym_macro_rules_BANG] = ACTIONS(1998),
    [anon_sym_LPAREN] = ACTIONS(1998),
    [anon_sym_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(1998),
    [anon_sym_RBRACE] = ACTIONS(1998),
    [anon_sym_STAR] = ACTIONS(1998),
    [anon_sym_u8] = ACTIONS(2000),
    [anon_sym_i8] = ACTIONS(2000),
    [anon_sym_u16] = ACTIONS(2000),
    [anon_sym_i16] = ACTIONS(2000),
    [anon_sym_u32] = ACTIONS(2000),
    [anon_sym_i32] = ACTIONS(2000),
    [anon_sym_u64] = ACTIONS(2000),
    [anon_sym_i64] = ACTIONS(2000),
    [anon_sym_u128] = ACTIONS(2000),
    [anon_sym_i128] = ACTIONS(2000),
    [anon_sym_isize] = ACTIONS(2000),
    [anon_sym_usize] = ACTIONS(2000),
    [anon_sym_f32] = ACTIONS(2000),
    [anon_sym_f64] = ACTIONS(2000),
    [anon_sym_bool] = ACTIONS(2000),
    [anon_sym_str] = ACTIONS(2000),
    [anon_sym_char] = ACTIONS(2000),
    [anon_sym_DASH] = ACTIONS(1998),
    [anon_sym_BANG] = ACTIONS(1998),
    [anon_sym_AMP] = ACTIONS(1998),
    [anon_sym_PIPE] = ACTIONS(1998),
    [anon_sym_LT] = ACTIONS(1998),
    [anon_sym_DOT_DOT] = ACTIONS(1998),
    [anon_sym_COLON_COLON] = ACTIONS(1998),
    [anon_sym_POUND] = ACTIONS(1998),
    [anon_sym_SQUOTE] = ACTIONS(2000),
    [anon_sym_async] = ACTIONS(2000),
    [anon_sym_break] = ACTIONS(2000),
    [anon_sym_const] = ACTIONS(2000),
    [anon_sym_continue] = ACTIONS(2000),
    [anon_sym_default] = ACTIONS(2000),
    [anon_sym_enum] = ACTIONS(2000),
    [anon_sym_fn] = ACTIONS(2000),
    [anon_sym_for] = ACTIONS(2000),
    [anon_sym_if] = ACTIONS(2000),
    [anon_sym_impl] = ACTIONS(2000),
    [anon_sym_let] = ACTIONS(2000),
    [anon_sym_loop] = ACTIONS(2000),
    [anon_sym_match] = ACTIONS(2000),
    [anon_sym_mod] = ACTIONS(2000),
    [anon_sym_pub] = ACTIONS(2000),
    [anon_sym_return] = ACTIONS(2000),
    [anon_sym_static] = ACTIONS(2000),
    [anon_sym_struct] = ACTIONS(2000),
    [anon_sym_trait] = ACTIONS(2000),
    [anon_sym_type] = ACTIONS(2000),
    [anon_sym_union] = ACTIONS(2000),
    [anon_sym_unsafe] = ACTIONS(2000),
    [anon_sym_use] = ACTIONS(2000),
    [anon_sym_while] = ACTIONS(2000),
    [anon_sym_extern] = ACTIONS(2000),
    [anon_sym_yield] = ACTIONS(2000),
    [anon_sym_move] = ACTIONS(2000),
    [anon_sym_try] = ACTIONS(2000),
    [sym_integer_literal] = ACTIONS(1998),
    [aux_sym_string_literal_token1] = ACTIONS(1998),
    [sym_char_literal] = ACTIONS(1998),
    [anon_sym_true] = ACTIONS(2000),
    [anon_sym_false] = ACTIONS(2000),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2000),
    [sym_super] = ACTIONS(2000),
    [sym_crate] = ACTIONS(2000),
    [sym_metavariable] = ACTIONS(1998),
    [sym__raw_string_literal_start] = ACTIONS(1998),
    [sym_float_literal] = ACTIONS(1998),
  },
  [564] = {
    [sym_line_comment] = STATE(564),
    [sym_block_comment] = STATE(564),
    [ts_builtin_sym_end] = ACTIONS(2002),
    [sym_identifier] = ACTIONS(2004),
    [anon_sym_SEMI] = ACTIONS(2002),
    [anon_sym_macro_rules_BANG] = ACTIONS(2002),
    [anon_sym_LPAREN] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(2002),
    [anon_sym_LBRACE] = ACTIONS(2002),
    [anon_sym_RBRACE] = ACTIONS(2002),
    [anon_sym_STAR] = ACTIONS(2002),
    [anon_sym_u8] = ACTIONS(2004),
    [anon_sym_i8] = ACTIONS(2004),
    [anon_sym_u16] = ACTIONS(2004),
    [anon_sym_i16] = ACTIONS(2004),
    [anon_sym_u32] = ACTIONS(2004),
    [anon_sym_i32] = ACTIONS(2004),
    [anon_sym_u64] = ACTIONS(2004),
    [anon_sym_i64] = ACTIONS(2004),
    [anon_sym_u128] = ACTIONS(2004),
    [anon_sym_i128] = ACTIONS(2004),
    [anon_sym_isize] = ACTIONS(2004),
    [anon_sym_usize] = ACTIONS(2004),
    [anon_sym_f32] = ACTIONS(2004),
    [anon_sym_f64] = ACTIONS(2004),
    [anon_sym_bool] = ACTIONS(2004),
    [anon_sym_str] = ACTIONS(2004),
    [anon_sym_char] = ACTIONS(2004),
    [anon_sym_DASH] = ACTIONS(2002),
    [anon_sym_BANG] = ACTIONS(2002),
    [anon_sym_AMP] = ACTIONS(2002),
    [anon_sym_PIPE] = ACTIONS(2002),
    [anon_sym_LT] = ACTIONS(2002),
    [anon_sym_DOT_DOT] = ACTIONS(2002),
    [anon_sym_COLON_COLON] = ACTIONS(2002),
    [anon_sym_POUND] = ACTIONS(2002),
    [anon_sym_SQUOTE] = ACTIONS(2004),
    [anon_sym_async] = ACTIONS(2004),
    [anon_sym_break] = ACTIONS(2004),
    [anon_sym_const] = ACTIONS(2004),
    [anon_sym_continue] = ACTIONS(2004),
    [anon_sym_default] = ACTIONS(2004),
    [anon_sym_enum] = ACTIONS(2004),
    [anon_sym_fn] = ACTIONS(2004),
    [anon_sym_for] = ACTIONS(2004),
    [anon_sym_if] = ACTIONS(2004),
    [anon_sym_impl] = ACTIONS(2004),
    [anon_sym_let] = ACTIONS(2004),
    [anon_sym_loop] = ACTIONS(2004),
    [anon_sym_match] = ACTIONS(2004),
    [anon_sym_mod] = ACTIONS(2004),
    [anon_sym_pub] = ACTIONS(2004),
    [anon_sym_return] = ACTIONS(2004),
    [anon_sym_static] = ACTIONS(2004),
    [anon_sym_struct] = ACTIONS(2004),
    [anon_sym_trait] = ACTIONS(2004),
    [anon_sym_type] = ACTIONS(2004),
    [anon_sym_union] = ACTIONS(2004),
    [anon_sym_unsafe] = ACTIONS(2004),
    [anon_sym_use] = ACTIONS(2004),
    [anon_sym_while] = ACTIONS(2004),
    [anon_sym_extern] = ACTIONS(2004),
    [anon_sym_yield] = ACTIONS(2004),
    [anon_sym_move] = ACTIONS(2004),
    [anon_sym_try] = ACTIONS(2004),
    [sym_integer_literal] = ACTIONS(2002),
    [aux_sym_string_literal_token1] = ACTIONS(2002),
    [sym_char_literal] = ACTIONS(2002),
    [anon_sym_true] = ACTIONS(2004),
    [anon_sym_false] = ACTIONS(2004),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2004),
    [sym_super] = ACTIONS(2004),
    [sym_crate] = ACTIONS(2004),
    [sym_metavariable] = ACTIONS(2002),
    [sym__raw_string_literal_start] = ACTIONS(2002),
    [sym_float_literal] = ACTIONS(2002),
  },
  [565] = {
    [sym_line_comment] = STATE(565),
    [sym_block_comment] = STATE(565),
    [ts_builtin_sym_end] = ACTIONS(2006),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_SEMI] = ACTIONS(2006),
    [anon_sym_macro_rules_BANG] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2006),
    [anon_sym_LBRACK] = ACTIONS(2006),
    [anon_sym_LBRACE] = ACTIONS(2006),
    [anon_sym_RBRACE] = ACTIONS(2006),
    [anon_sym_STAR] = ACTIONS(2006),
    [anon_sym_u8] = ACTIONS(2008),
    [anon_sym_i8] = ACTIONS(2008),
    [anon_sym_u16] = ACTIONS(2008),
    [anon_sym_i16] = ACTIONS(2008),
    [anon_sym_u32] = ACTIONS(2008),
    [anon_sym_i32] = ACTIONS(2008),
    [anon_sym_u64] = ACTIONS(2008),
    [anon_sym_i64] = ACTIONS(2008),
    [anon_sym_u128] = ACTIONS(2008),
    [anon_sym_i128] = ACTIONS(2008),
    [anon_sym_isize] = ACTIONS(2008),
    [anon_sym_usize] = ACTIONS(2008),
    [anon_sym_f32] = ACTIONS(2008),
    [anon_sym_f64] = ACTIONS(2008),
    [anon_sym_bool] = ACTIONS(2008),
    [anon_sym_str] = ACTIONS(2008),
    [anon_sym_char] = ACTIONS(2008),
    [anon_sym_DASH] = ACTIONS(2006),
    [anon_sym_BANG] = ACTIONS(2006),
    [anon_sym_AMP] = ACTIONS(2006),
    [anon_sym_PIPE] = ACTIONS(2006),
    [anon_sym_LT] = ACTIONS(2006),
    [anon_sym_DOT_DOT] = ACTIONS(2006),
    [anon_sym_COLON_COLON] = ACTIONS(2006),
    [anon_sym_POUND] = ACTIONS(2006),
    [anon_sym_SQUOTE] = ACTIONS(2008),
    [anon_sym_async] = ACTIONS(2008),
    [anon_sym_break] = ACTIONS(2008),
    [anon_sym_const] = ACTIONS(2008),
    [anon_sym_continue] = ACTIONS(2008),
    [anon_sym_default] = ACTIONS(2008),
    [anon_sym_enum] = ACTIONS(2008),
    [anon_sym_fn] = ACTIONS(2008),
    [anon_sym_for] = ACTIONS(2008),
    [anon_sym_if] = ACTIONS(2008),
    [anon_sym_impl] = ACTIONS(2008),
    [anon_sym_let] = ACTIONS(2008),
    [anon_sym_loop] = ACTIONS(2008),
    [anon_sym_match] = ACTIONS(2008),
    [anon_sym_mod] = ACTIONS(2008),
    [anon_sym_pub] = ACTIONS(2008),
    [anon_sym_return] = ACTIONS(2008),
    [anon_sym_static] = ACTIONS(2008),
    [anon_sym_struct] = ACTIONS(2008),
    [anon_sym_trait] = ACTIONS(2008),
    [anon_sym_type] = ACTIONS(2008),
    [anon_sym_union] = ACTIONS(2008),
    [anon_sym_unsafe] = ACTIONS(2008),
    [anon_sym_use] = ACTIONS(2008),
    [anon_sym_while] = ACTIONS(2008),
    [anon_sym_extern] = ACTIONS(2008),
    [anon_sym_yield] = ACTIONS(2008),
    [anon_sym_move] = ACTIONS(2008),
    [anon_sym_try] = ACTIONS(2008),
    [sym_integer_literal] = ACTIONS(2006),
    [aux_sym_string_literal_token1] = ACTIONS(2006),
    [sym_char_literal] = ACTIONS(2006),
    [anon_sym_true] = ACTIONS(2008),
    [anon_sym_false] = ACTIONS(2008),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2008),
    [sym_super] = ACTIONS(2008),
    [sym_crate] = ACTIONS(2008),
    [sym_metavariable] = ACTIONS(2006),
    [sym__raw_string_literal_start] = ACTIONS(2006),
    [sym_float_literal] = ACTIONS(2006),
  },
  [566] = {
    [sym_line_comment] = STATE(566),
    [sym_block_comment] = STATE(566),
    [ts_builtin_sym_end] = ACTIONS(2010),
    [sym_identifier] = ACTIONS(2012),
    [anon_sym_SEMI] = ACTIONS(2010),
    [anon_sym_macro_rules_BANG] = ACTIONS(2010),
    [anon_sym_LPAREN] = ACTIONS(2010),
    [anon_sym_LBRACK] = ACTIONS(2010),
    [anon_sym_LBRACE] = ACTIONS(2010),
    [anon_sym_RBRACE] = ACTIONS(2010),
    [anon_sym_STAR] = ACTIONS(2010),
    [anon_sym_u8] = ACTIONS(2012),
    [anon_sym_i8] = ACTIONS(2012),
    [anon_sym_u16] = ACTIONS(2012),
    [anon_sym_i16] = ACTIONS(2012),
    [anon_sym_u32] = ACTIONS(2012),
    [anon_sym_i32] = ACTIONS(2012),
    [anon_sym_u64] = ACTIONS(2012),
    [anon_sym_i64] = ACTIONS(2012),
    [anon_sym_u128] = ACTIONS(2012),
    [anon_sym_i128] = ACTIONS(2012),
    [anon_sym_isize] = ACTIONS(2012),
    [anon_sym_usize] = ACTIONS(2012),
    [anon_sym_f32] = ACTIONS(2012),
    [anon_sym_f64] = ACTIONS(2012),
    [anon_sym_bool] = ACTIONS(2012),
    [anon_sym_str] = ACTIONS(2012),
    [anon_sym_char] = ACTIONS(2012),
    [anon_sym_DASH] = ACTIONS(2010),
    [anon_sym_BANG] = ACTIONS(2010),
    [anon_sym_AMP] = ACTIONS(2010),
    [anon_sym_PIPE] = ACTIONS(2010),
    [anon_sym_LT] = ACTIONS(2010),
    [anon_sym_DOT_DOT] = ACTIONS(2010),
    [anon_sym_COLON_COLON] = ACTIONS(2010),
    [anon_sym_POUND] = ACTIONS(2010),
    [anon_sym_SQUOTE] = ACTIONS(2012),
    [anon_sym_async] = ACTIONS(2012),
    [anon_sym_break] = ACTIONS(2012),
    [anon_sym_const] = ACTIONS(2012),
    [anon_sym_continue] = ACTIONS(2012),
    [anon_sym_default] = ACTIONS(2012),
    [anon_sym_enum] = ACTIONS(2012),
    [anon_sym_fn] = ACTIONS(2012),
    [anon_sym_for] = ACTIONS(2012),
    [anon_sym_if] = ACTIONS(2012),
    [anon_sym_impl] = ACTIONS(2012),
    [anon_sym_let] = ACTIONS(2012),
    [anon_sym_loop] = ACTIONS(2012),
    [anon_sym_match] = ACTIONS(2012),
    [anon_sym_mod] = ACTIONS(2012),
    [anon_sym_pub] = ACTIONS(2012),
    [anon_sym_return] = ACTIONS(2012),
    [anon_sym_static] = ACTIONS(2012),
    [anon_sym_struct] = ACTIONS(2012),
    [anon_sym_trait] = ACTIONS(2012),
    [anon_sym_type] = ACTIONS(2012),
    [anon_sym_union] = ACTIONS(2012),
    [anon_sym_unsafe] = ACTIONS(2012),
    [anon_sym_use] = ACTIONS(2012),
    [anon_sym_while] = ACTIONS(2012),
    [anon_sym_extern] = ACTIONS(2012),
    [anon_sym_yield] = ACTIONS(2012),
    [anon_sym_move] = ACTIONS(2012),
    [anon_sym_try] = ACTIONS(2012),
    [sym_integer_literal] = ACTIONS(2010),
    [aux_sym_string_literal_token1] = ACTIONS(2010),
    [sym_char_literal] = ACTIONS(2010),
    [anon_sym_true] = ACTIONS(2012),
    [anon_sym_false] = ACTIONS(2012),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2012),
    [sym_super] = ACTIONS(2012),
    [sym_crate] = ACTIONS(2012),
    [sym_metavariable] = ACTIONS(2010),
    [sym__raw_string_literal_start] = ACTIONS(2010),
    [sym_float_literal] = ACTIONS(2010),
  },
  [567] = {
    [sym_line_comment] = STATE(567),
    [sym_block_comment] = STATE(567),
    [ts_builtin_sym_end] = ACTIONS(2014),
    [sym_identifier] = ACTIONS(2016),
    [anon_sym_SEMI] = ACTIONS(2014),
    [anon_sym_macro_rules_BANG] = ACTIONS(2014),
    [anon_sym_LPAREN] = ACTIONS(2014),
    [anon_sym_LBRACK] = ACTIONS(2014),
    [anon_sym_LBRACE] = ACTIONS(2014),
    [anon_sym_RBRACE] = ACTIONS(2014),
    [anon_sym_STAR] = ACTIONS(2014),
    [anon_sym_u8] = ACTIONS(2016),
    [anon_sym_i8] = ACTIONS(2016),
    [anon_sym_u16] = ACTIONS(2016),
    [anon_sym_i16] = ACTIONS(2016),
    [anon_sym_u32] = ACTIONS(2016),
    [anon_sym_i32] = ACTIONS(2016),
    [anon_sym_u64] = ACTIONS(2016),
    [anon_sym_i64] = ACTIONS(2016),
    [anon_sym_u128] = ACTIONS(2016),
    [anon_sym_i128] = ACTIONS(2016),
    [anon_sym_isize] = ACTIONS(2016),
    [anon_sym_usize] = ACTIONS(2016),
    [anon_sym_f32] = ACTIONS(2016),
    [anon_sym_f64] = ACTIONS(2016),
    [anon_sym_bool] = ACTIONS(2016),
    [anon_sym_str] = ACTIONS(2016),
    [anon_sym_char] = ACTIONS(2016),
    [anon_sym_DASH] = ACTIONS(2014),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_AMP] = ACTIONS(2014),
    [anon_sym_PIPE] = ACTIONS(2014),
    [anon_sym_LT] = ACTIONS(2014),
    [anon_sym_DOT_DOT] = ACTIONS(2014),
    [anon_sym_COLON_COLON] = ACTIONS(2014),
    [anon_sym_POUND] = ACTIONS(2014),
    [anon_sym_SQUOTE] = ACTIONS(2016),
    [anon_sym_async] = ACTIONS(2016),
    [anon_sym_break] = ACTIONS(2016),
    [anon_sym_const] = ACTIONS(2016),
    [anon_sym_continue] = ACTIONS(2016),
    [anon_sym_default] = ACTIONS(2016),
    [anon_sym_enum] = ACTIONS(2016),
    [anon_sym_fn] = ACTIONS(2016),
    [anon_sym_for] = ACTIONS(2016),
    [anon_sym_if] = ACTIONS(2016),
    [anon_sym_impl] = ACTIONS(2016),
    [anon_sym_let] = ACTIONS(2016),
    [anon_sym_loop] = ACTIONS(2016),
    [anon_sym_match] = ACTIONS(2016),
    [anon_sym_mod] = ACTIONS(2016),
    [anon_sym_pub] = ACTIONS(2016),
    [anon_sym_return] = ACTIONS(2016),
    [anon_sym_static] = ACTIONS(2016),
    [anon_sym_struct] = ACTIONS(2016),
    [anon_sym_trait] = ACTIONS(2016),
    [anon_sym_type] = ACTIONS(2016),
    [anon_sym_union] = ACTIONS(2016),
    [anon_sym_unsafe] = ACTIONS(2016),
    [anon_sym_use] = ACTIONS(2016),
    [anon_sym_while] = ACTIONS(2016),
    [anon_sym_extern] = ACTIONS(2016),
    [anon_sym_yield] = ACTIONS(2016),
    [anon_sym_move] = ACTIONS(2016),
    [anon_sym_try] = ACTIONS(2016),
    [sym_integer_literal] = ACTIONS(2014),
    [aux_sym_string_literal_token1] = ACTIONS(2014),
    [sym_char_literal] = ACTIONS(2014),
    [anon_sym_true] = ACTIONS(2016),
    [anon_sym_false] = ACTIONS(2016),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2016),
    [sym_super] = ACTIONS(2016),
    [sym_crate] = ACTIONS(2016),
    [sym_metavariable] = ACTIONS(2014),
    [sym__raw_string_literal_start] = ACTIONS(2014),
    [sym_float_literal] = ACTIONS(2014),
  },
  [568] = {
    [sym_line_comment] = STATE(568),
    [sym_block_comment] = STATE(568),
    [ts_builtin_sym_end] = ACTIONS(2018),
    [sym_identifier] = ACTIONS(2020),
    [anon_sym_SEMI] = ACTIONS(2018),
    [anon_sym_macro_rules_BANG] = ACTIONS(2018),
    [anon_sym_LPAREN] = ACTIONS(2018),
    [anon_sym_LBRACK] = ACTIONS(2018),
    [anon_sym_LBRACE] = ACTIONS(2018),
    [anon_sym_RBRACE] = ACTIONS(2018),
    [anon_sym_STAR] = ACTIONS(2018),
    [anon_sym_u8] = ACTIONS(2020),
    [anon_sym_i8] = ACTIONS(2020),
    [anon_sym_u16] = ACTIONS(2020),
    [anon_sym_i16] = ACTIONS(2020),
    [anon_sym_u32] = ACTIONS(2020),
    [anon_sym_i32] = ACTIONS(2020),
    [anon_sym_u64] = ACTIONS(2020),
    [anon_sym_i64] = ACTIONS(2020),
    [anon_sym_u128] = ACTIONS(2020),
    [anon_sym_i128] = ACTIONS(2020),
    [anon_sym_isize] = ACTIONS(2020),
    [anon_sym_usize] = ACTIONS(2020),
    [anon_sym_f32] = ACTIONS(2020),
    [anon_sym_f64] = ACTIONS(2020),
    [anon_sym_bool] = ACTIONS(2020),
    [anon_sym_str] = ACTIONS(2020),
    [anon_sym_char] = ACTIONS(2020),
    [anon_sym_DASH] = ACTIONS(2018),
    [anon_sym_BANG] = ACTIONS(2018),
    [anon_sym_AMP] = ACTIONS(2018),
    [anon_sym_PIPE] = ACTIONS(2018),
    [anon_sym_LT] = ACTIONS(2018),
    [anon_sym_DOT_DOT] = ACTIONS(2018),
    [anon_sym_COLON_COLON] = ACTIONS(2018),
    [anon_sym_POUND] = ACTIONS(2018),
    [anon_sym_SQUOTE] = ACTIONS(2020),
    [anon_sym_async] = ACTIONS(2020),
    [anon_sym_break] = ACTIONS(2020),
    [anon_sym_const] = ACTIONS(2020),
    [anon_sym_continue] = ACTIONS(2020),
    [anon_sym_default] = ACTIONS(2020),
    [anon_sym_enum] = ACTIONS(2020),
    [anon_sym_fn] = ACTIONS(2020),
    [anon_sym_for] = ACTIONS(2020),
    [anon_sym_if] = ACTIONS(2020),
    [anon_sym_impl] = ACTIONS(2020),
    [anon_sym_let] = ACTIONS(2020),
    [anon_sym_loop] = ACTIONS(2020),
    [anon_sym_match] = ACTIONS(2020),
    [anon_sym_mod] = ACTIONS(2020),
    [anon_sym_pub] = ACTIONS(2020),
    [anon_sym_return] = ACTIONS(2020),
    [anon_sym_static] = ACTIONS(2020),
    [anon_sym_struct] = ACTIONS(2020),
    [anon_sym_trait] = ACTIONS(2020),
    [anon_sym_type] = ACTIONS(2020),
    [anon_sym_union] = ACTIONS(2020),
    [anon_sym_unsafe] = ACTIONS(2020),
    [anon_sym_use] = ACTIONS(2020),
    [anon_sym_while] = ACTIONS(2020),
    [anon_sym_extern] = ACTIONS(2020),
    [anon_sym_yield] = ACTIONS(2020),
    [anon_sym_move] = ACTIONS(2020),
    [anon_sym_try] = ACTIONS(2020),
    [sym_integer_literal] = ACTIONS(2018),
    [aux_sym_string_literal_token1] = ACTIONS(2018),
    [sym_char_literal] = ACTIONS(2018),
    [anon_sym_true] = ACTIONS(2020),
    [anon_sym_false] = ACTIONS(2020),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2020),
    [sym_super] = ACTIONS(2020),
    [sym_crate] = ACTIONS(2020),
    [sym_metavariable] = ACTIONS(2018),
    [sym__raw_string_literal_start] = ACTIONS(2018),
    [sym_float_literal] = ACTIONS(2018),
  },
  [569] = {
    [sym_line_comment] = STATE(569),
    [sym_block_comment] = STATE(569),
    [ts_builtin_sym_end] = ACTIONS(2022),
    [sym_identifier] = ACTIONS(2024),
    [anon_sym_SEMI] = ACTIONS(2022),
    [anon_sym_macro_rules_BANG] = ACTIONS(2022),
    [anon_sym_LPAREN] = ACTIONS(2022),
    [anon_sym_LBRACK] = ACTIONS(2022),
    [anon_sym_LBRACE] = ACTIONS(2022),
    [anon_sym_RBRACE] = ACTIONS(2022),
    [anon_sym_STAR] = ACTIONS(2022),
    [anon_sym_u8] = ACTIONS(2024),
    [anon_sym_i8] = ACTIONS(2024),
    [anon_sym_u16] = ACTIONS(2024),
    [anon_sym_i16] = ACTIONS(2024),
    [anon_sym_u32] = ACTIONS(2024),
    [anon_sym_i32] = ACTIONS(2024),
    [anon_sym_u64] = ACTIONS(2024),
    [anon_sym_i64] = ACTIONS(2024),
    [anon_sym_u128] = ACTIONS(2024),
    [anon_sym_i128] = ACTIONS(2024),
    [anon_sym_isize] = ACTIONS(2024),
    [anon_sym_usize] = ACTIONS(2024),
    [anon_sym_f32] = ACTIONS(2024),
    [anon_sym_f64] = ACTIONS(2024),
    [anon_sym_bool] = ACTIONS(2024),
    [anon_sym_str] = ACTIONS(2024),
    [anon_sym_char] = ACTIONS(2024),
    [anon_sym_DASH] = ACTIONS(2022),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_AMP] = ACTIONS(2022),
    [anon_sym_PIPE] = ACTIONS(2022),
    [anon_sym_LT] = ACTIONS(2022),
    [anon_sym_DOT_DOT] = ACTIONS(2022),
    [anon_sym_COLON_COLON] = ACTIONS(2022),
    [anon_sym_POUND] = ACTIONS(2022),
    [anon_sym_SQUOTE] = ACTIONS(2024),
    [anon_sym_async] = ACTIONS(2024),
    [anon_sym_break] = ACTIONS(2024),
    [anon_sym_const] = ACTIONS(2024),
    [anon_sym_continue] = ACTIONS(2024),
    [anon_sym_default] = ACTIONS(2024),
    [anon_sym_enum] = ACTIONS(2024),
    [anon_sym_fn] = ACTIONS(2024),
    [anon_sym_for] = ACTIONS(2024),
    [anon_sym_if] = ACTIONS(2024),
    [anon_sym_impl] = ACTIONS(2024),
    [anon_sym_let] = ACTIONS(2024),
    [anon_sym_loop] = ACTIONS(2024),
    [anon_sym_match] = ACTIONS(2024),
    [anon_sym_mod] = ACTIONS(2024),
    [anon_sym_pub] = ACTIONS(2024),
    [anon_sym_return] = ACTIONS(2024),
    [anon_sym_static] = ACTIONS(2024),
    [anon_sym_struct] = ACTIONS(2024),
    [anon_sym_trait] = ACTIONS(2024),
    [anon_sym_type] = ACTIONS(2024),
    [anon_sym_union] = ACTIONS(2024),
    [anon_sym_unsafe] = ACTIONS(2024),
    [anon_sym_use] = ACTIONS(2024),
    [anon_sym_while] = ACTIONS(2024),
    [anon_sym_extern] = ACTIONS(2024),
    [anon_sym_yield] = ACTIONS(2024),
    [anon_sym_move] = ACTIONS(2024),
    [anon_sym_try] = ACTIONS(2024),
    [sym_integer_literal] = ACTIONS(2022),
    [aux_sym_string_literal_token1] = ACTIONS(2022),
    [sym_char_literal] = ACTIONS(2022),
    [anon_sym_true] = ACTIONS(2024),
    [anon_sym_false] = ACTIONS(2024),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2024),
    [sym_super] = ACTIONS(2024),
    [sym_crate] = ACTIONS(2024),
    [sym_metavariable] = ACTIONS(2022),
    [sym__raw_string_literal_start] = ACTIONS(2022),
    [sym_float_literal] = ACTIONS(2022),
  },
  [570] = {
    [sym_line_comment] = STATE(570),
    [sym_block_comment] = STATE(570),
    [ts_builtin_sym_end] = ACTIONS(2026),
    [sym_identifier] = ACTIONS(2028),
    [anon_sym_SEMI] = ACTIONS(2026),
    [anon_sym_macro_rules_BANG] = ACTIONS(2026),
    [anon_sym_LPAREN] = ACTIONS(2026),
    [anon_sym_LBRACK] = ACTIONS(2026),
    [anon_sym_LBRACE] = ACTIONS(2026),
    [anon_sym_RBRACE] = ACTIONS(2026),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_u8] = ACTIONS(2028),
    [anon_sym_i8] = ACTIONS(2028),
    [anon_sym_u16] = ACTIONS(2028),
    [anon_sym_i16] = ACTIONS(2028),
    [anon_sym_u32] = ACTIONS(2028),
    [anon_sym_i32] = ACTIONS(2028),
    [anon_sym_u64] = ACTIONS(2028),
    [anon_sym_i64] = ACTIONS(2028),
    [anon_sym_u128] = ACTIONS(2028),
    [anon_sym_i128] = ACTIONS(2028),
    [anon_sym_isize] = ACTIONS(2028),
    [anon_sym_usize] = ACTIONS(2028),
    [anon_sym_f32] = ACTIONS(2028),
    [anon_sym_f64] = ACTIONS(2028),
    [anon_sym_bool] = ACTIONS(2028),
    [anon_sym_str] = ACTIONS(2028),
    [anon_sym_char] = ACTIONS(2028),
    [anon_sym_DASH] = ACTIONS(2026),
    [anon_sym_BANG] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_PIPE] = ACTIONS(2026),
    [anon_sym_LT] = ACTIONS(2026),
    [anon_sym_DOT_DOT] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2026),
    [anon_sym_POUND] = ACTIONS(2026),
    [anon_sym_SQUOTE] = ACTIONS(2028),
    [anon_sym_async] = ACTIONS(2028),
    [anon_sym_break] = ACTIONS(2028),
    [anon_sym_const] = ACTIONS(2028),
    [anon_sym_continue] = ACTIONS(2028),
    [anon_sym_default] = ACTIONS(2028),
    [anon_sym_enum] = ACTIONS(2028),
    [anon_sym_fn] = ACTIONS(2028),
    [anon_sym_for] = ACTIONS(2028),
    [anon_sym_if] = ACTIONS(2028),
    [anon_sym_impl] = ACTIONS(2028),
    [anon_sym_let] = ACTIONS(2028),
    [anon_sym_loop] = ACTIONS(2028),
    [anon_sym_match] = ACTIONS(2028),
    [anon_sym_mod] = ACTIONS(2028),
    [anon_sym_pub] = ACTIONS(2028),
    [anon_sym_return] = ACTIONS(2028),
    [anon_sym_static] = ACTIONS(2028),
    [anon_sym_struct] = ACTIONS(2028),
    [anon_sym_trait] = ACTIONS(2028),
    [anon_sym_type] = ACTIONS(2028),
    [anon_sym_union] = ACTIONS(2028),
    [anon_sym_unsafe] = ACTIONS(2028),
    [anon_sym_use] = ACTIONS(2028),
    [anon_sym_while] = ACTIONS(2028),
    [anon_sym_extern] = ACTIONS(2028),
    [anon_sym_yield] = ACTIONS(2028),
    [anon_sym_move] = ACTIONS(2028),
    [anon_sym_try] = ACTIONS(2028),
    [sym_integer_literal] = ACTIONS(2026),
    [aux_sym_string_literal_token1] = ACTIONS(2026),
    [sym_char_literal] = ACTIONS(2026),
    [anon_sym_true] = ACTIONS(2028),
    [anon_sym_false] = ACTIONS(2028),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2028),
    [sym_super] = ACTIONS(2028),
    [sym_crate] = ACTIONS(2028),
    [sym_metavariable] = ACTIONS(2026),
    [sym__raw_string_literal_start] = ACTIONS(2026),
    [sym_float_literal] = ACTIONS(2026),
  },
  [571] = {
    [sym_line_comment] = STATE(571),
    [sym_block_comment] = STATE(571),
    [ts_builtin_sym_end] = ACTIONS(2030),
    [sym_identifier] = ACTIONS(2032),
    [anon_sym_SEMI] = ACTIONS(2030),
    [anon_sym_macro_rules_BANG] = ACTIONS(2030),
    [anon_sym_LPAREN] = ACTIONS(2030),
    [anon_sym_LBRACK] = ACTIONS(2030),
    [anon_sym_LBRACE] = ACTIONS(2030),
    [anon_sym_RBRACE] = ACTIONS(2030),
    [anon_sym_STAR] = ACTIONS(2030),
    [anon_sym_u8] = ACTIONS(2032),
    [anon_sym_i8] = ACTIONS(2032),
    [anon_sym_u16] = ACTIONS(2032),
    [anon_sym_i16] = ACTIONS(2032),
    [anon_sym_u32] = ACTIONS(2032),
    [anon_sym_i32] = ACTIONS(2032),
    [anon_sym_u64] = ACTIONS(2032),
    [anon_sym_i64] = ACTIONS(2032),
    [anon_sym_u128] = ACTIONS(2032),
    [anon_sym_i128] = ACTIONS(2032),
    [anon_sym_isize] = ACTIONS(2032),
    [anon_sym_usize] = ACTIONS(2032),
    [anon_sym_f32] = ACTIONS(2032),
    [anon_sym_f64] = ACTIONS(2032),
    [anon_sym_bool] = ACTIONS(2032),
    [anon_sym_str] = ACTIONS(2032),
    [anon_sym_char] = ACTIONS(2032),
    [anon_sym_DASH] = ACTIONS(2030),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_AMP] = ACTIONS(2030),
    [anon_sym_PIPE] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_DOT_DOT] = ACTIONS(2030),
    [anon_sym_COLON_COLON] = ACTIONS(2030),
    [anon_sym_POUND] = ACTIONS(2030),
    [anon_sym_SQUOTE] = ACTIONS(2032),
    [anon_sym_async] = ACTIONS(2032),
    [anon_sym_break] = ACTIONS(2032),
    [anon_sym_const] = ACTIONS(2032),
    [anon_sym_continue] = ACTIONS(2032),
    [anon_sym_default] = ACTIONS(2032),
    [anon_sym_enum] = ACTIONS(2032),
    [anon_sym_fn] = ACTIONS(2032),
    [anon_sym_for] = ACTIONS(2032),
    [anon_sym_if] = ACTIONS(2032),
    [anon_sym_impl] = ACTIONS(2032),
    [anon_sym_let] = ACTIONS(2032),
    [anon_sym_loop] = ACTIONS(2032),
    [anon_sym_match] = ACTIONS(2032),
    [anon_sym_mod] = ACTIONS(2032),
    [anon_sym_pub] = ACTIONS(2032),
    [anon_sym_return] = ACTIONS(2032),
    [anon_sym_static] = ACTIONS(2032),
    [anon_sym_struct] = ACTIONS(2032),
    [anon_sym_trait] = ACTIONS(2032),
    [anon_sym_type] = ACTIONS(2032),
    [anon_sym_union] = ACTIONS(2032),
    [anon_sym_unsafe] = ACTIONS(2032),
    [anon_sym_use] = ACTIONS(2032),
    [anon_sym_while] = ACTIONS(2032),
    [anon_sym_extern] = ACTIONS(2032),
    [anon_sym_yield] = ACTIONS(2032),
    [anon_sym_move] = ACTIONS(2032),
    [anon_sym_try] = ACTIONS(2032),
    [sym_integer_literal] = ACTIONS(2030),
    [aux_sym_string_literal_token1] = ACTIONS(2030),
    [sym_char_literal] = ACTIONS(2030),
    [anon_sym_true] = ACTIONS(2032),
    [anon_sym_false] = ACTIONS(2032),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2032),
    [sym_super] = ACTIONS(2032),
    [sym_crate] = ACTIONS(2032),
    [sym_metavariable] = ACTIONS(2030),
    [sym__raw_string_literal_start] = ACTIONS(2030),
    [sym_float_literal] = ACTIONS(2030),
  },
  [572] = {
    [sym_line_comment] = STATE(572),
    [sym_block_comment] = STATE(572),
    [ts_builtin_sym_end] = ACTIONS(2034),
    [sym_identifier] = ACTIONS(2036),
    [anon_sym_SEMI] = ACTIONS(2034),
    [anon_sym_macro_rules_BANG] = ACTIONS(2034),
    [anon_sym_LPAREN] = ACTIONS(2034),
    [anon_sym_LBRACK] = ACTIONS(2034),
    [anon_sym_LBRACE] = ACTIONS(2034),
    [anon_sym_RBRACE] = ACTIONS(2034),
    [anon_sym_STAR] = ACTIONS(2034),
    [anon_sym_u8] = ACTIONS(2036),
    [anon_sym_i8] = ACTIONS(2036),
    [anon_sym_u16] = ACTIONS(2036),
    [anon_sym_i16] = ACTIONS(2036),
    [anon_sym_u32] = ACTIONS(2036),
    [anon_sym_i32] = ACTIONS(2036),
    [anon_sym_u64] = ACTIONS(2036),
    [anon_sym_i64] = ACTIONS(2036),
    [anon_sym_u128] = ACTIONS(2036),
    [anon_sym_i128] = ACTIONS(2036),
    [anon_sym_isize] = ACTIONS(2036),
    [anon_sym_usize] = ACTIONS(2036),
    [anon_sym_f32] = ACTIONS(2036),
    [anon_sym_f64] = ACTIONS(2036),
    [anon_sym_bool] = ACTIONS(2036),
    [anon_sym_str] = ACTIONS(2036),
    [anon_sym_char] = ACTIONS(2036),
    [anon_sym_DASH] = ACTIONS(2034),
    [anon_sym_BANG] = ACTIONS(2034),
    [anon_sym_AMP] = ACTIONS(2034),
    [anon_sym_PIPE] = ACTIONS(2034),
    [anon_sym_LT] = ACTIONS(2034),
    [anon_sym_DOT_DOT] = ACTIONS(2034),
    [anon_sym_COLON_COLON] = ACTIONS(2034),
    [anon_sym_POUND] = ACTIONS(2034),
    [anon_sym_SQUOTE] = ACTIONS(2036),
    [anon_sym_async] = ACTIONS(2036),
    [anon_sym_break] = ACTIONS(2036),
    [anon_sym_const] = ACTIONS(2036),
    [anon_sym_continue] = ACTIONS(2036),
    [anon_sym_default] = ACTIONS(2036),
    [anon_sym_enum] = ACTIONS(2036),
    [anon_sym_fn] = ACTIONS(2036),
    [anon_sym_for] = ACTIONS(2036),
    [anon_sym_if] = ACTIONS(2036),
    [anon_sym_impl] = ACTIONS(2036),
    [anon_sym_let] = ACTIONS(2036),
    [anon_sym_loop] = ACTIONS(2036),
    [anon_sym_match] = ACTIONS(2036),
    [anon_sym_mod] = ACTIONS(2036),
    [anon_sym_pub] = ACTIONS(2036),
    [anon_sym_return] = ACTIONS(2036),
    [anon_sym_static] = ACTIONS(2036),
    [anon_sym_struct] = ACTIONS(2036),
    [anon_sym_trait] = ACTIONS(2036),
    [anon_sym_type] = ACTIONS(2036),
    [anon_sym_union] = ACTIONS(2036),
    [anon_sym_unsafe] = ACTIONS(2036),
    [anon_sym_use] = ACTIONS(2036),
    [anon_sym_while] = ACTIONS(2036),
    [anon_sym_extern] = ACTIONS(2036),
    [anon_sym_yield] = ACTIONS(2036),
    [anon_sym_move] = ACTIONS(2036),
    [anon_sym_try] = ACTIONS(2036),
    [sym_integer_literal] = ACTIONS(2034),
    [aux_sym_string_literal_token1] = ACTIONS(2034),
    [sym_char_literal] = ACTIONS(2034),
    [anon_sym_true] = ACTIONS(2036),
    [anon_sym_false] = ACTIONS(2036),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2036),
    [sym_super] = ACTIONS(2036),
    [sym_crate] = ACTIONS(2036),
    [sym_metavariable] = ACTIONS(2034),
    [sym__raw_string_literal_start] = ACTIONS(2034),
    [sym_float_literal] = ACTIONS(2034),
  },
  [573] = {
    [sym_line_comment] = STATE(573),
    [sym_block_comment] = STATE(573),
    [ts_builtin_sym_end] = ACTIONS(2038),
    [sym_identifier] = ACTIONS(2040),
    [anon_sym_SEMI] = ACTIONS(2038),
    [anon_sym_macro_rules_BANG] = ACTIONS(2038),
    [anon_sym_LPAREN] = ACTIONS(2038),
    [anon_sym_LBRACK] = ACTIONS(2038),
    [anon_sym_LBRACE] = ACTIONS(2038),
    [anon_sym_RBRACE] = ACTIONS(2038),
    [anon_sym_STAR] = ACTIONS(2038),
    [anon_sym_u8] = ACTIONS(2040),
    [anon_sym_i8] = ACTIONS(2040),
    [anon_sym_u16] = ACTIONS(2040),
    [anon_sym_i16] = ACTIONS(2040),
    [anon_sym_u32] = ACTIONS(2040),
    [anon_sym_i32] = ACTIONS(2040),
    [anon_sym_u64] = ACTIONS(2040),
    [anon_sym_i64] = ACTIONS(2040),
    [anon_sym_u128] = ACTIONS(2040),
    [anon_sym_i128] = ACTIONS(2040),
    [anon_sym_isize] = ACTIONS(2040),
    [anon_sym_usize] = ACTIONS(2040),
    [anon_sym_f32] = ACTIONS(2040),
    [anon_sym_f64] = ACTIONS(2040),
    [anon_sym_bool] = ACTIONS(2040),
    [anon_sym_str] = ACTIONS(2040),
    [anon_sym_char] = ACTIONS(2040),
    [anon_sym_DASH] = ACTIONS(2038),
    [anon_sym_BANG] = ACTIONS(2038),
    [anon_sym_AMP] = ACTIONS(2038),
    [anon_sym_PIPE] = ACTIONS(2038),
    [anon_sym_LT] = ACTIONS(2038),
    [anon_sym_DOT_DOT] = ACTIONS(2038),
    [anon_sym_COLON_COLON] = ACTIONS(2038),
    [anon_sym_POUND] = ACTIONS(2038),
    [anon_sym_SQUOTE] = ACTIONS(2040),
    [anon_sym_async] = ACTIONS(2040),
    [anon_sym_break] = ACTIONS(2040),
    [anon_sym_const] = ACTIONS(2040),
    [anon_sym_continue] = ACTIONS(2040),
    [anon_sym_default] = ACTIONS(2040),
    [anon_sym_enum] = ACTIONS(2040),
    [anon_sym_fn] = ACTIONS(2040),
    [anon_sym_for] = ACTIONS(2040),
    [anon_sym_if] = ACTIONS(2040),
    [anon_sym_impl] = ACTIONS(2040),
    [anon_sym_let] = ACTIONS(2040),
    [anon_sym_loop] = ACTIONS(2040),
    [anon_sym_match] = ACTIONS(2040),
    [anon_sym_mod] = ACTIONS(2040),
    [anon_sym_pub] = ACTIONS(2040),
    [anon_sym_return] = ACTIONS(2040),
    [anon_sym_static] = ACTIONS(2040),
    [anon_sym_struct] = ACTIONS(2040),
    [anon_sym_trait] = ACTIONS(2040),
    [anon_sym_type] = ACTIONS(2040),
    [anon_sym_union] = ACTIONS(2040),
    [anon_sym_unsafe] = ACTIONS(2040),
    [anon_sym_use] = ACTIONS(2040),
    [anon_sym_while] = ACTIONS(2040),
    [anon_sym_extern] = ACTIONS(2040),
    [anon_sym_yield] = ACTIONS(2040),
    [anon_sym_move] = ACTIONS(2040),
    [anon_sym_try] = ACTIONS(2040),
    [sym_integer_literal] = ACTIONS(2038),
    [aux_sym_string_literal_token1] = ACTIONS(2038),
    [sym_char_literal] = ACTIONS(2038),
    [anon_sym_true] = ACTIONS(2040),
    [anon_sym_false] = ACTIONS(2040),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2040),
    [sym_super] = ACTIONS(2040),
    [sym_crate] = ACTIONS(2040),
    [sym_metavariable] = ACTIONS(2038),
    [sym__raw_string_literal_start] = ACTIONS(2038),
    [sym_float_literal] = ACTIONS(2038),
  },
  [574] = {
    [sym_line_comment] = STATE(574),
    [sym_block_comment] = STATE(574),
    [ts_builtin_sym_end] = ACTIONS(2042),
    [sym_identifier] = ACTIONS(2044),
    [anon_sym_SEMI] = ACTIONS(2042),
    [anon_sym_macro_rules_BANG] = ACTIONS(2042),
    [anon_sym_LPAREN] = ACTIONS(2042),
    [anon_sym_LBRACK] = ACTIONS(2042),
    [anon_sym_LBRACE] = ACTIONS(2042),
    [anon_sym_RBRACE] = ACTIONS(2042),
    [anon_sym_STAR] = ACTIONS(2042),
    [anon_sym_u8] = ACTIONS(2044),
    [anon_sym_i8] = ACTIONS(2044),
    [anon_sym_u16] = ACTIONS(2044),
    [anon_sym_i16] = ACTIONS(2044),
    [anon_sym_u32] = ACTIONS(2044),
    [anon_sym_i32] = ACTIONS(2044),
    [anon_sym_u64] = ACTIONS(2044),
    [anon_sym_i64] = ACTIONS(2044),
    [anon_sym_u128] = ACTIONS(2044),
    [anon_sym_i128] = ACTIONS(2044),
    [anon_sym_isize] = ACTIONS(2044),
    [anon_sym_usize] = ACTIONS(2044),
    [anon_sym_f32] = ACTIONS(2044),
    [anon_sym_f64] = ACTIONS(2044),
    [anon_sym_bool] = ACTIONS(2044),
    [anon_sym_str] = ACTIONS(2044),
    [anon_sym_char] = ACTIONS(2044),
    [anon_sym_DASH] = ACTIONS(2042),
    [anon_sym_BANG] = ACTIONS(2042),
    [anon_sym_AMP] = ACTIONS(2042),
    [anon_sym_PIPE] = ACTIONS(2042),
    [anon_sym_LT] = ACTIONS(2042),
    [anon_sym_DOT_DOT] = ACTIONS(2042),
    [anon_sym_COLON_COLON] = ACTIONS(2042),
    [anon_sym_POUND] = ACTIONS(2042),
    [anon_sym_SQUOTE] = ACTIONS(2044),
    [anon_sym_async] = ACTIONS(2044),
    [anon_sym_break] = ACTIONS(2044),
    [anon_sym_const] = ACTIONS(2044),
    [anon_sym_continue] = ACTIONS(2044),
    [anon_sym_default] = ACTIONS(2044),
    [anon_sym_enum] = ACTIONS(2044),
    [anon_sym_fn] = ACTIONS(2044),
    [anon_sym_for] = ACTIONS(2044),
    [anon_sym_if] = ACTIONS(2044),
    [anon_sym_impl] = ACTIONS(2044),
    [anon_sym_let] = ACTIONS(2044),
    [anon_sym_loop] = ACTIONS(2044),
    [anon_sym_match] = ACTIONS(2044),
    [anon_sym_mod] = ACTIONS(2044),
    [anon_sym_pub] = ACTIONS(2044),
    [anon_sym_return] = ACTIONS(2044),
    [anon_sym_static] = ACTIONS(2044),
    [anon_sym_struct] = ACTIONS(2044),
    [anon_sym_trait] = ACTIONS(2044),
    [anon_sym_type] = ACTIONS(2044),
    [anon_sym_union] = ACTIONS(2044),
    [anon_sym_unsafe] = ACTIONS(2044),
    [anon_sym_use] = ACTIONS(2044),
    [anon_sym_while] = ACTIONS(2044),
    [anon_sym_extern] = ACTIONS(2044),
    [anon_sym_yield] = ACTIONS(2044),
    [anon_sym_move] = ACTIONS(2044),
    [anon_sym_try] = ACTIONS(2044),
    [sym_integer_literal] = ACTIONS(2042),
    [aux_sym_string_literal_token1] = ACTIONS(2042),
    [sym_char_literal] = ACTIONS(2042),
    [anon_sym_true] = ACTIONS(2044),
    [anon_sym_false] = ACTIONS(2044),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2044),
    [sym_super] = ACTIONS(2044),
    [sym_crate] = ACTIONS(2044),
    [sym_metavariable] = ACTIONS(2042),
    [sym__raw_string_literal_start] = ACTIONS(2042),
    [sym_float_literal] = ACTIONS(2042),
  },
  [575] = {
    [sym_line_comment] = STATE(575),
    [sym_block_comment] = STATE(575),
    [ts_builtin_sym_end] = ACTIONS(2046),
    [sym_identifier] = ACTIONS(2048),
    [anon_sym_SEMI] = ACTIONS(2046),
    [anon_sym_macro_rules_BANG] = ACTIONS(2046),
    [anon_sym_LPAREN] = ACTIONS(2046),
    [anon_sym_LBRACK] = ACTIONS(2046),
    [anon_sym_LBRACE] = ACTIONS(2046),
    [anon_sym_RBRACE] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(2046),
    [anon_sym_u8] = ACTIONS(2048),
    [anon_sym_i8] = ACTIONS(2048),
    [anon_sym_u16] = ACTIONS(2048),
    [anon_sym_i16] = ACTIONS(2048),
    [anon_sym_u32] = ACTIONS(2048),
    [anon_sym_i32] = ACTIONS(2048),
    [anon_sym_u64] = ACTIONS(2048),
    [anon_sym_i64] = ACTIONS(2048),
    [anon_sym_u128] = ACTIONS(2048),
    [anon_sym_i128] = ACTIONS(2048),
    [anon_sym_isize] = ACTIONS(2048),
    [anon_sym_usize] = ACTIONS(2048),
    [anon_sym_f32] = ACTIONS(2048),
    [anon_sym_f64] = ACTIONS(2048),
    [anon_sym_bool] = ACTIONS(2048),
    [anon_sym_str] = ACTIONS(2048),
    [anon_sym_char] = ACTIONS(2048),
    [anon_sym_DASH] = ACTIONS(2046),
    [anon_sym_BANG] = ACTIONS(2046),
    [anon_sym_AMP] = ACTIONS(2046),
    [anon_sym_PIPE] = ACTIONS(2046),
    [anon_sym_LT] = ACTIONS(2046),
    [anon_sym_DOT_DOT] = ACTIONS(2046),
    [anon_sym_COLON_COLON] = ACTIONS(2046),
    [anon_sym_POUND] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2048),
    [anon_sym_async] = ACTIONS(2048),
    [anon_sym_break] = ACTIONS(2048),
    [anon_sym_const] = ACTIONS(2048),
    [anon_sym_continue] = ACTIONS(2048),
    [anon_sym_default] = ACTIONS(2048),
    [anon_sym_enum] = ACTIONS(2048),
    [anon_sym_fn] = ACTIONS(2048),
    [anon_sym_for] = ACTIONS(2048),
    [anon_sym_if] = ACTIONS(2048),
    [anon_sym_impl] = ACTIONS(2048),
    [anon_sym_let] = ACTIONS(2048),
    [anon_sym_loop] = ACTIONS(2048),
    [anon_sym_match] = ACTIONS(2048),
    [anon_sym_mod] = ACTIONS(2048),
    [anon_sym_pub] = ACTIONS(2048),
    [anon_sym_return] = ACTIONS(2048),
    [anon_sym_static] = ACTIONS(2048),
    [anon_sym_struct] = ACTIONS(2048),
    [anon_sym_trait] = ACTIONS(2048),
    [anon_sym_type] = ACTIONS(2048),
    [anon_sym_union] = ACTIONS(2048),
    [anon_sym_unsafe] = ACTIONS(2048),
    [anon_sym_use] = ACTIONS(2048),
    [anon_sym_while] = ACTIONS(2048),
    [anon_sym_extern] = ACTIONS(2048),
    [anon_sym_yield] = ACTIONS(2048),
    [anon_sym_move] = ACTIONS(2048),
    [anon_sym_try] = ACTIONS(2048),
    [sym_integer_literal] = ACTIONS(2046),
    [aux_sym_string_literal_token1] = ACTIONS(2046),
    [sym_char_literal] = ACTIONS(2046),
    [anon_sym_true] = ACTIONS(2048),
    [anon_sym_false] = ACTIONS(2048),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2048),
    [sym_super] = ACTIONS(2048),
    [sym_crate] = ACTIONS(2048),
    [sym_metavariable] = ACTIONS(2046),
    [sym__raw_string_literal_start] = ACTIONS(2046),
    [sym_float_literal] = ACTIONS(2046),
  },
  [576] = {
    [sym_line_comment] = STATE(576),
    [sym_block_comment] = STATE(576),
    [ts_builtin_sym_end] = ACTIONS(2050),
    [sym_identifier] = ACTIONS(2052),
    [anon_sym_SEMI] = ACTIONS(2050),
    [anon_sym_macro_rules_BANG] = ACTIONS(2050),
    [anon_sym_LPAREN] = ACTIONS(2050),
    [anon_sym_LBRACK] = ACTIONS(2050),
    [anon_sym_LBRACE] = ACTIONS(2050),
    [anon_sym_RBRACE] = ACTIONS(2050),
    [anon_sym_STAR] = ACTIONS(2050),
    [anon_sym_u8] = ACTIONS(2052),
    [anon_sym_i8] = ACTIONS(2052),
    [anon_sym_u16] = ACTIONS(2052),
    [anon_sym_i16] = ACTIONS(2052),
    [anon_sym_u32] = ACTIONS(2052),
    [anon_sym_i32] = ACTIONS(2052),
    [anon_sym_u64] = ACTIONS(2052),
    [anon_sym_i64] = ACTIONS(2052),
    [anon_sym_u128] = ACTIONS(2052),
    [anon_sym_i128] = ACTIONS(2052),
    [anon_sym_isize] = ACTIONS(2052),
    [anon_sym_usize] = ACTIONS(2052),
    [anon_sym_f32] = ACTIONS(2052),
    [anon_sym_f64] = ACTIONS(2052),
    [anon_sym_bool] = ACTIONS(2052),
    [anon_sym_str] = ACTIONS(2052),
    [anon_sym_char] = ACTIONS(2052),
    [anon_sym_DASH] = ACTIONS(2050),
    [anon_sym_BANG] = ACTIONS(2050),
    [anon_sym_AMP] = ACTIONS(2050),
    [anon_sym_PIPE] = ACTIONS(2050),
    [anon_sym_LT] = ACTIONS(2050),
    [anon_sym_DOT_DOT] = ACTIONS(2050),
    [anon_sym_COLON_COLON] = ACTIONS(2050),
    [anon_sym_POUND] = ACTIONS(2050),
    [anon_sym_SQUOTE] = ACTIONS(2052),
    [anon_sym_async] = ACTIONS(2052),
    [anon_sym_break] = ACTIONS(2052),
    [anon_sym_const] = ACTIONS(2052),
    [anon_sym_continue] = ACTIONS(2052),
    [anon_sym_default] = ACTIONS(2052),
    [anon_sym_enum] = ACTIONS(2052),
    [anon_sym_fn] = ACTIONS(2052),
    [anon_sym_for] = ACTIONS(2052),
    [anon_sym_if] = ACTIONS(2052),
    [anon_sym_impl] = ACTIONS(2052),
    [anon_sym_let] = ACTIONS(2052),
    [anon_sym_loop] = ACTIONS(2052),
    [anon_sym_match] = ACTIONS(2052),
    [anon_sym_mod] = ACTIONS(2052),
    [anon_sym_pub] = ACTIONS(2052),
    [anon_sym_return] = ACTIONS(2052),
    [anon_sym_static] = ACTIONS(2052),
    [anon_sym_struct] = ACTIONS(2052),
    [anon_sym_trait] = ACTIONS(2052),
    [anon_sym_type] = ACTIONS(2052),
    [anon_sym_union] = ACTIONS(2052),
    [anon_sym_unsafe] = ACTIONS(2052),
    [anon_sym_use] = ACTIONS(2052),
    [anon_sym_while] = ACTIONS(2052),
    [anon_sym_extern] = ACTIONS(2052),
    [anon_sym_yield] = ACTIONS(2052),
    [anon_sym_move] = ACTIONS(2052),
    [anon_sym_try] = ACTIONS(2052),
    [sym_integer_literal] = ACTIONS(2050),
    [aux_sym_string_literal_token1] = ACTIONS(2050),
    [sym_char_literal] = ACTIONS(2050),
    [anon_sym_true] = ACTIONS(2052),
    [anon_sym_false] = ACTIONS(2052),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2052),
    [sym_super] = ACTIONS(2052),
    [sym_crate] = ACTIONS(2052),
    [sym_metavariable] = ACTIONS(2050),
    [sym__raw_string_literal_start] = ACTIONS(2050),
    [sym_float_literal] = ACTIONS(2050),
  },
  [577] = {
    [sym_line_comment] = STATE(577),
    [sym_block_comment] = STATE(577),
    [ts_builtin_sym_end] = ACTIONS(2054),
    [sym_identifier] = ACTIONS(2056),
    [anon_sym_SEMI] = ACTIONS(2054),
    [anon_sym_macro_rules_BANG] = ACTIONS(2054),
    [anon_sym_LPAREN] = ACTIONS(2054),
    [anon_sym_LBRACK] = ACTIONS(2054),
    [anon_sym_LBRACE] = ACTIONS(2054),
    [anon_sym_RBRACE] = ACTIONS(2054),
    [anon_sym_STAR] = ACTIONS(2054),
    [anon_sym_u8] = ACTIONS(2056),
    [anon_sym_i8] = ACTIONS(2056),
    [anon_sym_u16] = ACTIONS(2056),
    [anon_sym_i16] = ACTIONS(2056),
    [anon_sym_u32] = ACTIONS(2056),
    [anon_sym_i32] = ACTIONS(2056),
    [anon_sym_u64] = ACTIONS(2056),
    [anon_sym_i64] = ACTIONS(2056),
    [anon_sym_u128] = ACTIONS(2056),
    [anon_sym_i128] = ACTIONS(2056),
    [anon_sym_isize] = ACTIONS(2056),
    [anon_sym_usize] = ACTIONS(2056),
    [anon_sym_f32] = ACTIONS(2056),
    [anon_sym_f64] = ACTIONS(2056),
    [anon_sym_bool] = ACTIONS(2056),
    [anon_sym_str] = ACTIONS(2056),
    [anon_sym_char] = ACTIONS(2056),
    [anon_sym_DASH] = ACTIONS(2054),
    [anon_sym_BANG] = ACTIONS(2054),
    [anon_sym_AMP] = ACTIONS(2054),
    [anon_sym_PIPE] = ACTIONS(2054),
    [anon_sym_LT] = ACTIONS(2054),
    [anon_sym_DOT_DOT] = ACTIONS(2054),
    [anon_sym_COLON_COLON] = ACTIONS(2054),
    [anon_sym_POUND] = ACTIONS(2054),
    [anon_sym_SQUOTE] = ACTIONS(2056),
    [anon_sym_async] = ACTIONS(2056),
    [anon_sym_break] = ACTIONS(2056),
    [anon_sym_const] = ACTIONS(2056),
    [anon_sym_continue] = ACTIONS(2056),
    [anon_sym_default] = ACTIONS(2056),
    [anon_sym_enum] = ACTIONS(2056),
    [anon_sym_fn] = ACTIONS(2056),
    [anon_sym_for] = ACTIONS(2056),
    [anon_sym_if] = ACTIONS(2056),
    [anon_sym_impl] = ACTIONS(2056),
    [anon_sym_let] = ACTIONS(2056),
    [anon_sym_loop] = ACTIONS(2056),
    [anon_sym_match] = ACTIONS(2056),
    [anon_sym_mod] = ACTIONS(2056),
    [anon_sym_pub] = ACTIONS(2056),
    [anon_sym_return] = ACTIONS(2056),
    [anon_sym_static] = ACTIONS(2056),
    [anon_sym_struct] = ACTIONS(2056),
    [anon_sym_trait] = ACTIONS(2056),
    [anon_sym_type] = ACTIONS(2056),
    [anon_sym_union] = ACTIONS(2056),
    [anon_sym_unsafe] = ACTIONS(2056),
    [anon_sym_use] = ACTIONS(2056),
    [anon_sym_while] = ACTIONS(2056),
    [anon_sym_extern] = ACTIONS(2056),
    [anon_sym_yield] = ACTIONS(2056),
    [anon_sym_move] = ACTIONS(2056),
    [anon_sym_try] = ACTIONS(2056),
    [sym_integer_literal] = ACTIONS(2054),
    [aux_sym_string_literal_token1] = ACTIONS(2054),
    [sym_char_literal] = ACTIONS(2054),
    [anon_sym_true] = ACTIONS(2056),
    [anon_sym_false] = ACTIONS(2056),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2056),
    [sym_super] = ACTIONS(2056),
    [sym_crate] = ACTIONS(2056),
    [sym_metavariable] = ACTIONS(2054),
    [sym__raw_string_literal_start] = ACTIONS(2054),
    [sym_float_literal] = ACTIONS(2054),
  },
  [578] = {
    [sym_line_comment] = STATE(578),
    [sym_block_comment] = STATE(578),
    [ts_builtin_sym_end] = ACTIONS(2058),
    [sym_identifier] = ACTIONS(2060),
    [anon_sym_SEMI] = ACTIONS(2058),
    [anon_sym_macro_rules_BANG] = ACTIONS(2058),
    [anon_sym_LPAREN] = ACTIONS(2058),
    [anon_sym_LBRACK] = ACTIONS(2058),
    [anon_sym_LBRACE] = ACTIONS(2058),
    [anon_sym_RBRACE] = ACTIONS(2058),
    [anon_sym_STAR] = ACTIONS(2058),
    [anon_sym_u8] = ACTIONS(2060),
    [anon_sym_i8] = ACTIONS(2060),
    [anon_sym_u16] = ACTIONS(2060),
    [anon_sym_i16] = ACTIONS(2060),
    [anon_sym_u32] = ACTIONS(2060),
    [anon_sym_i32] = ACTIONS(2060),
    [anon_sym_u64] = ACTIONS(2060),
    [anon_sym_i64] = ACTIONS(2060),
    [anon_sym_u128] = ACTIONS(2060),
    [anon_sym_i128] = ACTIONS(2060),
    [anon_sym_isize] = ACTIONS(2060),
    [anon_sym_usize] = ACTIONS(2060),
    [anon_sym_f32] = ACTIONS(2060),
    [anon_sym_f64] = ACTIONS(2060),
    [anon_sym_bool] = ACTIONS(2060),
    [anon_sym_str] = ACTIONS(2060),
    [anon_sym_char] = ACTIONS(2060),
    [anon_sym_DASH] = ACTIONS(2058),
    [anon_sym_BANG] = ACTIONS(2058),
    [anon_sym_AMP] = ACTIONS(2058),
    [anon_sym_PIPE] = ACTIONS(2058),
    [anon_sym_LT] = ACTIONS(2058),
    [anon_sym_DOT_DOT] = ACTIONS(2058),
    [anon_sym_COLON_COLON] = ACTIONS(2058),
    [anon_sym_POUND] = ACTIONS(2058),
    [anon_sym_SQUOTE] = ACTIONS(2060),
    [anon_sym_async] = ACTIONS(2060),
    [anon_sym_break] = ACTIONS(2060),
    [anon_sym_const] = ACTIONS(2060),
    [anon_sym_continue] = ACTIONS(2060),
    [anon_sym_default] = ACTIONS(2060),
    [anon_sym_enum] = ACTIONS(2060),
    [anon_sym_fn] = ACTIONS(2060),
    [anon_sym_for] = ACTIONS(2060),
    [anon_sym_if] = ACTIONS(2060),
    [anon_sym_impl] = ACTIONS(2060),
    [anon_sym_let] = ACTIONS(2060),
    [anon_sym_loop] = ACTIONS(2060),
    [anon_sym_match] = ACTIONS(2060),
    [anon_sym_mod] = ACTIONS(2060),
    [anon_sym_pub] = ACTIONS(2060),
    [anon_sym_return] = ACTIONS(2060),
    [anon_sym_static] = ACTIONS(2060),
    [anon_sym_struct] = ACTIONS(2060),
    [anon_sym_trait] = ACTIONS(2060),
    [anon_sym_type] = ACTIONS(2060),
    [anon_sym_union] = ACTIONS(2060),
    [anon_sym_unsafe] = ACTIONS(2060),
    [anon_sym_use] = ACTIONS(2060),
    [anon_sym_while] = ACTIONS(2060),
    [anon_sym_extern] = ACTIONS(2060),
    [anon_sym_yield] = ACTIONS(2060),
    [anon_sym_move] = ACTIONS(2060),
    [anon_sym_try] = ACTIONS(2060),
    [sym_integer_literal] = ACTIONS(2058),
    [aux_sym_string_literal_token1] = ACTIONS(2058),
    [sym_char_literal] = ACTIONS(2058),
    [anon_sym_true] = ACTIONS(2060),
    [anon_sym_false] = ACTIONS(2060),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2060),
    [sym_super] = ACTIONS(2060),
    [sym_crate] = ACTIONS(2060),
    [sym_metavariable] = ACTIONS(2058),
    [sym__raw_string_literal_start] = ACTIONS(2058),
    [sym_float_literal] = ACTIONS(2058),
  },
  [579] = {
    [sym_line_comment] = STATE(579),
    [sym_block_comment] = STATE(579),
    [ts_builtin_sym_end] = ACTIONS(2062),
    [sym_identifier] = ACTIONS(2064),
    [anon_sym_SEMI] = ACTIONS(2062),
    [anon_sym_macro_rules_BANG] = ACTIONS(2062),
    [anon_sym_LPAREN] = ACTIONS(2062),
    [anon_sym_LBRACK] = ACTIONS(2062),
    [anon_sym_LBRACE] = ACTIONS(2062),
    [anon_sym_RBRACE] = ACTIONS(2062),
    [anon_sym_STAR] = ACTIONS(2062),
    [anon_sym_u8] = ACTIONS(2064),
    [anon_sym_i8] = ACTIONS(2064),
    [anon_sym_u16] = ACTIONS(2064),
    [anon_sym_i16] = ACTIONS(2064),
    [anon_sym_u32] = ACTIONS(2064),
    [anon_sym_i32] = ACTIONS(2064),
    [anon_sym_u64] = ACTIONS(2064),
    [anon_sym_i64] = ACTIONS(2064),
    [anon_sym_u128] = ACTIONS(2064),
    [anon_sym_i128] = ACTIONS(2064),
    [anon_sym_isize] = ACTIONS(2064),
    [anon_sym_usize] = ACTIONS(2064),
    [anon_sym_f32] = ACTIONS(2064),
    [anon_sym_f64] = ACTIONS(2064),
    [anon_sym_bool] = ACTIONS(2064),
    [anon_sym_str] = ACTIONS(2064),
    [anon_sym_char] = ACTIONS(2064),
    [anon_sym_DASH] = ACTIONS(2062),
    [anon_sym_BANG] = ACTIONS(2062),
    [anon_sym_AMP] = ACTIONS(2062),
    [anon_sym_PIPE] = ACTIONS(2062),
    [anon_sym_LT] = ACTIONS(2062),
    [anon_sym_DOT_DOT] = ACTIONS(2062),
    [anon_sym_COLON_COLON] = ACTIONS(2062),
    [anon_sym_POUND] = ACTIONS(2062),
    [anon_sym_SQUOTE] = ACTIONS(2064),
    [anon_sym_async] = ACTIONS(2064),
    [anon_sym_break] = ACTIONS(2064),
    [anon_sym_const] = ACTIONS(2064),
    [anon_sym_continue] = ACTIONS(2064),
    [anon_sym_default] = ACTIONS(2064),
    [anon_sym_enum] = ACTIONS(2064),
    [anon_sym_fn] = ACTIONS(2064),
    [anon_sym_for] = ACTIONS(2064),
    [anon_sym_if] = ACTIONS(2064),
    [anon_sym_impl] = ACTIONS(2064),
    [anon_sym_let] = ACTIONS(2064),
    [anon_sym_loop] = ACTIONS(2064),
    [anon_sym_match] = ACTIONS(2064),
    [anon_sym_mod] = ACTIONS(2064),
    [anon_sym_pub] = ACTIONS(2064),
    [anon_sym_return] = ACTIONS(2064),
    [anon_sym_static] = ACTIONS(2064),
    [anon_sym_struct] = ACTIONS(2064),
    [anon_sym_trait] = ACTIONS(2064),
    [anon_sym_type] = ACTIONS(2064),
    [anon_sym_union] = ACTIONS(2064),
    [anon_sym_unsafe] = ACTIONS(2064),
    [anon_sym_use] = ACTIONS(2064),
    [anon_sym_while] = ACTIONS(2064),
    [anon_sym_extern] = ACTIONS(2064),
    [anon_sym_yield] = ACTIONS(2064),
    [anon_sym_move] = ACTIONS(2064),
    [anon_sym_try] = ACTIONS(2064),
    [sym_integer_literal] = ACTIONS(2062),
    [aux_sym_string_literal_token1] = ACTIONS(2062),
    [sym_char_literal] = ACTIONS(2062),
    [anon_sym_true] = ACTIONS(2064),
    [anon_sym_false] = ACTIONS(2064),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2064),
    [sym_super] = ACTIONS(2064),
    [sym_crate] = ACTIONS(2064),
    [sym_metavariable] = ACTIONS(2062),
    [sym__raw_string_literal_start] = ACTIONS(2062),
    [sym_float_literal] = ACTIONS(2062),
  },
  [580] = {
    [sym_line_comment] = STATE(580),
    [sym_block_comment] = STATE(580),
    [ts_builtin_sym_end] = ACTIONS(2066),
    [sym_identifier] = ACTIONS(2068),
    [anon_sym_SEMI] = ACTIONS(2066),
    [anon_sym_macro_rules_BANG] = ACTIONS(2066),
    [anon_sym_LPAREN] = ACTIONS(2066),
    [anon_sym_LBRACK] = ACTIONS(2066),
    [anon_sym_LBRACE] = ACTIONS(2066),
    [anon_sym_RBRACE] = ACTIONS(2066),
    [anon_sym_STAR] = ACTIONS(2066),
    [anon_sym_u8] = ACTIONS(2068),
    [anon_sym_i8] = ACTIONS(2068),
    [anon_sym_u16] = ACTIONS(2068),
    [anon_sym_i16] = ACTIONS(2068),
    [anon_sym_u32] = ACTIONS(2068),
    [anon_sym_i32] = ACTIONS(2068),
    [anon_sym_u64] = ACTIONS(2068),
    [anon_sym_i64] = ACTIONS(2068),
    [anon_sym_u128] = ACTIONS(2068),
    [anon_sym_i128] = ACTIONS(2068),
    [anon_sym_isize] = ACTIONS(2068),
    [anon_sym_usize] = ACTIONS(2068),
    [anon_sym_f32] = ACTIONS(2068),
    [anon_sym_f64] = ACTIONS(2068),
    [anon_sym_bool] = ACTIONS(2068),
    [anon_sym_str] = ACTIONS(2068),
    [anon_sym_char] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2066),
    [anon_sym_BANG] = ACTIONS(2066),
    [anon_sym_AMP] = ACTIONS(2066),
    [anon_sym_PIPE] = ACTIONS(2066),
    [anon_sym_LT] = ACTIONS(2066),
    [anon_sym_DOT_DOT] = ACTIONS(2066),
    [anon_sym_COLON_COLON] = ACTIONS(2066),
    [anon_sym_POUND] = ACTIONS(2066),
    [anon_sym_SQUOTE] = ACTIONS(2068),
    [anon_sym_async] = ACTIONS(2068),
    [anon_sym_break] = ACTIONS(2068),
    [anon_sym_const] = ACTIONS(2068),
    [anon_sym_continue] = ACTIONS(2068),
    [anon_sym_default] = ACTIONS(2068),
    [anon_sym_enum] = ACTIONS(2068),
    [anon_sym_fn] = ACTIONS(2068),
    [anon_sym_for] = ACTIONS(2068),
    [anon_sym_if] = ACTIONS(2068),
    [anon_sym_impl] = ACTIONS(2068),
    [anon_sym_let] = ACTIONS(2068),
    [anon_sym_loop] = ACTIONS(2068),
    [anon_sym_match] = ACTIONS(2068),
    [anon_sym_mod] = ACTIONS(2068),
    [anon_sym_pub] = ACTIONS(2068),
    [anon_sym_return] = ACTIONS(2068),
    [anon_sym_static] = ACTIONS(2068),
    [anon_sym_struct] = ACTIONS(2068),
    [anon_sym_trait] = ACTIONS(2068),
    [anon_sym_type] = ACTIONS(2068),
    [anon_sym_union] = ACTIONS(2068),
    [anon_sym_unsafe] = ACTIONS(2068),
    [anon_sym_use] = ACTIONS(2068),
    [anon_sym_while] = ACTIONS(2068),
    [anon_sym_extern] = ACTIONS(2068),
    [anon_sym_yield] = ACTIONS(2068),
    [anon_sym_move] = ACTIONS(2068),
    [anon_sym_try] = ACTIONS(2068),
    [sym_integer_literal] = ACTIONS(2066),
    [aux_sym_string_literal_token1] = ACTIONS(2066),
    [sym_char_literal] = ACTIONS(2066),
    [anon_sym_true] = ACTIONS(2068),
    [anon_sym_false] = ACTIONS(2068),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2068),
    [sym_super] = ACTIONS(2068),
    [sym_crate] = ACTIONS(2068),
    [sym_metavariable] = ACTIONS(2066),
    [sym__raw_string_literal_start] = ACTIONS(2066),
    [sym_float_literal] = ACTIONS(2066),
  },
  [581] = {
    [sym_line_comment] = STATE(581),
    [sym_block_comment] = STATE(581),
    [ts_builtin_sym_end] = ACTIONS(2070),
    [sym_identifier] = ACTIONS(2072),
    [anon_sym_SEMI] = ACTIONS(2070),
    [anon_sym_macro_rules_BANG] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2070),
    [anon_sym_LBRACE] = ACTIONS(2070),
    [anon_sym_RBRACE] = ACTIONS(2070),
    [anon_sym_STAR] = ACTIONS(2070),
    [anon_sym_u8] = ACTIONS(2072),
    [anon_sym_i8] = ACTIONS(2072),
    [anon_sym_u16] = ACTIONS(2072),
    [anon_sym_i16] = ACTIONS(2072),
    [anon_sym_u32] = ACTIONS(2072),
    [anon_sym_i32] = ACTIONS(2072),
    [anon_sym_u64] = ACTIONS(2072),
    [anon_sym_i64] = ACTIONS(2072),
    [anon_sym_u128] = ACTIONS(2072),
    [anon_sym_i128] = ACTIONS(2072),
    [anon_sym_isize] = ACTIONS(2072),
    [anon_sym_usize] = ACTIONS(2072),
    [anon_sym_f32] = ACTIONS(2072),
    [anon_sym_f64] = ACTIONS(2072),
    [anon_sym_bool] = ACTIONS(2072),
    [anon_sym_str] = ACTIONS(2072),
    [anon_sym_char] = ACTIONS(2072),
    [anon_sym_DASH] = ACTIONS(2070),
    [anon_sym_BANG] = ACTIONS(2070),
    [anon_sym_AMP] = ACTIONS(2070),
    [anon_sym_PIPE] = ACTIONS(2070),
    [anon_sym_LT] = ACTIONS(2070),
    [anon_sym_DOT_DOT] = ACTIONS(2070),
    [anon_sym_COLON_COLON] = ACTIONS(2070),
    [anon_sym_POUND] = ACTIONS(2070),
    [anon_sym_SQUOTE] = ACTIONS(2072),
    [anon_sym_async] = ACTIONS(2072),
    [anon_sym_break] = ACTIONS(2072),
    [anon_sym_const] = ACTIONS(2072),
    [anon_sym_continue] = ACTIONS(2072),
    [anon_sym_default] = ACTIONS(2072),
    [anon_sym_enum] = ACTIONS(2072),
    [anon_sym_fn] = ACTIONS(2072),
    [anon_sym_for] = ACTIONS(2072),
    [anon_sym_if] = ACTIONS(2072),
    [anon_sym_impl] = ACTIONS(2072),
    [anon_sym_let] = ACTIONS(2072),
    [anon_sym_loop] = ACTIONS(2072),
    [anon_sym_match] = ACTIONS(2072),
    [anon_sym_mod] = ACTIONS(2072),
    [anon_sym_pub] = ACTIONS(2072),
    [anon_sym_return] = ACTIONS(2072),
    [anon_sym_static] = ACTIONS(2072),
    [anon_sym_struct] = ACTIONS(2072),
    [anon_sym_trait] = ACTIONS(2072),
    [anon_sym_type] = ACTIONS(2072),
    [anon_sym_union] = ACTIONS(2072),
    [anon_sym_unsafe] = ACTIONS(2072),
    [anon_sym_use] = ACTIONS(2072),
    [anon_sym_while] = ACTIONS(2072),
    [anon_sym_extern] = ACTIONS(2072),
    [anon_sym_yield] = ACTIONS(2072),
    [anon_sym_move] = ACTIONS(2072),
    [anon_sym_try] = ACTIONS(2072),
    [sym_integer_literal] = ACTIONS(2070),
    [aux_sym_string_literal_token1] = ACTIONS(2070),
    [sym_char_literal] = ACTIONS(2070),
    [anon_sym_true] = ACTIONS(2072),
    [anon_sym_false] = ACTIONS(2072),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2072),
    [sym_super] = ACTIONS(2072),
    [sym_crate] = ACTIONS(2072),
    [sym_metavariable] = ACTIONS(2070),
    [sym__raw_string_literal_start] = ACTIONS(2070),
    [sym_float_literal] = ACTIONS(2070),
  },
  [582] = {
    [sym_line_comment] = STATE(582),
    [sym_block_comment] = STATE(582),
    [ts_builtin_sym_end] = ACTIONS(2074),
    [sym_identifier] = ACTIONS(2076),
    [anon_sym_SEMI] = ACTIONS(2074),
    [anon_sym_macro_rules_BANG] = ACTIONS(2074),
    [anon_sym_LPAREN] = ACTIONS(2074),
    [anon_sym_LBRACK] = ACTIONS(2074),
    [anon_sym_LBRACE] = ACTIONS(2074),
    [anon_sym_RBRACE] = ACTIONS(2074),
    [anon_sym_STAR] = ACTIONS(2074),
    [anon_sym_u8] = ACTIONS(2076),
    [anon_sym_i8] = ACTIONS(2076),
    [anon_sym_u16] = ACTIONS(2076),
    [anon_sym_i16] = ACTIONS(2076),
    [anon_sym_u32] = ACTIONS(2076),
    [anon_sym_i32] = ACTIONS(2076),
    [anon_sym_u64] = ACTIONS(2076),
    [anon_sym_i64] = ACTIONS(2076),
    [anon_sym_u128] = ACTIONS(2076),
    [anon_sym_i128] = ACTIONS(2076),
    [anon_sym_isize] = ACTIONS(2076),
    [anon_sym_usize] = ACTIONS(2076),
    [anon_sym_f32] = ACTIONS(2076),
    [anon_sym_f64] = ACTIONS(2076),
    [anon_sym_bool] = ACTIONS(2076),
    [anon_sym_str] = ACTIONS(2076),
    [anon_sym_char] = ACTIONS(2076),
    [anon_sym_DASH] = ACTIONS(2074),
    [anon_sym_BANG] = ACTIONS(2074),
    [anon_sym_AMP] = ACTIONS(2074),
    [anon_sym_PIPE] = ACTIONS(2074),
    [anon_sym_LT] = ACTIONS(2074),
    [anon_sym_DOT_DOT] = ACTIONS(2074),
    [anon_sym_COLON_COLON] = ACTIONS(2074),
    [anon_sym_POUND] = ACTIONS(2074),
    [anon_sym_SQUOTE] = ACTIONS(2076),
    [anon_sym_async] = ACTIONS(2076),
    [anon_sym_break] = ACTIONS(2076),
    [anon_sym_const] = ACTIONS(2076),
    [anon_sym_continue] = ACTIONS(2076),
    [anon_sym_default] = ACTIONS(2076),
    [anon_sym_enum] = ACTIONS(2076),
    [anon_sym_fn] = ACTIONS(2076),
    [anon_sym_for] = ACTIONS(2076),
    [anon_sym_if] = ACTIONS(2076),
    [anon_sym_impl] = ACTIONS(2076),
    [anon_sym_let] = ACTIONS(2076),
    [anon_sym_loop] = ACTIONS(2076),
    [anon_sym_match] = ACTIONS(2076),
    [anon_sym_mod] = ACTIONS(2076),
    [anon_sym_pub] = ACTIONS(2076),
    [anon_sym_return] = ACTIONS(2076),
    [anon_sym_static] = ACTIONS(2076),
    [anon_sym_struct] = ACTIONS(2076),
    [anon_sym_trait] = ACTIONS(2076),
    [anon_sym_type] = ACTIONS(2076),
    [anon_sym_union] = ACTIONS(2076),
    [anon_sym_unsafe] = ACTIONS(2076),
    [anon_sym_use] = ACTIONS(2076),
    [anon_sym_while] = ACTIONS(2076),
    [anon_sym_extern] = ACTIONS(2076),
    [anon_sym_yield] = ACTIONS(2076),
    [anon_sym_move] = ACTIONS(2076),
    [anon_sym_try] = ACTIONS(2076),
    [sym_integer_literal] = ACTIONS(2074),
    [aux_sym_string_literal_token1] = ACTIONS(2074),
    [sym_char_literal] = ACTIONS(2074),
    [anon_sym_true] = ACTIONS(2076),
    [anon_sym_false] = ACTIONS(2076),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2076),
    [sym_super] = ACTIONS(2076),
    [sym_crate] = ACTIONS(2076),
    [sym_metavariable] = ACTIONS(2074),
    [sym__raw_string_literal_start] = ACTIONS(2074),
    [sym_float_literal] = ACTIONS(2074),
  },
  [583] = {
    [sym_line_comment] = STATE(583),
    [sym_block_comment] = STATE(583),
    [ts_builtin_sym_end] = ACTIONS(2078),
    [sym_identifier] = ACTIONS(2080),
    [anon_sym_SEMI] = ACTIONS(2078),
    [anon_sym_macro_rules_BANG] = ACTIONS(2078),
    [anon_sym_LPAREN] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2078),
    [anon_sym_LBRACE] = ACTIONS(2078),
    [anon_sym_RBRACE] = ACTIONS(2078),
    [anon_sym_STAR] = ACTIONS(2078),
    [anon_sym_u8] = ACTIONS(2080),
    [anon_sym_i8] = ACTIONS(2080),
    [anon_sym_u16] = ACTIONS(2080),
    [anon_sym_i16] = ACTIONS(2080),
    [anon_sym_u32] = ACTIONS(2080),
    [anon_sym_i32] = ACTIONS(2080),
    [anon_sym_u64] = ACTIONS(2080),
    [anon_sym_i64] = ACTIONS(2080),
    [anon_sym_u128] = ACTIONS(2080),
    [anon_sym_i128] = ACTIONS(2080),
    [anon_sym_isize] = ACTIONS(2080),
    [anon_sym_usize] = ACTIONS(2080),
    [anon_sym_f32] = ACTIONS(2080),
    [anon_sym_f64] = ACTIONS(2080),
    [anon_sym_bool] = ACTIONS(2080),
    [anon_sym_str] = ACTIONS(2080),
    [anon_sym_char] = ACTIONS(2080),
    [anon_sym_DASH] = ACTIONS(2078),
    [anon_sym_BANG] = ACTIONS(2078),
    [anon_sym_AMP] = ACTIONS(2078),
    [anon_sym_PIPE] = ACTIONS(2078),
    [anon_sym_LT] = ACTIONS(2078),
    [anon_sym_DOT_DOT] = ACTIONS(2078),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_POUND] = ACTIONS(2078),
    [anon_sym_SQUOTE] = ACTIONS(2080),
    [anon_sym_async] = ACTIONS(2080),
    [anon_sym_break] = ACTIONS(2080),
    [anon_sym_const] = ACTIONS(2080),
    [anon_sym_continue] = ACTIONS(2080),
    [anon_sym_default] = ACTIONS(2080),
    [anon_sym_enum] = ACTIONS(2080),
    [anon_sym_fn] = ACTIONS(2080),
    [anon_sym_for] = ACTIONS(2080),
    [anon_sym_if] = ACTIONS(2080),
    [anon_sym_impl] = ACTIONS(2080),
    [anon_sym_let] = ACTIONS(2080),
    [anon_sym_loop] = ACTIONS(2080),
    [anon_sym_match] = ACTIONS(2080),
    [anon_sym_mod] = ACTIONS(2080),
    [anon_sym_pub] = ACTIONS(2080),
    [anon_sym_return] = ACTIONS(2080),
    [anon_sym_static] = ACTIONS(2080),
    [anon_sym_struct] = ACTIONS(2080),
    [anon_sym_trait] = ACTIONS(2080),
    [anon_sym_type] = ACTIONS(2080),
    [anon_sym_union] = ACTIONS(2080),
    [anon_sym_unsafe] = ACTIONS(2080),
    [anon_sym_use] = ACTIONS(2080),
    [anon_sym_while] = ACTIONS(2080),
    [anon_sym_extern] = ACTIONS(2080),
    [anon_sym_yield] = ACTIONS(2080),
    [anon_sym_move] = ACTIONS(2080),
    [anon_sym_try] = ACTIONS(2080),
    [sym_integer_literal] = ACTIONS(2078),
    [aux_sym_string_literal_token1] = ACTIONS(2078),
    [sym_char_literal] = ACTIONS(2078),
    [anon_sym_true] = ACTIONS(2080),
    [anon_sym_false] = ACTIONS(2080),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2080),
    [sym_super] = ACTIONS(2080),
    [sym_crate] = ACTIONS(2080),
    [sym_metavariable] = ACTIONS(2078),
    [sym__raw_string_literal_start] = ACTIONS(2078),
    [sym_float_literal] = ACTIONS(2078),
  },
  [584] = {
    [sym_line_comment] = STATE(584),
    [sym_block_comment] = STATE(584),
    [ts_builtin_sym_end] = ACTIONS(2082),
    [sym_identifier] = ACTIONS(2084),
    [anon_sym_SEMI] = ACTIONS(2082),
    [anon_sym_macro_rules_BANG] = ACTIONS(2082),
    [anon_sym_LPAREN] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2082),
    [anon_sym_LBRACE] = ACTIONS(2082),
    [anon_sym_RBRACE] = ACTIONS(2082),
    [anon_sym_STAR] = ACTIONS(2082),
    [anon_sym_u8] = ACTIONS(2084),
    [anon_sym_i8] = ACTIONS(2084),
    [anon_sym_u16] = ACTIONS(2084),
    [anon_sym_i16] = ACTIONS(2084),
    [anon_sym_u32] = ACTIONS(2084),
    [anon_sym_i32] = ACTIONS(2084),
    [anon_sym_u64] = ACTIONS(2084),
    [anon_sym_i64] = ACTIONS(2084),
    [anon_sym_u128] = ACTIONS(2084),
    [anon_sym_i128] = ACTIONS(2084),
    [anon_sym_isize] = ACTIONS(2084),
    [anon_sym_usize] = ACTIONS(2084),
    [anon_sym_f32] = ACTIONS(2084),
    [anon_sym_f64] = ACTIONS(2084),
    [anon_sym_bool] = ACTIONS(2084),
    [anon_sym_str] = ACTIONS(2084),
    [anon_sym_char] = ACTIONS(2084),
    [anon_sym_DASH] = ACTIONS(2082),
    [anon_sym_BANG] = ACTIONS(2082),
    [anon_sym_AMP] = ACTIONS(2082),
    [anon_sym_PIPE] = ACTIONS(2082),
    [anon_sym_LT] = ACTIONS(2082),
    [anon_sym_DOT_DOT] = ACTIONS(2082),
    [anon_sym_COLON_COLON] = ACTIONS(2082),
    [anon_sym_POUND] = ACTIONS(2082),
    [anon_sym_SQUOTE] = ACTIONS(2084),
    [anon_sym_async] = ACTIONS(2084),
    [anon_sym_break] = ACTIONS(2084),
    [anon_sym_const] = ACTIONS(2084),
    [anon_sym_continue] = ACTIONS(2084),
    [anon_sym_default] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2084),
    [anon_sym_fn] = ACTIONS(2084),
    [anon_sym_for] = ACTIONS(2084),
    [anon_sym_if] = ACTIONS(2084),
    [anon_sym_impl] = ACTIONS(2084),
    [anon_sym_let] = ACTIONS(2084),
    [anon_sym_loop] = ACTIONS(2084),
    [anon_sym_match] = ACTIONS(2084),
    [anon_sym_mod] = ACTIONS(2084),
    [anon_sym_pub] = ACTIONS(2084),
    [anon_sym_return] = ACTIONS(2084),
    [anon_sym_static] = ACTIONS(2084),
    [anon_sym_struct] = ACTIONS(2084),
    [anon_sym_trait] = ACTIONS(2084),
    [anon_sym_type] = ACTIONS(2084),
    [anon_sym_union] = ACTIONS(2084),
    [anon_sym_unsafe] = ACTIONS(2084),
    [anon_sym_use] = ACTIONS(2084),
    [anon_sym_while] = ACTIONS(2084),
    [anon_sym_extern] = ACTIONS(2084),
    [anon_sym_yield] = ACTIONS(2084),
    [anon_sym_move] = ACTIONS(2084),
    [anon_sym_try] = ACTIONS(2084),
    [sym_integer_literal] = ACTIONS(2082),
    [aux_sym_string_literal_token1] = ACTIONS(2082),
    [sym_char_literal] = ACTIONS(2082),
    [anon_sym_true] = ACTIONS(2084),
    [anon_sym_false] = ACTIONS(2084),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2084),
    [sym_super] = ACTIONS(2084),
    [sym_crate] = ACTIONS(2084),
    [sym_metavariable] = ACTIONS(2082),
    [sym__raw_string_literal_start] = ACTIONS(2082),
    [sym_float_literal] = ACTIONS(2082),
  },
  [585] = {
    [sym_line_comment] = STATE(585),
    [sym_block_comment] = STATE(585),
    [ts_builtin_sym_end] = ACTIONS(2086),
    [sym_identifier] = ACTIONS(2088),
    [anon_sym_SEMI] = ACTIONS(2086),
    [anon_sym_macro_rules_BANG] = ACTIONS(2086),
    [anon_sym_LPAREN] = ACTIONS(2086),
    [anon_sym_LBRACK] = ACTIONS(2086),
    [anon_sym_LBRACE] = ACTIONS(2086),
    [anon_sym_RBRACE] = ACTIONS(2086),
    [anon_sym_STAR] = ACTIONS(2086),
    [anon_sym_u8] = ACTIONS(2088),
    [anon_sym_i8] = ACTIONS(2088),
    [anon_sym_u16] = ACTIONS(2088),
    [anon_sym_i16] = ACTIONS(2088),
    [anon_sym_u32] = ACTIONS(2088),
    [anon_sym_i32] = ACTIONS(2088),
    [anon_sym_u64] = ACTIONS(2088),
    [anon_sym_i64] = ACTIONS(2088),
    [anon_sym_u128] = ACTIONS(2088),
    [anon_sym_i128] = ACTIONS(2088),
    [anon_sym_isize] = ACTIONS(2088),
    [anon_sym_usize] = ACTIONS(2088),
    [anon_sym_f32] = ACTIONS(2088),
    [anon_sym_f64] = ACTIONS(2088),
    [anon_sym_bool] = ACTIONS(2088),
    [anon_sym_str] = ACTIONS(2088),
    [anon_sym_char] = ACTIONS(2088),
    [anon_sym_DASH] = ACTIONS(2086),
    [anon_sym_BANG] = ACTIONS(2086),
    [anon_sym_AMP] = ACTIONS(2086),
    [anon_sym_PIPE] = ACTIONS(2086),
    [anon_sym_LT] = ACTIONS(2086),
    [anon_sym_DOT_DOT] = ACTIONS(2086),
    [anon_sym_COLON_COLON] = ACTIONS(2086),
    [anon_sym_POUND] = ACTIONS(2086),
    [anon_sym_SQUOTE] = ACTIONS(2088),
    [anon_sym_async] = ACTIONS(2088),
    [anon_sym_break] = ACTIONS(2088),
    [anon_sym_const] = ACTIONS(2088),
    [anon_sym_continue] = ACTIONS(2088),
    [anon_sym_default] = ACTIONS(2088),
    [anon_sym_enum] = ACTIONS(2088),
    [anon_sym_fn] = ACTIONS(2088),
    [anon_sym_for] = ACTIONS(2088),
    [anon_sym_if] = ACTIONS(2088),
    [anon_sym_impl] = ACTIONS(2088),
    [anon_sym_let] = ACTIONS(2088),
    [anon_sym_loop] = ACTIONS(2088),
    [anon_sym_match] = ACTIONS(2088),
    [anon_sym_mod] = ACTIONS(2088),
    [anon_sym_pub] = ACTIONS(2088),
    [anon_sym_return] = ACTIONS(2088),
    [anon_sym_static] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2088),
    [anon_sym_trait] = ACTIONS(2088),
    [anon_sym_type] = ACTIONS(2088),
    [anon_sym_union] = ACTIONS(2088),
    [anon_sym_unsafe] = ACTIONS(2088),
    [anon_sym_use] = ACTIONS(2088),
    [anon_sym_while] = ACTIONS(2088),
    [anon_sym_extern] = ACTIONS(2088),
    [anon_sym_yield] = ACTIONS(2088),
    [anon_sym_move] = ACTIONS(2088),
    [anon_sym_try] = ACTIONS(2088),
    [sym_integer_literal] = ACTIONS(2086),
    [aux_sym_string_literal_token1] = ACTIONS(2086),
    [sym_char_literal] = ACTIONS(2086),
    [anon_sym_true] = ACTIONS(2088),
    [anon_sym_false] = ACTIONS(2088),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2088),
    [sym_super] = ACTIONS(2088),
    [sym_crate] = ACTIONS(2088),
    [sym_metavariable] = ACTIONS(2086),
    [sym__raw_string_literal_start] = ACTIONS(2086),
    [sym_float_literal] = ACTIONS(2086),
  },
  [586] = {
    [sym_line_comment] = STATE(586),
    [sym_block_comment] = STATE(586),
    [ts_builtin_sym_end] = ACTIONS(2090),
    [sym_identifier] = ACTIONS(2092),
    [anon_sym_SEMI] = ACTIONS(2090),
    [anon_sym_macro_rules_BANG] = ACTIONS(2090),
    [anon_sym_LPAREN] = ACTIONS(2090),
    [anon_sym_LBRACK] = ACTIONS(2090),
    [anon_sym_LBRACE] = ACTIONS(2090),
    [anon_sym_RBRACE] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(2090),
    [anon_sym_u8] = ACTIONS(2092),
    [anon_sym_i8] = ACTIONS(2092),
    [anon_sym_u16] = ACTIONS(2092),
    [anon_sym_i16] = ACTIONS(2092),
    [anon_sym_u32] = ACTIONS(2092),
    [anon_sym_i32] = ACTIONS(2092),
    [anon_sym_u64] = ACTIONS(2092),
    [anon_sym_i64] = ACTIONS(2092),
    [anon_sym_u128] = ACTIONS(2092),
    [anon_sym_i128] = ACTIONS(2092),
    [anon_sym_isize] = ACTIONS(2092),
    [anon_sym_usize] = ACTIONS(2092),
    [anon_sym_f32] = ACTIONS(2092),
    [anon_sym_f64] = ACTIONS(2092),
    [anon_sym_bool] = ACTIONS(2092),
    [anon_sym_str] = ACTIONS(2092),
    [anon_sym_char] = ACTIONS(2092),
    [anon_sym_DASH] = ACTIONS(2090),
    [anon_sym_BANG] = ACTIONS(2090),
    [anon_sym_AMP] = ACTIONS(2090),
    [anon_sym_PIPE] = ACTIONS(2090),
    [anon_sym_LT] = ACTIONS(2090),
    [anon_sym_DOT_DOT] = ACTIONS(2090),
    [anon_sym_COLON_COLON] = ACTIONS(2090),
    [anon_sym_POUND] = ACTIONS(2090),
    [anon_sym_SQUOTE] = ACTIONS(2092),
    [anon_sym_async] = ACTIONS(2092),
    [anon_sym_break] = ACTIONS(2092),
    [anon_sym_const] = ACTIONS(2092),
    [anon_sym_continue] = ACTIONS(2092),
    [anon_sym_default] = ACTIONS(2092),
    [anon_sym_enum] = ACTIONS(2092),
    [anon_sym_fn] = ACTIONS(2092),
    [anon_sym_for] = ACTIONS(2092),
    [anon_sym_if] = ACTIONS(2092),
    [anon_sym_impl] = ACTIONS(2092),
    [anon_sym_let] = ACTIONS(2092),
    [anon_sym_loop] = ACTIONS(2092),
    [anon_sym_match] = ACTIONS(2092),
    [anon_sym_mod] = ACTIONS(2092),
    [anon_sym_pub] = ACTIONS(2092),
    [anon_sym_return] = ACTIONS(2092),
    [anon_sym_static] = ACTIONS(2092),
    [anon_sym_struct] = ACTIONS(2092),
    [anon_sym_trait] = ACTIONS(2092),
    [anon_sym_type] = ACTIONS(2092),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_unsafe] = ACTIONS(2092),
    [anon_sym_use] = ACTIONS(2092),
    [anon_sym_while] = ACTIONS(2092),
    [anon_sym_extern] = ACTIONS(2092),
    [anon_sym_yield] = ACTIONS(2092),
    [anon_sym_move] = ACTIONS(2092),
    [anon_sym_try] = ACTIONS(2092),
    [sym_integer_literal] = ACTIONS(2090),
    [aux_sym_string_literal_token1] = ACTIONS(2090),
    [sym_char_literal] = ACTIONS(2090),
    [anon_sym_true] = ACTIONS(2092),
    [anon_sym_false] = ACTIONS(2092),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2092),
    [sym_super] = ACTIONS(2092),
    [sym_crate] = ACTIONS(2092),
    [sym_metavariable] = ACTIONS(2090),
    [sym__raw_string_literal_start] = ACTIONS(2090),
    [sym_float_literal] = ACTIONS(2090),
  },
  [587] = {
    [sym_line_comment] = STATE(587),
    [sym_block_comment] = STATE(587),
    [ts_builtin_sym_end] = ACTIONS(2094),
    [sym_identifier] = ACTIONS(2096),
    [anon_sym_SEMI] = ACTIONS(2094),
    [anon_sym_macro_rules_BANG] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2094),
    [anon_sym_LBRACK] = ACTIONS(2094),
    [anon_sym_LBRACE] = ACTIONS(2094),
    [anon_sym_RBRACE] = ACTIONS(2094),
    [anon_sym_STAR] = ACTIONS(2094),
    [anon_sym_u8] = ACTIONS(2096),
    [anon_sym_i8] = ACTIONS(2096),
    [anon_sym_u16] = ACTIONS(2096),
    [anon_sym_i16] = ACTIONS(2096),
    [anon_sym_u32] = ACTIONS(2096),
    [anon_sym_i32] = ACTIONS(2096),
    [anon_sym_u64] = ACTIONS(2096),
    [anon_sym_i64] = ACTIONS(2096),
    [anon_sym_u128] = ACTIONS(2096),
    [anon_sym_i128] = ACTIONS(2096),
    [anon_sym_isize] = ACTIONS(2096),
    [anon_sym_usize] = ACTIONS(2096),
    [anon_sym_f32] = ACTIONS(2096),
    [anon_sym_f64] = ACTIONS(2096),
    [anon_sym_bool] = ACTIONS(2096),
    [anon_sym_str] = ACTIONS(2096),
    [anon_sym_char] = ACTIONS(2096),
    [anon_sym_DASH] = ACTIONS(2094),
    [anon_sym_BANG] = ACTIONS(2094),
    [anon_sym_AMP] = ACTIONS(2094),
    [anon_sym_PIPE] = ACTIONS(2094),
    [anon_sym_LT] = ACTIONS(2094),
    [anon_sym_DOT_DOT] = ACTIONS(2094),
    [anon_sym_COLON_COLON] = ACTIONS(2094),
    [anon_sym_POUND] = ACTIONS(2094),
    [anon_sym_SQUOTE] = ACTIONS(2096),
    [anon_sym_async] = ACTIONS(2096),
    [anon_sym_break] = ACTIONS(2096),
    [anon_sym_const] = ACTIONS(2096),
    [anon_sym_continue] = ACTIONS(2096),
    [anon_sym_default] = ACTIONS(2096),
    [anon_sym_enum] = ACTIONS(2096),
    [anon_sym_fn] = ACTIONS(2096),
    [anon_sym_for] = ACTIONS(2096),
    [anon_sym_if] = ACTIONS(2096),
    [anon_sym_impl] = ACTIONS(2096),
    [anon_sym_let] = ACTIONS(2096),
    [anon_sym_loop] = ACTIONS(2096),
    [anon_sym_match] = ACTIONS(2096),
    [anon_sym_mod] = ACTIONS(2096),
    [anon_sym_pub] = ACTIONS(2096),
    [anon_sym_return] = ACTIONS(2096),
    [anon_sym_static] = ACTIONS(2096),
    [anon_sym_struct] = ACTIONS(2096),
    [anon_sym_trait] = ACTIONS(2096),
    [anon_sym_type] = ACTIONS(2096),
    [anon_sym_union] = ACTIONS(2096),
    [anon_sym_unsafe] = ACTIONS(2096),
    [anon_sym_use] = ACTIONS(2096),
    [anon_sym_while] = ACTIONS(2096),
    [anon_sym_extern] = ACTIONS(2096),
    [anon_sym_yield] = ACTIONS(2096),
    [anon_sym_move] = ACTIONS(2096),
    [anon_sym_try] = ACTIONS(2096),
    [sym_integer_literal] = ACTIONS(2094),
    [aux_sym_string_literal_token1] = ACTIONS(2094),
    [sym_char_literal] = ACTIONS(2094),
    [anon_sym_true] = ACTIONS(2096),
    [anon_sym_false] = ACTIONS(2096),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2096),
    [sym_super] = ACTIONS(2096),
    [sym_crate] = ACTIONS(2096),
    [sym_metavariable] = ACTIONS(2094),
    [sym__raw_string_literal_start] = ACTIONS(2094),
    [sym_float_literal] = ACTIONS(2094),
  },
  [588] = {
    [sym_line_comment] = STATE(588),
    [sym_block_comment] = STATE(588),
    [ts_builtin_sym_end] = ACTIONS(2098),
    [sym_identifier] = ACTIONS(2100),
    [anon_sym_SEMI] = ACTIONS(2098),
    [anon_sym_macro_rules_BANG] = ACTIONS(2098),
    [anon_sym_LPAREN] = ACTIONS(2098),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_LBRACE] = ACTIONS(2098),
    [anon_sym_RBRACE] = ACTIONS(2098),
    [anon_sym_STAR] = ACTIONS(2098),
    [anon_sym_u8] = ACTIONS(2100),
    [anon_sym_i8] = ACTIONS(2100),
    [anon_sym_u16] = ACTIONS(2100),
    [anon_sym_i16] = ACTIONS(2100),
    [anon_sym_u32] = ACTIONS(2100),
    [anon_sym_i32] = ACTIONS(2100),
    [anon_sym_u64] = ACTIONS(2100),
    [anon_sym_i64] = ACTIONS(2100),
    [anon_sym_u128] = ACTIONS(2100),
    [anon_sym_i128] = ACTIONS(2100),
    [anon_sym_isize] = ACTIONS(2100),
    [anon_sym_usize] = ACTIONS(2100),
    [anon_sym_f32] = ACTIONS(2100),
    [anon_sym_f64] = ACTIONS(2100),
    [anon_sym_bool] = ACTIONS(2100),
    [anon_sym_str] = ACTIONS(2100),
    [anon_sym_char] = ACTIONS(2100),
    [anon_sym_DASH] = ACTIONS(2098),
    [anon_sym_BANG] = ACTIONS(2098),
    [anon_sym_AMP] = ACTIONS(2098),
    [anon_sym_PIPE] = ACTIONS(2098),
    [anon_sym_LT] = ACTIONS(2098),
    [anon_sym_DOT_DOT] = ACTIONS(2098),
    [anon_sym_COLON_COLON] = ACTIONS(2098),
    [anon_sym_POUND] = ACTIONS(2098),
    [anon_sym_SQUOTE] = ACTIONS(2100),
    [anon_sym_async] = ACTIONS(2100),
    [anon_sym_break] = ACTIONS(2100),
    [anon_sym_const] = ACTIONS(2100),
    [anon_sym_continue] = ACTIONS(2100),
    [anon_sym_default] = ACTIONS(2100),
    [anon_sym_enum] = ACTIONS(2100),
    [anon_sym_fn] = ACTIONS(2100),
    [anon_sym_for] = ACTIONS(2100),
    [anon_sym_if] = ACTIONS(2100),
    [anon_sym_impl] = ACTIONS(2100),
    [anon_sym_let] = ACTIONS(2100),
    [anon_sym_loop] = ACTIONS(2100),
    [anon_sym_match] = ACTIONS(2100),
    [anon_sym_mod] = ACTIONS(2100),
    [anon_sym_pub] = ACTIONS(2100),
    [anon_sym_return] = ACTIONS(2100),
    [anon_sym_static] = ACTIONS(2100),
    [anon_sym_struct] = ACTIONS(2100),
    [anon_sym_trait] = ACTIONS(2100),
    [anon_sym_type] = ACTIONS(2100),
    [anon_sym_union] = ACTIONS(2100),
    [anon_sym_unsafe] = ACTIONS(2100),
    [anon_sym_use] = ACTIONS(2100),
    [anon_sym_while] = ACTIONS(2100),
    [anon_sym_extern] = ACTIONS(2100),
    [anon_sym_yield] = ACTIONS(2100),
    [anon_sym_move] = ACTIONS(2100),
    [anon_sym_try] = ACTIONS(2100),
    [sym_integer_literal] = ACTIONS(2098),
    [aux_sym_string_literal_token1] = ACTIONS(2098),
    [sym_char_literal] = ACTIONS(2098),
    [anon_sym_true] = ACTIONS(2100),
    [anon_sym_false] = ACTIONS(2100),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2100),
    [sym_super] = ACTIONS(2100),
    [sym_crate] = ACTIONS(2100),
    [sym_metavariable] = ACTIONS(2098),
    [sym__raw_string_literal_start] = ACTIONS(2098),
    [sym_float_literal] = ACTIONS(2098),
  },
  [589] = {
    [sym_line_comment] = STATE(589),
    [sym_block_comment] = STATE(589),
    [ts_builtin_sym_end] = ACTIONS(2102),
    [sym_identifier] = ACTIONS(2104),
    [anon_sym_SEMI] = ACTIONS(2102),
    [anon_sym_macro_rules_BANG] = ACTIONS(2102),
    [anon_sym_LPAREN] = ACTIONS(2102),
    [anon_sym_LBRACK] = ACTIONS(2102),
    [anon_sym_LBRACE] = ACTIONS(2102),
    [anon_sym_RBRACE] = ACTIONS(2102),
    [anon_sym_STAR] = ACTIONS(2102),
    [anon_sym_u8] = ACTIONS(2104),
    [anon_sym_i8] = ACTIONS(2104),
    [anon_sym_u16] = ACTIONS(2104),
    [anon_sym_i16] = ACTIONS(2104),
    [anon_sym_u32] = ACTIONS(2104),
    [anon_sym_i32] = ACTIONS(2104),
    [anon_sym_u64] = ACTIONS(2104),
    [anon_sym_i64] = ACTIONS(2104),
    [anon_sym_u128] = ACTIONS(2104),
    [anon_sym_i128] = ACTIONS(2104),
    [anon_sym_isize] = ACTIONS(2104),
    [anon_sym_usize] = ACTIONS(2104),
    [anon_sym_f32] = ACTIONS(2104),
    [anon_sym_f64] = ACTIONS(2104),
    [anon_sym_bool] = ACTIONS(2104),
    [anon_sym_str] = ACTIONS(2104),
    [anon_sym_char] = ACTIONS(2104),
    [anon_sym_DASH] = ACTIONS(2102),
    [anon_sym_BANG] = ACTIONS(2102),
    [anon_sym_AMP] = ACTIONS(2102),
    [anon_sym_PIPE] = ACTIONS(2102),
    [anon_sym_LT] = ACTIONS(2102),
    [anon_sym_DOT_DOT] = ACTIONS(2102),
    [anon_sym_COLON_COLON] = ACTIONS(2102),
    [anon_sym_POUND] = ACTIONS(2102),
    [anon_sym_SQUOTE] = ACTIONS(2104),
    [anon_sym_async] = ACTIONS(2104),
    [anon_sym_break] = ACTIONS(2104),
    [anon_sym_const] = ACTIONS(2104),
    [anon_sym_continue] = ACTIONS(2104),
    [anon_sym_default] = ACTIONS(2104),
    [anon_sym_enum] = ACTIONS(2104),
    [anon_sym_fn] = ACTIONS(2104),
    [anon_sym_for] = ACTIONS(2104),
    [anon_sym_if] = ACTIONS(2104),
    [anon_sym_impl] = ACTIONS(2104),
    [anon_sym_let] = ACTIONS(2104),
    [anon_sym_loop] = ACTIONS(2104),
    [anon_sym_match] = ACTIONS(2104),
    [anon_sym_mod] = ACTIONS(2104),
    [anon_sym_pub] = ACTIONS(2104),
    [anon_sym_return] = ACTIONS(2104),
    [anon_sym_static] = ACTIONS(2104),
    [anon_sym_struct] = ACTIONS(2104),
    [anon_sym_trait] = ACTIONS(2104),
    [anon_sym_type] = ACTIONS(2104),
    [anon_sym_union] = ACTIONS(2104),
    [anon_sym_unsafe] = ACTIONS(2104),
    [anon_sym_use] = ACTIONS(2104),
    [anon_sym_while] = ACTIONS(2104),
    [anon_sym_extern] = ACTIONS(2104),
    [anon_sym_yield] = ACTIONS(2104),
    [anon_sym_move] = ACTIONS(2104),
    [anon_sym_try] = ACTIONS(2104),
    [sym_integer_literal] = ACTIONS(2102),
    [aux_sym_string_literal_token1] = ACTIONS(2102),
    [sym_char_literal] = ACTIONS(2102),
    [anon_sym_true] = ACTIONS(2104),
    [anon_sym_false] = ACTIONS(2104),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2104),
    [sym_super] = ACTIONS(2104),
    [sym_crate] = ACTIONS(2104),
    [sym_metavariable] = ACTIONS(2102),
    [sym__raw_string_literal_start] = ACTIONS(2102),
    [sym_float_literal] = ACTIONS(2102),
  },
  [590] = {
    [sym_line_comment] = STATE(590),
    [sym_block_comment] = STATE(590),
    [ts_builtin_sym_end] = ACTIONS(2106),
    [sym_identifier] = ACTIONS(2108),
    [anon_sym_SEMI] = ACTIONS(2106),
    [anon_sym_macro_rules_BANG] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2106),
    [anon_sym_LBRACK] = ACTIONS(2106),
    [anon_sym_LBRACE] = ACTIONS(2106),
    [anon_sym_RBRACE] = ACTIONS(2106),
    [anon_sym_STAR] = ACTIONS(2106),
    [anon_sym_u8] = ACTIONS(2108),
    [anon_sym_i8] = ACTIONS(2108),
    [anon_sym_u16] = ACTIONS(2108),
    [anon_sym_i16] = ACTIONS(2108),
    [anon_sym_u32] = ACTIONS(2108),
    [anon_sym_i32] = ACTIONS(2108),
    [anon_sym_u64] = ACTIONS(2108),
    [anon_sym_i64] = ACTIONS(2108),
    [anon_sym_u128] = ACTIONS(2108),
    [anon_sym_i128] = ACTIONS(2108),
    [anon_sym_isize] = ACTIONS(2108),
    [anon_sym_usize] = ACTIONS(2108),
    [anon_sym_f32] = ACTIONS(2108),
    [anon_sym_f64] = ACTIONS(2108),
    [anon_sym_bool] = ACTIONS(2108),
    [anon_sym_str] = ACTIONS(2108),
    [anon_sym_char] = ACTIONS(2108),
    [anon_sym_DASH] = ACTIONS(2106),
    [anon_sym_BANG] = ACTIONS(2106),
    [anon_sym_AMP] = ACTIONS(2106),
    [anon_sym_PIPE] = ACTIONS(2106),
    [anon_sym_LT] = ACTIONS(2106),
    [anon_sym_DOT_DOT] = ACTIONS(2106),
    [anon_sym_COLON_COLON] = ACTIONS(2106),
    [anon_sym_POUND] = ACTIONS(2106),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_async] = ACTIONS(2108),
    [anon_sym_break] = ACTIONS(2108),
    [anon_sym_const] = ACTIONS(2108),
    [anon_sym_continue] = ACTIONS(2108),
    [anon_sym_default] = ACTIONS(2108),
    [anon_sym_enum] = ACTIONS(2108),
    [anon_sym_fn] = ACTIONS(2108),
    [anon_sym_for] = ACTIONS(2108),
    [anon_sym_if] = ACTIONS(2108),
    [anon_sym_impl] = ACTIONS(2108),
    [anon_sym_let] = ACTIONS(2108),
    [anon_sym_loop] = ACTIONS(2108),
    [anon_sym_match] = ACTIONS(2108),
    [anon_sym_mod] = ACTIONS(2108),
    [anon_sym_pub] = ACTIONS(2108),
    [anon_sym_return] = ACTIONS(2108),
    [anon_sym_static] = ACTIONS(2108),
    [anon_sym_struct] = ACTIONS(2108),
    [anon_sym_trait] = ACTIONS(2108),
    [anon_sym_type] = ACTIONS(2108),
    [anon_sym_union] = ACTIONS(2108),
    [anon_sym_unsafe] = ACTIONS(2108),
    [anon_sym_use] = ACTIONS(2108),
    [anon_sym_while] = ACTIONS(2108),
    [anon_sym_extern] = ACTIONS(2108),
    [anon_sym_yield] = ACTIONS(2108),
    [anon_sym_move] = ACTIONS(2108),
    [anon_sym_try] = ACTIONS(2108),
    [sym_integer_literal] = ACTIONS(2106),
    [aux_sym_string_literal_token1] = ACTIONS(2106),
    [sym_char_literal] = ACTIONS(2106),
    [anon_sym_true] = ACTIONS(2108),
    [anon_sym_false] = ACTIONS(2108),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2108),
    [sym_super] = ACTIONS(2108),
    [sym_crate] = ACTIONS(2108),
    [sym_metavariable] = ACTIONS(2106),
    [sym__raw_string_literal_start] = ACTIONS(2106),
    [sym_float_literal] = ACTIONS(2106),
  },
  [591] = {
    [sym_line_comment] = STATE(591),
    [sym_block_comment] = STATE(591),
    [ts_builtin_sym_end] = ACTIONS(2110),
    [sym_identifier] = ACTIONS(2112),
    [anon_sym_SEMI] = ACTIONS(2110),
    [anon_sym_macro_rules_BANG] = ACTIONS(2110),
    [anon_sym_LPAREN] = ACTIONS(2110),
    [anon_sym_LBRACK] = ACTIONS(2110),
    [anon_sym_LBRACE] = ACTIONS(2110),
    [anon_sym_RBRACE] = ACTIONS(2110),
    [anon_sym_STAR] = ACTIONS(2110),
    [anon_sym_u8] = ACTIONS(2112),
    [anon_sym_i8] = ACTIONS(2112),
    [anon_sym_u16] = ACTIONS(2112),
    [anon_sym_i16] = ACTIONS(2112),
    [anon_sym_u32] = ACTIONS(2112),
    [anon_sym_i32] = ACTIONS(2112),
    [anon_sym_u64] = ACTIONS(2112),
    [anon_sym_i64] = ACTIONS(2112),
    [anon_sym_u128] = ACTIONS(2112),
    [anon_sym_i128] = ACTIONS(2112),
    [anon_sym_isize] = ACTIONS(2112),
    [anon_sym_usize] = ACTIONS(2112),
    [anon_sym_f32] = ACTIONS(2112),
    [anon_sym_f64] = ACTIONS(2112),
    [anon_sym_bool] = ACTIONS(2112),
    [anon_sym_str] = ACTIONS(2112),
    [anon_sym_char] = ACTIONS(2112),
    [anon_sym_DASH] = ACTIONS(2110),
    [anon_sym_BANG] = ACTIONS(2110),
    [anon_sym_AMP] = ACTIONS(2110),
    [anon_sym_PIPE] = ACTIONS(2110),
    [anon_sym_LT] = ACTIONS(2110),
    [anon_sym_DOT_DOT] = ACTIONS(2110),
    [anon_sym_COLON_COLON] = ACTIONS(2110),
    [anon_sym_POUND] = ACTIONS(2110),
    [anon_sym_SQUOTE] = ACTIONS(2112),
    [anon_sym_async] = ACTIONS(2112),
    [anon_sym_break] = ACTIONS(2112),
    [anon_sym_const] = ACTIONS(2112),
    [anon_sym_continue] = ACTIONS(2112),
    [anon_sym_default] = ACTIONS(2112),
    [anon_sym_enum] = ACTIONS(2112),
    [anon_sym_fn] = ACTIONS(2112),
    [anon_sym_for] = ACTIONS(2112),
    [anon_sym_if] = ACTIONS(2112),
    [anon_sym_impl] = ACTIONS(2112),
    [anon_sym_let] = ACTIONS(2112),
    [anon_sym_loop] = ACTIONS(2112),
    [anon_sym_match] = ACTIONS(2112),
    [anon_sym_mod] = ACTIONS(2112),
    [anon_sym_pub] = ACTIONS(2112),
    [anon_sym_return] = ACTIONS(2112),
    [anon_sym_static] = ACTIONS(2112),
    [anon_sym_struct] = ACTIONS(2112),
    [anon_sym_trait] = ACTIONS(2112),
    [anon_sym_type] = ACTIONS(2112),
    [anon_sym_union] = ACTIONS(2112),
    [anon_sym_unsafe] = ACTIONS(2112),
    [anon_sym_use] = ACTIONS(2112),
    [anon_sym_while] = ACTIONS(2112),
    [anon_sym_extern] = ACTIONS(2112),
    [anon_sym_yield] = ACTIONS(2112),
    [anon_sym_move] = ACTIONS(2112),
    [anon_sym_try] = ACTIONS(2112),
    [sym_integer_literal] = ACTIONS(2110),
    [aux_sym_string_literal_token1] = ACTIONS(2110),
    [sym_char_literal] = ACTIONS(2110),
    [anon_sym_true] = ACTIONS(2112),
    [anon_sym_false] = ACTIONS(2112),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2112),
    [sym_super] = ACTIONS(2112),
    [sym_crate] = ACTIONS(2112),
    [sym_metavariable] = ACTIONS(2110),
    [sym__raw_string_literal_start] = ACTIONS(2110),
    [sym_float_literal] = ACTIONS(2110),
  },
  [592] = {
    [sym_line_comment] = STATE(592),
    [sym_block_comment] = STATE(592),
    [ts_builtin_sym_end] = ACTIONS(2114),
    [sym_identifier] = ACTIONS(2116),
    [anon_sym_SEMI] = ACTIONS(2114),
    [anon_sym_macro_rules_BANG] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(2114),
    [anon_sym_LBRACK] = ACTIONS(2114),
    [anon_sym_LBRACE] = ACTIONS(2114),
    [anon_sym_RBRACE] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2114),
    [anon_sym_u8] = ACTIONS(2116),
    [anon_sym_i8] = ACTIONS(2116),
    [anon_sym_u16] = ACTIONS(2116),
    [anon_sym_i16] = ACTIONS(2116),
    [anon_sym_u32] = ACTIONS(2116),
    [anon_sym_i32] = ACTIONS(2116),
    [anon_sym_u64] = ACTIONS(2116),
    [anon_sym_i64] = ACTIONS(2116),
    [anon_sym_u128] = ACTIONS(2116),
    [anon_sym_i128] = ACTIONS(2116),
    [anon_sym_isize] = ACTIONS(2116),
    [anon_sym_usize] = ACTIONS(2116),
    [anon_sym_f32] = ACTIONS(2116),
    [anon_sym_f64] = ACTIONS(2116),
    [anon_sym_bool] = ACTIONS(2116),
    [anon_sym_str] = ACTIONS(2116),
    [anon_sym_char] = ACTIONS(2116),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_BANG] = ACTIONS(2114),
    [anon_sym_AMP] = ACTIONS(2114),
    [anon_sym_PIPE] = ACTIONS(2114),
    [anon_sym_LT] = ACTIONS(2114),
    [anon_sym_DOT_DOT] = ACTIONS(2114),
    [anon_sym_COLON_COLON] = ACTIONS(2114),
    [anon_sym_POUND] = ACTIONS(2114),
    [anon_sym_SQUOTE] = ACTIONS(2116),
    [anon_sym_async] = ACTIONS(2116),
    [anon_sym_break] = ACTIONS(2116),
    [anon_sym_const] = ACTIONS(2116),
    [anon_sym_continue] = ACTIONS(2116),
    [anon_sym_default] = ACTIONS(2116),
    [anon_sym_enum] = ACTIONS(2116),
    [anon_sym_fn] = ACTIONS(2116),
    [anon_sym_for] = ACTIONS(2116),
    [anon_sym_if] = ACTIONS(2116),
    [anon_sym_impl] = ACTIONS(2116),
    [anon_sym_let] = ACTIONS(2116),
    [anon_sym_loop] = ACTIONS(2116),
    [anon_sym_match] = ACTIONS(2116),
    [anon_sym_mod] = ACTIONS(2116),
    [anon_sym_pub] = ACTIONS(2116),
    [anon_sym_return] = ACTIONS(2116),
    [anon_sym_static] = ACTIONS(2116),
    [anon_sym_struct] = ACTIONS(2116),
    [anon_sym_trait] = ACTIONS(2116),
    [anon_sym_type] = ACTIONS(2116),
    [anon_sym_union] = ACTIONS(2116),
    [anon_sym_unsafe] = ACTIONS(2116),
    [anon_sym_use] = ACTIONS(2116),
    [anon_sym_while] = ACTIONS(2116),
    [anon_sym_extern] = ACTIONS(2116),
    [anon_sym_yield] = ACTIONS(2116),
    [anon_sym_move] = ACTIONS(2116),
    [anon_sym_try] = ACTIONS(2116),
    [sym_integer_literal] = ACTIONS(2114),
    [aux_sym_string_literal_token1] = ACTIONS(2114),
    [sym_char_literal] = ACTIONS(2114),
    [anon_sym_true] = ACTIONS(2116),
    [anon_sym_false] = ACTIONS(2116),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2116),
    [sym_super] = ACTIONS(2116),
    [sym_crate] = ACTIONS(2116),
    [sym_metavariable] = ACTIONS(2114),
    [sym__raw_string_literal_start] = ACTIONS(2114),
    [sym_float_literal] = ACTIONS(2114),
  },
  [593] = {
    [sym_line_comment] = STATE(593),
    [sym_block_comment] = STATE(593),
    [ts_builtin_sym_end] = ACTIONS(2118),
    [sym_identifier] = ACTIONS(2120),
    [anon_sym_SEMI] = ACTIONS(2118),
    [anon_sym_macro_rules_BANG] = ACTIONS(2118),
    [anon_sym_LPAREN] = ACTIONS(2118),
    [anon_sym_LBRACK] = ACTIONS(2118),
    [anon_sym_LBRACE] = ACTIONS(2118),
    [anon_sym_RBRACE] = ACTIONS(2118),
    [anon_sym_STAR] = ACTIONS(2118),
    [anon_sym_u8] = ACTIONS(2120),
    [anon_sym_i8] = ACTIONS(2120),
    [anon_sym_u16] = ACTIONS(2120),
    [anon_sym_i16] = ACTIONS(2120),
    [anon_sym_u32] = ACTIONS(2120),
    [anon_sym_i32] = ACTIONS(2120),
    [anon_sym_u64] = ACTIONS(2120),
    [anon_sym_i64] = ACTIONS(2120),
    [anon_sym_u128] = ACTIONS(2120),
    [anon_sym_i128] = ACTIONS(2120),
    [anon_sym_isize] = ACTIONS(2120),
    [anon_sym_usize] = ACTIONS(2120),
    [anon_sym_f32] = ACTIONS(2120),
    [anon_sym_f64] = ACTIONS(2120),
    [anon_sym_bool] = ACTIONS(2120),
    [anon_sym_str] = ACTIONS(2120),
    [anon_sym_char] = ACTIONS(2120),
    [anon_sym_DASH] = ACTIONS(2118),
    [anon_sym_BANG] = ACTIONS(2118),
    [anon_sym_AMP] = ACTIONS(2118),
    [anon_sym_PIPE] = ACTIONS(2118),
    [anon_sym_LT] = ACTIONS(2118),
    [anon_sym_DOT_DOT] = ACTIONS(2118),
    [anon_sym_COLON_COLON] = ACTIONS(2118),
    [anon_sym_POUND] = ACTIONS(2118),
    [anon_sym_SQUOTE] = ACTIONS(2120),
    [anon_sym_async] = ACTIONS(2120),
    [anon_sym_break] = ACTIONS(2120),
    [anon_sym_const] = ACTIONS(2120),
    [anon_sym_continue] = ACTIONS(2120),
    [anon_sym_default] = ACTIONS(2120),
    [anon_sym_enum] = ACTIONS(2120),
    [anon_sym_fn] = ACTIONS(2120),
    [anon_sym_for] = ACTIONS(2120),
    [anon_sym_if] = ACTIONS(2120),
    [anon_sym_impl] = ACTIONS(2120),
    [anon_sym_let] = ACTIONS(2120),
    [anon_sym_loop] = ACTIONS(2120),
    [anon_sym_match] = ACTIONS(2120),
    [anon_sym_mod] = ACTIONS(2120),
    [anon_sym_pub] = ACTIONS(2120),
    [anon_sym_return] = ACTIONS(2120),
    [anon_sym_static] = ACTIONS(2120),
    [anon_sym_struct] = ACTIONS(2120),
    [anon_sym_trait] = ACTIONS(2120),
    [anon_sym_type] = ACTIONS(2120),
    [anon_sym_union] = ACTIONS(2120),
    [anon_sym_unsafe] = ACTIONS(2120),
    [anon_sym_use] = ACTIONS(2120),
    [anon_sym_while] = ACTIONS(2120),
    [anon_sym_extern] = ACTIONS(2120),
    [anon_sym_yield] = ACTIONS(2120),
    [anon_sym_move] = ACTIONS(2120),
    [anon_sym_try] = ACTIONS(2120),
    [sym_integer_literal] = ACTIONS(2118),
    [aux_sym_string_literal_token1] = ACTIONS(2118),
    [sym_char_literal] = ACTIONS(2118),
    [anon_sym_true] = ACTIONS(2120),
    [anon_sym_false] = ACTIONS(2120),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2120),
    [sym_super] = ACTIONS(2120),
    [sym_crate] = ACTIONS(2120),
    [sym_metavariable] = ACTIONS(2118),
    [sym__raw_string_literal_start] = ACTIONS(2118),
    [sym_float_literal] = ACTIONS(2118),
  },
  [594] = {
    [sym_line_comment] = STATE(594),
    [sym_block_comment] = STATE(594),
    [ts_builtin_sym_end] = ACTIONS(2122),
    [sym_identifier] = ACTIONS(2124),
    [anon_sym_SEMI] = ACTIONS(2122),
    [anon_sym_macro_rules_BANG] = ACTIONS(2122),
    [anon_sym_LPAREN] = ACTIONS(2122),
    [anon_sym_LBRACK] = ACTIONS(2122),
    [anon_sym_LBRACE] = ACTIONS(2122),
    [anon_sym_RBRACE] = ACTIONS(2122),
    [anon_sym_STAR] = ACTIONS(2122),
    [anon_sym_u8] = ACTIONS(2124),
    [anon_sym_i8] = ACTIONS(2124),
    [anon_sym_u16] = ACTIONS(2124),
    [anon_sym_i16] = ACTIONS(2124),
    [anon_sym_u32] = ACTIONS(2124),
    [anon_sym_i32] = ACTIONS(2124),
    [anon_sym_u64] = ACTIONS(2124),
    [anon_sym_i64] = ACTIONS(2124),
    [anon_sym_u128] = ACTIONS(2124),
    [anon_sym_i128] = ACTIONS(2124),
    [anon_sym_isize] = ACTIONS(2124),
    [anon_sym_usize] = ACTIONS(2124),
    [anon_sym_f32] = ACTIONS(2124),
    [anon_sym_f64] = ACTIONS(2124),
    [anon_sym_bool] = ACTIONS(2124),
    [anon_sym_str] = ACTIONS(2124),
    [anon_sym_char] = ACTIONS(2124),
    [anon_sym_DASH] = ACTIONS(2122),
    [anon_sym_BANG] = ACTIONS(2122),
    [anon_sym_AMP] = ACTIONS(2122),
    [anon_sym_PIPE] = ACTIONS(2122),
    [anon_sym_LT] = ACTIONS(2122),
    [anon_sym_DOT_DOT] = ACTIONS(2122),
    [anon_sym_COLON_COLON] = ACTIONS(2122),
    [anon_sym_POUND] = ACTIONS(2122),
    [anon_sym_SQUOTE] = ACTIONS(2124),
    [anon_sym_async] = ACTIONS(2124),
    [anon_sym_break] = ACTIONS(2124),
    [anon_sym_const] = ACTIONS(2124),
    [anon_sym_continue] = ACTIONS(2124),
    [anon_sym_default] = ACTIONS(2124),
    [anon_sym_enum] = ACTIONS(2124),
    [anon_sym_fn] = ACTIONS(2124),
    [anon_sym_for] = ACTIONS(2124),
    [anon_sym_if] = ACTIONS(2124),
    [anon_sym_impl] = ACTIONS(2124),
    [anon_sym_let] = ACTIONS(2124),
    [anon_sym_loop] = ACTIONS(2124),
    [anon_sym_match] = ACTIONS(2124),
    [anon_sym_mod] = ACTIONS(2124),
    [anon_sym_pub] = ACTIONS(2124),
    [anon_sym_return] = ACTIONS(2124),
    [anon_sym_static] = ACTIONS(2124),
    [anon_sym_struct] = ACTIONS(2124),
    [anon_sym_trait] = ACTIONS(2124),
    [anon_sym_type] = ACTIONS(2124),
    [anon_sym_union] = ACTIONS(2124),
    [anon_sym_unsafe] = ACTIONS(2124),
    [anon_sym_use] = ACTIONS(2124),
    [anon_sym_while] = ACTIONS(2124),
    [anon_sym_extern] = ACTIONS(2124),
    [anon_sym_yield] = ACTIONS(2124),
    [anon_sym_move] = ACTIONS(2124),
    [anon_sym_try] = ACTIONS(2124),
    [sym_integer_literal] = ACTIONS(2122),
    [aux_sym_string_literal_token1] = ACTIONS(2122),
    [sym_char_literal] = ACTIONS(2122),
    [anon_sym_true] = ACTIONS(2124),
    [anon_sym_false] = ACTIONS(2124),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2124),
    [sym_super] = ACTIONS(2124),
    [sym_crate] = ACTIONS(2124),
    [sym_metavariable] = ACTIONS(2122),
    [sym__raw_string_literal_start] = ACTIONS(2122),
    [sym_float_literal] = ACTIONS(2122),
  },
  [595] = {
    [sym_line_comment] = STATE(595),
    [sym_block_comment] = STATE(595),
    [ts_builtin_sym_end] = ACTIONS(2126),
    [sym_identifier] = ACTIONS(2128),
    [anon_sym_SEMI] = ACTIONS(2126),
    [anon_sym_macro_rules_BANG] = ACTIONS(2126),
    [anon_sym_LPAREN] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2126),
    [anon_sym_LBRACE] = ACTIONS(2126),
    [anon_sym_RBRACE] = ACTIONS(2126),
    [anon_sym_STAR] = ACTIONS(2126),
    [anon_sym_u8] = ACTIONS(2128),
    [anon_sym_i8] = ACTIONS(2128),
    [anon_sym_u16] = ACTIONS(2128),
    [anon_sym_i16] = ACTIONS(2128),
    [anon_sym_u32] = ACTIONS(2128),
    [anon_sym_i32] = ACTIONS(2128),
    [anon_sym_u64] = ACTIONS(2128),
    [anon_sym_i64] = ACTIONS(2128),
    [anon_sym_u128] = ACTIONS(2128),
    [anon_sym_i128] = ACTIONS(2128),
    [anon_sym_isize] = ACTIONS(2128),
    [anon_sym_usize] = ACTIONS(2128),
    [anon_sym_f32] = ACTIONS(2128),
    [anon_sym_f64] = ACTIONS(2128),
    [anon_sym_bool] = ACTIONS(2128),
    [anon_sym_str] = ACTIONS(2128),
    [anon_sym_char] = ACTIONS(2128),
    [anon_sym_DASH] = ACTIONS(2126),
    [anon_sym_BANG] = ACTIONS(2126),
    [anon_sym_AMP] = ACTIONS(2126),
    [anon_sym_PIPE] = ACTIONS(2126),
    [anon_sym_LT] = ACTIONS(2126),
    [anon_sym_DOT_DOT] = ACTIONS(2126),
    [anon_sym_COLON_COLON] = ACTIONS(2126),
    [anon_sym_POUND] = ACTIONS(2126),
    [anon_sym_SQUOTE] = ACTIONS(2128),
    [anon_sym_async] = ACTIONS(2128),
    [anon_sym_break] = ACTIONS(2128),
    [anon_sym_const] = ACTIONS(2128),
    [anon_sym_continue] = ACTIONS(2128),
    [anon_sym_default] = ACTIONS(2128),
    [anon_sym_enum] = ACTIONS(2128),
    [anon_sym_fn] = ACTIONS(2128),
    [anon_sym_for] = ACTIONS(2128),
    [anon_sym_if] = ACTIONS(2128),
    [anon_sym_impl] = ACTIONS(2128),
    [anon_sym_let] = ACTIONS(2128),
    [anon_sym_loop] = ACTIONS(2128),
    [anon_sym_match] = ACTIONS(2128),
    [anon_sym_mod] = ACTIONS(2128),
    [anon_sym_pub] = ACTIONS(2128),
    [anon_sym_return] = ACTIONS(2128),
    [anon_sym_static] = ACTIONS(2128),
    [anon_sym_struct] = ACTIONS(2128),
    [anon_sym_trait] = ACTIONS(2128),
    [anon_sym_type] = ACTIONS(2128),
    [anon_sym_union] = ACTIONS(2128),
    [anon_sym_unsafe] = ACTIONS(2128),
    [anon_sym_use] = ACTIONS(2128),
    [anon_sym_while] = ACTIONS(2128),
    [anon_sym_extern] = ACTIONS(2128),
    [anon_sym_yield] = ACTIONS(2128),
    [anon_sym_move] = ACTIONS(2128),
    [anon_sym_try] = ACTIONS(2128),
    [sym_integer_literal] = ACTIONS(2126),
    [aux_sym_string_literal_token1] = ACTIONS(2126),
    [sym_char_literal] = ACTIONS(2126),
    [anon_sym_true] = ACTIONS(2128),
    [anon_sym_false] = ACTIONS(2128),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2128),
    [sym_super] = ACTIONS(2128),
    [sym_crate] = ACTIONS(2128),
    [sym_metavariable] = ACTIONS(2126),
    [sym__raw_string_literal_start] = ACTIONS(2126),
    [sym_float_literal] = ACTIONS(2126),
  },
  [596] = {
    [sym_line_comment] = STATE(596),
    [sym_block_comment] = STATE(596),
    [ts_builtin_sym_end] = ACTIONS(2130),
    [sym_identifier] = ACTIONS(2132),
    [anon_sym_SEMI] = ACTIONS(2130),
    [anon_sym_macro_rules_BANG] = ACTIONS(2130),
    [anon_sym_LPAREN] = ACTIONS(2130),
    [anon_sym_LBRACK] = ACTIONS(2130),
    [anon_sym_LBRACE] = ACTIONS(2130),
    [anon_sym_RBRACE] = ACTIONS(2130),
    [anon_sym_STAR] = ACTIONS(2130),
    [anon_sym_u8] = ACTIONS(2132),
    [anon_sym_i8] = ACTIONS(2132),
    [anon_sym_u16] = ACTIONS(2132),
    [anon_sym_i16] = ACTIONS(2132),
    [anon_sym_u32] = ACTIONS(2132),
    [anon_sym_i32] = ACTIONS(2132),
    [anon_sym_u64] = ACTIONS(2132),
    [anon_sym_i64] = ACTIONS(2132),
    [anon_sym_u128] = ACTIONS(2132),
    [anon_sym_i128] = ACTIONS(2132),
    [anon_sym_isize] = ACTIONS(2132),
    [anon_sym_usize] = ACTIONS(2132),
    [anon_sym_f32] = ACTIONS(2132),
    [anon_sym_f64] = ACTIONS(2132),
    [anon_sym_bool] = ACTIONS(2132),
    [anon_sym_str] = ACTIONS(2132),
    [anon_sym_char] = ACTIONS(2132),
    [anon_sym_DASH] = ACTIONS(2130),
    [anon_sym_BANG] = ACTIONS(2130),
    [anon_sym_AMP] = ACTIONS(2130),
    [anon_sym_PIPE] = ACTIONS(2130),
    [anon_sym_LT] = ACTIONS(2130),
    [anon_sym_DOT_DOT] = ACTIONS(2130),
    [anon_sym_COLON_COLON] = ACTIONS(2130),
    [anon_sym_POUND] = ACTIONS(2130),
    [anon_sym_SQUOTE] = ACTIONS(2132),
    [anon_sym_async] = ACTIONS(2132),
    [anon_sym_break] = ACTIONS(2132),
    [anon_sym_const] = ACTIONS(2132),
    [anon_sym_continue] = ACTIONS(2132),
    [anon_sym_default] = ACTIONS(2132),
    [anon_sym_enum] = ACTIONS(2132),
    [anon_sym_fn] = ACTIONS(2132),
    [anon_sym_for] = ACTIONS(2132),
    [anon_sym_if] = ACTIONS(2132),
    [anon_sym_impl] = ACTIONS(2132),
    [anon_sym_let] = ACTIONS(2132),
    [anon_sym_loop] = ACTIONS(2132),
    [anon_sym_match] = ACTIONS(2132),
    [anon_sym_mod] = ACTIONS(2132),
    [anon_sym_pub] = ACTIONS(2132),
    [anon_sym_return] = ACTIONS(2132),
    [anon_sym_static] = ACTIONS(2132),
    [anon_sym_struct] = ACTIONS(2132),
    [anon_sym_trait] = ACTIONS(2132),
    [anon_sym_type] = ACTIONS(2132),
    [anon_sym_union] = ACTIONS(2132),
    [anon_sym_unsafe] = ACTIONS(2132),
    [anon_sym_use] = ACTIONS(2132),
    [anon_sym_while] = ACTIONS(2132),
    [anon_sym_extern] = ACTIONS(2132),
    [anon_sym_yield] = ACTIONS(2132),
    [anon_sym_move] = ACTIONS(2132),
    [anon_sym_try] = ACTIONS(2132),
    [sym_integer_literal] = ACTIONS(2130),
    [aux_sym_string_literal_token1] = ACTIONS(2130),
    [sym_char_literal] = ACTIONS(2130),
    [anon_sym_true] = ACTIONS(2132),
    [anon_sym_false] = ACTIONS(2132),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2132),
    [sym_super] = ACTIONS(2132),
    [sym_crate] = ACTIONS(2132),
    [sym_metavariable] = ACTIONS(2130),
    [sym__raw_string_literal_start] = ACTIONS(2130),
    [sym_float_literal] = ACTIONS(2130),
  },
  [597] = {
    [sym_line_comment] = STATE(597),
    [sym_block_comment] = STATE(597),
    [ts_builtin_sym_end] = ACTIONS(2134),
    [sym_identifier] = ACTIONS(2136),
    [anon_sym_SEMI] = ACTIONS(2134),
    [anon_sym_macro_rules_BANG] = ACTIONS(2134),
    [anon_sym_LPAREN] = ACTIONS(2134),
    [anon_sym_LBRACK] = ACTIONS(2134),
    [anon_sym_LBRACE] = ACTIONS(2134),
    [anon_sym_RBRACE] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(2134),
    [anon_sym_u8] = ACTIONS(2136),
    [anon_sym_i8] = ACTIONS(2136),
    [anon_sym_u16] = ACTIONS(2136),
    [anon_sym_i16] = ACTIONS(2136),
    [anon_sym_u32] = ACTIONS(2136),
    [anon_sym_i32] = ACTIONS(2136),
    [anon_sym_u64] = ACTIONS(2136),
    [anon_sym_i64] = ACTIONS(2136),
    [anon_sym_u128] = ACTIONS(2136),
    [anon_sym_i128] = ACTIONS(2136),
    [anon_sym_isize] = ACTIONS(2136),
    [anon_sym_usize] = ACTIONS(2136),
    [anon_sym_f32] = ACTIONS(2136),
    [anon_sym_f64] = ACTIONS(2136),
    [anon_sym_bool] = ACTIONS(2136),
    [anon_sym_str] = ACTIONS(2136),
    [anon_sym_char] = ACTIONS(2136),
    [anon_sym_DASH] = ACTIONS(2134),
    [anon_sym_BANG] = ACTIONS(2134),
    [anon_sym_AMP] = ACTIONS(2134),
    [anon_sym_PIPE] = ACTIONS(2134),
    [anon_sym_LT] = ACTIONS(2134),
    [anon_sym_DOT_DOT] = ACTIONS(2134),
    [anon_sym_COLON_COLON] = ACTIONS(2134),
    [anon_sym_POUND] = ACTIONS(2134),
    [anon_sym_SQUOTE] = ACTIONS(2136),
    [anon_sym_async] = ACTIONS(2136),
    [anon_sym_break] = ACTIONS(2136),
    [anon_sym_const] = ACTIONS(2136),
    [anon_sym_continue] = ACTIONS(2136),
    [anon_sym_default] = ACTIONS(2136),
    [anon_sym_enum] = ACTIONS(2136),
    [anon_sym_fn] = ACTIONS(2136),
    [anon_sym_for] = ACTIONS(2136),
    [anon_sym_if] = ACTIONS(2136),
    [anon_sym_impl] = ACTIONS(2136),
    [anon_sym_let] = ACTIONS(2136),
    [anon_sym_loop] = ACTIONS(2136),
    [anon_sym_match] = ACTIONS(2136),
    [anon_sym_mod] = ACTIONS(2136),
    [anon_sym_pub] = ACTIONS(2136),
    [anon_sym_return] = ACTIONS(2136),
    [anon_sym_static] = ACTIONS(2136),
    [anon_sym_struct] = ACTIONS(2136),
    [anon_sym_trait] = ACTIONS(2136),
    [anon_sym_type] = ACTIONS(2136),
    [anon_sym_union] = ACTIONS(2136),
    [anon_sym_unsafe] = ACTIONS(2136),
    [anon_sym_use] = ACTIONS(2136),
    [anon_sym_while] = ACTIONS(2136),
    [anon_sym_extern] = ACTIONS(2136),
    [anon_sym_yield] = ACTIONS(2136),
    [anon_sym_move] = ACTIONS(2136),
    [anon_sym_try] = ACTIONS(2136),
    [sym_integer_literal] = ACTIONS(2134),
    [aux_sym_string_literal_token1] = ACTIONS(2134),
    [sym_char_literal] = ACTIONS(2134),
    [anon_sym_true] = ACTIONS(2136),
    [anon_sym_false] = ACTIONS(2136),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2136),
    [sym_super] = ACTIONS(2136),
    [sym_crate] = ACTIONS(2136),
    [sym_metavariable] = ACTIONS(2134),
    [sym__raw_string_literal_start] = ACTIONS(2134),
    [sym_float_literal] = ACTIONS(2134),
  },
  [598] = {
    [sym_line_comment] = STATE(598),
    [sym_block_comment] = STATE(598),
    [ts_builtin_sym_end] = ACTIONS(2138),
    [sym_identifier] = ACTIONS(2140),
    [anon_sym_SEMI] = ACTIONS(2138),
    [anon_sym_macro_rules_BANG] = ACTIONS(2138),
    [anon_sym_LPAREN] = ACTIONS(2138),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [anon_sym_LBRACE] = ACTIONS(2138),
    [anon_sym_RBRACE] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(2138),
    [anon_sym_u8] = ACTIONS(2140),
    [anon_sym_i8] = ACTIONS(2140),
    [anon_sym_u16] = ACTIONS(2140),
    [anon_sym_i16] = ACTIONS(2140),
    [anon_sym_u32] = ACTIONS(2140),
    [anon_sym_i32] = ACTIONS(2140),
    [anon_sym_u64] = ACTIONS(2140),
    [anon_sym_i64] = ACTIONS(2140),
    [anon_sym_u128] = ACTIONS(2140),
    [anon_sym_i128] = ACTIONS(2140),
    [anon_sym_isize] = ACTIONS(2140),
    [anon_sym_usize] = ACTIONS(2140),
    [anon_sym_f32] = ACTIONS(2140),
    [anon_sym_f64] = ACTIONS(2140),
    [anon_sym_bool] = ACTIONS(2140),
    [anon_sym_str] = ACTIONS(2140),
    [anon_sym_char] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_BANG] = ACTIONS(2138),
    [anon_sym_AMP] = ACTIONS(2138),
    [anon_sym_PIPE] = ACTIONS(2138),
    [anon_sym_LT] = ACTIONS(2138),
    [anon_sym_DOT_DOT] = ACTIONS(2138),
    [anon_sym_COLON_COLON] = ACTIONS(2138),
    [anon_sym_POUND] = ACTIONS(2138),
    [anon_sym_SQUOTE] = ACTIONS(2140),
    [anon_sym_async] = ACTIONS(2140),
    [anon_sym_break] = ACTIONS(2140),
    [anon_sym_const] = ACTIONS(2140),
    [anon_sym_continue] = ACTIONS(2140),
    [anon_sym_default] = ACTIONS(2140),
    [anon_sym_enum] = ACTIONS(2140),
    [anon_sym_fn] = ACTIONS(2140),
    [anon_sym_for] = ACTIONS(2140),
    [anon_sym_if] = ACTIONS(2140),
    [anon_sym_impl] = ACTIONS(2140),
    [anon_sym_let] = ACTIONS(2140),
    [anon_sym_loop] = ACTIONS(2140),
    [anon_sym_match] = ACTIONS(2140),
    [anon_sym_mod] = ACTIONS(2140),
    [anon_sym_pub] = ACTIONS(2140),
    [anon_sym_return] = ACTIONS(2140),
    [anon_sym_static] = ACTIONS(2140),
    [anon_sym_struct] = ACTIONS(2140),
    [anon_sym_trait] = ACTIONS(2140),
    [anon_sym_type] = ACTIONS(2140),
    [anon_sym_union] = ACTIONS(2140),
    [anon_sym_unsafe] = ACTIONS(2140),
    [anon_sym_use] = ACTIONS(2140),
    [anon_sym_while] = ACTIONS(2140),
    [anon_sym_extern] = ACTIONS(2140),
    [anon_sym_yield] = ACTIONS(2140),
    [anon_sym_move] = ACTIONS(2140),
    [anon_sym_try] = ACTIONS(2140),
    [sym_integer_literal] = ACTIONS(2138),
    [aux_sym_string_literal_token1] = ACTIONS(2138),
    [sym_char_literal] = ACTIONS(2138),
    [anon_sym_true] = ACTIONS(2140),
    [anon_sym_false] = ACTIONS(2140),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2140),
    [sym_super] = ACTIONS(2140),
    [sym_crate] = ACTIONS(2140),
    [sym_metavariable] = ACTIONS(2138),
    [sym__raw_string_literal_start] = ACTIONS(2138),
    [sym_float_literal] = ACTIONS(2138),
  },
  [599] = {
    [sym_line_comment] = STATE(599),
    [sym_block_comment] = STATE(599),
    [ts_builtin_sym_end] = ACTIONS(2142),
    [sym_identifier] = ACTIONS(2144),
    [anon_sym_SEMI] = ACTIONS(2142),
    [anon_sym_macro_rules_BANG] = ACTIONS(2142),
    [anon_sym_LPAREN] = ACTIONS(2142),
    [anon_sym_LBRACK] = ACTIONS(2142),
    [anon_sym_LBRACE] = ACTIONS(2142),
    [anon_sym_RBRACE] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(2142),
    [anon_sym_u8] = ACTIONS(2144),
    [anon_sym_i8] = ACTIONS(2144),
    [anon_sym_u16] = ACTIONS(2144),
    [anon_sym_i16] = ACTIONS(2144),
    [anon_sym_u32] = ACTIONS(2144),
    [anon_sym_i32] = ACTIONS(2144),
    [anon_sym_u64] = ACTIONS(2144),
    [anon_sym_i64] = ACTIONS(2144),
    [anon_sym_u128] = ACTIONS(2144),
    [anon_sym_i128] = ACTIONS(2144),
    [anon_sym_isize] = ACTIONS(2144),
    [anon_sym_usize] = ACTIONS(2144),
    [anon_sym_f32] = ACTIONS(2144),
    [anon_sym_f64] = ACTIONS(2144),
    [anon_sym_bool] = ACTIONS(2144),
    [anon_sym_str] = ACTIONS(2144),
    [anon_sym_char] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_AMP] = ACTIONS(2142),
    [anon_sym_PIPE] = ACTIONS(2142),
    [anon_sym_LT] = ACTIONS(2142),
    [anon_sym_DOT_DOT] = ACTIONS(2142),
    [anon_sym_COLON_COLON] = ACTIONS(2142),
    [anon_sym_POUND] = ACTIONS(2142),
    [anon_sym_SQUOTE] = ACTIONS(2144),
    [anon_sym_async] = ACTIONS(2144),
    [anon_sym_break] = ACTIONS(2144),
    [anon_sym_const] = ACTIONS(2144),
    [anon_sym_continue] = ACTIONS(2144),
    [anon_sym_default] = ACTIONS(2144),
    [anon_sym_enum] = ACTIONS(2144),
    [anon_sym_fn] = ACTIONS(2144),
    [anon_sym_for] = ACTIONS(2144),
    [anon_sym_if] = ACTIONS(2144),
    [anon_sym_impl] = ACTIONS(2144),
    [anon_sym_let] = ACTIONS(2144),
    [anon_sym_loop] = ACTIONS(2144),
    [anon_sym_match] = ACTIONS(2144),
    [anon_sym_mod] = ACTIONS(2144),
    [anon_sym_pub] = ACTIONS(2144),
    [anon_sym_return] = ACTIONS(2144),
    [anon_sym_static] = ACTIONS(2144),
    [anon_sym_struct] = ACTIONS(2144),
    [anon_sym_trait] = ACTIONS(2144),
    [anon_sym_type] = ACTIONS(2144),
    [anon_sym_union] = ACTIONS(2144),
    [anon_sym_unsafe] = ACTIONS(2144),
    [anon_sym_use] = ACTIONS(2144),
    [anon_sym_while] = ACTIONS(2144),
    [anon_sym_extern] = ACTIONS(2144),
    [anon_sym_yield] = ACTIONS(2144),
    [anon_sym_move] = ACTIONS(2144),
    [anon_sym_try] = ACTIONS(2144),
    [sym_integer_literal] = ACTIONS(2142),
    [aux_sym_string_literal_token1] = ACTIONS(2142),
    [sym_char_literal] = ACTIONS(2142),
    [anon_sym_true] = ACTIONS(2144),
    [anon_sym_false] = ACTIONS(2144),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2144),
    [sym_super] = ACTIONS(2144),
    [sym_crate] = ACTIONS(2144),
    [sym_metavariable] = ACTIONS(2142),
    [sym__raw_string_literal_start] = ACTIONS(2142),
    [sym_float_literal] = ACTIONS(2142),
  },
  [600] = {
    [sym_line_comment] = STATE(600),
    [sym_block_comment] = STATE(600),
    [ts_builtin_sym_end] = ACTIONS(2146),
    [sym_identifier] = ACTIONS(2148),
    [anon_sym_SEMI] = ACTIONS(2146),
    [anon_sym_macro_rules_BANG] = ACTIONS(2146),
    [anon_sym_LPAREN] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2146),
    [anon_sym_LBRACE] = ACTIONS(2146),
    [anon_sym_RBRACE] = ACTIONS(2146),
    [anon_sym_STAR] = ACTIONS(2146),
    [anon_sym_u8] = ACTIONS(2148),
    [anon_sym_i8] = ACTIONS(2148),
    [anon_sym_u16] = ACTIONS(2148),
    [anon_sym_i16] = ACTIONS(2148),
    [anon_sym_u32] = ACTIONS(2148),
    [anon_sym_i32] = ACTIONS(2148),
    [anon_sym_u64] = ACTIONS(2148),
    [anon_sym_i64] = ACTIONS(2148),
    [anon_sym_u128] = ACTIONS(2148),
    [anon_sym_i128] = ACTIONS(2148),
    [anon_sym_isize] = ACTIONS(2148),
    [anon_sym_usize] = ACTIONS(2148),
    [anon_sym_f32] = ACTIONS(2148),
    [anon_sym_f64] = ACTIONS(2148),
    [anon_sym_bool] = ACTIONS(2148),
    [anon_sym_str] = ACTIONS(2148),
    [anon_sym_char] = ACTIONS(2148),
    [anon_sym_DASH] = ACTIONS(2146),
    [anon_sym_BANG] = ACTIONS(2146),
    [anon_sym_AMP] = ACTIONS(2146),
    [anon_sym_PIPE] = ACTIONS(2146),
    [anon_sym_LT] = ACTIONS(2146),
    [anon_sym_DOT_DOT] = ACTIONS(2146),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_POUND] = ACTIONS(2146),
    [anon_sym_SQUOTE] = ACTIONS(2148),
    [anon_sym_async] = ACTIONS(2148),
    [anon_sym_break] = ACTIONS(2148),
    [anon_sym_const] = ACTIONS(2148),
    [anon_sym_continue] = ACTIONS(2148),
    [anon_sym_default] = ACTIONS(2148),
    [anon_sym_enum] = ACTIONS(2148),
    [anon_sym_fn] = ACTIONS(2148),
    [anon_sym_for] = ACTIONS(2148),
    [anon_sym_if] = ACTIONS(2148),
    [anon_sym_impl] = ACTIONS(2148),
    [anon_sym_let] = ACTIONS(2148),
    [anon_sym_loop] = ACTIONS(2148),
    [anon_sym_match] = ACTIONS(2148),
    [anon_sym_mod] = ACTIONS(2148),
    [anon_sym_pub] = ACTIONS(2148),
    [anon_sym_return] = ACTIONS(2148),
    [anon_sym_static] = ACTIONS(2148),
    [anon_sym_struct] = ACTIONS(2148),
    [anon_sym_trait] = ACTIONS(2148),
    [anon_sym_type] = ACTIONS(2148),
    [anon_sym_union] = ACTIONS(2148),
    [anon_sym_unsafe] = ACTIONS(2148),
    [anon_sym_use] = ACTIONS(2148),
    [anon_sym_while] = ACTIONS(2148),
    [anon_sym_extern] = ACTIONS(2148),
    [anon_sym_yield] = ACTIONS(2148),
    [anon_sym_move] = ACTIONS(2148),
    [anon_sym_try] = ACTIONS(2148),
    [sym_integer_literal] = ACTIONS(2146),
    [aux_sym_string_literal_token1] = ACTIONS(2146),
    [sym_char_literal] = ACTIONS(2146),
    [anon_sym_true] = ACTIONS(2148),
    [anon_sym_false] = ACTIONS(2148),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2148),
    [sym_super] = ACTIONS(2148),
    [sym_crate] = ACTIONS(2148),
    [sym_metavariable] = ACTIONS(2146),
    [sym__raw_string_literal_start] = ACTIONS(2146),
    [sym_float_literal] = ACTIONS(2146),
  },
  [601] = {
    [sym_line_comment] = STATE(601),
    [sym_block_comment] = STATE(601),
    [ts_builtin_sym_end] = ACTIONS(2150),
    [sym_identifier] = ACTIONS(2152),
    [anon_sym_SEMI] = ACTIONS(2150),
    [anon_sym_macro_rules_BANG] = ACTIONS(2150),
    [anon_sym_LPAREN] = ACTIONS(2150),
    [anon_sym_LBRACK] = ACTIONS(2150),
    [anon_sym_LBRACE] = ACTIONS(2150),
    [anon_sym_RBRACE] = ACTIONS(2150),
    [anon_sym_STAR] = ACTIONS(2150),
    [anon_sym_u8] = ACTIONS(2152),
    [anon_sym_i8] = ACTIONS(2152),
    [anon_sym_u16] = ACTIONS(2152),
    [anon_sym_i16] = ACTIONS(2152),
    [anon_sym_u32] = ACTIONS(2152),
    [anon_sym_i32] = ACTIONS(2152),
    [anon_sym_u64] = ACTIONS(2152),
    [anon_sym_i64] = ACTIONS(2152),
    [anon_sym_u128] = ACTIONS(2152),
    [anon_sym_i128] = ACTIONS(2152),
    [anon_sym_isize] = ACTIONS(2152),
    [anon_sym_usize] = ACTIONS(2152),
    [anon_sym_f32] = ACTIONS(2152),
    [anon_sym_f64] = ACTIONS(2152),
    [anon_sym_bool] = ACTIONS(2152),
    [anon_sym_str] = ACTIONS(2152),
    [anon_sym_char] = ACTIONS(2152),
    [anon_sym_DASH] = ACTIONS(2150),
    [anon_sym_BANG] = ACTIONS(2150),
    [anon_sym_AMP] = ACTIONS(2150),
    [anon_sym_PIPE] = ACTIONS(2150),
    [anon_sym_LT] = ACTIONS(2150),
    [anon_sym_DOT_DOT] = ACTIONS(2150),
    [anon_sym_COLON_COLON] = ACTIONS(2150),
    [anon_sym_POUND] = ACTIONS(2150),
    [anon_sym_SQUOTE] = ACTIONS(2152),
    [anon_sym_async] = ACTIONS(2152),
    [anon_sym_break] = ACTIONS(2152),
    [anon_sym_const] = ACTIONS(2152),
    [anon_sym_continue] = ACTIONS(2152),
    [anon_sym_default] = ACTIONS(2152),
    [anon_sym_enum] = ACTIONS(2152),
    [anon_sym_fn] = ACTIONS(2152),
    [anon_sym_for] = ACTIONS(2152),
    [anon_sym_if] = ACTIONS(2152),
    [anon_sym_impl] = ACTIONS(2152),
    [anon_sym_let] = ACTIONS(2152),
    [anon_sym_loop] = ACTIONS(2152),
    [anon_sym_match] = ACTIONS(2152),
    [anon_sym_mod] = ACTIONS(2152),
    [anon_sym_pub] = ACTIONS(2152),
    [anon_sym_return] = ACTIONS(2152),
    [anon_sym_static] = ACTIONS(2152),
    [anon_sym_struct] = ACTIONS(2152),
    [anon_sym_trait] = ACTIONS(2152),
    [anon_sym_type] = ACTIONS(2152),
    [anon_sym_union] = ACTIONS(2152),
    [anon_sym_unsafe] = ACTIONS(2152),
    [anon_sym_use] = ACTIONS(2152),
    [anon_sym_while] = ACTIONS(2152),
    [anon_sym_extern] = ACTIONS(2152),
    [anon_sym_yield] = ACTIONS(2152),
    [anon_sym_move] = ACTIONS(2152),
    [anon_sym_try] = ACTIONS(2152),
    [sym_integer_literal] = ACTIONS(2150),
    [aux_sym_string_literal_token1] = ACTIONS(2150),
    [sym_char_literal] = ACTIONS(2150),
    [anon_sym_true] = ACTIONS(2152),
    [anon_sym_false] = ACTIONS(2152),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2152),
    [sym_super] = ACTIONS(2152),
    [sym_crate] = ACTIONS(2152),
    [sym_metavariable] = ACTIONS(2150),
    [sym__raw_string_literal_start] = ACTIONS(2150),
    [sym_float_literal] = ACTIONS(2150),
  },
  [602] = {
    [sym_line_comment] = STATE(602),
    [sym_block_comment] = STATE(602),
    [ts_builtin_sym_end] = ACTIONS(2154),
    [sym_identifier] = ACTIONS(2156),
    [anon_sym_SEMI] = ACTIONS(2154),
    [anon_sym_macro_rules_BANG] = ACTIONS(2154),
    [anon_sym_LPAREN] = ACTIONS(2154),
    [anon_sym_LBRACK] = ACTIONS(2154),
    [anon_sym_LBRACE] = ACTIONS(2154),
    [anon_sym_RBRACE] = ACTIONS(2154),
    [anon_sym_STAR] = ACTIONS(2154),
    [anon_sym_u8] = ACTIONS(2156),
    [anon_sym_i8] = ACTIONS(2156),
    [anon_sym_u16] = ACTIONS(2156),
    [anon_sym_i16] = ACTIONS(2156),
    [anon_sym_u32] = ACTIONS(2156),
    [anon_sym_i32] = ACTIONS(2156),
    [anon_sym_u64] = ACTIONS(2156),
    [anon_sym_i64] = ACTIONS(2156),
    [anon_sym_u128] = ACTIONS(2156),
    [anon_sym_i128] = ACTIONS(2156),
    [anon_sym_isize] = ACTIONS(2156),
    [anon_sym_usize] = ACTIONS(2156),
    [anon_sym_f32] = ACTIONS(2156),
    [anon_sym_f64] = ACTIONS(2156),
    [anon_sym_bool] = ACTIONS(2156),
    [anon_sym_str] = ACTIONS(2156),
    [anon_sym_char] = ACTIONS(2156),
    [anon_sym_DASH] = ACTIONS(2154),
    [anon_sym_BANG] = ACTIONS(2154),
    [anon_sym_AMP] = ACTIONS(2154),
    [anon_sym_PIPE] = ACTIONS(2154),
    [anon_sym_LT] = ACTIONS(2154),
    [anon_sym_DOT_DOT] = ACTIONS(2154),
    [anon_sym_COLON_COLON] = ACTIONS(2154),
    [anon_sym_POUND] = ACTIONS(2154),
    [anon_sym_SQUOTE] = ACTIONS(2156),
    [anon_sym_async] = ACTIONS(2156),
    [anon_sym_break] = ACTIONS(2156),
    [anon_sym_const] = ACTIONS(2156),
    [anon_sym_continue] = ACTIONS(2156),
    [anon_sym_default] = ACTIONS(2156),
    [anon_sym_enum] = ACTIONS(2156),
    [anon_sym_fn] = ACTIONS(2156),
    [anon_sym_for] = ACTIONS(2156),
    [anon_sym_if] = ACTIONS(2156),
    [anon_sym_impl] = ACTIONS(2156),
    [anon_sym_let] = ACTIONS(2156),
    [anon_sym_loop] = ACTIONS(2156),
    [anon_sym_match] = ACTIONS(2156),
    [anon_sym_mod] = ACTIONS(2156),
    [anon_sym_pub] = ACTIONS(2156),
    [anon_sym_return] = ACTIONS(2156),
    [anon_sym_static] = ACTIONS(2156),
    [anon_sym_struct] = ACTIONS(2156),
    [anon_sym_trait] = ACTIONS(2156),
    [anon_sym_type] = ACTIONS(2156),
    [anon_sym_union] = ACTIONS(2156),
    [anon_sym_unsafe] = ACTIONS(2156),
    [anon_sym_use] = ACTIONS(2156),
    [anon_sym_while] = ACTIONS(2156),
    [anon_sym_extern] = ACTIONS(2156),
    [anon_sym_yield] = ACTIONS(2156),
    [anon_sym_move] = ACTIONS(2156),
    [anon_sym_try] = ACTIONS(2156),
    [sym_integer_literal] = ACTIONS(2154),
    [aux_sym_string_literal_token1] = ACTIONS(2154),
    [sym_char_literal] = ACTIONS(2154),
    [anon_sym_true] = ACTIONS(2156),
    [anon_sym_false] = ACTIONS(2156),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2156),
    [sym_super] = ACTIONS(2156),
    [sym_crate] = ACTIONS(2156),
    [sym_metavariable] = ACTIONS(2154),
    [sym__raw_string_literal_start] = ACTIONS(2154),
    [sym_float_literal] = ACTIONS(2154),
  },
  [603] = {
    [sym_line_comment] = STATE(603),
    [sym_block_comment] = STATE(603),
    [ts_builtin_sym_end] = ACTIONS(2158),
    [sym_identifier] = ACTIONS(2160),
    [anon_sym_SEMI] = ACTIONS(2158),
    [anon_sym_macro_rules_BANG] = ACTIONS(2158),
    [anon_sym_LPAREN] = ACTIONS(2158),
    [anon_sym_LBRACK] = ACTIONS(2158),
    [anon_sym_LBRACE] = ACTIONS(2158),
    [anon_sym_RBRACE] = ACTIONS(2158),
    [anon_sym_STAR] = ACTIONS(2158),
    [anon_sym_u8] = ACTIONS(2160),
    [anon_sym_i8] = ACTIONS(2160),
    [anon_sym_u16] = ACTIONS(2160),
    [anon_sym_i16] = ACTIONS(2160),
    [anon_sym_u32] = ACTIONS(2160),
    [anon_sym_i32] = ACTIONS(2160),
    [anon_sym_u64] = ACTIONS(2160),
    [anon_sym_i64] = ACTIONS(2160),
    [anon_sym_u128] = ACTIONS(2160),
    [anon_sym_i128] = ACTIONS(2160),
    [anon_sym_isize] = ACTIONS(2160),
    [anon_sym_usize] = ACTIONS(2160),
    [anon_sym_f32] = ACTIONS(2160),
    [anon_sym_f64] = ACTIONS(2160),
    [anon_sym_bool] = ACTIONS(2160),
    [anon_sym_str] = ACTIONS(2160),
    [anon_sym_char] = ACTIONS(2160),
    [anon_sym_DASH] = ACTIONS(2158),
    [anon_sym_BANG] = ACTIONS(2158),
    [anon_sym_AMP] = ACTIONS(2158),
    [anon_sym_PIPE] = ACTIONS(2158),
    [anon_sym_LT] = ACTIONS(2158),
    [anon_sym_DOT_DOT] = ACTIONS(2158),
    [anon_sym_COLON_COLON] = ACTIONS(2158),
    [anon_sym_POUND] = ACTIONS(2158),
    [anon_sym_SQUOTE] = ACTIONS(2160),
    [anon_sym_async] = ACTIONS(2160),
    [anon_sym_break] = ACTIONS(2160),
    [anon_sym_const] = ACTIONS(2160),
    [anon_sym_continue] = ACTIONS(2160),
    [anon_sym_default] = ACTIONS(2160),
    [anon_sym_enum] = ACTIONS(2160),
    [anon_sym_fn] = ACTIONS(2160),
    [anon_sym_for] = ACTIONS(2160),
    [anon_sym_if] = ACTIONS(2160),
    [anon_sym_impl] = ACTIONS(2160),
    [anon_sym_let] = ACTIONS(2160),
    [anon_sym_loop] = ACTIONS(2160),
    [anon_sym_match] = ACTIONS(2160),
    [anon_sym_mod] = ACTIONS(2160),
    [anon_sym_pub] = ACTIONS(2160),
    [anon_sym_return] = ACTIONS(2160),
    [anon_sym_static] = ACTIONS(2160),
    [anon_sym_struct] = ACTIONS(2160),
    [anon_sym_trait] = ACTIONS(2160),
    [anon_sym_type] = ACTIONS(2160),
    [anon_sym_union] = ACTIONS(2160),
    [anon_sym_unsafe] = ACTIONS(2160),
    [anon_sym_use] = ACTIONS(2160),
    [anon_sym_while] = ACTIONS(2160),
    [anon_sym_extern] = ACTIONS(2160),
    [anon_sym_yield] = ACTIONS(2160),
    [anon_sym_move] = ACTIONS(2160),
    [anon_sym_try] = ACTIONS(2160),
    [sym_integer_literal] = ACTIONS(2158),
    [aux_sym_string_literal_token1] = ACTIONS(2158),
    [sym_char_literal] = ACTIONS(2158),
    [anon_sym_true] = ACTIONS(2160),
    [anon_sym_false] = ACTIONS(2160),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2160),
    [sym_super] = ACTIONS(2160),
    [sym_crate] = ACTIONS(2160),
    [sym_metavariable] = ACTIONS(2158),
    [sym__raw_string_literal_start] = ACTIONS(2158),
    [sym_float_literal] = ACTIONS(2158),
  },
  [604] = {
    [sym_line_comment] = STATE(604),
    [sym_block_comment] = STATE(604),
    [ts_builtin_sym_end] = ACTIONS(2162),
    [sym_identifier] = ACTIONS(2164),
    [anon_sym_SEMI] = ACTIONS(2162),
    [anon_sym_macro_rules_BANG] = ACTIONS(2162),
    [anon_sym_LPAREN] = ACTIONS(2162),
    [anon_sym_LBRACK] = ACTIONS(2162),
    [anon_sym_LBRACE] = ACTIONS(2162),
    [anon_sym_RBRACE] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(2162),
    [anon_sym_u8] = ACTIONS(2164),
    [anon_sym_i8] = ACTIONS(2164),
    [anon_sym_u16] = ACTIONS(2164),
    [anon_sym_i16] = ACTIONS(2164),
    [anon_sym_u32] = ACTIONS(2164),
    [anon_sym_i32] = ACTIONS(2164),
    [anon_sym_u64] = ACTIONS(2164),
    [anon_sym_i64] = ACTIONS(2164),
    [anon_sym_u128] = ACTIONS(2164),
    [anon_sym_i128] = ACTIONS(2164),
    [anon_sym_isize] = ACTIONS(2164),
    [anon_sym_usize] = ACTIONS(2164),
    [anon_sym_f32] = ACTIONS(2164),
    [anon_sym_f64] = ACTIONS(2164),
    [anon_sym_bool] = ACTIONS(2164),
    [anon_sym_str] = ACTIONS(2164),
    [anon_sym_char] = ACTIONS(2164),
    [anon_sym_DASH] = ACTIONS(2162),
    [anon_sym_BANG] = ACTIONS(2162),
    [anon_sym_AMP] = ACTIONS(2162),
    [anon_sym_PIPE] = ACTIONS(2162),
    [anon_sym_LT] = ACTIONS(2162),
    [anon_sym_DOT_DOT] = ACTIONS(2162),
    [anon_sym_COLON_COLON] = ACTIONS(2162),
    [anon_sym_POUND] = ACTIONS(2162),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_async] = ACTIONS(2164),
    [anon_sym_break] = ACTIONS(2164),
    [anon_sym_const] = ACTIONS(2164),
    [anon_sym_continue] = ACTIONS(2164),
    [anon_sym_default] = ACTIONS(2164),
    [anon_sym_enum] = ACTIONS(2164),
    [anon_sym_fn] = ACTIONS(2164),
    [anon_sym_for] = ACTIONS(2164),
    [anon_sym_if] = ACTIONS(2164),
    [anon_sym_impl] = ACTIONS(2164),
    [anon_sym_let] = ACTIONS(2164),
    [anon_sym_loop] = ACTIONS(2164),
    [anon_sym_match] = ACTIONS(2164),
    [anon_sym_mod] = ACTIONS(2164),
    [anon_sym_pub] = ACTIONS(2164),
    [anon_sym_return] = ACTIONS(2164),
    [anon_sym_static] = ACTIONS(2164),
    [anon_sym_struct] = ACTIONS(2164),
    [anon_sym_trait] = ACTIONS(2164),
    [anon_sym_type] = ACTIONS(2164),
    [anon_sym_union] = ACTIONS(2164),
    [anon_sym_unsafe] = ACTIONS(2164),
    [anon_sym_use] = ACTIONS(2164),
    [anon_sym_while] = ACTIONS(2164),
    [anon_sym_extern] = ACTIONS(2164),
    [anon_sym_yield] = ACTIONS(2164),
    [anon_sym_move] = ACTIONS(2164),
    [anon_sym_try] = ACTIONS(2164),
    [sym_integer_literal] = ACTIONS(2162),
    [aux_sym_string_literal_token1] = ACTIONS(2162),
    [sym_char_literal] = ACTIONS(2162),
    [anon_sym_true] = ACTIONS(2164),
    [anon_sym_false] = ACTIONS(2164),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2164),
    [sym_super] = ACTIONS(2164),
    [sym_crate] = ACTIONS(2164),
    [sym_metavariable] = ACTIONS(2162),
    [sym__raw_string_literal_start] = ACTIONS(2162),
    [sym_float_literal] = ACTIONS(2162),
  },
  [605] = {
    [sym_line_comment] = STATE(605),
    [sym_block_comment] = STATE(605),
    [ts_builtin_sym_end] = ACTIONS(2166),
    [sym_identifier] = ACTIONS(2168),
    [anon_sym_SEMI] = ACTIONS(2166),
    [anon_sym_macro_rules_BANG] = ACTIONS(2166),
    [anon_sym_LPAREN] = ACTIONS(2166),
    [anon_sym_LBRACK] = ACTIONS(2166),
    [anon_sym_LBRACE] = ACTIONS(2166),
    [anon_sym_RBRACE] = ACTIONS(2166),
    [anon_sym_STAR] = ACTIONS(2166),
    [anon_sym_u8] = ACTIONS(2168),
    [anon_sym_i8] = ACTIONS(2168),
    [anon_sym_u16] = ACTIONS(2168),
    [anon_sym_i16] = ACTIONS(2168),
    [anon_sym_u32] = ACTIONS(2168),
    [anon_sym_i32] = ACTIONS(2168),
    [anon_sym_u64] = ACTIONS(2168),
    [anon_sym_i64] = ACTIONS(2168),
    [anon_sym_u128] = ACTIONS(2168),
    [anon_sym_i128] = ACTIONS(2168),
    [anon_sym_isize] = ACTIONS(2168),
    [anon_sym_usize] = ACTIONS(2168),
    [anon_sym_f32] = ACTIONS(2168),
    [anon_sym_f64] = ACTIONS(2168),
    [anon_sym_bool] = ACTIONS(2168),
    [anon_sym_str] = ACTIONS(2168),
    [anon_sym_char] = ACTIONS(2168),
    [anon_sym_DASH] = ACTIONS(2166),
    [anon_sym_BANG] = ACTIONS(2166),
    [anon_sym_AMP] = ACTIONS(2166),
    [anon_sym_PIPE] = ACTIONS(2166),
    [anon_sym_LT] = ACTIONS(2166),
    [anon_sym_DOT_DOT] = ACTIONS(2166),
    [anon_sym_COLON_COLON] = ACTIONS(2166),
    [anon_sym_POUND] = ACTIONS(2166),
    [anon_sym_SQUOTE] = ACTIONS(2168),
    [anon_sym_async] = ACTIONS(2168),
    [anon_sym_break] = ACTIONS(2168),
    [anon_sym_const] = ACTIONS(2168),
    [anon_sym_continue] = ACTIONS(2168),
    [anon_sym_default] = ACTIONS(2168),
    [anon_sym_enum] = ACTIONS(2168),
    [anon_sym_fn] = ACTIONS(2168),
    [anon_sym_for] = ACTIONS(2168),
    [anon_sym_if] = ACTIONS(2168),
    [anon_sym_impl] = ACTIONS(2168),
    [anon_sym_let] = ACTIONS(2168),
    [anon_sym_loop] = ACTIONS(2168),
    [anon_sym_match] = ACTIONS(2168),
    [anon_sym_mod] = ACTIONS(2168),
    [anon_sym_pub] = ACTIONS(2168),
    [anon_sym_return] = ACTIONS(2168),
    [anon_sym_static] = ACTIONS(2168),
    [anon_sym_struct] = ACTIONS(2168),
    [anon_sym_trait] = ACTIONS(2168),
    [anon_sym_type] = ACTIONS(2168),
    [anon_sym_union] = ACTIONS(2168),
    [anon_sym_unsafe] = ACTIONS(2168),
    [anon_sym_use] = ACTIONS(2168),
    [anon_sym_while] = ACTIONS(2168),
    [anon_sym_extern] = ACTIONS(2168),
    [anon_sym_yield] = ACTIONS(2168),
    [anon_sym_move] = ACTIONS(2168),
    [anon_sym_try] = ACTIONS(2168),
    [sym_integer_literal] = ACTIONS(2166),
    [aux_sym_string_literal_token1] = ACTIONS(2166),
    [sym_char_literal] = ACTIONS(2166),
    [anon_sym_true] = ACTIONS(2168),
    [anon_sym_false] = ACTIONS(2168),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2168),
    [sym_super] = ACTIONS(2168),
    [sym_crate] = ACTIONS(2168),
    [sym_metavariable] = ACTIONS(2166),
    [sym__raw_string_literal_start] = ACTIONS(2166),
    [sym_float_literal] = ACTIONS(2166),
  },
  [606] = {
    [sym_line_comment] = STATE(606),
    [sym_block_comment] = STATE(606),
    [ts_builtin_sym_end] = ACTIONS(2170),
    [sym_identifier] = ACTIONS(2172),
    [anon_sym_SEMI] = ACTIONS(2170),
    [anon_sym_macro_rules_BANG] = ACTIONS(2170),
    [anon_sym_LPAREN] = ACTIONS(2170),
    [anon_sym_LBRACK] = ACTIONS(2170),
    [anon_sym_LBRACE] = ACTIONS(2170),
    [anon_sym_RBRACE] = ACTIONS(2170),
    [anon_sym_STAR] = ACTIONS(2170),
    [anon_sym_u8] = ACTIONS(2172),
    [anon_sym_i8] = ACTIONS(2172),
    [anon_sym_u16] = ACTIONS(2172),
    [anon_sym_i16] = ACTIONS(2172),
    [anon_sym_u32] = ACTIONS(2172),
    [anon_sym_i32] = ACTIONS(2172),
    [anon_sym_u64] = ACTIONS(2172),
    [anon_sym_i64] = ACTIONS(2172),
    [anon_sym_u128] = ACTIONS(2172),
    [anon_sym_i128] = ACTIONS(2172),
    [anon_sym_isize] = ACTIONS(2172),
    [anon_sym_usize] = ACTIONS(2172),
    [anon_sym_f32] = ACTIONS(2172),
    [anon_sym_f64] = ACTIONS(2172),
    [anon_sym_bool] = ACTIONS(2172),
    [anon_sym_str] = ACTIONS(2172),
    [anon_sym_char] = ACTIONS(2172),
    [anon_sym_DASH] = ACTIONS(2170),
    [anon_sym_BANG] = ACTIONS(2170),
    [anon_sym_AMP] = ACTIONS(2170),
    [anon_sym_PIPE] = ACTIONS(2170),
    [anon_sym_LT] = ACTIONS(2170),
    [anon_sym_DOT_DOT] = ACTIONS(2170),
    [anon_sym_COLON_COLON] = ACTIONS(2170),
    [anon_sym_POUND] = ACTIONS(2170),
    [anon_sym_SQUOTE] = ACTIONS(2172),
    [anon_sym_async] = ACTIONS(2172),
    [anon_sym_break] = ACTIONS(2172),
    [anon_sym_const] = ACTIONS(2172),
    [anon_sym_continue] = ACTIONS(2172),
    [anon_sym_default] = ACTIONS(2172),
    [anon_sym_enum] = ACTIONS(2172),
    [anon_sym_fn] = ACTIONS(2172),
    [anon_sym_for] = ACTIONS(2172),
    [anon_sym_if] = ACTIONS(2172),
    [anon_sym_impl] = ACTIONS(2172),
    [anon_sym_let] = ACTIONS(2172),
    [anon_sym_loop] = ACTIONS(2172),
    [anon_sym_match] = ACTIONS(2172),
    [anon_sym_mod] = ACTIONS(2172),
    [anon_sym_pub] = ACTIONS(2172),
    [anon_sym_return] = ACTIONS(2172),
    [anon_sym_static] = ACTIONS(2172),
    [anon_sym_struct] = ACTIONS(2172),
    [anon_sym_trait] = ACTIONS(2172),
    [anon_sym_type] = ACTIONS(2172),
    [anon_sym_union] = ACTIONS(2172),
    [anon_sym_unsafe] = ACTIONS(2172),
    [anon_sym_use] = ACTIONS(2172),
    [anon_sym_while] = ACTIONS(2172),
    [anon_sym_extern] = ACTIONS(2172),
    [anon_sym_yield] = ACTIONS(2172),
    [anon_sym_move] = ACTIONS(2172),
    [anon_sym_try] = ACTIONS(2172),
    [sym_integer_literal] = ACTIONS(2170),
    [aux_sym_string_literal_token1] = ACTIONS(2170),
    [sym_char_literal] = ACTIONS(2170),
    [anon_sym_true] = ACTIONS(2172),
    [anon_sym_false] = ACTIONS(2172),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2172),
    [sym_super] = ACTIONS(2172),
    [sym_crate] = ACTIONS(2172),
    [sym_metavariable] = ACTIONS(2170),
    [sym__raw_string_literal_start] = ACTIONS(2170),
    [sym_float_literal] = ACTIONS(2170),
  },
  [607] = {
    [sym_line_comment] = STATE(607),
    [sym_block_comment] = STATE(607),
    [ts_builtin_sym_end] = ACTIONS(2174),
    [sym_identifier] = ACTIONS(2176),
    [anon_sym_SEMI] = ACTIONS(2174),
    [anon_sym_macro_rules_BANG] = ACTIONS(2174),
    [anon_sym_LPAREN] = ACTIONS(2174),
    [anon_sym_LBRACK] = ACTIONS(2174),
    [anon_sym_LBRACE] = ACTIONS(2174),
    [anon_sym_RBRACE] = ACTIONS(2174),
    [anon_sym_STAR] = ACTIONS(2174),
    [anon_sym_u8] = ACTIONS(2176),
    [anon_sym_i8] = ACTIONS(2176),
    [anon_sym_u16] = ACTIONS(2176),
    [anon_sym_i16] = ACTIONS(2176),
    [anon_sym_u32] = ACTIONS(2176),
    [anon_sym_i32] = ACTIONS(2176),
    [anon_sym_u64] = ACTIONS(2176),
    [anon_sym_i64] = ACTIONS(2176),
    [anon_sym_u128] = ACTIONS(2176),
    [anon_sym_i128] = ACTIONS(2176),
    [anon_sym_isize] = ACTIONS(2176),
    [anon_sym_usize] = ACTIONS(2176),
    [anon_sym_f32] = ACTIONS(2176),
    [anon_sym_f64] = ACTIONS(2176),
    [anon_sym_bool] = ACTIONS(2176),
    [anon_sym_str] = ACTIONS(2176),
    [anon_sym_char] = ACTIONS(2176),
    [anon_sym_DASH] = ACTIONS(2174),
    [anon_sym_BANG] = ACTIONS(2174),
    [anon_sym_AMP] = ACTIONS(2174),
    [anon_sym_PIPE] = ACTIONS(2174),
    [anon_sym_LT] = ACTIONS(2174),
    [anon_sym_DOT_DOT] = ACTIONS(2174),
    [anon_sym_COLON_COLON] = ACTIONS(2174),
    [anon_sym_POUND] = ACTIONS(2174),
    [anon_sym_SQUOTE] = ACTIONS(2176),
    [anon_sym_async] = ACTIONS(2176),
    [anon_sym_break] = ACTIONS(2176),
    [anon_sym_const] = ACTIONS(2176),
    [anon_sym_continue] = ACTIONS(2176),
    [anon_sym_default] = ACTIONS(2176),
    [anon_sym_enum] = ACTIONS(2176),
    [anon_sym_fn] = ACTIONS(2176),
    [anon_sym_for] = ACTIONS(2176),
    [anon_sym_if] = ACTIONS(2176),
    [anon_sym_impl] = ACTIONS(2176),
    [anon_sym_let] = ACTIONS(2176),
    [anon_sym_loop] = ACTIONS(2176),
    [anon_sym_match] = ACTIONS(2176),
    [anon_sym_mod] = ACTIONS(2176),
    [anon_sym_pub] = ACTIONS(2176),
    [anon_sym_return] = ACTIONS(2176),
    [anon_sym_static] = ACTIONS(2176),
    [anon_sym_struct] = ACTIONS(2176),
    [anon_sym_trait] = ACTIONS(2176),
    [anon_sym_type] = ACTIONS(2176),
    [anon_sym_union] = ACTIONS(2176),
    [anon_sym_unsafe] = ACTIONS(2176),
    [anon_sym_use] = ACTIONS(2176),
    [anon_sym_while] = ACTIONS(2176),
    [anon_sym_extern] = ACTIONS(2176),
    [anon_sym_yield] = ACTIONS(2176),
    [anon_sym_move] = ACTIONS(2176),
    [anon_sym_try] = ACTIONS(2176),
    [sym_integer_literal] = ACTIONS(2174),
    [aux_sym_string_literal_token1] = ACTIONS(2174),
    [sym_char_literal] = ACTIONS(2174),
    [anon_sym_true] = ACTIONS(2176),
    [anon_sym_false] = ACTIONS(2176),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2176),
    [sym_super] = ACTIONS(2176),
    [sym_crate] = ACTIONS(2176),
    [sym_metavariable] = ACTIONS(2174),
    [sym__raw_string_literal_start] = ACTIONS(2174),
    [sym_float_literal] = ACTIONS(2174),
  },
  [608] = {
    [sym_line_comment] = STATE(608),
    [sym_block_comment] = STATE(608),
    [ts_builtin_sym_end] = ACTIONS(2178),
    [sym_identifier] = ACTIONS(2180),
    [anon_sym_SEMI] = ACTIONS(2178),
    [anon_sym_macro_rules_BANG] = ACTIONS(2178),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [anon_sym_LBRACK] = ACTIONS(2178),
    [anon_sym_LBRACE] = ACTIONS(2178),
    [anon_sym_RBRACE] = ACTIONS(2178),
    [anon_sym_STAR] = ACTIONS(2178),
    [anon_sym_u8] = ACTIONS(2180),
    [anon_sym_i8] = ACTIONS(2180),
    [anon_sym_u16] = ACTIONS(2180),
    [anon_sym_i16] = ACTIONS(2180),
    [anon_sym_u32] = ACTIONS(2180),
    [anon_sym_i32] = ACTIONS(2180),
    [anon_sym_u64] = ACTIONS(2180),
    [anon_sym_i64] = ACTIONS(2180),
    [anon_sym_u128] = ACTIONS(2180),
    [anon_sym_i128] = ACTIONS(2180),
    [anon_sym_isize] = ACTIONS(2180),
    [anon_sym_usize] = ACTIONS(2180),
    [anon_sym_f32] = ACTIONS(2180),
    [anon_sym_f64] = ACTIONS(2180),
    [anon_sym_bool] = ACTIONS(2180),
    [anon_sym_str] = ACTIONS(2180),
    [anon_sym_char] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_BANG] = ACTIONS(2178),
    [anon_sym_AMP] = ACTIONS(2178),
    [anon_sym_PIPE] = ACTIONS(2178),
    [anon_sym_LT] = ACTIONS(2178),
    [anon_sym_DOT_DOT] = ACTIONS(2178),
    [anon_sym_COLON_COLON] = ACTIONS(2178),
    [anon_sym_POUND] = ACTIONS(2178),
    [anon_sym_SQUOTE] = ACTIONS(2180),
    [anon_sym_async] = ACTIONS(2180),
    [anon_sym_break] = ACTIONS(2180),
    [anon_sym_const] = ACTIONS(2180),
    [anon_sym_continue] = ACTIONS(2180),
    [anon_sym_default] = ACTIONS(2180),
    [anon_sym_enum] = ACTIONS(2180),
    [anon_sym_fn] = ACTIONS(2180),
    [anon_sym_for] = ACTIONS(2180),
    [anon_sym_if] = ACTIONS(2180),
    [anon_sym_impl] = ACTIONS(2180),
    [anon_sym_let] = ACTIONS(2180),
    [anon_sym_loop] = ACTIONS(2180),
    [anon_sym_match] = ACTIONS(2180),
    [anon_sym_mod] = ACTIONS(2180),
    [anon_sym_pub] = ACTIONS(2180),
    [anon_sym_return] = ACTIONS(2180),
    [anon_sym_static] = ACTIONS(2180),
    [anon_sym_struct] = ACTIONS(2180),
    [anon_sym_trait] = ACTIONS(2180),
    [anon_sym_type] = ACTIONS(2180),
    [anon_sym_union] = ACTIONS(2180),
    [anon_sym_unsafe] = ACTIONS(2180),
    [anon_sym_use] = ACTIONS(2180),
    [anon_sym_while] = ACTIONS(2180),
    [anon_sym_extern] = ACTIONS(2180),
    [anon_sym_yield] = ACTIONS(2180),
    [anon_sym_move] = ACTIONS(2180),
    [anon_sym_try] = ACTIONS(2180),
    [sym_integer_literal] = ACTIONS(2178),
    [aux_sym_string_literal_token1] = ACTIONS(2178),
    [sym_char_literal] = ACTIONS(2178),
    [anon_sym_true] = ACTIONS(2180),
    [anon_sym_false] = ACTIONS(2180),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2180),
    [sym_super] = ACTIONS(2180),
    [sym_crate] = ACTIONS(2180),
    [sym_metavariable] = ACTIONS(2178),
    [sym__raw_string_literal_start] = ACTIONS(2178),
    [sym_float_literal] = ACTIONS(2178),
  },
  [609] = {
    [sym_line_comment] = STATE(609),
    [sym_block_comment] = STATE(609),
    [ts_builtin_sym_end] = ACTIONS(2182),
    [sym_identifier] = ACTIONS(2184),
    [anon_sym_SEMI] = ACTIONS(2182),
    [anon_sym_macro_rules_BANG] = ACTIONS(2182),
    [anon_sym_LPAREN] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2182),
    [anon_sym_RBRACE] = ACTIONS(2182),
    [anon_sym_STAR] = ACTIONS(2182),
    [anon_sym_u8] = ACTIONS(2184),
    [anon_sym_i8] = ACTIONS(2184),
    [anon_sym_u16] = ACTIONS(2184),
    [anon_sym_i16] = ACTIONS(2184),
    [anon_sym_u32] = ACTIONS(2184),
    [anon_sym_i32] = ACTIONS(2184),
    [anon_sym_u64] = ACTIONS(2184),
    [anon_sym_i64] = ACTIONS(2184),
    [anon_sym_u128] = ACTIONS(2184),
    [anon_sym_i128] = ACTIONS(2184),
    [anon_sym_isize] = ACTIONS(2184),
    [anon_sym_usize] = ACTIONS(2184),
    [anon_sym_f32] = ACTIONS(2184),
    [anon_sym_f64] = ACTIONS(2184),
    [anon_sym_bool] = ACTIONS(2184),
    [anon_sym_str] = ACTIONS(2184),
    [anon_sym_char] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_BANG] = ACTIONS(2182),
    [anon_sym_AMP] = ACTIONS(2182),
    [anon_sym_PIPE] = ACTIONS(2182),
    [anon_sym_LT] = ACTIONS(2182),
    [anon_sym_DOT_DOT] = ACTIONS(2182),
    [anon_sym_COLON_COLON] = ACTIONS(2182),
    [anon_sym_POUND] = ACTIONS(2182),
    [anon_sym_SQUOTE] = ACTIONS(2184),
    [anon_sym_async] = ACTIONS(2184),
    [anon_sym_break] = ACTIONS(2184),
    [anon_sym_const] = ACTIONS(2184),
    [anon_sym_continue] = ACTIONS(2184),
    [anon_sym_default] = ACTIONS(2184),
    [anon_sym_enum] = ACTIONS(2184),
    [anon_sym_fn] = ACTIONS(2184),
    [anon_sym_for] = ACTIONS(2184),
    [anon_sym_if] = ACTIONS(2184),
    [anon_sym_impl] = ACTIONS(2184),
    [anon_sym_let] = ACTIONS(2184),
    [anon_sym_loop] = ACTIONS(2184),
    [anon_sym_match] = ACTIONS(2184),
    [anon_sym_mod] = ACTIONS(2184),
    [anon_sym_pub] = ACTIONS(2184),
    [anon_sym_return] = ACTIONS(2184),
    [anon_sym_static] = ACTIONS(2184),
    [anon_sym_struct] = ACTIONS(2184),
    [anon_sym_trait] = ACTIONS(2184),
    [anon_sym_type] = ACTIONS(2184),
    [anon_sym_union] = ACTIONS(2184),
    [anon_sym_unsafe] = ACTIONS(2184),
    [anon_sym_use] = ACTIONS(2184),
    [anon_sym_while] = ACTIONS(2184),
    [anon_sym_extern] = ACTIONS(2184),
    [anon_sym_yield] = ACTIONS(2184),
    [anon_sym_move] = ACTIONS(2184),
    [anon_sym_try] = ACTIONS(2184),
    [sym_integer_literal] = ACTIONS(2182),
    [aux_sym_string_literal_token1] = ACTIONS(2182),
    [sym_char_literal] = ACTIONS(2182),
    [anon_sym_true] = ACTIONS(2184),
    [anon_sym_false] = ACTIONS(2184),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2184),
    [sym_super] = ACTIONS(2184),
    [sym_crate] = ACTIONS(2184),
    [sym_metavariable] = ACTIONS(2182),
    [sym__raw_string_literal_start] = ACTIONS(2182),
    [sym_float_literal] = ACTIONS(2182),
  },
  [610] = {
    [sym_line_comment] = STATE(610),
    [sym_block_comment] = STATE(610),
    [ts_builtin_sym_end] = ACTIONS(2186),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_SEMI] = ACTIONS(2186),
    [anon_sym_macro_rules_BANG] = ACTIONS(2186),
    [anon_sym_LPAREN] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2186),
    [anon_sym_RBRACE] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2186),
    [anon_sym_u8] = ACTIONS(2188),
    [anon_sym_i8] = ACTIONS(2188),
    [anon_sym_u16] = ACTIONS(2188),
    [anon_sym_i16] = ACTIONS(2188),
    [anon_sym_u32] = ACTIONS(2188),
    [anon_sym_i32] = ACTIONS(2188),
    [anon_sym_u64] = ACTIONS(2188),
    [anon_sym_i64] = ACTIONS(2188),
    [anon_sym_u128] = ACTIONS(2188),
    [anon_sym_i128] = ACTIONS(2188),
    [anon_sym_isize] = ACTIONS(2188),
    [anon_sym_usize] = ACTIONS(2188),
    [anon_sym_f32] = ACTIONS(2188),
    [anon_sym_f64] = ACTIONS(2188),
    [anon_sym_bool] = ACTIONS(2188),
    [anon_sym_str] = ACTIONS(2188),
    [anon_sym_char] = ACTIONS(2188),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_BANG] = ACTIONS(2186),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_PIPE] = ACTIONS(2186),
    [anon_sym_LT] = ACTIONS(2186),
    [anon_sym_DOT_DOT] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2186),
    [anon_sym_POUND] = ACTIONS(2186),
    [anon_sym_SQUOTE] = ACTIONS(2188),
    [anon_sym_async] = ACTIONS(2188),
    [anon_sym_break] = ACTIONS(2188),
    [anon_sym_const] = ACTIONS(2188),
    [anon_sym_continue] = ACTIONS(2188),
    [anon_sym_default] = ACTIONS(2188),
    [anon_sym_enum] = ACTIONS(2188),
    [anon_sym_fn] = ACTIONS(2188),
    [anon_sym_for] = ACTIONS(2188),
    [anon_sym_if] = ACTIONS(2188),
    [anon_sym_impl] = ACTIONS(2188),
    [anon_sym_let] = ACTIONS(2188),
    [anon_sym_loop] = ACTIONS(2188),
    [anon_sym_match] = ACTIONS(2188),
    [anon_sym_mod] = ACTIONS(2188),
    [anon_sym_pub] = ACTIONS(2188),
    [anon_sym_return] = ACTIONS(2188),
    [anon_sym_static] = ACTIONS(2188),
    [anon_sym_struct] = ACTIONS(2188),
    [anon_sym_trait] = ACTIONS(2188),
    [anon_sym_type] = ACTIONS(2188),
    [anon_sym_union] = ACTIONS(2188),
    [anon_sym_unsafe] = ACTIONS(2188),
    [anon_sym_use] = ACTIONS(2188),
    [anon_sym_while] = ACTIONS(2188),
    [anon_sym_extern] = ACTIONS(2188),
    [anon_sym_yield] = ACTIONS(2188),
    [anon_sym_move] = ACTIONS(2188),
    [anon_sym_try] = ACTIONS(2188),
    [sym_integer_literal] = ACTIONS(2186),
    [aux_sym_string_literal_token1] = ACTIONS(2186),
    [sym_char_literal] = ACTIONS(2186),
    [anon_sym_true] = ACTIONS(2188),
    [anon_sym_false] = ACTIONS(2188),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2188),
    [sym_super] = ACTIONS(2188),
    [sym_crate] = ACTIONS(2188),
    [sym_metavariable] = ACTIONS(2186),
    [sym__raw_string_literal_start] = ACTIONS(2186),
    [sym_float_literal] = ACTIONS(2186),
  },
  [611] = {
    [sym_line_comment] = STATE(611),
    [sym_block_comment] = STATE(611),
    [ts_builtin_sym_end] = ACTIONS(2190),
    [sym_identifier] = ACTIONS(2192),
    [anon_sym_SEMI] = ACTIONS(2190),
    [anon_sym_macro_rules_BANG] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2190),
    [anon_sym_RBRACE] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2190),
    [anon_sym_u8] = ACTIONS(2192),
    [anon_sym_i8] = ACTIONS(2192),
    [anon_sym_u16] = ACTIONS(2192),
    [anon_sym_i16] = ACTIONS(2192),
    [anon_sym_u32] = ACTIONS(2192),
    [anon_sym_i32] = ACTIONS(2192),
    [anon_sym_u64] = ACTIONS(2192),
    [anon_sym_i64] = ACTIONS(2192),
    [anon_sym_u128] = ACTIONS(2192),
    [anon_sym_i128] = ACTIONS(2192),
    [anon_sym_isize] = ACTIONS(2192),
    [anon_sym_usize] = ACTIONS(2192),
    [anon_sym_f32] = ACTIONS(2192),
    [anon_sym_f64] = ACTIONS(2192),
    [anon_sym_bool] = ACTIONS(2192),
    [anon_sym_str] = ACTIONS(2192),
    [anon_sym_char] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_AMP] = ACTIONS(2190),
    [anon_sym_PIPE] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2190),
    [anon_sym_DOT_DOT] = ACTIONS(2190),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_POUND] = ACTIONS(2190),
    [anon_sym_SQUOTE] = ACTIONS(2192),
    [anon_sym_async] = ACTIONS(2192),
    [anon_sym_break] = ACTIONS(2192),
    [anon_sym_const] = ACTIONS(2192),
    [anon_sym_continue] = ACTIONS(2192),
    [anon_sym_default] = ACTIONS(2192),
    [anon_sym_enum] = ACTIONS(2192),
    [anon_sym_fn] = ACTIONS(2192),
    [anon_sym_for] = ACTIONS(2192),
    [anon_sym_if] = ACTIONS(2192),
    [anon_sym_impl] = ACTIONS(2192),
    [anon_sym_let] = ACTIONS(2192),
    [anon_sym_loop] = ACTIONS(2192),
    [anon_sym_match] = ACTIONS(2192),
    [anon_sym_mod] = ACTIONS(2192),
    [anon_sym_pub] = ACTIONS(2192),
    [anon_sym_return] = ACTIONS(2192),
    [anon_sym_static] = ACTIONS(2192),
    [anon_sym_struct] = ACTIONS(2192),
    [anon_sym_trait] = ACTIONS(2192),
    [anon_sym_type] = ACTIONS(2192),
    [anon_sym_union] = ACTIONS(2192),
    [anon_sym_unsafe] = ACTIONS(2192),
    [anon_sym_use] = ACTIONS(2192),
    [anon_sym_while] = ACTIONS(2192),
    [anon_sym_extern] = ACTIONS(2192),
    [anon_sym_yield] = ACTIONS(2192),
    [anon_sym_move] = ACTIONS(2192),
    [anon_sym_try] = ACTIONS(2192),
    [sym_integer_literal] = ACTIONS(2190),
    [aux_sym_string_literal_token1] = ACTIONS(2190),
    [sym_char_literal] = ACTIONS(2190),
    [anon_sym_true] = ACTIONS(2192),
    [anon_sym_false] = ACTIONS(2192),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2192),
    [sym_super] = ACTIONS(2192),
    [sym_crate] = ACTIONS(2192),
    [sym_metavariable] = ACTIONS(2190),
    [sym__raw_string_literal_start] = ACTIONS(2190),
    [sym_float_literal] = ACTIONS(2190),
  },
  [612] = {
    [sym_line_comment] = STATE(612),
    [sym_block_comment] = STATE(612),
    [ts_builtin_sym_end] = ACTIONS(2194),
    [sym_identifier] = ACTIONS(2196),
    [anon_sym_SEMI] = ACTIONS(2194),
    [anon_sym_macro_rules_BANG] = ACTIONS(2194),
    [anon_sym_LPAREN] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(2194),
    [anon_sym_RBRACE] = ACTIONS(2194),
    [anon_sym_STAR] = ACTIONS(2194),
    [anon_sym_u8] = ACTIONS(2196),
    [anon_sym_i8] = ACTIONS(2196),
    [anon_sym_u16] = ACTIONS(2196),
    [anon_sym_i16] = ACTIONS(2196),
    [anon_sym_u32] = ACTIONS(2196),
    [anon_sym_i32] = ACTIONS(2196),
    [anon_sym_u64] = ACTIONS(2196),
    [anon_sym_i64] = ACTIONS(2196),
    [anon_sym_u128] = ACTIONS(2196),
    [anon_sym_i128] = ACTIONS(2196),
    [anon_sym_isize] = ACTIONS(2196),
    [anon_sym_usize] = ACTIONS(2196),
    [anon_sym_f32] = ACTIONS(2196),
    [anon_sym_f64] = ACTIONS(2196),
    [anon_sym_bool] = ACTIONS(2196),
    [anon_sym_str] = ACTIONS(2196),
    [anon_sym_char] = ACTIONS(2196),
    [anon_sym_DASH] = ACTIONS(2194),
    [anon_sym_BANG] = ACTIONS(2194),
    [anon_sym_AMP] = ACTIONS(2194),
    [anon_sym_PIPE] = ACTIONS(2194),
    [anon_sym_LT] = ACTIONS(2194),
    [anon_sym_DOT_DOT] = ACTIONS(2194),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_POUND] = ACTIONS(2194),
    [anon_sym_SQUOTE] = ACTIONS(2196),
    [anon_sym_async] = ACTIONS(2196),
    [anon_sym_break] = ACTIONS(2196),
    [anon_sym_const] = ACTIONS(2196),
    [anon_sym_continue] = ACTIONS(2196),
    [anon_sym_default] = ACTIONS(2196),
    [anon_sym_enum] = ACTIONS(2196),
    [anon_sym_fn] = ACTIONS(2196),
    [anon_sym_for] = ACTIONS(2196),
    [anon_sym_if] = ACTIONS(2196),
    [anon_sym_impl] = ACTIONS(2196),
    [anon_sym_let] = ACTIONS(2196),
    [anon_sym_loop] = ACTIONS(2196),
    [anon_sym_match] = ACTIONS(2196),
    [anon_sym_mod] = ACTIONS(2196),
    [anon_sym_pub] = ACTIONS(2196),
    [anon_sym_return] = ACTIONS(2196),
    [anon_sym_static] = ACTIONS(2196),
    [anon_sym_struct] = ACTIONS(2196),
    [anon_sym_trait] = ACTIONS(2196),
    [anon_sym_type] = ACTIONS(2196),
    [anon_sym_union] = ACTIONS(2196),
    [anon_sym_unsafe] = ACTIONS(2196),
    [anon_sym_use] = ACTIONS(2196),
    [anon_sym_while] = ACTIONS(2196),
    [anon_sym_extern] = ACTIONS(2196),
    [anon_sym_yield] = ACTIONS(2196),
    [anon_sym_move] = ACTIONS(2196),
    [anon_sym_try] = ACTIONS(2196),
    [sym_integer_literal] = ACTIONS(2194),
    [aux_sym_string_literal_token1] = ACTIONS(2194),
    [sym_char_literal] = ACTIONS(2194),
    [anon_sym_true] = ACTIONS(2196),
    [anon_sym_false] = ACTIONS(2196),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2196),
    [sym_super] = ACTIONS(2196),
    [sym_crate] = ACTIONS(2196),
    [sym_metavariable] = ACTIONS(2194),
    [sym__raw_string_literal_start] = ACTIONS(2194),
    [sym_float_literal] = ACTIONS(2194),
  },
  [613] = {
    [sym_line_comment] = STATE(613),
    [sym_block_comment] = STATE(613),
    [ts_builtin_sym_end] = ACTIONS(2198),
    [sym_identifier] = ACTIONS(2200),
    [anon_sym_SEMI] = ACTIONS(2198),
    [anon_sym_macro_rules_BANG] = ACTIONS(2198),
    [anon_sym_LPAREN] = ACTIONS(2198),
    [anon_sym_LBRACK] = ACTIONS(2198),
    [anon_sym_LBRACE] = ACTIONS(2198),
    [anon_sym_RBRACE] = ACTIONS(2198),
    [anon_sym_STAR] = ACTIONS(2198),
    [anon_sym_u8] = ACTIONS(2200),
    [anon_sym_i8] = ACTIONS(2200),
    [anon_sym_u16] = ACTIONS(2200),
    [anon_sym_i16] = ACTIONS(2200),
    [anon_sym_u32] = ACTIONS(2200),
    [anon_sym_i32] = ACTIONS(2200),
    [anon_sym_u64] = ACTIONS(2200),
    [anon_sym_i64] = ACTIONS(2200),
    [anon_sym_u128] = ACTIONS(2200),
    [anon_sym_i128] = ACTIONS(2200),
    [anon_sym_isize] = ACTIONS(2200),
    [anon_sym_usize] = ACTIONS(2200),
    [anon_sym_f32] = ACTIONS(2200),
    [anon_sym_f64] = ACTIONS(2200),
    [anon_sym_bool] = ACTIONS(2200),
    [anon_sym_str] = ACTIONS(2200),
    [anon_sym_char] = ACTIONS(2200),
    [anon_sym_DASH] = ACTIONS(2198),
    [anon_sym_BANG] = ACTIONS(2198),
    [anon_sym_AMP] = ACTIONS(2198),
    [anon_sym_PIPE] = ACTIONS(2198),
    [anon_sym_LT] = ACTIONS(2198),
    [anon_sym_DOT_DOT] = ACTIONS(2198),
    [anon_sym_COLON_COLON] = ACTIONS(2198),
    [anon_sym_POUND] = ACTIONS(2198),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_async] = ACTIONS(2200),
    [anon_sym_break] = ACTIONS(2200),
    [anon_sym_const] = ACTIONS(2200),
    [anon_sym_continue] = ACTIONS(2200),
    [anon_sym_default] = ACTIONS(2200),
    [anon_sym_enum] = ACTIONS(2200),
    [anon_sym_fn] = ACTIONS(2200),
    [anon_sym_for] = ACTIONS(2200),
    [anon_sym_if] = ACTIONS(2200),
    [anon_sym_impl] = ACTIONS(2200),
    [anon_sym_let] = ACTIONS(2200),
    [anon_sym_loop] = ACTIONS(2200),
    [anon_sym_match] = ACTIONS(2200),
    [anon_sym_mod] = ACTIONS(2200),
    [anon_sym_pub] = ACTIONS(2200),
    [anon_sym_return] = ACTIONS(2200),
    [anon_sym_static] = ACTIONS(2200),
    [anon_sym_struct] = ACTIONS(2200),
    [anon_sym_trait] = ACTIONS(2200),
    [anon_sym_type] = ACTIONS(2200),
    [anon_sym_union] = ACTIONS(2200),
    [anon_sym_unsafe] = ACTIONS(2200),
    [anon_sym_use] = ACTIONS(2200),
    [anon_sym_while] = ACTIONS(2200),
    [anon_sym_extern] = ACTIONS(2200),
    [anon_sym_yield] = ACTIONS(2200),
    [anon_sym_move] = ACTIONS(2200),
    [anon_sym_try] = ACTIONS(2200),
    [sym_integer_literal] = ACTIONS(2198),
    [aux_sym_string_literal_token1] = ACTIONS(2198),
    [sym_char_literal] = ACTIONS(2198),
    [anon_sym_true] = ACTIONS(2200),
    [anon_sym_false] = ACTIONS(2200),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2200),
    [sym_super] = ACTIONS(2200),
    [sym_crate] = ACTIONS(2200),
    [sym_metavariable] = ACTIONS(2198),
    [sym__raw_string_literal_start] = ACTIONS(2198),
    [sym_float_literal] = ACTIONS(2198),
  },
  [614] = {
    [sym_line_comment] = STATE(614),
    [sym_block_comment] = STATE(614),
    [ts_builtin_sym_end] = ACTIONS(2202),
    [sym_identifier] = ACTIONS(2204),
    [anon_sym_SEMI] = ACTIONS(2202),
    [anon_sym_macro_rules_BANG] = ACTIONS(2202),
    [anon_sym_LPAREN] = ACTIONS(2202),
    [anon_sym_LBRACK] = ACTIONS(2202),
    [anon_sym_LBRACE] = ACTIONS(2202),
    [anon_sym_RBRACE] = ACTIONS(2202),
    [anon_sym_STAR] = ACTIONS(2202),
    [anon_sym_u8] = ACTIONS(2204),
    [anon_sym_i8] = ACTIONS(2204),
    [anon_sym_u16] = ACTIONS(2204),
    [anon_sym_i16] = ACTIONS(2204),
    [anon_sym_u32] = ACTIONS(2204),
    [anon_sym_i32] = ACTIONS(2204),
    [anon_sym_u64] = ACTIONS(2204),
    [anon_sym_i64] = ACTIONS(2204),
    [anon_sym_u128] = ACTIONS(2204),
    [anon_sym_i128] = ACTIONS(2204),
    [anon_sym_isize] = ACTIONS(2204),
    [anon_sym_usize] = ACTIONS(2204),
    [anon_sym_f32] = ACTIONS(2204),
    [anon_sym_f64] = ACTIONS(2204),
    [anon_sym_bool] = ACTIONS(2204),
    [anon_sym_str] = ACTIONS(2204),
    [anon_sym_char] = ACTIONS(2204),
    [anon_sym_DASH] = ACTIONS(2202),
    [anon_sym_BANG] = ACTIONS(2202),
    [anon_sym_AMP] = ACTIONS(2202),
    [anon_sym_PIPE] = ACTIONS(2202),
    [anon_sym_LT] = ACTIONS(2202),
    [anon_sym_DOT_DOT] = ACTIONS(2202),
    [anon_sym_COLON_COLON] = ACTIONS(2202),
    [anon_sym_POUND] = ACTIONS(2202),
    [anon_sym_SQUOTE] = ACTIONS(2204),
    [anon_sym_async] = ACTIONS(2204),
    [anon_sym_break] = ACTIONS(2204),
    [anon_sym_const] = ACTIONS(2204),
    [anon_sym_continue] = ACTIONS(2204),
    [anon_sym_default] = ACTIONS(2204),
    [anon_sym_enum] = ACTIONS(2204),
    [anon_sym_fn] = ACTIONS(2204),
    [anon_sym_for] = ACTIONS(2204),
    [anon_sym_if] = ACTIONS(2204),
    [anon_sym_impl] = ACTIONS(2204),
    [anon_sym_let] = ACTIONS(2204),
    [anon_sym_loop] = ACTIONS(2204),
    [anon_sym_match] = ACTIONS(2204),
    [anon_sym_mod] = ACTIONS(2204),
    [anon_sym_pub] = ACTIONS(2204),
    [anon_sym_return] = ACTIONS(2204),
    [anon_sym_static] = ACTIONS(2204),
    [anon_sym_struct] = ACTIONS(2204),
    [anon_sym_trait] = ACTIONS(2204),
    [anon_sym_type] = ACTIONS(2204),
    [anon_sym_union] = ACTIONS(2204),
    [anon_sym_unsafe] = ACTIONS(2204),
    [anon_sym_use] = ACTIONS(2204),
    [anon_sym_while] = ACTIONS(2204),
    [anon_sym_extern] = ACTIONS(2204),
    [anon_sym_yield] = ACTIONS(2204),
    [anon_sym_move] = ACTIONS(2204),
    [anon_sym_try] = ACTIONS(2204),
    [sym_integer_literal] = ACTIONS(2202),
    [aux_sym_string_literal_token1] = ACTIONS(2202),
    [sym_char_literal] = ACTIONS(2202),
    [anon_sym_true] = ACTIONS(2204),
    [anon_sym_false] = ACTIONS(2204),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2204),
    [sym_super] = ACTIONS(2204),
    [sym_crate] = ACTIONS(2204),
    [sym_metavariable] = ACTIONS(2202),
    [sym__raw_string_literal_start] = ACTIONS(2202),
    [sym_float_literal] = ACTIONS(2202),
  },
  [615] = {
    [sym_line_comment] = STATE(615),
    [sym_block_comment] = STATE(615),
    [ts_builtin_sym_end] = ACTIONS(2206),
    [sym_identifier] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2206),
    [anon_sym_macro_rules_BANG] = ACTIONS(2206),
    [anon_sym_LPAREN] = ACTIONS(2206),
    [anon_sym_LBRACK] = ACTIONS(2206),
    [anon_sym_LBRACE] = ACTIONS(2206),
    [anon_sym_RBRACE] = ACTIONS(2206),
    [anon_sym_STAR] = ACTIONS(2206),
    [anon_sym_u8] = ACTIONS(2208),
    [anon_sym_i8] = ACTIONS(2208),
    [anon_sym_u16] = ACTIONS(2208),
    [anon_sym_i16] = ACTIONS(2208),
    [anon_sym_u32] = ACTIONS(2208),
    [anon_sym_i32] = ACTIONS(2208),
    [anon_sym_u64] = ACTIONS(2208),
    [anon_sym_i64] = ACTIONS(2208),
    [anon_sym_u128] = ACTIONS(2208),
    [anon_sym_i128] = ACTIONS(2208),
    [anon_sym_isize] = ACTIONS(2208),
    [anon_sym_usize] = ACTIONS(2208),
    [anon_sym_f32] = ACTIONS(2208),
    [anon_sym_f64] = ACTIONS(2208),
    [anon_sym_bool] = ACTIONS(2208),
    [anon_sym_str] = ACTIONS(2208),
    [anon_sym_char] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2206),
    [anon_sym_BANG] = ACTIONS(2206),
    [anon_sym_AMP] = ACTIONS(2206),
    [anon_sym_PIPE] = ACTIONS(2206),
    [anon_sym_LT] = ACTIONS(2206),
    [anon_sym_DOT_DOT] = ACTIONS(2206),
    [anon_sym_COLON_COLON] = ACTIONS(2206),
    [anon_sym_POUND] = ACTIONS(2206),
    [anon_sym_SQUOTE] = ACTIONS(2208),
    [anon_sym_async] = ACTIONS(2208),
    [anon_sym_break] = ACTIONS(2208),
    [anon_sym_const] = ACTIONS(2208),
    [anon_sym_continue] = ACTIONS(2208),
    [anon_sym_default] = ACTIONS(2208),
    [anon_sym_enum] = ACTIONS(2208),
    [anon_sym_fn] = ACTIONS(2208),
    [anon_sym_for] = ACTIONS(2208),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_impl] = ACTIONS(2208),
    [anon_sym_let] = ACTIONS(2208),
    [anon_sym_loop] = ACTIONS(2208),
    [anon_sym_match] = ACTIONS(2208),
    [anon_sym_mod] = ACTIONS(2208),
    [anon_sym_pub] = ACTIONS(2208),
    [anon_sym_return] = ACTIONS(2208),
    [anon_sym_static] = ACTIONS(2208),
    [anon_sym_struct] = ACTIONS(2208),
    [anon_sym_trait] = ACTIONS(2208),
    [anon_sym_type] = ACTIONS(2208),
    [anon_sym_union] = ACTIONS(2208),
    [anon_sym_unsafe] = ACTIONS(2208),
    [anon_sym_use] = ACTIONS(2208),
    [anon_sym_while] = ACTIONS(2208),
    [anon_sym_extern] = ACTIONS(2208),
    [anon_sym_yield] = ACTIONS(2208),
    [anon_sym_move] = ACTIONS(2208),
    [anon_sym_try] = ACTIONS(2208),
    [sym_integer_literal] = ACTIONS(2206),
    [aux_sym_string_literal_token1] = ACTIONS(2206),
    [sym_char_literal] = ACTIONS(2206),
    [anon_sym_true] = ACTIONS(2208),
    [anon_sym_false] = ACTIONS(2208),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2208),
    [sym_super] = ACTIONS(2208),
    [sym_crate] = ACTIONS(2208),
    [sym_metavariable] = ACTIONS(2206),
    [sym__raw_string_literal_start] = ACTIONS(2206),
    [sym_float_literal] = ACTIONS(2206),
  },
  [616] = {
    [sym_line_comment] = STATE(616),
    [sym_block_comment] = STATE(616),
    [ts_builtin_sym_end] = ACTIONS(2210),
    [sym_identifier] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2210),
    [anon_sym_macro_rules_BANG] = ACTIONS(2210),
    [anon_sym_LPAREN] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2210),
    [anon_sym_LBRACE] = ACTIONS(2210),
    [anon_sym_RBRACE] = ACTIONS(2210),
    [anon_sym_STAR] = ACTIONS(2210),
    [anon_sym_u8] = ACTIONS(2212),
    [anon_sym_i8] = ACTIONS(2212),
    [anon_sym_u16] = ACTIONS(2212),
    [anon_sym_i16] = ACTIONS(2212),
    [anon_sym_u32] = ACTIONS(2212),
    [anon_sym_i32] = ACTIONS(2212),
    [anon_sym_u64] = ACTIONS(2212),
    [anon_sym_i64] = ACTIONS(2212),
    [anon_sym_u128] = ACTIONS(2212),
    [anon_sym_i128] = ACTIONS(2212),
    [anon_sym_isize] = ACTIONS(2212),
    [anon_sym_usize] = ACTIONS(2212),
    [anon_sym_f32] = ACTIONS(2212),
    [anon_sym_f64] = ACTIONS(2212),
    [anon_sym_bool] = ACTIONS(2212),
    [anon_sym_str] = ACTIONS(2212),
    [anon_sym_char] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2210),
    [anon_sym_BANG] = ACTIONS(2210),
    [anon_sym_AMP] = ACTIONS(2210),
    [anon_sym_PIPE] = ACTIONS(2210),
    [anon_sym_LT] = ACTIONS(2210),
    [anon_sym_DOT_DOT] = ACTIONS(2210),
    [anon_sym_COLON_COLON] = ACTIONS(2210),
    [anon_sym_POUND] = ACTIONS(2210),
    [anon_sym_SQUOTE] = ACTIONS(2212),
    [anon_sym_async] = ACTIONS(2212),
    [anon_sym_break] = ACTIONS(2212),
    [anon_sym_const] = ACTIONS(2212),
    [anon_sym_continue] = ACTIONS(2212),
    [anon_sym_default] = ACTIONS(2212),
    [anon_sym_enum] = ACTIONS(2212),
    [anon_sym_fn] = ACTIONS(2212),
    [anon_sym_for] = ACTIONS(2212),
    [anon_sym_if] = ACTIONS(2212),
    [anon_sym_impl] = ACTIONS(2212),
    [anon_sym_let] = ACTIONS(2212),
    [anon_sym_loop] = ACTIONS(2212),
    [anon_sym_match] = ACTIONS(2212),
    [anon_sym_mod] = ACTIONS(2212),
    [anon_sym_pub] = ACTIONS(2212),
    [anon_sym_return] = ACTIONS(2212),
    [anon_sym_static] = ACTIONS(2212),
    [anon_sym_struct] = ACTIONS(2212),
    [anon_sym_trait] = ACTIONS(2212),
    [anon_sym_type] = ACTIONS(2212),
    [anon_sym_union] = ACTIONS(2212),
    [anon_sym_unsafe] = ACTIONS(2212),
    [anon_sym_use] = ACTIONS(2212),
    [anon_sym_while] = ACTIONS(2212),
    [anon_sym_extern] = ACTIONS(2212),
    [anon_sym_yield] = ACTIONS(2212),
    [anon_sym_move] = ACTIONS(2212),
    [anon_sym_try] = ACTIONS(2212),
    [sym_integer_literal] = ACTIONS(2210),
    [aux_sym_string_literal_token1] = ACTIONS(2210),
    [sym_char_literal] = ACTIONS(2210),
    [anon_sym_true] = ACTIONS(2212),
    [anon_sym_false] = ACTIONS(2212),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2212),
    [sym_super] = ACTIONS(2212),
    [sym_crate] = ACTIONS(2212),
    [sym_metavariable] = ACTIONS(2210),
    [sym__raw_string_literal_start] = ACTIONS(2210),
    [sym_float_literal] = ACTIONS(2210),
  },
  [617] = {
    [sym_line_comment] = STATE(617),
    [sym_block_comment] = STATE(617),
    [ts_builtin_sym_end] = ACTIONS(2214),
    [sym_identifier] = ACTIONS(2216),
    [anon_sym_SEMI] = ACTIONS(2214),
    [anon_sym_macro_rules_BANG] = ACTIONS(2214),
    [anon_sym_LPAREN] = ACTIONS(2214),
    [anon_sym_LBRACK] = ACTIONS(2214),
    [anon_sym_LBRACE] = ACTIONS(2214),
    [anon_sym_RBRACE] = ACTIONS(2214),
    [anon_sym_STAR] = ACTIONS(2214),
    [anon_sym_u8] = ACTIONS(2216),
    [anon_sym_i8] = ACTIONS(2216),
    [anon_sym_u16] = ACTIONS(2216),
    [anon_sym_i16] = ACTIONS(2216),
    [anon_sym_u32] = ACTIONS(2216),
    [anon_sym_i32] = ACTIONS(2216),
    [anon_sym_u64] = ACTIONS(2216),
    [anon_sym_i64] = ACTIONS(2216),
    [anon_sym_u128] = ACTIONS(2216),
    [anon_sym_i128] = ACTIONS(2216),
    [anon_sym_isize] = ACTIONS(2216),
    [anon_sym_usize] = ACTIONS(2216),
    [anon_sym_f32] = ACTIONS(2216),
    [anon_sym_f64] = ACTIONS(2216),
    [anon_sym_bool] = ACTIONS(2216),
    [anon_sym_str] = ACTIONS(2216),
    [anon_sym_char] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_AMP] = ACTIONS(2214),
    [anon_sym_PIPE] = ACTIONS(2214),
    [anon_sym_LT] = ACTIONS(2214),
    [anon_sym_DOT_DOT] = ACTIONS(2214),
    [anon_sym_COLON_COLON] = ACTIONS(2214),
    [anon_sym_POUND] = ACTIONS(2214),
    [anon_sym_SQUOTE] = ACTIONS(2216),
    [anon_sym_async] = ACTIONS(2216),
    [anon_sym_break] = ACTIONS(2216),
    [anon_sym_const] = ACTIONS(2216),
    [anon_sym_continue] = ACTIONS(2216),
    [anon_sym_default] = ACTIONS(2216),
    [anon_sym_enum] = ACTIONS(2216),
    [anon_sym_fn] = ACTIONS(2216),
    [anon_sym_for] = ACTIONS(2216),
    [anon_sym_if] = ACTIONS(2216),
    [anon_sym_impl] = ACTIONS(2216),
    [anon_sym_let] = ACTIONS(2216),
    [anon_sym_loop] = ACTIONS(2216),
    [anon_sym_match] = ACTIONS(2216),
    [anon_sym_mod] = ACTIONS(2216),
    [anon_sym_pub] = ACTIONS(2216),
    [anon_sym_return] = ACTIONS(2216),
    [anon_sym_static] = ACTIONS(2216),
    [anon_sym_struct] = ACTIONS(2216),
    [anon_sym_trait] = ACTIONS(2216),
    [anon_sym_type] = ACTIONS(2216),
    [anon_sym_union] = ACTIONS(2216),
    [anon_sym_unsafe] = ACTIONS(2216),
    [anon_sym_use] = ACTIONS(2216),
    [anon_sym_while] = ACTIONS(2216),
    [anon_sym_extern] = ACTIONS(2216),
    [anon_sym_yield] = ACTIONS(2216),
    [anon_sym_move] = ACTIONS(2216),
    [anon_sym_try] = ACTIONS(2216),
    [sym_integer_literal] = ACTIONS(2214),
    [aux_sym_string_literal_token1] = ACTIONS(2214),
    [sym_char_literal] = ACTIONS(2214),
    [anon_sym_true] = ACTIONS(2216),
    [anon_sym_false] = ACTIONS(2216),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2216),
    [sym_super] = ACTIONS(2216),
    [sym_crate] = ACTIONS(2216),
    [sym_metavariable] = ACTIONS(2214),
    [sym__raw_string_literal_start] = ACTIONS(2214),
    [sym_float_literal] = ACTIONS(2214),
  },
  [618] = {
    [sym_line_comment] = STATE(618),
    [sym_block_comment] = STATE(618),
    [ts_builtin_sym_end] = ACTIONS(2218),
    [sym_identifier] = ACTIONS(2220),
    [anon_sym_SEMI] = ACTIONS(2218),
    [anon_sym_macro_rules_BANG] = ACTIONS(2218),
    [anon_sym_LPAREN] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2218),
    [anon_sym_LBRACE] = ACTIONS(2218),
    [anon_sym_RBRACE] = ACTIONS(2218),
    [anon_sym_STAR] = ACTIONS(2218),
    [anon_sym_u8] = ACTIONS(2220),
    [anon_sym_i8] = ACTIONS(2220),
    [anon_sym_u16] = ACTIONS(2220),
    [anon_sym_i16] = ACTIONS(2220),
    [anon_sym_u32] = ACTIONS(2220),
    [anon_sym_i32] = ACTIONS(2220),
    [anon_sym_u64] = ACTIONS(2220),
    [anon_sym_i64] = ACTIONS(2220),
    [anon_sym_u128] = ACTIONS(2220),
    [anon_sym_i128] = ACTIONS(2220),
    [anon_sym_isize] = ACTIONS(2220),
    [anon_sym_usize] = ACTIONS(2220),
    [anon_sym_f32] = ACTIONS(2220),
    [anon_sym_f64] = ACTIONS(2220),
    [anon_sym_bool] = ACTIONS(2220),
    [anon_sym_str] = ACTIONS(2220),
    [anon_sym_char] = ACTIONS(2220),
    [anon_sym_DASH] = ACTIONS(2218),
    [anon_sym_BANG] = ACTIONS(2218),
    [anon_sym_AMP] = ACTIONS(2218),
    [anon_sym_PIPE] = ACTIONS(2218),
    [anon_sym_LT] = ACTIONS(2218),
    [anon_sym_DOT_DOT] = ACTIONS(2218),
    [anon_sym_COLON_COLON] = ACTIONS(2218),
    [anon_sym_POUND] = ACTIONS(2218),
    [anon_sym_SQUOTE] = ACTIONS(2220),
    [anon_sym_async] = ACTIONS(2220),
    [anon_sym_break] = ACTIONS(2220),
    [anon_sym_const] = ACTIONS(2220),
    [anon_sym_continue] = ACTIONS(2220),
    [anon_sym_default] = ACTIONS(2220),
    [anon_sym_enum] = ACTIONS(2220),
    [anon_sym_fn] = ACTIONS(2220),
    [anon_sym_for] = ACTIONS(2220),
    [anon_sym_if] = ACTIONS(2220),
    [anon_sym_impl] = ACTIONS(2220),
    [anon_sym_let] = ACTIONS(2220),
    [anon_sym_loop] = ACTIONS(2220),
    [anon_sym_match] = ACTIONS(2220),
    [anon_sym_mod] = ACTIONS(2220),
    [anon_sym_pub] = ACTIONS(2220),
    [anon_sym_return] = ACTIONS(2220),
    [anon_sym_static] = ACTIONS(2220),
    [anon_sym_struct] = ACTIONS(2220),
    [anon_sym_trait] = ACTIONS(2220),
    [anon_sym_type] = ACTIONS(2220),
    [anon_sym_union] = ACTIONS(2220),
    [anon_sym_unsafe] = ACTIONS(2220),
    [anon_sym_use] = ACTIONS(2220),
    [anon_sym_while] = ACTIONS(2220),
    [anon_sym_extern] = ACTIONS(2220),
    [anon_sym_yield] = ACTIONS(2220),
    [anon_sym_move] = ACTIONS(2220),
    [anon_sym_try] = ACTIONS(2220),
    [sym_integer_literal] = ACTIONS(2218),
    [aux_sym_string_literal_token1] = ACTIONS(2218),
    [sym_char_literal] = ACTIONS(2218),
    [anon_sym_true] = ACTIONS(2220),
    [anon_sym_false] = ACTIONS(2220),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2220),
    [sym_super] = ACTIONS(2220),
    [sym_crate] = ACTIONS(2220),
    [sym_metavariable] = ACTIONS(2218),
    [sym__raw_string_literal_start] = ACTIONS(2218),
    [sym_float_literal] = ACTIONS(2218),
  },
  [619] = {
    [sym_line_comment] = STATE(619),
    [sym_block_comment] = STATE(619),
    [ts_builtin_sym_end] = ACTIONS(2222),
    [sym_identifier] = ACTIONS(2224),
    [anon_sym_SEMI] = ACTIONS(2222),
    [anon_sym_macro_rules_BANG] = ACTIONS(2222),
    [anon_sym_LPAREN] = ACTIONS(2222),
    [anon_sym_LBRACK] = ACTIONS(2222),
    [anon_sym_LBRACE] = ACTIONS(2222),
    [anon_sym_RBRACE] = ACTIONS(2222),
    [anon_sym_STAR] = ACTIONS(2222),
    [anon_sym_u8] = ACTIONS(2224),
    [anon_sym_i8] = ACTIONS(2224),
    [anon_sym_u16] = ACTIONS(2224),
    [anon_sym_i16] = ACTIONS(2224),
    [anon_sym_u32] = ACTIONS(2224),
    [anon_sym_i32] = ACTIONS(2224),
    [anon_sym_u64] = ACTIONS(2224),
    [anon_sym_i64] = ACTIONS(2224),
    [anon_sym_u128] = ACTIONS(2224),
    [anon_sym_i128] = ACTIONS(2224),
    [anon_sym_isize] = ACTIONS(2224),
    [anon_sym_usize] = ACTIONS(2224),
    [anon_sym_f32] = ACTIONS(2224),
    [anon_sym_f64] = ACTIONS(2224),
    [anon_sym_bool] = ACTIONS(2224),
    [anon_sym_str] = ACTIONS(2224),
    [anon_sym_char] = ACTIONS(2224),
    [anon_sym_DASH] = ACTIONS(2222),
    [anon_sym_BANG] = ACTIONS(2222),
    [anon_sym_AMP] = ACTIONS(2222),
    [anon_sym_PIPE] = ACTIONS(2222),
    [anon_sym_LT] = ACTIONS(2222),
    [anon_sym_DOT_DOT] = ACTIONS(2222),
    [anon_sym_COLON_COLON] = ACTIONS(2222),
    [anon_sym_POUND] = ACTIONS(2222),
    [anon_sym_SQUOTE] = ACTIONS(2224),
    [anon_sym_async] = ACTIONS(2224),
    [anon_sym_break] = ACTIONS(2224),
    [anon_sym_const] = ACTIONS(2224),
    [anon_sym_continue] = ACTIONS(2224),
    [anon_sym_default] = ACTIONS(2224),
    [anon_sym_enum] = ACTIONS(2224),
    [anon_sym_fn] = ACTIONS(2224),
    [anon_sym_for] = ACTIONS(2224),
    [anon_sym_if] = ACTIONS(2224),
    [anon_sym_impl] = ACTIONS(2224),
    [anon_sym_let] = ACTIONS(2224),
    [anon_sym_loop] = ACTIONS(2224),
    [anon_sym_match] = ACTIONS(2224),
    [anon_sym_mod] = ACTIONS(2224),
    [anon_sym_pub] = ACTIONS(2224),
    [anon_sym_return] = ACTIONS(2224),
    [anon_sym_static] = ACTIONS(2224),
    [anon_sym_struct] = ACTIONS(2224),
    [anon_sym_trait] = ACTIONS(2224),
    [anon_sym_type] = ACTIONS(2224),
    [anon_sym_union] = ACTIONS(2224),
    [anon_sym_unsafe] = ACTIONS(2224),
    [anon_sym_use] = ACTIONS(2224),
    [anon_sym_while] = ACTIONS(2224),
    [anon_sym_extern] = ACTIONS(2224),
    [anon_sym_yield] = ACTIONS(2224),
    [anon_sym_move] = ACTIONS(2224),
    [anon_sym_try] = ACTIONS(2224),
    [sym_integer_literal] = ACTIONS(2222),
    [aux_sym_string_literal_token1] = ACTIONS(2222),
    [sym_char_literal] = ACTIONS(2222),
    [anon_sym_true] = ACTIONS(2224),
    [anon_sym_false] = ACTIONS(2224),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2224),
    [sym_super] = ACTIONS(2224),
    [sym_crate] = ACTIONS(2224),
    [sym_metavariable] = ACTIONS(2222),
    [sym__raw_string_literal_start] = ACTIONS(2222),
    [sym_float_literal] = ACTIONS(2222),
  },
  [620] = {
    [sym_line_comment] = STATE(620),
    [sym_block_comment] = STATE(620),
    [ts_builtin_sym_end] = ACTIONS(2226),
    [sym_identifier] = ACTIONS(2228),
    [anon_sym_SEMI] = ACTIONS(2226),
    [anon_sym_macro_rules_BANG] = ACTIONS(2226),
    [anon_sym_LPAREN] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(2226),
    [anon_sym_LBRACE] = ACTIONS(2226),
    [anon_sym_RBRACE] = ACTIONS(2226),
    [anon_sym_STAR] = ACTIONS(2226),
    [anon_sym_u8] = ACTIONS(2228),
    [anon_sym_i8] = ACTIONS(2228),
    [anon_sym_u16] = ACTIONS(2228),
    [anon_sym_i16] = ACTIONS(2228),
    [anon_sym_u32] = ACTIONS(2228),
    [anon_sym_i32] = ACTIONS(2228),
    [anon_sym_u64] = ACTIONS(2228),
    [anon_sym_i64] = ACTIONS(2228),
    [anon_sym_u128] = ACTIONS(2228),
    [anon_sym_i128] = ACTIONS(2228),
    [anon_sym_isize] = ACTIONS(2228),
    [anon_sym_usize] = ACTIONS(2228),
    [anon_sym_f32] = ACTIONS(2228),
    [anon_sym_f64] = ACTIONS(2228),
    [anon_sym_bool] = ACTIONS(2228),
    [anon_sym_str] = ACTIONS(2228),
    [anon_sym_char] = ACTIONS(2228),
    [anon_sym_DASH] = ACTIONS(2226),
    [anon_sym_BANG] = ACTIONS(2226),
    [anon_sym_AMP] = ACTIONS(2226),
    [anon_sym_PIPE] = ACTIONS(2226),
    [anon_sym_LT] = ACTIONS(2226),
    [anon_sym_DOT_DOT] = ACTIONS(2226),
    [anon_sym_COLON_COLON] = ACTIONS(2226),
    [anon_sym_POUND] = ACTIONS(2226),
    [anon_sym_SQUOTE] = ACTIONS(2228),
    [anon_sym_async] = ACTIONS(2228),
    [anon_sym_break] = ACTIONS(2228),
    [anon_sym_const] = ACTIONS(2228),
    [anon_sym_continue] = ACTIONS(2228),
    [anon_sym_default] = ACTIONS(2228),
    [anon_sym_enum] = ACTIONS(2228),
    [anon_sym_fn] = ACTIONS(2228),
    [anon_sym_for] = ACTIONS(2228),
    [anon_sym_if] = ACTIONS(2228),
    [anon_sym_impl] = ACTIONS(2228),
    [anon_sym_let] = ACTIONS(2228),
    [anon_sym_loop] = ACTIONS(2228),
    [anon_sym_match] = ACTIONS(2228),
    [anon_sym_mod] = ACTIONS(2228),
    [anon_sym_pub] = ACTIONS(2228),
    [anon_sym_return] = ACTIONS(2228),
    [anon_sym_static] = ACTIONS(2228),
    [anon_sym_struct] = ACTIONS(2228),
    [anon_sym_trait] = ACTIONS(2228),
    [anon_sym_type] = ACTIONS(2228),
    [anon_sym_union] = ACTIONS(2228),
    [anon_sym_unsafe] = ACTIONS(2228),
    [anon_sym_use] = ACTIONS(2228),
    [anon_sym_while] = ACTIONS(2228),
    [anon_sym_extern] = ACTIONS(2228),
    [anon_sym_yield] = ACTIONS(2228),
    [anon_sym_move] = ACTIONS(2228),
    [anon_sym_try] = ACTIONS(2228),
    [sym_integer_literal] = ACTIONS(2226),
    [aux_sym_string_literal_token1] = ACTIONS(2226),
    [sym_char_literal] = ACTIONS(2226),
    [anon_sym_true] = ACTIONS(2228),
    [anon_sym_false] = ACTIONS(2228),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2228),
    [sym_super] = ACTIONS(2228),
    [sym_crate] = ACTIONS(2228),
    [sym_metavariable] = ACTIONS(2226),
    [sym__raw_string_literal_start] = ACTIONS(2226),
    [sym_float_literal] = ACTIONS(2226),
  },
  [621] = {
    [sym_line_comment] = STATE(621),
    [sym_block_comment] = STATE(621),
    [ts_builtin_sym_end] = ACTIONS(2230),
    [sym_identifier] = ACTIONS(2232),
    [anon_sym_SEMI] = ACTIONS(2230),
    [anon_sym_macro_rules_BANG] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2230),
    [anon_sym_RBRACE] = ACTIONS(2230),
    [anon_sym_STAR] = ACTIONS(2230),
    [anon_sym_u8] = ACTIONS(2232),
    [anon_sym_i8] = ACTIONS(2232),
    [anon_sym_u16] = ACTIONS(2232),
    [anon_sym_i16] = ACTIONS(2232),
    [anon_sym_u32] = ACTIONS(2232),
    [anon_sym_i32] = ACTIONS(2232),
    [anon_sym_u64] = ACTIONS(2232),
    [anon_sym_i64] = ACTIONS(2232),
    [anon_sym_u128] = ACTIONS(2232),
    [anon_sym_i128] = ACTIONS(2232),
    [anon_sym_isize] = ACTIONS(2232),
    [anon_sym_usize] = ACTIONS(2232),
    [anon_sym_f32] = ACTIONS(2232),
    [anon_sym_f64] = ACTIONS(2232),
    [anon_sym_bool] = ACTIONS(2232),
    [anon_sym_str] = ACTIONS(2232),
    [anon_sym_char] = ACTIONS(2232),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_BANG] = ACTIONS(2230),
    [anon_sym_AMP] = ACTIONS(2230),
    [anon_sym_PIPE] = ACTIONS(2230),
    [anon_sym_LT] = ACTIONS(2230),
    [anon_sym_DOT_DOT] = ACTIONS(2230),
    [anon_sym_COLON_COLON] = ACTIONS(2230),
    [anon_sym_POUND] = ACTIONS(2230),
    [anon_sym_SQUOTE] = ACTIONS(2232),
    [anon_sym_async] = ACTIONS(2232),
    [anon_sym_break] = ACTIONS(2232),
    [anon_sym_const] = ACTIONS(2232),
    [anon_sym_continue] = ACTIONS(2232),
    [anon_sym_default] = ACTIONS(2232),
    [anon_sym_enum] = ACTIONS(2232),
    [anon_sym_fn] = ACTIONS(2232),
    [anon_sym_for] = ACTIONS(2232),
    [anon_sym_if] = ACTIONS(2232),
    [anon_sym_impl] = ACTIONS(2232),
    [anon_sym_let] = ACTIONS(2232),
    [anon_sym_loop] = ACTIONS(2232),
    [anon_sym_match] = ACTIONS(2232),
    [anon_sym_mod] = ACTIONS(2232),
    [anon_sym_pub] = ACTIONS(2232),
    [anon_sym_return] = ACTIONS(2232),
    [anon_sym_static] = ACTIONS(2232),
    [anon_sym_struct] = ACTIONS(2232),
    [anon_sym_trait] = ACTIONS(2232),
    [anon_sym_type] = ACTIONS(2232),
    [anon_sym_union] = ACTIONS(2232),
    [anon_sym_unsafe] = ACTIONS(2232),
    [anon_sym_use] = ACTIONS(2232),
    [anon_sym_while] = ACTIONS(2232),
    [anon_sym_extern] = ACTIONS(2232),
    [anon_sym_yield] = ACTIONS(2232),
    [anon_sym_move] = ACTIONS(2232),
    [anon_sym_try] = ACTIONS(2232),
    [sym_integer_literal] = ACTIONS(2230),
    [aux_sym_string_literal_token1] = ACTIONS(2230),
    [sym_char_literal] = ACTIONS(2230),
    [anon_sym_true] = ACTIONS(2232),
    [anon_sym_false] = ACTIONS(2232),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2232),
    [sym_super] = ACTIONS(2232),
    [sym_crate] = ACTIONS(2232),
    [sym_metavariable] = ACTIONS(2230),
    [sym__raw_string_literal_start] = ACTIONS(2230),
    [sym_float_literal] = ACTIONS(2230),
  },
  [622] = {
    [sym_line_comment] = STATE(622),
    [sym_block_comment] = STATE(622),
    [ts_builtin_sym_end] = ACTIONS(2234),
    [sym_identifier] = ACTIONS(2236),
    [anon_sym_SEMI] = ACTIONS(2234),
    [anon_sym_macro_rules_BANG] = ACTIONS(2234),
    [anon_sym_LPAREN] = ACTIONS(2234),
    [anon_sym_LBRACK] = ACTIONS(2234),
    [anon_sym_LBRACE] = ACTIONS(2234),
    [anon_sym_RBRACE] = ACTIONS(2234),
    [anon_sym_STAR] = ACTIONS(2234),
    [anon_sym_u8] = ACTIONS(2236),
    [anon_sym_i8] = ACTIONS(2236),
    [anon_sym_u16] = ACTIONS(2236),
    [anon_sym_i16] = ACTIONS(2236),
    [anon_sym_u32] = ACTIONS(2236),
    [anon_sym_i32] = ACTIONS(2236),
    [anon_sym_u64] = ACTIONS(2236),
    [anon_sym_i64] = ACTIONS(2236),
    [anon_sym_u128] = ACTIONS(2236),
    [anon_sym_i128] = ACTIONS(2236),
    [anon_sym_isize] = ACTIONS(2236),
    [anon_sym_usize] = ACTIONS(2236),
    [anon_sym_f32] = ACTIONS(2236),
    [anon_sym_f64] = ACTIONS(2236),
    [anon_sym_bool] = ACTIONS(2236),
    [anon_sym_str] = ACTIONS(2236),
    [anon_sym_char] = ACTIONS(2236),
    [anon_sym_DASH] = ACTIONS(2234),
    [anon_sym_BANG] = ACTIONS(2234),
    [anon_sym_AMP] = ACTIONS(2234),
    [anon_sym_PIPE] = ACTIONS(2234),
    [anon_sym_LT] = ACTIONS(2234),
    [anon_sym_DOT_DOT] = ACTIONS(2234),
    [anon_sym_COLON_COLON] = ACTIONS(2234),
    [anon_sym_POUND] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2236),
    [anon_sym_async] = ACTIONS(2236),
    [anon_sym_break] = ACTIONS(2236),
    [anon_sym_const] = ACTIONS(2236),
    [anon_sym_continue] = ACTIONS(2236),
    [anon_sym_default] = ACTIONS(2236),
    [anon_sym_enum] = ACTIONS(2236),
    [anon_sym_fn] = ACTIONS(2236),
    [anon_sym_for] = ACTIONS(2236),
    [anon_sym_if] = ACTIONS(2236),
    [anon_sym_impl] = ACTIONS(2236),
    [anon_sym_let] = ACTIONS(2236),
    [anon_sym_loop] = ACTIONS(2236),
    [anon_sym_match] = ACTIONS(2236),
    [anon_sym_mod] = ACTIONS(2236),
    [anon_sym_pub] = ACTIONS(2236),
    [anon_sym_return] = ACTIONS(2236),
    [anon_sym_static] = ACTIONS(2236),
    [anon_sym_struct] = ACTIONS(2236),
    [anon_sym_trait] = ACTIONS(2236),
    [anon_sym_type] = ACTIONS(2236),
    [anon_sym_union] = ACTIONS(2236),
    [anon_sym_unsafe] = ACTIONS(2236),
    [anon_sym_use] = ACTIONS(2236),
    [anon_sym_while] = ACTIONS(2236),
    [anon_sym_extern] = ACTIONS(2236),
    [anon_sym_yield] = ACTIONS(2236),
    [anon_sym_move] = ACTIONS(2236),
    [anon_sym_try] = ACTIONS(2236),
    [sym_integer_literal] = ACTIONS(2234),
    [aux_sym_string_literal_token1] = ACTIONS(2234),
    [sym_char_literal] = ACTIONS(2234),
    [anon_sym_true] = ACTIONS(2236),
    [anon_sym_false] = ACTIONS(2236),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2236),
    [sym_super] = ACTIONS(2236),
    [sym_crate] = ACTIONS(2236),
    [sym_metavariable] = ACTIONS(2234),
    [sym__raw_string_literal_start] = ACTIONS(2234),
    [sym_float_literal] = ACTIONS(2234),
  },
  [623] = {
    [sym_line_comment] = STATE(623),
    [sym_block_comment] = STATE(623),
    [ts_builtin_sym_end] = ACTIONS(2238),
    [sym_identifier] = ACTIONS(2240),
    [anon_sym_SEMI] = ACTIONS(2238),
    [anon_sym_macro_rules_BANG] = ACTIONS(2238),
    [anon_sym_LPAREN] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2238),
    [anon_sym_LBRACE] = ACTIONS(2238),
    [anon_sym_RBRACE] = ACTIONS(2238),
    [anon_sym_STAR] = ACTIONS(2238),
    [anon_sym_u8] = ACTIONS(2240),
    [anon_sym_i8] = ACTIONS(2240),
    [anon_sym_u16] = ACTIONS(2240),
    [anon_sym_i16] = ACTIONS(2240),
    [anon_sym_u32] = ACTIONS(2240),
    [anon_sym_i32] = ACTIONS(2240),
    [anon_sym_u64] = ACTIONS(2240),
    [anon_sym_i64] = ACTIONS(2240),
    [anon_sym_u128] = ACTIONS(2240),
    [anon_sym_i128] = ACTIONS(2240),
    [anon_sym_isize] = ACTIONS(2240),
    [anon_sym_usize] = ACTIONS(2240),
    [anon_sym_f32] = ACTIONS(2240),
    [anon_sym_f64] = ACTIONS(2240),
    [anon_sym_bool] = ACTIONS(2240),
    [anon_sym_str] = ACTIONS(2240),
    [anon_sym_char] = ACTIONS(2240),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_BANG] = ACTIONS(2238),
    [anon_sym_AMP] = ACTIONS(2238),
    [anon_sym_PIPE] = ACTIONS(2238),
    [anon_sym_LT] = ACTIONS(2238),
    [anon_sym_DOT_DOT] = ACTIONS(2238),
    [anon_sym_COLON_COLON] = ACTIONS(2238),
    [anon_sym_POUND] = ACTIONS(2238),
    [anon_sym_SQUOTE] = ACTIONS(2240),
    [anon_sym_async] = ACTIONS(2240),
    [anon_sym_break] = ACTIONS(2240),
    [anon_sym_const] = ACTIONS(2240),
    [anon_sym_continue] = ACTIONS(2240),
    [anon_sym_default] = ACTIONS(2240),
    [anon_sym_enum] = ACTIONS(2240),
    [anon_sym_fn] = ACTIONS(2240),
    [anon_sym_for] = ACTIONS(2240),
    [anon_sym_if] = ACTIONS(2240),
    [anon_sym_impl] = ACTIONS(2240),
    [anon_sym_let] = ACTIONS(2240),
    [anon_sym_loop] = ACTIONS(2240),
    [anon_sym_match] = ACTIONS(2240),
    [anon_sym_mod] = ACTIONS(2240),
    [anon_sym_pub] = ACTIONS(2240),
    [anon_sym_return] = ACTIONS(2240),
    [anon_sym_static] = ACTIONS(2240),
    [anon_sym_struct] = ACTIONS(2240),
    [anon_sym_trait] = ACTIONS(2240),
    [anon_sym_type] = ACTIONS(2240),
    [anon_sym_union] = ACTIONS(2240),
    [anon_sym_unsafe] = ACTIONS(2240),
    [anon_sym_use] = ACTIONS(2240),
    [anon_sym_while] = ACTIONS(2240),
    [anon_sym_extern] = ACTIONS(2240),
    [anon_sym_yield] = ACTIONS(2240),
    [anon_sym_move] = ACTIONS(2240),
    [anon_sym_try] = ACTIONS(2240),
    [sym_integer_literal] = ACTIONS(2238),
    [aux_sym_string_literal_token1] = ACTIONS(2238),
    [sym_char_literal] = ACTIONS(2238),
    [anon_sym_true] = ACTIONS(2240),
    [anon_sym_false] = ACTIONS(2240),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2240),
    [sym_super] = ACTIONS(2240),
    [sym_crate] = ACTIONS(2240),
    [sym_metavariable] = ACTIONS(2238),
    [sym__raw_string_literal_start] = ACTIONS(2238),
    [sym_float_literal] = ACTIONS(2238),
  },
  [624] = {
    [sym_line_comment] = STATE(624),
    [sym_block_comment] = STATE(624),
    [ts_builtin_sym_end] = ACTIONS(2242),
    [sym_identifier] = ACTIONS(2244),
    [anon_sym_SEMI] = ACTIONS(2242),
    [anon_sym_macro_rules_BANG] = ACTIONS(2242),
    [anon_sym_LPAREN] = ACTIONS(2242),
    [anon_sym_LBRACK] = ACTIONS(2242),
    [anon_sym_LBRACE] = ACTIONS(2242),
    [anon_sym_RBRACE] = ACTIONS(2242),
    [anon_sym_STAR] = ACTIONS(2242),
    [anon_sym_u8] = ACTIONS(2244),
    [anon_sym_i8] = ACTIONS(2244),
    [anon_sym_u16] = ACTIONS(2244),
    [anon_sym_i16] = ACTIONS(2244),
    [anon_sym_u32] = ACTIONS(2244),
    [anon_sym_i32] = ACTIONS(2244),
    [anon_sym_u64] = ACTIONS(2244),
    [anon_sym_i64] = ACTIONS(2244),
    [anon_sym_u128] = ACTIONS(2244),
    [anon_sym_i128] = ACTIONS(2244),
    [anon_sym_isize] = ACTIONS(2244),
    [anon_sym_usize] = ACTIONS(2244),
    [anon_sym_f32] = ACTIONS(2244),
    [anon_sym_f64] = ACTIONS(2244),
    [anon_sym_bool] = ACTIONS(2244),
    [anon_sym_str] = ACTIONS(2244),
    [anon_sym_char] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_BANG] = ACTIONS(2242),
    [anon_sym_AMP] = ACTIONS(2242),
    [anon_sym_PIPE] = ACTIONS(2242),
    [anon_sym_LT] = ACTIONS(2242),
    [anon_sym_DOT_DOT] = ACTIONS(2242),
    [anon_sym_COLON_COLON] = ACTIONS(2242),
    [anon_sym_POUND] = ACTIONS(2242),
    [anon_sym_SQUOTE] = ACTIONS(2244),
    [anon_sym_async] = ACTIONS(2244),
    [anon_sym_break] = ACTIONS(2244),
    [anon_sym_const] = ACTIONS(2244),
    [anon_sym_continue] = ACTIONS(2244),
    [anon_sym_default] = ACTIONS(2244),
    [anon_sym_enum] = ACTIONS(2244),
    [anon_sym_fn] = ACTIONS(2244),
    [anon_sym_for] = ACTIONS(2244),
    [anon_sym_if] = ACTIONS(2244),
    [anon_sym_impl] = ACTIONS(2244),
    [anon_sym_let] = ACTIONS(2244),
    [anon_sym_loop] = ACTIONS(2244),
    [anon_sym_match] = ACTIONS(2244),
    [anon_sym_mod] = ACTIONS(2244),
    [anon_sym_pub] = ACTIONS(2244),
    [anon_sym_return] = ACTIONS(2244),
    [anon_sym_static] = ACTIONS(2244),
    [anon_sym_struct] = ACTIONS(2244),
    [anon_sym_trait] = ACTIONS(2244),
    [anon_sym_type] = ACTIONS(2244),
    [anon_sym_union] = ACTIONS(2244),
    [anon_sym_unsafe] = ACTIONS(2244),
    [anon_sym_use] = ACTIONS(2244),
    [anon_sym_while] = ACTIONS(2244),
    [anon_sym_extern] = ACTIONS(2244),
    [anon_sym_yield] = ACTIONS(2244),
    [anon_sym_move] = ACTIONS(2244),
    [anon_sym_try] = ACTIONS(2244),
    [sym_integer_literal] = ACTIONS(2242),
    [aux_sym_string_literal_token1] = ACTIONS(2242),
    [sym_char_literal] = ACTIONS(2242),
    [anon_sym_true] = ACTIONS(2244),
    [anon_sym_false] = ACTIONS(2244),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2244),
    [sym_super] = ACTIONS(2244),
    [sym_crate] = ACTIONS(2244),
    [sym_metavariable] = ACTIONS(2242),
    [sym__raw_string_literal_start] = ACTIONS(2242),
    [sym_float_literal] = ACTIONS(2242),
  },
  [625] = {
    [sym_line_comment] = STATE(625),
    [sym_block_comment] = STATE(625),
    [ts_builtin_sym_end] = ACTIONS(2246),
    [sym_identifier] = ACTIONS(2248),
    [anon_sym_SEMI] = ACTIONS(2246),
    [anon_sym_macro_rules_BANG] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2246),
    [anon_sym_LBRACK] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2246),
    [anon_sym_RBRACE] = ACTIONS(2246),
    [anon_sym_STAR] = ACTIONS(2246),
    [anon_sym_u8] = ACTIONS(2248),
    [anon_sym_i8] = ACTIONS(2248),
    [anon_sym_u16] = ACTIONS(2248),
    [anon_sym_i16] = ACTIONS(2248),
    [anon_sym_u32] = ACTIONS(2248),
    [anon_sym_i32] = ACTIONS(2248),
    [anon_sym_u64] = ACTIONS(2248),
    [anon_sym_i64] = ACTIONS(2248),
    [anon_sym_u128] = ACTIONS(2248),
    [anon_sym_i128] = ACTIONS(2248),
    [anon_sym_isize] = ACTIONS(2248),
    [anon_sym_usize] = ACTIONS(2248),
    [anon_sym_f32] = ACTIONS(2248),
    [anon_sym_f64] = ACTIONS(2248),
    [anon_sym_bool] = ACTIONS(2248),
    [anon_sym_str] = ACTIONS(2248),
    [anon_sym_char] = ACTIONS(2248),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_BANG] = ACTIONS(2246),
    [anon_sym_AMP] = ACTIONS(2246),
    [anon_sym_PIPE] = ACTIONS(2246),
    [anon_sym_LT] = ACTIONS(2246),
    [anon_sym_DOT_DOT] = ACTIONS(2246),
    [anon_sym_COLON_COLON] = ACTIONS(2246),
    [anon_sym_POUND] = ACTIONS(2246),
    [anon_sym_SQUOTE] = ACTIONS(2248),
    [anon_sym_async] = ACTIONS(2248),
    [anon_sym_break] = ACTIONS(2248),
    [anon_sym_const] = ACTIONS(2248),
    [anon_sym_continue] = ACTIONS(2248),
    [anon_sym_default] = ACTIONS(2248),
    [anon_sym_enum] = ACTIONS(2248),
    [anon_sym_fn] = ACTIONS(2248),
    [anon_sym_for] = ACTIONS(2248),
    [anon_sym_if] = ACTIONS(2248),
    [anon_sym_impl] = ACTIONS(2248),
    [anon_sym_let] = ACTIONS(2248),
    [anon_sym_loop] = ACTIONS(2248),
    [anon_sym_match] = ACTIONS(2248),
    [anon_sym_mod] = ACTIONS(2248),
    [anon_sym_pub] = ACTIONS(2248),
    [anon_sym_return] = ACTIONS(2248),
    [anon_sym_static] = ACTIONS(2248),
    [anon_sym_struct] = ACTIONS(2248),
    [anon_sym_trait] = ACTIONS(2248),
    [anon_sym_type] = ACTIONS(2248),
    [anon_sym_union] = ACTIONS(2248),
    [anon_sym_unsafe] = ACTIONS(2248),
    [anon_sym_use] = ACTIONS(2248),
    [anon_sym_while] = ACTIONS(2248),
    [anon_sym_extern] = ACTIONS(2248),
    [anon_sym_yield] = ACTIONS(2248),
    [anon_sym_move] = ACTIONS(2248),
    [anon_sym_try] = ACTIONS(2248),
    [sym_integer_literal] = ACTIONS(2246),
    [aux_sym_string_literal_token1] = ACTIONS(2246),
    [sym_char_literal] = ACTIONS(2246),
    [anon_sym_true] = ACTIONS(2248),
    [anon_sym_false] = ACTIONS(2248),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2248),
    [sym_super] = ACTIONS(2248),
    [sym_crate] = ACTIONS(2248),
    [sym_metavariable] = ACTIONS(2246),
    [sym__raw_string_literal_start] = ACTIONS(2246),
    [sym_float_literal] = ACTIONS(2246),
  },
  [626] = {
    [sym_line_comment] = STATE(626),
    [sym_block_comment] = STATE(626),
    [ts_builtin_sym_end] = ACTIONS(2250),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_SEMI] = ACTIONS(2250),
    [anon_sym_macro_rules_BANG] = ACTIONS(2250),
    [anon_sym_LPAREN] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(2250),
    [anon_sym_LBRACE] = ACTIONS(2250),
    [anon_sym_RBRACE] = ACTIONS(2250),
    [anon_sym_STAR] = ACTIONS(2250),
    [anon_sym_u8] = ACTIONS(2252),
    [anon_sym_i8] = ACTIONS(2252),
    [anon_sym_u16] = ACTIONS(2252),
    [anon_sym_i16] = ACTIONS(2252),
    [anon_sym_u32] = ACTIONS(2252),
    [anon_sym_i32] = ACTIONS(2252),
    [anon_sym_u64] = ACTIONS(2252),
    [anon_sym_i64] = ACTIONS(2252),
    [anon_sym_u128] = ACTIONS(2252),
    [anon_sym_i128] = ACTIONS(2252),
    [anon_sym_isize] = ACTIONS(2252),
    [anon_sym_usize] = ACTIONS(2252),
    [anon_sym_f32] = ACTIONS(2252),
    [anon_sym_f64] = ACTIONS(2252),
    [anon_sym_bool] = ACTIONS(2252),
    [anon_sym_str] = ACTIONS(2252),
    [anon_sym_char] = ACTIONS(2252),
    [anon_sym_DASH] = ACTIONS(2250),
    [anon_sym_BANG] = ACTIONS(2250),
    [anon_sym_AMP] = ACTIONS(2250),
    [anon_sym_PIPE] = ACTIONS(2250),
    [anon_sym_LT] = ACTIONS(2250),
    [anon_sym_DOT_DOT] = ACTIONS(2250),
    [anon_sym_COLON_COLON] = ACTIONS(2250),
    [anon_sym_POUND] = ACTIONS(2250),
    [anon_sym_SQUOTE] = ACTIONS(2252),
    [anon_sym_async] = ACTIONS(2252),
    [anon_sym_break] = ACTIONS(2252),
    [anon_sym_const] = ACTIONS(2252),
    [anon_sym_continue] = ACTIONS(2252),
    [anon_sym_default] = ACTIONS(2252),
    [anon_sym_enum] = ACTIONS(2252),
    [anon_sym_fn] = ACTIONS(2252),
    [anon_sym_for] = ACTIONS(2252),
    [anon_sym_if] = ACTIONS(2252),
    [anon_sym_impl] = ACTIONS(2252),
    [anon_sym_let] = ACTIONS(2252),
    [anon_sym_loop] = ACTIONS(2252),
    [anon_sym_match] = ACTIONS(2252),
    [anon_sym_mod] = ACTIONS(2252),
    [anon_sym_pub] = ACTIONS(2252),
    [anon_sym_return] = ACTIONS(2252),
    [anon_sym_static] = ACTIONS(2252),
    [anon_sym_struct] = ACTIONS(2252),
    [anon_sym_trait] = ACTIONS(2252),
    [anon_sym_type] = ACTIONS(2252),
    [anon_sym_union] = ACTIONS(2252),
    [anon_sym_unsafe] = ACTIONS(2252),
    [anon_sym_use] = ACTIONS(2252),
    [anon_sym_while] = ACTIONS(2252),
    [anon_sym_extern] = ACTIONS(2252),
    [anon_sym_yield] = ACTIONS(2252),
    [anon_sym_move] = ACTIONS(2252),
    [anon_sym_try] = ACTIONS(2252),
    [sym_integer_literal] = ACTIONS(2250),
    [aux_sym_string_literal_token1] = ACTIONS(2250),
    [sym_char_literal] = ACTIONS(2250),
    [anon_sym_true] = ACTIONS(2252),
    [anon_sym_false] = ACTIONS(2252),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2252),
    [sym_super] = ACTIONS(2252),
    [sym_crate] = ACTIONS(2252),
    [sym_metavariable] = ACTIONS(2250),
    [sym__raw_string_literal_start] = ACTIONS(2250),
    [sym_float_literal] = ACTIONS(2250),
  },
  [627] = {
    [sym_line_comment] = STATE(627),
    [sym_block_comment] = STATE(627),
    [ts_builtin_sym_end] = ACTIONS(2254),
    [sym_identifier] = ACTIONS(2256),
    [anon_sym_SEMI] = ACTIONS(2254),
    [anon_sym_macro_rules_BANG] = ACTIONS(2254),
    [anon_sym_LPAREN] = ACTIONS(2254),
    [anon_sym_LBRACK] = ACTIONS(2254),
    [anon_sym_LBRACE] = ACTIONS(2254),
    [anon_sym_RBRACE] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(2254),
    [anon_sym_u8] = ACTIONS(2256),
    [anon_sym_i8] = ACTIONS(2256),
    [anon_sym_u16] = ACTIONS(2256),
    [anon_sym_i16] = ACTIONS(2256),
    [anon_sym_u32] = ACTIONS(2256),
    [anon_sym_i32] = ACTIONS(2256),
    [anon_sym_u64] = ACTIONS(2256),
    [anon_sym_i64] = ACTIONS(2256),
    [anon_sym_u128] = ACTIONS(2256),
    [anon_sym_i128] = ACTIONS(2256),
    [anon_sym_isize] = ACTIONS(2256),
    [anon_sym_usize] = ACTIONS(2256),
    [anon_sym_f32] = ACTIONS(2256),
    [anon_sym_f64] = ACTIONS(2256),
    [anon_sym_bool] = ACTIONS(2256),
    [anon_sym_str] = ACTIONS(2256),
    [anon_sym_char] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_BANG] = ACTIONS(2254),
    [anon_sym_AMP] = ACTIONS(2254),
    [anon_sym_PIPE] = ACTIONS(2254),
    [anon_sym_LT] = ACTIONS(2254),
    [anon_sym_DOT_DOT] = ACTIONS(2254),
    [anon_sym_COLON_COLON] = ACTIONS(2254),
    [anon_sym_POUND] = ACTIONS(2254),
    [anon_sym_SQUOTE] = ACTIONS(2256),
    [anon_sym_async] = ACTIONS(2256),
    [anon_sym_break] = ACTIONS(2256),
    [anon_sym_const] = ACTIONS(2256),
    [anon_sym_continue] = ACTIONS(2256),
    [anon_sym_default] = ACTIONS(2256),
    [anon_sym_enum] = ACTIONS(2256),
    [anon_sym_fn] = ACTIONS(2256),
    [anon_sym_for] = ACTIONS(2256),
    [anon_sym_if] = ACTIONS(2256),
    [anon_sym_impl] = ACTIONS(2256),
    [anon_sym_let] = ACTIONS(2256),
    [anon_sym_loop] = ACTIONS(2256),
    [anon_sym_match] = ACTIONS(2256),
    [anon_sym_mod] = ACTIONS(2256),
    [anon_sym_pub] = ACTIONS(2256),
    [anon_sym_return] = ACTIONS(2256),
    [anon_sym_static] = ACTIONS(2256),
    [anon_sym_struct] = ACTIONS(2256),
    [anon_sym_trait] = ACTIONS(2256),
    [anon_sym_type] = ACTIONS(2256),
    [anon_sym_union] = ACTIONS(2256),
    [anon_sym_unsafe] = ACTIONS(2256),
    [anon_sym_use] = ACTIONS(2256),
    [anon_sym_while] = ACTIONS(2256),
    [anon_sym_extern] = ACTIONS(2256),
    [anon_sym_yield] = ACTIONS(2256),
    [anon_sym_move] = ACTIONS(2256),
    [anon_sym_try] = ACTIONS(2256),
    [sym_integer_literal] = ACTIONS(2254),
    [aux_sym_string_literal_token1] = ACTIONS(2254),
    [sym_char_literal] = ACTIONS(2254),
    [anon_sym_true] = ACTIONS(2256),
    [anon_sym_false] = ACTIONS(2256),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2256),
    [sym_super] = ACTIONS(2256),
    [sym_crate] = ACTIONS(2256),
    [sym_metavariable] = ACTIONS(2254),
    [sym__raw_string_literal_start] = ACTIONS(2254),
    [sym_float_literal] = ACTIONS(2254),
  },
  [628] = {
    [sym_line_comment] = STATE(628),
    [sym_block_comment] = STATE(628),
    [ts_builtin_sym_end] = ACTIONS(2258),
    [sym_identifier] = ACTIONS(2260),
    [anon_sym_SEMI] = ACTIONS(2258),
    [anon_sym_macro_rules_BANG] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2258),
    [anon_sym_LBRACE] = ACTIONS(2258),
    [anon_sym_RBRACE] = ACTIONS(2258),
    [anon_sym_STAR] = ACTIONS(2258),
    [anon_sym_u8] = ACTIONS(2260),
    [anon_sym_i8] = ACTIONS(2260),
    [anon_sym_u16] = ACTIONS(2260),
    [anon_sym_i16] = ACTIONS(2260),
    [anon_sym_u32] = ACTIONS(2260),
    [anon_sym_i32] = ACTIONS(2260),
    [anon_sym_u64] = ACTIONS(2260),
    [anon_sym_i64] = ACTIONS(2260),
    [anon_sym_u128] = ACTIONS(2260),
    [anon_sym_i128] = ACTIONS(2260),
    [anon_sym_isize] = ACTIONS(2260),
    [anon_sym_usize] = ACTIONS(2260),
    [anon_sym_f32] = ACTIONS(2260),
    [anon_sym_f64] = ACTIONS(2260),
    [anon_sym_bool] = ACTIONS(2260),
    [anon_sym_str] = ACTIONS(2260),
    [anon_sym_char] = ACTIONS(2260),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_BANG] = ACTIONS(2258),
    [anon_sym_AMP] = ACTIONS(2258),
    [anon_sym_PIPE] = ACTIONS(2258),
    [anon_sym_LT] = ACTIONS(2258),
    [anon_sym_DOT_DOT] = ACTIONS(2258),
    [anon_sym_COLON_COLON] = ACTIONS(2258),
    [anon_sym_POUND] = ACTIONS(2258),
    [anon_sym_SQUOTE] = ACTIONS(2260),
    [anon_sym_async] = ACTIONS(2260),
    [anon_sym_break] = ACTIONS(2260),
    [anon_sym_const] = ACTIONS(2260),
    [anon_sym_continue] = ACTIONS(2260),
    [anon_sym_default] = ACTIONS(2260),
    [anon_sym_enum] = ACTIONS(2260),
    [anon_sym_fn] = ACTIONS(2260),
    [anon_sym_for] = ACTIONS(2260),
    [anon_sym_if] = ACTIONS(2260),
    [anon_sym_impl] = ACTIONS(2260),
    [anon_sym_let] = ACTIONS(2260),
    [anon_sym_loop] = ACTIONS(2260),
    [anon_sym_match] = ACTIONS(2260),
    [anon_sym_mod] = ACTIONS(2260),
    [anon_sym_pub] = ACTIONS(2260),
    [anon_sym_return] = ACTIONS(2260),
    [anon_sym_static] = ACTIONS(2260),
    [anon_sym_struct] = ACTIONS(2260),
    [anon_sym_trait] = ACTIONS(2260),
    [anon_sym_type] = ACTIONS(2260),
    [anon_sym_union] = ACTIONS(2260),
    [anon_sym_unsafe] = ACTIONS(2260),
    [anon_sym_use] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(2260),
    [anon_sym_extern] = ACTIONS(2260),
    [anon_sym_yield] = ACTIONS(2260),
    [anon_sym_move] = ACTIONS(2260),
    [anon_sym_try] = ACTIONS(2260),
    [sym_integer_literal] = ACTIONS(2258),
    [aux_sym_string_literal_token1] = ACTIONS(2258),
    [sym_char_literal] = ACTIONS(2258),
    [anon_sym_true] = ACTIONS(2260),
    [anon_sym_false] = ACTIONS(2260),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2260),
    [sym_super] = ACTIONS(2260),
    [sym_crate] = ACTIONS(2260),
    [sym_metavariable] = ACTIONS(2258),
    [sym__raw_string_literal_start] = ACTIONS(2258),
    [sym_float_literal] = ACTIONS(2258),
  },
  [629] = {
    [sym_line_comment] = STATE(629),
    [sym_block_comment] = STATE(629),
    [ts_builtin_sym_end] = ACTIONS(2262),
    [sym_identifier] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2262),
    [anon_sym_macro_rules_BANG] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2262),
    [anon_sym_LBRACK] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2262),
    [anon_sym_RBRACE] = ACTIONS(2262),
    [anon_sym_STAR] = ACTIONS(2262),
    [anon_sym_u8] = ACTIONS(2264),
    [anon_sym_i8] = ACTIONS(2264),
    [anon_sym_u16] = ACTIONS(2264),
    [anon_sym_i16] = ACTIONS(2264),
    [anon_sym_u32] = ACTIONS(2264),
    [anon_sym_i32] = ACTIONS(2264),
    [anon_sym_u64] = ACTIONS(2264),
    [anon_sym_i64] = ACTIONS(2264),
    [anon_sym_u128] = ACTIONS(2264),
    [anon_sym_i128] = ACTIONS(2264),
    [anon_sym_isize] = ACTIONS(2264),
    [anon_sym_usize] = ACTIONS(2264),
    [anon_sym_f32] = ACTIONS(2264),
    [anon_sym_f64] = ACTIONS(2264),
    [anon_sym_bool] = ACTIONS(2264),
    [anon_sym_str] = ACTIONS(2264),
    [anon_sym_char] = ACTIONS(2264),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_BANG] = ACTIONS(2262),
    [anon_sym_AMP] = ACTIONS(2262),
    [anon_sym_PIPE] = ACTIONS(2262),
    [anon_sym_LT] = ACTIONS(2262),
    [anon_sym_DOT_DOT] = ACTIONS(2262),
    [anon_sym_COLON_COLON] = ACTIONS(2262),
    [anon_sym_POUND] = ACTIONS(2262),
    [anon_sym_SQUOTE] = ACTIONS(2264),
    [anon_sym_async] = ACTIONS(2264),
    [anon_sym_break] = ACTIONS(2264),
    [anon_sym_const] = ACTIONS(2264),
    [anon_sym_continue] = ACTIONS(2264),
    [anon_sym_default] = ACTIONS(2264),
    [anon_sym_enum] = ACTIONS(2264),
    [anon_sym_fn] = ACTIONS(2264),
    [anon_sym_for] = ACTIONS(2264),
    [anon_sym_if] = ACTIONS(2264),
    [anon_sym_impl] = ACTIONS(2264),
    [anon_sym_let] = ACTIONS(2264),
    [anon_sym_loop] = ACTIONS(2264),
    [anon_sym_match] = ACTIONS(2264),
    [anon_sym_mod] = ACTIONS(2264),
    [anon_sym_pub] = ACTIONS(2264),
    [anon_sym_return] = ACTIONS(2264),
    [anon_sym_static] = ACTIONS(2264),
    [anon_sym_struct] = ACTIONS(2264),
    [anon_sym_trait] = ACTIONS(2264),
    [anon_sym_type] = ACTIONS(2264),
    [anon_sym_union] = ACTIONS(2264),
    [anon_sym_unsafe] = ACTIONS(2264),
    [anon_sym_use] = ACTIONS(2264),
    [anon_sym_while] = ACTIONS(2264),
    [anon_sym_extern] = ACTIONS(2264),
    [anon_sym_yield] = ACTIONS(2264),
    [anon_sym_move] = ACTIONS(2264),
    [anon_sym_try] = ACTIONS(2264),
    [sym_integer_literal] = ACTIONS(2262),
    [aux_sym_string_literal_token1] = ACTIONS(2262),
    [sym_char_literal] = ACTIONS(2262),
    [anon_sym_true] = ACTIONS(2264),
    [anon_sym_false] = ACTIONS(2264),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2264),
    [sym_super] = ACTIONS(2264),
    [sym_crate] = ACTIONS(2264),
    [sym_metavariable] = ACTIONS(2262),
    [sym__raw_string_literal_start] = ACTIONS(2262),
    [sym_float_literal] = ACTIONS(2262),
  },
  [630] = {
    [sym_line_comment] = STATE(630),
    [sym_block_comment] = STATE(630),
    [ts_builtin_sym_end] = ACTIONS(2266),
    [sym_identifier] = ACTIONS(2268),
    [anon_sym_SEMI] = ACTIONS(2266),
    [anon_sym_macro_rules_BANG] = ACTIONS(2266),
    [anon_sym_LPAREN] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(2266),
    [anon_sym_LBRACE] = ACTIONS(2266),
    [anon_sym_RBRACE] = ACTIONS(2266),
    [anon_sym_STAR] = ACTIONS(2266),
    [anon_sym_u8] = ACTIONS(2268),
    [anon_sym_i8] = ACTIONS(2268),
    [anon_sym_u16] = ACTIONS(2268),
    [anon_sym_i16] = ACTIONS(2268),
    [anon_sym_u32] = ACTIONS(2268),
    [anon_sym_i32] = ACTIONS(2268),
    [anon_sym_u64] = ACTIONS(2268),
    [anon_sym_i64] = ACTIONS(2268),
    [anon_sym_u128] = ACTIONS(2268),
    [anon_sym_i128] = ACTIONS(2268),
    [anon_sym_isize] = ACTIONS(2268),
    [anon_sym_usize] = ACTIONS(2268),
    [anon_sym_f32] = ACTIONS(2268),
    [anon_sym_f64] = ACTIONS(2268),
    [anon_sym_bool] = ACTIONS(2268),
    [anon_sym_str] = ACTIONS(2268),
    [anon_sym_char] = ACTIONS(2268),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_BANG] = ACTIONS(2266),
    [anon_sym_AMP] = ACTIONS(2266),
    [anon_sym_PIPE] = ACTIONS(2266),
    [anon_sym_LT] = ACTIONS(2266),
    [anon_sym_DOT_DOT] = ACTIONS(2266),
    [anon_sym_COLON_COLON] = ACTIONS(2266),
    [anon_sym_POUND] = ACTIONS(2266),
    [anon_sym_SQUOTE] = ACTIONS(2268),
    [anon_sym_async] = ACTIONS(2268),
    [anon_sym_break] = ACTIONS(2268),
    [anon_sym_const] = ACTIONS(2268),
    [anon_sym_continue] = ACTIONS(2268),
    [anon_sym_default] = ACTIONS(2268),
    [anon_sym_enum] = ACTIONS(2268),
    [anon_sym_fn] = ACTIONS(2268),
    [anon_sym_for] = ACTIONS(2268),
    [anon_sym_if] = ACTIONS(2268),
    [anon_sym_impl] = ACTIONS(2268),
    [anon_sym_let] = ACTIONS(2268),
    [anon_sym_loop] = ACTIONS(2268),
    [anon_sym_match] = ACTIONS(2268),
    [anon_sym_mod] = ACTIONS(2268),
    [anon_sym_pub] = ACTIONS(2268),
    [anon_sym_return] = ACTIONS(2268),
    [anon_sym_static] = ACTIONS(2268),
    [anon_sym_struct] = ACTIONS(2268),
    [anon_sym_trait] = ACTIONS(2268),
    [anon_sym_type] = ACTIONS(2268),
    [anon_sym_union] = ACTIONS(2268),
    [anon_sym_unsafe] = ACTIONS(2268),
    [anon_sym_use] = ACTIONS(2268),
    [anon_sym_while] = ACTIONS(2268),
    [anon_sym_extern] = ACTIONS(2268),
    [anon_sym_yield] = ACTIONS(2268),
    [anon_sym_move] = ACTIONS(2268),
    [anon_sym_try] = ACTIONS(2268),
    [sym_integer_literal] = ACTIONS(2266),
    [aux_sym_string_literal_token1] = ACTIONS(2266),
    [sym_char_literal] = ACTIONS(2266),
    [anon_sym_true] = ACTIONS(2268),
    [anon_sym_false] = ACTIONS(2268),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2268),
    [sym_super] = ACTIONS(2268),
    [sym_crate] = ACTIONS(2268),
    [sym_metavariable] = ACTIONS(2266),
    [sym__raw_string_literal_start] = ACTIONS(2266),
    [sym_float_literal] = ACTIONS(2266),
  },
  [631] = {
    [sym_line_comment] = STATE(631),
    [sym_block_comment] = STATE(631),
    [ts_builtin_sym_end] = ACTIONS(2270),
    [sym_identifier] = ACTIONS(2272),
    [anon_sym_SEMI] = ACTIONS(2270),
    [anon_sym_macro_rules_BANG] = ACTIONS(2270),
    [anon_sym_LPAREN] = ACTIONS(2270),
    [anon_sym_LBRACK] = ACTIONS(2270),
    [anon_sym_LBRACE] = ACTIONS(2270),
    [anon_sym_RBRACE] = ACTIONS(2270),
    [anon_sym_STAR] = ACTIONS(2270),
    [anon_sym_u8] = ACTIONS(2272),
    [anon_sym_i8] = ACTIONS(2272),
    [anon_sym_u16] = ACTIONS(2272),
    [anon_sym_i16] = ACTIONS(2272),
    [anon_sym_u32] = ACTIONS(2272),
    [anon_sym_i32] = ACTIONS(2272),
    [anon_sym_u64] = ACTIONS(2272),
    [anon_sym_i64] = ACTIONS(2272),
    [anon_sym_u128] = ACTIONS(2272),
    [anon_sym_i128] = ACTIONS(2272),
    [anon_sym_isize] = ACTIONS(2272),
    [anon_sym_usize] = ACTIONS(2272),
    [anon_sym_f32] = ACTIONS(2272),
    [anon_sym_f64] = ACTIONS(2272),
    [anon_sym_bool] = ACTIONS(2272),
    [anon_sym_str] = ACTIONS(2272),
    [anon_sym_char] = ACTIONS(2272),
    [anon_sym_DASH] = ACTIONS(2270),
    [anon_sym_BANG] = ACTIONS(2270),
    [anon_sym_AMP] = ACTIONS(2270),
    [anon_sym_PIPE] = ACTIONS(2270),
    [anon_sym_LT] = ACTIONS(2270),
    [anon_sym_DOT_DOT] = ACTIONS(2270),
    [anon_sym_COLON_COLON] = ACTIONS(2270),
    [anon_sym_POUND] = ACTIONS(2270),
    [anon_sym_SQUOTE] = ACTIONS(2272),
    [anon_sym_async] = ACTIONS(2272),
    [anon_sym_break] = ACTIONS(2272),
    [anon_sym_const] = ACTIONS(2272),
    [anon_sym_continue] = ACTIONS(2272),
    [anon_sym_default] = ACTIONS(2272),
    [anon_sym_enum] = ACTIONS(2272),
    [anon_sym_fn] = ACTIONS(2272),
    [anon_sym_for] = ACTIONS(2272),
    [anon_sym_if] = ACTIONS(2272),
    [anon_sym_impl] = ACTIONS(2272),
    [anon_sym_let] = ACTIONS(2272),
    [anon_sym_loop] = ACTIONS(2272),
    [anon_sym_match] = ACTIONS(2272),
    [anon_sym_mod] = ACTIONS(2272),
    [anon_sym_pub] = ACTIONS(2272),
    [anon_sym_return] = ACTIONS(2272),
    [anon_sym_static] = ACTIONS(2272),
    [anon_sym_struct] = ACTIONS(2272),
    [anon_sym_trait] = ACTIONS(2272),
    [anon_sym_type] = ACTIONS(2272),
    [anon_sym_union] = ACTIONS(2272),
    [anon_sym_unsafe] = ACTIONS(2272),
    [anon_sym_use] = ACTIONS(2272),
    [anon_sym_while] = ACTIONS(2272),
    [anon_sym_extern] = ACTIONS(2272),
    [anon_sym_yield] = ACTIONS(2272),
    [anon_sym_move] = ACTIONS(2272),
    [anon_sym_try] = ACTIONS(2272),
    [sym_integer_literal] = ACTIONS(2270),
    [aux_sym_string_literal_token1] = ACTIONS(2270),
    [sym_char_literal] = ACTIONS(2270),
    [anon_sym_true] = ACTIONS(2272),
    [anon_sym_false] = ACTIONS(2272),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2272),
    [sym_super] = ACTIONS(2272),
    [sym_crate] = ACTIONS(2272),
    [sym_metavariable] = ACTIONS(2270),
    [sym__raw_string_literal_start] = ACTIONS(2270),
    [sym_float_literal] = ACTIONS(2270),
  },
  [632] = {
    [sym_line_comment] = STATE(632),
    [sym_block_comment] = STATE(632),
    [ts_builtin_sym_end] = ACTIONS(2274),
    [sym_identifier] = ACTIONS(2276),
    [anon_sym_SEMI] = ACTIONS(2274),
    [anon_sym_macro_rules_BANG] = ACTIONS(2274),
    [anon_sym_LPAREN] = ACTIONS(2274),
    [anon_sym_LBRACK] = ACTIONS(2274),
    [anon_sym_LBRACE] = ACTIONS(2274),
    [anon_sym_RBRACE] = ACTIONS(2274),
    [anon_sym_STAR] = ACTIONS(2274),
    [anon_sym_u8] = ACTIONS(2276),
    [anon_sym_i8] = ACTIONS(2276),
    [anon_sym_u16] = ACTIONS(2276),
    [anon_sym_i16] = ACTIONS(2276),
    [anon_sym_u32] = ACTIONS(2276),
    [anon_sym_i32] = ACTIONS(2276),
    [anon_sym_u64] = ACTIONS(2276),
    [anon_sym_i64] = ACTIONS(2276),
    [anon_sym_u128] = ACTIONS(2276),
    [anon_sym_i128] = ACTIONS(2276),
    [anon_sym_isize] = ACTIONS(2276),
    [anon_sym_usize] = ACTIONS(2276),
    [anon_sym_f32] = ACTIONS(2276),
    [anon_sym_f64] = ACTIONS(2276),
    [anon_sym_bool] = ACTIONS(2276),
    [anon_sym_str] = ACTIONS(2276),
    [anon_sym_char] = ACTIONS(2276),
    [anon_sym_DASH] = ACTIONS(2274),
    [anon_sym_BANG] = ACTIONS(2274),
    [anon_sym_AMP] = ACTIONS(2274),
    [anon_sym_PIPE] = ACTIONS(2274),
    [anon_sym_LT] = ACTIONS(2274),
    [anon_sym_DOT_DOT] = ACTIONS(2274),
    [anon_sym_COLON_COLON] = ACTIONS(2274),
    [anon_sym_POUND] = ACTIONS(2274),
    [anon_sym_SQUOTE] = ACTIONS(2276),
    [anon_sym_async] = ACTIONS(2276),
    [anon_sym_break] = ACTIONS(2276),
    [anon_sym_const] = ACTIONS(2276),
    [anon_sym_continue] = ACTIONS(2276),
    [anon_sym_default] = ACTIONS(2276),
    [anon_sym_enum] = ACTIONS(2276),
    [anon_sym_fn] = ACTIONS(2276),
    [anon_sym_for] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(2276),
    [anon_sym_impl] = ACTIONS(2276),
    [anon_sym_let] = ACTIONS(2276),
    [anon_sym_loop] = ACTIONS(2276),
    [anon_sym_match] = ACTIONS(2276),
    [anon_sym_mod] = ACTIONS(2276),
    [anon_sym_pub] = ACTIONS(2276),
    [anon_sym_return] = ACTIONS(2276),
    [anon_sym_static] = ACTIONS(2276),
    [anon_sym_struct] = ACTIONS(2276),
    [anon_sym_trait] = ACTIONS(2276),
    [anon_sym_type] = ACTIONS(2276),
    [anon_sym_union] = ACTIONS(2276),
    [anon_sym_unsafe] = ACTIONS(2276),
    [anon_sym_use] = ACTIONS(2276),
    [anon_sym_while] = ACTIONS(2276),
    [anon_sym_extern] = ACTIONS(2276),
    [anon_sym_yield] = ACTIONS(2276),
    [anon_sym_move] = ACTIONS(2276),
    [anon_sym_try] = ACTIONS(2276),
    [sym_integer_literal] = ACTIONS(2274),
    [aux_sym_string_literal_token1] = ACTIONS(2274),
    [sym_char_literal] = ACTIONS(2274),
    [anon_sym_true] = ACTIONS(2276),
    [anon_sym_false] = ACTIONS(2276),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2276),
    [sym_super] = ACTIONS(2276),
    [sym_crate] = ACTIONS(2276),
    [sym_metavariable] = ACTIONS(2274),
    [sym__raw_string_literal_start] = ACTIONS(2274),
    [sym_float_literal] = ACTIONS(2274),
  },
  [633] = {
    [sym_line_comment] = STATE(633),
    [sym_block_comment] = STATE(633),
    [ts_builtin_sym_end] = ACTIONS(2278),
    [sym_identifier] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2278),
    [anon_sym_macro_rules_BANG] = ACTIONS(2278),
    [anon_sym_LPAREN] = ACTIONS(2278),
    [anon_sym_LBRACK] = ACTIONS(2278),
    [anon_sym_LBRACE] = ACTIONS(2278),
    [anon_sym_RBRACE] = ACTIONS(2278),
    [anon_sym_STAR] = ACTIONS(2278),
    [anon_sym_u8] = ACTIONS(2280),
    [anon_sym_i8] = ACTIONS(2280),
    [anon_sym_u16] = ACTIONS(2280),
    [anon_sym_i16] = ACTIONS(2280),
    [anon_sym_u32] = ACTIONS(2280),
    [anon_sym_i32] = ACTIONS(2280),
    [anon_sym_u64] = ACTIONS(2280),
    [anon_sym_i64] = ACTIONS(2280),
    [anon_sym_u128] = ACTIONS(2280),
    [anon_sym_i128] = ACTIONS(2280),
    [anon_sym_isize] = ACTIONS(2280),
    [anon_sym_usize] = ACTIONS(2280),
    [anon_sym_f32] = ACTIONS(2280),
    [anon_sym_f64] = ACTIONS(2280),
    [anon_sym_bool] = ACTIONS(2280),
    [anon_sym_str] = ACTIONS(2280),
    [anon_sym_char] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2278),
    [anon_sym_BANG] = ACTIONS(2278),
    [anon_sym_AMP] = ACTIONS(2278),
    [anon_sym_PIPE] = ACTIONS(2278),
    [anon_sym_LT] = ACTIONS(2278),
    [anon_sym_DOT_DOT] = ACTIONS(2278),
    [anon_sym_COLON_COLON] = ACTIONS(2278),
    [anon_sym_POUND] = ACTIONS(2278),
    [anon_sym_SQUOTE] = ACTIONS(2280),
    [anon_sym_async] = ACTIONS(2280),
    [anon_sym_break] = ACTIONS(2280),
    [anon_sym_const] = ACTIONS(2280),
    [anon_sym_continue] = ACTIONS(2280),
    [anon_sym_default] = ACTIONS(2280),
    [anon_sym_enum] = ACTIONS(2280),
    [anon_sym_fn] = ACTIONS(2280),
    [anon_sym_for] = ACTIONS(2280),
    [anon_sym_if] = ACTIONS(2280),
    [anon_sym_impl] = ACTIONS(2280),
    [anon_sym_let] = ACTIONS(2280),
    [anon_sym_loop] = ACTIONS(2280),
    [anon_sym_match] = ACTIONS(2280),
    [anon_sym_mod] = ACTIONS(2280),
    [anon_sym_pub] = ACTIONS(2280),
    [anon_sym_return] = ACTIONS(2280),
    [anon_sym_static] = ACTIONS(2280),
    [anon_sym_struct] = ACTIONS(2280),
    [anon_sym_trait] = ACTIONS(2280),
    [anon_sym_type] = ACTIONS(2280),
    [anon_sym_union] = ACTIONS(2280),
    [anon_sym_unsafe] = ACTIONS(2280),
    [anon_sym_use] = ACTIONS(2280),
    [anon_sym_while] = ACTIONS(2280),
    [anon_sym_extern] = ACTIONS(2280),
    [anon_sym_yield] = ACTIONS(2280),
    [anon_sym_move] = ACTIONS(2280),
    [anon_sym_try] = ACTIONS(2280),
    [sym_integer_literal] = ACTIONS(2278),
    [aux_sym_string_literal_token1] = ACTIONS(2278),
    [sym_char_literal] = ACTIONS(2278),
    [anon_sym_true] = ACTIONS(2280),
    [anon_sym_false] = ACTIONS(2280),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2280),
    [sym_super] = ACTIONS(2280),
    [sym_crate] = ACTIONS(2280),
    [sym_metavariable] = ACTIONS(2278),
    [sym__raw_string_literal_start] = ACTIONS(2278),
    [sym_float_literal] = ACTIONS(2278),
  },
  [634] = {
    [sym_line_comment] = STATE(634),
    [sym_block_comment] = STATE(634),
    [ts_builtin_sym_end] = ACTIONS(2282),
    [sym_identifier] = ACTIONS(2284),
    [anon_sym_SEMI] = ACTIONS(2282),
    [anon_sym_macro_rules_BANG] = ACTIONS(2282),
    [anon_sym_LPAREN] = ACTIONS(2282),
    [anon_sym_LBRACK] = ACTIONS(2282),
    [anon_sym_LBRACE] = ACTIONS(2282),
    [anon_sym_RBRACE] = ACTIONS(2282),
    [anon_sym_STAR] = ACTIONS(2282),
    [anon_sym_u8] = ACTIONS(2284),
    [anon_sym_i8] = ACTIONS(2284),
    [anon_sym_u16] = ACTIONS(2284),
    [anon_sym_i16] = ACTIONS(2284),
    [anon_sym_u32] = ACTIONS(2284),
    [anon_sym_i32] = ACTIONS(2284),
    [anon_sym_u64] = ACTIONS(2284),
    [anon_sym_i64] = ACTIONS(2284),
    [anon_sym_u128] = ACTIONS(2284),
    [anon_sym_i128] = ACTIONS(2284),
    [anon_sym_isize] = ACTIONS(2284),
    [anon_sym_usize] = ACTIONS(2284),
    [anon_sym_f32] = ACTIONS(2284),
    [anon_sym_f64] = ACTIONS(2284),
    [anon_sym_bool] = ACTIONS(2284),
    [anon_sym_str] = ACTIONS(2284),
    [anon_sym_char] = ACTIONS(2284),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_BANG] = ACTIONS(2282),
    [anon_sym_AMP] = ACTIONS(2282),
    [anon_sym_PIPE] = ACTIONS(2282),
    [anon_sym_LT] = ACTIONS(2282),
    [anon_sym_DOT_DOT] = ACTIONS(2282),
    [anon_sym_COLON_COLON] = ACTIONS(2282),
    [anon_sym_POUND] = ACTIONS(2282),
    [anon_sym_SQUOTE] = ACTIONS(2284),
    [anon_sym_async] = ACTIONS(2284),
    [anon_sym_break] = ACTIONS(2284),
    [anon_sym_const] = ACTIONS(2284),
    [anon_sym_continue] = ACTIONS(2284),
    [anon_sym_default] = ACTIONS(2284),
    [anon_sym_enum] = ACTIONS(2284),
    [anon_sym_fn] = ACTIONS(2284),
    [anon_sym_for] = ACTIONS(2284),
    [anon_sym_if] = ACTIONS(2284),
    [anon_sym_impl] = ACTIONS(2284),
    [anon_sym_let] = ACTIONS(2284),
    [anon_sym_loop] = ACTIONS(2284),
    [anon_sym_match] = ACTIONS(2284),
    [anon_sym_mod] = ACTIONS(2284),
    [anon_sym_pub] = ACTIONS(2284),
    [anon_sym_return] = ACTIONS(2284),
    [anon_sym_static] = ACTIONS(2284),
    [anon_sym_struct] = ACTIONS(2284),
    [anon_sym_trait] = ACTIONS(2284),
    [anon_sym_type] = ACTIONS(2284),
    [anon_sym_union] = ACTIONS(2284),
    [anon_sym_unsafe] = ACTIONS(2284),
    [anon_sym_use] = ACTIONS(2284),
    [anon_sym_while] = ACTIONS(2284),
    [anon_sym_extern] = ACTIONS(2284),
    [anon_sym_yield] = ACTIONS(2284),
    [anon_sym_move] = ACTIONS(2284),
    [anon_sym_try] = ACTIONS(2284),
    [sym_integer_literal] = ACTIONS(2282),
    [aux_sym_string_literal_token1] = ACTIONS(2282),
    [sym_char_literal] = ACTIONS(2282),
    [anon_sym_true] = ACTIONS(2284),
    [anon_sym_false] = ACTIONS(2284),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2284),
    [sym_super] = ACTIONS(2284),
    [sym_crate] = ACTIONS(2284),
    [sym_metavariable] = ACTIONS(2282),
    [sym__raw_string_literal_start] = ACTIONS(2282),
    [sym_float_literal] = ACTIONS(2282),
  },
  [635] = {
    [sym_line_comment] = STATE(635),
    [sym_block_comment] = STATE(635),
    [ts_builtin_sym_end] = ACTIONS(2286),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2286),
    [anon_sym_macro_rules_BANG] = ACTIONS(2286),
    [anon_sym_LPAREN] = ACTIONS(2286),
    [anon_sym_LBRACK] = ACTIONS(2286),
    [anon_sym_LBRACE] = ACTIONS(2286),
    [anon_sym_RBRACE] = ACTIONS(2286),
    [anon_sym_STAR] = ACTIONS(2286),
    [anon_sym_u8] = ACTIONS(2288),
    [anon_sym_i8] = ACTIONS(2288),
    [anon_sym_u16] = ACTIONS(2288),
    [anon_sym_i16] = ACTIONS(2288),
    [anon_sym_u32] = ACTIONS(2288),
    [anon_sym_i32] = ACTIONS(2288),
    [anon_sym_u64] = ACTIONS(2288),
    [anon_sym_i64] = ACTIONS(2288),
    [anon_sym_u128] = ACTIONS(2288),
    [anon_sym_i128] = ACTIONS(2288),
    [anon_sym_isize] = ACTIONS(2288),
    [anon_sym_usize] = ACTIONS(2288),
    [anon_sym_f32] = ACTIONS(2288),
    [anon_sym_f64] = ACTIONS(2288),
    [anon_sym_bool] = ACTIONS(2288),
    [anon_sym_str] = ACTIONS(2288),
    [anon_sym_char] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2286),
    [anon_sym_BANG] = ACTIONS(2286),
    [anon_sym_AMP] = ACTIONS(2286),
    [anon_sym_PIPE] = ACTIONS(2286),
    [anon_sym_LT] = ACTIONS(2286),
    [anon_sym_DOT_DOT] = ACTIONS(2286),
    [anon_sym_COLON_COLON] = ACTIONS(2286),
    [anon_sym_POUND] = ACTIONS(2286),
    [anon_sym_SQUOTE] = ACTIONS(2288),
    [anon_sym_async] = ACTIONS(2288),
    [anon_sym_break] = ACTIONS(2288),
    [anon_sym_const] = ACTIONS(2288),
    [anon_sym_continue] = ACTIONS(2288),
    [anon_sym_default] = ACTIONS(2288),
    [anon_sym_enum] = ACTIONS(2288),
    [anon_sym_fn] = ACTIONS(2288),
    [anon_sym_for] = ACTIONS(2288),
    [anon_sym_if] = ACTIONS(2288),
    [anon_sym_impl] = ACTIONS(2288),
    [anon_sym_let] = ACTIONS(2288),
    [anon_sym_loop] = ACTIONS(2288),
    [anon_sym_match] = ACTIONS(2288),
    [anon_sym_mod] = ACTIONS(2288),
    [anon_sym_pub] = ACTIONS(2288),
    [anon_sym_return] = ACTIONS(2288),
    [anon_sym_static] = ACTIONS(2288),
    [anon_sym_struct] = ACTIONS(2288),
    [anon_sym_trait] = ACTIONS(2288),
    [anon_sym_type] = ACTIONS(2288),
    [anon_sym_union] = ACTIONS(2288),
    [anon_sym_unsafe] = ACTIONS(2288),
    [anon_sym_use] = ACTIONS(2288),
    [anon_sym_while] = ACTIONS(2288),
    [anon_sym_extern] = ACTIONS(2288),
    [anon_sym_yield] = ACTIONS(2288),
    [anon_sym_move] = ACTIONS(2288),
    [anon_sym_try] = ACTIONS(2288),
    [sym_integer_literal] = ACTIONS(2286),
    [aux_sym_string_literal_token1] = ACTIONS(2286),
    [sym_char_literal] = ACTIONS(2286),
    [anon_sym_true] = ACTIONS(2288),
    [anon_sym_false] = ACTIONS(2288),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2288),
    [sym_super] = ACTIONS(2288),
    [sym_crate] = ACTIONS(2288),
    [sym_metavariable] = ACTIONS(2286),
    [sym__raw_string_literal_start] = ACTIONS(2286),
    [sym_float_literal] = ACTIONS(2286),
  },
  [636] = {
    [sym_line_comment] = STATE(636),
    [sym_block_comment] = STATE(636),
    [ts_builtin_sym_end] = ACTIONS(2290),
    [sym_identifier] = ACTIONS(2292),
    [anon_sym_SEMI] = ACTIONS(2290),
    [anon_sym_macro_rules_BANG] = ACTIONS(2290),
    [anon_sym_LPAREN] = ACTIONS(2290),
    [anon_sym_LBRACK] = ACTIONS(2290),
    [anon_sym_LBRACE] = ACTIONS(2290),
    [anon_sym_RBRACE] = ACTIONS(2290),
    [anon_sym_STAR] = ACTIONS(2290),
    [anon_sym_u8] = ACTIONS(2292),
    [anon_sym_i8] = ACTIONS(2292),
    [anon_sym_u16] = ACTIONS(2292),
    [anon_sym_i16] = ACTIONS(2292),
    [anon_sym_u32] = ACTIONS(2292),
    [anon_sym_i32] = ACTIONS(2292),
    [anon_sym_u64] = ACTIONS(2292),
    [anon_sym_i64] = ACTIONS(2292),
    [anon_sym_u128] = ACTIONS(2292),
    [anon_sym_i128] = ACTIONS(2292),
    [anon_sym_isize] = ACTIONS(2292),
    [anon_sym_usize] = ACTIONS(2292),
    [anon_sym_f32] = ACTIONS(2292),
    [anon_sym_f64] = ACTIONS(2292),
    [anon_sym_bool] = ACTIONS(2292),
    [anon_sym_str] = ACTIONS(2292),
    [anon_sym_char] = ACTIONS(2292),
    [anon_sym_DASH] = ACTIONS(2290),
    [anon_sym_BANG] = ACTIONS(2290),
    [anon_sym_AMP] = ACTIONS(2290),
    [anon_sym_PIPE] = ACTIONS(2290),
    [anon_sym_LT] = ACTIONS(2290),
    [anon_sym_DOT_DOT] = ACTIONS(2290),
    [anon_sym_COLON_COLON] = ACTIONS(2290),
    [anon_sym_POUND] = ACTIONS(2290),
    [anon_sym_SQUOTE] = ACTIONS(2292),
    [anon_sym_async] = ACTIONS(2292),
    [anon_sym_break] = ACTIONS(2292),
    [anon_sym_const] = ACTIONS(2292),
    [anon_sym_continue] = ACTIONS(2292),
    [anon_sym_default] = ACTIONS(2292),
    [anon_sym_enum] = ACTIONS(2292),
    [anon_sym_fn] = ACTIONS(2292),
    [anon_sym_for] = ACTIONS(2292),
    [anon_sym_if] = ACTIONS(2292),
    [anon_sym_impl] = ACTIONS(2292),
    [anon_sym_let] = ACTIONS(2292),
    [anon_sym_loop] = ACTIONS(2292),
    [anon_sym_match] = ACTIONS(2292),
    [anon_sym_mod] = ACTIONS(2292),
    [anon_sym_pub] = ACTIONS(2292),
    [anon_sym_return] = ACTIONS(2292),
    [anon_sym_static] = ACTIONS(2292),
    [anon_sym_struct] = ACTIONS(2292),
    [anon_sym_trait] = ACTIONS(2292),
    [anon_sym_type] = ACTIONS(2292),
    [anon_sym_union] = ACTIONS(2292),
    [anon_sym_unsafe] = ACTIONS(2292),
    [anon_sym_use] = ACTIONS(2292),
    [anon_sym_while] = ACTIONS(2292),
    [anon_sym_extern] = ACTIONS(2292),
    [anon_sym_yield] = ACTIONS(2292),
    [anon_sym_move] = ACTIONS(2292),
    [anon_sym_try] = ACTIONS(2292),
    [sym_integer_literal] = ACTIONS(2290),
    [aux_sym_string_literal_token1] = ACTIONS(2290),
    [sym_char_literal] = ACTIONS(2290),
    [anon_sym_true] = ACTIONS(2292),
    [anon_sym_false] = ACTIONS(2292),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2292),
    [sym_super] = ACTIONS(2292),
    [sym_crate] = ACTIONS(2292),
    [sym_metavariable] = ACTIONS(2290),
    [sym__raw_string_literal_start] = ACTIONS(2290),
    [sym_float_literal] = ACTIONS(2290),
  },
  [637] = {
    [sym_line_comment] = STATE(637),
    [sym_block_comment] = STATE(637),
    [ts_builtin_sym_end] = ACTIONS(2294),
    [sym_identifier] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2294),
    [anon_sym_macro_rules_BANG] = ACTIONS(2294),
    [anon_sym_LPAREN] = ACTIONS(2294),
    [anon_sym_LBRACK] = ACTIONS(2294),
    [anon_sym_LBRACE] = ACTIONS(2294),
    [anon_sym_RBRACE] = ACTIONS(2294),
    [anon_sym_STAR] = ACTIONS(2294),
    [anon_sym_u8] = ACTIONS(2296),
    [anon_sym_i8] = ACTIONS(2296),
    [anon_sym_u16] = ACTIONS(2296),
    [anon_sym_i16] = ACTIONS(2296),
    [anon_sym_u32] = ACTIONS(2296),
    [anon_sym_i32] = ACTIONS(2296),
    [anon_sym_u64] = ACTIONS(2296),
    [anon_sym_i64] = ACTIONS(2296),
    [anon_sym_u128] = ACTIONS(2296),
    [anon_sym_i128] = ACTIONS(2296),
    [anon_sym_isize] = ACTIONS(2296),
    [anon_sym_usize] = ACTIONS(2296),
    [anon_sym_f32] = ACTIONS(2296),
    [anon_sym_f64] = ACTIONS(2296),
    [anon_sym_bool] = ACTIONS(2296),
    [anon_sym_str] = ACTIONS(2296),
    [anon_sym_char] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_BANG] = ACTIONS(2294),
    [anon_sym_AMP] = ACTIONS(2294),
    [anon_sym_PIPE] = ACTIONS(2294),
    [anon_sym_LT] = ACTIONS(2294),
    [anon_sym_DOT_DOT] = ACTIONS(2294),
    [anon_sym_COLON_COLON] = ACTIONS(2294),
    [anon_sym_POUND] = ACTIONS(2294),
    [anon_sym_SQUOTE] = ACTIONS(2296),
    [anon_sym_async] = ACTIONS(2296),
    [anon_sym_break] = ACTIONS(2296),
    [anon_sym_const] = ACTIONS(2296),
    [anon_sym_continue] = ACTIONS(2296),
    [anon_sym_default] = ACTIONS(2296),
    [anon_sym_enum] = ACTIONS(2296),
    [anon_sym_fn] = ACTIONS(2296),
    [anon_sym_for] = ACTIONS(2296),
    [anon_sym_if] = ACTIONS(2296),
    [anon_sym_impl] = ACTIONS(2296),
    [anon_sym_let] = ACTIONS(2296),
    [anon_sym_loop] = ACTIONS(2296),
    [anon_sym_match] = ACTIONS(2296),
    [anon_sym_mod] = ACTIONS(2296),
    [anon_sym_pub] = ACTIONS(2296),
    [anon_sym_return] = ACTIONS(2296),
    [anon_sym_static] = ACTIONS(2296),
    [anon_sym_struct] = ACTIONS(2296),
    [anon_sym_trait] = ACTIONS(2296),
    [anon_sym_type] = ACTIONS(2296),
    [anon_sym_union] = ACTIONS(2296),
    [anon_sym_unsafe] = ACTIONS(2296),
    [anon_sym_use] = ACTIONS(2296),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_extern] = ACTIONS(2296),
    [anon_sym_yield] = ACTIONS(2296),
    [anon_sym_move] = ACTIONS(2296),
    [anon_sym_try] = ACTIONS(2296),
    [sym_integer_literal] = ACTIONS(2294),
    [aux_sym_string_literal_token1] = ACTIONS(2294),
    [sym_char_literal] = ACTIONS(2294),
    [anon_sym_true] = ACTIONS(2296),
    [anon_sym_false] = ACTIONS(2296),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2296),
    [sym_super] = ACTIONS(2296),
    [sym_crate] = ACTIONS(2296),
    [sym_metavariable] = ACTIONS(2294),
    [sym__raw_string_literal_start] = ACTIONS(2294),
    [sym_float_literal] = ACTIONS(2294),
  },
  [638] = {
    [sym_line_comment] = STATE(638),
    [sym_block_comment] = STATE(638),
    [ts_builtin_sym_end] = ACTIONS(2298),
    [sym_identifier] = ACTIONS(2300),
    [anon_sym_SEMI] = ACTIONS(2298),
    [anon_sym_macro_rules_BANG] = ACTIONS(2298),
    [anon_sym_LPAREN] = ACTIONS(2298),
    [anon_sym_LBRACK] = ACTIONS(2298),
    [anon_sym_LBRACE] = ACTIONS(2298),
    [anon_sym_RBRACE] = ACTIONS(2298),
    [anon_sym_STAR] = ACTIONS(2298),
    [anon_sym_u8] = ACTIONS(2300),
    [anon_sym_i8] = ACTIONS(2300),
    [anon_sym_u16] = ACTIONS(2300),
    [anon_sym_i16] = ACTIONS(2300),
    [anon_sym_u32] = ACTIONS(2300),
    [anon_sym_i32] = ACTIONS(2300),
    [anon_sym_u64] = ACTIONS(2300),
    [anon_sym_i64] = ACTIONS(2300),
    [anon_sym_u128] = ACTIONS(2300),
    [anon_sym_i128] = ACTIONS(2300),
    [anon_sym_isize] = ACTIONS(2300),
    [anon_sym_usize] = ACTIONS(2300),
    [anon_sym_f32] = ACTIONS(2300),
    [anon_sym_f64] = ACTIONS(2300),
    [anon_sym_bool] = ACTIONS(2300),
    [anon_sym_str] = ACTIONS(2300),
    [anon_sym_char] = ACTIONS(2300),
    [anon_sym_DASH] = ACTIONS(2298),
    [anon_sym_BANG] = ACTIONS(2298),
    [anon_sym_AMP] = ACTIONS(2298),
    [anon_sym_PIPE] = ACTIONS(2298),
    [anon_sym_LT] = ACTIONS(2298),
    [anon_sym_DOT_DOT] = ACTIONS(2298),
    [anon_sym_COLON_COLON] = ACTIONS(2298),
    [anon_sym_POUND] = ACTIONS(2298),
    [anon_sym_SQUOTE] = ACTIONS(2300),
    [anon_sym_async] = ACTIONS(2300),
    [anon_sym_break] = ACTIONS(2300),
    [anon_sym_const] = ACTIONS(2300),
    [anon_sym_continue] = ACTIONS(2300),
    [anon_sym_default] = ACTIONS(2300),
    [anon_sym_enum] = ACTIONS(2300),
    [anon_sym_fn] = ACTIONS(2300),
    [anon_sym_for] = ACTIONS(2300),
    [anon_sym_if] = ACTIONS(2300),
    [anon_sym_impl] = ACTIONS(2300),
    [anon_sym_let] = ACTIONS(2300),
    [anon_sym_loop] = ACTIONS(2300),
    [anon_sym_match] = ACTIONS(2300),
    [anon_sym_mod] = ACTIONS(2300),
    [anon_sym_pub] = ACTIONS(2300),
    [anon_sym_return] = ACTIONS(2300),
    [anon_sym_static] = ACTIONS(2300),
    [anon_sym_struct] = ACTIONS(2300),
    [anon_sym_trait] = ACTIONS(2300),
    [anon_sym_type] = ACTIONS(2300),
    [anon_sym_union] = ACTIONS(2300),
    [anon_sym_unsafe] = ACTIONS(2300),
    [anon_sym_use] = ACTIONS(2300),
    [anon_sym_while] = ACTIONS(2300),
    [anon_sym_extern] = ACTIONS(2300),
    [anon_sym_yield] = ACTIONS(2300),
    [anon_sym_move] = ACTIONS(2300),
    [anon_sym_try] = ACTIONS(2300),
    [sym_integer_literal] = ACTIONS(2298),
    [aux_sym_string_literal_token1] = ACTIONS(2298),
    [sym_char_literal] = ACTIONS(2298),
    [anon_sym_true] = ACTIONS(2300),
    [anon_sym_false] = ACTIONS(2300),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2300),
    [sym_super] = ACTIONS(2300),
    [sym_crate] = ACTIONS(2300),
    [sym_metavariable] = ACTIONS(2298),
    [sym__raw_string_literal_start] = ACTIONS(2298),
    [sym_float_literal] = ACTIONS(2298),
  },
  [639] = {
    [sym_line_comment] = STATE(639),
    [sym_block_comment] = STATE(639),
    [ts_builtin_sym_end] = ACTIONS(2302),
    [sym_identifier] = ACTIONS(2304),
    [anon_sym_SEMI] = ACTIONS(2302),
    [anon_sym_macro_rules_BANG] = ACTIONS(2302),
    [anon_sym_LPAREN] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2302),
    [anon_sym_RBRACE] = ACTIONS(2302),
    [anon_sym_STAR] = ACTIONS(2302),
    [anon_sym_u8] = ACTIONS(2304),
    [anon_sym_i8] = ACTIONS(2304),
    [anon_sym_u16] = ACTIONS(2304),
    [anon_sym_i16] = ACTIONS(2304),
    [anon_sym_u32] = ACTIONS(2304),
    [anon_sym_i32] = ACTIONS(2304),
    [anon_sym_u64] = ACTIONS(2304),
    [anon_sym_i64] = ACTIONS(2304),
    [anon_sym_u128] = ACTIONS(2304),
    [anon_sym_i128] = ACTIONS(2304),
    [anon_sym_isize] = ACTIONS(2304),
    [anon_sym_usize] = ACTIONS(2304),
    [anon_sym_f32] = ACTIONS(2304),
    [anon_sym_f64] = ACTIONS(2304),
    [anon_sym_bool] = ACTIONS(2304),
    [anon_sym_str] = ACTIONS(2304),
    [anon_sym_char] = ACTIONS(2304),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_BANG] = ACTIONS(2302),
    [anon_sym_AMP] = ACTIONS(2302),
    [anon_sym_PIPE] = ACTIONS(2302),
    [anon_sym_LT] = ACTIONS(2302),
    [anon_sym_DOT_DOT] = ACTIONS(2302),
    [anon_sym_COLON_COLON] = ACTIONS(2302),
    [anon_sym_POUND] = ACTIONS(2302),
    [anon_sym_SQUOTE] = ACTIONS(2304),
    [anon_sym_async] = ACTIONS(2304),
    [anon_sym_break] = ACTIONS(2304),
    [anon_sym_const] = ACTIONS(2304),
    [anon_sym_continue] = ACTIONS(2304),
    [anon_sym_default] = ACTIONS(2304),
    [anon_sym_enum] = ACTIONS(2304),
    [anon_sym_fn] = ACTIONS(2304),
    [anon_sym_for] = ACTIONS(2304),
    [anon_sym_if] = ACTIONS(2304),
    [anon_sym_impl] = ACTIONS(2304),
    [anon_sym_let] = ACTIONS(2304),
    [anon_sym_loop] = ACTIONS(2304),
    [anon_sym_match] = ACTIONS(2304),
    [anon_sym_mod] = ACTIONS(2304),
    [anon_sym_pub] = ACTIONS(2304),
    [anon_sym_return] = ACTIONS(2304),
    [anon_sym_static] = ACTIONS(2304),
    [anon_sym_struct] = ACTIONS(2304),
    [anon_sym_trait] = ACTIONS(2304),
    [anon_sym_type] = ACTIONS(2304),
    [anon_sym_union] = ACTIONS(2304),
    [anon_sym_unsafe] = ACTIONS(2304),
    [anon_sym_use] = ACTIONS(2304),
    [anon_sym_while] = ACTIONS(2304),
    [anon_sym_extern] = ACTIONS(2304),
    [anon_sym_yield] = ACTIONS(2304),
    [anon_sym_move] = ACTIONS(2304),
    [anon_sym_try] = ACTIONS(2304),
    [sym_integer_literal] = ACTIONS(2302),
    [aux_sym_string_literal_token1] = ACTIONS(2302),
    [sym_char_literal] = ACTIONS(2302),
    [anon_sym_true] = ACTIONS(2304),
    [anon_sym_false] = ACTIONS(2304),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2304),
    [sym_super] = ACTIONS(2304),
    [sym_crate] = ACTIONS(2304),
    [sym_metavariable] = ACTIONS(2302),
    [sym__raw_string_literal_start] = ACTIONS(2302),
    [sym_float_literal] = ACTIONS(2302),
  },
  [640] = {
    [sym_line_comment] = STATE(640),
    [sym_block_comment] = STATE(640),
    [ts_builtin_sym_end] = ACTIONS(2306),
    [sym_identifier] = ACTIONS(2308),
    [anon_sym_SEMI] = ACTIONS(2306),
    [anon_sym_macro_rules_BANG] = ACTIONS(2306),
    [anon_sym_LPAREN] = ACTIONS(2306),
    [anon_sym_LBRACK] = ACTIONS(2306),
    [anon_sym_LBRACE] = ACTIONS(2306),
    [anon_sym_RBRACE] = ACTIONS(2306),
    [anon_sym_STAR] = ACTIONS(2306),
    [anon_sym_u8] = ACTIONS(2308),
    [anon_sym_i8] = ACTIONS(2308),
    [anon_sym_u16] = ACTIONS(2308),
    [anon_sym_i16] = ACTIONS(2308),
    [anon_sym_u32] = ACTIONS(2308),
    [anon_sym_i32] = ACTIONS(2308),
    [anon_sym_u64] = ACTIONS(2308),
    [anon_sym_i64] = ACTIONS(2308),
    [anon_sym_u128] = ACTIONS(2308),
    [anon_sym_i128] = ACTIONS(2308),
    [anon_sym_isize] = ACTIONS(2308),
    [anon_sym_usize] = ACTIONS(2308),
    [anon_sym_f32] = ACTIONS(2308),
    [anon_sym_f64] = ACTIONS(2308),
    [anon_sym_bool] = ACTIONS(2308),
    [anon_sym_str] = ACTIONS(2308),
    [anon_sym_char] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_BANG] = ACTIONS(2306),
    [anon_sym_AMP] = ACTIONS(2306),
    [anon_sym_PIPE] = ACTIONS(2306),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_DOT_DOT] = ACTIONS(2306),
    [anon_sym_COLON_COLON] = ACTIONS(2306),
    [anon_sym_POUND] = ACTIONS(2306),
    [anon_sym_SQUOTE] = ACTIONS(2308),
    [anon_sym_async] = ACTIONS(2308),
    [anon_sym_break] = ACTIONS(2308),
    [anon_sym_const] = ACTIONS(2308),
    [anon_sym_continue] = ACTIONS(2308),
    [anon_sym_default] = ACTIONS(2308),
    [anon_sym_enum] = ACTIONS(2308),
    [anon_sym_fn] = ACTIONS(2308),
    [anon_sym_for] = ACTIONS(2308),
    [anon_sym_if] = ACTIONS(2308),
    [anon_sym_impl] = ACTIONS(2308),
    [anon_sym_let] = ACTIONS(2308),
    [anon_sym_loop] = ACTIONS(2308),
    [anon_sym_match] = ACTIONS(2308),
    [anon_sym_mod] = ACTIONS(2308),
    [anon_sym_pub] = ACTIONS(2308),
    [anon_sym_return] = ACTIONS(2308),
    [anon_sym_static] = ACTIONS(2308),
    [anon_sym_struct] = ACTIONS(2308),
    [anon_sym_trait] = ACTIONS(2308),
    [anon_sym_type] = ACTIONS(2308),
    [anon_sym_union] = ACTIONS(2308),
    [anon_sym_unsafe] = ACTIONS(2308),
    [anon_sym_use] = ACTIONS(2308),
    [anon_sym_while] = ACTIONS(2308),
    [anon_sym_extern] = ACTIONS(2308),
    [anon_sym_yield] = ACTIONS(2308),
    [anon_sym_move] = ACTIONS(2308),
    [anon_sym_try] = ACTIONS(2308),
    [sym_integer_literal] = ACTIONS(2306),
    [aux_sym_string_literal_token1] = ACTIONS(2306),
    [sym_char_literal] = ACTIONS(2306),
    [anon_sym_true] = ACTIONS(2308),
    [anon_sym_false] = ACTIONS(2308),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2308),
    [sym_super] = ACTIONS(2308),
    [sym_crate] = ACTIONS(2308),
    [sym_metavariable] = ACTIONS(2306),
    [sym__raw_string_literal_start] = ACTIONS(2306),
    [sym_float_literal] = ACTIONS(2306),
  },
  [641] = {
    [sym_line_comment] = STATE(641),
    [sym_block_comment] = STATE(641),
    [ts_builtin_sym_end] = ACTIONS(2310),
    [sym_identifier] = ACTIONS(2312),
    [anon_sym_SEMI] = ACTIONS(2310),
    [anon_sym_macro_rules_BANG] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2310),
    [anon_sym_LBRACK] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2310),
    [anon_sym_RBRACE] = ACTIONS(2310),
    [anon_sym_STAR] = ACTIONS(2310),
    [anon_sym_u8] = ACTIONS(2312),
    [anon_sym_i8] = ACTIONS(2312),
    [anon_sym_u16] = ACTIONS(2312),
    [anon_sym_i16] = ACTIONS(2312),
    [anon_sym_u32] = ACTIONS(2312),
    [anon_sym_i32] = ACTIONS(2312),
    [anon_sym_u64] = ACTIONS(2312),
    [anon_sym_i64] = ACTIONS(2312),
    [anon_sym_u128] = ACTIONS(2312),
    [anon_sym_i128] = ACTIONS(2312),
    [anon_sym_isize] = ACTIONS(2312),
    [anon_sym_usize] = ACTIONS(2312),
    [anon_sym_f32] = ACTIONS(2312),
    [anon_sym_f64] = ACTIONS(2312),
    [anon_sym_bool] = ACTIONS(2312),
    [anon_sym_str] = ACTIONS(2312),
    [anon_sym_char] = ACTIONS(2312),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_BANG] = ACTIONS(2310),
    [anon_sym_AMP] = ACTIONS(2310),
    [anon_sym_PIPE] = ACTIONS(2310),
    [anon_sym_LT] = ACTIONS(2310),
    [anon_sym_DOT_DOT] = ACTIONS(2310),
    [anon_sym_COLON_COLON] = ACTIONS(2310),
    [anon_sym_POUND] = ACTIONS(2310),
    [anon_sym_SQUOTE] = ACTIONS(2312),
    [anon_sym_async] = ACTIONS(2312),
    [anon_sym_break] = ACTIONS(2312),
    [anon_sym_const] = ACTIONS(2312),
    [anon_sym_continue] = ACTIONS(2312),
    [anon_sym_default] = ACTIONS(2312),
    [anon_sym_enum] = ACTIONS(2312),
    [anon_sym_fn] = ACTIONS(2312),
    [anon_sym_for] = ACTIONS(2312),
    [anon_sym_if] = ACTIONS(2312),
    [anon_sym_impl] = ACTIONS(2312),
    [anon_sym_let] = ACTIONS(2312),
    [anon_sym_loop] = ACTIONS(2312),
    [anon_sym_match] = ACTIONS(2312),
    [anon_sym_mod] = ACTIONS(2312),
    [anon_sym_pub] = ACTIONS(2312),
    [anon_sym_return] = ACTIONS(2312),
    [anon_sym_static] = ACTIONS(2312),
    [anon_sym_struct] = ACTIONS(2312),
    [anon_sym_trait] = ACTIONS(2312),
    [anon_sym_type] = ACTIONS(2312),
    [anon_sym_union] = ACTIONS(2312),
    [anon_sym_unsafe] = ACTIONS(2312),
    [anon_sym_use] = ACTIONS(2312),
    [anon_sym_while] = ACTIONS(2312),
    [anon_sym_extern] = ACTIONS(2312),
    [anon_sym_yield] = ACTIONS(2312),
    [anon_sym_move] = ACTIONS(2312),
    [anon_sym_try] = ACTIONS(2312),
    [sym_integer_literal] = ACTIONS(2310),
    [aux_sym_string_literal_token1] = ACTIONS(2310),
    [sym_char_literal] = ACTIONS(2310),
    [anon_sym_true] = ACTIONS(2312),
    [anon_sym_false] = ACTIONS(2312),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2312),
    [sym_super] = ACTIONS(2312),
    [sym_crate] = ACTIONS(2312),
    [sym_metavariable] = ACTIONS(2310),
    [sym__raw_string_literal_start] = ACTIONS(2310),
    [sym_float_literal] = ACTIONS(2310),
  },
  [642] = {
    [sym_line_comment] = STATE(642),
    [sym_block_comment] = STATE(642),
    [ts_builtin_sym_end] = ACTIONS(2314),
    [sym_identifier] = ACTIONS(2316),
    [anon_sym_SEMI] = ACTIONS(2314),
    [anon_sym_macro_rules_BANG] = ACTIONS(2314),
    [anon_sym_LPAREN] = ACTIONS(2314),
    [anon_sym_LBRACK] = ACTIONS(2314),
    [anon_sym_LBRACE] = ACTIONS(2314),
    [anon_sym_RBRACE] = ACTIONS(2314),
    [anon_sym_STAR] = ACTIONS(2314),
    [anon_sym_u8] = ACTIONS(2316),
    [anon_sym_i8] = ACTIONS(2316),
    [anon_sym_u16] = ACTIONS(2316),
    [anon_sym_i16] = ACTIONS(2316),
    [anon_sym_u32] = ACTIONS(2316),
    [anon_sym_i32] = ACTIONS(2316),
    [anon_sym_u64] = ACTIONS(2316),
    [anon_sym_i64] = ACTIONS(2316),
    [anon_sym_u128] = ACTIONS(2316),
    [anon_sym_i128] = ACTIONS(2316),
    [anon_sym_isize] = ACTIONS(2316),
    [anon_sym_usize] = ACTIONS(2316),
    [anon_sym_f32] = ACTIONS(2316),
    [anon_sym_f64] = ACTIONS(2316),
    [anon_sym_bool] = ACTIONS(2316),
    [anon_sym_str] = ACTIONS(2316),
    [anon_sym_char] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2314),
    [anon_sym_BANG] = ACTIONS(2314),
    [anon_sym_AMP] = ACTIONS(2314),
    [anon_sym_PIPE] = ACTIONS(2314),
    [anon_sym_LT] = ACTIONS(2314),
    [anon_sym_DOT_DOT] = ACTIONS(2314),
    [anon_sym_COLON_COLON] = ACTIONS(2314),
    [anon_sym_POUND] = ACTIONS(2314),
    [anon_sym_SQUOTE] = ACTIONS(2316),
    [anon_sym_async] = ACTIONS(2316),
    [anon_sym_break] = ACTIONS(2316),
    [anon_sym_const] = ACTIONS(2316),
    [anon_sym_continue] = ACTIONS(2316),
    [anon_sym_default] = ACTIONS(2316),
    [anon_sym_enum] = ACTIONS(2316),
    [anon_sym_fn] = ACTIONS(2316),
    [anon_sym_for] = ACTIONS(2316),
    [anon_sym_if] = ACTIONS(2316),
    [anon_sym_impl] = ACTIONS(2316),
    [anon_sym_let] = ACTIONS(2316),
    [anon_sym_loop] = ACTIONS(2316),
    [anon_sym_match] = ACTIONS(2316),
    [anon_sym_mod] = ACTIONS(2316),
    [anon_sym_pub] = ACTIONS(2316),
    [anon_sym_return] = ACTIONS(2316),
    [anon_sym_static] = ACTIONS(2316),
    [anon_sym_struct] = ACTIONS(2316),
    [anon_sym_trait] = ACTIONS(2316),
    [anon_sym_type] = ACTIONS(2316),
    [anon_sym_union] = ACTIONS(2316),
    [anon_sym_unsafe] = ACTIONS(2316),
    [anon_sym_use] = ACTIONS(2316),
    [anon_sym_while] = ACTIONS(2316),
    [anon_sym_extern] = ACTIONS(2316),
    [anon_sym_yield] = ACTIONS(2316),
    [anon_sym_move] = ACTIONS(2316),
    [anon_sym_try] = ACTIONS(2316),
    [sym_integer_literal] = ACTIONS(2314),
    [aux_sym_string_literal_token1] = ACTIONS(2314),
    [sym_char_literal] = ACTIONS(2314),
    [anon_sym_true] = ACTIONS(2316),
    [anon_sym_false] = ACTIONS(2316),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2316),
    [sym_super] = ACTIONS(2316),
    [sym_crate] = ACTIONS(2316),
    [sym_metavariable] = ACTIONS(2314),
    [sym__raw_string_literal_start] = ACTIONS(2314),
    [sym_float_literal] = ACTIONS(2314),
  },
  [643] = {
    [sym_line_comment] = STATE(643),
    [sym_block_comment] = STATE(643),
    [ts_builtin_sym_end] = ACTIONS(2318),
    [sym_identifier] = ACTIONS(2320),
    [anon_sym_SEMI] = ACTIONS(2318),
    [anon_sym_macro_rules_BANG] = ACTIONS(2318),
    [anon_sym_LPAREN] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2318),
    [anon_sym_RBRACE] = ACTIONS(2318),
    [anon_sym_STAR] = ACTIONS(2318),
    [anon_sym_u8] = ACTIONS(2320),
    [anon_sym_i8] = ACTIONS(2320),
    [anon_sym_u16] = ACTIONS(2320),
    [anon_sym_i16] = ACTIONS(2320),
    [anon_sym_u32] = ACTIONS(2320),
    [anon_sym_i32] = ACTIONS(2320),
    [anon_sym_u64] = ACTIONS(2320),
    [anon_sym_i64] = ACTIONS(2320),
    [anon_sym_u128] = ACTIONS(2320),
    [anon_sym_i128] = ACTIONS(2320),
    [anon_sym_isize] = ACTIONS(2320),
    [anon_sym_usize] = ACTIONS(2320),
    [anon_sym_f32] = ACTIONS(2320),
    [anon_sym_f64] = ACTIONS(2320),
    [anon_sym_bool] = ACTIONS(2320),
    [anon_sym_str] = ACTIONS(2320),
    [anon_sym_char] = ACTIONS(2320),
    [anon_sym_DASH] = ACTIONS(2318),
    [anon_sym_BANG] = ACTIONS(2318),
    [anon_sym_AMP] = ACTIONS(2318),
    [anon_sym_PIPE] = ACTIONS(2318),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_DOT_DOT] = ACTIONS(2318),
    [anon_sym_COLON_COLON] = ACTIONS(2318),
    [anon_sym_POUND] = ACTIONS(2318),
    [anon_sym_SQUOTE] = ACTIONS(2320),
    [anon_sym_async] = ACTIONS(2320),
    [anon_sym_break] = ACTIONS(2320),
    [anon_sym_const] = ACTIONS(2320),
    [anon_sym_continue] = ACTIONS(2320),
    [anon_sym_default] = ACTIONS(2320),
    [anon_sym_enum] = ACTIONS(2320),
    [anon_sym_fn] = ACTIONS(2320),
    [anon_sym_for] = ACTIONS(2320),
    [anon_sym_if] = ACTIONS(2320),
    [anon_sym_impl] = ACTIONS(2320),
    [anon_sym_let] = ACTIONS(2320),
    [anon_sym_loop] = ACTIONS(2320),
    [anon_sym_match] = ACTIONS(2320),
    [anon_sym_mod] = ACTIONS(2320),
    [anon_sym_pub] = ACTIONS(2320),
    [anon_sym_return] = ACTIONS(2320),
    [anon_sym_static] = ACTIONS(2320),
    [anon_sym_struct] = ACTIONS(2320),
    [anon_sym_trait] = ACTIONS(2320),
    [anon_sym_type] = ACTIONS(2320),
    [anon_sym_union] = ACTIONS(2320),
    [anon_sym_unsafe] = ACTIONS(2320),
    [anon_sym_use] = ACTIONS(2320),
    [anon_sym_while] = ACTIONS(2320),
    [anon_sym_extern] = ACTIONS(2320),
    [anon_sym_yield] = ACTIONS(2320),
    [anon_sym_move] = ACTIONS(2320),
    [anon_sym_try] = ACTIONS(2320),
    [sym_integer_literal] = ACTIONS(2318),
    [aux_sym_string_literal_token1] = ACTIONS(2318),
    [sym_char_literal] = ACTIONS(2318),
    [anon_sym_true] = ACTIONS(2320),
    [anon_sym_false] = ACTIONS(2320),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2320),
    [sym_super] = ACTIONS(2320),
    [sym_crate] = ACTIONS(2320),
    [sym_metavariable] = ACTIONS(2318),
    [sym__raw_string_literal_start] = ACTIONS(2318),
    [sym_float_literal] = ACTIONS(2318),
  },
  [644] = {
    [sym_line_comment] = STATE(644),
    [sym_block_comment] = STATE(644),
    [ts_builtin_sym_end] = ACTIONS(2322),
    [sym_identifier] = ACTIONS(2324),
    [anon_sym_SEMI] = ACTIONS(2322),
    [anon_sym_macro_rules_BANG] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2322),
    [anon_sym_LBRACK] = ACTIONS(2322),
    [anon_sym_LBRACE] = ACTIONS(2322),
    [anon_sym_RBRACE] = ACTIONS(2322),
    [anon_sym_STAR] = ACTIONS(2322),
    [anon_sym_u8] = ACTIONS(2324),
    [anon_sym_i8] = ACTIONS(2324),
    [anon_sym_u16] = ACTIONS(2324),
    [anon_sym_i16] = ACTIONS(2324),
    [anon_sym_u32] = ACTIONS(2324),
    [anon_sym_i32] = ACTIONS(2324),
    [anon_sym_u64] = ACTIONS(2324),
    [anon_sym_i64] = ACTIONS(2324),
    [anon_sym_u128] = ACTIONS(2324),
    [anon_sym_i128] = ACTIONS(2324),
    [anon_sym_isize] = ACTIONS(2324),
    [anon_sym_usize] = ACTIONS(2324),
    [anon_sym_f32] = ACTIONS(2324),
    [anon_sym_f64] = ACTIONS(2324),
    [anon_sym_bool] = ACTIONS(2324),
    [anon_sym_str] = ACTIONS(2324),
    [anon_sym_char] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2322),
    [anon_sym_BANG] = ACTIONS(2322),
    [anon_sym_AMP] = ACTIONS(2322),
    [anon_sym_PIPE] = ACTIONS(2322),
    [anon_sym_LT] = ACTIONS(2322),
    [anon_sym_DOT_DOT] = ACTIONS(2322),
    [anon_sym_COLON_COLON] = ACTIONS(2322),
    [anon_sym_POUND] = ACTIONS(2322),
    [anon_sym_SQUOTE] = ACTIONS(2324),
    [anon_sym_async] = ACTIONS(2324),
    [anon_sym_break] = ACTIONS(2324),
    [anon_sym_const] = ACTIONS(2324),
    [anon_sym_continue] = ACTIONS(2324),
    [anon_sym_default] = ACTIONS(2324),
    [anon_sym_enum] = ACTIONS(2324),
    [anon_sym_fn] = ACTIONS(2324),
    [anon_sym_for] = ACTIONS(2324),
    [anon_sym_if] = ACTIONS(2324),
    [anon_sym_impl] = ACTIONS(2324),
    [anon_sym_let] = ACTIONS(2324),
    [anon_sym_loop] = ACTIONS(2324),
    [anon_sym_match] = ACTIONS(2324),
    [anon_sym_mod] = ACTIONS(2324),
    [anon_sym_pub] = ACTIONS(2324),
    [anon_sym_return] = ACTIONS(2324),
    [anon_sym_static] = ACTIONS(2324),
    [anon_sym_struct] = ACTIONS(2324),
    [anon_sym_trait] = ACTIONS(2324),
    [anon_sym_type] = ACTIONS(2324),
    [anon_sym_union] = ACTIONS(2324),
    [anon_sym_unsafe] = ACTIONS(2324),
    [anon_sym_use] = ACTIONS(2324),
    [anon_sym_while] = ACTIONS(2324),
    [anon_sym_extern] = ACTIONS(2324),
    [anon_sym_yield] = ACTIONS(2324),
    [anon_sym_move] = ACTIONS(2324),
    [anon_sym_try] = ACTIONS(2324),
    [sym_integer_literal] = ACTIONS(2322),
    [aux_sym_string_literal_token1] = ACTIONS(2322),
    [sym_char_literal] = ACTIONS(2322),
    [anon_sym_true] = ACTIONS(2324),
    [anon_sym_false] = ACTIONS(2324),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2324),
    [sym_super] = ACTIONS(2324),
    [sym_crate] = ACTIONS(2324),
    [sym_metavariable] = ACTIONS(2322),
    [sym__raw_string_literal_start] = ACTIONS(2322),
    [sym_float_literal] = ACTIONS(2322),
  },
  [645] = {
    [sym_line_comment] = STATE(645),
    [sym_block_comment] = STATE(645),
    [ts_builtin_sym_end] = ACTIONS(2326),
    [sym_identifier] = ACTIONS(2328),
    [anon_sym_SEMI] = ACTIONS(2326),
    [anon_sym_macro_rules_BANG] = ACTIONS(2326),
    [anon_sym_LPAREN] = ACTIONS(2326),
    [anon_sym_LBRACK] = ACTIONS(2326),
    [anon_sym_LBRACE] = ACTIONS(2326),
    [anon_sym_RBRACE] = ACTIONS(2326),
    [anon_sym_STAR] = ACTIONS(2326),
    [anon_sym_u8] = ACTIONS(2328),
    [anon_sym_i8] = ACTIONS(2328),
    [anon_sym_u16] = ACTIONS(2328),
    [anon_sym_i16] = ACTIONS(2328),
    [anon_sym_u32] = ACTIONS(2328),
    [anon_sym_i32] = ACTIONS(2328),
    [anon_sym_u64] = ACTIONS(2328),
    [anon_sym_i64] = ACTIONS(2328),
    [anon_sym_u128] = ACTIONS(2328),
    [anon_sym_i128] = ACTIONS(2328),
    [anon_sym_isize] = ACTIONS(2328),
    [anon_sym_usize] = ACTIONS(2328),
    [anon_sym_f32] = ACTIONS(2328),
    [anon_sym_f64] = ACTIONS(2328),
    [anon_sym_bool] = ACTIONS(2328),
    [anon_sym_str] = ACTIONS(2328),
    [anon_sym_char] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2326),
    [anon_sym_BANG] = ACTIONS(2326),
    [anon_sym_AMP] = ACTIONS(2326),
    [anon_sym_PIPE] = ACTIONS(2326),
    [anon_sym_LT] = ACTIONS(2326),
    [anon_sym_DOT_DOT] = ACTIONS(2326),
    [anon_sym_COLON_COLON] = ACTIONS(2326),
    [anon_sym_POUND] = ACTIONS(2326),
    [anon_sym_SQUOTE] = ACTIONS(2328),
    [anon_sym_async] = ACTIONS(2328),
    [anon_sym_break] = ACTIONS(2328),
    [anon_sym_const] = ACTIONS(2328),
    [anon_sym_continue] = ACTIONS(2328),
    [anon_sym_default] = ACTIONS(2328),
    [anon_sym_enum] = ACTIONS(2328),
    [anon_sym_fn] = ACTIONS(2328),
    [anon_sym_for] = ACTIONS(2328),
    [anon_sym_if] = ACTIONS(2328),
    [anon_sym_impl] = ACTIONS(2328),
    [anon_sym_let] = ACTIONS(2328),
    [anon_sym_loop] = ACTIONS(2328),
    [anon_sym_match] = ACTIONS(2328),
    [anon_sym_mod] = ACTIONS(2328),
    [anon_sym_pub] = ACTIONS(2328),
    [anon_sym_return] = ACTIONS(2328),
    [anon_sym_static] = ACTIONS(2328),
    [anon_sym_struct] = ACTIONS(2328),
    [anon_sym_trait] = ACTIONS(2328),
    [anon_sym_type] = ACTIONS(2328),
    [anon_sym_union] = ACTIONS(2328),
    [anon_sym_unsafe] = ACTIONS(2328),
    [anon_sym_use] = ACTIONS(2328),
    [anon_sym_while] = ACTIONS(2328),
    [anon_sym_extern] = ACTIONS(2328),
    [anon_sym_yield] = ACTIONS(2328),
    [anon_sym_move] = ACTIONS(2328),
    [anon_sym_try] = ACTIONS(2328),
    [sym_integer_literal] = ACTIONS(2326),
    [aux_sym_string_literal_token1] = ACTIONS(2326),
    [sym_char_literal] = ACTIONS(2326),
    [anon_sym_true] = ACTIONS(2328),
    [anon_sym_false] = ACTIONS(2328),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2328),
    [sym_super] = ACTIONS(2328),
    [sym_crate] = ACTIONS(2328),
    [sym_metavariable] = ACTIONS(2326),
    [sym__raw_string_literal_start] = ACTIONS(2326),
    [sym_float_literal] = ACTIONS(2326),
  },
  [646] = {
    [sym_empty_statement] = STATE(1456),
    [sym_macro_definition] = STATE(1456),
    [sym_attribute_item] = STATE(1456),
    [sym_inner_attribute_item] = STATE(1456),
    [sym_mod_item] = STATE(1456),
    [sym_foreign_mod_item] = STATE(1456),
    [sym_struct_item] = STATE(1456),
    [sym_union_item] = STATE(1456),
    [sym_enum_item] = STATE(1456),
    [sym_extern_crate_declaration] = STATE(1456),
    [sym_const_item] = STATE(1456),
    [sym_static_item] = STATE(1456),
    [sym_type_item] = STATE(1456),
    [sym_function_item] = STATE(1456),
    [sym_function_signature_item] = STATE(1456),
    [sym_function_modifiers] = STATE(3593),
    [sym_impl_item] = STATE(1456),
    [sym_trait_item] = STATE(1456),
    [sym_associated_type] = STATE(1456),
    [sym_let_declaration] = STATE(1456),
    [sym_use_declaration] = STATE(1456),
    [sym_extern_modifier] = STATE(2154),
    [sym_visibility_modifier] = STATE(1934),
    [sym_bracketed_type] = STATE(3324),
    [sym_generic_type_with_turbofish] = STATE(3350),
    [sym_macro_invocation] = STATE(1456),
    [sym_scoped_identifier] = STATE(3156),
    [sym_line_comment] = STATE(646),
    [sym_block_comment] = STATE(646),
    [aux_sym_declaration_list_repeat1] = STATE(692),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_macro_rules_BANG] = ACTIONS(2334),
    [anon_sym_RBRACE] = ACTIONS(2336),
    [anon_sym_u8] = ACTIONS(2338),
    [anon_sym_i8] = ACTIONS(2338),
    [anon_sym_u16] = ACTIONS(2338),
    [anon_sym_i16] = ACTIONS(2338),
    [anon_sym_u32] = ACTIONS(2338),
    [anon_sym_i32] = ACTIONS(2338),
    [anon_sym_u64] = ACTIONS(2338),
    [anon_sym_i64] = ACTIONS(2338),
    [anon_sym_u128] = ACTIONS(2338),
    [anon_sym_i128] = ACTIONS(2338),
    [anon_sym_isize] = ACTIONS(2338),
    [anon_sym_usize] = ACTIONS(2338),
    [anon_sym_f32] = ACTIONS(2338),
    [anon_sym_f64] = ACTIONS(2338),
    [anon_sym_bool] = ACTIONS(2338),
    [anon_sym_str] = ACTIONS(2338),
    [anon_sym_char] = ACTIONS(2338),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(2340),
    [anon_sym_POUND] = ACTIONS(2342),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(2344),
    [anon_sym_default] = ACTIONS(2346),
    [anon_sym_enum] = ACTIONS(2348),
    [anon_sym_fn] = ACTIONS(2350),
    [anon_sym_impl] = ACTIONS(2352),
    [anon_sym_let] = ACTIONS(2354),
    [anon_sym_mod] = ACTIONS(2356),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(2358),
    [anon_sym_struct] = ACTIONS(2360),
    [anon_sym_trait] = ACTIONS(2362),
    [anon_sym_type] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2366),
    [anon_sym_unsafe] = ACTIONS(2368),
    [anon_sym_use] = ACTIONS(2370),
    [anon_sym_extern] = ACTIONS(2372),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2374),
    [sym_super] = ACTIONS(2374),
    [sym_crate] = ACTIONS(2376),
    [sym_metavariable] = ACTIONS(2378),
  },
  [647] = {
    [sym_line_comment] = STATE(647),
    [sym_block_comment] = STATE(647),
    [ts_builtin_sym_end] = ACTIONS(2380),
    [sym_identifier] = ACTIONS(2382),
    [anon_sym_SEMI] = ACTIONS(2380),
    [anon_sym_macro_rules_BANG] = ACTIONS(2380),
    [anon_sym_LPAREN] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(2380),
    [anon_sym_LBRACE] = ACTIONS(2380),
    [anon_sym_RBRACE] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(2380),
    [anon_sym_u8] = ACTIONS(2382),
    [anon_sym_i8] = ACTIONS(2382),
    [anon_sym_u16] = ACTIONS(2382),
    [anon_sym_i16] = ACTIONS(2382),
    [anon_sym_u32] = ACTIONS(2382),
    [anon_sym_i32] = ACTIONS(2382),
    [anon_sym_u64] = ACTIONS(2382),
    [anon_sym_i64] = ACTIONS(2382),
    [anon_sym_u128] = ACTIONS(2382),
    [anon_sym_i128] = ACTIONS(2382),
    [anon_sym_isize] = ACTIONS(2382),
    [anon_sym_usize] = ACTIONS(2382),
    [anon_sym_f32] = ACTIONS(2382),
    [anon_sym_f64] = ACTIONS(2382),
    [anon_sym_bool] = ACTIONS(2382),
    [anon_sym_str] = ACTIONS(2382),
    [anon_sym_char] = ACTIONS(2382),
    [anon_sym_DASH] = ACTIONS(2380),
    [anon_sym_BANG] = ACTIONS(2380),
    [anon_sym_AMP] = ACTIONS(2380),
    [anon_sym_PIPE] = ACTIONS(2380),
    [anon_sym_LT] = ACTIONS(2380),
    [anon_sym_DOT_DOT] = ACTIONS(2380),
    [anon_sym_COLON_COLON] = ACTIONS(2380),
    [anon_sym_POUND] = ACTIONS(2380),
    [anon_sym_SQUOTE] = ACTIONS(2382),
    [anon_sym_async] = ACTIONS(2382),
    [anon_sym_break] = ACTIONS(2382),
    [anon_sym_const] = ACTIONS(2382),
    [anon_sym_continue] = ACTIONS(2382),
    [anon_sym_default] = ACTIONS(2382),
    [anon_sym_enum] = ACTIONS(2382),
    [anon_sym_fn] = ACTIONS(2382),
    [anon_sym_for] = ACTIONS(2382),
    [anon_sym_if] = ACTIONS(2382),
    [anon_sym_impl] = ACTIONS(2382),
    [anon_sym_let] = ACTIONS(2382),
    [anon_sym_loop] = ACTIONS(2382),
    [anon_sym_match] = ACTIONS(2382),
    [anon_sym_mod] = ACTIONS(2382),
    [anon_sym_pub] = ACTIONS(2382),
    [anon_sym_return] = ACTIONS(2382),
    [anon_sym_static] = ACTIONS(2382),
    [anon_sym_struct] = ACTIONS(2382),
    [anon_sym_trait] = ACTIONS(2382),
    [anon_sym_type] = ACTIONS(2382),
    [anon_sym_union] = ACTIONS(2382),
    [anon_sym_unsafe] = ACTIONS(2382),
    [anon_sym_use] = ACTIONS(2382),
    [anon_sym_while] = ACTIONS(2382),
    [anon_sym_extern] = ACTIONS(2382),
    [anon_sym_yield] = ACTIONS(2382),
    [anon_sym_move] = ACTIONS(2382),
    [anon_sym_try] = ACTIONS(2382),
    [sym_integer_literal] = ACTIONS(2380),
    [aux_sym_string_literal_token1] = ACTIONS(2380),
    [sym_char_literal] = ACTIONS(2380),
    [anon_sym_true] = ACTIONS(2382),
    [anon_sym_false] = ACTIONS(2382),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2382),
    [sym_super] = ACTIONS(2382),
    [sym_crate] = ACTIONS(2382),
    [sym_metavariable] = ACTIONS(2380),
    [sym__raw_string_literal_start] = ACTIONS(2380),
    [sym_float_literal] = ACTIONS(2380),
  },
  [648] = {
    [sym_line_comment] = STATE(648),
    [sym_block_comment] = STATE(648),
    [ts_builtin_sym_end] = ACTIONS(2384),
    [sym_identifier] = ACTIONS(2386),
    [anon_sym_SEMI] = ACTIONS(2384),
    [anon_sym_macro_rules_BANG] = ACTIONS(2384),
    [anon_sym_LPAREN] = ACTIONS(2384),
    [anon_sym_LBRACK] = ACTIONS(2384),
    [anon_sym_LBRACE] = ACTIONS(2384),
    [anon_sym_RBRACE] = ACTIONS(2384),
    [anon_sym_STAR] = ACTIONS(2384),
    [anon_sym_u8] = ACTIONS(2386),
    [anon_sym_i8] = ACTIONS(2386),
    [anon_sym_u16] = ACTIONS(2386),
    [anon_sym_i16] = ACTIONS(2386),
    [anon_sym_u32] = ACTIONS(2386),
    [anon_sym_i32] = ACTIONS(2386),
    [anon_sym_u64] = ACTIONS(2386),
    [anon_sym_i64] = ACTIONS(2386),
    [anon_sym_u128] = ACTIONS(2386),
    [anon_sym_i128] = ACTIONS(2386),
    [anon_sym_isize] = ACTIONS(2386),
    [anon_sym_usize] = ACTIONS(2386),
    [anon_sym_f32] = ACTIONS(2386),
    [anon_sym_f64] = ACTIONS(2386),
    [anon_sym_bool] = ACTIONS(2386),
    [anon_sym_str] = ACTIONS(2386),
    [anon_sym_char] = ACTIONS(2386),
    [anon_sym_DASH] = ACTIONS(2384),
    [anon_sym_BANG] = ACTIONS(2384),
    [anon_sym_AMP] = ACTIONS(2384),
    [anon_sym_PIPE] = ACTIONS(2384),
    [anon_sym_LT] = ACTIONS(2384),
    [anon_sym_DOT_DOT] = ACTIONS(2384),
    [anon_sym_COLON_COLON] = ACTIONS(2384),
    [anon_sym_POUND] = ACTIONS(2384),
    [anon_sym_SQUOTE] = ACTIONS(2386),
    [anon_sym_async] = ACTIONS(2386),
    [anon_sym_break] = ACTIONS(2386),
    [anon_sym_const] = ACTIONS(2386),
    [anon_sym_continue] = ACTIONS(2386),
    [anon_sym_default] = ACTIONS(2386),
    [anon_sym_enum] = ACTIONS(2386),
    [anon_sym_fn] = ACTIONS(2386),
    [anon_sym_for] = ACTIONS(2386),
    [anon_sym_if] = ACTIONS(2386),
    [anon_sym_impl] = ACTIONS(2386),
    [anon_sym_let] = ACTIONS(2386),
    [anon_sym_loop] = ACTIONS(2386),
    [anon_sym_match] = ACTIONS(2386),
    [anon_sym_mod] = ACTIONS(2386),
    [anon_sym_pub] = ACTIONS(2386),
    [anon_sym_return] = ACTIONS(2386),
    [anon_sym_static] = ACTIONS(2386),
    [anon_sym_struct] = ACTIONS(2386),
    [anon_sym_trait] = ACTIONS(2386),
    [anon_sym_type] = ACTIONS(2386),
    [anon_sym_union] = ACTIONS(2386),
    [anon_sym_unsafe] = ACTIONS(2386),
    [anon_sym_use] = ACTIONS(2386),
    [anon_sym_while] = ACTIONS(2386),
    [anon_sym_extern] = ACTIONS(2386),
    [anon_sym_yield] = ACTIONS(2386),
    [anon_sym_move] = ACTIONS(2386),
    [anon_sym_try] = ACTIONS(2386),
    [sym_integer_literal] = ACTIONS(2384),
    [aux_sym_string_literal_token1] = ACTIONS(2384),
    [sym_char_literal] = ACTIONS(2384),
    [anon_sym_true] = ACTIONS(2386),
    [anon_sym_false] = ACTIONS(2386),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2386),
    [sym_super] = ACTIONS(2386),
    [sym_crate] = ACTIONS(2386),
    [sym_metavariable] = ACTIONS(2384),
    [sym__raw_string_literal_start] = ACTIONS(2384),
    [sym_float_literal] = ACTIONS(2384),
  },
  [649] = {
    [sym_line_comment] = STATE(649),
    [sym_block_comment] = STATE(649),
    [ts_builtin_sym_end] = ACTIONS(2388),
    [sym_identifier] = ACTIONS(2390),
    [anon_sym_SEMI] = ACTIONS(2388),
    [anon_sym_macro_rules_BANG] = ACTIONS(2388),
    [anon_sym_LPAREN] = ACTIONS(2388),
    [anon_sym_LBRACK] = ACTIONS(2388),
    [anon_sym_LBRACE] = ACTIONS(2388),
    [anon_sym_RBRACE] = ACTIONS(2388),
    [anon_sym_STAR] = ACTIONS(2388),
    [anon_sym_u8] = ACTIONS(2390),
    [anon_sym_i8] = ACTIONS(2390),
    [anon_sym_u16] = ACTIONS(2390),
    [anon_sym_i16] = ACTIONS(2390),
    [anon_sym_u32] = ACTIONS(2390),
    [anon_sym_i32] = ACTIONS(2390),
    [anon_sym_u64] = ACTIONS(2390),
    [anon_sym_i64] = ACTIONS(2390),
    [anon_sym_u128] = ACTIONS(2390),
    [anon_sym_i128] = ACTIONS(2390),
    [anon_sym_isize] = ACTIONS(2390),
    [anon_sym_usize] = ACTIONS(2390),
    [anon_sym_f32] = ACTIONS(2390),
    [anon_sym_f64] = ACTIONS(2390),
    [anon_sym_bool] = ACTIONS(2390),
    [anon_sym_str] = ACTIONS(2390),
    [anon_sym_char] = ACTIONS(2390),
    [anon_sym_DASH] = ACTIONS(2388),
    [anon_sym_BANG] = ACTIONS(2388),
    [anon_sym_AMP] = ACTIONS(2388),
    [anon_sym_PIPE] = ACTIONS(2388),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_DOT_DOT] = ACTIONS(2388),
    [anon_sym_COLON_COLON] = ACTIONS(2388),
    [anon_sym_POUND] = ACTIONS(2388),
    [anon_sym_SQUOTE] = ACTIONS(2390),
    [anon_sym_async] = ACTIONS(2390),
    [anon_sym_break] = ACTIONS(2390),
    [anon_sym_const] = ACTIONS(2390),
    [anon_sym_continue] = ACTIONS(2390),
    [anon_sym_default] = ACTIONS(2390),
    [anon_sym_enum] = ACTIONS(2390),
    [anon_sym_fn] = ACTIONS(2390),
    [anon_sym_for] = ACTIONS(2390),
    [anon_sym_if] = ACTIONS(2390),
    [anon_sym_impl] = ACTIONS(2390),
    [anon_sym_let] = ACTIONS(2390),
    [anon_sym_loop] = ACTIONS(2390),
    [anon_sym_match] = ACTIONS(2390),
    [anon_sym_mod] = ACTIONS(2390),
    [anon_sym_pub] = ACTIONS(2390),
    [anon_sym_return] = ACTIONS(2390),
    [anon_sym_static] = ACTIONS(2390),
    [anon_sym_struct] = ACTIONS(2390),
    [anon_sym_trait] = ACTIONS(2390),
    [anon_sym_type] = ACTIONS(2390),
    [anon_sym_union] = ACTIONS(2390),
    [anon_sym_unsafe] = ACTIONS(2390),
    [anon_sym_use] = ACTIONS(2390),
    [anon_sym_while] = ACTIONS(2390),
    [anon_sym_extern] = ACTIONS(2390),
    [anon_sym_yield] = ACTIONS(2390),
    [anon_sym_move] = ACTIONS(2390),
    [anon_sym_try] = ACTIONS(2390),
    [sym_integer_literal] = ACTIONS(2388),
    [aux_sym_string_literal_token1] = ACTIONS(2388),
    [sym_char_literal] = ACTIONS(2388),
    [anon_sym_true] = ACTIONS(2390),
    [anon_sym_false] = ACTIONS(2390),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2390),
    [sym_super] = ACTIONS(2390),
    [sym_crate] = ACTIONS(2390),
    [sym_metavariable] = ACTIONS(2388),
    [sym__raw_string_literal_start] = ACTIONS(2388),
    [sym_float_literal] = ACTIONS(2388),
  },
  [650] = {
    [sym_line_comment] = STATE(650),
    [sym_block_comment] = STATE(650),
    [ts_builtin_sym_end] = ACTIONS(2392),
    [sym_identifier] = ACTIONS(2394),
    [anon_sym_SEMI] = ACTIONS(2392),
    [anon_sym_macro_rules_BANG] = ACTIONS(2392),
    [anon_sym_LPAREN] = ACTIONS(2392),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [anon_sym_LBRACE] = ACTIONS(2392),
    [anon_sym_RBRACE] = ACTIONS(2392),
    [anon_sym_STAR] = ACTIONS(2392),
    [anon_sym_u8] = ACTIONS(2394),
    [anon_sym_i8] = ACTIONS(2394),
    [anon_sym_u16] = ACTIONS(2394),
    [anon_sym_i16] = ACTIONS(2394),
    [anon_sym_u32] = ACTIONS(2394),
    [anon_sym_i32] = ACTIONS(2394),
    [anon_sym_u64] = ACTIONS(2394),
    [anon_sym_i64] = ACTIONS(2394),
    [anon_sym_u128] = ACTIONS(2394),
    [anon_sym_i128] = ACTIONS(2394),
    [anon_sym_isize] = ACTIONS(2394),
    [anon_sym_usize] = ACTIONS(2394),
    [anon_sym_f32] = ACTIONS(2394),
    [anon_sym_f64] = ACTIONS(2394),
    [anon_sym_bool] = ACTIONS(2394),
    [anon_sym_str] = ACTIONS(2394),
    [anon_sym_char] = ACTIONS(2394),
    [anon_sym_DASH] = ACTIONS(2392),
    [anon_sym_BANG] = ACTIONS(2392),
    [anon_sym_AMP] = ACTIONS(2392),
    [anon_sym_PIPE] = ACTIONS(2392),
    [anon_sym_LT] = ACTIONS(2392),
    [anon_sym_DOT_DOT] = ACTIONS(2392),
    [anon_sym_COLON_COLON] = ACTIONS(2392),
    [anon_sym_POUND] = ACTIONS(2392),
    [anon_sym_SQUOTE] = ACTIONS(2394),
    [anon_sym_async] = ACTIONS(2394),
    [anon_sym_break] = ACTIONS(2394),
    [anon_sym_const] = ACTIONS(2394),
    [anon_sym_continue] = ACTIONS(2394),
    [anon_sym_default] = ACTIONS(2394),
    [anon_sym_enum] = ACTIONS(2394),
    [anon_sym_fn] = ACTIONS(2394),
    [anon_sym_for] = ACTIONS(2394),
    [anon_sym_if] = ACTIONS(2394),
    [anon_sym_impl] = ACTIONS(2394),
    [anon_sym_let] = ACTIONS(2394),
    [anon_sym_loop] = ACTIONS(2394),
    [anon_sym_match] = ACTIONS(2394),
    [anon_sym_mod] = ACTIONS(2394),
    [anon_sym_pub] = ACTIONS(2394),
    [anon_sym_return] = ACTIONS(2394),
    [anon_sym_static] = ACTIONS(2394),
    [anon_sym_struct] = ACTIONS(2394),
    [anon_sym_trait] = ACTIONS(2394),
    [anon_sym_type] = ACTIONS(2394),
    [anon_sym_union] = ACTIONS(2394),
    [anon_sym_unsafe] = ACTIONS(2394),
    [anon_sym_use] = ACTIONS(2394),
    [anon_sym_while] = ACTIONS(2394),
    [anon_sym_extern] = ACTIONS(2394),
    [anon_sym_yield] = ACTIONS(2394),
    [anon_sym_move] = ACTIONS(2394),
    [anon_sym_try] = ACTIONS(2394),
    [sym_integer_literal] = ACTIONS(2392),
    [aux_sym_string_literal_token1] = ACTIONS(2392),
    [sym_char_literal] = ACTIONS(2392),
    [anon_sym_true] = ACTIONS(2394),
    [anon_sym_false] = ACTIONS(2394),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2394),
    [sym_super] = ACTIONS(2394),
    [sym_crate] = ACTIONS(2394),
    [sym_metavariable] = ACTIONS(2392),
    [sym__raw_string_literal_start] = ACTIONS(2392),
    [sym_float_literal] = ACTIONS(2392),
  },
  [651] = {
    [sym_line_comment] = STATE(651),
    [sym_block_comment] = STATE(651),
    [ts_builtin_sym_end] = ACTIONS(2396),
    [sym_identifier] = ACTIONS(2398),
    [anon_sym_SEMI] = ACTIONS(2396),
    [anon_sym_macro_rules_BANG] = ACTIONS(2396),
    [anon_sym_LPAREN] = ACTIONS(2396),
    [anon_sym_LBRACK] = ACTIONS(2396),
    [anon_sym_LBRACE] = ACTIONS(2396),
    [anon_sym_RBRACE] = ACTIONS(2396),
    [anon_sym_STAR] = ACTIONS(2396),
    [anon_sym_u8] = ACTIONS(2398),
    [anon_sym_i8] = ACTIONS(2398),
    [anon_sym_u16] = ACTIONS(2398),
    [anon_sym_i16] = ACTIONS(2398),
    [anon_sym_u32] = ACTIONS(2398),
    [anon_sym_i32] = ACTIONS(2398),
    [anon_sym_u64] = ACTIONS(2398),
    [anon_sym_i64] = ACTIONS(2398),
    [anon_sym_u128] = ACTIONS(2398),
    [anon_sym_i128] = ACTIONS(2398),
    [anon_sym_isize] = ACTIONS(2398),
    [anon_sym_usize] = ACTIONS(2398),
    [anon_sym_f32] = ACTIONS(2398),
    [anon_sym_f64] = ACTIONS(2398),
    [anon_sym_bool] = ACTIONS(2398),
    [anon_sym_str] = ACTIONS(2398),
    [anon_sym_char] = ACTIONS(2398),
    [anon_sym_DASH] = ACTIONS(2396),
    [anon_sym_BANG] = ACTIONS(2396),
    [anon_sym_AMP] = ACTIONS(2396),
    [anon_sym_PIPE] = ACTIONS(2396),
    [anon_sym_LT] = ACTIONS(2396),
    [anon_sym_DOT_DOT] = ACTIONS(2396),
    [anon_sym_COLON_COLON] = ACTIONS(2396),
    [anon_sym_POUND] = ACTIONS(2396),
    [anon_sym_SQUOTE] = ACTIONS(2398),
    [anon_sym_async] = ACTIONS(2398),
    [anon_sym_break] = ACTIONS(2398),
    [anon_sym_const] = ACTIONS(2398),
    [anon_sym_continue] = ACTIONS(2398),
    [anon_sym_default] = ACTIONS(2398),
    [anon_sym_enum] = ACTIONS(2398),
    [anon_sym_fn] = ACTIONS(2398),
    [anon_sym_for] = ACTIONS(2398),
    [anon_sym_if] = ACTIONS(2398),
    [anon_sym_impl] = ACTIONS(2398),
    [anon_sym_let] = ACTIONS(2398),
    [anon_sym_loop] = ACTIONS(2398),
    [anon_sym_match] = ACTIONS(2398),
    [anon_sym_mod] = ACTIONS(2398),
    [anon_sym_pub] = ACTIONS(2398),
    [anon_sym_return] = ACTIONS(2398),
    [anon_sym_static] = ACTIONS(2398),
    [anon_sym_struct] = ACTIONS(2398),
    [anon_sym_trait] = ACTIONS(2398),
    [anon_sym_type] = ACTIONS(2398),
    [anon_sym_union] = ACTIONS(2398),
    [anon_sym_unsafe] = ACTIONS(2398),
    [anon_sym_use] = ACTIONS(2398),
    [anon_sym_while] = ACTIONS(2398),
    [anon_sym_extern] = ACTIONS(2398),
    [anon_sym_yield] = ACTIONS(2398),
    [anon_sym_move] = ACTIONS(2398),
    [anon_sym_try] = ACTIONS(2398),
    [sym_integer_literal] = ACTIONS(2396),
    [aux_sym_string_literal_token1] = ACTIONS(2396),
    [sym_char_literal] = ACTIONS(2396),
    [anon_sym_true] = ACTIONS(2398),
    [anon_sym_false] = ACTIONS(2398),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2398),
    [sym_super] = ACTIONS(2398),
    [sym_crate] = ACTIONS(2398),
    [sym_metavariable] = ACTIONS(2396),
    [sym__raw_string_literal_start] = ACTIONS(2396),
    [sym_float_literal] = ACTIONS(2396),
  },
  [652] = {
    [sym_line_comment] = STATE(652),
    [sym_block_comment] = STATE(652),
    [ts_builtin_sym_end] = ACTIONS(1432),
    [sym_identifier] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1432),
    [anon_sym_macro_rules_BANG] = ACTIONS(1432),
    [anon_sym_LPAREN] = ACTIONS(1432),
    [anon_sym_LBRACK] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1432),
    [anon_sym_RBRACE] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1432),
    [anon_sym_u8] = ACTIONS(1434),
    [anon_sym_i8] = ACTIONS(1434),
    [anon_sym_u16] = ACTIONS(1434),
    [anon_sym_i16] = ACTIONS(1434),
    [anon_sym_u32] = ACTIONS(1434),
    [anon_sym_i32] = ACTIONS(1434),
    [anon_sym_u64] = ACTIONS(1434),
    [anon_sym_i64] = ACTIONS(1434),
    [anon_sym_u128] = ACTIONS(1434),
    [anon_sym_i128] = ACTIONS(1434),
    [anon_sym_isize] = ACTIONS(1434),
    [anon_sym_usize] = ACTIONS(1434),
    [anon_sym_f32] = ACTIONS(1434),
    [anon_sym_f64] = ACTIONS(1434),
    [anon_sym_bool] = ACTIONS(1434),
    [anon_sym_str] = ACTIONS(1434),
    [anon_sym_char] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_BANG] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1432),
    [anon_sym_PIPE] = ACTIONS(1432),
    [anon_sym_LT] = ACTIONS(1432),
    [anon_sym_DOT_DOT] = ACTIONS(1432),
    [anon_sym_COLON_COLON] = ACTIONS(1432),
    [anon_sym_POUND] = ACTIONS(1432),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [anon_sym_async] = ACTIONS(1434),
    [anon_sym_break] = ACTIONS(1434),
    [anon_sym_const] = ACTIONS(1434),
    [anon_sym_continue] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_enum] = ACTIONS(1434),
    [anon_sym_fn] = ACTIONS(1434),
    [anon_sym_for] = ACTIONS(1434),
    [anon_sym_if] = ACTIONS(1434),
    [anon_sym_impl] = ACTIONS(1434),
    [anon_sym_let] = ACTIONS(1434),
    [anon_sym_loop] = ACTIONS(1434),
    [anon_sym_match] = ACTIONS(1434),
    [anon_sym_mod] = ACTIONS(1434),
    [anon_sym_pub] = ACTIONS(1434),
    [anon_sym_return] = ACTIONS(1434),
    [anon_sym_static] = ACTIONS(1434),
    [anon_sym_struct] = ACTIONS(1434),
    [anon_sym_trait] = ACTIONS(1434),
    [anon_sym_type] = ACTIONS(1434),
    [anon_sym_union] = ACTIONS(1434),
    [anon_sym_unsafe] = ACTIONS(1434),
    [anon_sym_use] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(1434),
    [anon_sym_extern] = ACTIONS(1434),
    [anon_sym_yield] = ACTIONS(1434),
    [anon_sym_move] = ACTIONS(1434),
    [anon_sym_try] = ACTIONS(1434),
    [sym_integer_literal] = ACTIONS(1432),
    [aux_sym_string_literal_token1] = ACTIONS(1432),
    [sym_char_literal] = ACTIONS(1432),
    [anon_sym_true] = ACTIONS(1434),
    [anon_sym_false] = ACTIONS(1434),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1434),
    [sym_super] = ACTIONS(1434),
    [sym_crate] = ACTIONS(1434),
    [sym_metavariable] = ACTIONS(1432),
    [sym__raw_string_literal_start] = ACTIONS(1432),
    [sym_float_literal] = ACTIONS(1432),
  },
  [653] = {
    [sym_line_comment] = STATE(653),
    [sym_block_comment] = STATE(653),
    [ts_builtin_sym_end] = ACTIONS(2400),
    [sym_identifier] = ACTIONS(2402),
    [anon_sym_SEMI] = ACTIONS(2400),
    [anon_sym_macro_rules_BANG] = ACTIONS(2400),
    [anon_sym_LPAREN] = ACTIONS(2400),
    [anon_sym_LBRACK] = ACTIONS(2400),
    [anon_sym_LBRACE] = ACTIONS(2400),
    [anon_sym_RBRACE] = ACTIONS(2400),
    [anon_sym_STAR] = ACTIONS(2400),
    [anon_sym_u8] = ACTIONS(2402),
    [anon_sym_i8] = ACTIONS(2402),
    [anon_sym_u16] = ACTIONS(2402),
    [anon_sym_i16] = ACTIONS(2402),
    [anon_sym_u32] = ACTIONS(2402),
    [anon_sym_i32] = ACTIONS(2402),
    [anon_sym_u64] = ACTIONS(2402),
    [anon_sym_i64] = ACTIONS(2402),
    [anon_sym_u128] = ACTIONS(2402),
    [anon_sym_i128] = ACTIONS(2402),
    [anon_sym_isize] = ACTIONS(2402),
    [anon_sym_usize] = ACTIONS(2402),
    [anon_sym_f32] = ACTIONS(2402),
    [anon_sym_f64] = ACTIONS(2402),
    [anon_sym_bool] = ACTIONS(2402),
    [anon_sym_str] = ACTIONS(2402),
    [anon_sym_char] = ACTIONS(2402),
    [anon_sym_DASH] = ACTIONS(2400),
    [anon_sym_BANG] = ACTIONS(2400),
    [anon_sym_AMP] = ACTIONS(2400),
    [anon_sym_PIPE] = ACTIONS(2400),
    [anon_sym_LT] = ACTIONS(2400),
    [anon_sym_DOT_DOT] = ACTIONS(2400),
    [anon_sym_COLON_COLON] = ACTIONS(2400),
    [anon_sym_POUND] = ACTIONS(2400),
    [anon_sym_SQUOTE] = ACTIONS(2402),
    [anon_sym_async] = ACTIONS(2402),
    [anon_sym_break] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(2402),
    [anon_sym_continue] = ACTIONS(2402),
    [anon_sym_default] = ACTIONS(2402),
    [anon_sym_enum] = ACTIONS(2402),
    [anon_sym_fn] = ACTIONS(2402),
    [anon_sym_for] = ACTIONS(2402),
    [anon_sym_if] = ACTIONS(2402),
    [anon_sym_impl] = ACTIONS(2402),
    [anon_sym_let] = ACTIONS(2402),
    [anon_sym_loop] = ACTIONS(2402),
    [anon_sym_match] = ACTIONS(2402),
    [anon_sym_mod] = ACTIONS(2402),
    [anon_sym_pub] = ACTIONS(2402),
    [anon_sym_return] = ACTIONS(2402),
    [anon_sym_static] = ACTIONS(2402),
    [anon_sym_struct] = ACTIONS(2402),
    [anon_sym_trait] = ACTIONS(2402),
    [anon_sym_type] = ACTIONS(2402),
    [anon_sym_union] = ACTIONS(2402),
    [anon_sym_unsafe] = ACTIONS(2402),
    [anon_sym_use] = ACTIONS(2402),
    [anon_sym_while] = ACTIONS(2402),
    [anon_sym_extern] = ACTIONS(2402),
    [anon_sym_yield] = ACTIONS(2402),
    [anon_sym_move] = ACTIONS(2402),
    [anon_sym_try] = ACTIONS(2402),
    [sym_integer_literal] = ACTIONS(2400),
    [aux_sym_string_literal_token1] = ACTIONS(2400),
    [sym_char_literal] = ACTIONS(2400),
    [anon_sym_true] = ACTIONS(2402),
    [anon_sym_false] = ACTIONS(2402),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2402),
    [sym_super] = ACTIONS(2402),
    [sym_crate] = ACTIONS(2402),
    [sym_metavariable] = ACTIONS(2400),
    [sym__raw_string_literal_start] = ACTIONS(2400),
    [sym_float_literal] = ACTIONS(2400),
  },
  [654] = {
    [sym_empty_statement] = STATE(1456),
    [sym_macro_definition] = STATE(1456),
    [sym_attribute_item] = STATE(1456),
    [sym_inner_attribute_item] = STATE(1456),
    [sym_mod_item] = STATE(1456),
    [sym_foreign_mod_item] = STATE(1456),
    [sym_struct_item] = STATE(1456),
    [sym_union_item] = STATE(1456),
    [sym_enum_item] = STATE(1456),
    [sym_extern_crate_declaration] = STATE(1456),
    [sym_const_item] = STATE(1456),
    [sym_static_item] = STATE(1456),
    [sym_type_item] = STATE(1456),
    [sym_function_item] = STATE(1456),
    [sym_function_signature_item] = STATE(1456),
    [sym_function_modifiers] = STATE(3593),
    [sym_impl_item] = STATE(1456),
    [sym_trait_item] = STATE(1456),
    [sym_associated_type] = STATE(1456),
    [sym_let_declaration] = STATE(1456),
    [sym_use_declaration] = STATE(1456),
    [sym_extern_modifier] = STATE(2154),
    [sym_visibility_modifier] = STATE(1934),
    [sym_bracketed_type] = STATE(3324),
    [sym_generic_type_with_turbofish] = STATE(3350),
    [sym_macro_invocation] = STATE(1456),
    [sym_scoped_identifier] = STATE(3156),
    [sym_line_comment] = STATE(654),
    [sym_block_comment] = STATE(654),
    [aux_sym_declaration_list_repeat1] = STATE(646),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_macro_rules_BANG] = ACTIONS(2334),
    [anon_sym_RBRACE] = ACTIONS(2404),
    [anon_sym_u8] = ACTIONS(2338),
    [anon_sym_i8] = ACTIONS(2338),
    [anon_sym_u16] = ACTIONS(2338),
    [anon_sym_i16] = ACTIONS(2338),
    [anon_sym_u32] = ACTIONS(2338),
    [anon_sym_i32] = ACTIONS(2338),
    [anon_sym_u64] = ACTIONS(2338),
    [anon_sym_i64] = ACTIONS(2338),
    [anon_sym_u128] = ACTIONS(2338),
    [anon_sym_i128] = ACTIONS(2338),
    [anon_sym_isize] = ACTIONS(2338),
    [anon_sym_usize] = ACTIONS(2338),
    [anon_sym_f32] = ACTIONS(2338),
    [anon_sym_f64] = ACTIONS(2338),
    [anon_sym_bool] = ACTIONS(2338),
    [anon_sym_str] = ACTIONS(2338),
    [anon_sym_char] = ACTIONS(2338),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(2340),
    [anon_sym_POUND] = ACTIONS(2342),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(2344),
    [anon_sym_default] = ACTIONS(2346),
    [anon_sym_enum] = ACTIONS(2348),
    [anon_sym_fn] = ACTIONS(2350),
    [anon_sym_impl] = ACTIONS(2352),
    [anon_sym_let] = ACTIONS(2354),
    [anon_sym_mod] = ACTIONS(2356),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(2358),
    [anon_sym_struct] = ACTIONS(2360),
    [anon_sym_trait] = ACTIONS(2362),
    [anon_sym_type] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2366),
    [anon_sym_unsafe] = ACTIONS(2368),
    [anon_sym_use] = ACTIONS(2370),
    [anon_sym_extern] = ACTIONS(2372),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2374),
    [sym_super] = ACTIONS(2374),
    [sym_crate] = ACTIONS(2376),
    [sym_metavariable] = ACTIONS(2378),
  },
  [655] = {
    [sym_line_comment] = STATE(655),
    [sym_block_comment] = STATE(655),
    [ts_builtin_sym_end] = ACTIONS(2406),
    [sym_identifier] = ACTIONS(2408),
    [anon_sym_SEMI] = ACTIONS(2406),
    [anon_sym_macro_rules_BANG] = ACTIONS(2406),
    [anon_sym_LPAREN] = ACTIONS(2406),
    [anon_sym_LBRACK] = ACTIONS(2406),
    [anon_sym_LBRACE] = ACTIONS(2406),
    [anon_sym_RBRACE] = ACTIONS(2406),
    [anon_sym_STAR] = ACTIONS(2406),
    [anon_sym_u8] = ACTIONS(2408),
    [anon_sym_i8] = ACTIONS(2408),
    [anon_sym_u16] = ACTIONS(2408),
    [anon_sym_i16] = ACTIONS(2408),
    [anon_sym_u32] = ACTIONS(2408),
    [anon_sym_i32] = ACTIONS(2408),
    [anon_sym_u64] = ACTIONS(2408),
    [anon_sym_i64] = ACTIONS(2408),
    [anon_sym_u128] = ACTIONS(2408),
    [anon_sym_i128] = ACTIONS(2408),
    [anon_sym_isize] = ACTIONS(2408),
    [anon_sym_usize] = ACTIONS(2408),
    [anon_sym_f32] = ACTIONS(2408),
    [anon_sym_f64] = ACTIONS(2408),
    [anon_sym_bool] = ACTIONS(2408),
    [anon_sym_str] = ACTIONS(2408),
    [anon_sym_char] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_BANG] = ACTIONS(2406),
    [anon_sym_AMP] = ACTIONS(2406),
    [anon_sym_PIPE] = ACTIONS(2406),
    [anon_sym_LT] = ACTIONS(2406),
    [anon_sym_DOT_DOT] = ACTIONS(2406),
    [anon_sym_COLON_COLON] = ACTIONS(2406),
    [anon_sym_POUND] = ACTIONS(2406),
    [anon_sym_SQUOTE] = ACTIONS(2408),
    [anon_sym_async] = ACTIONS(2408),
    [anon_sym_break] = ACTIONS(2408),
    [anon_sym_const] = ACTIONS(2408),
    [anon_sym_continue] = ACTIONS(2408),
    [anon_sym_default] = ACTIONS(2408),
    [anon_sym_enum] = ACTIONS(2408),
    [anon_sym_fn] = ACTIONS(2408),
    [anon_sym_for] = ACTIONS(2408),
    [anon_sym_if] = ACTIONS(2408),
    [anon_sym_impl] = ACTIONS(2408),
    [anon_sym_let] = ACTIONS(2408),
    [anon_sym_loop] = ACTIONS(2408),
    [anon_sym_match] = ACTIONS(2408),
    [anon_sym_mod] = ACTIONS(2408),
    [anon_sym_pub] = ACTIONS(2408),
    [anon_sym_return] = ACTIONS(2408),
    [anon_sym_static] = ACTIONS(2408),
    [anon_sym_struct] = ACTIONS(2408),
    [anon_sym_trait] = ACTIONS(2408),
    [anon_sym_type] = ACTIONS(2408),
    [anon_sym_union] = ACTIONS(2408),
    [anon_sym_unsafe] = ACTIONS(2408),
    [anon_sym_use] = ACTIONS(2408),
    [anon_sym_while] = ACTIONS(2408),
    [anon_sym_extern] = ACTIONS(2408),
    [anon_sym_yield] = ACTIONS(2408),
    [anon_sym_move] = ACTIONS(2408),
    [anon_sym_try] = ACTIONS(2408),
    [sym_integer_literal] = ACTIONS(2406),
    [aux_sym_string_literal_token1] = ACTIONS(2406),
    [sym_char_literal] = ACTIONS(2406),
    [anon_sym_true] = ACTIONS(2408),
    [anon_sym_false] = ACTIONS(2408),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2408),
    [sym_super] = ACTIONS(2408),
    [sym_crate] = ACTIONS(2408),
    [sym_metavariable] = ACTIONS(2406),
    [sym__raw_string_literal_start] = ACTIONS(2406),
    [sym_float_literal] = ACTIONS(2406),
  },
  [656] = {
    [sym_line_comment] = STATE(656),
    [sym_block_comment] = STATE(656),
    [ts_builtin_sym_end] = ACTIONS(2410),
    [sym_identifier] = ACTIONS(2412),
    [anon_sym_SEMI] = ACTIONS(2410),
    [anon_sym_macro_rules_BANG] = ACTIONS(2410),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_RBRACE] = ACTIONS(2410),
    [anon_sym_STAR] = ACTIONS(2410),
    [anon_sym_u8] = ACTIONS(2412),
    [anon_sym_i8] = ACTIONS(2412),
    [anon_sym_u16] = ACTIONS(2412),
    [anon_sym_i16] = ACTIONS(2412),
    [anon_sym_u32] = ACTIONS(2412),
    [anon_sym_i32] = ACTIONS(2412),
    [anon_sym_u64] = ACTIONS(2412),
    [anon_sym_i64] = ACTIONS(2412),
    [anon_sym_u128] = ACTIONS(2412),
    [anon_sym_i128] = ACTIONS(2412),
    [anon_sym_isize] = ACTIONS(2412),
    [anon_sym_usize] = ACTIONS(2412),
    [anon_sym_f32] = ACTIONS(2412),
    [anon_sym_f64] = ACTIONS(2412),
    [anon_sym_bool] = ACTIONS(2412),
    [anon_sym_str] = ACTIONS(2412),
    [anon_sym_char] = ACTIONS(2412),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_BANG] = ACTIONS(2410),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_PIPE] = ACTIONS(2410),
    [anon_sym_LT] = ACTIONS(2410),
    [anon_sym_DOT_DOT] = ACTIONS(2410),
    [anon_sym_COLON_COLON] = ACTIONS(2410),
    [anon_sym_POUND] = ACTIONS(2410),
    [anon_sym_SQUOTE] = ACTIONS(2412),
    [anon_sym_async] = ACTIONS(2412),
    [anon_sym_break] = ACTIONS(2412),
    [anon_sym_const] = ACTIONS(2412),
    [anon_sym_continue] = ACTIONS(2412),
    [anon_sym_default] = ACTIONS(2412),
    [anon_sym_enum] = ACTIONS(2412),
    [anon_sym_fn] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2412),
    [anon_sym_if] = ACTIONS(2412),
    [anon_sym_impl] = ACTIONS(2412),
    [anon_sym_let] = ACTIONS(2412),
    [anon_sym_loop] = ACTIONS(2412),
    [anon_sym_match] = ACTIONS(2412),
    [anon_sym_mod] = ACTIONS(2412),
    [anon_sym_pub] = ACTIONS(2412),
    [anon_sym_return] = ACTIONS(2412),
    [anon_sym_static] = ACTIONS(2412),
    [anon_sym_struct] = ACTIONS(2412),
    [anon_sym_trait] = ACTIONS(2412),
    [anon_sym_type] = ACTIONS(2412),
    [anon_sym_union] = ACTIONS(2412),
    [anon_sym_unsafe] = ACTIONS(2412),
    [anon_sym_use] = ACTIONS(2412),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_extern] = ACTIONS(2412),
    [anon_sym_yield] = ACTIONS(2412),
    [anon_sym_move] = ACTIONS(2412),
    [anon_sym_try] = ACTIONS(2412),
    [sym_integer_literal] = ACTIONS(2410),
    [aux_sym_string_literal_token1] = ACTIONS(2410),
    [sym_char_literal] = ACTIONS(2410),
    [anon_sym_true] = ACTIONS(2412),
    [anon_sym_false] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2412),
    [sym_super] = ACTIONS(2412),
    [sym_crate] = ACTIONS(2412),
    [sym_metavariable] = ACTIONS(2410),
    [sym__raw_string_literal_start] = ACTIONS(2410),
    [sym_float_literal] = ACTIONS(2410),
  },
  [657] = {
    [sym_line_comment] = STATE(657),
    [sym_block_comment] = STATE(657),
    [ts_builtin_sym_end] = ACTIONS(2414),
    [sym_identifier] = ACTIONS(2416),
    [anon_sym_SEMI] = ACTIONS(2414),
    [anon_sym_macro_rules_BANG] = ACTIONS(2414),
    [anon_sym_LPAREN] = ACTIONS(2414),
    [anon_sym_LBRACK] = ACTIONS(2414),
    [anon_sym_LBRACE] = ACTIONS(2414),
    [anon_sym_RBRACE] = ACTIONS(2414),
    [anon_sym_STAR] = ACTIONS(2414),
    [anon_sym_u8] = ACTIONS(2416),
    [anon_sym_i8] = ACTIONS(2416),
    [anon_sym_u16] = ACTIONS(2416),
    [anon_sym_i16] = ACTIONS(2416),
    [anon_sym_u32] = ACTIONS(2416),
    [anon_sym_i32] = ACTIONS(2416),
    [anon_sym_u64] = ACTIONS(2416),
    [anon_sym_i64] = ACTIONS(2416),
    [anon_sym_u128] = ACTIONS(2416),
    [anon_sym_i128] = ACTIONS(2416),
    [anon_sym_isize] = ACTIONS(2416),
    [anon_sym_usize] = ACTIONS(2416),
    [anon_sym_f32] = ACTIONS(2416),
    [anon_sym_f64] = ACTIONS(2416),
    [anon_sym_bool] = ACTIONS(2416),
    [anon_sym_str] = ACTIONS(2416),
    [anon_sym_char] = ACTIONS(2416),
    [anon_sym_DASH] = ACTIONS(2414),
    [anon_sym_BANG] = ACTIONS(2414),
    [anon_sym_AMP] = ACTIONS(2414),
    [anon_sym_PIPE] = ACTIONS(2414),
    [anon_sym_LT] = ACTIONS(2414),
    [anon_sym_DOT_DOT] = ACTIONS(2414),
    [anon_sym_COLON_COLON] = ACTIONS(2414),
    [anon_sym_POUND] = ACTIONS(2414),
    [anon_sym_SQUOTE] = ACTIONS(2416),
    [anon_sym_async] = ACTIONS(2416),
    [anon_sym_break] = ACTIONS(2416),
    [anon_sym_const] = ACTIONS(2416),
    [anon_sym_continue] = ACTIONS(2416),
    [anon_sym_default] = ACTIONS(2416),
    [anon_sym_enum] = ACTIONS(2416),
    [anon_sym_fn] = ACTIONS(2416),
    [anon_sym_for] = ACTIONS(2416),
    [anon_sym_if] = ACTIONS(2416),
    [anon_sym_impl] = ACTIONS(2416),
    [anon_sym_let] = ACTIONS(2416),
    [anon_sym_loop] = ACTIONS(2416),
    [anon_sym_match] = ACTIONS(2416),
    [anon_sym_mod] = ACTIONS(2416),
    [anon_sym_pub] = ACTIONS(2416),
    [anon_sym_return] = ACTIONS(2416),
    [anon_sym_static] = ACTIONS(2416),
    [anon_sym_struct] = ACTIONS(2416),
    [anon_sym_trait] = ACTIONS(2416),
    [anon_sym_type] = ACTIONS(2416),
    [anon_sym_union] = ACTIONS(2416),
    [anon_sym_unsafe] = ACTIONS(2416),
    [anon_sym_use] = ACTIONS(2416),
    [anon_sym_while] = ACTIONS(2416),
    [anon_sym_extern] = ACTIONS(2416),
    [anon_sym_yield] = ACTIONS(2416),
    [anon_sym_move] = ACTIONS(2416),
    [anon_sym_try] = ACTIONS(2416),
    [sym_integer_literal] = ACTIONS(2414),
    [aux_sym_string_literal_token1] = ACTIONS(2414),
    [sym_char_literal] = ACTIONS(2414),
    [anon_sym_true] = ACTIONS(2416),
    [anon_sym_false] = ACTIONS(2416),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2416),
    [sym_super] = ACTIONS(2416),
    [sym_crate] = ACTIONS(2416),
    [sym_metavariable] = ACTIONS(2414),
    [sym__raw_string_literal_start] = ACTIONS(2414),
    [sym_float_literal] = ACTIONS(2414),
  },
  [658] = {
    [sym_line_comment] = STATE(658),
    [sym_block_comment] = STATE(658),
    [ts_builtin_sym_end] = ACTIONS(2418),
    [sym_identifier] = ACTIONS(2420),
    [anon_sym_SEMI] = ACTIONS(2418),
    [anon_sym_macro_rules_BANG] = ACTIONS(2418),
    [anon_sym_LPAREN] = ACTIONS(2418),
    [anon_sym_LBRACK] = ACTIONS(2418),
    [anon_sym_LBRACE] = ACTIONS(2418),
    [anon_sym_RBRACE] = ACTIONS(2418),
    [anon_sym_STAR] = ACTIONS(2418),
    [anon_sym_u8] = ACTIONS(2420),
    [anon_sym_i8] = ACTIONS(2420),
    [anon_sym_u16] = ACTIONS(2420),
    [anon_sym_i16] = ACTIONS(2420),
    [anon_sym_u32] = ACTIONS(2420),
    [anon_sym_i32] = ACTIONS(2420),
    [anon_sym_u64] = ACTIONS(2420),
    [anon_sym_i64] = ACTIONS(2420),
    [anon_sym_u128] = ACTIONS(2420),
    [anon_sym_i128] = ACTIONS(2420),
    [anon_sym_isize] = ACTIONS(2420),
    [anon_sym_usize] = ACTIONS(2420),
    [anon_sym_f32] = ACTIONS(2420),
    [anon_sym_f64] = ACTIONS(2420),
    [anon_sym_bool] = ACTIONS(2420),
    [anon_sym_str] = ACTIONS(2420),
    [anon_sym_char] = ACTIONS(2420),
    [anon_sym_DASH] = ACTIONS(2418),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_AMP] = ACTIONS(2418),
    [anon_sym_PIPE] = ACTIONS(2418),
    [anon_sym_LT] = ACTIONS(2418),
    [anon_sym_DOT_DOT] = ACTIONS(2418),
    [anon_sym_COLON_COLON] = ACTIONS(2418),
    [anon_sym_POUND] = ACTIONS(2418),
    [anon_sym_SQUOTE] = ACTIONS(2420),
    [anon_sym_async] = ACTIONS(2420),
    [anon_sym_break] = ACTIONS(2420),
    [anon_sym_const] = ACTIONS(2420),
    [anon_sym_continue] = ACTIONS(2420),
    [anon_sym_default] = ACTIONS(2420),
    [anon_sym_enum] = ACTIONS(2420),
    [anon_sym_fn] = ACTIONS(2420),
    [anon_sym_for] = ACTIONS(2420),
    [anon_sym_if] = ACTIONS(2420),
    [anon_sym_impl] = ACTIONS(2420),
    [anon_sym_let] = ACTIONS(2420),
    [anon_sym_loop] = ACTIONS(2420),
    [anon_sym_match] = ACTIONS(2420),
    [anon_sym_mod] = ACTIONS(2420),
    [anon_sym_pub] = ACTIONS(2420),
    [anon_sym_return] = ACTIONS(2420),
    [anon_sym_static] = ACTIONS(2420),
    [anon_sym_struct] = ACTIONS(2420),
    [anon_sym_trait] = ACTIONS(2420),
    [anon_sym_type] = ACTIONS(2420),
    [anon_sym_union] = ACTIONS(2420),
    [anon_sym_unsafe] = ACTIONS(2420),
    [anon_sym_use] = ACTIONS(2420),
    [anon_sym_while] = ACTIONS(2420),
    [anon_sym_extern] = ACTIONS(2420),
    [anon_sym_yield] = ACTIONS(2420),
    [anon_sym_move] = ACTIONS(2420),
    [anon_sym_try] = ACTIONS(2420),
    [sym_integer_literal] = ACTIONS(2418),
    [aux_sym_string_literal_token1] = ACTIONS(2418),
    [sym_char_literal] = ACTIONS(2418),
    [anon_sym_true] = ACTIONS(2420),
    [anon_sym_false] = ACTIONS(2420),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2420),
    [sym_super] = ACTIONS(2420),
    [sym_crate] = ACTIONS(2420),
    [sym_metavariable] = ACTIONS(2418),
    [sym__raw_string_literal_start] = ACTIONS(2418),
    [sym_float_literal] = ACTIONS(2418),
  },
  [659] = {
    [sym_line_comment] = STATE(659),
    [sym_block_comment] = STATE(659),
    [ts_builtin_sym_end] = ACTIONS(2422),
    [sym_identifier] = ACTIONS(2424),
    [anon_sym_SEMI] = ACTIONS(2422),
    [anon_sym_macro_rules_BANG] = ACTIONS(2422),
    [anon_sym_LPAREN] = ACTIONS(2422),
    [anon_sym_LBRACK] = ACTIONS(2422),
    [anon_sym_LBRACE] = ACTIONS(2422),
    [anon_sym_RBRACE] = ACTIONS(2422),
    [anon_sym_STAR] = ACTIONS(2422),
    [anon_sym_u8] = ACTIONS(2424),
    [anon_sym_i8] = ACTIONS(2424),
    [anon_sym_u16] = ACTIONS(2424),
    [anon_sym_i16] = ACTIONS(2424),
    [anon_sym_u32] = ACTIONS(2424),
    [anon_sym_i32] = ACTIONS(2424),
    [anon_sym_u64] = ACTIONS(2424),
    [anon_sym_i64] = ACTIONS(2424),
    [anon_sym_u128] = ACTIONS(2424),
    [anon_sym_i128] = ACTIONS(2424),
    [anon_sym_isize] = ACTIONS(2424),
    [anon_sym_usize] = ACTIONS(2424),
    [anon_sym_f32] = ACTIONS(2424),
    [anon_sym_f64] = ACTIONS(2424),
    [anon_sym_bool] = ACTIONS(2424),
    [anon_sym_str] = ACTIONS(2424),
    [anon_sym_char] = ACTIONS(2424),
    [anon_sym_DASH] = ACTIONS(2422),
    [anon_sym_BANG] = ACTIONS(2422),
    [anon_sym_AMP] = ACTIONS(2422),
    [anon_sym_PIPE] = ACTIONS(2422),
    [anon_sym_LT] = ACTIONS(2422),
    [anon_sym_DOT_DOT] = ACTIONS(2422),
    [anon_sym_COLON_COLON] = ACTIONS(2422),
    [anon_sym_POUND] = ACTIONS(2422),
    [anon_sym_SQUOTE] = ACTIONS(2424),
    [anon_sym_async] = ACTIONS(2424),
    [anon_sym_break] = ACTIONS(2424),
    [anon_sym_const] = ACTIONS(2424),
    [anon_sym_continue] = ACTIONS(2424),
    [anon_sym_default] = ACTIONS(2424),
    [anon_sym_enum] = ACTIONS(2424),
    [anon_sym_fn] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2424),
    [anon_sym_impl] = ACTIONS(2424),
    [anon_sym_let] = ACTIONS(2424),
    [anon_sym_loop] = ACTIONS(2424),
    [anon_sym_match] = ACTIONS(2424),
    [anon_sym_mod] = ACTIONS(2424),
    [anon_sym_pub] = ACTIONS(2424),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_struct] = ACTIONS(2424),
    [anon_sym_trait] = ACTIONS(2424),
    [anon_sym_type] = ACTIONS(2424),
    [anon_sym_union] = ACTIONS(2424),
    [anon_sym_unsafe] = ACTIONS(2424),
    [anon_sym_use] = ACTIONS(2424),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_extern] = ACTIONS(2424),
    [anon_sym_yield] = ACTIONS(2424),
    [anon_sym_move] = ACTIONS(2424),
    [anon_sym_try] = ACTIONS(2424),
    [sym_integer_literal] = ACTIONS(2422),
    [aux_sym_string_literal_token1] = ACTIONS(2422),
    [sym_char_literal] = ACTIONS(2422),
    [anon_sym_true] = ACTIONS(2424),
    [anon_sym_false] = ACTIONS(2424),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2424),
    [sym_super] = ACTIONS(2424),
    [sym_crate] = ACTIONS(2424),
    [sym_metavariable] = ACTIONS(2422),
    [sym__raw_string_literal_start] = ACTIONS(2422),
    [sym_float_literal] = ACTIONS(2422),
  },
  [660] = {
    [sym_line_comment] = STATE(660),
    [sym_block_comment] = STATE(660),
    [ts_builtin_sym_end] = ACTIONS(2426),
    [sym_identifier] = ACTIONS(2428),
    [anon_sym_SEMI] = ACTIONS(2426),
    [anon_sym_macro_rules_BANG] = ACTIONS(2426),
    [anon_sym_LPAREN] = ACTIONS(2426),
    [anon_sym_LBRACK] = ACTIONS(2426),
    [anon_sym_LBRACE] = ACTIONS(2426),
    [anon_sym_RBRACE] = ACTIONS(2426),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_u8] = ACTIONS(2428),
    [anon_sym_i8] = ACTIONS(2428),
    [anon_sym_u16] = ACTIONS(2428),
    [anon_sym_i16] = ACTIONS(2428),
    [anon_sym_u32] = ACTIONS(2428),
    [anon_sym_i32] = ACTIONS(2428),
    [anon_sym_u64] = ACTIONS(2428),
    [anon_sym_i64] = ACTIONS(2428),
    [anon_sym_u128] = ACTIONS(2428),
    [anon_sym_i128] = ACTIONS(2428),
    [anon_sym_isize] = ACTIONS(2428),
    [anon_sym_usize] = ACTIONS(2428),
    [anon_sym_f32] = ACTIONS(2428),
    [anon_sym_f64] = ACTIONS(2428),
    [anon_sym_bool] = ACTIONS(2428),
    [anon_sym_str] = ACTIONS(2428),
    [anon_sym_char] = ACTIONS(2428),
    [anon_sym_DASH] = ACTIONS(2426),
    [anon_sym_BANG] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_PIPE] = ACTIONS(2426),
    [anon_sym_LT] = ACTIONS(2426),
    [anon_sym_DOT_DOT] = ACTIONS(2426),
    [anon_sym_COLON_COLON] = ACTIONS(2426),
    [anon_sym_POUND] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2428),
    [anon_sym_async] = ACTIONS(2428),
    [anon_sym_break] = ACTIONS(2428),
    [anon_sym_const] = ACTIONS(2428),
    [anon_sym_continue] = ACTIONS(2428),
    [anon_sym_default] = ACTIONS(2428),
    [anon_sym_enum] = ACTIONS(2428),
    [anon_sym_fn] = ACTIONS(2428),
    [anon_sym_for] = ACTIONS(2428),
    [anon_sym_if] = ACTIONS(2428),
    [anon_sym_impl] = ACTIONS(2428),
    [anon_sym_let] = ACTIONS(2428),
    [anon_sym_loop] = ACTIONS(2428),
    [anon_sym_match] = ACTIONS(2428),
    [anon_sym_mod] = ACTIONS(2428),
    [anon_sym_pub] = ACTIONS(2428),
    [anon_sym_return] = ACTIONS(2428),
    [anon_sym_static] = ACTIONS(2428),
    [anon_sym_struct] = ACTIONS(2428),
    [anon_sym_trait] = ACTIONS(2428),
    [anon_sym_type] = ACTIONS(2428),
    [anon_sym_union] = ACTIONS(2428),
    [anon_sym_unsafe] = ACTIONS(2428),
    [anon_sym_use] = ACTIONS(2428),
    [anon_sym_while] = ACTIONS(2428),
    [anon_sym_extern] = ACTIONS(2428),
    [anon_sym_yield] = ACTIONS(2428),
    [anon_sym_move] = ACTIONS(2428),
    [anon_sym_try] = ACTIONS(2428),
    [sym_integer_literal] = ACTIONS(2426),
    [aux_sym_string_literal_token1] = ACTIONS(2426),
    [sym_char_literal] = ACTIONS(2426),
    [anon_sym_true] = ACTIONS(2428),
    [anon_sym_false] = ACTIONS(2428),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2428),
    [sym_super] = ACTIONS(2428),
    [sym_crate] = ACTIONS(2428),
    [sym_metavariable] = ACTIONS(2426),
    [sym__raw_string_literal_start] = ACTIONS(2426),
    [sym_float_literal] = ACTIONS(2426),
  },
  [661] = {
    [sym_line_comment] = STATE(661),
    [sym_block_comment] = STATE(661),
    [ts_builtin_sym_end] = ACTIONS(2430),
    [sym_identifier] = ACTIONS(2432),
    [anon_sym_SEMI] = ACTIONS(2430),
    [anon_sym_macro_rules_BANG] = ACTIONS(2430),
    [anon_sym_LPAREN] = ACTIONS(2430),
    [anon_sym_LBRACK] = ACTIONS(2430),
    [anon_sym_LBRACE] = ACTIONS(2430),
    [anon_sym_RBRACE] = ACTIONS(2430),
    [anon_sym_STAR] = ACTIONS(2430),
    [anon_sym_u8] = ACTIONS(2432),
    [anon_sym_i8] = ACTIONS(2432),
    [anon_sym_u16] = ACTIONS(2432),
    [anon_sym_i16] = ACTIONS(2432),
    [anon_sym_u32] = ACTIONS(2432),
    [anon_sym_i32] = ACTIONS(2432),
    [anon_sym_u64] = ACTIONS(2432),
    [anon_sym_i64] = ACTIONS(2432),
    [anon_sym_u128] = ACTIONS(2432),
    [anon_sym_i128] = ACTIONS(2432),
    [anon_sym_isize] = ACTIONS(2432),
    [anon_sym_usize] = ACTIONS(2432),
    [anon_sym_f32] = ACTIONS(2432),
    [anon_sym_f64] = ACTIONS(2432),
    [anon_sym_bool] = ACTIONS(2432),
    [anon_sym_str] = ACTIONS(2432),
    [anon_sym_char] = ACTIONS(2432),
    [anon_sym_DASH] = ACTIONS(2430),
    [anon_sym_BANG] = ACTIONS(2430),
    [anon_sym_AMP] = ACTIONS(2430),
    [anon_sym_PIPE] = ACTIONS(2430),
    [anon_sym_LT] = ACTIONS(2430),
    [anon_sym_DOT_DOT] = ACTIONS(2430),
    [anon_sym_COLON_COLON] = ACTIONS(2430),
    [anon_sym_POUND] = ACTIONS(2430),
    [anon_sym_SQUOTE] = ACTIONS(2432),
    [anon_sym_async] = ACTIONS(2432),
    [anon_sym_break] = ACTIONS(2432),
    [anon_sym_const] = ACTIONS(2432),
    [anon_sym_continue] = ACTIONS(2432),
    [anon_sym_default] = ACTIONS(2432),
    [anon_sym_enum] = ACTIONS(2432),
    [anon_sym_fn] = ACTIONS(2432),
    [anon_sym_for] = ACTIONS(2432),
    [anon_sym_if] = ACTIONS(2432),
    [anon_sym_impl] = ACTIONS(2432),
    [anon_sym_let] = ACTIONS(2432),
    [anon_sym_loop] = ACTIONS(2432),
    [anon_sym_match] = ACTIONS(2432),
    [anon_sym_mod] = ACTIONS(2432),
    [anon_sym_pub] = ACTIONS(2432),
    [anon_sym_return] = ACTIONS(2432),
    [anon_sym_static] = ACTIONS(2432),
    [anon_sym_struct] = ACTIONS(2432),
    [anon_sym_trait] = ACTIONS(2432),
    [anon_sym_type] = ACTIONS(2432),
    [anon_sym_union] = ACTIONS(2432),
    [anon_sym_unsafe] = ACTIONS(2432),
    [anon_sym_use] = ACTIONS(2432),
    [anon_sym_while] = ACTIONS(2432),
    [anon_sym_extern] = ACTIONS(2432),
    [anon_sym_yield] = ACTIONS(2432),
    [anon_sym_move] = ACTIONS(2432),
    [anon_sym_try] = ACTIONS(2432),
    [sym_integer_literal] = ACTIONS(2430),
    [aux_sym_string_literal_token1] = ACTIONS(2430),
    [sym_char_literal] = ACTIONS(2430),
    [anon_sym_true] = ACTIONS(2432),
    [anon_sym_false] = ACTIONS(2432),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2432),
    [sym_super] = ACTIONS(2432),
    [sym_crate] = ACTIONS(2432),
    [sym_metavariable] = ACTIONS(2430),
    [sym__raw_string_literal_start] = ACTIONS(2430),
    [sym_float_literal] = ACTIONS(2430),
  },
  [662] = {
    [sym_line_comment] = STATE(662),
    [sym_block_comment] = STATE(662),
    [ts_builtin_sym_end] = ACTIONS(2434),
    [sym_identifier] = ACTIONS(2436),
    [anon_sym_SEMI] = ACTIONS(2434),
    [anon_sym_macro_rules_BANG] = ACTIONS(2434),
    [anon_sym_LPAREN] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym_LBRACE] = ACTIONS(2434),
    [anon_sym_RBRACE] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(2434),
    [anon_sym_u8] = ACTIONS(2436),
    [anon_sym_i8] = ACTIONS(2436),
    [anon_sym_u16] = ACTIONS(2436),
    [anon_sym_i16] = ACTIONS(2436),
    [anon_sym_u32] = ACTIONS(2436),
    [anon_sym_i32] = ACTIONS(2436),
    [anon_sym_u64] = ACTIONS(2436),
    [anon_sym_i64] = ACTIONS(2436),
    [anon_sym_u128] = ACTIONS(2436),
    [anon_sym_i128] = ACTIONS(2436),
    [anon_sym_isize] = ACTIONS(2436),
    [anon_sym_usize] = ACTIONS(2436),
    [anon_sym_f32] = ACTIONS(2436),
    [anon_sym_f64] = ACTIONS(2436),
    [anon_sym_bool] = ACTIONS(2436),
    [anon_sym_str] = ACTIONS(2436),
    [anon_sym_char] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_BANG] = ACTIONS(2434),
    [anon_sym_AMP] = ACTIONS(2434),
    [anon_sym_PIPE] = ACTIONS(2434),
    [anon_sym_LT] = ACTIONS(2434),
    [anon_sym_DOT_DOT] = ACTIONS(2434),
    [anon_sym_COLON_COLON] = ACTIONS(2434),
    [anon_sym_POUND] = ACTIONS(2434),
    [anon_sym_SQUOTE] = ACTIONS(2436),
    [anon_sym_async] = ACTIONS(2436),
    [anon_sym_break] = ACTIONS(2436),
    [anon_sym_const] = ACTIONS(2436),
    [anon_sym_continue] = ACTIONS(2436),
    [anon_sym_default] = ACTIONS(2436),
    [anon_sym_enum] = ACTIONS(2436),
    [anon_sym_fn] = ACTIONS(2436),
    [anon_sym_for] = ACTIONS(2436),
    [anon_sym_if] = ACTIONS(2436),
    [anon_sym_impl] = ACTIONS(2436),
    [anon_sym_let] = ACTIONS(2436),
    [anon_sym_loop] = ACTIONS(2436),
    [anon_sym_match] = ACTIONS(2436),
    [anon_sym_mod] = ACTIONS(2436),
    [anon_sym_pub] = ACTIONS(2436),
    [anon_sym_return] = ACTIONS(2436),
    [anon_sym_static] = ACTIONS(2436),
    [anon_sym_struct] = ACTIONS(2436),
    [anon_sym_trait] = ACTIONS(2436),
    [anon_sym_type] = ACTIONS(2436),
    [anon_sym_union] = ACTIONS(2436),
    [anon_sym_unsafe] = ACTIONS(2436),
    [anon_sym_use] = ACTIONS(2436),
    [anon_sym_while] = ACTIONS(2436),
    [anon_sym_extern] = ACTIONS(2436),
    [anon_sym_yield] = ACTIONS(2436),
    [anon_sym_move] = ACTIONS(2436),
    [anon_sym_try] = ACTIONS(2436),
    [sym_integer_literal] = ACTIONS(2434),
    [aux_sym_string_literal_token1] = ACTIONS(2434),
    [sym_char_literal] = ACTIONS(2434),
    [anon_sym_true] = ACTIONS(2436),
    [anon_sym_false] = ACTIONS(2436),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2436),
    [sym_super] = ACTIONS(2436),
    [sym_crate] = ACTIONS(2436),
    [sym_metavariable] = ACTIONS(2434),
    [sym__raw_string_literal_start] = ACTIONS(2434),
    [sym_float_literal] = ACTIONS(2434),
  },
  [663] = {
    [sym_line_comment] = STATE(663),
    [sym_block_comment] = STATE(663),
    [ts_builtin_sym_end] = ACTIONS(1244),
    [sym_identifier] = ACTIONS(1246),
    [anon_sym_SEMI] = ACTIONS(1244),
    [anon_sym_macro_rules_BANG] = ACTIONS(1244),
    [anon_sym_LPAREN] = ACTIONS(1244),
    [anon_sym_LBRACK] = ACTIONS(1244),
    [anon_sym_LBRACE] = ACTIONS(1244),
    [anon_sym_RBRACE] = ACTIONS(1244),
    [anon_sym_STAR] = ACTIONS(1244),
    [anon_sym_u8] = ACTIONS(1246),
    [anon_sym_i8] = ACTIONS(1246),
    [anon_sym_u16] = ACTIONS(1246),
    [anon_sym_i16] = ACTIONS(1246),
    [anon_sym_u32] = ACTIONS(1246),
    [anon_sym_i32] = ACTIONS(1246),
    [anon_sym_u64] = ACTIONS(1246),
    [anon_sym_i64] = ACTIONS(1246),
    [anon_sym_u128] = ACTIONS(1246),
    [anon_sym_i128] = ACTIONS(1246),
    [anon_sym_isize] = ACTIONS(1246),
    [anon_sym_usize] = ACTIONS(1246),
    [anon_sym_f32] = ACTIONS(1246),
    [anon_sym_f64] = ACTIONS(1246),
    [anon_sym_bool] = ACTIONS(1246),
    [anon_sym_str] = ACTIONS(1246),
    [anon_sym_char] = ACTIONS(1246),
    [anon_sym_DASH] = ACTIONS(1244),
    [anon_sym_BANG] = ACTIONS(1244),
    [anon_sym_AMP] = ACTIONS(1244),
    [anon_sym_PIPE] = ACTIONS(1244),
    [anon_sym_LT] = ACTIONS(1244),
    [anon_sym_DOT_DOT] = ACTIONS(1244),
    [anon_sym_COLON_COLON] = ACTIONS(1244),
    [anon_sym_POUND] = ACTIONS(1244),
    [anon_sym_SQUOTE] = ACTIONS(1246),
    [anon_sym_async] = ACTIONS(1246),
    [anon_sym_break] = ACTIONS(1246),
    [anon_sym_const] = ACTIONS(1246),
    [anon_sym_continue] = ACTIONS(1246),
    [anon_sym_default] = ACTIONS(1246),
    [anon_sym_enum] = ACTIONS(1246),
    [anon_sym_fn] = ACTIONS(1246),
    [anon_sym_for] = ACTIONS(1246),
    [anon_sym_if] = ACTIONS(1246),
    [anon_sym_impl] = ACTIONS(1246),
    [anon_sym_let] = ACTIONS(1246),
    [anon_sym_loop] = ACTIONS(1246),
    [anon_sym_match] = ACTIONS(1246),
    [anon_sym_mod] = ACTIONS(1246),
    [anon_sym_pub] = ACTIONS(1246),
    [anon_sym_return] = ACTIONS(1246),
    [anon_sym_static] = ACTIONS(1246),
    [anon_sym_struct] = ACTIONS(1246),
    [anon_sym_trait] = ACTIONS(1246),
    [anon_sym_type] = ACTIONS(1246),
    [anon_sym_union] = ACTIONS(1246),
    [anon_sym_unsafe] = ACTIONS(1246),
    [anon_sym_use] = ACTIONS(1246),
    [anon_sym_while] = ACTIONS(1246),
    [anon_sym_extern] = ACTIONS(1246),
    [anon_sym_yield] = ACTIONS(1246),
    [anon_sym_move] = ACTIONS(1246),
    [anon_sym_try] = ACTIONS(1246),
    [sym_integer_literal] = ACTIONS(1244),
    [aux_sym_string_literal_token1] = ACTIONS(1244),
    [sym_char_literal] = ACTIONS(1244),
    [anon_sym_true] = ACTIONS(1246),
    [anon_sym_false] = ACTIONS(1246),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1246),
    [sym_super] = ACTIONS(1246),
    [sym_crate] = ACTIONS(1246),
    [sym_metavariable] = ACTIONS(1244),
    [sym__raw_string_literal_start] = ACTIONS(1244),
    [sym_float_literal] = ACTIONS(1244),
  },
  [664] = {
    [sym_line_comment] = STATE(664),
    [sym_block_comment] = STATE(664),
    [ts_builtin_sym_end] = ACTIONS(2438),
    [sym_identifier] = ACTIONS(2440),
    [anon_sym_SEMI] = ACTIONS(2438),
    [anon_sym_macro_rules_BANG] = ACTIONS(2438),
    [anon_sym_LPAREN] = ACTIONS(2438),
    [anon_sym_LBRACK] = ACTIONS(2438),
    [anon_sym_LBRACE] = ACTIONS(2438),
    [anon_sym_RBRACE] = ACTIONS(2438),
    [anon_sym_STAR] = ACTIONS(2438),
    [anon_sym_u8] = ACTIONS(2440),
    [anon_sym_i8] = ACTIONS(2440),
    [anon_sym_u16] = ACTIONS(2440),
    [anon_sym_i16] = ACTIONS(2440),
    [anon_sym_u32] = ACTIONS(2440),
    [anon_sym_i32] = ACTIONS(2440),
    [anon_sym_u64] = ACTIONS(2440),
    [anon_sym_i64] = ACTIONS(2440),
    [anon_sym_u128] = ACTIONS(2440),
    [anon_sym_i128] = ACTIONS(2440),
    [anon_sym_isize] = ACTIONS(2440),
    [anon_sym_usize] = ACTIONS(2440),
    [anon_sym_f32] = ACTIONS(2440),
    [anon_sym_f64] = ACTIONS(2440),
    [anon_sym_bool] = ACTIONS(2440),
    [anon_sym_str] = ACTIONS(2440),
    [anon_sym_char] = ACTIONS(2440),
    [anon_sym_DASH] = ACTIONS(2438),
    [anon_sym_BANG] = ACTIONS(2438),
    [anon_sym_AMP] = ACTIONS(2438),
    [anon_sym_PIPE] = ACTIONS(2438),
    [anon_sym_LT] = ACTIONS(2438),
    [anon_sym_DOT_DOT] = ACTIONS(2438),
    [anon_sym_COLON_COLON] = ACTIONS(2438),
    [anon_sym_POUND] = ACTIONS(2438),
    [anon_sym_SQUOTE] = ACTIONS(2440),
    [anon_sym_async] = ACTIONS(2440),
    [anon_sym_break] = ACTIONS(2440),
    [anon_sym_const] = ACTIONS(2440),
    [anon_sym_continue] = ACTIONS(2440),
    [anon_sym_default] = ACTIONS(2440),
    [anon_sym_enum] = ACTIONS(2440),
    [anon_sym_fn] = ACTIONS(2440),
    [anon_sym_for] = ACTIONS(2440),
    [anon_sym_if] = ACTIONS(2440),
    [anon_sym_impl] = ACTIONS(2440),
    [anon_sym_let] = ACTIONS(2440),
    [anon_sym_loop] = ACTIONS(2440),
    [anon_sym_match] = ACTIONS(2440),
    [anon_sym_mod] = ACTIONS(2440),
    [anon_sym_pub] = ACTIONS(2440),
    [anon_sym_return] = ACTIONS(2440),
    [anon_sym_static] = ACTIONS(2440),
    [anon_sym_struct] = ACTIONS(2440),
    [anon_sym_trait] = ACTIONS(2440),
    [anon_sym_type] = ACTIONS(2440),
    [anon_sym_union] = ACTIONS(2440),
    [anon_sym_unsafe] = ACTIONS(2440),
    [anon_sym_use] = ACTIONS(2440),
    [anon_sym_while] = ACTIONS(2440),
    [anon_sym_extern] = ACTIONS(2440),
    [anon_sym_yield] = ACTIONS(2440),
    [anon_sym_move] = ACTIONS(2440),
    [anon_sym_try] = ACTIONS(2440),
    [sym_integer_literal] = ACTIONS(2438),
    [aux_sym_string_literal_token1] = ACTIONS(2438),
    [sym_char_literal] = ACTIONS(2438),
    [anon_sym_true] = ACTIONS(2440),
    [anon_sym_false] = ACTIONS(2440),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2440),
    [sym_super] = ACTIONS(2440),
    [sym_crate] = ACTIONS(2440),
    [sym_metavariable] = ACTIONS(2438),
    [sym__raw_string_literal_start] = ACTIONS(2438),
    [sym_float_literal] = ACTIONS(2438),
  },
  [665] = {
    [sym_line_comment] = STATE(665),
    [sym_block_comment] = STATE(665),
    [ts_builtin_sym_end] = ACTIONS(2442),
    [sym_identifier] = ACTIONS(2444),
    [anon_sym_SEMI] = ACTIONS(2442),
    [anon_sym_macro_rules_BANG] = ACTIONS(2442),
    [anon_sym_LPAREN] = ACTIONS(2442),
    [anon_sym_LBRACK] = ACTIONS(2442),
    [anon_sym_LBRACE] = ACTIONS(2442),
    [anon_sym_RBRACE] = ACTIONS(2442),
    [anon_sym_STAR] = ACTIONS(2442),
    [anon_sym_u8] = ACTIONS(2444),
    [anon_sym_i8] = ACTIONS(2444),
    [anon_sym_u16] = ACTIONS(2444),
    [anon_sym_i16] = ACTIONS(2444),
    [anon_sym_u32] = ACTIONS(2444),
    [anon_sym_i32] = ACTIONS(2444),
    [anon_sym_u64] = ACTIONS(2444),
    [anon_sym_i64] = ACTIONS(2444),
    [anon_sym_u128] = ACTIONS(2444),
    [anon_sym_i128] = ACTIONS(2444),
    [anon_sym_isize] = ACTIONS(2444),
    [anon_sym_usize] = ACTIONS(2444),
    [anon_sym_f32] = ACTIONS(2444),
    [anon_sym_f64] = ACTIONS(2444),
    [anon_sym_bool] = ACTIONS(2444),
    [anon_sym_str] = ACTIONS(2444),
    [anon_sym_char] = ACTIONS(2444),
    [anon_sym_DASH] = ACTIONS(2442),
    [anon_sym_BANG] = ACTIONS(2442),
    [anon_sym_AMP] = ACTIONS(2442),
    [anon_sym_PIPE] = ACTIONS(2442),
    [anon_sym_LT] = ACTIONS(2442),
    [anon_sym_DOT_DOT] = ACTIONS(2442),
    [anon_sym_COLON_COLON] = ACTIONS(2442),
    [anon_sym_POUND] = ACTIONS(2442),
    [anon_sym_SQUOTE] = ACTIONS(2444),
    [anon_sym_async] = ACTIONS(2444),
    [anon_sym_break] = ACTIONS(2444),
    [anon_sym_const] = ACTIONS(2444),
    [anon_sym_continue] = ACTIONS(2444),
    [anon_sym_default] = ACTIONS(2444),
    [anon_sym_enum] = ACTIONS(2444),
    [anon_sym_fn] = ACTIONS(2444),
    [anon_sym_for] = ACTIONS(2444),
    [anon_sym_if] = ACTIONS(2444),
    [anon_sym_impl] = ACTIONS(2444),
    [anon_sym_let] = ACTIONS(2444),
    [anon_sym_loop] = ACTIONS(2444),
    [anon_sym_match] = ACTIONS(2444),
    [anon_sym_mod] = ACTIONS(2444),
    [anon_sym_pub] = ACTIONS(2444),
    [anon_sym_return] = ACTIONS(2444),
    [anon_sym_static] = ACTIONS(2444),
    [anon_sym_struct] = ACTIONS(2444),
    [anon_sym_trait] = ACTIONS(2444),
    [anon_sym_type] = ACTIONS(2444),
    [anon_sym_union] = ACTIONS(2444),
    [anon_sym_unsafe] = ACTIONS(2444),
    [anon_sym_use] = ACTIONS(2444),
    [anon_sym_while] = ACTIONS(2444),
    [anon_sym_extern] = ACTIONS(2444),
    [anon_sym_yield] = ACTIONS(2444),
    [anon_sym_move] = ACTIONS(2444),
    [anon_sym_try] = ACTIONS(2444),
    [sym_integer_literal] = ACTIONS(2442),
    [aux_sym_string_literal_token1] = ACTIONS(2442),
    [sym_char_literal] = ACTIONS(2442),
    [anon_sym_true] = ACTIONS(2444),
    [anon_sym_false] = ACTIONS(2444),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2444),
    [sym_super] = ACTIONS(2444),
    [sym_crate] = ACTIONS(2444),
    [sym_metavariable] = ACTIONS(2442),
    [sym__raw_string_literal_start] = ACTIONS(2442),
    [sym_float_literal] = ACTIONS(2442),
  },
  [666] = {
    [sym_line_comment] = STATE(666),
    [sym_block_comment] = STATE(666),
    [ts_builtin_sym_end] = ACTIONS(2446),
    [sym_identifier] = ACTIONS(2448),
    [anon_sym_SEMI] = ACTIONS(2446),
    [anon_sym_macro_rules_BANG] = ACTIONS(2446),
    [anon_sym_LPAREN] = ACTIONS(2446),
    [anon_sym_LBRACK] = ACTIONS(2446),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_RBRACE] = ACTIONS(2446),
    [anon_sym_STAR] = ACTIONS(2446),
    [anon_sym_u8] = ACTIONS(2448),
    [anon_sym_i8] = ACTIONS(2448),
    [anon_sym_u16] = ACTIONS(2448),
    [anon_sym_i16] = ACTIONS(2448),
    [anon_sym_u32] = ACTIONS(2448),
    [anon_sym_i32] = ACTIONS(2448),
    [anon_sym_u64] = ACTIONS(2448),
    [anon_sym_i64] = ACTIONS(2448),
    [anon_sym_u128] = ACTIONS(2448),
    [anon_sym_i128] = ACTIONS(2448),
    [anon_sym_isize] = ACTIONS(2448),
    [anon_sym_usize] = ACTIONS(2448),
    [anon_sym_f32] = ACTIONS(2448),
    [anon_sym_f64] = ACTIONS(2448),
    [anon_sym_bool] = ACTIONS(2448),
    [anon_sym_str] = ACTIONS(2448),
    [anon_sym_char] = ACTIONS(2448),
    [anon_sym_DASH] = ACTIONS(2446),
    [anon_sym_BANG] = ACTIONS(2446),
    [anon_sym_AMP] = ACTIONS(2446),
    [anon_sym_PIPE] = ACTIONS(2446),
    [anon_sym_LT] = ACTIONS(2446),
    [anon_sym_DOT_DOT] = ACTIONS(2446),
    [anon_sym_COLON_COLON] = ACTIONS(2446),
    [anon_sym_POUND] = ACTIONS(2446),
    [anon_sym_SQUOTE] = ACTIONS(2448),
    [anon_sym_async] = ACTIONS(2448),
    [anon_sym_break] = ACTIONS(2448),
    [anon_sym_const] = ACTIONS(2448),
    [anon_sym_continue] = ACTIONS(2448),
    [anon_sym_default] = ACTIONS(2448),
    [anon_sym_enum] = ACTIONS(2448),
    [anon_sym_fn] = ACTIONS(2448),
    [anon_sym_for] = ACTIONS(2448),
    [anon_sym_if] = ACTIONS(2448),
    [anon_sym_impl] = ACTIONS(2448),
    [anon_sym_let] = ACTIONS(2448),
    [anon_sym_loop] = ACTIONS(2448),
    [anon_sym_match] = ACTIONS(2448),
    [anon_sym_mod] = ACTIONS(2448),
    [anon_sym_pub] = ACTIONS(2448),
    [anon_sym_return] = ACTIONS(2448),
    [anon_sym_static] = ACTIONS(2448),
    [anon_sym_struct] = ACTIONS(2448),
    [anon_sym_trait] = ACTIONS(2448),
    [anon_sym_type] = ACTIONS(2448),
    [anon_sym_union] = ACTIONS(2448),
    [anon_sym_unsafe] = ACTIONS(2448),
    [anon_sym_use] = ACTIONS(2448),
    [anon_sym_while] = ACTIONS(2448),
    [anon_sym_extern] = ACTIONS(2448),
    [anon_sym_yield] = ACTIONS(2448),
    [anon_sym_move] = ACTIONS(2448),
    [anon_sym_try] = ACTIONS(2448),
    [sym_integer_literal] = ACTIONS(2446),
    [aux_sym_string_literal_token1] = ACTIONS(2446),
    [sym_char_literal] = ACTIONS(2446),
    [anon_sym_true] = ACTIONS(2448),
    [anon_sym_false] = ACTIONS(2448),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2448),
    [sym_super] = ACTIONS(2448),
    [sym_crate] = ACTIONS(2448),
    [sym_metavariable] = ACTIONS(2446),
    [sym__raw_string_literal_start] = ACTIONS(2446),
    [sym_float_literal] = ACTIONS(2446),
  },
  [667] = {
    [sym_line_comment] = STATE(667),
    [sym_block_comment] = STATE(667),
    [ts_builtin_sym_end] = ACTIONS(2450),
    [sym_identifier] = ACTIONS(2452),
    [anon_sym_SEMI] = ACTIONS(2450),
    [anon_sym_macro_rules_BANG] = ACTIONS(2450),
    [anon_sym_LPAREN] = ACTIONS(2450),
    [anon_sym_LBRACK] = ACTIONS(2450),
    [anon_sym_LBRACE] = ACTIONS(2450),
    [anon_sym_RBRACE] = ACTIONS(2450),
    [anon_sym_STAR] = ACTIONS(2450),
    [anon_sym_u8] = ACTIONS(2452),
    [anon_sym_i8] = ACTIONS(2452),
    [anon_sym_u16] = ACTIONS(2452),
    [anon_sym_i16] = ACTIONS(2452),
    [anon_sym_u32] = ACTIONS(2452),
    [anon_sym_i32] = ACTIONS(2452),
    [anon_sym_u64] = ACTIONS(2452),
    [anon_sym_i64] = ACTIONS(2452),
    [anon_sym_u128] = ACTIONS(2452),
    [anon_sym_i128] = ACTIONS(2452),
    [anon_sym_isize] = ACTIONS(2452),
    [anon_sym_usize] = ACTIONS(2452),
    [anon_sym_f32] = ACTIONS(2452),
    [anon_sym_f64] = ACTIONS(2452),
    [anon_sym_bool] = ACTIONS(2452),
    [anon_sym_str] = ACTIONS(2452),
    [anon_sym_char] = ACTIONS(2452),
    [anon_sym_DASH] = ACTIONS(2450),
    [anon_sym_BANG] = ACTIONS(2450),
    [anon_sym_AMP] = ACTIONS(2450),
    [anon_sym_PIPE] = ACTIONS(2450),
    [anon_sym_LT] = ACTIONS(2450),
    [anon_sym_DOT_DOT] = ACTIONS(2450),
    [anon_sym_COLON_COLON] = ACTIONS(2450),
    [anon_sym_POUND] = ACTIONS(2450),
    [anon_sym_SQUOTE] = ACTIONS(2452),
    [anon_sym_async] = ACTIONS(2452),
    [anon_sym_break] = ACTIONS(2452),
    [anon_sym_const] = ACTIONS(2452),
    [anon_sym_continue] = ACTIONS(2452),
    [anon_sym_default] = ACTIONS(2452),
    [anon_sym_enum] = ACTIONS(2452),
    [anon_sym_fn] = ACTIONS(2452),
    [anon_sym_for] = ACTIONS(2452),
    [anon_sym_if] = ACTIONS(2452),
    [anon_sym_impl] = ACTIONS(2452),
    [anon_sym_let] = ACTIONS(2452),
    [anon_sym_loop] = ACTIONS(2452),
    [anon_sym_match] = ACTIONS(2452),
    [anon_sym_mod] = ACTIONS(2452),
    [anon_sym_pub] = ACTIONS(2452),
    [anon_sym_return] = ACTIONS(2452),
    [anon_sym_static] = ACTIONS(2452),
    [anon_sym_struct] = ACTIONS(2452),
    [anon_sym_trait] = ACTIONS(2452),
    [anon_sym_type] = ACTIONS(2452),
    [anon_sym_union] = ACTIONS(2452),
    [anon_sym_unsafe] = ACTIONS(2452),
    [anon_sym_use] = ACTIONS(2452),
    [anon_sym_while] = ACTIONS(2452),
    [anon_sym_extern] = ACTIONS(2452),
    [anon_sym_yield] = ACTIONS(2452),
    [anon_sym_move] = ACTIONS(2452),
    [anon_sym_try] = ACTIONS(2452),
    [sym_integer_literal] = ACTIONS(2450),
    [aux_sym_string_literal_token1] = ACTIONS(2450),
    [sym_char_literal] = ACTIONS(2450),
    [anon_sym_true] = ACTIONS(2452),
    [anon_sym_false] = ACTIONS(2452),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2452),
    [sym_super] = ACTIONS(2452),
    [sym_crate] = ACTIONS(2452),
    [sym_metavariable] = ACTIONS(2450),
    [sym__raw_string_literal_start] = ACTIONS(2450),
    [sym_float_literal] = ACTIONS(2450),
  },
  [668] = {
    [sym_line_comment] = STATE(668),
    [sym_block_comment] = STATE(668),
    [ts_builtin_sym_end] = ACTIONS(2454),
    [sym_identifier] = ACTIONS(2456),
    [anon_sym_SEMI] = ACTIONS(2454),
    [anon_sym_macro_rules_BANG] = ACTIONS(2454),
    [anon_sym_LPAREN] = ACTIONS(2454),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_LBRACE] = ACTIONS(2454),
    [anon_sym_RBRACE] = ACTIONS(2454),
    [anon_sym_STAR] = ACTIONS(2454),
    [anon_sym_u8] = ACTIONS(2456),
    [anon_sym_i8] = ACTIONS(2456),
    [anon_sym_u16] = ACTIONS(2456),
    [anon_sym_i16] = ACTIONS(2456),
    [anon_sym_u32] = ACTIONS(2456),
    [anon_sym_i32] = ACTIONS(2456),
    [anon_sym_u64] = ACTIONS(2456),
    [anon_sym_i64] = ACTIONS(2456),
    [anon_sym_u128] = ACTIONS(2456),
    [anon_sym_i128] = ACTIONS(2456),
    [anon_sym_isize] = ACTIONS(2456),
    [anon_sym_usize] = ACTIONS(2456),
    [anon_sym_f32] = ACTIONS(2456),
    [anon_sym_f64] = ACTIONS(2456),
    [anon_sym_bool] = ACTIONS(2456),
    [anon_sym_str] = ACTIONS(2456),
    [anon_sym_char] = ACTIONS(2456),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_BANG] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_PIPE] = ACTIONS(2454),
    [anon_sym_LT] = ACTIONS(2454),
    [anon_sym_DOT_DOT] = ACTIONS(2454),
    [anon_sym_COLON_COLON] = ACTIONS(2454),
    [anon_sym_POUND] = ACTIONS(2454),
    [anon_sym_SQUOTE] = ACTIONS(2456),
    [anon_sym_async] = ACTIONS(2456),
    [anon_sym_break] = ACTIONS(2456),
    [anon_sym_const] = ACTIONS(2456),
    [anon_sym_continue] = ACTIONS(2456),
    [anon_sym_default] = ACTIONS(2456),
    [anon_sym_enum] = ACTIONS(2456),
    [anon_sym_fn] = ACTIONS(2456),
    [anon_sym_for] = ACTIONS(2456),
    [anon_sym_if] = ACTIONS(2456),
    [anon_sym_impl] = ACTIONS(2456),
    [anon_sym_let] = ACTIONS(2456),
    [anon_sym_loop] = ACTIONS(2456),
    [anon_sym_match] = ACTIONS(2456),
    [anon_sym_mod] = ACTIONS(2456),
    [anon_sym_pub] = ACTIONS(2456),
    [anon_sym_return] = ACTIONS(2456),
    [anon_sym_static] = ACTIONS(2456),
    [anon_sym_struct] = ACTIONS(2456),
    [anon_sym_trait] = ACTIONS(2456),
    [anon_sym_type] = ACTIONS(2456),
    [anon_sym_union] = ACTIONS(2456),
    [anon_sym_unsafe] = ACTIONS(2456),
    [anon_sym_use] = ACTIONS(2456),
    [anon_sym_while] = ACTIONS(2456),
    [anon_sym_extern] = ACTIONS(2456),
    [anon_sym_yield] = ACTIONS(2456),
    [anon_sym_move] = ACTIONS(2456),
    [anon_sym_try] = ACTIONS(2456),
    [sym_integer_literal] = ACTIONS(2454),
    [aux_sym_string_literal_token1] = ACTIONS(2454),
    [sym_char_literal] = ACTIONS(2454),
    [anon_sym_true] = ACTIONS(2456),
    [anon_sym_false] = ACTIONS(2456),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2456),
    [sym_super] = ACTIONS(2456),
    [sym_crate] = ACTIONS(2456),
    [sym_metavariable] = ACTIONS(2454),
    [sym__raw_string_literal_start] = ACTIONS(2454),
    [sym_float_literal] = ACTIONS(2454),
  },
  [669] = {
    [sym_line_comment] = STATE(669),
    [sym_block_comment] = STATE(669),
    [ts_builtin_sym_end] = ACTIONS(1240),
    [sym_identifier] = ACTIONS(1242),
    [anon_sym_SEMI] = ACTIONS(1240),
    [anon_sym_macro_rules_BANG] = ACTIONS(1240),
    [anon_sym_LPAREN] = ACTIONS(1240),
    [anon_sym_LBRACK] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1240),
    [anon_sym_RBRACE] = ACTIONS(1240),
    [anon_sym_STAR] = ACTIONS(1240),
    [anon_sym_u8] = ACTIONS(1242),
    [anon_sym_i8] = ACTIONS(1242),
    [anon_sym_u16] = ACTIONS(1242),
    [anon_sym_i16] = ACTIONS(1242),
    [anon_sym_u32] = ACTIONS(1242),
    [anon_sym_i32] = ACTIONS(1242),
    [anon_sym_u64] = ACTIONS(1242),
    [anon_sym_i64] = ACTIONS(1242),
    [anon_sym_u128] = ACTIONS(1242),
    [anon_sym_i128] = ACTIONS(1242),
    [anon_sym_isize] = ACTIONS(1242),
    [anon_sym_usize] = ACTIONS(1242),
    [anon_sym_f32] = ACTIONS(1242),
    [anon_sym_f64] = ACTIONS(1242),
    [anon_sym_bool] = ACTIONS(1242),
    [anon_sym_str] = ACTIONS(1242),
    [anon_sym_char] = ACTIONS(1242),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_BANG] = ACTIONS(1240),
    [anon_sym_AMP] = ACTIONS(1240),
    [anon_sym_PIPE] = ACTIONS(1240),
    [anon_sym_LT] = ACTIONS(1240),
    [anon_sym_DOT_DOT] = ACTIONS(1240),
    [anon_sym_COLON_COLON] = ACTIONS(1240),
    [anon_sym_POUND] = ACTIONS(1240),
    [anon_sym_SQUOTE] = ACTIONS(1242),
    [anon_sym_async] = ACTIONS(1242),
    [anon_sym_break] = ACTIONS(1242),
    [anon_sym_const] = ACTIONS(1242),
    [anon_sym_continue] = ACTIONS(1242),
    [anon_sym_default] = ACTIONS(1242),
    [anon_sym_enum] = ACTIONS(1242),
    [anon_sym_fn] = ACTIONS(1242),
    [anon_sym_for] = ACTIONS(1242),
    [anon_sym_if] = ACTIONS(1242),
    [anon_sym_impl] = ACTIONS(1242),
    [anon_sym_let] = ACTIONS(1242),
    [anon_sym_loop] = ACTIONS(1242),
    [anon_sym_match] = ACTIONS(1242),
    [anon_sym_mod] = ACTIONS(1242),
    [anon_sym_pub] = ACTIONS(1242),
    [anon_sym_return] = ACTIONS(1242),
    [anon_sym_static] = ACTIONS(1242),
    [anon_sym_struct] = ACTIONS(1242),
    [anon_sym_trait] = ACTIONS(1242),
    [anon_sym_type] = ACTIONS(1242),
    [anon_sym_union] = ACTIONS(1242),
    [anon_sym_unsafe] = ACTIONS(1242),
    [anon_sym_use] = ACTIONS(1242),
    [anon_sym_while] = ACTIONS(1242),
    [anon_sym_extern] = ACTIONS(1242),
    [anon_sym_yield] = ACTIONS(1242),
    [anon_sym_move] = ACTIONS(1242),
    [anon_sym_try] = ACTIONS(1242),
    [sym_integer_literal] = ACTIONS(1240),
    [aux_sym_string_literal_token1] = ACTIONS(1240),
    [sym_char_literal] = ACTIONS(1240),
    [anon_sym_true] = ACTIONS(1242),
    [anon_sym_false] = ACTIONS(1242),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1242),
    [sym_super] = ACTIONS(1242),
    [sym_crate] = ACTIONS(1242),
    [sym_metavariable] = ACTIONS(1240),
    [sym__raw_string_literal_start] = ACTIONS(1240),
    [sym_float_literal] = ACTIONS(1240),
  },
  [670] = {
    [sym_line_comment] = STATE(670),
    [sym_block_comment] = STATE(670),
    [ts_builtin_sym_end] = ACTIONS(1206),
    [sym_identifier] = ACTIONS(1208),
    [anon_sym_SEMI] = ACTIONS(1206),
    [anon_sym_macro_rules_BANG] = ACTIONS(1206),
    [anon_sym_LPAREN] = ACTIONS(1206),
    [anon_sym_LBRACK] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1206),
    [anon_sym_RBRACE] = ACTIONS(1206),
    [anon_sym_STAR] = ACTIONS(1206),
    [anon_sym_u8] = ACTIONS(1208),
    [anon_sym_i8] = ACTIONS(1208),
    [anon_sym_u16] = ACTIONS(1208),
    [anon_sym_i16] = ACTIONS(1208),
    [anon_sym_u32] = ACTIONS(1208),
    [anon_sym_i32] = ACTIONS(1208),
    [anon_sym_u64] = ACTIONS(1208),
    [anon_sym_i64] = ACTIONS(1208),
    [anon_sym_u128] = ACTIONS(1208),
    [anon_sym_i128] = ACTIONS(1208),
    [anon_sym_isize] = ACTIONS(1208),
    [anon_sym_usize] = ACTIONS(1208),
    [anon_sym_f32] = ACTIONS(1208),
    [anon_sym_f64] = ACTIONS(1208),
    [anon_sym_bool] = ACTIONS(1208),
    [anon_sym_str] = ACTIONS(1208),
    [anon_sym_char] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1206),
    [anon_sym_BANG] = ACTIONS(1206),
    [anon_sym_AMP] = ACTIONS(1206),
    [anon_sym_PIPE] = ACTIONS(1206),
    [anon_sym_LT] = ACTIONS(1206),
    [anon_sym_DOT_DOT] = ACTIONS(1206),
    [anon_sym_COLON_COLON] = ACTIONS(1206),
    [anon_sym_POUND] = ACTIONS(1206),
    [anon_sym_SQUOTE] = ACTIONS(1208),
    [anon_sym_async] = ACTIONS(1208),
    [anon_sym_break] = ACTIONS(1208),
    [anon_sym_const] = ACTIONS(1208),
    [anon_sym_continue] = ACTIONS(1208),
    [anon_sym_default] = ACTIONS(1208),
    [anon_sym_enum] = ACTIONS(1208),
    [anon_sym_fn] = ACTIONS(1208),
    [anon_sym_for] = ACTIONS(1208),
    [anon_sym_if] = ACTIONS(1208),
    [anon_sym_impl] = ACTIONS(1208),
    [anon_sym_let] = ACTIONS(1208),
    [anon_sym_loop] = ACTIONS(1208),
    [anon_sym_match] = ACTIONS(1208),
    [anon_sym_mod] = ACTIONS(1208),
    [anon_sym_pub] = ACTIONS(1208),
    [anon_sym_return] = ACTIONS(1208),
    [anon_sym_static] = ACTIONS(1208),
    [anon_sym_struct] = ACTIONS(1208),
    [anon_sym_trait] = ACTIONS(1208),
    [anon_sym_type] = ACTIONS(1208),
    [anon_sym_union] = ACTIONS(1208),
    [anon_sym_unsafe] = ACTIONS(1208),
    [anon_sym_use] = ACTIONS(1208),
    [anon_sym_while] = ACTIONS(1208),
    [anon_sym_extern] = ACTIONS(1208),
    [anon_sym_yield] = ACTIONS(1208),
    [anon_sym_move] = ACTIONS(1208),
    [anon_sym_try] = ACTIONS(1208),
    [sym_integer_literal] = ACTIONS(1206),
    [aux_sym_string_literal_token1] = ACTIONS(1206),
    [sym_char_literal] = ACTIONS(1206),
    [anon_sym_true] = ACTIONS(1208),
    [anon_sym_false] = ACTIONS(1208),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1208),
    [sym_super] = ACTIONS(1208),
    [sym_crate] = ACTIONS(1208),
    [sym_metavariable] = ACTIONS(1206),
    [sym__raw_string_literal_start] = ACTIONS(1206),
    [sym_float_literal] = ACTIONS(1206),
  },
  [671] = {
    [sym_line_comment] = STATE(671),
    [sym_block_comment] = STATE(671),
    [ts_builtin_sym_end] = ACTIONS(1232),
    [sym_identifier] = ACTIONS(1234),
    [anon_sym_SEMI] = ACTIONS(1232),
    [anon_sym_macro_rules_BANG] = ACTIONS(1232),
    [anon_sym_LPAREN] = ACTIONS(1232),
    [anon_sym_LBRACK] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1232),
    [anon_sym_RBRACE] = ACTIONS(1232),
    [anon_sym_STAR] = ACTIONS(1232),
    [anon_sym_u8] = ACTIONS(1234),
    [anon_sym_i8] = ACTIONS(1234),
    [anon_sym_u16] = ACTIONS(1234),
    [anon_sym_i16] = ACTIONS(1234),
    [anon_sym_u32] = ACTIONS(1234),
    [anon_sym_i32] = ACTIONS(1234),
    [anon_sym_u64] = ACTIONS(1234),
    [anon_sym_i64] = ACTIONS(1234),
    [anon_sym_u128] = ACTIONS(1234),
    [anon_sym_i128] = ACTIONS(1234),
    [anon_sym_isize] = ACTIONS(1234),
    [anon_sym_usize] = ACTIONS(1234),
    [anon_sym_f32] = ACTIONS(1234),
    [anon_sym_f64] = ACTIONS(1234),
    [anon_sym_bool] = ACTIONS(1234),
    [anon_sym_str] = ACTIONS(1234),
    [anon_sym_char] = ACTIONS(1234),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_BANG] = ACTIONS(1232),
    [anon_sym_AMP] = ACTIONS(1232),
    [anon_sym_PIPE] = ACTIONS(1232),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_DOT_DOT] = ACTIONS(1232),
    [anon_sym_COLON_COLON] = ACTIONS(1232),
    [anon_sym_POUND] = ACTIONS(1232),
    [anon_sym_SQUOTE] = ACTIONS(1234),
    [anon_sym_async] = ACTIONS(1234),
    [anon_sym_break] = ACTIONS(1234),
    [anon_sym_const] = ACTIONS(1234),
    [anon_sym_continue] = ACTIONS(1234),
    [anon_sym_default] = ACTIONS(1234),
    [anon_sym_enum] = ACTIONS(1234),
    [anon_sym_fn] = ACTIONS(1234),
    [anon_sym_for] = ACTIONS(1234),
    [anon_sym_if] = ACTIONS(1234),
    [anon_sym_impl] = ACTIONS(1234),
    [anon_sym_let] = ACTIONS(1234),
    [anon_sym_loop] = ACTIONS(1234),
    [anon_sym_match] = ACTIONS(1234),
    [anon_sym_mod] = ACTIONS(1234),
    [anon_sym_pub] = ACTIONS(1234),
    [anon_sym_return] = ACTIONS(1234),
    [anon_sym_static] = ACTIONS(1234),
    [anon_sym_struct] = ACTIONS(1234),
    [anon_sym_trait] = ACTIONS(1234),
    [anon_sym_type] = ACTIONS(1234),
    [anon_sym_union] = ACTIONS(1234),
    [anon_sym_unsafe] = ACTIONS(1234),
    [anon_sym_use] = ACTIONS(1234),
    [anon_sym_while] = ACTIONS(1234),
    [anon_sym_extern] = ACTIONS(1234),
    [anon_sym_yield] = ACTIONS(1234),
    [anon_sym_move] = ACTIONS(1234),
    [anon_sym_try] = ACTIONS(1234),
    [sym_integer_literal] = ACTIONS(1232),
    [aux_sym_string_literal_token1] = ACTIONS(1232),
    [sym_char_literal] = ACTIONS(1232),
    [anon_sym_true] = ACTIONS(1234),
    [anon_sym_false] = ACTIONS(1234),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1234),
    [sym_super] = ACTIONS(1234),
    [sym_crate] = ACTIONS(1234),
    [sym_metavariable] = ACTIONS(1232),
    [sym__raw_string_literal_start] = ACTIONS(1232),
    [sym_float_literal] = ACTIONS(1232),
  },
  [672] = {
    [sym_line_comment] = STATE(672),
    [sym_block_comment] = STATE(672),
    [ts_builtin_sym_end] = ACTIONS(1236),
    [sym_identifier] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(1236),
    [anon_sym_macro_rules_BANG] = ACTIONS(1236),
    [anon_sym_LPAREN] = ACTIONS(1236),
    [anon_sym_LBRACK] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1236),
    [anon_sym_RBRACE] = ACTIONS(1236),
    [anon_sym_STAR] = ACTIONS(1236),
    [anon_sym_u8] = ACTIONS(1238),
    [anon_sym_i8] = ACTIONS(1238),
    [anon_sym_u16] = ACTIONS(1238),
    [anon_sym_i16] = ACTIONS(1238),
    [anon_sym_u32] = ACTIONS(1238),
    [anon_sym_i32] = ACTIONS(1238),
    [anon_sym_u64] = ACTIONS(1238),
    [anon_sym_i64] = ACTIONS(1238),
    [anon_sym_u128] = ACTIONS(1238),
    [anon_sym_i128] = ACTIONS(1238),
    [anon_sym_isize] = ACTIONS(1238),
    [anon_sym_usize] = ACTIONS(1238),
    [anon_sym_f32] = ACTIONS(1238),
    [anon_sym_f64] = ACTIONS(1238),
    [anon_sym_bool] = ACTIONS(1238),
    [anon_sym_str] = ACTIONS(1238),
    [anon_sym_char] = ACTIONS(1238),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1236),
    [anon_sym_AMP] = ACTIONS(1236),
    [anon_sym_PIPE] = ACTIONS(1236),
    [anon_sym_LT] = ACTIONS(1236),
    [anon_sym_DOT_DOT] = ACTIONS(1236),
    [anon_sym_COLON_COLON] = ACTIONS(1236),
    [anon_sym_POUND] = ACTIONS(1236),
    [anon_sym_SQUOTE] = ACTIONS(1238),
    [anon_sym_async] = ACTIONS(1238),
    [anon_sym_break] = ACTIONS(1238),
    [anon_sym_const] = ACTIONS(1238),
    [anon_sym_continue] = ACTIONS(1238),
    [anon_sym_default] = ACTIONS(1238),
    [anon_sym_enum] = ACTIONS(1238),
    [anon_sym_fn] = ACTIONS(1238),
    [anon_sym_for] = ACTIONS(1238),
    [anon_sym_if] = ACTIONS(1238),
    [anon_sym_impl] = ACTIONS(1238),
    [anon_sym_let] = ACTIONS(1238),
    [anon_sym_loop] = ACTIONS(1238),
    [anon_sym_match] = ACTIONS(1238),
    [anon_sym_mod] = ACTIONS(1238),
    [anon_sym_pub] = ACTIONS(1238),
    [anon_sym_return] = ACTIONS(1238),
    [anon_sym_static] = ACTIONS(1238),
    [anon_sym_struct] = ACTIONS(1238),
    [anon_sym_trait] = ACTIONS(1238),
    [anon_sym_type] = ACTIONS(1238),
    [anon_sym_union] = ACTIONS(1238),
    [anon_sym_unsafe] = ACTIONS(1238),
    [anon_sym_use] = ACTIONS(1238),
    [anon_sym_while] = ACTIONS(1238),
    [anon_sym_extern] = ACTIONS(1238),
    [anon_sym_yield] = ACTIONS(1238),
    [anon_sym_move] = ACTIONS(1238),
    [anon_sym_try] = ACTIONS(1238),
    [sym_integer_literal] = ACTIONS(1236),
    [aux_sym_string_literal_token1] = ACTIONS(1236),
    [sym_char_literal] = ACTIONS(1236),
    [anon_sym_true] = ACTIONS(1238),
    [anon_sym_false] = ACTIONS(1238),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1238),
    [sym_super] = ACTIONS(1238),
    [sym_crate] = ACTIONS(1238),
    [sym_metavariable] = ACTIONS(1236),
    [sym__raw_string_literal_start] = ACTIONS(1236),
    [sym_float_literal] = ACTIONS(1236),
  },
  [673] = {
    [sym_line_comment] = STATE(673),
    [sym_block_comment] = STATE(673),
    [ts_builtin_sym_end] = ACTIONS(2458),
    [sym_identifier] = ACTIONS(2460),
    [anon_sym_SEMI] = ACTIONS(2458),
    [anon_sym_macro_rules_BANG] = ACTIONS(2458),
    [anon_sym_LPAREN] = ACTIONS(2458),
    [anon_sym_LBRACK] = ACTIONS(2458),
    [anon_sym_LBRACE] = ACTIONS(2458),
    [anon_sym_RBRACE] = ACTIONS(2458),
    [anon_sym_STAR] = ACTIONS(2458),
    [anon_sym_u8] = ACTIONS(2460),
    [anon_sym_i8] = ACTIONS(2460),
    [anon_sym_u16] = ACTIONS(2460),
    [anon_sym_i16] = ACTIONS(2460),
    [anon_sym_u32] = ACTIONS(2460),
    [anon_sym_i32] = ACTIONS(2460),
    [anon_sym_u64] = ACTIONS(2460),
    [anon_sym_i64] = ACTIONS(2460),
    [anon_sym_u128] = ACTIONS(2460),
    [anon_sym_i128] = ACTIONS(2460),
    [anon_sym_isize] = ACTIONS(2460),
    [anon_sym_usize] = ACTIONS(2460),
    [anon_sym_f32] = ACTIONS(2460),
    [anon_sym_f64] = ACTIONS(2460),
    [anon_sym_bool] = ACTIONS(2460),
    [anon_sym_str] = ACTIONS(2460),
    [anon_sym_char] = ACTIONS(2460),
    [anon_sym_DASH] = ACTIONS(2458),
    [anon_sym_BANG] = ACTIONS(2458),
    [anon_sym_AMP] = ACTIONS(2458),
    [anon_sym_PIPE] = ACTIONS(2458),
    [anon_sym_LT] = ACTIONS(2458),
    [anon_sym_DOT_DOT] = ACTIONS(2458),
    [anon_sym_COLON_COLON] = ACTIONS(2458),
    [anon_sym_POUND] = ACTIONS(2458),
    [anon_sym_SQUOTE] = ACTIONS(2460),
    [anon_sym_async] = ACTIONS(2460),
    [anon_sym_break] = ACTIONS(2460),
    [anon_sym_const] = ACTIONS(2460),
    [anon_sym_continue] = ACTIONS(2460),
    [anon_sym_default] = ACTIONS(2460),
    [anon_sym_enum] = ACTIONS(2460),
    [anon_sym_fn] = ACTIONS(2460),
    [anon_sym_for] = ACTIONS(2460),
    [anon_sym_if] = ACTIONS(2460),
    [anon_sym_impl] = ACTIONS(2460),
    [anon_sym_let] = ACTIONS(2460),
    [anon_sym_loop] = ACTIONS(2460),
    [anon_sym_match] = ACTIONS(2460),
    [anon_sym_mod] = ACTIONS(2460),
    [anon_sym_pub] = ACTIONS(2460),
    [anon_sym_return] = ACTIONS(2460),
    [anon_sym_static] = ACTIONS(2460),
    [anon_sym_struct] = ACTIONS(2460),
    [anon_sym_trait] = ACTIONS(2460),
    [anon_sym_type] = ACTIONS(2460),
    [anon_sym_union] = ACTIONS(2460),
    [anon_sym_unsafe] = ACTIONS(2460),
    [anon_sym_use] = ACTIONS(2460),
    [anon_sym_while] = ACTIONS(2460),
    [anon_sym_extern] = ACTIONS(2460),
    [anon_sym_yield] = ACTIONS(2460),
    [anon_sym_move] = ACTIONS(2460),
    [anon_sym_try] = ACTIONS(2460),
    [sym_integer_literal] = ACTIONS(2458),
    [aux_sym_string_literal_token1] = ACTIONS(2458),
    [sym_char_literal] = ACTIONS(2458),
    [anon_sym_true] = ACTIONS(2460),
    [anon_sym_false] = ACTIONS(2460),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2460),
    [sym_super] = ACTIONS(2460),
    [sym_crate] = ACTIONS(2460),
    [sym_metavariable] = ACTIONS(2458),
    [sym__raw_string_literal_start] = ACTIONS(2458),
    [sym_float_literal] = ACTIONS(2458),
  },
  [674] = {
    [sym_line_comment] = STATE(674),
    [sym_block_comment] = STATE(674),
    [ts_builtin_sym_end] = ACTIONS(2462),
    [sym_identifier] = ACTIONS(2464),
    [anon_sym_SEMI] = ACTIONS(2462),
    [anon_sym_macro_rules_BANG] = ACTIONS(2462),
    [anon_sym_LPAREN] = ACTIONS(2462),
    [anon_sym_LBRACK] = ACTIONS(2462),
    [anon_sym_LBRACE] = ACTIONS(2462),
    [anon_sym_RBRACE] = ACTIONS(2462),
    [anon_sym_STAR] = ACTIONS(2462),
    [anon_sym_u8] = ACTIONS(2464),
    [anon_sym_i8] = ACTIONS(2464),
    [anon_sym_u16] = ACTIONS(2464),
    [anon_sym_i16] = ACTIONS(2464),
    [anon_sym_u32] = ACTIONS(2464),
    [anon_sym_i32] = ACTIONS(2464),
    [anon_sym_u64] = ACTIONS(2464),
    [anon_sym_i64] = ACTIONS(2464),
    [anon_sym_u128] = ACTIONS(2464),
    [anon_sym_i128] = ACTIONS(2464),
    [anon_sym_isize] = ACTIONS(2464),
    [anon_sym_usize] = ACTIONS(2464),
    [anon_sym_f32] = ACTIONS(2464),
    [anon_sym_f64] = ACTIONS(2464),
    [anon_sym_bool] = ACTIONS(2464),
    [anon_sym_str] = ACTIONS(2464),
    [anon_sym_char] = ACTIONS(2464),
    [anon_sym_DASH] = ACTIONS(2462),
    [anon_sym_BANG] = ACTIONS(2462),
    [anon_sym_AMP] = ACTIONS(2462),
    [anon_sym_PIPE] = ACTIONS(2462),
    [anon_sym_LT] = ACTIONS(2462),
    [anon_sym_DOT_DOT] = ACTIONS(2462),
    [anon_sym_COLON_COLON] = ACTIONS(2462),
    [anon_sym_POUND] = ACTIONS(2462),
    [anon_sym_SQUOTE] = ACTIONS(2464),
    [anon_sym_async] = ACTIONS(2464),
    [anon_sym_break] = ACTIONS(2464),
    [anon_sym_const] = ACTIONS(2464),
    [anon_sym_continue] = ACTIONS(2464),
    [anon_sym_default] = ACTIONS(2464),
    [anon_sym_enum] = ACTIONS(2464),
    [anon_sym_fn] = ACTIONS(2464),
    [anon_sym_for] = ACTIONS(2464),
    [anon_sym_if] = ACTIONS(2464),
    [anon_sym_impl] = ACTIONS(2464),
    [anon_sym_let] = ACTIONS(2464),
    [anon_sym_loop] = ACTIONS(2464),
    [anon_sym_match] = ACTIONS(2464),
    [anon_sym_mod] = ACTIONS(2464),
    [anon_sym_pub] = ACTIONS(2464),
    [anon_sym_return] = ACTIONS(2464),
    [anon_sym_static] = ACTIONS(2464),
    [anon_sym_struct] = ACTIONS(2464),
    [anon_sym_trait] = ACTIONS(2464),
    [anon_sym_type] = ACTIONS(2464),
    [anon_sym_union] = ACTIONS(2464),
    [anon_sym_unsafe] = ACTIONS(2464),
    [anon_sym_use] = ACTIONS(2464),
    [anon_sym_while] = ACTIONS(2464),
    [anon_sym_extern] = ACTIONS(2464),
    [anon_sym_yield] = ACTIONS(2464),
    [anon_sym_move] = ACTIONS(2464),
    [anon_sym_try] = ACTIONS(2464),
    [sym_integer_literal] = ACTIONS(2462),
    [aux_sym_string_literal_token1] = ACTIONS(2462),
    [sym_char_literal] = ACTIONS(2462),
    [anon_sym_true] = ACTIONS(2464),
    [anon_sym_false] = ACTIONS(2464),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2464),
    [sym_super] = ACTIONS(2464),
    [sym_crate] = ACTIONS(2464),
    [sym_metavariable] = ACTIONS(2462),
    [sym__raw_string_literal_start] = ACTIONS(2462),
    [sym_float_literal] = ACTIONS(2462),
  },
  [675] = {
    [sym_line_comment] = STATE(675),
    [sym_block_comment] = STATE(675),
    [ts_builtin_sym_end] = ACTIONS(2466),
    [sym_identifier] = ACTIONS(2468),
    [anon_sym_SEMI] = ACTIONS(2466),
    [anon_sym_macro_rules_BANG] = ACTIONS(2466),
    [anon_sym_LPAREN] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2466),
    [anon_sym_LBRACE] = ACTIONS(2466),
    [anon_sym_RBRACE] = ACTIONS(2466),
    [anon_sym_STAR] = ACTIONS(2466),
    [anon_sym_u8] = ACTIONS(2468),
    [anon_sym_i8] = ACTIONS(2468),
    [anon_sym_u16] = ACTIONS(2468),
    [anon_sym_i16] = ACTIONS(2468),
    [anon_sym_u32] = ACTIONS(2468),
    [anon_sym_i32] = ACTIONS(2468),
    [anon_sym_u64] = ACTIONS(2468),
    [anon_sym_i64] = ACTIONS(2468),
    [anon_sym_u128] = ACTIONS(2468),
    [anon_sym_i128] = ACTIONS(2468),
    [anon_sym_isize] = ACTIONS(2468),
    [anon_sym_usize] = ACTIONS(2468),
    [anon_sym_f32] = ACTIONS(2468),
    [anon_sym_f64] = ACTIONS(2468),
    [anon_sym_bool] = ACTIONS(2468),
    [anon_sym_str] = ACTIONS(2468),
    [anon_sym_char] = ACTIONS(2468),
    [anon_sym_DASH] = ACTIONS(2466),
    [anon_sym_BANG] = ACTIONS(2466),
    [anon_sym_AMP] = ACTIONS(2466),
    [anon_sym_PIPE] = ACTIONS(2466),
    [anon_sym_LT] = ACTIONS(2466),
    [anon_sym_DOT_DOT] = ACTIONS(2466),
    [anon_sym_COLON_COLON] = ACTIONS(2466),
    [anon_sym_POUND] = ACTIONS(2466),
    [anon_sym_SQUOTE] = ACTIONS(2468),
    [anon_sym_async] = ACTIONS(2468),
    [anon_sym_break] = ACTIONS(2468),
    [anon_sym_const] = ACTIONS(2468),
    [anon_sym_continue] = ACTIONS(2468),
    [anon_sym_default] = ACTIONS(2468),
    [anon_sym_enum] = ACTIONS(2468),
    [anon_sym_fn] = ACTIONS(2468),
    [anon_sym_for] = ACTIONS(2468),
    [anon_sym_if] = ACTIONS(2468),
    [anon_sym_impl] = ACTIONS(2468),
    [anon_sym_let] = ACTIONS(2468),
    [anon_sym_loop] = ACTIONS(2468),
    [anon_sym_match] = ACTIONS(2468),
    [anon_sym_mod] = ACTIONS(2468),
    [anon_sym_pub] = ACTIONS(2468),
    [anon_sym_return] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2468),
    [anon_sym_struct] = ACTIONS(2468),
    [anon_sym_trait] = ACTIONS(2468),
    [anon_sym_type] = ACTIONS(2468),
    [anon_sym_union] = ACTIONS(2468),
    [anon_sym_unsafe] = ACTIONS(2468),
    [anon_sym_use] = ACTIONS(2468),
    [anon_sym_while] = ACTIONS(2468),
    [anon_sym_extern] = ACTIONS(2468),
    [anon_sym_yield] = ACTIONS(2468),
    [anon_sym_move] = ACTIONS(2468),
    [anon_sym_try] = ACTIONS(2468),
    [sym_integer_literal] = ACTIONS(2466),
    [aux_sym_string_literal_token1] = ACTIONS(2466),
    [sym_char_literal] = ACTIONS(2466),
    [anon_sym_true] = ACTIONS(2468),
    [anon_sym_false] = ACTIONS(2468),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2468),
    [sym_super] = ACTIONS(2468),
    [sym_crate] = ACTIONS(2468),
    [sym_metavariable] = ACTIONS(2466),
    [sym__raw_string_literal_start] = ACTIONS(2466),
    [sym_float_literal] = ACTIONS(2466),
  },
  [676] = {
    [sym_line_comment] = STATE(676),
    [sym_block_comment] = STATE(676),
    [ts_builtin_sym_end] = ACTIONS(2470),
    [sym_identifier] = ACTIONS(2472),
    [anon_sym_SEMI] = ACTIONS(2470),
    [anon_sym_macro_rules_BANG] = ACTIONS(2470),
    [anon_sym_LPAREN] = ACTIONS(2470),
    [anon_sym_LBRACK] = ACTIONS(2470),
    [anon_sym_LBRACE] = ACTIONS(2470),
    [anon_sym_RBRACE] = ACTIONS(2470),
    [anon_sym_STAR] = ACTIONS(2470),
    [anon_sym_u8] = ACTIONS(2472),
    [anon_sym_i8] = ACTIONS(2472),
    [anon_sym_u16] = ACTIONS(2472),
    [anon_sym_i16] = ACTIONS(2472),
    [anon_sym_u32] = ACTIONS(2472),
    [anon_sym_i32] = ACTIONS(2472),
    [anon_sym_u64] = ACTIONS(2472),
    [anon_sym_i64] = ACTIONS(2472),
    [anon_sym_u128] = ACTIONS(2472),
    [anon_sym_i128] = ACTIONS(2472),
    [anon_sym_isize] = ACTIONS(2472),
    [anon_sym_usize] = ACTIONS(2472),
    [anon_sym_f32] = ACTIONS(2472),
    [anon_sym_f64] = ACTIONS(2472),
    [anon_sym_bool] = ACTIONS(2472),
    [anon_sym_str] = ACTIONS(2472),
    [anon_sym_char] = ACTIONS(2472),
    [anon_sym_DASH] = ACTIONS(2470),
    [anon_sym_BANG] = ACTIONS(2470),
    [anon_sym_AMP] = ACTIONS(2470),
    [anon_sym_PIPE] = ACTIONS(2470),
    [anon_sym_LT] = ACTIONS(2470),
    [anon_sym_DOT_DOT] = ACTIONS(2470),
    [anon_sym_COLON_COLON] = ACTIONS(2470),
    [anon_sym_POUND] = ACTIONS(2470),
    [anon_sym_SQUOTE] = ACTIONS(2472),
    [anon_sym_async] = ACTIONS(2472),
    [anon_sym_break] = ACTIONS(2472),
    [anon_sym_const] = ACTIONS(2472),
    [anon_sym_continue] = ACTIONS(2472),
    [anon_sym_default] = ACTIONS(2472),
    [anon_sym_enum] = ACTIONS(2472),
    [anon_sym_fn] = ACTIONS(2472),
    [anon_sym_for] = ACTIONS(2472),
    [anon_sym_if] = ACTIONS(2472),
    [anon_sym_impl] = ACTIONS(2472),
    [anon_sym_let] = ACTIONS(2472),
    [anon_sym_loop] = ACTIONS(2472),
    [anon_sym_match] = ACTIONS(2472),
    [anon_sym_mod] = ACTIONS(2472),
    [anon_sym_pub] = ACTIONS(2472),
    [anon_sym_return] = ACTIONS(2472),
    [anon_sym_static] = ACTIONS(2472),
    [anon_sym_struct] = ACTIONS(2472),
    [anon_sym_trait] = ACTIONS(2472),
    [anon_sym_type] = ACTIONS(2472),
    [anon_sym_union] = ACTIONS(2472),
    [anon_sym_unsafe] = ACTIONS(2472),
    [anon_sym_use] = ACTIONS(2472),
    [anon_sym_while] = ACTIONS(2472),
    [anon_sym_extern] = ACTIONS(2472),
    [anon_sym_yield] = ACTIONS(2472),
    [anon_sym_move] = ACTIONS(2472),
    [anon_sym_try] = ACTIONS(2472),
    [sym_integer_literal] = ACTIONS(2470),
    [aux_sym_string_literal_token1] = ACTIONS(2470),
    [sym_char_literal] = ACTIONS(2470),
    [anon_sym_true] = ACTIONS(2472),
    [anon_sym_false] = ACTIONS(2472),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2472),
    [sym_super] = ACTIONS(2472),
    [sym_crate] = ACTIONS(2472),
    [sym_metavariable] = ACTIONS(2470),
    [sym__raw_string_literal_start] = ACTIONS(2470),
    [sym_float_literal] = ACTIONS(2470),
  },
  [677] = {
    [sym_line_comment] = STATE(677),
    [sym_block_comment] = STATE(677),
    [ts_builtin_sym_end] = ACTIONS(2474),
    [sym_identifier] = ACTIONS(2476),
    [anon_sym_SEMI] = ACTIONS(2474),
    [anon_sym_macro_rules_BANG] = ACTIONS(2474),
    [anon_sym_LPAREN] = ACTIONS(2474),
    [anon_sym_LBRACK] = ACTIONS(2474),
    [anon_sym_LBRACE] = ACTIONS(2474),
    [anon_sym_RBRACE] = ACTIONS(2474),
    [anon_sym_STAR] = ACTIONS(2474),
    [anon_sym_u8] = ACTIONS(2476),
    [anon_sym_i8] = ACTIONS(2476),
    [anon_sym_u16] = ACTIONS(2476),
    [anon_sym_i16] = ACTIONS(2476),
    [anon_sym_u32] = ACTIONS(2476),
    [anon_sym_i32] = ACTIONS(2476),
    [anon_sym_u64] = ACTIONS(2476),
    [anon_sym_i64] = ACTIONS(2476),
    [anon_sym_u128] = ACTIONS(2476),
    [anon_sym_i128] = ACTIONS(2476),
    [anon_sym_isize] = ACTIONS(2476),
    [anon_sym_usize] = ACTIONS(2476),
    [anon_sym_f32] = ACTIONS(2476),
    [anon_sym_f64] = ACTIONS(2476),
    [anon_sym_bool] = ACTIONS(2476),
    [anon_sym_str] = ACTIONS(2476),
    [anon_sym_char] = ACTIONS(2476),
    [anon_sym_DASH] = ACTIONS(2474),
    [anon_sym_BANG] = ACTIONS(2474),
    [anon_sym_AMP] = ACTIONS(2474),
    [anon_sym_PIPE] = ACTIONS(2474),
    [anon_sym_LT] = ACTIONS(2474),
    [anon_sym_DOT_DOT] = ACTIONS(2474),
    [anon_sym_COLON_COLON] = ACTIONS(2474),
    [anon_sym_POUND] = ACTIONS(2474),
    [anon_sym_SQUOTE] = ACTIONS(2476),
    [anon_sym_async] = ACTIONS(2476),
    [anon_sym_break] = ACTIONS(2476),
    [anon_sym_const] = ACTIONS(2476),
    [anon_sym_continue] = ACTIONS(2476),
    [anon_sym_default] = ACTIONS(2476),
    [anon_sym_enum] = ACTIONS(2476),
    [anon_sym_fn] = ACTIONS(2476),
    [anon_sym_for] = ACTIONS(2476),
    [anon_sym_if] = ACTIONS(2476),
    [anon_sym_impl] = ACTIONS(2476),
    [anon_sym_let] = ACTIONS(2476),
    [anon_sym_loop] = ACTIONS(2476),
    [anon_sym_match] = ACTIONS(2476),
    [anon_sym_mod] = ACTIONS(2476),
    [anon_sym_pub] = ACTIONS(2476),
    [anon_sym_return] = ACTIONS(2476),
    [anon_sym_static] = ACTIONS(2476),
    [anon_sym_struct] = ACTIONS(2476),
    [anon_sym_trait] = ACTIONS(2476),
    [anon_sym_type] = ACTIONS(2476),
    [anon_sym_union] = ACTIONS(2476),
    [anon_sym_unsafe] = ACTIONS(2476),
    [anon_sym_use] = ACTIONS(2476),
    [anon_sym_while] = ACTIONS(2476),
    [anon_sym_extern] = ACTIONS(2476),
    [anon_sym_yield] = ACTIONS(2476),
    [anon_sym_move] = ACTIONS(2476),
    [anon_sym_try] = ACTIONS(2476),
    [sym_integer_literal] = ACTIONS(2474),
    [aux_sym_string_literal_token1] = ACTIONS(2474),
    [sym_char_literal] = ACTIONS(2474),
    [anon_sym_true] = ACTIONS(2476),
    [anon_sym_false] = ACTIONS(2476),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2476),
    [sym_super] = ACTIONS(2476),
    [sym_crate] = ACTIONS(2476),
    [sym_metavariable] = ACTIONS(2474),
    [sym__raw_string_literal_start] = ACTIONS(2474),
    [sym_float_literal] = ACTIONS(2474),
  },
  [678] = {
    [sym_line_comment] = STATE(678),
    [sym_block_comment] = STATE(678),
    [ts_builtin_sym_end] = ACTIONS(2478),
    [sym_identifier] = ACTIONS(2480),
    [anon_sym_SEMI] = ACTIONS(2478),
    [anon_sym_macro_rules_BANG] = ACTIONS(2478),
    [anon_sym_LPAREN] = ACTIONS(2478),
    [anon_sym_LBRACK] = ACTIONS(2478),
    [anon_sym_LBRACE] = ACTIONS(2478),
    [anon_sym_RBRACE] = ACTIONS(2478),
    [anon_sym_STAR] = ACTIONS(2478),
    [anon_sym_u8] = ACTIONS(2480),
    [anon_sym_i8] = ACTIONS(2480),
    [anon_sym_u16] = ACTIONS(2480),
    [anon_sym_i16] = ACTIONS(2480),
    [anon_sym_u32] = ACTIONS(2480),
    [anon_sym_i32] = ACTIONS(2480),
    [anon_sym_u64] = ACTIONS(2480),
    [anon_sym_i64] = ACTIONS(2480),
    [anon_sym_u128] = ACTIONS(2480),
    [anon_sym_i128] = ACTIONS(2480),
    [anon_sym_isize] = ACTIONS(2480),
    [anon_sym_usize] = ACTIONS(2480),
    [anon_sym_f32] = ACTIONS(2480),
    [anon_sym_f64] = ACTIONS(2480),
    [anon_sym_bool] = ACTIONS(2480),
    [anon_sym_str] = ACTIONS(2480),
    [anon_sym_char] = ACTIONS(2480),
    [anon_sym_DASH] = ACTIONS(2478),
    [anon_sym_BANG] = ACTIONS(2478),
    [anon_sym_AMP] = ACTIONS(2478),
    [anon_sym_PIPE] = ACTIONS(2478),
    [anon_sym_LT] = ACTIONS(2478),
    [anon_sym_DOT_DOT] = ACTIONS(2478),
    [anon_sym_COLON_COLON] = ACTIONS(2478),
    [anon_sym_POUND] = ACTIONS(2478),
    [anon_sym_SQUOTE] = ACTIONS(2480),
    [anon_sym_async] = ACTIONS(2480),
    [anon_sym_break] = ACTIONS(2480),
    [anon_sym_const] = ACTIONS(2480),
    [anon_sym_continue] = ACTIONS(2480),
    [anon_sym_default] = ACTIONS(2480),
    [anon_sym_enum] = ACTIONS(2480),
    [anon_sym_fn] = ACTIONS(2480),
    [anon_sym_for] = ACTIONS(2480),
    [anon_sym_if] = ACTIONS(2480),
    [anon_sym_impl] = ACTIONS(2480),
    [anon_sym_let] = ACTIONS(2480),
    [anon_sym_loop] = ACTIONS(2480),
    [anon_sym_match] = ACTIONS(2480),
    [anon_sym_mod] = ACTIONS(2480),
    [anon_sym_pub] = ACTIONS(2480),
    [anon_sym_return] = ACTIONS(2480),
    [anon_sym_static] = ACTIONS(2480),
    [anon_sym_struct] = ACTIONS(2480),
    [anon_sym_trait] = ACTIONS(2480),
    [anon_sym_type] = ACTIONS(2480),
    [anon_sym_union] = ACTIONS(2480),
    [anon_sym_unsafe] = ACTIONS(2480),
    [anon_sym_use] = ACTIONS(2480),
    [anon_sym_while] = ACTIONS(2480),
    [anon_sym_extern] = ACTIONS(2480),
    [anon_sym_yield] = ACTIONS(2480),
    [anon_sym_move] = ACTIONS(2480),
    [anon_sym_try] = ACTIONS(2480),
    [sym_integer_literal] = ACTIONS(2478),
    [aux_sym_string_literal_token1] = ACTIONS(2478),
    [sym_char_literal] = ACTIONS(2478),
    [anon_sym_true] = ACTIONS(2480),
    [anon_sym_false] = ACTIONS(2480),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2480),
    [sym_super] = ACTIONS(2480),
    [sym_crate] = ACTIONS(2480),
    [sym_metavariable] = ACTIONS(2478),
    [sym__raw_string_literal_start] = ACTIONS(2478),
    [sym_float_literal] = ACTIONS(2478),
  },
  [679] = {
    [sym_line_comment] = STATE(679),
    [sym_block_comment] = STATE(679),
    [ts_builtin_sym_end] = ACTIONS(2482),
    [sym_identifier] = ACTIONS(2484),
    [anon_sym_SEMI] = ACTIONS(2482),
    [anon_sym_macro_rules_BANG] = ACTIONS(2482),
    [anon_sym_LPAREN] = ACTIONS(2482),
    [anon_sym_LBRACK] = ACTIONS(2482),
    [anon_sym_LBRACE] = ACTIONS(2482),
    [anon_sym_RBRACE] = ACTIONS(2482),
    [anon_sym_STAR] = ACTIONS(2482),
    [anon_sym_u8] = ACTIONS(2484),
    [anon_sym_i8] = ACTIONS(2484),
    [anon_sym_u16] = ACTIONS(2484),
    [anon_sym_i16] = ACTIONS(2484),
    [anon_sym_u32] = ACTIONS(2484),
    [anon_sym_i32] = ACTIONS(2484),
    [anon_sym_u64] = ACTIONS(2484),
    [anon_sym_i64] = ACTIONS(2484),
    [anon_sym_u128] = ACTIONS(2484),
    [anon_sym_i128] = ACTIONS(2484),
    [anon_sym_isize] = ACTIONS(2484),
    [anon_sym_usize] = ACTIONS(2484),
    [anon_sym_f32] = ACTIONS(2484),
    [anon_sym_f64] = ACTIONS(2484),
    [anon_sym_bool] = ACTIONS(2484),
    [anon_sym_str] = ACTIONS(2484),
    [anon_sym_char] = ACTIONS(2484),
    [anon_sym_DASH] = ACTIONS(2482),
    [anon_sym_BANG] = ACTIONS(2482),
    [anon_sym_AMP] = ACTIONS(2482),
    [anon_sym_PIPE] = ACTIONS(2482),
    [anon_sym_LT] = ACTIONS(2482),
    [anon_sym_DOT_DOT] = ACTIONS(2482),
    [anon_sym_COLON_COLON] = ACTIONS(2482),
    [anon_sym_POUND] = ACTIONS(2482),
    [anon_sym_SQUOTE] = ACTIONS(2484),
    [anon_sym_async] = ACTIONS(2484),
    [anon_sym_break] = ACTIONS(2484),
    [anon_sym_const] = ACTIONS(2484),
    [anon_sym_continue] = ACTIONS(2484),
    [anon_sym_default] = ACTIONS(2484),
    [anon_sym_enum] = ACTIONS(2484),
    [anon_sym_fn] = ACTIONS(2484),
    [anon_sym_for] = ACTIONS(2484),
    [anon_sym_if] = ACTIONS(2484),
    [anon_sym_impl] = ACTIONS(2484),
    [anon_sym_let] = ACTIONS(2484),
    [anon_sym_loop] = ACTIONS(2484),
    [anon_sym_match] = ACTIONS(2484),
    [anon_sym_mod] = ACTIONS(2484),
    [anon_sym_pub] = ACTIONS(2484),
    [anon_sym_return] = ACTIONS(2484),
    [anon_sym_static] = ACTIONS(2484),
    [anon_sym_struct] = ACTIONS(2484),
    [anon_sym_trait] = ACTIONS(2484),
    [anon_sym_type] = ACTIONS(2484),
    [anon_sym_union] = ACTIONS(2484),
    [anon_sym_unsafe] = ACTIONS(2484),
    [anon_sym_use] = ACTIONS(2484),
    [anon_sym_while] = ACTIONS(2484),
    [anon_sym_extern] = ACTIONS(2484),
    [anon_sym_yield] = ACTIONS(2484),
    [anon_sym_move] = ACTIONS(2484),
    [anon_sym_try] = ACTIONS(2484),
    [sym_integer_literal] = ACTIONS(2482),
    [aux_sym_string_literal_token1] = ACTIONS(2482),
    [sym_char_literal] = ACTIONS(2482),
    [anon_sym_true] = ACTIONS(2484),
    [anon_sym_false] = ACTIONS(2484),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2484),
    [sym_super] = ACTIONS(2484),
    [sym_crate] = ACTIONS(2484),
    [sym_metavariable] = ACTIONS(2482),
    [sym__raw_string_literal_start] = ACTIONS(2482),
    [sym_float_literal] = ACTIONS(2482),
  },
  [680] = {
    [sym_line_comment] = STATE(680),
    [sym_block_comment] = STATE(680),
    [ts_builtin_sym_end] = ACTIONS(2486),
    [sym_identifier] = ACTIONS(2488),
    [anon_sym_SEMI] = ACTIONS(2486),
    [anon_sym_macro_rules_BANG] = ACTIONS(2486),
    [anon_sym_LPAREN] = ACTIONS(2486),
    [anon_sym_LBRACK] = ACTIONS(2486),
    [anon_sym_LBRACE] = ACTIONS(2486),
    [anon_sym_RBRACE] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2486),
    [anon_sym_u8] = ACTIONS(2488),
    [anon_sym_i8] = ACTIONS(2488),
    [anon_sym_u16] = ACTIONS(2488),
    [anon_sym_i16] = ACTIONS(2488),
    [anon_sym_u32] = ACTIONS(2488),
    [anon_sym_i32] = ACTIONS(2488),
    [anon_sym_u64] = ACTIONS(2488),
    [anon_sym_i64] = ACTIONS(2488),
    [anon_sym_u128] = ACTIONS(2488),
    [anon_sym_i128] = ACTIONS(2488),
    [anon_sym_isize] = ACTIONS(2488),
    [anon_sym_usize] = ACTIONS(2488),
    [anon_sym_f32] = ACTIONS(2488),
    [anon_sym_f64] = ACTIONS(2488),
    [anon_sym_bool] = ACTIONS(2488),
    [anon_sym_str] = ACTIONS(2488),
    [anon_sym_char] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_BANG] = ACTIONS(2486),
    [anon_sym_AMP] = ACTIONS(2486),
    [anon_sym_PIPE] = ACTIONS(2486),
    [anon_sym_LT] = ACTIONS(2486),
    [anon_sym_DOT_DOT] = ACTIONS(2486),
    [anon_sym_COLON_COLON] = ACTIONS(2486),
    [anon_sym_POUND] = ACTIONS(2486),
    [anon_sym_SQUOTE] = ACTIONS(2488),
    [anon_sym_async] = ACTIONS(2488),
    [anon_sym_break] = ACTIONS(2488),
    [anon_sym_const] = ACTIONS(2488),
    [anon_sym_continue] = ACTIONS(2488),
    [anon_sym_default] = ACTIONS(2488),
    [anon_sym_enum] = ACTIONS(2488),
    [anon_sym_fn] = ACTIONS(2488),
    [anon_sym_for] = ACTIONS(2488),
    [anon_sym_if] = ACTIONS(2488),
    [anon_sym_impl] = ACTIONS(2488),
    [anon_sym_let] = ACTIONS(2488),
    [anon_sym_loop] = ACTIONS(2488),
    [anon_sym_match] = ACTIONS(2488),
    [anon_sym_mod] = ACTIONS(2488),
    [anon_sym_pub] = ACTIONS(2488),
    [anon_sym_return] = ACTIONS(2488),
    [anon_sym_static] = ACTIONS(2488),
    [anon_sym_struct] = ACTIONS(2488),
    [anon_sym_trait] = ACTIONS(2488),
    [anon_sym_type] = ACTIONS(2488),
    [anon_sym_union] = ACTIONS(2488),
    [anon_sym_unsafe] = ACTIONS(2488),
    [anon_sym_use] = ACTIONS(2488),
    [anon_sym_while] = ACTIONS(2488),
    [anon_sym_extern] = ACTIONS(2488),
    [anon_sym_yield] = ACTIONS(2488),
    [anon_sym_move] = ACTIONS(2488),
    [anon_sym_try] = ACTIONS(2488),
    [sym_integer_literal] = ACTIONS(2486),
    [aux_sym_string_literal_token1] = ACTIONS(2486),
    [sym_char_literal] = ACTIONS(2486),
    [anon_sym_true] = ACTIONS(2488),
    [anon_sym_false] = ACTIONS(2488),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2488),
    [sym_super] = ACTIONS(2488),
    [sym_crate] = ACTIONS(2488),
    [sym_metavariable] = ACTIONS(2486),
    [sym__raw_string_literal_start] = ACTIONS(2486),
    [sym_float_literal] = ACTIONS(2486),
  },
  [681] = {
    [sym_line_comment] = STATE(681),
    [sym_block_comment] = STATE(681),
    [ts_builtin_sym_end] = ACTIONS(2490),
    [sym_identifier] = ACTIONS(2492),
    [anon_sym_SEMI] = ACTIONS(2490),
    [anon_sym_macro_rules_BANG] = ACTIONS(2490),
    [anon_sym_LPAREN] = ACTIONS(2490),
    [anon_sym_LBRACK] = ACTIONS(2490),
    [anon_sym_LBRACE] = ACTIONS(2490),
    [anon_sym_RBRACE] = ACTIONS(2490),
    [anon_sym_STAR] = ACTIONS(2490),
    [anon_sym_u8] = ACTIONS(2492),
    [anon_sym_i8] = ACTIONS(2492),
    [anon_sym_u16] = ACTIONS(2492),
    [anon_sym_i16] = ACTIONS(2492),
    [anon_sym_u32] = ACTIONS(2492),
    [anon_sym_i32] = ACTIONS(2492),
    [anon_sym_u64] = ACTIONS(2492),
    [anon_sym_i64] = ACTIONS(2492),
    [anon_sym_u128] = ACTIONS(2492),
    [anon_sym_i128] = ACTIONS(2492),
    [anon_sym_isize] = ACTIONS(2492),
    [anon_sym_usize] = ACTIONS(2492),
    [anon_sym_f32] = ACTIONS(2492),
    [anon_sym_f64] = ACTIONS(2492),
    [anon_sym_bool] = ACTIONS(2492),
    [anon_sym_str] = ACTIONS(2492),
    [anon_sym_char] = ACTIONS(2492),
    [anon_sym_DASH] = ACTIONS(2490),
    [anon_sym_BANG] = ACTIONS(2490),
    [anon_sym_AMP] = ACTIONS(2490),
    [anon_sym_PIPE] = ACTIONS(2490),
    [anon_sym_LT] = ACTIONS(2490),
    [anon_sym_DOT_DOT] = ACTIONS(2490),
    [anon_sym_COLON_COLON] = ACTIONS(2490),
    [anon_sym_POUND] = ACTIONS(2490),
    [anon_sym_SQUOTE] = ACTIONS(2492),
    [anon_sym_async] = ACTIONS(2492),
    [anon_sym_break] = ACTIONS(2492),
    [anon_sym_const] = ACTIONS(2492),
    [anon_sym_continue] = ACTIONS(2492),
    [anon_sym_default] = ACTIONS(2492),
    [anon_sym_enum] = ACTIONS(2492),
    [anon_sym_fn] = ACTIONS(2492),
    [anon_sym_for] = ACTIONS(2492),
    [anon_sym_if] = ACTIONS(2492),
    [anon_sym_impl] = ACTIONS(2492),
    [anon_sym_let] = ACTIONS(2492),
    [anon_sym_loop] = ACTIONS(2492),
    [anon_sym_match] = ACTIONS(2492),
    [anon_sym_mod] = ACTIONS(2492),
    [anon_sym_pub] = ACTIONS(2492),
    [anon_sym_return] = ACTIONS(2492),
    [anon_sym_static] = ACTIONS(2492),
    [anon_sym_struct] = ACTIONS(2492),
    [anon_sym_trait] = ACTIONS(2492),
    [anon_sym_type] = ACTIONS(2492),
    [anon_sym_union] = ACTIONS(2492),
    [anon_sym_unsafe] = ACTIONS(2492),
    [anon_sym_use] = ACTIONS(2492),
    [anon_sym_while] = ACTIONS(2492),
    [anon_sym_extern] = ACTIONS(2492),
    [anon_sym_yield] = ACTIONS(2492),
    [anon_sym_move] = ACTIONS(2492),
    [anon_sym_try] = ACTIONS(2492),
    [sym_integer_literal] = ACTIONS(2490),
    [aux_sym_string_literal_token1] = ACTIONS(2490),
    [sym_char_literal] = ACTIONS(2490),
    [anon_sym_true] = ACTIONS(2492),
    [anon_sym_false] = ACTIONS(2492),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2492),
    [sym_super] = ACTIONS(2492),
    [sym_crate] = ACTIONS(2492),
    [sym_metavariable] = ACTIONS(2490),
    [sym__raw_string_literal_start] = ACTIONS(2490),
    [sym_float_literal] = ACTIONS(2490),
  },
  [682] = {
    [sym_line_comment] = STATE(682),
    [sym_block_comment] = STATE(682),
    [ts_builtin_sym_end] = ACTIONS(2494),
    [sym_identifier] = ACTIONS(2496),
    [anon_sym_SEMI] = ACTIONS(2494),
    [anon_sym_macro_rules_BANG] = ACTIONS(2494),
    [anon_sym_LPAREN] = ACTIONS(2494),
    [anon_sym_LBRACK] = ACTIONS(2494),
    [anon_sym_LBRACE] = ACTIONS(2494),
    [anon_sym_RBRACE] = ACTIONS(2494),
    [anon_sym_STAR] = ACTIONS(2494),
    [anon_sym_u8] = ACTIONS(2496),
    [anon_sym_i8] = ACTIONS(2496),
    [anon_sym_u16] = ACTIONS(2496),
    [anon_sym_i16] = ACTIONS(2496),
    [anon_sym_u32] = ACTIONS(2496),
    [anon_sym_i32] = ACTIONS(2496),
    [anon_sym_u64] = ACTIONS(2496),
    [anon_sym_i64] = ACTIONS(2496),
    [anon_sym_u128] = ACTIONS(2496),
    [anon_sym_i128] = ACTIONS(2496),
    [anon_sym_isize] = ACTIONS(2496),
    [anon_sym_usize] = ACTIONS(2496),
    [anon_sym_f32] = ACTIONS(2496),
    [anon_sym_f64] = ACTIONS(2496),
    [anon_sym_bool] = ACTIONS(2496),
    [anon_sym_str] = ACTIONS(2496),
    [anon_sym_char] = ACTIONS(2496),
    [anon_sym_DASH] = ACTIONS(2494),
    [anon_sym_BANG] = ACTIONS(2494),
    [anon_sym_AMP] = ACTIONS(2494),
    [anon_sym_PIPE] = ACTIONS(2494),
    [anon_sym_LT] = ACTIONS(2494),
    [anon_sym_DOT_DOT] = ACTIONS(2494),
    [anon_sym_COLON_COLON] = ACTIONS(2494),
    [anon_sym_POUND] = ACTIONS(2494),
    [anon_sym_SQUOTE] = ACTIONS(2496),
    [anon_sym_async] = ACTIONS(2496),
    [anon_sym_break] = ACTIONS(2496),
    [anon_sym_const] = ACTIONS(2496),
    [anon_sym_continue] = ACTIONS(2496),
    [anon_sym_default] = ACTIONS(2496),
    [anon_sym_enum] = ACTIONS(2496),
    [anon_sym_fn] = ACTIONS(2496),
    [anon_sym_for] = ACTIONS(2496),
    [anon_sym_if] = ACTIONS(2496),
    [anon_sym_impl] = ACTIONS(2496),
    [anon_sym_let] = ACTIONS(2496),
    [anon_sym_loop] = ACTIONS(2496),
    [anon_sym_match] = ACTIONS(2496),
    [anon_sym_mod] = ACTIONS(2496),
    [anon_sym_pub] = ACTIONS(2496),
    [anon_sym_return] = ACTIONS(2496),
    [anon_sym_static] = ACTIONS(2496),
    [anon_sym_struct] = ACTIONS(2496),
    [anon_sym_trait] = ACTIONS(2496),
    [anon_sym_type] = ACTIONS(2496),
    [anon_sym_union] = ACTIONS(2496),
    [anon_sym_unsafe] = ACTIONS(2496),
    [anon_sym_use] = ACTIONS(2496),
    [anon_sym_while] = ACTIONS(2496),
    [anon_sym_extern] = ACTIONS(2496),
    [anon_sym_yield] = ACTIONS(2496),
    [anon_sym_move] = ACTIONS(2496),
    [anon_sym_try] = ACTIONS(2496),
    [sym_integer_literal] = ACTIONS(2494),
    [aux_sym_string_literal_token1] = ACTIONS(2494),
    [sym_char_literal] = ACTIONS(2494),
    [anon_sym_true] = ACTIONS(2496),
    [anon_sym_false] = ACTIONS(2496),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2496),
    [sym_super] = ACTIONS(2496),
    [sym_crate] = ACTIONS(2496),
    [sym_metavariable] = ACTIONS(2494),
    [sym__raw_string_literal_start] = ACTIONS(2494),
    [sym_float_literal] = ACTIONS(2494),
  },
  [683] = {
    [sym_line_comment] = STATE(683),
    [sym_block_comment] = STATE(683),
    [ts_builtin_sym_end] = ACTIONS(2498),
    [sym_identifier] = ACTIONS(2500),
    [anon_sym_SEMI] = ACTIONS(2498),
    [anon_sym_macro_rules_BANG] = ACTIONS(2498),
    [anon_sym_LPAREN] = ACTIONS(2498),
    [anon_sym_LBRACK] = ACTIONS(2498),
    [anon_sym_LBRACE] = ACTIONS(2498),
    [anon_sym_RBRACE] = ACTIONS(2498),
    [anon_sym_STAR] = ACTIONS(2498),
    [anon_sym_u8] = ACTIONS(2500),
    [anon_sym_i8] = ACTIONS(2500),
    [anon_sym_u16] = ACTIONS(2500),
    [anon_sym_i16] = ACTIONS(2500),
    [anon_sym_u32] = ACTIONS(2500),
    [anon_sym_i32] = ACTIONS(2500),
    [anon_sym_u64] = ACTIONS(2500),
    [anon_sym_i64] = ACTIONS(2500),
    [anon_sym_u128] = ACTIONS(2500),
    [anon_sym_i128] = ACTIONS(2500),
    [anon_sym_isize] = ACTIONS(2500),
    [anon_sym_usize] = ACTIONS(2500),
    [anon_sym_f32] = ACTIONS(2500),
    [anon_sym_f64] = ACTIONS(2500),
    [anon_sym_bool] = ACTIONS(2500),
    [anon_sym_str] = ACTIONS(2500),
    [anon_sym_char] = ACTIONS(2500),
    [anon_sym_DASH] = ACTIONS(2498),
    [anon_sym_BANG] = ACTIONS(2498),
    [anon_sym_AMP] = ACTIONS(2498),
    [anon_sym_PIPE] = ACTIONS(2498),
    [anon_sym_LT] = ACTIONS(2498),
    [anon_sym_DOT_DOT] = ACTIONS(2498),
    [anon_sym_COLON_COLON] = ACTIONS(2498),
    [anon_sym_POUND] = ACTIONS(2498),
    [anon_sym_SQUOTE] = ACTIONS(2500),
    [anon_sym_async] = ACTIONS(2500),
    [anon_sym_break] = ACTIONS(2500),
    [anon_sym_const] = ACTIONS(2500),
    [anon_sym_continue] = ACTIONS(2500),
    [anon_sym_default] = ACTIONS(2500),
    [anon_sym_enum] = ACTIONS(2500),
    [anon_sym_fn] = ACTIONS(2500),
    [anon_sym_for] = ACTIONS(2500),
    [anon_sym_if] = ACTIONS(2500),
    [anon_sym_impl] = ACTIONS(2500),
    [anon_sym_let] = ACTIONS(2500),
    [anon_sym_loop] = ACTIONS(2500),
    [anon_sym_match] = ACTIONS(2500),
    [anon_sym_mod] = ACTIONS(2500),
    [anon_sym_pub] = ACTIONS(2500),
    [anon_sym_return] = ACTIONS(2500),
    [anon_sym_static] = ACTIONS(2500),
    [anon_sym_struct] = ACTIONS(2500),
    [anon_sym_trait] = ACTIONS(2500),
    [anon_sym_type] = ACTIONS(2500),
    [anon_sym_union] = ACTIONS(2500),
    [anon_sym_unsafe] = ACTIONS(2500),
    [anon_sym_use] = ACTIONS(2500),
    [anon_sym_while] = ACTIONS(2500),
    [anon_sym_extern] = ACTIONS(2500),
    [anon_sym_yield] = ACTIONS(2500),
    [anon_sym_move] = ACTIONS(2500),
    [anon_sym_try] = ACTIONS(2500),
    [sym_integer_literal] = ACTIONS(2498),
    [aux_sym_string_literal_token1] = ACTIONS(2498),
    [sym_char_literal] = ACTIONS(2498),
    [anon_sym_true] = ACTIONS(2500),
    [anon_sym_false] = ACTIONS(2500),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2500),
    [sym_super] = ACTIONS(2500),
    [sym_crate] = ACTIONS(2500),
    [sym_metavariable] = ACTIONS(2498),
    [sym__raw_string_literal_start] = ACTIONS(2498),
    [sym_float_literal] = ACTIONS(2498),
  },
  [684] = {
    [sym_line_comment] = STATE(684),
    [sym_block_comment] = STATE(684),
    [ts_builtin_sym_end] = ACTIONS(2502),
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_SEMI] = ACTIONS(2502),
    [anon_sym_macro_rules_BANG] = ACTIONS(2502),
    [anon_sym_LPAREN] = ACTIONS(2502),
    [anon_sym_LBRACK] = ACTIONS(2502),
    [anon_sym_LBRACE] = ACTIONS(2502),
    [anon_sym_RBRACE] = ACTIONS(2502),
    [anon_sym_STAR] = ACTIONS(2502),
    [anon_sym_u8] = ACTIONS(2504),
    [anon_sym_i8] = ACTIONS(2504),
    [anon_sym_u16] = ACTIONS(2504),
    [anon_sym_i16] = ACTIONS(2504),
    [anon_sym_u32] = ACTIONS(2504),
    [anon_sym_i32] = ACTIONS(2504),
    [anon_sym_u64] = ACTIONS(2504),
    [anon_sym_i64] = ACTIONS(2504),
    [anon_sym_u128] = ACTIONS(2504),
    [anon_sym_i128] = ACTIONS(2504),
    [anon_sym_isize] = ACTIONS(2504),
    [anon_sym_usize] = ACTIONS(2504),
    [anon_sym_f32] = ACTIONS(2504),
    [anon_sym_f64] = ACTIONS(2504),
    [anon_sym_bool] = ACTIONS(2504),
    [anon_sym_str] = ACTIONS(2504),
    [anon_sym_char] = ACTIONS(2504),
    [anon_sym_DASH] = ACTIONS(2502),
    [anon_sym_BANG] = ACTIONS(2502),
    [anon_sym_AMP] = ACTIONS(2502),
    [anon_sym_PIPE] = ACTIONS(2502),
    [anon_sym_LT] = ACTIONS(2502),
    [anon_sym_DOT_DOT] = ACTIONS(2502),
    [anon_sym_COLON_COLON] = ACTIONS(2502),
    [anon_sym_POUND] = ACTIONS(2502),
    [anon_sym_SQUOTE] = ACTIONS(2504),
    [anon_sym_async] = ACTIONS(2504),
    [anon_sym_break] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_continue] = ACTIONS(2504),
    [anon_sym_default] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_fn] = ACTIONS(2504),
    [anon_sym_for] = ACTIONS(2504),
    [anon_sym_if] = ACTIONS(2504),
    [anon_sym_impl] = ACTIONS(2504),
    [anon_sym_let] = ACTIONS(2504),
    [anon_sym_loop] = ACTIONS(2504),
    [anon_sym_match] = ACTIONS(2504),
    [anon_sym_mod] = ACTIONS(2504),
    [anon_sym_pub] = ACTIONS(2504),
    [anon_sym_return] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_trait] = ACTIONS(2504),
    [anon_sym_type] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [anon_sym_unsafe] = ACTIONS(2504),
    [anon_sym_use] = ACTIONS(2504),
    [anon_sym_while] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym_yield] = ACTIONS(2504),
    [anon_sym_move] = ACTIONS(2504),
    [anon_sym_try] = ACTIONS(2504),
    [sym_integer_literal] = ACTIONS(2502),
    [aux_sym_string_literal_token1] = ACTIONS(2502),
    [sym_char_literal] = ACTIONS(2502),
    [anon_sym_true] = ACTIONS(2504),
    [anon_sym_false] = ACTIONS(2504),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2504),
    [sym_super] = ACTIONS(2504),
    [sym_crate] = ACTIONS(2504),
    [sym_metavariable] = ACTIONS(2502),
    [sym__raw_string_literal_start] = ACTIONS(2502),
    [sym_float_literal] = ACTIONS(2502),
  },
  [685] = {
    [sym_line_comment] = STATE(685),
    [sym_block_comment] = STATE(685),
    [ts_builtin_sym_end] = ACTIONS(2506),
    [sym_identifier] = ACTIONS(2508),
    [anon_sym_SEMI] = ACTIONS(2506),
    [anon_sym_macro_rules_BANG] = ACTIONS(2506),
    [anon_sym_LPAREN] = ACTIONS(2506),
    [anon_sym_LBRACK] = ACTIONS(2506),
    [anon_sym_LBRACE] = ACTIONS(2506),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_STAR] = ACTIONS(2506),
    [anon_sym_u8] = ACTIONS(2508),
    [anon_sym_i8] = ACTIONS(2508),
    [anon_sym_u16] = ACTIONS(2508),
    [anon_sym_i16] = ACTIONS(2508),
    [anon_sym_u32] = ACTIONS(2508),
    [anon_sym_i32] = ACTIONS(2508),
    [anon_sym_u64] = ACTIONS(2508),
    [anon_sym_i64] = ACTIONS(2508),
    [anon_sym_u128] = ACTIONS(2508),
    [anon_sym_i128] = ACTIONS(2508),
    [anon_sym_isize] = ACTIONS(2508),
    [anon_sym_usize] = ACTIONS(2508),
    [anon_sym_f32] = ACTIONS(2508),
    [anon_sym_f64] = ACTIONS(2508),
    [anon_sym_bool] = ACTIONS(2508),
    [anon_sym_str] = ACTIONS(2508),
    [anon_sym_char] = ACTIONS(2508),
    [anon_sym_DASH] = ACTIONS(2506),
    [anon_sym_BANG] = ACTIONS(2506),
    [anon_sym_AMP] = ACTIONS(2506),
    [anon_sym_PIPE] = ACTIONS(2506),
    [anon_sym_LT] = ACTIONS(2506),
    [anon_sym_DOT_DOT] = ACTIONS(2506),
    [anon_sym_COLON_COLON] = ACTIONS(2506),
    [anon_sym_POUND] = ACTIONS(2506),
    [anon_sym_SQUOTE] = ACTIONS(2508),
    [anon_sym_async] = ACTIONS(2508),
    [anon_sym_break] = ACTIONS(2508),
    [anon_sym_const] = ACTIONS(2508),
    [anon_sym_continue] = ACTIONS(2508),
    [anon_sym_default] = ACTIONS(2508),
    [anon_sym_enum] = ACTIONS(2508),
    [anon_sym_fn] = ACTIONS(2508),
    [anon_sym_for] = ACTIONS(2508),
    [anon_sym_if] = ACTIONS(2508),
    [anon_sym_impl] = ACTIONS(2508),
    [anon_sym_let] = ACTIONS(2508),
    [anon_sym_loop] = ACTIONS(2508),
    [anon_sym_match] = ACTIONS(2508),
    [anon_sym_mod] = ACTIONS(2508),
    [anon_sym_pub] = ACTIONS(2508),
    [anon_sym_return] = ACTIONS(2508),
    [anon_sym_static] = ACTIONS(2508),
    [anon_sym_struct] = ACTIONS(2508),
    [anon_sym_trait] = ACTIONS(2508),
    [anon_sym_type] = ACTIONS(2508),
    [anon_sym_union] = ACTIONS(2508),
    [anon_sym_unsafe] = ACTIONS(2508),
    [anon_sym_use] = ACTIONS(2508),
    [anon_sym_while] = ACTIONS(2508),
    [anon_sym_extern] = ACTIONS(2508),
    [anon_sym_yield] = ACTIONS(2508),
    [anon_sym_move] = ACTIONS(2508),
    [anon_sym_try] = ACTIONS(2508),
    [sym_integer_literal] = ACTIONS(2506),
    [aux_sym_string_literal_token1] = ACTIONS(2506),
    [sym_char_literal] = ACTIONS(2506),
    [anon_sym_true] = ACTIONS(2508),
    [anon_sym_false] = ACTIONS(2508),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2508),
    [sym_super] = ACTIONS(2508),
    [sym_crate] = ACTIONS(2508),
    [sym_metavariable] = ACTIONS(2506),
    [sym__raw_string_literal_start] = ACTIONS(2506),
    [sym_float_literal] = ACTIONS(2506),
  },
  [686] = {
    [sym_line_comment] = STATE(686),
    [sym_block_comment] = STATE(686),
    [ts_builtin_sym_end] = ACTIONS(2510),
    [sym_identifier] = ACTIONS(2512),
    [anon_sym_SEMI] = ACTIONS(2510),
    [anon_sym_macro_rules_BANG] = ACTIONS(2510),
    [anon_sym_LPAREN] = ACTIONS(2510),
    [anon_sym_LBRACK] = ACTIONS(2510),
    [anon_sym_LBRACE] = ACTIONS(2510),
    [anon_sym_RBRACE] = ACTIONS(2510),
    [anon_sym_STAR] = ACTIONS(2510),
    [anon_sym_u8] = ACTIONS(2512),
    [anon_sym_i8] = ACTIONS(2512),
    [anon_sym_u16] = ACTIONS(2512),
    [anon_sym_i16] = ACTIONS(2512),
    [anon_sym_u32] = ACTIONS(2512),
    [anon_sym_i32] = ACTIONS(2512),
    [anon_sym_u64] = ACTIONS(2512),
    [anon_sym_i64] = ACTIONS(2512),
    [anon_sym_u128] = ACTIONS(2512),
    [anon_sym_i128] = ACTIONS(2512),
    [anon_sym_isize] = ACTIONS(2512),
    [anon_sym_usize] = ACTIONS(2512),
    [anon_sym_f32] = ACTIONS(2512),
    [anon_sym_f64] = ACTIONS(2512),
    [anon_sym_bool] = ACTIONS(2512),
    [anon_sym_str] = ACTIONS(2512),
    [anon_sym_char] = ACTIONS(2512),
    [anon_sym_DASH] = ACTIONS(2510),
    [anon_sym_BANG] = ACTIONS(2510),
    [anon_sym_AMP] = ACTIONS(2510),
    [anon_sym_PIPE] = ACTIONS(2510),
    [anon_sym_LT] = ACTIONS(2510),
    [anon_sym_DOT_DOT] = ACTIONS(2510),
    [anon_sym_COLON_COLON] = ACTIONS(2510),
    [anon_sym_POUND] = ACTIONS(2510),
    [anon_sym_SQUOTE] = ACTIONS(2512),
    [anon_sym_async] = ACTIONS(2512),
    [anon_sym_break] = ACTIONS(2512),
    [anon_sym_const] = ACTIONS(2512),
    [anon_sym_continue] = ACTIONS(2512),
    [anon_sym_default] = ACTIONS(2512),
    [anon_sym_enum] = ACTIONS(2512),
    [anon_sym_fn] = ACTIONS(2512),
    [anon_sym_for] = ACTIONS(2512),
    [anon_sym_if] = ACTIONS(2512),
    [anon_sym_impl] = ACTIONS(2512),
    [anon_sym_let] = ACTIONS(2512),
    [anon_sym_loop] = ACTIONS(2512),
    [anon_sym_match] = ACTIONS(2512),
    [anon_sym_mod] = ACTIONS(2512),
    [anon_sym_pub] = ACTIONS(2512),
    [anon_sym_return] = ACTIONS(2512),
    [anon_sym_static] = ACTIONS(2512),
    [anon_sym_struct] = ACTIONS(2512),
    [anon_sym_trait] = ACTIONS(2512),
    [anon_sym_type] = ACTIONS(2512),
    [anon_sym_union] = ACTIONS(2512),
    [anon_sym_unsafe] = ACTIONS(2512),
    [anon_sym_use] = ACTIONS(2512),
    [anon_sym_while] = ACTIONS(2512),
    [anon_sym_extern] = ACTIONS(2512),
    [anon_sym_yield] = ACTIONS(2512),
    [anon_sym_move] = ACTIONS(2512),
    [anon_sym_try] = ACTIONS(2512),
    [sym_integer_literal] = ACTIONS(2510),
    [aux_sym_string_literal_token1] = ACTIONS(2510),
    [sym_char_literal] = ACTIONS(2510),
    [anon_sym_true] = ACTIONS(2512),
    [anon_sym_false] = ACTIONS(2512),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2512),
    [sym_super] = ACTIONS(2512),
    [sym_crate] = ACTIONS(2512),
    [sym_metavariable] = ACTIONS(2510),
    [sym__raw_string_literal_start] = ACTIONS(2510),
    [sym_float_literal] = ACTIONS(2510),
  },
  [687] = {
    [sym_line_comment] = STATE(687),
    [sym_block_comment] = STATE(687),
    [ts_builtin_sym_end] = ACTIONS(2514),
    [sym_identifier] = ACTIONS(2516),
    [anon_sym_SEMI] = ACTIONS(2514),
    [anon_sym_macro_rules_BANG] = ACTIONS(2514),
    [anon_sym_LPAREN] = ACTIONS(2514),
    [anon_sym_LBRACK] = ACTIONS(2514),
    [anon_sym_LBRACE] = ACTIONS(2514),
    [anon_sym_RBRACE] = ACTIONS(2514),
    [anon_sym_STAR] = ACTIONS(2514),
    [anon_sym_u8] = ACTIONS(2516),
    [anon_sym_i8] = ACTIONS(2516),
    [anon_sym_u16] = ACTIONS(2516),
    [anon_sym_i16] = ACTIONS(2516),
    [anon_sym_u32] = ACTIONS(2516),
    [anon_sym_i32] = ACTIONS(2516),
    [anon_sym_u64] = ACTIONS(2516),
    [anon_sym_i64] = ACTIONS(2516),
    [anon_sym_u128] = ACTIONS(2516),
    [anon_sym_i128] = ACTIONS(2516),
    [anon_sym_isize] = ACTIONS(2516),
    [anon_sym_usize] = ACTIONS(2516),
    [anon_sym_f32] = ACTIONS(2516),
    [anon_sym_f64] = ACTIONS(2516),
    [anon_sym_bool] = ACTIONS(2516),
    [anon_sym_str] = ACTIONS(2516),
    [anon_sym_char] = ACTIONS(2516),
    [anon_sym_DASH] = ACTIONS(2514),
    [anon_sym_BANG] = ACTIONS(2514),
    [anon_sym_AMP] = ACTIONS(2514),
    [anon_sym_PIPE] = ACTIONS(2514),
    [anon_sym_LT] = ACTIONS(2514),
    [anon_sym_DOT_DOT] = ACTIONS(2514),
    [anon_sym_COLON_COLON] = ACTIONS(2514),
    [anon_sym_POUND] = ACTIONS(2514),
    [anon_sym_SQUOTE] = ACTIONS(2516),
    [anon_sym_async] = ACTIONS(2516),
    [anon_sym_break] = ACTIONS(2516),
    [anon_sym_const] = ACTIONS(2516),
    [anon_sym_continue] = ACTIONS(2516),
    [anon_sym_default] = ACTIONS(2516),
    [anon_sym_enum] = ACTIONS(2516),
    [anon_sym_fn] = ACTIONS(2516),
    [anon_sym_for] = ACTIONS(2516),
    [anon_sym_if] = ACTIONS(2516),
    [anon_sym_impl] = ACTIONS(2516),
    [anon_sym_let] = ACTIONS(2516),
    [anon_sym_loop] = ACTIONS(2516),
    [anon_sym_match] = ACTIONS(2516),
    [anon_sym_mod] = ACTIONS(2516),
    [anon_sym_pub] = ACTIONS(2516),
    [anon_sym_return] = ACTIONS(2516),
    [anon_sym_static] = ACTIONS(2516),
    [anon_sym_struct] = ACTIONS(2516),
    [anon_sym_trait] = ACTIONS(2516),
    [anon_sym_type] = ACTIONS(2516),
    [anon_sym_union] = ACTIONS(2516),
    [anon_sym_unsafe] = ACTIONS(2516),
    [anon_sym_use] = ACTIONS(2516),
    [anon_sym_while] = ACTIONS(2516),
    [anon_sym_extern] = ACTIONS(2516),
    [anon_sym_yield] = ACTIONS(2516),
    [anon_sym_move] = ACTIONS(2516),
    [anon_sym_try] = ACTIONS(2516),
    [sym_integer_literal] = ACTIONS(2514),
    [aux_sym_string_literal_token1] = ACTIONS(2514),
    [sym_char_literal] = ACTIONS(2514),
    [anon_sym_true] = ACTIONS(2516),
    [anon_sym_false] = ACTIONS(2516),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2516),
    [sym_super] = ACTIONS(2516),
    [sym_crate] = ACTIONS(2516),
    [sym_metavariable] = ACTIONS(2514),
    [sym__raw_string_literal_start] = ACTIONS(2514),
    [sym_float_literal] = ACTIONS(2514),
  },
  [688] = {
    [sym_line_comment] = STATE(688),
    [sym_block_comment] = STATE(688),
    [ts_builtin_sym_end] = ACTIONS(2518),
    [sym_identifier] = ACTIONS(2520),
    [anon_sym_SEMI] = ACTIONS(2518),
    [anon_sym_macro_rules_BANG] = ACTIONS(2518),
    [anon_sym_LPAREN] = ACTIONS(2518),
    [anon_sym_LBRACK] = ACTIONS(2518),
    [anon_sym_LBRACE] = ACTIONS(2518),
    [anon_sym_RBRACE] = ACTIONS(2518),
    [anon_sym_STAR] = ACTIONS(2518),
    [anon_sym_u8] = ACTIONS(2520),
    [anon_sym_i8] = ACTIONS(2520),
    [anon_sym_u16] = ACTIONS(2520),
    [anon_sym_i16] = ACTIONS(2520),
    [anon_sym_u32] = ACTIONS(2520),
    [anon_sym_i32] = ACTIONS(2520),
    [anon_sym_u64] = ACTIONS(2520),
    [anon_sym_i64] = ACTIONS(2520),
    [anon_sym_u128] = ACTIONS(2520),
    [anon_sym_i128] = ACTIONS(2520),
    [anon_sym_isize] = ACTIONS(2520),
    [anon_sym_usize] = ACTIONS(2520),
    [anon_sym_f32] = ACTIONS(2520),
    [anon_sym_f64] = ACTIONS(2520),
    [anon_sym_bool] = ACTIONS(2520),
    [anon_sym_str] = ACTIONS(2520),
    [anon_sym_char] = ACTIONS(2520),
    [anon_sym_DASH] = ACTIONS(2518),
    [anon_sym_BANG] = ACTIONS(2518),
    [anon_sym_AMP] = ACTIONS(2518),
    [anon_sym_PIPE] = ACTIONS(2518),
    [anon_sym_LT] = ACTIONS(2518),
    [anon_sym_DOT_DOT] = ACTIONS(2518),
    [anon_sym_COLON_COLON] = ACTIONS(2518),
    [anon_sym_POUND] = ACTIONS(2518),
    [anon_sym_SQUOTE] = ACTIONS(2520),
    [anon_sym_async] = ACTIONS(2520),
    [anon_sym_break] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_continue] = ACTIONS(2520),
    [anon_sym_default] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_fn] = ACTIONS(2520),
    [anon_sym_for] = ACTIONS(2520),
    [anon_sym_if] = ACTIONS(2520),
    [anon_sym_impl] = ACTIONS(2520),
    [anon_sym_let] = ACTIONS(2520),
    [anon_sym_loop] = ACTIONS(2520),
    [anon_sym_match] = ACTIONS(2520),
    [anon_sym_mod] = ACTIONS(2520),
    [anon_sym_pub] = ACTIONS(2520),
    [anon_sym_return] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_trait] = ACTIONS(2520),
    [anon_sym_type] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [anon_sym_unsafe] = ACTIONS(2520),
    [anon_sym_use] = ACTIONS(2520),
    [anon_sym_while] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym_yield] = ACTIONS(2520),
    [anon_sym_move] = ACTIONS(2520),
    [anon_sym_try] = ACTIONS(2520),
    [sym_integer_literal] = ACTIONS(2518),
    [aux_sym_string_literal_token1] = ACTIONS(2518),
    [sym_char_literal] = ACTIONS(2518),
    [anon_sym_true] = ACTIONS(2520),
    [anon_sym_false] = ACTIONS(2520),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2520),
    [sym_super] = ACTIONS(2520),
    [sym_crate] = ACTIONS(2520),
    [sym_metavariable] = ACTIONS(2518),
    [sym__raw_string_literal_start] = ACTIONS(2518),
    [sym_float_literal] = ACTIONS(2518),
  },
  [689] = {
    [sym_line_comment] = STATE(689),
    [sym_block_comment] = STATE(689),
    [ts_builtin_sym_end] = ACTIONS(2522),
    [sym_identifier] = ACTIONS(2524),
    [anon_sym_SEMI] = ACTIONS(2522),
    [anon_sym_macro_rules_BANG] = ACTIONS(2522),
    [anon_sym_LPAREN] = ACTIONS(2522),
    [anon_sym_LBRACK] = ACTIONS(2522),
    [anon_sym_LBRACE] = ACTIONS(2522),
    [anon_sym_RBRACE] = ACTIONS(2522),
    [anon_sym_STAR] = ACTIONS(2522),
    [anon_sym_u8] = ACTIONS(2524),
    [anon_sym_i8] = ACTIONS(2524),
    [anon_sym_u16] = ACTIONS(2524),
    [anon_sym_i16] = ACTIONS(2524),
    [anon_sym_u32] = ACTIONS(2524),
    [anon_sym_i32] = ACTIONS(2524),
    [anon_sym_u64] = ACTIONS(2524),
    [anon_sym_i64] = ACTIONS(2524),
    [anon_sym_u128] = ACTIONS(2524),
    [anon_sym_i128] = ACTIONS(2524),
    [anon_sym_isize] = ACTIONS(2524),
    [anon_sym_usize] = ACTIONS(2524),
    [anon_sym_f32] = ACTIONS(2524),
    [anon_sym_f64] = ACTIONS(2524),
    [anon_sym_bool] = ACTIONS(2524),
    [anon_sym_str] = ACTIONS(2524),
    [anon_sym_char] = ACTIONS(2524),
    [anon_sym_DASH] = ACTIONS(2522),
    [anon_sym_BANG] = ACTIONS(2522),
    [anon_sym_AMP] = ACTIONS(2522),
    [anon_sym_PIPE] = ACTIONS(2522),
    [anon_sym_LT] = ACTIONS(2522),
    [anon_sym_DOT_DOT] = ACTIONS(2522),
    [anon_sym_COLON_COLON] = ACTIONS(2522),
    [anon_sym_POUND] = ACTIONS(2522),
    [anon_sym_SQUOTE] = ACTIONS(2524),
    [anon_sym_async] = ACTIONS(2524),
    [anon_sym_break] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_continue] = ACTIONS(2524),
    [anon_sym_default] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_fn] = ACTIONS(2524),
    [anon_sym_for] = ACTIONS(2524),
    [anon_sym_if] = ACTIONS(2524),
    [anon_sym_impl] = ACTIONS(2524),
    [anon_sym_let] = ACTIONS(2524),
    [anon_sym_loop] = ACTIONS(2524),
    [anon_sym_match] = ACTIONS(2524),
    [anon_sym_mod] = ACTIONS(2524),
    [anon_sym_pub] = ACTIONS(2524),
    [anon_sym_return] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_trait] = ACTIONS(2524),
    [anon_sym_type] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [anon_sym_unsafe] = ACTIONS(2524),
    [anon_sym_use] = ACTIONS(2524),
    [anon_sym_while] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym_yield] = ACTIONS(2524),
    [anon_sym_move] = ACTIONS(2524),
    [anon_sym_try] = ACTIONS(2524),
    [sym_integer_literal] = ACTIONS(2522),
    [aux_sym_string_literal_token1] = ACTIONS(2522),
    [sym_char_literal] = ACTIONS(2522),
    [anon_sym_true] = ACTIONS(2524),
    [anon_sym_false] = ACTIONS(2524),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2524),
    [sym_super] = ACTIONS(2524),
    [sym_crate] = ACTIONS(2524),
    [sym_metavariable] = ACTIONS(2522),
    [sym__raw_string_literal_start] = ACTIONS(2522),
    [sym_float_literal] = ACTIONS(2522),
  },
  [690] = {
    [sym_empty_statement] = STATE(1456),
    [sym_macro_definition] = STATE(1456),
    [sym_attribute_item] = STATE(1456),
    [sym_inner_attribute_item] = STATE(1456),
    [sym_mod_item] = STATE(1456),
    [sym_foreign_mod_item] = STATE(1456),
    [sym_struct_item] = STATE(1456),
    [sym_union_item] = STATE(1456),
    [sym_enum_item] = STATE(1456),
    [sym_extern_crate_declaration] = STATE(1456),
    [sym_const_item] = STATE(1456),
    [sym_static_item] = STATE(1456),
    [sym_type_item] = STATE(1456),
    [sym_function_item] = STATE(1456),
    [sym_function_signature_item] = STATE(1456),
    [sym_function_modifiers] = STATE(3593),
    [sym_impl_item] = STATE(1456),
    [sym_trait_item] = STATE(1456),
    [sym_associated_type] = STATE(1456),
    [sym_let_declaration] = STATE(1456),
    [sym_use_declaration] = STATE(1456),
    [sym_extern_modifier] = STATE(2154),
    [sym_visibility_modifier] = STATE(1934),
    [sym_bracketed_type] = STATE(3324),
    [sym_generic_type_with_turbofish] = STATE(3350),
    [sym_macro_invocation] = STATE(1456),
    [sym_scoped_identifier] = STATE(3156),
    [sym_line_comment] = STATE(690),
    [sym_block_comment] = STATE(690),
    [aux_sym_declaration_list_repeat1] = STATE(698),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_macro_rules_BANG] = ACTIONS(2334),
    [anon_sym_RBRACE] = ACTIONS(2526),
    [anon_sym_u8] = ACTIONS(2338),
    [anon_sym_i8] = ACTIONS(2338),
    [anon_sym_u16] = ACTIONS(2338),
    [anon_sym_i16] = ACTIONS(2338),
    [anon_sym_u32] = ACTIONS(2338),
    [anon_sym_i32] = ACTIONS(2338),
    [anon_sym_u64] = ACTIONS(2338),
    [anon_sym_i64] = ACTIONS(2338),
    [anon_sym_u128] = ACTIONS(2338),
    [anon_sym_i128] = ACTIONS(2338),
    [anon_sym_isize] = ACTIONS(2338),
    [anon_sym_usize] = ACTIONS(2338),
    [anon_sym_f32] = ACTIONS(2338),
    [anon_sym_f64] = ACTIONS(2338),
    [anon_sym_bool] = ACTIONS(2338),
    [anon_sym_str] = ACTIONS(2338),
    [anon_sym_char] = ACTIONS(2338),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(2340),
    [anon_sym_POUND] = ACTIONS(2342),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(2344),
    [anon_sym_default] = ACTIONS(2346),
    [anon_sym_enum] = ACTIONS(2348),
    [anon_sym_fn] = ACTIONS(2350),
    [anon_sym_impl] = ACTIONS(2352),
    [anon_sym_let] = ACTIONS(2354),
    [anon_sym_mod] = ACTIONS(2356),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(2358),
    [anon_sym_struct] = ACTIONS(2360),
    [anon_sym_trait] = ACTIONS(2362),
    [anon_sym_type] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2366),
    [anon_sym_unsafe] = ACTIONS(2368),
    [anon_sym_use] = ACTIONS(2370),
    [anon_sym_extern] = ACTIONS(2372),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2374),
    [sym_super] = ACTIONS(2374),
    [sym_crate] = ACTIONS(2376),
    [sym_metavariable] = ACTIONS(2378),
  },
  [691] = {
    [sym_line_comment] = STATE(691),
    [sym_block_comment] = STATE(691),
    [ts_builtin_sym_end] = ACTIONS(2528),
    [sym_identifier] = ACTIONS(2530),
    [anon_sym_SEMI] = ACTIONS(2528),
    [anon_sym_macro_rules_BANG] = ACTIONS(2528),
    [anon_sym_LPAREN] = ACTIONS(2528),
    [anon_sym_LBRACK] = ACTIONS(2528),
    [anon_sym_LBRACE] = ACTIONS(2528),
    [anon_sym_RBRACE] = ACTIONS(2528),
    [anon_sym_STAR] = ACTIONS(2528),
    [anon_sym_u8] = ACTIONS(2530),
    [anon_sym_i8] = ACTIONS(2530),
    [anon_sym_u16] = ACTIONS(2530),
    [anon_sym_i16] = ACTIONS(2530),
    [anon_sym_u32] = ACTIONS(2530),
    [anon_sym_i32] = ACTIONS(2530),
    [anon_sym_u64] = ACTIONS(2530),
    [anon_sym_i64] = ACTIONS(2530),
    [anon_sym_u128] = ACTIONS(2530),
    [anon_sym_i128] = ACTIONS(2530),
    [anon_sym_isize] = ACTIONS(2530),
    [anon_sym_usize] = ACTIONS(2530),
    [anon_sym_f32] = ACTIONS(2530),
    [anon_sym_f64] = ACTIONS(2530),
    [anon_sym_bool] = ACTIONS(2530),
    [anon_sym_str] = ACTIONS(2530),
    [anon_sym_char] = ACTIONS(2530),
    [anon_sym_DASH] = ACTIONS(2528),
    [anon_sym_BANG] = ACTIONS(2528),
    [anon_sym_AMP] = ACTIONS(2528),
    [anon_sym_PIPE] = ACTIONS(2528),
    [anon_sym_LT] = ACTIONS(2528),
    [anon_sym_DOT_DOT] = ACTIONS(2528),
    [anon_sym_COLON_COLON] = ACTIONS(2528),
    [anon_sym_POUND] = ACTIONS(2528),
    [anon_sym_SQUOTE] = ACTIONS(2530),
    [anon_sym_async] = ACTIONS(2530),
    [anon_sym_break] = ACTIONS(2530),
    [anon_sym_const] = ACTIONS(2530),
    [anon_sym_continue] = ACTIONS(2530),
    [anon_sym_default] = ACTIONS(2530),
    [anon_sym_enum] = ACTIONS(2530),
    [anon_sym_fn] = ACTIONS(2530),
    [anon_sym_for] = ACTIONS(2530),
    [anon_sym_if] = ACTIONS(2530),
    [anon_sym_impl] = ACTIONS(2530),
    [anon_sym_let] = ACTIONS(2530),
    [anon_sym_loop] = ACTIONS(2530),
    [anon_sym_match] = ACTIONS(2530),
    [anon_sym_mod] = ACTIONS(2530),
    [anon_sym_pub] = ACTIONS(2530),
    [anon_sym_return] = ACTIONS(2530),
    [anon_sym_static] = ACTIONS(2530),
    [anon_sym_struct] = ACTIONS(2530),
    [anon_sym_trait] = ACTIONS(2530),
    [anon_sym_type] = ACTIONS(2530),
    [anon_sym_union] = ACTIONS(2530),
    [anon_sym_unsafe] = ACTIONS(2530),
    [anon_sym_use] = ACTIONS(2530),
    [anon_sym_while] = ACTIONS(2530),
    [anon_sym_extern] = ACTIONS(2530),
    [anon_sym_yield] = ACTIONS(2530),
    [anon_sym_move] = ACTIONS(2530),
    [anon_sym_try] = ACTIONS(2530),
    [sym_integer_literal] = ACTIONS(2528),
    [aux_sym_string_literal_token1] = ACTIONS(2528),
    [sym_char_literal] = ACTIONS(2528),
    [anon_sym_true] = ACTIONS(2530),
    [anon_sym_false] = ACTIONS(2530),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2530),
    [sym_super] = ACTIONS(2530),
    [sym_crate] = ACTIONS(2530),
    [sym_metavariable] = ACTIONS(2528),
    [sym__raw_string_literal_start] = ACTIONS(2528),
    [sym_float_literal] = ACTIONS(2528),
  },
  [692] = {
    [sym_empty_statement] = STATE(1456),
    [sym_macro_definition] = STATE(1456),
    [sym_attribute_item] = STATE(1456),
    [sym_inner_attribute_item] = STATE(1456),
    [sym_mod_item] = STATE(1456),
    [sym_foreign_mod_item] = STATE(1456),
    [sym_struct_item] = STATE(1456),
    [sym_union_item] = STATE(1456),
    [sym_enum_item] = STATE(1456),
    [sym_extern_crate_declaration] = STATE(1456),
    [sym_const_item] = STATE(1456),
    [sym_static_item] = STATE(1456),
    [sym_type_item] = STATE(1456),
    [sym_function_item] = STATE(1456),
    [sym_function_signature_item] = STATE(1456),
    [sym_function_modifiers] = STATE(3593),
    [sym_impl_item] = STATE(1456),
    [sym_trait_item] = STATE(1456),
    [sym_associated_type] = STATE(1456),
    [sym_let_declaration] = STATE(1456),
    [sym_use_declaration] = STATE(1456),
    [sym_extern_modifier] = STATE(2154),
    [sym_visibility_modifier] = STATE(1934),
    [sym_bracketed_type] = STATE(3324),
    [sym_generic_type_with_turbofish] = STATE(3350),
    [sym_macro_invocation] = STATE(1456),
    [sym_scoped_identifier] = STATE(3156),
    [sym_line_comment] = STATE(692),
    [sym_block_comment] = STATE(692),
    [aux_sym_declaration_list_repeat1] = STATE(692),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2532),
    [anon_sym_SEMI] = ACTIONS(2535),
    [anon_sym_macro_rules_BANG] = ACTIONS(2538),
    [anon_sym_RBRACE] = ACTIONS(2541),
    [anon_sym_u8] = ACTIONS(2543),
    [anon_sym_i8] = ACTIONS(2543),
    [anon_sym_u16] = ACTIONS(2543),
    [anon_sym_i16] = ACTIONS(2543),
    [anon_sym_u32] = ACTIONS(2543),
    [anon_sym_i32] = ACTIONS(2543),
    [anon_sym_u64] = ACTIONS(2543),
    [anon_sym_i64] = ACTIONS(2543),
    [anon_sym_u128] = ACTIONS(2543),
    [anon_sym_i128] = ACTIONS(2543),
    [anon_sym_isize] = ACTIONS(2543),
    [anon_sym_usize] = ACTIONS(2543),
    [anon_sym_f32] = ACTIONS(2543),
    [anon_sym_f64] = ACTIONS(2543),
    [anon_sym_bool] = ACTIONS(2543),
    [anon_sym_str] = ACTIONS(2543),
    [anon_sym_char] = ACTIONS(2543),
    [anon_sym_LT] = ACTIONS(2546),
    [anon_sym_COLON_COLON] = ACTIONS(2549),
    [anon_sym_POUND] = ACTIONS(2552),
    [anon_sym_async] = ACTIONS(2555),
    [anon_sym_const] = ACTIONS(2558),
    [anon_sym_default] = ACTIONS(2561),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_fn] = ACTIONS(2567),
    [anon_sym_impl] = ACTIONS(2570),
    [anon_sym_let] = ACTIONS(2573),
    [anon_sym_mod] = ACTIONS(2576),
    [anon_sym_pub] = ACTIONS(2579),
    [anon_sym_static] = ACTIONS(2582),
    [anon_sym_struct] = ACTIONS(2585),
    [anon_sym_trait] = ACTIONS(2588),
    [anon_sym_type] = ACTIONS(2591),
    [anon_sym_union] = ACTIONS(2594),
    [anon_sym_unsafe] = ACTIONS(2597),
    [anon_sym_use] = ACTIONS(2600),
    [anon_sym_extern] = ACTIONS(2603),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2606),
    [sym_super] = ACTIONS(2606),
    [sym_crate] = ACTIONS(2609),
    [sym_metavariable] = ACTIONS(2612),
  },
  [693] = {
    [sym_line_comment] = STATE(693),
    [sym_block_comment] = STATE(693),
    [ts_builtin_sym_end] = ACTIONS(2615),
    [sym_identifier] = ACTIONS(2617),
    [anon_sym_SEMI] = ACTIONS(2615),
    [anon_sym_macro_rules_BANG] = ACTIONS(2615),
    [anon_sym_LPAREN] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_RBRACE] = ACTIONS(2615),
    [anon_sym_STAR] = ACTIONS(2615),
    [anon_sym_u8] = ACTIONS(2617),
    [anon_sym_i8] = ACTIONS(2617),
    [anon_sym_u16] = ACTIONS(2617),
    [anon_sym_i16] = ACTIONS(2617),
    [anon_sym_u32] = ACTIONS(2617),
    [anon_sym_i32] = ACTIONS(2617),
    [anon_sym_u64] = ACTIONS(2617),
    [anon_sym_i64] = ACTIONS(2617),
    [anon_sym_u128] = ACTIONS(2617),
    [anon_sym_i128] = ACTIONS(2617),
    [anon_sym_isize] = ACTIONS(2617),
    [anon_sym_usize] = ACTIONS(2617),
    [anon_sym_f32] = ACTIONS(2617),
    [anon_sym_f64] = ACTIONS(2617),
    [anon_sym_bool] = ACTIONS(2617),
    [anon_sym_str] = ACTIONS(2617),
    [anon_sym_char] = ACTIONS(2617),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_BANG] = ACTIONS(2615),
    [anon_sym_AMP] = ACTIONS(2615),
    [anon_sym_PIPE] = ACTIONS(2615),
    [anon_sym_LT] = ACTIONS(2615),
    [anon_sym_DOT_DOT] = ACTIONS(2615),
    [anon_sym_COLON_COLON] = ACTIONS(2615),
    [anon_sym_POUND] = ACTIONS(2615),
    [anon_sym_SQUOTE] = ACTIONS(2617),
    [anon_sym_async] = ACTIONS(2617),
    [anon_sym_break] = ACTIONS(2617),
    [anon_sym_const] = ACTIONS(2617),
    [anon_sym_continue] = ACTIONS(2617),
    [anon_sym_default] = ACTIONS(2617),
    [anon_sym_enum] = ACTIONS(2617),
    [anon_sym_fn] = ACTIONS(2617),
    [anon_sym_for] = ACTIONS(2617),
    [anon_sym_if] = ACTIONS(2617),
    [anon_sym_impl] = ACTIONS(2617),
    [anon_sym_let] = ACTIONS(2617),
    [anon_sym_loop] = ACTIONS(2617),
    [anon_sym_match] = ACTIONS(2617),
    [anon_sym_mod] = ACTIONS(2617),
    [anon_sym_pub] = ACTIONS(2617),
    [anon_sym_return] = ACTIONS(2617),
    [anon_sym_static] = ACTIONS(2617),
    [anon_sym_struct] = ACTIONS(2617),
    [anon_sym_trait] = ACTIONS(2617),
    [anon_sym_type] = ACTIONS(2617),
    [anon_sym_union] = ACTIONS(2617),
    [anon_sym_unsafe] = ACTIONS(2617),
    [anon_sym_use] = ACTIONS(2617),
    [anon_sym_while] = ACTIONS(2617),
    [anon_sym_extern] = ACTIONS(2617),
    [anon_sym_yield] = ACTIONS(2617),
    [anon_sym_move] = ACTIONS(2617),
    [anon_sym_try] = ACTIONS(2617),
    [sym_integer_literal] = ACTIONS(2615),
    [aux_sym_string_literal_token1] = ACTIONS(2615),
    [sym_char_literal] = ACTIONS(2615),
    [anon_sym_true] = ACTIONS(2617),
    [anon_sym_false] = ACTIONS(2617),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2617),
    [sym_super] = ACTIONS(2617),
    [sym_crate] = ACTIONS(2617),
    [sym_metavariable] = ACTIONS(2615),
    [sym__raw_string_literal_start] = ACTIONS(2615),
    [sym_float_literal] = ACTIONS(2615),
  },
  [694] = {
    [sym_line_comment] = STATE(694),
    [sym_block_comment] = STATE(694),
    [ts_builtin_sym_end] = ACTIONS(2619),
    [sym_identifier] = ACTIONS(2621),
    [anon_sym_SEMI] = ACTIONS(2619),
    [anon_sym_macro_rules_BANG] = ACTIONS(2619),
    [anon_sym_LPAREN] = ACTIONS(2619),
    [anon_sym_LBRACK] = ACTIONS(2619),
    [anon_sym_LBRACE] = ACTIONS(2619),
    [anon_sym_RBRACE] = ACTIONS(2619),
    [anon_sym_STAR] = ACTIONS(2619),
    [anon_sym_u8] = ACTIONS(2621),
    [anon_sym_i8] = ACTIONS(2621),
    [anon_sym_u16] = ACTIONS(2621),
    [anon_sym_i16] = ACTIONS(2621),
    [anon_sym_u32] = ACTIONS(2621),
    [anon_sym_i32] = ACTIONS(2621),
    [anon_sym_u64] = ACTIONS(2621),
    [anon_sym_i64] = ACTIONS(2621),
    [anon_sym_u128] = ACTIONS(2621),
    [anon_sym_i128] = ACTIONS(2621),
    [anon_sym_isize] = ACTIONS(2621),
    [anon_sym_usize] = ACTIONS(2621),
    [anon_sym_f32] = ACTIONS(2621),
    [anon_sym_f64] = ACTIONS(2621),
    [anon_sym_bool] = ACTIONS(2621),
    [anon_sym_str] = ACTIONS(2621),
    [anon_sym_char] = ACTIONS(2621),
    [anon_sym_DASH] = ACTIONS(2619),
    [anon_sym_BANG] = ACTIONS(2619),
    [anon_sym_AMP] = ACTIONS(2619),
    [anon_sym_PIPE] = ACTIONS(2619),
    [anon_sym_LT] = ACTIONS(2619),
    [anon_sym_DOT_DOT] = ACTIONS(2619),
    [anon_sym_COLON_COLON] = ACTIONS(2619),
    [anon_sym_POUND] = ACTIONS(2619),
    [anon_sym_SQUOTE] = ACTIONS(2621),
    [anon_sym_async] = ACTIONS(2621),
    [anon_sym_break] = ACTIONS(2621),
    [anon_sym_const] = ACTIONS(2621),
    [anon_sym_continue] = ACTIONS(2621),
    [anon_sym_default] = ACTIONS(2621),
    [anon_sym_enum] = ACTIONS(2621),
    [anon_sym_fn] = ACTIONS(2621),
    [anon_sym_for] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2621),
    [anon_sym_impl] = ACTIONS(2621),
    [anon_sym_let] = ACTIONS(2621),
    [anon_sym_loop] = ACTIONS(2621),
    [anon_sym_match] = ACTIONS(2621),
    [anon_sym_mod] = ACTIONS(2621),
    [anon_sym_pub] = ACTIONS(2621),
    [anon_sym_return] = ACTIONS(2621),
    [anon_sym_static] = ACTIONS(2621),
    [anon_sym_struct] = ACTIONS(2621),
    [anon_sym_trait] = ACTIONS(2621),
    [anon_sym_type] = ACTIONS(2621),
    [anon_sym_union] = ACTIONS(2621),
    [anon_sym_unsafe] = ACTIONS(2621),
    [anon_sym_use] = ACTIONS(2621),
    [anon_sym_while] = ACTIONS(2621),
    [anon_sym_extern] = ACTIONS(2621),
    [anon_sym_yield] = ACTIONS(2621),
    [anon_sym_move] = ACTIONS(2621),
    [anon_sym_try] = ACTIONS(2621),
    [sym_integer_literal] = ACTIONS(2619),
    [aux_sym_string_literal_token1] = ACTIONS(2619),
    [sym_char_literal] = ACTIONS(2619),
    [anon_sym_true] = ACTIONS(2621),
    [anon_sym_false] = ACTIONS(2621),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2621),
    [sym_super] = ACTIONS(2621),
    [sym_crate] = ACTIONS(2621),
    [sym_metavariable] = ACTIONS(2619),
    [sym__raw_string_literal_start] = ACTIONS(2619),
    [sym_float_literal] = ACTIONS(2619),
  },
  [695] = {
    [sym_line_comment] = STATE(695),
    [sym_block_comment] = STATE(695),
    [ts_builtin_sym_end] = ACTIONS(2623),
    [sym_identifier] = ACTIONS(2625),
    [anon_sym_SEMI] = ACTIONS(2623),
    [anon_sym_macro_rules_BANG] = ACTIONS(2623),
    [anon_sym_LPAREN] = ACTIONS(2623),
    [anon_sym_LBRACK] = ACTIONS(2623),
    [anon_sym_LBRACE] = ACTIONS(2623),
    [anon_sym_RBRACE] = ACTIONS(2623),
    [anon_sym_STAR] = ACTIONS(2623),
    [anon_sym_u8] = ACTIONS(2625),
    [anon_sym_i8] = ACTIONS(2625),
    [anon_sym_u16] = ACTIONS(2625),
    [anon_sym_i16] = ACTIONS(2625),
    [anon_sym_u32] = ACTIONS(2625),
    [anon_sym_i32] = ACTIONS(2625),
    [anon_sym_u64] = ACTIONS(2625),
    [anon_sym_i64] = ACTIONS(2625),
    [anon_sym_u128] = ACTIONS(2625),
    [anon_sym_i128] = ACTIONS(2625),
    [anon_sym_isize] = ACTIONS(2625),
    [anon_sym_usize] = ACTIONS(2625),
    [anon_sym_f32] = ACTIONS(2625),
    [anon_sym_f64] = ACTIONS(2625),
    [anon_sym_bool] = ACTIONS(2625),
    [anon_sym_str] = ACTIONS(2625),
    [anon_sym_char] = ACTIONS(2625),
    [anon_sym_DASH] = ACTIONS(2623),
    [anon_sym_BANG] = ACTIONS(2623),
    [anon_sym_AMP] = ACTIONS(2623),
    [anon_sym_PIPE] = ACTIONS(2623),
    [anon_sym_LT] = ACTIONS(2623),
    [anon_sym_DOT_DOT] = ACTIONS(2623),
    [anon_sym_COLON_COLON] = ACTIONS(2623),
    [anon_sym_POUND] = ACTIONS(2623),
    [anon_sym_SQUOTE] = ACTIONS(2625),
    [anon_sym_async] = ACTIONS(2625),
    [anon_sym_break] = ACTIONS(2625),
    [anon_sym_const] = ACTIONS(2625),
    [anon_sym_continue] = ACTIONS(2625),
    [anon_sym_default] = ACTIONS(2625),
    [anon_sym_enum] = ACTIONS(2625),
    [anon_sym_fn] = ACTIONS(2625),
    [anon_sym_for] = ACTIONS(2625),
    [anon_sym_if] = ACTIONS(2625),
    [anon_sym_impl] = ACTIONS(2625),
    [anon_sym_let] = ACTIONS(2625),
    [anon_sym_loop] = ACTIONS(2625),
    [anon_sym_match] = ACTIONS(2625),
    [anon_sym_mod] = ACTIONS(2625),
    [anon_sym_pub] = ACTIONS(2625),
    [anon_sym_return] = ACTIONS(2625),
    [anon_sym_static] = ACTIONS(2625),
    [anon_sym_struct] = ACTIONS(2625),
    [anon_sym_trait] = ACTIONS(2625),
    [anon_sym_type] = ACTIONS(2625),
    [anon_sym_union] = ACTIONS(2625),
    [anon_sym_unsafe] = ACTIONS(2625),
    [anon_sym_use] = ACTIONS(2625),
    [anon_sym_while] = ACTIONS(2625),
    [anon_sym_extern] = ACTIONS(2625),
    [anon_sym_yield] = ACTIONS(2625),
    [anon_sym_move] = ACTIONS(2625),
    [anon_sym_try] = ACTIONS(2625),
    [sym_integer_literal] = ACTIONS(2623),
    [aux_sym_string_literal_token1] = ACTIONS(2623),
    [sym_char_literal] = ACTIONS(2623),
    [anon_sym_true] = ACTIONS(2625),
    [anon_sym_false] = ACTIONS(2625),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2625),
    [sym_super] = ACTIONS(2625),
    [sym_crate] = ACTIONS(2625),
    [sym_metavariable] = ACTIONS(2623),
    [sym__raw_string_literal_start] = ACTIONS(2623),
    [sym_float_literal] = ACTIONS(2623),
  },
  [696] = {
    [sym_line_comment] = STATE(696),
    [sym_block_comment] = STATE(696),
    [ts_builtin_sym_end] = ACTIONS(2627),
    [sym_identifier] = ACTIONS(2629),
    [anon_sym_SEMI] = ACTIONS(2627),
    [anon_sym_macro_rules_BANG] = ACTIONS(2627),
    [anon_sym_LPAREN] = ACTIONS(2627),
    [anon_sym_LBRACK] = ACTIONS(2627),
    [anon_sym_LBRACE] = ACTIONS(2627),
    [anon_sym_RBRACE] = ACTIONS(2627),
    [anon_sym_STAR] = ACTIONS(2627),
    [anon_sym_u8] = ACTIONS(2629),
    [anon_sym_i8] = ACTIONS(2629),
    [anon_sym_u16] = ACTIONS(2629),
    [anon_sym_i16] = ACTIONS(2629),
    [anon_sym_u32] = ACTIONS(2629),
    [anon_sym_i32] = ACTIONS(2629),
    [anon_sym_u64] = ACTIONS(2629),
    [anon_sym_i64] = ACTIONS(2629),
    [anon_sym_u128] = ACTIONS(2629),
    [anon_sym_i128] = ACTIONS(2629),
    [anon_sym_isize] = ACTIONS(2629),
    [anon_sym_usize] = ACTIONS(2629),
    [anon_sym_f32] = ACTIONS(2629),
    [anon_sym_f64] = ACTIONS(2629),
    [anon_sym_bool] = ACTIONS(2629),
    [anon_sym_str] = ACTIONS(2629),
    [anon_sym_char] = ACTIONS(2629),
    [anon_sym_DASH] = ACTIONS(2627),
    [anon_sym_BANG] = ACTIONS(2627),
    [anon_sym_AMP] = ACTIONS(2627),
    [anon_sym_PIPE] = ACTIONS(2627),
    [anon_sym_LT] = ACTIONS(2627),
    [anon_sym_DOT_DOT] = ACTIONS(2627),
    [anon_sym_COLON_COLON] = ACTIONS(2627),
    [anon_sym_POUND] = ACTIONS(2627),
    [anon_sym_SQUOTE] = ACTIONS(2629),
    [anon_sym_async] = ACTIONS(2629),
    [anon_sym_break] = ACTIONS(2629),
    [anon_sym_const] = ACTIONS(2629),
    [anon_sym_continue] = ACTIONS(2629),
    [anon_sym_default] = ACTIONS(2629),
    [anon_sym_enum] = ACTIONS(2629),
    [anon_sym_fn] = ACTIONS(2629),
    [anon_sym_for] = ACTIONS(2629),
    [anon_sym_if] = ACTIONS(2629),
    [anon_sym_impl] = ACTIONS(2629),
    [anon_sym_let] = ACTIONS(2629),
    [anon_sym_loop] = ACTIONS(2629),
    [anon_sym_match] = ACTIONS(2629),
    [anon_sym_mod] = ACTIONS(2629),
    [anon_sym_pub] = ACTIONS(2629),
    [anon_sym_return] = ACTIONS(2629),
    [anon_sym_static] = ACTIONS(2629),
    [anon_sym_struct] = ACTIONS(2629),
    [anon_sym_trait] = ACTIONS(2629),
    [anon_sym_type] = ACTIONS(2629),
    [anon_sym_union] = ACTIONS(2629),
    [anon_sym_unsafe] = ACTIONS(2629),
    [anon_sym_use] = ACTIONS(2629),
    [anon_sym_while] = ACTIONS(2629),
    [anon_sym_extern] = ACTIONS(2629),
    [anon_sym_yield] = ACTIONS(2629),
    [anon_sym_move] = ACTIONS(2629),
    [anon_sym_try] = ACTIONS(2629),
    [sym_integer_literal] = ACTIONS(2627),
    [aux_sym_string_literal_token1] = ACTIONS(2627),
    [sym_char_literal] = ACTIONS(2627),
    [anon_sym_true] = ACTIONS(2629),
    [anon_sym_false] = ACTIONS(2629),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2629),
    [sym_super] = ACTIONS(2629),
    [sym_crate] = ACTIONS(2629),
    [sym_metavariable] = ACTIONS(2627),
    [sym__raw_string_literal_start] = ACTIONS(2627),
    [sym_float_literal] = ACTIONS(2627),
  },
  [697] = {
    [sym_line_comment] = STATE(697),
    [sym_block_comment] = STATE(697),
    [ts_builtin_sym_end] = ACTIONS(2631),
    [sym_identifier] = ACTIONS(2633),
    [anon_sym_SEMI] = ACTIONS(2631),
    [anon_sym_macro_rules_BANG] = ACTIONS(2631),
    [anon_sym_LPAREN] = ACTIONS(2631),
    [anon_sym_LBRACK] = ACTIONS(2631),
    [anon_sym_LBRACE] = ACTIONS(2631),
    [anon_sym_RBRACE] = ACTIONS(2631),
    [anon_sym_STAR] = ACTIONS(2631),
    [anon_sym_u8] = ACTIONS(2633),
    [anon_sym_i8] = ACTIONS(2633),
    [anon_sym_u16] = ACTIONS(2633),
    [anon_sym_i16] = ACTIONS(2633),
    [anon_sym_u32] = ACTIONS(2633),
    [anon_sym_i32] = ACTIONS(2633),
    [anon_sym_u64] = ACTIONS(2633),
    [anon_sym_i64] = ACTIONS(2633),
    [anon_sym_u128] = ACTIONS(2633),
    [anon_sym_i128] = ACTIONS(2633),
    [anon_sym_isize] = ACTIONS(2633),
    [anon_sym_usize] = ACTIONS(2633),
    [anon_sym_f32] = ACTIONS(2633),
    [anon_sym_f64] = ACTIONS(2633),
    [anon_sym_bool] = ACTIONS(2633),
    [anon_sym_str] = ACTIONS(2633),
    [anon_sym_char] = ACTIONS(2633),
    [anon_sym_DASH] = ACTIONS(2631),
    [anon_sym_BANG] = ACTIONS(2631),
    [anon_sym_AMP] = ACTIONS(2631),
    [anon_sym_PIPE] = ACTIONS(2631),
    [anon_sym_LT] = ACTIONS(2631),
    [anon_sym_DOT_DOT] = ACTIONS(2631),
    [anon_sym_COLON_COLON] = ACTIONS(2631),
    [anon_sym_POUND] = ACTIONS(2631),
    [anon_sym_SQUOTE] = ACTIONS(2633),
    [anon_sym_async] = ACTIONS(2633),
    [anon_sym_break] = ACTIONS(2633),
    [anon_sym_const] = ACTIONS(2633),
    [anon_sym_continue] = ACTIONS(2633),
    [anon_sym_default] = ACTIONS(2633),
    [anon_sym_enum] = ACTIONS(2633),
    [anon_sym_fn] = ACTIONS(2633),
    [anon_sym_for] = ACTIONS(2633),
    [anon_sym_if] = ACTIONS(2633),
    [anon_sym_impl] = ACTIONS(2633),
    [anon_sym_let] = ACTIONS(2633),
    [anon_sym_loop] = ACTIONS(2633),
    [anon_sym_match] = ACTIONS(2633),
    [anon_sym_mod] = ACTIONS(2633),
    [anon_sym_pub] = ACTIONS(2633),
    [anon_sym_return] = ACTIONS(2633),
    [anon_sym_static] = ACTIONS(2633),
    [anon_sym_struct] = ACTIONS(2633),
    [anon_sym_trait] = ACTIONS(2633),
    [anon_sym_type] = ACTIONS(2633),
    [anon_sym_union] = ACTIONS(2633),
    [anon_sym_unsafe] = ACTIONS(2633),
    [anon_sym_use] = ACTIONS(2633),
    [anon_sym_while] = ACTIONS(2633),
    [anon_sym_extern] = ACTIONS(2633),
    [anon_sym_yield] = ACTIONS(2633),
    [anon_sym_move] = ACTIONS(2633),
    [anon_sym_try] = ACTIONS(2633),
    [sym_integer_literal] = ACTIONS(2631),
    [aux_sym_string_literal_token1] = ACTIONS(2631),
    [sym_char_literal] = ACTIONS(2631),
    [anon_sym_true] = ACTIONS(2633),
    [anon_sym_false] = ACTIONS(2633),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2633),
    [sym_super] = ACTIONS(2633),
    [sym_crate] = ACTIONS(2633),
    [sym_metavariable] = ACTIONS(2631),
    [sym__raw_string_literal_start] = ACTIONS(2631),
    [sym_float_literal] = ACTIONS(2631),
  },
  [698] = {
    [sym_empty_statement] = STATE(1456),
    [sym_macro_definition] = STATE(1456),
    [sym_attribute_item] = STATE(1456),
    [sym_inner_attribute_item] = STATE(1456),
    [sym_mod_item] = STATE(1456),
    [sym_foreign_mod_item] = STATE(1456),
    [sym_struct_item] = STATE(1456),
    [sym_union_item] = STATE(1456),
    [sym_enum_item] = STATE(1456),
    [sym_extern_crate_declaration] = STATE(1456),
    [sym_const_item] = STATE(1456),
    [sym_static_item] = STATE(1456),
    [sym_type_item] = STATE(1456),
    [sym_function_item] = STATE(1456),
    [sym_function_signature_item] = STATE(1456),
    [sym_function_modifiers] = STATE(3593),
    [sym_impl_item] = STATE(1456),
    [sym_trait_item] = STATE(1456),
    [sym_associated_type] = STATE(1456),
    [sym_let_declaration] = STATE(1456),
    [sym_use_declaration] = STATE(1456),
    [sym_extern_modifier] = STATE(2154),
    [sym_visibility_modifier] = STATE(1934),
    [sym_bracketed_type] = STATE(3324),
    [sym_generic_type_with_turbofish] = STATE(3350),
    [sym_macro_invocation] = STATE(1456),
    [sym_scoped_identifier] = STATE(3156),
    [sym_line_comment] = STATE(698),
    [sym_block_comment] = STATE(698),
    [aux_sym_declaration_list_repeat1] = STATE(692),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_macro_rules_BANG] = ACTIONS(2334),
    [anon_sym_RBRACE] = ACTIONS(2635),
    [anon_sym_u8] = ACTIONS(2338),
    [anon_sym_i8] = ACTIONS(2338),
    [anon_sym_u16] = ACTIONS(2338),
    [anon_sym_i16] = ACTIONS(2338),
    [anon_sym_u32] = ACTIONS(2338),
    [anon_sym_i32] = ACTIONS(2338),
    [anon_sym_u64] = ACTIONS(2338),
    [anon_sym_i64] = ACTIONS(2338),
    [anon_sym_u128] = ACTIONS(2338),
    [anon_sym_i128] = ACTIONS(2338),
    [anon_sym_isize] = ACTIONS(2338),
    [anon_sym_usize] = ACTIONS(2338),
    [anon_sym_f32] = ACTIONS(2338),
    [anon_sym_f64] = ACTIONS(2338),
    [anon_sym_bool] = ACTIONS(2338),
    [anon_sym_str] = ACTIONS(2338),
    [anon_sym_char] = ACTIONS(2338),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(2340),
    [anon_sym_POUND] = ACTIONS(2342),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(2344),
    [anon_sym_default] = ACTIONS(2346),
    [anon_sym_enum] = ACTIONS(2348),
    [anon_sym_fn] = ACTIONS(2350),
    [anon_sym_impl] = ACTIONS(2352),
    [anon_sym_let] = ACTIONS(2354),
    [anon_sym_mod] = ACTIONS(2356),
    [anon_sym_pub] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(2358),
    [anon_sym_struct] = ACTIONS(2360),
    [anon_sym_trait] = ACTIONS(2362),
    [anon_sym_type] = ACTIONS(2364),
    [anon_sym_union] = ACTIONS(2366),
    [anon_sym_unsafe] = ACTIONS(2368),
    [anon_sym_use] = ACTIONS(2370),
    [anon_sym_extern] = ACTIONS(2372),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2374),
    [sym_super] = ACTIONS(2374),
    [sym_crate] = ACTIONS(2376),
    [sym_metavariable] = ACTIONS(2378),
  },
  [699] = {
    [sym_line_comment] = STATE(699),
    [sym_block_comment] = STATE(699),
    [ts_builtin_sym_end] = ACTIONS(2637),
    [sym_identifier] = ACTIONS(2639),
    [anon_sym_SEMI] = ACTIONS(2637),
    [anon_sym_macro_rules_BANG] = ACTIONS(2637),
    [anon_sym_LPAREN] = ACTIONS(2637),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_LBRACE] = ACTIONS(2637),
    [anon_sym_RBRACE] = ACTIONS(2637),
    [anon_sym_STAR] = ACTIONS(2637),
    [anon_sym_u8] = ACTIONS(2639),
    [anon_sym_i8] = ACTIONS(2639),
    [anon_sym_u16] = ACTIONS(2639),
    [anon_sym_i16] = ACTIONS(2639),
    [anon_sym_u32] = ACTIONS(2639),
    [anon_sym_i32] = ACTIONS(2639),
    [anon_sym_u64] = ACTIONS(2639),
    [anon_sym_i64] = ACTIONS(2639),
    [anon_sym_u128] = ACTIONS(2639),
    [anon_sym_i128] = ACTIONS(2639),
    [anon_sym_isize] = ACTIONS(2639),
    [anon_sym_usize] = ACTIONS(2639),
    [anon_sym_f32] = ACTIONS(2639),
    [anon_sym_f64] = ACTIONS(2639),
    [anon_sym_bool] = ACTIONS(2639),
    [anon_sym_str] = ACTIONS(2639),
    [anon_sym_char] = ACTIONS(2639),
    [anon_sym_DASH] = ACTIONS(2637),
    [anon_sym_BANG] = ACTIONS(2637),
    [anon_sym_AMP] = ACTIONS(2637),
    [anon_sym_PIPE] = ACTIONS(2637),
    [anon_sym_LT] = ACTIONS(2637),
    [anon_sym_DOT_DOT] = ACTIONS(2637),
    [anon_sym_COLON_COLON] = ACTIONS(2637),
    [anon_sym_POUND] = ACTIONS(2637),
    [anon_sym_SQUOTE] = ACTIONS(2639),
    [anon_sym_async] = ACTIONS(2639),
    [anon_sym_break] = ACTIONS(2639),
    [anon_sym_const] = ACTIONS(2639),
    [anon_sym_continue] = ACTIONS(2639),
    [anon_sym_default] = ACTIONS(2639),
    [anon_sym_enum] = ACTIONS(2639),
    [anon_sym_fn] = ACTIONS(2639),
    [anon_sym_for] = ACTIONS(2639),
    [anon_sym_if] = ACTIONS(2639),
    [anon_sym_impl] = ACTIONS(2639),
    [anon_sym_let] = ACTIONS(2639),
    [anon_sym_loop] = ACTIONS(2639),
    [anon_sym_match] = ACTIONS(2639),
    [anon_sym_mod] = ACTIONS(2639),
    [anon_sym_pub] = ACTIONS(2639),
    [anon_sym_return] = ACTIONS(2639),
    [anon_sym_static] = ACTIONS(2639),
    [anon_sym_struct] = ACTIONS(2639),
    [anon_sym_trait] = ACTIONS(2639),
    [anon_sym_type] = ACTIONS(2639),
    [anon_sym_union] = ACTIONS(2639),
    [anon_sym_unsafe] = ACTIONS(2639),
    [anon_sym_use] = ACTIONS(2639),
    [anon_sym_while] = ACTIONS(2639),
    [anon_sym_extern] = ACTIONS(2639),
    [anon_sym_yield] = ACTIONS(2639),
    [anon_sym_move] = ACTIONS(2639),
    [anon_sym_try] = ACTIONS(2639),
    [sym_integer_literal] = ACTIONS(2637),
    [aux_sym_string_literal_token1] = ACTIONS(2637),
    [sym_char_literal] = ACTIONS(2637),
    [anon_sym_true] = ACTIONS(2639),
    [anon_sym_false] = ACTIONS(2639),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2639),
    [sym_super] = ACTIONS(2639),
    [sym_crate] = ACTIONS(2639),
    [sym_metavariable] = ACTIONS(2637),
    [sym__raw_string_literal_start] = ACTIONS(2637),
    [sym_float_literal] = ACTIONS(2637),
  },
  [700] = {
    [sym_line_comment] = STATE(700),
    [sym_block_comment] = STATE(700),
    [ts_builtin_sym_end] = ACTIONS(2641),
    [sym_identifier] = ACTIONS(2643),
    [anon_sym_SEMI] = ACTIONS(2641),
    [anon_sym_macro_rules_BANG] = ACTIONS(2641),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_LBRACE] = ACTIONS(2641),
    [anon_sym_RBRACE] = ACTIONS(2641),
    [anon_sym_STAR] = ACTIONS(2641),
    [anon_sym_u8] = ACTIONS(2643),
    [anon_sym_i8] = ACTIONS(2643),
    [anon_sym_u16] = ACTIONS(2643),
    [anon_sym_i16] = ACTIONS(2643),
    [anon_sym_u32] = ACTIONS(2643),
    [anon_sym_i32] = ACTIONS(2643),
    [anon_sym_u64] = ACTIONS(2643),
    [anon_sym_i64] = ACTIONS(2643),
    [anon_sym_u128] = ACTIONS(2643),
    [anon_sym_i128] = ACTIONS(2643),
    [anon_sym_isize] = ACTIONS(2643),
    [anon_sym_usize] = ACTIONS(2643),
    [anon_sym_f32] = ACTIONS(2643),
    [anon_sym_f64] = ACTIONS(2643),
    [anon_sym_bool] = ACTIONS(2643),
    [anon_sym_str] = ACTIONS(2643),
    [anon_sym_char] = ACTIONS(2643),
    [anon_sym_DASH] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2641),
    [anon_sym_AMP] = ACTIONS(2641),
    [anon_sym_PIPE] = ACTIONS(2641),
    [anon_sym_LT] = ACTIONS(2641),
    [anon_sym_DOT_DOT] = ACTIONS(2641),
    [anon_sym_COLON_COLON] = ACTIONS(2641),
    [anon_sym_POUND] = ACTIONS(2641),
    [anon_sym_SQUOTE] = ACTIONS(2643),
    [anon_sym_async] = ACTIONS(2643),
    [anon_sym_break] = ACTIONS(2643),
    [anon_sym_const] = ACTIONS(2643),
    [anon_sym_continue] = ACTIONS(2643),
    [anon_sym_default] = ACTIONS(2643),
    [anon_sym_enum] = ACTIONS(2643),
    [anon_sym_fn] = ACTIONS(2643),
    [anon_sym_for] = ACTIONS(2643),
    [anon_sym_if] = ACTIONS(2643),
    [anon_sym_impl] = ACTIONS(2643),
    [anon_sym_let] = ACTIONS(2643),
    [anon_sym_loop] = ACTIONS(2643),
    [anon_sym_match] = ACTIONS(2643),
    [anon_sym_mod] = ACTIONS(2643),
    [anon_sym_pub] = ACTIONS(2643),
    [anon_sym_return] = ACTIONS(2643),
    [anon_sym_static] = ACTIONS(2643),
    [anon_sym_struct] = ACTIONS(2643),
    [anon_sym_trait] = ACTIONS(2643),
    [anon_sym_type] = ACTIONS(2643),
    [anon_sym_union] = ACTIONS(2643),
    [anon_sym_unsafe] = ACTIONS(2643),
    [anon_sym_use] = ACTIONS(2643),
    [anon_sym_while] = ACTIONS(2643),
    [anon_sym_extern] = ACTIONS(2643),
    [anon_sym_yield] = ACTIONS(2643),
    [anon_sym_move] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2643),
    [sym_integer_literal] = ACTIONS(2641),
    [aux_sym_string_literal_token1] = ACTIONS(2641),
    [sym_char_literal] = ACTIONS(2641),
    [anon_sym_true] = ACTIONS(2643),
    [anon_sym_false] = ACTIONS(2643),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2643),
    [sym_super] = ACTIONS(2643),
    [sym_crate] = ACTIONS(2643),
    [sym_metavariable] = ACTIONS(2641),
    [sym__raw_string_literal_start] = ACTIONS(2641),
    [sym_float_literal] = ACTIONS(2641),
  },
  [701] = {
    [sym_line_comment] = STATE(701),
    [sym_block_comment] = STATE(701),
    [ts_builtin_sym_end] = ACTIONS(2645),
    [sym_identifier] = ACTIONS(2647),
    [anon_sym_SEMI] = ACTIONS(2645),
    [anon_sym_macro_rules_BANG] = ACTIONS(2645),
    [anon_sym_LPAREN] = ACTIONS(2645),
    [anon_sym_LBRACK] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(2645),
    [anon_sym_RBRACE] = ACTIONS(2645),
    [anon_sym_STAR] = ACTIONS(2645),
    [anon_sym_u8] = ACTIONS(2647),
    [anon_sym_i8] = ACTIONS(2647),
    [anon_sym_u16] = ACTIONS(2647),
    [anon_sym_i16] = ACTIONS(2647),
    [anon_sym_u32] = ACTIONS(2647),
    [anon_sym_i32] = ACTIONS(2647),
    [anon_sym_u64] = ACTIONS(2647),
    [anon_sym_i64] = ACTIONS(2647),
    [anon_sym_u128] = ACTIONS(2647),
    [anon_sym_i128] = ACTIONS(2647),
    [anon_sym_isize] = ACTIONS(2647),
    [anon_sym_usize] = ACTIONS(2647),
    [anon_sym_f32] = ACTIONS(2647),
    [anon_sym_f64] = ACTIONS(2647),
    [anon_sym_bool] = ACTIONS(2647),
    [anon_sym_str] = ACTIONS(2647),
    [anon_sym_char] = ACTIONS(2647),
    [anon_sym_DASH] = ACTIONS(2645),
    [anon_sym_BANG] = ACTIONS(2645),
    [anon_sym_AMP] = ACTIONS(2645),
    [anon_sym_PIPE] = ACTIONS(2645),
    [anon_sym_LT] = ACTIONS(2645),
    [anon_sym_DOT_DOT] = ACTIONS(2645),
    [anon_sym_COLON_COLON] = ACTIONS(2645),
    [anon_sym_POUND] = ACTIONS(2645),
    [anon_sym_SQUOTE] = ACTIONS(2647),
    [anon_sym_async] = ACTIONS(2647),
    [anon_sym_break] = ACTIONS(2647),
    [anon_sym_const] = ACTIONS(2647),
    [anon_sym_continue] = ACTIONS(2647),
    [anon_sym_default] = ACTIONS(2647),
    [anon_sym_enum] = ACTIONS(2647),
    [anon_sym_fn] = ACTIONS(2647),
    [anon_sym_for] = ACTIONS(2647),
    [anon_sym_if] = ACTIONS(2647),
    [anon_sym_impl] = ACTIONS(2647),
    [anon_sym_let] = ACTIONS(2647),
    [anon_sym_loop] = ACTIONS(2647),
    [anon_sym_match] = ACTIONS(2647),
    [anon_sym_mod] = ACTIONS(2647),
    [anon_sym_pub] = ACTIONS(2647),
    [anon_sym_return] = ACTIONS(2647),
    [anon_sym_static] = ACTIONS(2647),
    [anon_sym_struct] = ACTIONS(2647),
    [anon_sym_trait] = ACTIONS(2647),
    [anon_sym_type] = ACTIONS(2647),
    [anon_sym_union] = ACTIONS(2647),
    [anon_sym_unsafe] = ACTIONS(2647),
    [anon_sym_use] = ACTIONS(2647),
    [anon_sym_while] = ACTIONS(2647),
    [anon_sym_extern] = ACTIONS(2647),
    [anon_sym_yield] = ACTIONS(2647),
    [anon_sym_move] = ACTIONS(2647),
    [anon_sym_try] = ACTIONS(2647),
    [sym_integer_literal] = ACTIONS(2645),
    [aux_sym_string_literal_token1] = ACTIONS(2645),
    [sym_char_literal] = ACTIONS(2645),
    [anon_sym_true] = ACTIONS(2647),
    [anon_sym_false] = ACTIONS(2647),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2647),
    [sym_super] = ACTIONS(2647),
    [sym_crate] = ACTIONS(2647),
    [sym_metavariable] = ACTIONS(2645),
    [sym__raw_string_literal_start] = ACTIONS(2645),
    [sym_float_literal] = ACTIONS(2645),
  },
  [702] = {
    [sym_line_comment] = STATE(702),
    [sym_block_comment] = STATE(702),
    [ts_builtin_sym_end] = ACTIONS(2649),
    [sym_identifier] = ACTIONS(2651),
    [anon_sym_SEMI] = ACTIONS(2649),
    [anon_sym_macro_rules_BANG] = ACTIONS(2649),
    [anon_sym_LPAREN] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2649),
    [anon_sym_LBRACE] = ACTIONS(2649),
    [anon_sym_RBRACE] = ACTIONS(2649),
    [anon_sym_STAR] = ACTIONS(2649),
    [anon_sym_u8] = ACTIONS(2651),
    [anon_sym_i8] = ACTIONS(2651),
    [anon_sym_u16] = ACTIONS(2651),
    [anon_sym_i16] = ACTIONS(2651),
    [anon_sym_u32] = ACTIONS(2651),
    [anon_sym_i32] = ACTIONS(2651),
    [anon_sym_u64] = ACTIONS(2651),
    [anon_sym_i64] = ACTIONS(2651),
    [anon_sym_u128] = ACTIONS(2651),
    [anon_sym_i128] = ACTIONS(2651),
    [anon_sym_isize] = ACTIONS(2651),
    [anon_sym_usize] = ACTIONS(2651),
    [anon_sym_f32] = ACTIONS(2651),
    [anon_sym_f64] = ACTIONS(2651),
    [anon_sym_bool] = ACTIONS(2651),
    [anon_sym_str] = ACTIONS(2651),
    [anon_sym_char] = ACTIONS(2651),
    [anon_sym_DASH] = ACTIONS(2649),
    [anon_sym_BANG] = ACTIONS(2649),
    [anon_sym_AMP] = ACTIONS(2649),
    [anon_sym_PIPE] = ACTIONS(2649),
    [anon_sym_LT] = ACTIONS(2649),
    [anon_sym_DOT_DOT] = ACTIONS(2649),
    [anon_sym_COLON_COLON] = ACTIONS(2649),
    [anon_sym_POUND] = ACTIONS(2649),
    [anon_sym_SQUOTE] = ACTIONS(2651),
    [anon_sym_async] = ACTIONS(2651),
    [anon_sym_break] = ACTIONS(2651),
    [anon_sym_const] = ACTIONS(2651),
    [anon_sym_continue] = ACTIONS(2651),
    [anon_sym_default] = ACTIONS(2651),
    [anon_sym_enum] = ACTIONS(2651),
    [anon_sym_fn] = ACTIONS(2651),
    [anon_sym_for] = ACTIONS(2651),
    [anon_sym_if] = ACTIONS(2651),
    [anon_sym_impl] = ACTIONS(2651),
    [anon_sym_let] = ACTIONS(2651),
    [anon_sym_loop] = ACTIONS(2651),
    [anon_sym_match] = ACTIONS(2651),
    [anon_sym_mod] = ACTIONS(2651),
    [anon_sym_pub] = ACTIONS(2651),
    [anon_sym_return] = ACTIONS(2651),
    [anon_sym_static] = ACTIONS(2651),
    [anon_sym_struct] = ACTIONS(2651),
    [anon_sym_trait] = ACTIONS(2651),
    [anon_sym_type] = ACTIONS(2651),
    [anon_sym_union] = ACTIONS(2651),
    [anon_sym_unsafe] = ACTIONS(2651),
    [anon_sym_use] = ACTIONS(2651),
    [anon_sym_while] = ACTIONS(2651),
    [anon_sym_extern] = ACTIONS(2651),
    [anon_sym_yield] = ACTIONS(2651),
    [anon_sym_move] = ACTIONS(2651),
    [anon_sym_try] = ACTIONS(2651),
    [sym_integer_literal] = ACTIONS(2649),
    [aux_sym_string_literal_token1] = ACTIONS(2649),
    [sym_char_literal] = ACTIONS(2649),
    [anon_sym_true] = ACTIONS(2651),
    [anon_sym_false] = ACTIONS(2651),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2651),
    [sym_super] = ACTIONS(2651),
    [sym_crate] = ACTIONS(2651),
    [sym_metavariable] = ACTIONS(2649),
    [sym__raw_string_literal_start] = ACTIONS(2649),
    [sym_float_literal] = ACTIONS(2649),
  },
  [703] = {
    [sym_line_comment] = STATE(703),
    [sym_block_comment] = STATE(703),
    [ts_builtin_sym_end] = ACTIONS(2653),
    [sym_identifier] = ACTIONS(2655),
    [anon_sym_SEMI] = ACTIONS(2653),
    [anon_sym_macro_rules_BANG] = ACTIONS(2653),
    [anon_sym_LPAREN] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_LBRACE] = ACTIONS(2653),
    [anon_sym_RBRACE] = ACTIONS(2653),
    [anon_sym_STAR] = ACTIONS(2653),
    [anon_sym_u8] = ACTIONS(2655),
    [anon_sym_i8] = ACTIONS(2655),
    [anon_sym_u16] = ACTIONS(2655),
    [anon_sym_i16] = ACTIONS(2655),
    [anon_sym_u32] = ACTIONS(2655),
    [anon_sym_i32] = ACTIONS(2655),
    [anon_sym_u64] = ACTIONS(2655),
    [anon_sym_i64] = ACTIONS(2655),
    [anon_sym_u128] = ACTIONS(2655),
    [anon_sym_i128] = ACTIONS(2655),
    [anon_sym_isize] = ACTIONS(2655),
    [anon_sym_usize] = ACTIONS(2655),
    [anon_sym_f32] = ACTIONS(2655),
    [anon_sym_f64] = ACTIONS(2655),
    [anon_sym_bool] = ACTIONS(2655),
    [anon_sym_str] = ACTIONS(2655),
    [anon_sym_char] = ACTIONS(2655),
    [anon_sym_DASH] = ACTIONS(2653),
    [anon_sym_BANG] = ACTIONS(2653),
    [anon_sym_AMP] = ACTIONS(2653),
    [anon_sym_PIPE] = ACTIONS(2653),
    [anon_sym_LT] = ACTIONS(2653),
    [anon_sym_DOT_DOT] = ACTIONS(2653),
    [anon_sym_COLON_COLON] = ACTIONS(2653),
    [anon_sym_POUND] = ACTIONS(2653),
    [anon_sym_SQUOTE] = ACTIONS(2655),
    [anon_sym_async] = ACTIONS(2655),
    [anon_sym_break] = ACTIONS(2655),
    [anon_sym_const] = ACTIONS(2655),
    [anon_sym_continue] = ACTIONS(2655),
    [anon_sym_default] = ACTIONS(2655),
    [anon_sym_enum] = ACTIONS(2655),
    [anon_sym_fn] = ACTIONS(2655),
    [anon_sym_for] = ACTIONS(2655),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_impl] = ACTIONS(2655),
    [anon_sym_let] = ACTIONS(2655),
    [anon_sym_loop] = ACTIONS(2655),
    [anon_sym_match] = ACTIONS(2655),
    [anon_sym_mod] = ACTIONS(2655),
    [anon_sym_pub] = ACTIONS(2655),
    [anon_sym_return] = ACTIONS(2655),
    [anon_sym_static] = ACTIONS(2655),
    [anon_sym_struct] = ACTIONS(2655),
    [anon_sym_trait] = ACTIONS(2655),
    [anon_sym_type] = ACTIONS(2655),
    [anon_sym_union] = ACTIONS(2655),
    [anon_sym_unsafe] = ACTIONS(2655),
    [anon_sym_use] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(2655),
    [anon_sym_extern] = ACTIONS(2655),
    [anon_sym_yield] = ACTIONS(2655),
    [anon_sym_move] = ACTIONS(2655),
    [anon_sym_try] = ACTIONS(2655),
    [sym_integer_literal] = ACTIONS(2653),
    [aux_sym_string_literal_token1] = ACTIONS(2653),
    [sym_char_literal] = ACTIONS(2653),
    [anon_sym_true] = ACTIONS(2655),
    [anon_sym_false] = ACTIONS(2655),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2655),
    [sym_super] = ACTIONS(2655),
    [sym_crate] = ACTIONS(2655),
    [sym_metavariable] = ACTIONS(2653),
    [sym__raw_string_literal_start] = ACTIONS(2653),
    [sym_float_literal] = ACTIONS(2653),
  },
  [704] = {
    [sym_line_comment] = STATE(704),
    [sym_block_comment] = STATE(704),
    [ts_builtin_sym_end] = ACTIONS(2657),
    [sym_identifier] = ACTIONS(2659),
    [anon_sym_SEMI] = ACTIONS(2657),
    [anon_sym_macro_rules_BANG] = ACTIONS(2657),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2657),
    [anon_sym_LBRACE] = ACTIONS(2657),
    [anon_sym_RBRACE] = ACTIONS(2657),
    [anon_sym_STAR] = ACTIONS(2657),
    [anon_sym_u8] = ACTIONS(2659),
    [anon_sym_i8] = ACTIONS(2659),
    [anon_sym_u16] = ACTIONS(2659),
    [anon_sym_i16] = ACTIONS(2659),
    [anon_sym_u32] = ACTIONS(2659),
    [anon_sym_i32] = ACTIONS(2659),
    [anon_sym_u64] = ACTIONS(2659),
    [anon_sym_i64] = ACTIONS(2659),
    [anon_sym_u128] = ACTIONS(2659),
    [anon_sym_i128] = ACTIONS(2659),
    [anon_sym_isize] = ACTIONS(2659),
    [anon_sym_usize] = ACTIONS(2659),
    [anon_sym_f32] = ACTIONS(2659),
    [anon_sym_f64] = ACTIONS(2659),
    [anon_sym_bool] = ACTIONS(2659),
    [anon_sym_str] = ACTIONS(2659),
    [anon_sym_char] = ACTIONS(2659),
    [anon_sym_DASH] = ACTIONS(2657),
    [anon_sym_BANG] = ACTIONS(2657),
    [anon_sym_AMP] = ACTIONS(2657),
    [anon_sym_PIPE] = ACTIONS(2657),
    [anon_sym_LT] = ACTIONS(2657),
    [anon_sym_DOT_DOT] = ACTIONS(2657),
    [anon_sym_COLON_COLON] = ACTIONS(2657),
    [anon_sym_POUND] = ACTIONS(2657),
    [anon_sym_SQUOTE] = ACTIONS(2659),
    [anon_sym_async] = ACTIONS(2659),
    [anon_sym_break] = ACTIONS(2659),
    [anon_sym_const] = ACTIONS(2659),
    [anon_sym_continue] = ACTIONS(2659),
    [anon_sym_default] = ACTIONS(2659),
    [anon_sym_enum] = ACTIONS(2659),
    [anon_sym_fn] = ACTIONS(2659),
    [anon_sym_for] = ACTIONS(2659),
    [anon_sym_if] = ACTIONS(2659),
    [anon_sym_impl] = ACTIONS(2659),
    [anon_sym_let] = ACTIONS(2659),
    [anon_sym_loop] = ACTIONS(2659),
    [anon_sym_match] = ACTIONS(2659),
    [anon_sym_mod] = ACTIONS(2659),
    [anon_sym_pub] = ACTIONS(2659),
    [anon_sym_return] = ACTIONS(2659),
    [anon_sym_static] = ACTIONS(2659),
    [anon_sym_struct] = ACTIONS(2659),
    [anon_sym_trait] = ACTIONS(2659),
    [anon_sym_type] = ACTIONS(2659),
    [anon_sym_union] = ACTIONS(2659),
    [anon_sym_unsafe] = ACTIONS(2659),
    [anon_sym_use] = ACTIONS(2659),
    [anon_sym_while] = ACTIONS(2659),
    [anon_sym_extern] = ACTIONS(2659),
    [anon_sym_yield] = ACTIONS(2659),
    [anon_sym_move] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2659),
    [sym_integer_literal] = ACTIONS(2657),
    [aux_sym_string_literal_token1] = ACTIONS(2657),
    [sym_char_literal] = ACTIONS(2657),
    [anon_sym_true] = ACTIONS(2659),
    [anon_sym_false] = ACTIONS(2659),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2659),
    [sym_super] = ACTIONS(2659),
    [sym_crate] = ACTIONS(2659),
    [sym_metavariable] = ACTIONS(2657),
    [sym__raw_string_literal_start] = ACTIONS(2657),
    [sym_float_literal] = ACTIONS(2657),
  },
  [705] = {
    [sym_line_comment] = STATE(705),
    [sym_block_comment] = STATE(705),
    [ts_builtin_sym_end] = ACTIONS(2661),
    [sym_identifier] = ACTIONS(2663),
    [anon_sym_SEMI] = ACTIONS(2661),
    [anon_sym_macro_rules_BANG] = ACTIONS(2661),
    [anon_sym_LPAREN] = ACTIONS(2661),
    [anon_sym_LBRACK] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(2661),
    [anon_sym_RBRACE] = ACTIONS(2661),
    [anon_sym_STAR] = ACTIONS(2661),
    [anon_sym_u8] = ACTIONS(2663),
    [anon_sym_i8] = ACTIONS(2663),
    [anon_sym_u16] = ACTIONS(2663),
    [anon_sym_i16] = ACTIONS(2663),
    [anon_sym_u32] = ACTIONS(2663),
    [anon_sym_i32] = ACTIONS(2663),
    [anon_sym_u64] = ACTIONS(2663),
    [anon_sym_i64] = ACTIONS(2663),
    [anon_sym_u128] = ACTIONS(2663),
    [anon_sym_i128] = ACTIONS(2663),
    [anon_sym_isize] = ACTIONS(2663),
    [anon_sym_usize] = ACTIONS(2663),
    [anon_sym_f32] = ACTIONS(2663),
    [anon_sym_f64] = ACTIONS(2663),
    [anon_sym_bool] = ACTIONS(2663),
    [anon_sym_str] = ACTIONS(2663),
    [anon_sym_char] = ACTIONS(2663),
    [anon_sym_DASH] = ACTIONS(2661),
    [anon_sym_BANG] = ACTIONS(2661),
    [anon_sym_AMP] = ACTIONS(2661),
    [anon_sym_PIPE] = ACTIONS(2661),
    [anon_sym_LT] = ACTIONS(2661),
    [anon_sym_DOT_DOT] = ACTIONS(2661),
    [anon_sym_COLON_COLON] = ACTIONS(2661),
    [anon_sym_POUND] = ACTIONS(2661),
    [anon_sym_SQUOTE] = ACTIONS(2663),
    [anon_sym_async] = ACTIONS(2663),
    [anon_sym_break] = ACTIONS(2663),
    [anon_sym_const] = ACTIONS(2663),
    [anon_sym_continue] = ACTIONS(2663),
    [anon_sym_default] = ACTIONS(2663),
    [anon_sym_enum] = ACTIONS(2663),
    [anon_sym_fn] = ACTIONS(2663),
    [anon_sym_for] = ACTIONS(2663),
    [anon_sym_if] = ACTIONS(2663),
    [anon_sym_impl] = ACTIONS(2663),
    [anon_sym_let] = ACTIONS(2663),
    [anon_sym_loop] = ACTIONS(2663),
    [anon_sym_match] = ACTIONS(2663),
    [anon_sym_mod] = ACTIONS(2663),
    [anon_sym_pub] = ACTIONS(2663),
    [anon_sym_return] = ACTIONS(2663),
    [anon_sym_static] = ACTIONS(2663),
    [anon_sym_struct] = ACTIONS(2663),
    [anon_sym_trait] = ACTIONS(2663),
    [anon_sym_type] = ACTIONS(2663),
    [anon_sym_union] = ACTIONS(2663),
    [anon_sym_unsafe] = ACTIONS(2663),
    [anon_sym_use] = ACTIONS(2663),
    [anon_sym_while] = ACTIONS(2663),
    [anon_sym_extern] = ACTIONS(2663),
    [anon_sym_yield] = ACTIONS(2663),
    [anon_sym_move] = ACTIONS(2663),
    [anon_sym_try] = ACTIONS(2663),
    [sym_integer_literal] = ACTIONS(2661),
    [aux_sym_string_literal_token1] = ACTIONS(2661),
    [sym_char_literal] = ACTIONS(2661),
    [anon_sym_true] = ACTIONS(2663),
    [anon_sym_false] = ACTIONS(2663),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2663),
    [sym_super] = ACTIONS(2663),
    [sym_crate] = ACTIONS(2663),
    [sym_metavariable] = ACTIONS(2661),
    [sym__raw_string_literal_start] = ACTIONS(2661),
    [sym_float_literal] = ACTIONS(2661),
  },
  [706] = {
    [sym_line_comment] = STATE(706),
    [sym_block_comment] = STATE(706),
    [ts_builtin_sym_end] = ACTIONS(2665),
    [sym_identifier] = ACTIONS(2667),
    [anon_sym_SEMI] = ACTIONS(2665),
    [anon_sym_macro_rules_BANG] = ACTIONS(2665),
    [anon_sym_LPAREN] = ACTIONS(2665),
    [anon_sym_LBRACK] = ACTIONS(2665),
    [anon_sym_LBRACE] = ACTIONS(2665),
    [anon_sym_RBRACE] = ACTIONS(2665),
    [anon_sym_STAR] = ACTIONS(2665),
    [anon_sym_u8] = ACTIONS(2667),
    [anon_sym_i8] = ACTIONS(2667),
    [anon_sym_u16] = ACTIONS(2667),
    [anon_sym_i16] = ACTIONS(2667),
    [anon_sym_u32] = ACTIONS(2667),
    [anon_sym_i32] = ACTIONS(2667),
    [anon_sym_u64] = ACTIONS(2667),
    [anon_sym_i64] = ACTIONS(2667),
    [anon_sym_u128] = ACTIONS(2667),
    [anon_sym_i128] = ACTIONS(2667),
    [anon_sym_isize] = ACTIONS(2667),
    [anon_sym_usize] = ACTIONS(2667),
    [anon_sym_f32] = ACTIONS(2667),
    [anon_sym_f64] = ACTIONS(2667),
    [anon_sym_bool] = ACTIONS(2667),
    [anon_sym_str] = ACTIONS(2667),
    [anon_sym_char] = ACTIONS(2667),
    [anon_sym_DASH] = ACTIONS(2665),
    [anon_sym_BANG] = ACTIONS(2665),
    [anon_sym_AMP] = ACTIONS(2665),
    [anon_sym_PIPE] = ACTIONS(2665),
    [anon_sym_LT] = ACTIONS(2665),
    [anon_sym_DOT_DOT] = ACTIONS(2665),
    [anon_sym_COLON_COLON] = ACTIONS(2665),
    [anon_sym_POUND] = ACTIONS(2665),
    [anon_sym_SQUOTE] = ACTIONS(2667),
    [anon_sym_async] = ACTIONS(2667),
    [anon_sym_break] = ACTIONS(2667),
    [anon_sym_const] = ACTIONS(2667),
    [anon_sym_continue] = ACTIONS(2667),
    [anon_sym_default] = ACTIONS(2667),
    [anon_sym_enum] = ACTIONS(2667),
    [anon_sym_fn] = ACTIONS(2667),
    [anon_sym_for] = ACTIONS(2667),
    [anon_sym_if] = ACTIONS(2667),
    [anon_sym_impl] = ACTIONS(2667),
    [anon_sym_let] = ACTIONS(2667),
    [anon_sym_loop] = ACTIONS(2667),
    [anon_sym_match] = ACTIONS(2667),
    [anon_sym_mod] = ACTIONS(2667),
    [anon_sym_pub] = ACTIONS(2667),
    [anon_sym_return] = ACTIONS(2667),
    [anon_sym_static] = ACTIONS(2667),
    [anon_sym_struct] = ACTIONS(2667),
    [anon_sym_trait] = ACTIONS(2667),
    [anon_sym_type] = ACTIONS(2667),
    [anon_sym_union] = ACTIONS(2667),
    [anon_sym_unsafe] = ACTIONS(2667),
    [anon_sym_use] = ACTIONS(2667),
    [anon_sym_while] = ACTIONS(2667),
    [anon_sym_extern] = ACTIONS(2667),
    [anon_sym_yield] = ACTIONS(2667),
    [anon_sym_move] = ACTIONS(2667),
    [anon_sym_try] = ACTIONS(2667),
    [sym_integer_literal] = ACTIONS(2665),
    [aux_sym_string_literal_token1] = ACTIONS(2665),
    [sym_char_literal] = ACTIONS(2665),
    [anon_sym_true] = ACTIONS(2667),
    [anon_sym_false] = ACTIONS(2667),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2667),
    [sym_super] = ACTIONS(2667),
    [sym_crate] = ACTIONS(2667),
    [sym_metavariable] = ACTIONS(2665),
    [sym__raw_string_literal_start] = ACTIONS(2665),
    [sym_float_literal] = ACTIONS(2665),
  },
  [707] = {
    [sym_line_comment] = STATE(707),
    [sym_block_comment] = STATE(707),
    [ts_builtin_sym_end] = ACTIONS(2669),
    [sym_identifier] = ACTIONS(2671),
    [anon_sym_SEMI] = ACTIONS(2669),
    [anon_sym_macro_rules_BANG] = ACTIONS(2669),
    [anon_sym_LPAREN] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2669),
    [anon_sym_LBRACE] = ACTIONS(2669),
    [anon_sym_RBRACE] = ACTIONS(2669),
    [anon_sym_STAR] = ACTIONS(2669),
    [anon_sym_u8] = ACTIONS(2671),
    [anon_sym_i8] = ACTIONS(2671),
    [anon_sym_u16] = ACTIONS(2671),
    [anon_sym_i16] = ACTIONS(2671),
    [anon_sym_u32] = ACTIONS(2671),
    [anon_sym_i32] = ACTIONS(2671),
    [anon_sym_u64] = ACTIONS(2671),
    [anon_sym_i64] = ACTIONS(2671),
    [anon_sym_u128] = ACTIONS(2671),
    [anon_sym_i128] = ACTIONS(2671),
    [anon_sym_isize] = ACTIONS(2671),
    [anon_sym_usize] = ACTIONS(2671),
    [anon_sym_f32] = ACTIONS(2671),
    [anon_sym_f64] = ACTIONS(2671),
    [anon_sym_bool] = ACTIONS(2671),
    [anon_sym_str] = ACTIONS(2671),
    [anon_sym_char] = ACTIONS(2671),
    [anon_sym_DASH] = ACTIONS(2669),
    [anon_sym_BANG] = ACTIONS(2669),
    [anon_sym_AMP] = ACTIONS(2669),
    [anon_sym_PIPE] = ACTIONS(2669),
    [anon_sym_LT] = ACTIONS(2669),
    [anon_sym_DOT_DOT] = ACTIONS(2669),
    [anon_sym_COLON_COLON] = ACTIONS(2669),
    [anon_sym_POUND] = ACTIONS(2669),
    [anon_sym_SQUOTE] = ACTIONS(2671),
    [anon_sym_async] = ACTIONS(2671),
    [anon_sym_break] = ACTIONS(2671),
    [anon_sym_const] = ACTIONS(2671),
    [anon_sym_continue] = ACTIONS(2671),
    [anon_sym_default] = ACTIONS(2671),
    [anon_sym_enum] = ACTIONS(2671),
    [anon_sym_fn] = ACTIONS(2671),
    [anon_sym_for] = ACTIONS(2671),
    [anon_sym_if] = ACTIONS(2671),
    [anon_sym_impl] = ACTIONS(2671),
    [anon_sym_let] = ACTIONS(2671),
    [anon_sym_loop] = ACTIONS(2671),
    [anon_sym_match] = ACTIONS(2671),
    [anon_sym_mod] = ACTIONS(2671),
    [anon_sym_pub] = ACTIONS(2671),
    [anon_sym_return] = ACTIONS(2671),
    [anon_sym_static] = ACTIONS(2671),
    [anon_sym_struct] = ACTIONS(2671),
    [anon_sym_trait] = ACTIONS(2671),
    [anon_sym_type] = ACTIONS(2671),
    [anon_sym_union] = ACTIONS(2671),
    [anon_sym_unsafe] = ACTIONS(2671),
    [anon_sym_use] = ACTIONS(2671),
    [anon_sym_while] = ACTIONS(2671),
    [anon_sym_extern] = ACTIONS(2671),
    [anon_sym_yield] = ACTIONS(2671),
    [anon_sym_move] = ACTIONS(2671),
    [anon_sym_try] = ACTIONS(2671),
    [sym_integer_literal] = ACTIONS(2669),
    [aux_sym_string_literal_token1] = ACTIONS(2669),
    [sym_char_literal] = ACTIONS(2669),
    [anon_sym_true] = ACTIONS(2671),
    [anon_sym_false] = ACTIONS(2671),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2671),
    [sym_super] = ACTIONS(2671),
    [sym_crate] = ACTIONS(2671),
    [sym_metavariable] = ACTIONS(2669),
    [sym__raw_string_literal_start] = ACTIONS(2669),
    [sym_float_literal] = ACTIONS(2669),
  },
  [708] = {
    [sym_line_comment] = STATE(708),
    [sym_block_comment] = STATE(708),
    [ts_builtin_sym_end] = ACTIONS(2673),
    [sym_identifier] = ACTIONS(2675),
    [anon_sym_SEMI] = ACTIONS(2673),
    [anon_sym_macro_rules_BANG] = ACTIONS(2673),
    [anon_sym_LPAREN] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(2673),
    [anon_sym_LBRACE] = ACTIONS(2673),
    [anon_sym_RBRACE] = ACTIONS(2673),
    [anon_sym_STAR] = ACTIONS(2673),
    [anon_sym_u8] = ACTIONS(2675),
    [anon_sym_i8] = ACTIONS(2675),
    [anon_sym_u16] = ACTIONS(2675),
    [anon_sym_i16] = ACTIONS(2675),
    [anon_sym_u32] = ACTIONS(2675),
    [anon_sym_i32] = ACTIONS(2675),
    [anon_sym_u64] = ACTIONS(2675),
    [anon_sym_i64] = ACTIONS(2675),
    [anon_sym_u128] = ACTIONS(2675),
    [anon_sym_i128] = ACTIONS(2675),
    [anon_sym_isize] = ACTIONS(2675),
    [anon_sym_usize] = ACTIONS(2675),
    [anon_sym_f32] = ACTIONS(2675),
    [anon_sym_f64] = ACTIONS(2675),
    [anon_sym_bool] = ACTIONS(2675),
    [anon_sym_str] = ACTIONS(2675),
    [anon_sym_char] = ACTIONS(2675),
    [anon_sym_DASH] = ACTIONS(2673),
    [anon_sym_BANG] = ACTIONS(2673),
    [anon_sym_AMP] = ACTIONS(2673),
    [anon_sym_PIPE] = ACTIONS(2673),
    [anon_sym_LT] = ACTIONS(2673),
    [anon_sym_DOT_DOT] = ACTIONS(2673),
    [anon_sym_COLON_COLON] = ACTIONS(2673),
    [anon_sym_POUND] = ACTIONS(2673),
    [anon_sym_SQUOTE] = ACTIONS(2675),
    [anon_sym_async] = ACTIONS(2675),
    [anon_sym_break] = ACTIONS(2675),
    [anon_sym_const] = ACTIONS(2675),
    [anon_sym_continue] = ACTIONS(2675),
    [anon_sym_default] = ACTIONS(2675),
    [anon_sym_enum] = ACTIONS(2675),
    [anon_sym_fn] = ACTIONS(2675),
    [anon_sym_for] = ACTIONS(2675),
    [anon_sym_if] = ACTIONS(2675),
    [anon_sym_impl] = ACTIONS(2675),
    [anon_sym_let] = ACTIONS(2675),
    [anon_sym_loop] = ACTIONS(2675),
    [anon_sym_match] = ACTIONS(2675),
    [anon_sym_mod] = ACTIONS(2675),
    [anon_sym_pub] = ACTIONS(2675),
    [anon_sym_return] = ACTIONS(2675),
    [anon_sym_static] = ACTIONS(2675),
    [anon_sym_struct] = ACTIONS(2675),
    [anon_sym_trait] = ACTIONS(2675),
    [anon_sym_type] = ACTIONS(2675),
    [anon_sym_union] = ACTIONS(2675),
    [anon_sym_unsafe] = ACTIONS(2675),
    [anon_sym_use] = ACTIONS(2675),
    [anon_sym_while] = ACTIONS(2675),
    [anon_sym_extern] = ACTIONS(2675),
    [anon_sym_yield] = ACTIONS(2675),
    [anon_sym_move] = ACTIONS(2675),
    [anon_sym_try] = ACTIONS(2675),
    [sym_integer_literal] = ACTIONS(2673),
    [aux_sym_string_literal_token1] = ACTIONS(2673),
    [sym_char_literal] = ACTIONS(2673),
    [anon_sym_true] = ACTIONS(2675),
    [anon_sym_false] = ACTIONS(2675),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2675),
    [sym_super] = ACTIONS(2675),
    [sym_crate] = ACTIONS(2675),
    [sym_metavariable] = ACTIONS(2673),
    [sym__raw_string_literal_start] = ACTIONS(2673),
    [sym_float_literal] = ACTIONS(2673),
  },
  [709] = {
    [sym_line_comment] = STATE(709),
    [sym_block_comment] = STATE(709),
    [ts_builtin_sym_end] = ACTIONS(2677),
    [sym_identifier] = ACTIONS(2679),
    [anon_sym_SEMI] = ACTIONS(2677),
    [anon_sym_macro_rules_BANG] = ACTIONS(2677),
    [anon_sym_LPAREN] = ACTIONS(2677),
    [anon_sym_LBRACK] = ACTIONS(2677),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_RBRACE] = ACTIONS(2677),
    [anon_sym_STAR] = ACTIONS(2677),
    [anon_sym_u8] = ACTIONS(2679),
    [anon_sym_i8] = ACTIONS(2679),
    [anon_sym_u16] = ACTIONS(2679),
    [anon_sym_i16] = ACTIONS(2679),
    [anon_sym_u32] = ACTIONS(2679),
    [anon_sym_i32] = ACTIONS(2679),
    [anon_sym_u64] = ACTIONS(2679),
    [anon_sym_i64] = ACTIONS(2679),
    [anon_sym_u128] = ACTIONS(2679),
    [anon_sym_i128] = ACTIONS(2679),
    [anon_sym_isize] = ACTIONS(2679),
    [anon_sym_usize] = ACTIONS(2679),
    [anon_sym_f32] = ACTIONS(2679),
    [anon_sym_f64] = ACTIONS(2679),
    [anon_sym_bool] = ACTIONS(2679),
    [anon_sym_str] = ACTIONS(2679),
    [anon_sym_char] = ACTIONS(2679),
    [anon_sym_DASH] = ACTIONS(2677),
    [anon_sym_BANG] = ACTIONS(2677),
    [anon_sym_AMP] = ACTIONS(2677),
    [anon_sym_PIPE] = ACTIONS(2677),
    [anon_sym_LT] = ACTIONS(2677),
    [anon_sym_DOT_DOT] = ACTIONS(2677),
    [anon_sym_COLON_COLON] = ACTIONS(2677),
    [anon_sym_POUND] = ACTIONS(2677),
    [anon_sym_SQUOTE] = ACTIONS(2679),
    [anon_sym_async] = ACTIONS(2679),
    [anon_sym_break] = ACTIONS(2679),
    [anon_sym_const] = ACTIONS(2679),
    [anon_sym_continue] = ACTIONS(2679),
    [anon_sym_default] = ACTIONS(2679),
    [anon_sym_enum] = ACTIONS(2679),
    [anon_sym_fn] = ACTIONS(2679),
    [anon_sym_for] = ACTIONS(2679),
    [anon_sym_if] = ACTIONS(2679),
    [anon_sym_impl] = ACTIONS(2679),
    [anon_sym_let] = ACTIONS(2679),
    [anon_sym_loop] = ACTIONS(2679),
    [anon_sym_match] = ACTIONS(2679),
    [anon_sym_mod] = ACTIONS(2679),
    [anon_sym_pub] = ACTIONS(2679),
    [anon_sym_return] = ACTIONS(2679),
    [anon_sym_static] = ACTIONS(2679),
    [anon_sym_struct] = ACTIONS(2679),
    [anon_sym_trait] = ACTIONS(2679),
    [anon_sym_type] = ACTIONS(2679),
    [anon_sym_union] = ACTIONS(2679),
    [anon_sym_unsafe] = ACTIONS(2679),
    [anon_sym_use] = ACTIONS(2679),
    [anon_sym_while] = ACTIONS(2679),
    [anon_sym_extern] = ACTIONS(2679),
    [anon_sym_yield] = ACTIONS(2679),
    [anon_sym_move] = ACTIONS(2679),
    [anon_sym_try] = ACTIONS(2679),
    [sym_integer_literal] = ACTIONS(2677),
    [aux_sym_string_literal_token1] = ACTIONS(2677),
    [sym_char_literal] = ACTIONS(2677),
    [anon_sym_true] = ACTIONS(2679),
    [anon_sym_false] = ACTIONS(2679),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2679),
    [sym_super] = ACTIONS(2679),
    [sym_crate] = ACTIONS(2679),
    [sym_metavariable] = ACTIONS(2677),
    [sym__raw_string_literal_start] = ACTIONS(2677),
    [sym_float_literal] = ACTIONS(2677),
  },
  [710] = {
    [sym_line_comment] = STATE(710),
    [sym_block_comment] = STATE(710),
    [ts_builtin_sym_end] = ACTIONS(2681),
    [sym_identifier] = ACTIONS(2683),
    [anon_sym_SEMI] = ACTIONS(2681),
    [anon_sym_macro_rules_BANG] = ACTIONS(2681),
    [anon_sym_LPAREN] = ACTIONS(2681),
    [anon_sym_LBRACK] = ACTIONS(2681),
    [anon_sym_LBRACE] = ACTIONS(2681),
    [anon_sym_RBRACE] = ACTIONS(2681),
    [anon_sym_STAR] = ACTIONS(2681),
    [anon_sym_u8] = ACTIONS(2683),
    [anon_sym_i8] = ACTIONS(2683),
    [anon_sym_u16] = ACTIONS(2683),
    [anon_sym_i16] = ACTIONS(2683),
    [anon_sym_u32] = ACTIONS(2683),
    [anon_sym_i32] = ACTIONS(2683),
    [anon_sym_u64] = ACTIONS(2683),
    [anon_sym_i64] = ACTIONS(2683),
    [anon_sym_u128] = ACTIONS(2683),
    [anon_sym_i128] = ACTIONS(2683),
    [anon_sym_isize] = ACTIONS(2683),
    [anon_sym_usize] = ACTIONS(2683),
    [anon_sym_f32] = ACTIONS(2683),
    [anon_sym_f64] = ACTIONS(2683),
    [anon_sym_bool] = ACTIONS(2683),
    [anon_sym_str] = ACTIONS(2683),
    [anon_sym_char] = ACTIONS(2683),
    [anon_sym_DASH] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2681),
    [anon_sym_AMP] = ACTIONS(2681),
    [anon_sym_PIPE] = ACTIONS(2681),
    [anon_sym_LT] = ACTIONS(2681),
    [anon_sym_DOT_DOT] = ACTIONS(2681),
    [anon_sym_COLON_COLON] = ACTIONS(2681),
    [anon_sym_POUND] = ACTIONS(2681),
    [anon_sym_SQUOTE] = ACTIONS(2683),
    [anon_sym_async] = ACTIONS(2683),
    [anon_sym_break] = ACTIONS(2683),
    [anon_sym_const] = ACTIONS(2683),
    [anon_sym_continue] = ACTIONS(2683),
    [anon_sym_default] = ACTIONS(2683),
    [anon_sym_enum] = ACTIONS(2683),
    [anon_sym_fn] = ACTIONS(2683),
    [anon_sym_for] = ACTIONS(2683),
    [anon_sym_if] = ACTIONS(2683),
    [anon_sym_impl] = ACTIONS(2683),
    [anon_sym_let] = ACTIONS(2683),
    [anon_sym_loop] = ACTIONS(2683),
    [anon_sym_match] = ACTIONS(2683),
    [anon_sym_mod] = ACTIONS(2683),
    [anon_sym_pub] = ACTIONS(2683),
    [anon_sym_return] = ACTIONS(2683),
    [anon_sym_static] = ACTIONS(2683),
    [anon_sym_struct] = ACTIONS(2683),
    [anon_sym_trait] = ACTIONS(2683),
    [anon_sym_type] = ACTIONS(2683),
    [anon_sym_union] = ACTIONS(2683),
    [anon_sym_unsafe] = ACTIONS(2683),
    [anon_sym_use] = ACTIONS(2683),
    [anon_sym_while] = ACTIONS(2683),
    [anon_sym_extern] = ACTIONS(2683),
    [anon_sym_yield] = ACTIONS(2683),
    [anon_sym_move] = ACTIONS(2683),
    [anon_sym_try] = ACTIONS(2683),
    [sym_integer_literal] = ACTIONS(2681),
    [aux_sym_string_literal_token1] = ACTIONS(2681),
    [sym_char_literal] = ACTIONS(2681),
    [anon_sym_true] = ACTIONS(2683),
    [anon_sym_false] = ACTIONS(2683),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2683),
    [sym_super] = ACTIONS(2683),
    [sym_crate] = ACTIONS(2683),
    [sym_metavariable] = ACTIONS(2681),
    [sym__raw_string_literal_start] = ACTIONS(2681),
    [sym_float_literal] = ACTIONS(2681),
  },
  [711] = {
    [sym_line_comment] = STATE(711),
    [sym_block_comment] = STATE(711),
    [ts_builtin_sym_end] = ACTIONS(2685),
    [sym_identifier] = ACTIONS(2687),
    [anon_sym_SEMI] = ACTIONS(2685),
    [anon_sym_macro_rules_BANG] = ACTIONS(2685),
    [anon_sym_LPAREN] = ACTIONS(2685),
    [anon_sym_LBRACK] = ACTIONS(2685),
    [anon_sym_LBRACE] = ACTIONS(2685),
    [anon_sym_RBRACE] = ACTIONS(2685),
    [anon_sym_STAR] = ACTIONS(2685),
    [anon_sym_u8] = ACTIONS(2687),
    [anon_sym_i8] = ACTIONS(2687),
    [anon_sym_u16] = ACTIONS(2687),
    [anon_sym_i16] = ACTIONS(2687),
    [anon_sym_u32] = ACTIONS(2687),
    [anon_sym_i32] = ACTIONS(2687),
    [anon_sym_u64] = ACTIONS(2687),
    [anon_sym_i64] = ACTIONS(2687),
    [anon_sym_u128] = ACTIONS(2687),
    [anon_sym_i128] = ACTIONS(2687),
    [anon_sym_isize] = ACTIONS(2687),
    [anon_sym_usize] = ACTIONS(2687),
    [anon_sym_f32] = ACTIONS(2687),
    [anon_sym_f64] = ACTIONS(2687),
    [anon_sym_bool] = ACTIONS(2687),
    [anon_sym_str] = ACTIONS(2687),
    [anon_sym_char] = ACTIONS(2687),
    [anon_sym_DASH] = ACTIONS(2685),
    [anon_sym_BANG] = ACTIONS(2685),
    [anon_sym_AMP] = ACTIONS(2685),
    [anon_sym_PIPE] = ACTIONS(2685),
    [anon_sym_LT] = ACTIONS(2685),
    [anon_sym_DOT_DOT] = ACTIONS(2685),
    [anon_sym_COLON_COLON] = ACTIONS(2685),
    [anon_sym_POUND] = ACTIONS(2685),
    [anon_sym_SQUOTE] = ACTIONS(2687),
    [anon_sym_async] = ACTIONS(2687),
    [anon_sym_break] = ACTIONS(2687),
    [anon_sym_const] = ACTIONS(2687),
    [anon_sym_continue] = ACTIONS(2687),
    [anon_sym_default] = ACTIONS(2687),
    [anon_sym_enum] = ACTIONS(2687),
    [anon_sym_fn] = ACTIONS(2687),
    [anon_sym_for] = ACTIONS(2687),
    [anon_sym_if] = ACTIONS(2687),
    [anon_sym_impl] = ACTIONS(2687),
    [anon_sym_let] = ACTIONS(2687),
    [anon_sym_loop] = ACTIONS(2687),
    [anon_sym_match] = ACTIONS(2687),
    [anon_sym_mod] = ACTIONS(2687),
    [anon_sym_pub] = ACTIONS(2687),
    [anon_sym_return] = ACTIONS(2687),
    [anon_sym_static] = ACTIONS(2687),
    [anon_sym_struct] = ACTIONS(2687),
    [anon_sym_trait] = ACTIONS(2687),
    [anon_sym_type] = ACTIONS(2687),
    [anon_sym_union] = ACTIONS(2687),
    [anon_sym_unsafe] = ACTIONS(2687),
    [anon_sym_use] = ACTIONS(2687),
    [anon_sym_while] = ACTIONS(2687),
    [anon_sym_extern] = ACTIONS(2687),
    [anon_sym_yield] = ACTIONS(2687),
    [anon_sym_move] = ACTIONS(2687),
    [anon_sym_try] = ACTIONS(2687),
    [sym_integer_literal] = ACTIONS(2685),
    [aux_sym_string_literal_token1] = ACTIONS(2685),
    [sym_char_literal] = ACTIONS(2685),
    [anon_sym_true] = ACTIONS(2687),
    [anon_sym_false] = ACTIONS(2687),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2687),
    [sym_super] = ACTIONS(2687),
    [sym_crate] = ACTIONS(2687),
    [sym_metavariable] = ACTIONS(2685),
    [sym__raw_string_literal_start] = ACTIONS(2685),
    [sym_float_literal] = ACTIONS(2685),
  },
  [712] = {
    [sym_line_comment] = STATE(712),
    [sym_block_comment] = STATE(712),
    [ts_builtin_sym_end] = ACTIONS(2689),
    [sym_identifier] = ACTIONS(2691),
    [anon_sym_SEMI] = ACTIONS(2689),
    [anon_sym_macro_rules_BANG] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2689),
    [anon_sym_LBRACK] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2689),
    [anon_sym_RBRACE] = ACTIONS(2689),
    [anon_sym_STAR] = ACTIONS(2689),
    [anon_sym_u8] = ACTIONS(2691),
    [anon_sym_i8] = ACTIONS(2691),
    [anon_sym_u16] = ACTIONS(2691),
    [anon_sym_i16] = ACTIONS(2691),
    [anon_sym_u32] = ACTIONS(2691),
    [anon_sym_i32] = ACTIONS(2691),
    [anon_sym_u64] = ACTIONS(2691),
    [anon_sym_i64] = ACTIONS(2691),
    [anon_sym_u128] = ACTIONS(2691),
    [anon_sym_i128] = ACTIONS(2691),
    [anon_sym_isize] = ACTIONS(2691),
    [anon_sym_usize] = ACTIONS(2691),
    [anon_sym_f32] = ACTIONS(2691),
    [anon_sym_f64] = ACTIONS(2691),
    [anon_sym_bool] = ACTIONS(2691),
    [anon_sym_str] = ACTIONS(2691),
    [anon_sym_char] = ACTIONS(2691),
    [anon_sym_DASH] = ACTIONS(2689),
    [anon_sym_BANG] = ACTIONS(2689),
    [anon_sym_AMP] = ACTIONS(2689),
    [anon_sym_PIPE] = ACTIONS(2689),
    [anon_sym_LT] = ACTIONS(2689),
    [anon_sym_DOT_DOT] = ACTIONS(2689),
    [anon_sym_COLON_COLON] = ACTIONS(2689),
    [anon_sym_POUND] = ACTIONS(2689),
    [anon_sym_SQUOTE] = ACTIONS(2691),
    [anon_sym_async] = ACTIONS(2691),
    [anon_sym_break] = ACTIONS(2691),
    [anon_sym_const] = ACTIONS(2691),
    [anon_sym_continue] = ACTIONS(2691),
    [anon_sym_default] = ACTIONS(2691),
    [anon_sym_enum] = ACTIONS(2691),
    [anon_sym_fn] = ACTIONS(2691),
    [anon_sym_for] = ACTIONS(2691),
    [anon_sym_if] = ACTIONS(2691),
    [anon_sym_impl] = ACTIONS(2691),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_loop] = ACTIONS(2691),
    [anon_sym_match] = ACTIONS(2691),
    [anon_sym_mod] = ACTIONS(2691),
    [anon_sym_pub] = ACTIONS(2691),
    [anon_sym_return] = ACTIONS(2691),
    [anon_sym_static] = ACTIONS(2691),
    [anon_sym_struct] = ACTIONS(2691),
    [anon_sym_trait] = ACTIONS(2691),
    [anon_sym_type] = ACTIONS(2691),
    [anon_sym_union] = ACTIONS(2691),
    [anon_sym_unsafe] = ACTIONS(2691),
    [anon_sym_use] = ACTIONS(2691),
    [anon_sym_while] = ACTIONS(2691),
    [anon_sym_extern] = ACTIONS(2691),
    [anon_sym_yield] = ACTIONS(2691),
    [anon_sym_move] = ACTIONS(2691),
    [anon_sym_try] = ACTIONS(2691),
    [sym_integer_literal] = ACTIONS(2689),
    [aux_sym_string_literal_token1] = ACTIONS(2689),
    [sym_char_literal] = ACTIONS(2689),
    [anon_sym_true] = ACTIONS(2691),
    [anon_sym_false] = ACTIONS(2691),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2691),
    [sym_super] = ACTIONS(2691),
    [sym_crate] = ACTIONS(2691),
    [sym_metavariable] = ACTIONS(2689),
    [sym__raw_string_literal_start] = ACTIONS(2689),
    [sym_float_literal] = ACTIONS(2689),
  },
  [713] = {
    [sym_line_comment] = STATE(713),
    [sym_block_comment] = STATE(713),
    [ts_builtin_sym_end] = ACTIONS(2693),
    [sym_identifier] = ACTIONS(2695),
    [anon_sym_SEMI] = ACTIONS(2693),
    [anon_sym_macro_rules_BANG] = ACTIONS(2693),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2693),
    [anon_sym_LBRACE] = ACTIONS(2693),
    [anon_sym_RBRACE] = ACTIONS(2693),
    [anon_sym_STAR] = ACTIONS(2693),
    [anon_sym_u8] = ACTIONS(2695),
    [anon_sym_i8] = ACTIONS(2695),
    [anon_sym_u16] = ACTIONS(2695),
    [anon_sym_i16] = ACTIONS(2695),
    [anon_sym_u32] = ACTIONS(2695),
    [anon_sym_i32] = ACTIONS(2695),
    [anon_sym_u64] = ACTIONS(2695),
    [anon_sym_i64] = ACTIONS(2695),
    [anon_sym_u128] = ACTIONS(2695),
    [anon_sym_i128] = ACTIONS(2695),
    [anon_sym_isize] = ACTIONS(2695),
    [anon_sym_usize] = ACTIONS(2695),
    [anon_sym_f32] = ACTIONS(2695),
    [anon_sym_f64] = ACTIONS(2695),
    [anon_sym_bool] = ACTIONS(2695),
    [anon_sym_str] = ACTIONS(2695),
    [anon_sym_char] = ACTIONS(2695),
    [anon_sym_DASH] = ACTIONS(2693),
    [anon_sym_BANG] = ACTIONS(2693),
    [anon_sym_AMP] = ACTIONS(2693),
    [anon_sym_PIPE] = ACTIONS(2693),
    [anon_sym_LT] = ACTIONS(2693),
    [anon_sym_DOT_DOT] = ACTIONS(2693),
    [anon_sym_COLON_COLON] = ACTIONS(2693),
    [anon_sym_POUND] = ACTIONS(2693),
    [anon_sym_SQUOTE] = ACTIONS(2695),
    [anon_sym_async] = ACTIONS(2695),
    [anon_sym_break] = ACTIONS(2695),
    [anon_sym_const] = ACTIONS(2695),
    [anon_sym_continue] = ACTIONS(2695),
    [anon_sym_default] = ACTIONS(2695),
    [anon_sym_enum] = ACTIONS(2695),
    [anon_sym_fn] = ACTIONS(2695),
    [anon_sym_for] = ACTIONS(2695),
    [anon_sym_if] = ACTIONS(2695),
    [anon_sym_impl] = ACTIONS(2695),
    [anon_sym_let] = ACTIONS(2695),
    [anon_sym_loop] = ACTIONS(2695),
    [anon_sym_match] = ACTIONS(2695),
    [anon_sym_mod] = ACTIONS(2695),
    [anon_sym_pub] = ACTIONS(2695),
    [anon_sym_return] = ACTIONS(2695),
    [anon_sym_static] = ACTIONS(2695),
    [anon_sym_struct] = ACTIONS(2695),
    [anon_sym_trait] = ACTIONS(2695),
    [anon_sym_type] = ACTIONS(2695),
    [anon_sym_union] = ACTIONS(2695),
    [anon_sym_unsafe] = ACTIONS(2695),
    [anon_sym_use] = ACTIONS(2695),
    [anon_sym_while] = ACTIONS(2695),
    [anon_sym_extern] = ACTIONS(2695),
    [anon_sym_yield] = ACTIONS(2695),
    [anon_sym_move] = ACTIONS(2695),
    [anon_sym_try] = ACTIONS(2695),
    [sym_integer_literal] = ACTIONS(2693),
    [aux_sym_string_literal_token1] = ACTIONS(2693),
    [sym_char_literal] = ACTIONS(2693),
    [anon_sym_true] = ACTIONS(2695),
    [anon_sym_false] = ACTIONS(2695),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2695),
    [sym_super] = ACTIONS(2695),
    [sym_crate] = ACTIONS(2695),
    [sym_metavariable] = ACTIONS(2693),
    [sym__raw_string_literal_start] = ACTIONS(2693),
    [sym_float_literal] = ACTIONS(2693),
  },
  [714] = {
    [sym_line_comment] = STATE(714),
    [sym_block_comment] = STATE(714),
    [ts_builtin_sym_end] = ACTIONS(2697),
    [sym_identifier] = ACTIONS(2699),
    [anon_sym_SEMI] = ACTIONS(2697),
    [anon_sym_macro_rules_BANG] = ACTIONS(2697),
    [anon_sym_LPAREN] = ACTIONS(2697),
    [anon_sym_LBRACK] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2697),
    [anon_sym_RBRACE] = ACTIONS(2697),
    [anon_sym_STAR] = ACTIONS(2697),
    [anon_sym_u8] = ACTIONS(2699),
    [anon_sym_i8] = ACTIONS(2699),
    [anon_sym_u16] = ACTIONS(2699),
    [anon_sym_i16] = ACTIONS(2699),
    [anon_sym_u32] = ACTIONS(2699),
    [anon_sym_i32] = ACTIONS(2699),
    [anon_sym_u64] = ACTIONS(2699),
    [anon_sym_i64] = ACTIONS(2699),
    [anon_sym_u128] = ACTIONS(2699),
    [anon_sym_i128] = ACTIONS(2699),
    [anon_sym_isize] = ACTIONS(2699),
    [anon_sym_usize] = ACTIONS(2699),
    [anon_sym_f32] = ACTIONS(2699),
    [anon_sym_f64] = ACTIONS(2699),
    [anon_sym_bool] = ACTIONS(2699),
    [anon_sym_str] = ACTIONS(2699),
    [anon_sym_char] = ACTIONS(2699),
    [anon_sym_DASH] = ACTIONS(2697),
    [anon_sym_BANG] = ACTIONS(2697),
    [anon_sym_AMP] = ACTIONS(2697),
    [anon_sym_PIPE] = ACTIONS(2697),
    [anon_sym_LT] = ACTIONS(2697),
    [anon_sym_DOT_DOT] = ACTIONS(2697),
    [anon_sym_COLON_COLON] = ACTIONS(2697),
    [anon_sym_POUND] = ACTIONS(2697),
    [anon_sym_SQUOTE] = ACTIONS(2699),
    [anon_sym_async] = ACTIONS(2699),
    [anon_sym_break] = ACTIONS(2699),
    [anon_sym_const] = ACTIONS(2699),
    [anon_sym_continue] = ACTIONS(2699),
    [anon_sym_default] = ACTIONS(2699),
    [anon_sym_enum] = ACTIONS(2699),
    [anon_sym_fn] = ACTIONS(2699),
    [anon_sym_for] = ACTIONS(2699),
    [anon_sym_if] = ACTIONS(2699),
    [anon_sym_impl] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(2699),
    [anon_sym_loop] = ACTIONS(2699),
    [anon_sym_match] = ACTIONS(2699),
    [anon_sym_mod] = ACTIONS(2699),
    [anon_sym_pub] = ACTIONS(2699),
    [anon_sym_return] = ACTIONS(2699),
    [anon_sym_static] = ACTIONS(2699),
    [anon_sym_struct] = ACTIONS(2699),
    [anon_sym_trait] = ACTIONS(2699),
    [anon_sym_type] = ACTIONS(2699),
    [anon_sym_union] = ACTIONS(2699),
    [anon_sym_unsafe] = ACTIONS(2699),
    [anon_sym_use] = ACTIONS(2699),
    [anon_sym_while] = ACTIONS(2699),
    [anon_sym_extern] = ACTIONS(2699),
    [anon_sym_yield] = ACTIONS(2699),
    [anon_sym_move] = ACTIONS(2699),
    [anon_sym_try] = ACTIONS(2699),
    [sym_integer_literal] = ACTIONS(2697),
    [aux_sym_string_literal_token1] = ACTIONS(2697),
    [sym_char_literal] = ACTIONS(2697),
    [anon_sym_true] = ACTIONS(2699),
    [anon_sym_false] = ACTIONS(2699),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2699),
    [sym_super] = ACTIONS(2699),
    [sym_crate] = ACTIONS(2699),
    [sym_metavariable] = ACTIONS(2697),
    [sym__raw_string_literal_start] = ACTIONS(2697),
    [sym_float_literal] = ACTIONS(2697),
  },
  [715] = {
    [sym_line_comment] = STATE(715),
    [sym_block_comment] = STATE(715),
    [ts_builtin_sym_end] = ACTIONS(2701),
    [sym_identifier] = ACTIONS(2703),
    [anon_sym_SEMI] = ACTIONS(2701),
    [anon_sym_macro_rules_BANG] = ACTIONS(2701),
    [anon_sym_LPAREN] = ACTIONS(2701),
    [anon_sym_LBRACK] = ACTIONS(2701),
    [anon_sym_LBRACE] = ACTIONS(2701),
    [anon_sym_RBRACE] = ACTIONS(2701),
    [anon_sym_STAR] = ACTIONS(2701),
    [anon_sym_u8] = ACTIONS(2703),
    [anon_sym_i8] = ACTIONS(2703),
    [anon_sym_u16] = ACTIONS(2703),
    [anon_sym_i16] = ACTIONS(2703),
    [anon_sym_u32] = ACTIONS(2703),
    [anon_sym_i32] = ACTIONS(2703),
    [anon_sym_u64] = ACTIONS(2703),
    [anon_sym_i64] = ACTIONS(2703),
    [anon_sym_u128] = ACTIONS(2703),
    [anon_sym_i128] = ACTIONS(2703),
    [anon_sym_isize] = ACTIONS(2703),
    [anon_sym_usize] = ACTIONS(2703),
    [anon_sym_f32] = ACTIONS(2703),
    [anon_sym_f64] = ACTIONS(2703),
    [anon_sym_bool] = ACTIONS(2703),
    [anon_sym_str] = ACTIONS(2703),
    [anon_sym_char] = ACTIONS(2703),
    [anon_sym_DASH] = ACTIONS(2701),
    [anon_sym_BANG] = ACTIONS(2701),
    [anon_sym_AMP] = ACTIONS(2701),
    [anon_sym_PIPE] = ACTIONS(2701),
    [anon_sym_LT] = ACTIONS(2701),
    [anon_sym_DOT_DOT] = ACTIONS(2701),
    [anon_sym_COLON_COLON] = ACTIONS(2701),
    [anon_sym_POUND] = ACTIONS(2701),
    [anon_sym_SQUOTE] = ACTIONS(2703),
    [anon_sym_async] = ACTIONS(2703),
    [anon_sym_break] = ACTIONS(2703),
    [anon_sym_const] = ACTIONS(2703),
    [anon_sym_continue] = ACTIONS(2703),
    [anon_sym_default] = ACTIONS(2703),
    [anon_sym_enum] = ACTIONS(2703),
    [anon_sym_fn] = ACTIONS(2703),
    [anon_sym_for] = ACTIONS(2703),
    [anon_sym_if] = ACTIONS(2703),
    [anon_sym_impl] = ACTIONS(2703),
    [anon_sym_let] = ACTIONS(2703),
    [anon_sym_loop] = ACTIONS(2703),
    [anon_sym_match] = ACTIONS(2703),
    [anon_sym_mod] = ACTIONS(2703),
    [anon_sym_pub] = ACTIONS(2703),
    [anon_sym_return] = ACTIONS(2703),
    [anon_sym_static] = ACTIONS(2703),
    [anon_sym_struct] = ACTIONS(2703),
    [anon_sym_trait] = ACTIONS(2703),
    [anon_sym_type] = ACTIONS(2703),
    [anon_sym_union] = ACTIONS(2703),
    [anon_sym_unsafe] = ACTIONS(2703),
    [anon_sym_use] = ACTIONS(2703),
    [anon_sym_while] = ACTIONS(2703),
    [anon_sym_extern] = ACTIONS(2703),
    [anon_sym_yield] = ACTIONS(2703),
    [anon_sym_move] = ACTIONS(2703),
    [anon_sym_try] = ACTIONS(2703),
    [sym_integer_literal] = ACTIONS(2701),
    [aux_sym_string_literal_token1] = ACTIONS(2701),
    [sym_char_literal] = ACTIONS(2701),
    [anon_sym_true] = ACTIONS(2703),
    [anon_sym_false] = ACTIONS(2703),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2703),
    [sym_super] = ACTIONS(2703),
    [sym_crate] = ACTIONS(2703),
    [sym_metavariable] = ACTIONS(2701),
    [sym__raw_string_literal_start] = ACTIONS(2701),
    [sym_float_literal] = ACTIONS(2701),
  },
  [716] = {
    [sym_line_comment] = STATE(716),
    [sym_block_comment] = STATE(716),
    [ts_builtin_sym_end] = ACTIONS(2705),
    [sym_identifier] = ACTIONS(2707),
    [anon_sym_SEMI] = ACTIONS(2705),
    [anon_sym_macro_rules_BANG] = ACTIONS(2705),
    [anon_sym_LPAREN] = ACTIONS(2705),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_LBRACE] = ACTIONS(2705),
    [anon_sym_RBRACE] = ACTIONS(2705),
    [anon_sym_STAR] = ACTIONS(2705),
    [anon_sym_u8] = ACTIONS(2707),
    [anon_sym_i8] = ACTIONS(2707),
    [anon_sym_u16] = ACTIONS(2707),
    [anon_sym_i16] = ACTIONS(2707),
    [anon_sym_u32] = ACTIONS(2707),
    [anon_sym_i32] = ACTIONS(2707),
    [anon_sym_u64] = ACTIONS(2707),
    [anon_sym_i64] = ACTIONS(2707),
    [anon_sym_u128] = ACTIONS(2707),
    [anon_sym_i128] = ACTIONS(2707),
    [anon_sym_isize] = ACTIONS(2707),
    [anon_sym_usize] = ACTIONS(2707),
    [anon_sym_f32] = ACTIONS(2707),
    [anon_sym_f64] = ACTIONS(2707),
    [anon_sym_bool] = ACTIONS(2707),
    [anon_sym_str] = ACTIONS(2707),
    [anon_sym_char] = ACTIONS(2707),
    [anon_sym_DASH] = ACTIONS(2705),
    [anon_sym_BANG] = ACTIONS(2705),
    [anon_sym_AMP] = ACTIONS(2705),
    [anon_sym_PIPE] = ACTIONS(2705),
    [anon_sym_LT] = ACTIONS(2705),
    [anon_sym_DOT_DOT] = ACTIONS(2705),
    [anon_sym_COLON_COLON] = ACTIONS(2705),
    [anon_sym_POUND] = ACTIONS(2705),
    [anon_sym_SQUOTE] = ACTIONS(2707),
    [anon_sym_async] = ACTIONS(2707),
    [anon_sym_break] = ACTIONS(2707),
    [anon_sym_const] = ACTIONS(2707),
    [anon_sym_continue] = ACTIONS(2707),
    [anon_sym_default] = ACTIONS(2707),
    [anon_sym_enum] = ACTIONS(2707),
    [anon_sym_fn] = ACTIONS(2707),
    [anon_sym_for] = ACTIONS(2707),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_impl] = ACTIONS(2707),
    [anon_sym_let] = ACTIONS(2707),
    [anon_sym_loop] = ACTIONS(2707),
    [anon_sym_match] = ACTIONS(2707),
    [anon_sym_mod] = ACTIONS(2707),
    [anon_sym_pub] = ACTIONS(2707),
    [anon_sym_return] = ACTIONS(2707),
    [anon_sym_static] = ACTIONS(2707),
    [anon_sym_struct] = ACTIONS(2707),
    [anon_sym_trait] = ACTIONS(2707),
    [anon_sym_type] = ACTIONS(2707),
    [anon_sym_union] = ACTIONS(2707),
    [anon_sym_unsafe] = ACTIONS(2707),
    [anon_sym_use] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(2707),
    [anon_sym_extern] = ACTIONS(2707),
    [anon_sym_yield] = ACTIONS(2707),
    [anon_sym_move] = ACTIONS(2707),
    [anon_sym_try] = ACTIONS(2707),
    [sym_integer_literal] = ACTIONS(2705),
    [aux_sym_string_literal_token1] = ACTIONS(2705),
    [sym_char_literal] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2707),
    [sym_super] = ACTIONS(2707),
    [sym_crate] = ACTIONS(2707),
    [sym_metavariable] = ACTIONS(2705),
    [sym__raw_string_literal_start] = ACTIONS(2705),
    [sym_float_literal] = ACTIONS(2705),
  },
  [717] = {
    [sym_line_comment] = STATE(717),
    [sym_block_comment] = STATE(717),
    [ts_builtin_sym_end] = ACTIONS(2709),
    [sym_identifier] = ACTIONS(2711),
    [anon_sym_SEMI] = ACTIONS(2709),
    [anon_sym_macro_rules_BANG] = ACTIONS(2709),
    [anon_sym_LPAREN] = ACTIONS(2709),
    [anon_sym_LBRACK] = ACTIONS(2709),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_RBRACE] = ACTIONS(2709),
    [anon_sym_STAR] = ACTIONS(2709),
    [anon_sym_u8] = ACTIONS(2711),
    [anon_sym_i8] = ACTIONS(2711),
    [anon_sym_u16] = ACTIONS(2711),
    [anon_sym_i16] = ACTIONS(2711),
    [anon_sym_u32] = ACTIONS(2711),
    [anon_sym_i32] = ACTIONS(2711),
    [anon_sym_u64] = ACTIONS(2711),
    [anon_sym_i64] = ACTIONS(2711),
    [anon_sym_u128] = ACTIONS(2711),
    [anon_sym_i128] = ACTIONS(2711),
    [anon_sym_isize] = ACTIONS(2711),
    [anon_sym_usize] = ACTIONS(2711),
    [anon_sym_f32] = ACTIONS(2711),
    [anon_sym_f64] = ACTIONS(2711),
    [anon_sym_bool] = ACTIONS(2711),
    [anon_sym_str] = ACTIONS(2711),
    [anon_sym_char] = ACTIONS(2711),
    [anon_sym_DASH] = ACTIONS(2709),
    [anon_sym_BANG] = ACTIONS(2709),
    [anon_sym_AMP] = ACTIONS(2709),
    [anon_sym_PIPE] = ACTIONS(2709),
    [anon_sym_LT] = ACTIONS(2709),
    [anon_sym_DOT_DOT] = ACTIONS(2709),
    [anon_sym_COLON_COLON] = ACTIONS(2709),
    [anon_sym_POUND] = ACTIONS(2709),
    [anon_sym_SQUOTE] = ACTIONS(2711),
    [anon_sym_async] = ACTIONS(2711),
    [anon_sym_break] = ACTIONS(2711),
    [anon_sym_const] = ACTIONS(2711),
    [anon_sym_continue] = ACTIONS(2711),
    [anon_sym_default] = ACTIONS(2711),
    [anon_sym_enum] = ACTIONS(2711),
    [anon_sym_fn] = ACTIONS(2711),
    [anon_sym_for] = ACTIONS(2711),
    [anon_sym_if] = ACTIONS(2711),
    [anon_sym_impl] = ACTIONS(2711),
    [anon_sym_let] = ACTIONS(2711),
    [anon_sym_loop] = ACTIONS(2711),
    [anon_sym_match] = ACTIONS(2711),
    [anon_sym_mod] = ACTIONS(2711),
    [anon_sym_pub] = ACTIONS(2711),
    [anon_sym_return] = ACTIONS(2711),
    [anon_sym_static] = ACTIONS(2711),
    [anon_sym_struct] = ACTIONS(2711),
    [anon_sym_trait] = ACTIONS(2711),
    [anon_sym_type] = ACTIONS(2711),
    [anon_sym_union] = ACTIONS(2711),
    [anon_sym_unsafe] = ACTIONS(2711),
    [anon_sym_use] = ACTIONS(2711),
    [anon_sym_while] = ACTIONS(2711),
    [anon_sym_extern] = ACTIONS(2711),
    [anon_sym_yield] = ACTIONS(2711),
    [anon_sym_move] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2711),
    [sym_integer_literal] = ACTIONS(2709),
    [aux_sym_string_literal_token1] = ACTIONS(2709),
    [sym_char_literal] = ACTIONS(2709),
    [anon_sym_true] = ACTIONS(2711),
    [anon_sym_false] = ACTIONS(2711),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2711),
    [sym_super] = ACTIONS(2711),
    [sym_crate] = ACTIONS(2711),
    [sym_metavariable] = ACTIONS(2709),
    [sym__raw_string_literal_start] = ACTIONS(2709),
    [sym_float_literal] = ACTIONS(2709),
  },
  [718] = {
    [sym_line_comment] = STATE(718),
    [sym_block_comment] = STATE(718),
    [ts_builtin_sym_end] = ACTIONS(2713),
    [sym_identifier] = ACTIONS(2715),
    [anon_sym_SEMI] = ACTIONS(2713),
    [anon_sym_macro_rules_BANG] = ACTIONS(2713),
    [anon_sym_LPAREN] = ACTIONS(2713),
    [anon_sym_LBRACK] = ACTIONS(2713),
    [anon_sym_LBRACE] = ACTIONS(2713),
    [anon_sym_RBRACE] = ACTIONS(2713),
    [anon_sym_STAR] = ACTIONS(2713),
    [anon_sym_u8] = ACTIONS(2715),
    [anon_sym_i8] = ACTIONS(2715),
    [anon_sym_u16] = ACTIONS(2715),
    [anon_sym_i16] = ACTIONS(2715),
    [anon_sym_u32] = ACTIONS(2715),
    [anon_sym_i32] = ACTIONS(2715),
    [anon_sym_u64] = ACTIONS(2715),
    [anon_sym_i64] = ACTIONS(2715),
    [anon_sym_u128] = ACTIONS(2715),
    [anon_sym_i128] = ACTIONS(2715),
    [anon_sym_isize] = ACTIONS(2715),
    [anon_sym_usize] = ACTIONS(2715),
    [anon_sym_f32] = ACTIONS(2715),
    [anon_sym_f64] = ACTIONS(2715),
    [anon_sym_bool] = ACTIONS(2715),
    [anon_sym_str] = ACTIONS(2715),
    [anon_sym_char] = ACTIONS(2715),
    [anon_sym_DASH] = ACTIONS(2713),
    [anon_sym_BANG] = ACTIONS(2713),
    [anon_sym_AMP] = ACTIONS(2713),
    [anon_sym_PIPE] = ACTIONS(2713),
    [anon_sym_LT] = ACTIONS(2713),
    [anon_sym_DOT_DOT] = ACTIONS(2713),
    [anon_sym_COLON_COLON] = ACTIONS(2713),
    [anon_sym_POUND] = ACTIONS(2713),
    [anon_sym_SQUOTE] = ACTIONS(2715),
    [anon_sym_async] = ACTIONS(2715),
    [anon_sym_break] = ACTIONS(2715),
    [anon_sym_const] = ACTIONS(2715),
    [anon_sym_continue] = ACTIONS(2715),
    [anon_sym_default] = ACTIONS(2715),
    [anon_sym_enum] = ACTIONS(2715),
    [anon_sym_fn] = ACTIONS(2715),
    [anon_sym_for] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(2715),
    [anon_sym_impl] = ACTIONS(2715),
    [anon_sym_let] = ACTIONS(2715),
    [anon_sym_loop] = ACTIONS(2715),
    [anon_sym_match] = ACTIONS(2715),
    [anon_sym_mod] = ACTIONS(2715),
    [anon_sym_pub] = ACTIONS(2715),
    [anon_sym_return] = ACTIONS(2715),
    [anon_sym_static] = ACTIONS(2715),
    [anon_sym_struct] = ACTIONS(2715),
    [anon_sym_trait] = ACTIONS(2715),
    [anon_sym_type] = ACTIONS(2715),
    [anon_sym_union] = ACTIONS(2715),
    [anon_sym_unsafe] = ACTIONS(2715),
    [anon_sym_use] = ACTIONS(2715),
    [anon_sym_while] = ACTIONS(2715),
    [anon_sym_extern] = ACTIONS(2715),
    [anon_sym_yield] = ACTIONS(2715),
    [anon_sym_move] = ACTIONS(2715),
    [anon_sym_try] = ACTIONS(2715),
    [sym_integer_literal] = ACTIONS(2713),
    [aux_sym_string_literal_token1] = ACTIONS(2713),
    [sym_char_literal] = ACTIONS(2713),
    [anon_sym_true] = ACTIONS(2715),
    [anon_sym_false] = ACTIONS(2715),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2715),
    [sym_super] = ACTIONS(2715),
    [sym_crate] = ACTIONS(2715),
    [sym_metavariable] = ACTIONS(2713),
    [sym__raw_string_literal_start] = ACTIONS(2713),
    [sym_float_literal] = ACTIONS(2713),
  },
  [719] = {
    [sym_line_comment] = STATE(719),
    [sym_block_comment] = STATE(719),
    [ts_builtin_sym_end] = ACTIONS(2717),
    [sym_identifier] = ACTIONS(2719),
    [anon_sym_SEMI] = ACTIONS(2717),
    [anon_sym_macro_rules_BANG] = ACTIONS(2717),
    [anon_sym_LPAREN] = ACTIONS(2717),
    [anon_sym_LBRACK] = ACTIONS(2717),
    [anon_sym_LBRACE] = ACTIONS(2717),
    [anon_sym_RBRACE] = ACTIONS(2717),
    [anon_sym_STAR] = ACTIONS(2717),
    [anon_sym_u8] = ACTIONS(2719),
    [anon_sym_i8] = ACTIONS(2719),
    [anon_sym_u16] = ACTIONS(2719),
    [anon_sym_i16] = ACTIONS(2719),
    [anon_sym_u32] = ACTIONS(2719),
    [anon_sym_i32] = ACTIONS(2719),
    [anon_sym_u64] = ACTIONS(2719),
    [anon_sym_i64] = ACTIONS(2719),
    [anon_sym_u128] = ACTIONS(2719),
    [anon_sym_i128] = ACTIONS(2719),
    [anon_sym_isize] = ACTIONS(2719),
    [anon_sym_usize] = ACTIONS(2719),
    [anon_sym_f32] = ACTIONS(2719),
    [anon_sym_f64] = ACTIONS(2719),
    [anon_sym_bool] = ACTIONS(2719),
    [anon_sym_str] = ACTIONS(2719),
    [anon_sym_char] = ACTIONS(2719),
    [anon_sym_DASH] = ACTIONS(2717),
    [anon_sym_BANG] = ACTIONS(2717),
    [anon_sym_AMP] = ACTIONS(2717),
    [anon_sym_PIPE] = ACTIONS(2717),
    [anon_sym_LT] = ACTIONS(2717),
    [anon_sym_DOT_DOT] = ACTIONS(2717),
    [anon_sym_COLON_COLON] = ACTIONS(2717),
    [anon_sym_POUND] = ACTIONS(2717),
    [anon_sym_SQUOTE] = ACTIONS(2719),
    [anon_sym_async] = ACTIONS(2719),
    [anon_sym_break] = ACTIONS(2719),
    [anon_sym_const] = ACTIONS(2719),
    [anon_sym_continue] = ACTIONS(2719),
    [anon_sym_default] = ACTIONS(2719),
    [anon_sym_enum] = ACTIONS(2719),
    [anon_sym_fn] = ACTIONS(2719),
    [anon_sym_for] = ACTIONS(2719),
    [anon_sym_if] = ACTIONS(2719),
    [anon_sym_impl] = ACTIONS(2719),
    [anon_sym_let] = ACTIONS(2719),
    [anon_sym_loop] = ACTIONS(2719),
    [anon_sym_match] = ACTIONS(2719),
    [anon_sym_mod] = ACTIONS(2719),
    [anon_sym_pub] = ACTIONS(2719),
    [anon_sym_return] = ACTIONS(2719),
    [anon_sym_static] = ACTIONS(2719),
    [anon_sym_struct] = ACTIONS(2719),
    [anon_sym_trait] = ACTIONS(2719),
    [anon_sym_type] = ACTIONS(2719),
    [anon_sym_union] = ACTIONS(2719),
    [anon_sym_unsafe] = ACTIONS(2719),
    [anon_sym_use] = ACTIONS(2719),
    [anon_sym_while] = ACTIONS(2719),
    [anon_sym_extern] = ACTIONS(2719),
    [anon_sym_yield] = ACTIONS(2719),
    [anon_sym_move] = ACTIONS(2719),
    [anon_sym_try] = ACTIONS(2719),
    [sym_integer_literal] = ACTIONS(2717),
    [aux_sym_string_literal_token1] = ACTIONS(2717),
    [sym_char_literal] = ACTIONS(2717),
    [anon_sym_true] = ACTIONS(2719),
    [anon_sym_false] = ACTIONS(2719),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2719),
    [sym_super] = ACTIONS(2719),
    [sym_crate] = ACTIONS(2719),
    [sym_metavariable] = ACTIONS(2717),
    [sym__raw_string_literal_start] = ACTIONS(2717),
    [sym_float_literal] = ACTIONS(2717),
  },
  [720] = {
    [sym_line_comment] = STATE(720),
    [sym_block_comment] = STATE(720),
    [ts_builtin_sym_end] = ACTIONS(2721),
    [sym_identifier] = ACTIONS(2723),
    [anon_sym_SEMI] = ACTIONS(2721),
    [anon_sym_macro_rules_BANG] = ACTIONS(2721),
    [anon_sym_LPAREN] = ACTIONS(2721),
    [anon_sym_LBRACK] = ACTIONS(2721),
    [anon_sym_LBRACE] = ACTIONS(2721),
    [anon_sym_RBRACE] = ACTIONS(2721),
    [anon_sym_STAR] = ACTIONS(2721),
    [anon_sym_u8] = ACTIONS(2723),
    [anon_sym_i8] = ACTIONS(2723),
    [anon_sym_u16] = ACTIONS(2723),
    [anon_sym_i16] = ACTIONS(2723),
    [anon_sym_u32] = ACTIONS(2723),
    [anon_sym_i32] = ACTIONS(2723),
    [anon_sym_u64] = ACTIONS(2723),
    [anon_sym_i64] = ACTIONS(2723),
    [anon_sym_u128] = ACTIONS(2723),
    [anon_sym_i128] = ACTIONS(2723),
    [anon_sym_isize] = ACTIONS(2723),
    [anon_sym_usize] = ACTIONS(2723),
    [anon_sym_f32] = ACTIONS(2723),
    [anon_sym_f64] = ACTIONS(2723),
    [anon_sym_bool] = ACTIONS(2723),
    [anon_sym_str] = ACTIONS(2723),
    [anon_sym_char] = ACTIONS(2723),
    [anon_sym_DASH] = ACTIONS(2721),
    [anon_sym_BANG] = ACTIONS(2721),
    [anon_sym_AMP] = ACTIONS(2721),
    [anon_sym_PIPE] = ACTIONS(2721),
    [anon_sym_LT] = ACTIONS(2721),
    [anon_sym_DOT_DOT] = ACTIONS(2721),
    [anon_sym_COLON_COLON] = ACTIONS(2721),
    [anon_sym_POUND] = ACTIONS(2721),
    [anon_sym_SQUOTE] = ACTIONS(2723),
    [anon_sym_async] = ACTIONS(2723),
    [anon_sym_break] = ACTIONS(2723),
    [anon_sym_const] = ACTIONS(2723),
    [anon_sym_continue] = ACTIONS(2723),
    [anon_sym_default] = ACTIONS(2723),
    [anon_sym_enum] = ACTIONS(2723),
    [anon_sym_fn] = ACTIONS(2723),
    [anon_sym_for] = ACTIONS(2723),
    [anon_sym_if] = ACTIONS(2723),
    [anon_sym_impl] = ACTIONS(2723),
    [anon_sym_let] = ACTIONS(2723),
    [anon_sym_loop] = ACTIONS(2723),
    [anon_sym_match] = ACTIONS(2723),
    [anon_sym_mod] = ACTIONS(2723),
    [anon_sym_pub] = ACTIONS(2723),
    [anon_sym_return] = ACTIONS(2723),
    [anon_sym_static] = ACTIONS(2723),
    [anon_sym_struct] = ACTIONS(2723),
    [anon_sym_trait] = ACTIONS(2723),
    [anon_sym_type] = ACTIONS(2723),
    [anon_sym_union] = ACTIONS(2723),
    [anon_sym_unsafe] = ACTIONS(2723),
    [anon_sym_use] = ACTIONS(2723),
    [anon_sym_while] = ACTIONS(2723),
    [anon_sym_extern] = ACTIONS(2723),
    [anon_sym_yield] = ACTIONS(2723),
    [anon_sym_move] = ACTIONS(2723),
    [anon_sym_try] = ACTIONS(2723),
    [sym_integer_literal] = ACTIONS(2721),
    [aux_sym_string_literal_token1] = ACTIONS(2721),
    [sym_char_literal] = ACTIONS(2721),
    [anon_sym_true] = ACTIONS(2723),
    [anon_sym_false] = ACTIONS(2723),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2723),
    [sym_super] = ACTIONS(2723),
    [sym_crate] = ACTIONS(2723),
    [sym_metavariable] = ACTIONS(2721),
    [sym__raw_string_literal_start] = ACTIONS(2721),
    [sym_float_literal] = ACTIONS(2721),
  },
  [721] = {
    [sym_attribute_item] = STATE(1479),
    [sym_inner_attribute_item] = STATE(1479),
    [sym_bracketed_type] = STATE(3523),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3262),
    [sym_macro_invocation] = STATE(2877),
    [sym_scoped_identifier] = STATE(2130),
    [sym_scoped_type_identifier] = STATE(2908),
    [sym_match_arm] = STATE(1471),
    [sym_match_pattern] = STATE(3605),
    [sym_const_block] = STATE(2877),
    [sym__pattern] = STATE(2919),
    [sym_tuple_pattern] = STATE(2877),
    [sym_slice_pattern] = STATE(2877),
    [sym_tuple_struct_pattern] = STATE(2877),
    [sym_struct_pattern] = STATE(2877),
    [sym_remaining_field_pattern] = STATE(2877),
    [sym_mut_pattern] = STATE(2877),
    [sym_range_pattern] = STATE(2877),
    [sym_ref_pattern] = STATE(2877),
    [sym_captured_pattern] = STATE(2877),
    [sym_reference_pattern] = STATE(2877),
    [sym_or_pattern] = STATE(2877),
    [sym__literal_pattern] = STATE(2387),
    [sym_negative_literal] = STATE(2299),
    [sym_string_literal] = STATE(2299),
    [sym_raw_string_literal] = STATE(2299),
    [sym_boolean_literal] = STATE(2299),
    [sym_line_comment] = STATE(721),
    [sym_block_comment] = STATE(721),
    [aux_sym_match_block_repeat1] = STATE(721),
    [aux_sym_match_arm_repeat1] = STATE(758),
    [sym_identifier] = ACTIONS(2725),
    [anon_sym_LPAREN] = ACTIONS(2728),
    [anon_sym_LBRACK] = ACTIONS(2731),
    [anon_sym_u8] = ACTIONS(2734),
    [anon_sym_i8] = ACTIONS(2734),
    [anon_sym_u16] = ACTIONS(2734),
    [anon_sym_i16] = ACTIONS(2734),
    [anon_sym_u32] = ACTIONS(2734),
    [anon_sym_i32] = ACTIONS(2734),
    [anon_sym_u64] = ACTIONS(2734),
    [anon_sym_i64] = ACTIONS(2734),
    [anon_sym_u128] = ACTIONS(2734),
    [anon_sym_i128] = ACTIONS(2734),
    [anon_sym_isize] = ACTIONS(2734),
    [anon_sym_usize] = ACTIONS(2734),
    [anon_sym_f32] = ACTIONS(2734),
    [anon_sym_f64] = ACTIONS(2734),
    [anon_sym_bool] = ACTIONS(2734),
    [anon_sym_str] = ACTIONS(2734),
    [anon_sym_char] = ACTIONS(2734),
    [anon_sym_DASH] = ACTIONS(2737),
    [anon_sym_AMP] = ACTIONS(2740),
    [anon_sym_PIPE] = ACTIONS(2743),
    [anon_sym_LT] = ACTIONS(2746),
    [anon_sym__] = ACTIONS(2749),
    [anon_sym_DOT_DOT] = ACTIONS(2752),
    [anon_sym_COLON_COLON] = ACTIONS(2755),
    [anon_sym_POUND] = ACTIONS(2758),
    [anon_sym_const] = ACTIONS(2761),
    [anon_sym_default] = ACTIONS(2764),
    [anon_sym_union] = ACTIONS(2764),
    [anon_sym_ref] = ACTIONS(2767),
    [sym_mutable_specifier] = ACTIONS(2770),
    [sym_integer_literal] = ACTIONS(2773),
    [aux_sym_string_literal_token1] = ACTIONS(2776),
    [sym_char_literal] = ACTIONS(2773),
    [anon_sym_true] = ACTIONS(2779),
    [anon_sym_false] = ACTIONS(2779),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2782),
    [sym_super] = ACTIONS(2782),
    [sym_crate] = ACTIONS(2782),
    [sym_metavariable] = ACTIONS(2785),
    [sym__raw_string_literal_start] = ACTIONS(2788),
    [sym_float_literal] = ACTIONS(2773),
  },
  [722] = {
    [sym_line_comment] = STATE(722),
    [sym_block_comment] = STATE(722),
    [ts_builtin_sym_end] = ACTIONS(2791),
    [sym_identifier] = ACTIONS(2793),
    [anon_sym_SEMI] = ACTIONS(2791),
    [anon_sym_macro_rules_BANG] = ACTIONS(2791),
    [anon_sym_LPAREN] = ACTIONS(2791),
    [anon_sym_LBRACK] = ACTIONS(2791),
    [anon_sym_LBRACE] = ACTIONS(2791),
    [anon_sym_RBRACE] = ACTIONS(2791),
    [anon_sym_STAR] = ACTIONS(2791),
    [anon_sym_u8] = ACTIONS(2793),
    [anon_sym_i8] = ACTIONS(2793),
    [anon_sym_u16] = ACTIONS(2793),
    [anon_sym_i16] = ACTIONS(2793),
    [anon_sym_u32] = ACTIONS(2793),
    [anon_sym_i32] = ACTIONS(2793),
    [anon_sym_u64] = ACTIONS(2793),
    [anon_sym_i64] = ACTIONS(2793),
    [anon_sym_u128] = ACTIONS(2793),
    [anon_sym_i128] = ACTIONS(2793),
    [anon_sym_isize] = ACTIONS(2793),
    [anon_sym_usize] = ACTIONS(2793),
    [anon_sym_f32] = ACTIONS(2793),
    [anon_sym_f64] = ACTIONS(2793),
    [anon_sym_bool] = ACTIONS(2793),
    [anon_sym_str] = ACTIONS(2793),
    [anon_sym_char] = ACTIONS(2793),
    [anon_sym_DASH] = ACTIONS(2791),
    [anon_sym_BANG] = ACTIONS(2791),
    [anon_sym_AMP] = ACTIONS(2791),
    [anon_sym_PIPE] = ACTIONS(2791),
    [anon_sym_LT] = ACTIONS(2791),
    [anon_sym_DOT_DOT] = ACTIONS(2791),
    [anon_sym_COLON_COLON] = ACTIONS(2791),
    [anon_sym_POUND] = ACTIONS(2791),
    [anon_sym_SQUOTE] = ACTIONS(2793),
    [anon_sym_async] = ACTIONS(2793),
    [anon_sym_break] = ACTIONS(2793),
    [anon_sym_const] = ACTIONS(2793),
    [anon_sym_continue] = ACTIONS(2793),
    [anon_sym_default] = ACTIONS(2793),
    [anon_sym_enum] = ACTIONS(2793),
    [anon_sym_fn] = ACTIONS(2793),
    [anon_sym_for] = ACTIONS(2793),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_impl] = ACTIONS(2793),
    [anon_sym_let] = ACTIONS(2793),
    [anon_sym_loop] = ACTIONS(2793),
    [anon_sym_match] = ACTIONS(2793),
    [anon_sym_mod] = ACTIONS(2793),
    [anon_sym_pub] = ACTIONS(2793),
    [anon_sym_return] = ACTIONS(2793),
    [anon_sym_static] = ACTIONS(2793),
    [anon_sym_struct] = ACTIONS(2793),
    [anon_sym_trait] = ACTIONS(2793),
    [anon_sym_type] = ACTIONS(2793),
    [anon_sym_union] = ACTIONS(2793),
    [anon_sym_unsafe] = ACTIONS(2793),
    [anon_sym_use] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(2793),
    [anon_sym_extern] = ACTIONS(2793),
    [anon_sym_yield] = ACTIONS(2793),
    [anon_sym_move] = ACTIONS(2793),
    [anon_sym_try] = ACTIONS(2793),
    [sym_integer_literal] = ACTIONS(2791),
    [aux_sym_string_literal_token1] = ACTIONS(2791),
    [sym_char_literal] = ACTIONS(2791),
    [anon_sym_true] = ACTIONS(2793),
    [anon_sym_false] = ACTIONS(2793),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2793),
    [sym_super] = ACTIONS(2793),
    [sym_crate] = ACTIONS(2793),
    [sym_metavariable] = ACTIONS(2791),
    [sym__raw_string_literal_start] = ACTIONS(2791),
    [sym_float_literal] = ACTIONS(2791),
  },
  [723] = {
    [sym_line_comment] = STATE(723),
    [sym_block_comment] = STATE(723),
    [ts_builtin_sym_end] = ACTIONS(2795),
    [sym_identifier] = ACTIONS(2797),
    [anon_sym_SEMI] = ACTIONS(2795),
    [anon_sym_macro_rules_BANG] = ACTIONS(2795),
    [anon_sym_LPAREN] = ACTIONS(2795),
    [anon_sym_LBRACK] = ACTIONS(2795),
    [anon_sym_LBRACE] = ACTIONS(2795),
    [anon_sym_RBRACE] = ACTIONS(2795),
    [anon_sym_STAR] = ACTIONS(2795),
    [anon_sym_u8] = ACTIONS(2797),
    [anon_sym_i8] = ACTIONS(2797),
    [anon_sym_u16] = ACTIONS(2797),
    [anon_sym_i16] = ACTIONS(2797),
    [anon_sym_u32] = ACTIONS(2797),
    [anon_sym_i32] = ACTIONS(2797),
    [anon_sym_u64] = ACTIONS(2797),
    [anon_sym_i64] = ACTIONS(2797),
    [anon_sym_u128] = ACTIONS(2797),
    [anon_sym_i128] = ACTIONS(2797),
    [anon_sym_isize] = ACTIONS(2797),
    [anon_sym_usize] = ACTIONS(2797),
    [anon_sym_f32] = ACTIONS(2797),
    [anon_sym_f64] = ACTIONS(2797),
    [anon_sym_bool] = ACTIONS(2797),
    [anon_sym_str] = ACTIONS(2797),
    [anon_sym_char] = ACTIONS(2797),
    [anon_sym_DASH] = ACTIONS(2795),
    [anon_sym_BANG] = ACTIONS(2795),
    [anon_sym_AMP] = ACTIONS(2795),
    [anon_sym_PIPE] = ACTIONS(2795),
    [anon_sym_LT] = ACTIONS(2795),
    [anon_sym_DOT_DOT] = ACTIONS(2795),
    [anon_sym_COLON_COLON] = ACTIONS(2795),
    [anon_sym_POUND] = ACTIONS(2795),
    [anon_sym_SQUOTE] = ACTIONS(2797),
    [anon_sym_async] = ACTIONS(2797),
    [anon_sym_break] = ACTIONS(2797),
    [anon_sym_const] = ACTIONS(2797),
    [anon_sym_continue] = ACTIONS(2797),
    [anon_sym_default] = ACTIONS(2797),
    [anon_sym_enum] = ACTIONS(2797),
    [anon_sym_fn] = ACTIONS(2797),
    [anon_sym_for] = ACTIONS(2797),
    [anon_sym_if] = ACTIONS(2797),
    [anon_sym_impl] = ACTIONS(2797),
    [anon_sym_let] = ACTIONS(2797),
    [anon_sym_loop] = ACTIONS(2797),
    [anon_sym_match] = ACTIONS(2797),
    [anon_sym_mod] = ACTIONS(2797),
    [anon_sym_pub] = ACTIONS(2797),
    [anon_sym_return] = ACTIONS(2797),
    [anon_sym_static] = ACTIONS(2797),
    [anon_sym_struct] = ACTIONS(2797),
    [anon_sym_trait] = ACTIONS(2797),
    [anon_sym_type] = ACTIONS(2797),
    [anon_sym_union] = ACTIONS(2797),
    [anon_sym_unsafe] = ACTIONS(2797),
    [anon_sym_use] = ACTIONS(2797),
    [anon_sym_while] = ACTIONS(2797),
    [anon_sym_extern] = ACTIONS(2797),
    [anon_sym_yield] = ACTIONS(2797),
    [anon_sym_move] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2797),
    [sym_integer_literal] = ACTIONS(2795),
    [aux_sym_string_literal_token1] = ACTIONS(2795),
    [sym_char_literal] = ACTIONS(2795),
    [anon_sym_true] = ACTIONS(2797),
    [anon_sym_false] = ACTIONS(2797),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2797),
    [sym_super] = ACTIONS(2797),
    [sym_crate] = ACTIONS(2797),
    [sym_metavariable] = ACTIONS(2795),
    [sym__raw_string_literal_start] = ACTIONS(2795),
    [sym_float_literal] = ACTIONS(2795),
  },
  [724] = {
    [sym_line_comment] = STATE(724),
    [sym_block_comment] = STATE(724),
    [ts_builtin_sym_end] = ACTIONS(2799),
    [sym_identifier] = ACTIONS(2801),
    [anon_sym_SEMI] = ACTIONS(2799),
    [anon_sym_macro_rules_BANG] = ACTIONS(2799),
    [anon_sym_LPAREN] = ACTIONS(2799),
    [anon_sym_LBRACK] = ACTIONS(2799),
    [anon_sym_LBRACE] = ACTIONS(2799),
    [anon_sym_RBRACE] = ACTIONS(2799),
    [anon_sym_STAR] = ACTIONS(2799),
    [anon_sym_u8] = ACTIONS(2801),
    [anon_sym_i8] = ACTIONS(2801),
    [anon_sym_u16] = ACTIONS(2801),
    [anon_sym_i16] = ACTIONS(2801),
    [anon_sym_u32] = ACTIONS(2801),
    [anon_sym_i32] = ACTIONS(2801),
    [anon_sym_u64] = ACTIONS(2801),
    [anon_sym_i64] = ACTIONS(2801),
    [anon_sym_u128] = ACTIONS(2801),
    [anon_sym_i128] = ACTIONS(2801),
    [anon_sym_isize] = ACTIONS(2801),
    [anon_sym_usize] = ACTIONS(2801),
    [anon_sym_f32] = ACTIONS(2801),
    [anon_sym_f64] = ACTIONS(2801),
    [anon_sym_bool] = ACTIONS(2801),
    [anon_sym_str] = ACTIONS(2801),
    [anon_sym_char] = ACTIONS(2801),
    [anon_sym_DASH] = ACTIONS(2799),
    [anon_sym_BANG] = ACTIONS(2799),
    [anon_sym_AMP] = ACTIONS(2799),
    [anon_sym_PIPE] = ACTIONS(2799),
    [anon_sym_LT] = ACTIONS(2799),
    [anon_sym_DOT_DOT] = ACTIONS(2799),
    [anon_sym_COLON_COLON] = ACTIONS(2799),
    [anon_sym_POUND] = ACTIONS(2799),
    [anon_sym_SQUOTE] = ACTIONS(2801),
    [anon_sym_async] = ACTIONS(2801),
    [anon_sym_break] = ACTIONS(2801),
    [anon_sym_const] = ACTIONS(2801),
    [anon_sym_continue] = ACTIONS(2801),
    [anon_sym_default] = ACTIONS(2801),
    [anon_sym_enum] = ACTIONS(2801),
    [anon_sym_fn] = ACTIONS(2801),
    [anon_sym_for] = ACTIONS(2801),
    [anon_sym_if] = ACTIONS(2801),
    [anon_sym_impl] = ACTIONS(2801),
    [anon_sym_let] = ACTIONS(2801),
    [anon_sym_loop] = ACTIONS(2801),
    [anon_sym_match] = ACTIONS(2801),
    [anon_sym_mod] = ACTIONS(2801),
    [anon_sym_pub] = ACTIONS(2801),
    [anon_sym_return] = ACTIONS(2801),
    [anon_sym_static] = ACTIONS(2801),
    [anon_sym_struct] = ACTIONS(2801),
    [anon_sym_trait] = ACTIONS(2801),
    [anon_sym_type] = ACTIONS(2801),
    [anon_sym_union] = ACTIONS(2801),
    [anon_sym_unsafe] = ACTIONS(2801),
    [anon_sym_use] = ACTIONS(2801),
    [anon_sym_while] = ACTIONS(2801),
    [anon_sym_extern] = ACTIONS(2801),
    [anon_sym_yield] = ACTIONS(2801),
    [anon_sym_move] = ACTIONS(2801),
    [anon_sym_try] = ACTIONS(2801),
    [sym_integer_literal] = ACTIONS(2799),
    [aux_sym_string_literal_token1] = ACTIONS(2799),
    [sym_char_literal] = ACTIONS(2799),
    [anon_sym_true] = ACTIONS(2801),
    [anon_sym_false] = ACTIONS(2801),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2801),
    [sym_super] = ACTIONS(2801),
    [sym_crate] = ACTIONS(2801),
    [sym_metavariable] = ACTIONS(2799),
    [sym__raw_string_literal_start] = ACTIONS(2799),
    [sym_float_literal] = ACTIONS(2799),
  },
  [725] = {
    [sym_line_comment] = STATE(725),
    [sym_block_comment] = STATE(725),
    [ts_builtin_sym_end] = ACTIONS(2803),
    [sym_identifier] = ACTIONS(2805),
    [anon_sym_SEMI] = ACTIONS(2803),
    [anon_sym_macro_rules_BANG] = ACTIONS(2803),
    [anon_sym_LPAREN] = ACTIONS(2803),
    [anon_sym_LBRACK] = ACTIONS(2803),
    [anon_sym_LBRACE] = ACTIONS(2803),
    [anon_sym_RBRACE] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(2803),
    [anon_sym_u8] = ACTIONS(2805),
    [anon_sym_i8] = ACTIONS(2805),
    [anon_sym_u16] = ACTIONS(2805),
    [anon_sym_i16] = ACTIONS(2805),
    [anon_sym_u32] = ACTIONS(2805),
    [anon_sym_i32] = ACTIONS(2805),
    [anon_sym_u64] = ACTIONS(2805),
    [anon_sym_i64] = ACTIONS(2805),
    [anon_sym_u128] = ACTIONS(2805),
    [anon_sym_i128] = ACTIONS(2805),
    [anon_sym_isize] = ACTIONS(2805),
    [anon_sym_usize] = ACTIONS(2805),
    [anon_sym_f32] = ACTIONS(2805),
    [anon_sym_f64] = ACTIONS(2805),
    [anon_sym_bool] = ACTIONS(2805),
    [anon_sym_str] = ACTIONS(2805),
    [anon_sym_char] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_BANG] = ACTIONS(2803),
    [anon_sym_AMP] = ACTIONS(2803),
    [anon_sym_PIPE] = ACTIONS(2803),
    [anon_sym_LT] = ACTIONS(2803),
    [anon_sym_DOT_DOT] = ACTIONS(2803),
    [anon_sym_COLON_COLON] = ACTIONS(2803),
    [anon_sym_POUND] = ACTIONS(2803),
    [anon_sym_SQUOTE] = ACTIONS(2805),
    [anon_sym_async] = ACTIONS(2805),
    [anon_sym_break] = ACTIONS(2805),
    [anon_sym_const] = ACTIONS(2805),
    [anon_sym_continue] = ACTIONS(2805),
    [anon_sym_default] = ACTIONS(2805),
    [anon_sym_enum] = ACTIONS(2805),
    [anon_sym_fn] = ACTIONS(2805),
    [anon_sym_for] = ACTIONS(2805),
    [anon_sym_if] = ACTIONS(2805),
    [anon_sym_impl] = ACTIONS(2805),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_loop] = ACTIONS(2805),
    [anon_sym_match] = ACTIONS(2805),
    [anon_sym_mod] = ACTIONS(2805),
    [anon_sym_pub] = ACTIONS(2805),
    [anon_sym_return] = ACTIONS(2805),
    [anon_sym_static] = ACTIONS(2805),
    [anon_sym_struct] = ACTIONS(2805),
    [anon_sym_trait] = ACTIONS(2805),
    [anon_sym_type] = ACTIONS(2805),
    [anon_sym_union] = ACTIONS(2805),
    [anon_sym_unsafe] = ACTIONS(2805),
    [anon_sym_use] = ACTIONS(2805),
    [anon_sym_while] = ACTIONS(2805),
    [anon_sym_extern] = ACTIONS(2805),
    [anon_sym_yield] = ACTIONS(2805),
    [anon_sym_move] = ACTIONS(2805),
    [anon_sym_try] = ACTIONS(2805),
    [sym_integer_literal] = ACTIONS(2803),
    [aux_sym_string_literal_token1] = ACTIONS(2803),
    [sym_char_literal] = ACTIONS(2803),
    [anon_sym_true] = ACTIONS(2805),
    [anon_sym_false] = ACTIONS(2805),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2805),
    [sym_super] = ACTIONS(2805),
    [sym_crate] = ACTIONS(2805),
    [sym_metavariable] = ACTIONS(2803),
    [sym__raw_string_literal_start] = ACTIONS(2803),
    [sym_float_literal] = ACTIONS(2803),
  },
  [726] = {
    [sym_line_comment] = STATE(726),
    [sym_block_comment] = STATE(726),
    [ts_builtin_sym_end] = ACTIONS(2807),
    [sym_identifier] = ACTIONS(2809),
    [anon_sym_SEMI] = ACTIONS(2807),
    [anon_sym_macro_rules_BANG] = ACTIONS(2807),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2807),
    [anon_sym_LBRACE] = ACTIONS(2807),
    [anon_sym_RBRACE] = ACTIONS(2807),
    [anon_sym_STAR] = ACTIONS(2807),
    [anon_sym_u8] = ACTIONS(2809),
    [anon_sym_i8] = ACTIONS(2809),
    [anon_sym_u16] = ACTIONS(2809),
    [anon_sym_i16] = ACTIONS(2809),
    [anon_sym_u32] = ACTIONS(2809),
    [anon_sym_i32] = ACTIONS(2809),
    [anon_sym_u64] = ACTIONS(2809),
    [anon_sym_i64] = ACTIONS(2809),
    [anon_sym_u128] = ACTIONS(2809),
    [anon_sym_i128] = ACTIONS(2809),
    [anon_sym_isize] = ACTIONS(2809),
    [anon_sym_usize] = ACTIONS(2809),
    [anon_sym_f32] = ACTIONS(2809),
    [anon_sym_f64] = ACTIONS(2809),
    [anon_sym_bool] = ACTIONS(2809),
    [anon_sym_str] = ACTIONS(2809),
    [anon_sym_char] = ACTIONS(2809),
    [anon_sym_DASH] = ACTIONS(2807),
    [anon_sym_BANG] = ACTIONS(2807),
    [anon_sym_AMP] = ACTIONS(2807),
    [anon_sym_PIPE] = ACTIONS(2807),
    [anon_sym_LT] = ACTIONS(2807),
    [anon_sym_DOT_DOT] = ACTIONS(2807),
    [anon_sym_COLON_COLON] = ACTIONS(2807),
    [anon_sym_POUND] = ACTIONS(2807),
    [anon_sym_SQUOTE] = ACTIONS(2809),
    [anon_sym_async] = ACTIONS(2809),
    [anon_sym_break] = ACTIONS(2809),
    [anon_sym_const] = ACTIONS(2809),
    [anon_sym_continue] = ACTIONS(2809),
    [anon_sym_default] = ACTIONS(2809),
    [anon_sym_enum] = ACTIONS(2809),
    [anon_sym_fn] = ACTIONS(2809),
    [anon_sym_for] = ACTIONS(2809),
    [anon_sym_if] = ACTIONS(2809),
    [anon_sym_impl] = ACTIONS(2809),
    [anon_sym_let] = ACTIONS(2809),
    [anon_sym_loop] = ACTIONS(2809),
    [anon_sym_match] = ACTIONS(2809),
    [anon_sym_mod] = ACTIONS(2809),
    [anon_sym_pub] = ACTIONS(2809),
    [anon_sym_return] = ACTIONS(2809),
    [anon_sym_static] = ACTIONS(2809),
    [anon_sym_struct] = ACTIONS(2809),
    [anon_sym_trait] = ACTIONS(2809),
    [anon_sym_type] = ACTIONS(2809),
    [anon_sym_union] = ACTIONS(2809),
    [anon_sym_unsafe] = ACTIONS(2809),
    [anon_sym_use] = ACTIONS(2809),
    [anon_sym_while] = ACTIONS(2809),
    [anon_sym_extern] = ACTIONS(2809),
    [anon_sym_yield] = ACTIONS(2809),
    [anon_sym_move] = ACTIONS(2809),
    [anon_sym_try] = ACTIONS(2809),
    [sym_integer_literal] = ACTIONS(2807),
    [aux_sym_string_literal_token1] = ACTIONS(2807),
    [sym_char_literal] = ACTIONS(2807),
    [anon_sym_true] = ACTIONS(2809),
    [anon_sym_false] = ACTIONS(2809),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2809),
    [sym_super] = ACTIONS(2809),
    [sym_crate] = ACTIONS(2809),
    [sym_metavariable] = ACTIONS(2807),
    [sym__raw_string_literal_start] = ACTIONS(2807),
    [sym_float_literal] = ACTIONS(2807),
  },
  [727] = {
    [sym_line_comment] = STATE(727),
    [sym_block_comment] = STATE(727),
    [ts_builtin_sym_end] = ACTIONS(2811),
    [sym_identifier] = ACTIONS(2813),
    [anon_sym_SEMI] = ACTIONS(2811),
    [anon_sym_macro_rules_BANG] = ACTIONS(2811),
    [anon_sym_LPAREN] = ACTIONS(2811),
    [anon_sym_LBRACK] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2811),
    [anon_sym_RBRACE] = ACTIONS(2811),
    [anon_sym_STAR] = ACTIONS(2811),
    [anon_sym_u8] = ACTIONS(2813),
    [anon_sym_i8] = ACTIONS(2813),
    [anon_sym_u16] = ACTIONS(2813),
    [anon_sym_i16] = ACTIONS(2813),
    [anon_sym_u32] = ACTIONS(2813),
    [anon_sym_i32] = ACTIONS(2813),
    [anon_sym_u64] = ACTIONS(2813),
    [anon_sym_i64] = ACTIONS(2813),
    [anon_sym_u128] = ACTIONS(2813),
    [anon_sym_i128] = ACTIONS(2813),
    [anon_sym_isize] = ACTIONS(2813),
    [anon_sym_usize] = ACTIONS(2813),
    [anon_sym_f32] = ACTIONS(2813),
    [anon_sym_f64] = ACTIONS(2813),
    [anon_sym_bool] = ACTIONS(2813),
    [anon_sym_str] = ACTIONS(2813),
    [anon_sym_char] = ACTIONS(2813),
    [anon_sym_DASH] = ACTIONS(2811),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_AMP] = ACTIONS(2811),
    [anon_sym_PIPE] = ACTIONS(2811),
    [anon_sym_LT] = ACTIONS(2811),
    [anon_sym_DOT_DOT] = ACTIONS(2811),
    [anon_sym_COLON_COLON] = ACTIONS(2811),
    [anon_sym_POUND] = ACTIONS(2811),
    [anon_sym_SQUOTE] = ACTIONS(2813),
    [anon_sym_async] = ACTIONS(2813),
    [anon_sym_break] = ACTIONS(2813),
    [anon_sym_const] = ACTIONS(2813),
    [anon_sym_continue] = ACTIONS(2813),
    [anon_sym_default] = ACTIONS(2813),
    [anon_sym_enum] = ACTIONS(2813),
    [anon_sym_fn] = ACTIONS(2813),
    [anon_sym_for] = ACTIONS(2813),
    [anon_sym_if] = ACTIONS(2813),
    [anon_sym_impl] = ACTIONS(2813),
    [anon_sym_let] = ACTIONS(2813),
    [anon_sym_loop] = ACTIONS(2813),
    [anon_sym_match] = ACTIONS(2813),
    [anon_sym_mod] = ACTIONS(2813),
    [anon_sym_pub] = ACTIONS(2813),
    [anon_sym_return] = ACTIONS(2813),
    [anon_sym_static] = ACTIONS(2813),
    [anon_sym_struct] = ACTIONS(2813),
    [anon_sym_trait] = ACTIONS(2813),
    [anon_sym_type] = ACTIONS(2813),
    [anon_sym_union] = ACTIONS(2813),
    [anon_sym_unsafe] = ACTIONS(2813),
    [anon_sym_use] = ACTIONS(2813),
    [anon_sym_while] = ACTIONS(2813),
    [anon_sym_extern] = ACTIONS(2813),
    [anon_sym_yield] = ACTIONS(2813),
    [anon_sym_move] = ACTIONS(2813),
    [anon_sym_try] = ACTIONS(2813),
    [sym_integer_literal] = ACTIONS(2811),
    [aux_sym_string_literal_token1] = ACTIONS(2811),
    [sym_char_literal] = ACTIONS(2811),
    [anon_sym_true] = ACTIONS(2813),
    [anon_sym_false] = ACTIONS(2813),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2813),
    [sym_super] = ACTIONS(2813),
    [sym_crate] = ACTIONS(2813),
    [sym_metavariable] = ACTIONS(2811),
    [sym__raw_string_literal_start] = ACTIONS(2811),
    [sym_float_literal] = ACTIONS(2811),
  },
  [728] = {
    [sym_line_comment] = STATE(728),
    [sym_block_comment] = STATE(728),
    [ts_builtin_sym_end] = ACTIONS(2815),
    [sym_identifier] = ACTIONS(2817),
    [anon_sym_SEMI] = ACTIONS(2815),
    [anon_sym_macro_rules_BANG] = ACTIONS(2815),
    [anon_sym_LPAREN] = ACTIONS(2815),
    [anon_sym_LBRACK] = ACTIONS(2815),
    [anon_sym_LBRACE] = ACTIONS(2815),
    [anon_sym_RBRACE] = ACTIONS(2815),
    [anon_sym_STAR] = ACTIONS(2815),
    [anon_sym_u8] = ACTIONS(2817),
    [anon_sym_i8] = ACTIONS(2817),
    [anon_sym_u16] = ACTIONS(2817),
    [anon_sym_i16] = ACTIONS(2817),
    [anon_sym_u32] = ACTIONS(2817),
    [anon_sym_i32] = ACTIONS(2817),
    [anon_sym_u64] = ACTIONS(2817),
    [anon_sym_i64] = ACTIONS(2817),
    [anon_sym_u128] = ACTIONS(2817),
    [anon_sym_i128] = ACTIONS(2817),
    [anon_sym_isize] = ACTIONS(2817),
    [anon_sym_usize] = ACTIONS(2817),
    [anon_sym_f32] = ACTIONS(2817),
    [anon_sym_f64] = ACTIONS(2817),
    [anon_sym_bool] = ACTIONS(2817),
    [anon_sym_str] = ACTIONS(2817),
    [anon_sym_char] = ACTIONS(2817),
    [anon_sym_DASH] = ACTIONS(2815),
    [anon_sym_BANG] = ACTIONS(2815),
    [anon_sym_AMP] = ACTIONS(2815),
    [anon_sym_PIPE] = ACTIONS(2815),
    [anon_sym_LT] = ACTIONS(2815),
    [anon_sym_DOT_DOT] = ACTIONS(2815),
    [anon_sym_COLON_COLON] = ACTIONS(2815),
    [anon_sym_POUND] = ACTIONS(2815),
    [anon_sym_SQUOTE] = ACTIONS(2817),
    [anon_sym_async] = ACTIONS(2817),
    [anon_sym_break] = ACTIONS(2817),
    [anon_sym_const] = ACTIONS(2817),
    [anon_sym_continue] = ACTIONS(2817),
    [anon_sym_default] = ACTIONS(2817),
    [anon_sym_enum] = ACTIONS(2817),
    [anon_sym_fn] = ACTIONS(2817),
    [anon_sym_for] = ACTIONS(2817),
    [anon_sym_if] = ACTIONS(2817),
    [anon_sym_impl] = ACTIONS(2817),
    [anon_sym_let] = ACTIONS(2817),
    [anon_sym_loop] = ACTIONS(2817),
    [anon_sym_match] = ACTIONS(2817),
    [anon_sym_mod] = ACTIONS(2817),
    [anon_sym_pub] = ACTIONS(2817),
    [anon_sym_return] = ACTIONS(2817),
    [anon_sym_static] = ACTIONS(2817),
    [anon_sym_struct] = ACTIONS(2817),
    [anon_sym_trait] = ACTIONS(2817),
    [anon_sym_type] = ACTIONS(2817),
    [anon_sym_union] = ACTIONS(2817),
    [anon_sym_unsafe] = ACTIONS(2817),
    [anon_sym_use] = ACTIONS(2817),
    [anon_sym_while] = ACTIONS(2817),
    [anon_sym_extern] = ACTIONS(2817),
    [anon_sym_yield] = ACTIONS(2817),
    [anon_sym_move] = ACTIONS(2817),
    [anon_sym_try] = ACTIONS(2817),
    [sym_integer_literal] = ACTIONS(2815),
    [aux_sym_string_literal_token1] = ACTIONS(2815),
    [sym_char_literal] = ACTIONS(2815),
    [anon_sym_true] = ACTIONS(2817),
    [anon_sym_false] = ACTIONS(2817),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2817),
    [sym_super] = ACTIONS(2817),
    [sym_crate] = ACTIONS(2817),
    [sym_metavariable] = ACTIONS(2815),
    [sym__raw_string_literal_start] = ACTIONS(2815),
    [sym_float_literal] = ACTIONS(2815),
  },
  [729] = {
    [sym_line_comment] = STATE(729),
    [sym_block_comment] = STATE(729),
    [ts_builtin_sym_end] = ACTIONS(2819),
    [sym_identifier] = ACTIONS(2821),
    [anon_sym_SEMI] = ACTIONS(2819),
    [anon_sym_macro_rules_BANG] = ACTIONS(2819),
    [anon_sym_LPAREN] = ACTIONS(2819),
    [anon_sym_LBRACK] = ACTIONS(2819),
    [anon_sym_LBRACE] = ACTIONS(2819),
    [anon_sym_RBRACE] = ACTIONS(2819),
    [anon_sym_STAR] = ACTIONS(2819),
    [anon_sym_u8] = ACTIONS(2821),
    [anon_sym_i8] = ACTIONS(2821),
    [anon_sym_u16] = ACTIONS(2821),
    [anon_sym_i16] = ACTIONS(2821),
    [anon_sym_u32] = ACTIONS(2821),
    [anon_sym_i32] = ACTIONS(2821),
    [anon_sym_u64] = ACTIONS(2821),
    [anon_sym_i64] = ACTIONS(2821),
    [anon_sym_u128] = ACTIONS(2821),
    [anon_sym_i128] = ACTIONS(2821),
    [anon_sym_isize] = ACTIONS(2821),
    [anon_sym_usize] = ACTIONS(2821),
    [anon_sym_f32] = ACTIONS(2821),
    [anon_sym_f64] = ACTIONS(2821),
    [anon_sym_bool] = ACTIONS(2821),
    [anon_sym_str] = ACTIONS(2821),
    [anon_sym_char] = ACTIONS(2821),
    [anon_sym_DASH] = ACTIONS(2819),
    [anon_sym_BANG] = ACTIONS(2819),
    [anon_sym_AMP] = ACTIONS(2819),
    [anon_sym_PIPE] = ACTIONS(2819),
    [anon_sym_LT] = ACTIONS(2819),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_COLON_COLON] = ACTIONS(2819),
    [anon_sym_POUND] = ACTIONS(2819),
    [anon_sym_SQUOTE] = ACTIONS(2821),
    [anon_sym_async] = ACTIONS(2821),
    [anon_sym_break] = ACTIONS(2821),
    [anon_sym_const] = ACTIONS(2821),
    [anon_sym_continue] = ACTIONS(2821),
    [anon_sym_default] = ACTIONS(2821),
    [anon_sym_enum] = ACTIONS(2821),
    [anon_sym_fn] = ACTIONS(2821),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_impl] = ACTIONS(2821),
    [anon_sym_let] = ACTIONS(2821),
    [anon_sym_loop] = ACTIONS(2821),
    [anon_sym_match] = ACTIONS(2821),
    [anon_sym_mod] = ACTIONS(2821),
    [anon_sym_pub] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_struct] = ACTIONS(2821),
    [anon_sym_trait] = ACTIONS(2821),
    [anon_sym_type] = ACTIONS(2821),
    [anon_sym_union] = ACTIONS(2821),
    [anon_sym_unsafe] = ACTIONS(2821),
    [anon_sym_use] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_extern] = ACTIONS(2821),
    [anon_sym_yield] = ACTIONS(2821),
    [anon_sym_move] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [sym_integer_literal] = ACTIONS(2819),
    [aux_sym_string_literal_token1] = ACTIONS(2819),
    [sym_char_literal] = ACTIONS(2819),
    [anon_sym_true] = ACTIONS(2821),
    [anon_sym_false] = ACTIONS(2821),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2821),
    [sym_super] = ACTIONS(2821),
    [sym_crate] = ACTIONS(2821),
    [sym_metavariable] = ACTIONS(2819),
    [sym__raw_string_literal_start] = ACTIONS(2819),
    [sym_float_literal] = ACTIONS(2819),
  },
  [730] = {
    [sym_line_comment] = STATE(730),
    [sym_block_comment] = STATE(730),
    [ts_builtin_sym_end] = ACTIONS(2823),
    [sym_identifier] = ACTIONS(2825),
    [anon_sym_SEMI] = ACTIONS(2823),
    [anon_sym_macro_rules_BANG] = ACTIONS(2823),
    [anon_sym_LPAREN] = ACTIONS(2823),
    [anon_sym_LBRACK] = ACTIONS(2823),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_RBRACE] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_u8] = ACTIONS(2825),
    [anon_sym_i8] = ACTIONS(2825),
    [anon_sym_u16] = ACTIONS(2825),
    [anon_sym_i16] = ACTIONS(2825),
    [anon_sym_u32] = ACTIONS(2825),
    [anon_sym_i32] = ACTIONS(2825),
    [anon_sym_u64] = ACTIONS(2825),
    [anon_sym_i64] = ACTIONS(2825),
    [anon_sym_u128] = ACTIONS(2825),
    [anon_sym_i128] = ACTIONS(2825),
    [anon_sym_isize] = ACTIONS(2825),
    [anon_sym_usize] = ACTIONS(2825),
    [anon_sym_f32] = ACTIONS(2825),
    [anon_sym_f64] = ACTIONS(2825),
    [anon_sym_bool] = ACTIONS(2825),
    [anon_sym_str] = ACTIONS(2825),
    [anon_sym_char] = ACTIONS(2825),
    [anon_sym_DASH] = ACTIONS(2823),
    [anon_sym_BANG] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym_PIPE] = ACTIONS(2823),
    [anon_sym_LT] = ACTIONS(2823),
    [anon_sym_DOT_DOT] = ACTIONS(2823),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_POUND] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2825),
    [anon_sym_async] = ACTIONS(2825),
    [anon_sym_break] = ACTIONS(2825),
    [anon_sym_const] = ACTIONS(2825),
    [anon_sym_continue] = ACTIONS(2825),
    [anon_sym_default] = ACTIONS(2825),
    [anon_sym_enum] = ACTIONS(2825),
    [anon_sym_fn] = ACTIONS(2825),
    [anon_sym_for] = ACTIONS(2825),
    [anon_sym_if] = ACTIONS(2825),
    [anon_sym_impl] = ACTIONS(2825),
    [anon_sym_let] = ACTIONS(2825),
    [anon_sym_loop] = ACTIONS(2825),
    [anon_sym_match] = ACTIONS(2825),
    [anon_sym_mod] = ACTIONS(2825),
    [anon_sym_pub] = ACTIONS(2825),
    [anon_sym_return] = ACTIONS(2825),
    [anon_sym_static] = ACTIONS(2825),
    [anon_sym_struct] = ACTIONS(2825),
    [anon_sym_trait] = ACTIONS(2825),
    [anon_sym_type] = ACTIONS(2825),
    [anon_sym_union] = ACTIONS(2825),
    [anon_sym_unsafe] = ACTIONS(2825),
    [anon_sym_use] = ACTIONS(2825),
    [anon_sym_while] = ACTIONS(2825),
    [anon_sym_extern] = ACTIONS(2825),
    [anon_sym_yield] = ACTIONS(2825),
    [anon_sym_move] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2825),
    [sym_integer_literal] = ACTIONS(2823),
    [aux_sym_string_literal_token1] = ACTIONS(2823),
    [sym_char_literal] = ACTIONS(2823),
    [anon_sym_true] = ACTIONS(2825),
    [anon_sym_false] = ACTIONS(2825),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2825),
    [sym_super] = ACTIONS(2825),
    [sym_crate] = ACTIONS(2825),
    [sym_metavariable] = ACTIONS(2823),
    [sym__raw_string_literal_start] = ACTIONS(2823),
    [sym_float_literal] = ACTIONS(2823),
  },
  [731] = {
    [sym_line_comment] = STATE(731),
    [sym_block_comment] = STATE(731),
    [ts_builtin_sym_end] = ACTIONS(2827),
    [sym_identifier] = ACTIONS(2829),
    [anon_sym_SEMI] = ACTIONS(2827),
    [anon_sym_macro_rules_BANG] = ACTIONS(2827),
    [anon_sym_LPAREN] = ACTIONS(2827),
    [anon_sym_LBRACK] = ACTIONS(2827),
    [anon_sym_LBRACE] = ACTIONS(2827),
    [anon_sym_RBRACE] = ACTIONS(2827),
    [anon_sym_STAR] = ACTIONS(2827),
    [anon_sym_u8] = ACTIONS(2829),
    [anon_sym_i8] = ACTIONS(2829),
    [anon_sym_u16] = ACTIONS(2829),
    [anon_sym_i16] = ACTIONS(2829),
    [anon_sym_u32] = ACTIONS(2829),
    [anon_sym_i32] = ACTIONS(2829),
    [anon_sym_u64] = ACTIONS(2829),
    [anon_sym_i64] = ACTIONS(2829),
    [anon_sym_u128] = ACTIONS(2829),
    [anon_sym_i128] = ACTIONS(2829),
    [anon_sym_isize] = ACTIONS(2829),
    [anon_sym_usize] = ACTIONS(2829),
    [anon_sym_f32] = ACTIONS(2829),
    [anon_sym_f64] = ACTIONS(2829),
    [anon_sym_bool] = ACTIONS(2829),
    [anon_sym_str] = ACTIONS(2829),
    [anon_sym_char] = ACTIONS(2829),
    [anon_sym_DASH] = ACTIONS(2827),
    [anon_sym_BANG] = ACTIONS(2827),
    [anon_sym_AMP] = ACTIONS(2827),
    [anon_sym_PIPE] = ACTIONS(2827),
    [anon_sym_LT] = ACTIONS(2827),
    [anon_sym_DOT_DOT] = ACTIONS(2827),
    [anon_sym_COLON_COLON] = ACTIONS(2827),
    [anon_sym_POUND] = ACTIONS(2827),
    [anon_sym_SQUOTE] = ACTIONS(2829),
    [anon_sym_async] = ACTIONS(2829),
    [anon_sym_break] = ACTIONS(2829),
    [anon_sym_const] = ACTIONS(2829),
    [anon_sym_continue] = ACTIONS(2829),
    [anon_sym_default] = ACTIONS(2829),
    [anon_sym_enum] = ACTIONS(2829),
    [anon_sym_fn] = ACTIONS(2829),
    [anon_sym_for] = ACTIONS(2829),
    [anon_sym_if] = ACTIONS(2829),
    [anon_sym_impl] = ACTIONS(2829),
    [anon_sym_let] = ACTIONS(2829),
    [anon_sym_loop] = ACTIONS(2829),
    [anon_sym_match] = ACTIONS(2829),
    [anon_sym_mod] = ACTIONS(2829),
    [anon_sym_pub] = ACTIONS(2829),
    [anon_sym_return] = ACTIONS(2829),
    [anon_sym_static] = ACTIONS(2829),
    [anon_sym_struct] = ACTIONS(2829),
    [anon_sym_trait] = ACTIONS(2829),
    [anon_sym_type] = ACTIONS(2829),
    [anon_sym_union] = ACTIONS(2829),
    [anon_sym_unsafe] = ACTIONS(2829),
    [anon_sym_use] = ACTIONS(2829),
    [anon_sym_while] = ACTIONS(2829),
    [anon_sym_extern] = ACTIONS(2829),
    [anon_sym_yield] = ACTIONS(2829),
    [anon_sym_move] = ACTIONS(2829),
    [anon_sym_try] = ACTIONS(2829),
    [sym_integer_literal] = ACTIONS(2827),
    [aux_sym_string_literal_token1] = ACTIONS(2827),
    [sym_char_literal] = ACTIONS(2827),
    [anon_sym_true] = ACTIONS(2829),
    [anon_sym_false] = ACTIONS(2829),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2829),
    [sym_super] = ACTIONS(2829),
    [sym_crate] = ACTIONS(2829),
    [sym_metavariable] = ACTIONS(2827),
    [sym__raw_string_literal_start] = ACTIONS(2827),
    [sym_float_literal] = ACTIONS(2827),
  },
  [732] = {
    [sym_line_comment] = STATE(732),
    [sym_block_comment] = STATE(732),
    [ts_builtin_sym_end] = ACTIONS(2831),
    [sym_identifier] = ACTIONS(2833),
    [anon_sym_SEMI] = ACTIONS(2831),
    [anon_sym_macro_rules_BANG] = ACTIONS(2831),
    [anon_sym_LPAREN] = ACTIONS(2831),
    [anon_sym_LBRACK] = ACTIONS(2831),
    [anon_sym_LBRACE] = ACTIONS(2831),
    [anon_sym_RBRACE] = ACTIONS(2831),
    [anon_sym_STAR] = ACTIONS(2831),
    [anon_sym_u8] = ACTIONS(2833),
    [anon_sym_i8] = ACTIONS(2833),
    [anon_sym_u16] = ACTIONS(2833),
    [anon_sym_i16] = ACTIONS(2833),
    [anon_sym_u32] = ACTIONS(2833),
    [anon_sym_i32] = ACTIONS(2833),
    [anon_sym_u64] = ACTIONS(2833),
    [anon_sym_i64] = ACTIONS(2833),
    [anon_sym_u128] = ACTIONS(2833),
    [anon_sym_i128] = ACTIONS(2833),
    [anon_sym_isize] = ACTIONS(2833),
    [anon_sym_usize] = ACTIONS(2833),
    [anon_sym_f32] = ACTIONS(2833),
    [anon_sym_f64] = ACTIONS(2833),
    [anon_sym_bool] = ACTIONS(2833),
    [anon_sym_str] = ACTIONS(2833),
    [anon_sym_char] = ACTIONS(2833),
    [anon_sym_DASH] = ACTIONS(2831),
    [anon_sym_BANG] = ACTIONS(2831),
    [anon_sym_AMP] = ACTIONS(2831),
    [anon_sym_PIPE] = ACTIONS(2831),
    [anon_sym_LT] = ACTIONS(2831),
    [anon_sym_DOT_DOT] = ACTIONS(2831),
    [anon_sym_COLON_COLON] = ACTIONS(2831),
    [anon_sym_POUND] = ACTIONS(2831),
    [anon_sym_SQUOTE] = ACTIONS(2833),
    [anon_sym_async] = ACTIONS(2833),
    [anon_sym_break] = ACTIONS(2833),
    [anon_sym_const] = ACTIONS(2833),
    [anon_sym_continue] = ACTIONS(2833),
    [anon_sym_default] = ACTIONS(2833),
    [anon_sym_enum] = ACTIONS(2833),
    [anon_sym_fn] = ACTIONS(2833),
    [anon_sym_for] = ACTIONS(2833),
    [anon_sym_if] = ACTIONS(2833),
    [anon_sym_impl] = ACTIONS(2833),
    [anon_sym_let] = ACTIONS(2833),
    [anon_sym_loop] = ACTIONS(2833),
    [anon_sym_match] = ACTIONS(2833),
    [anon_sym_mod] = ACTIONS(2833),
    [anon_sym_pub] = ACTIONS(2833),
    [anon_sym_return] = ACTIONS(2833),
    [anon_sym_static] = ACTIONS(2833),
    [anon_sym_struct] = ACTIONS(2833),
    [anon_sym_trait] = ACTIONS(2833),
    [anon_sym_type] = ACTIONS(2833),
    [anon_sym_union] = ACTIONS(2833),
    [anon_sym_unsafe] = ACTIONS(2833),
    [anon_sym_use] = ACTIONS(2833),
    [anon_sym_while] = ACTIONS(2833),
    [anon_sym_extern] = ACTIONS(2833),
    [anon_sym_yield] = ACTIONS(2833),
    [anon_sym_move] = ACTIONS(2833),
    [anon_sym_try] = ACTIONS(2833),
    [sym_integer_literal] = ACTIONS(2831),
    [aux_sym_string_literal_token1] = ACTIONS(2831),
    [sym_char_literal] = ACTIONS(2831),
    [anon_sym_true] = ACTIONS(2833),
    [anon_sym_false] = ACTIONS(2833),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2833),
    [sym_super] = ACTIONS(2833),
    [sym_crate] = ACTIONS(2833),
    [sym_metavariable] = ACTIONS(2831),
    [sym__raw_string_literal_start] = ACTIONS(2831),
    [sym_float_literal] = ACTIONS(2831),
  },
  [733] = {
    [sym_line_comment] = STATE(733),
    [sym_block_comment] = STATE(733),
    [ts_builtin_sym_end] = ACTIONS(2835),
    [sym_identifier] = ACTIONS(2837),
    [anon_sym_SEMI] = ACTIONS(2835),
    [anon_sym_macro_rules_BANG] = ACTIONS(2835),
    [anon_sym_LPAREN] = ACTIONS(2835),
    [anon_sym_LBRACK] = ACTIONS(2835),
    [anon_sym_LBRACE] = ACTIONS(2835),
    [anon_sym_RBRACE] = ACTIONS(2835),
    [anon_sym_STAR] = ACTIONS(2835),
    [anon_sym_u8] = ACTIONS(2837),
    [anon_sym_i8] = ACTIONS(2837),
    [anon_sym_u16] = ACTIONS(2837),
    [anon_sym_i16] = ACTIONS(2837),
    [anon_sym_u32] = ACTIONS(2837),
    [anon_sym_i32] = ACTIONS(2837),
    [anon_sym_u64] = ACTIONS(2837),
    [anon_sym_i64] = ACTIONS(2837),
    [anon_sym_u128] = ACTIONS(2837),
    [anon_sym_i128] = ACTIONS(2837),
    [anon_sym_isize] = ACTIONS(2837),
    [anon_sym_usize] = ACTIONS(2837),
    [anon_sym_f32] = ACTIONS(2837),
    [anon_sym_f64] = ACTIONS(2837),
    [anon_sym_bool] = ACTIONS(2837),
    [anon_sym_str] = ACTIONS(2837),
    [anon_sym_char] = ACTIONS(2837),
    [anon_sym_DASH] = ACTIONS(2835),
    [anon_sym_BANG] = ACTIONS(2835),
    [anon_sym_AMP] = ACTIONS(2835),
    [anon_sym_PIPE] = ACTIONS(2835),
    [anon_sym_LT] = ACTIONS(2835),
    [anon_sym_DOT_DOT] = ACTIONS(2835),
    [anon_sym_COLON_COLON] = ACTIONS(2835),
    [anon_sym_POUND] = ACTIONS(2835),
    [anon_sym_SQUOTE] = ACTIONS(2837),
    [anon_sym_async] = ACTIONS(2837),
    [anon_sym_break] = ACTIONS(2837),
    [anon_sym_const] = ACTIONS(2837),
    [anon_sym_continue] = ACTIONS(2837),
    [anon_sym_default] = ACTIONS(2837),
    [anon_sym_enum] = ACTIONS(2837),
    [anon_sym_fn] = ACTIONS(2837),
    [anon_sym_for] = ACTIONS(2837),
    [anon_sym_if] = ACTIONS(2837),
    [anon_sym_impl] = ACTIONS(2837),
    [anon_sym_let] = ACTIONS(2837),
    [anon_sym_loop] = ACTIONS(2837),
    [anon_sym_match] = ACTIONS(2837),
    [anon_sym_mod] = ACTIONS(2837),
    [anon_sym_pub] = ACTIONS(2837),
    [anon_sym_return] = ACTIONS(2837),
    [anon_sym_static] = ACTIONS(2837),
    [anon_sym_struct] = ACTIONS(2837),
    [anon_sym_trait] = ACTIONS(2837),
    [anon_sym_type] = ACTIONS(2837),
    [anon_sym_union] = ACTIONS(2837),
    [anon_sym_unsafe] = ACTIONS(2837),
    [anon_sym_use] = ACTIONS(2837),
    [anon_sym_while] = ACTIONS(2837),
    [anon_sym_extern] = ACTIONS(2837),
    [anon_sym_yield] = ACTIONS(2837),
    [anon_sym_move] = ACTIONS(2837),
    [anon_sym_try] = ACTIONS(2837),
    [sym_integer_literal] = ACTIONS(2835),
    [aux_sym_string_literal_token1] = ACTIONS(2835),
    [sym_char_literal] = ACTIONS(2835),
    [anon_sym_true] = ACTIONS(2837),
    [anon_sym_false] = ACTIONS(2837),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2837),
    [sym_super] = ACTIONS(2837),
    [sym_crate] = ACTIONS(2837),
    [sym_metavariable] = ACTIONS(2835),
    [sym__raw_string_literal_start] = ACTIONS(2835),
    [sym_float_literal] = ACTIONS(2835),
  },
  [734] = {
    [sym_line_comment] = STATE(734),
    [sym_block_comment] = STATE(734),
    [ts_builtin_sym_end] = ACTIONS(2839),
    [sym_identifier] = ACTIONS(2841),
    [anon_sym_SEMI] = ACTIONS(2839),
    [anon_sym_macro_rules_BANG] = ACTIONS(2839),
    [anon_sym_LPAREN] = ACTIONS(2839),
    [anon_sym_LBRACK] = ACTIONS(2839),
    [anon_sym_LBRACE] = ACTIONS(2839),
    [anon_sym_RBRACE] = ACTIONS(2839),
    [anon_sym_STAR] = ACTIONS(2839),
    [anon_sym_u8] = ACTIONS(2841),
    [anon_sym_i8] = ACTIONS(2841),
    [anon_sym_u16] = ACTIONS(2841),
    [anon_sym_i16] = ACTIONS(2841),
    [anon_sym_u32] = ACTIONS(2841),
    [anon_sym_i32] = ACTIONS(2841),
    [anon_sym_u64] = ACTIONS(2841),
    [anon_sym_i64] = ACTIONS(2841),
    [anon_sym_u128] = ACTIONS(2841),
    [anon_sym_i128] = ACTIONS(2841),
    [anon_sym_isize] = ACTIONS(2841),
    [anon_sym_usize] = ACTIONS(2841),
    [anon_sym_f32] = ACTIONS(2841),
    [anon_sym_f64] = ACTIONS(2841),
    [anon_sym_bool] = ACTIONS(2841),
    [anon_sym_str] = ACTIONS(2841),
    [anon_sym_char] = ACTIONS(2841),
    [anon_sym_DASH] = ACTIONS(2839),
    [anon_sym_BANG] = ACTIONS(2839),
    [anon_sym_AMP] = ACTIONS(2839),
    [anon_sym_PIPE] = ACTIONS(2839),
    [anon_sym_LT] = ACTIONS(2839),
    [anon_sym_DOT_DOT] = ACTIONS(2839),
    [anon_sym_COLON_COLON] = ACTIONS(2839),
    [anon_sym_POUND] = ACTIONS(2839),
    [anon_sym_SQUOTE] = ACTIONS(2841),
    [anon_sym_async] = ACTIONS(2841),
    [anon_sym_break] = ACTIONS(2841),
    [anon_sym_const] = ACTIONS(2841),
    [anon_sym_continue] = ACTIONS(2841),
    [anon_sym_default] = ACTIONS(2841),
    [anon_sym_enum] = ACTIONS(2841),
    [anon_sym_fn] = ACTIONS(2841),
    [anon_sym_for] = ACTIONS(2841),
    [anon_sym_if] = ACTIONS(2841),
    [anon_sym_impl] = ACTIONS(2841),
    [anon_sym_let] = ACTIONS(2841),
    [anon_sym_loop] = ACTIONS(2841),
    [anon_sym_match] = ACTIONS(2841),
    [anon_sym_mod] = ACTIONS(2841),
    [anon_sym_pub] = ACTIONS(2841),
    [anon_sym_return] = ACTIONS(2841),
    [anon_sym_static] = ACTIONS(2841),
    [anon_sym_struct] = ACTIONS(2841),
    [anon_sym_trait] = ACTIONS(2841),
    [anon_sym_type] = ACTIONS(2841),
    [anon_sym_union] = ACTIONS(2841),
    [anon_sym_unsafe] = ACTIONS(2841),
    [anon_sym_use] = ACTIONS(2841),
    [anon_sym_while] = ACTIONS(2841),
    [anon_sym_extern] = ACTIONS(2841),
    [anon_sym_yield] = ACTIONS(2841),
    [anon_sym_move] = ACTIONS(2841),
    [anon_sym_try] = ACTIONS(2841),
    [sym_integer_literal] = ACTIONS(2839),
    [aux_sym_string_literal_token1] = ACTIONS(2839),
    [sym_char_literal] = ACTIONS(2839),
    [anon_sym_true] = ACTIONS(2841),
    [anon_sym_false] = ACTIONS(2841),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2841),
    [sym_super] = ACTIONS(2841),
    [sym_crate] = ACTIONS(2841),
    [sym_metavariable] = ACTIONS(2839),
    [sym__raw_string_literal_start] = ACTIONS(2839),
    [sym_float_literal] = ACTIONS(2839),
  },
  [735] = {
    [sym_line_comment] = STATE(735),
    [sym_block_comment] = STATE(735),
    [ts_builtin_sym_end] = ACTIONS(2843),
    [sym_identifier] = ACTIONS(2845),
    [anon_sym_SEMI] = ACTIONS(2843),
    [anon_sym_macro_rules_BANG] = ACTIONS(2843),
    [anon_sym_LPAREN] = ACTIONS(2843),
    [anon_sym_LBRACK] = ACTIONS(2843),
    [anon_sym_LBRACE] = ACTIONS(2843),
    [anon_sym_RBRACE] = ACTIONS(2843),
    [anon_sym_STAR] = ACTIONS(2843),
    [anon_sym_u8] = ACTIONS(2845),
    [anon_sym_i8] = ACTIONS(2845),
    [anon_sym_u16] = ACTIONS(2845),
    [anon_sym_i16] = ACTIONS(2845),
    [anon_sym_u32] = ACTIONS(2845),
    [anon_sym_i32] = ACTIONS(2845),
    [anon_sym_u64] = ACTIONS(2845),
    [anon_sym_i64] = ACTIONS(2845),
    [anon_sym_u128] = ACTIONS(2845),
    [anon_sym_i128] = ACTIONS(2845),
    [anon_sym_isize] = ACTIONS(2845),
    [anon_sym_usize] = ACTIONS(2845),
    [anon_sym_f32] = ACTIONS(2845),
    [anon_sym_f64] = ACTIONS(2845),
    [anon_sym_bool] = ACTIONS(2845),
    [anon_sym_str] = ACTIONS(2845),
    [anon_sym_char] = ACTIONS(2845),
    [anon_sym_DASH] = ACTIONS(2843),
    [anon_sym_BANG] = ACTIONS(2843),
    [anon_sym_AMP] = ACTIONS(2843),
    [anon_sym_PIPE] = ACTIONS(2843),
    [anon_sym_LT] = ACTIONS(2843),
    [anon_sym_DOT_DOT] = ACTIONS(2843),
    [anon_sym_COLON_COLON] = ACTIONS(2843),
    [anon_sym_POUND] = ACTIONS(2843),
    [anon_sym_SQUOTE] = ACTIONS(2845),
    [anon_sym_async] = ACTIONS(2845),
    [anon_sym_break] = ACTIONS(2845),
    [anon_sym_const] = ACTIONS(2845),
    [anon_sym_continue] = ACTIONS(2845),
    [anon_sym_default] = ACTIONS(2845),
    [anon_sym_enum] = ACTIONS(2845),
    [anon_sym_fn] = ACTIONS(2845),
    [anon_sym_for] = ACTIONS(2845),
    [anon_sym_if] = ACTIONS(2845),
    [anon_sym_impl] = ACTIONS(2845),
    [anon_sym_let] = ACTIONS(2845),
    [anon_sym_loop] = ACTIONS(2845),
    [anon_sym_match] = ACTIONS(2845),
    [anon_sym_mod] = ACTIONS(2845),
    [anon_sym_pub] = ACTIONS(2845),
    [anon_sym_return] = ACTIONS(2845),
    [anon_sym_static] = ACTIONS(2845),
    [anon_sym_struct] = ACTIONS(2845),
    [anon_sym_trait] = ACTIONS(2845),
    [anon_sym_type] = ACTIONS(2845),
    [anon_sym_union] = ACTIONS(2845),
    [anon_sym_unsafe] = ACTIONS(2845),
    [anon_sym_use] = ACTIONS(2845),
    [anon_sym_while] = ACTIONS(2845),
    [anon_sym_extern] = ACTIONS(2845),
    [anon_sym_yield] = ACTIONS(2845),
    [anon_sym_move] = ACTIONS(2845),
    [anon_sym_try] = ACTIONS(2845),
    [sym_integer_literal] = ACTIONS(2843),
    [aux_sym_string_literal_token1] = ACTIONS(2843),
    [sym_char_literal] = ACTIONS(2843),
    [anon_sym_true] = ACTIONS(2845),
    [anon_sym_false] = ACTIONS(2845),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2845),
    [sym_super] = ACTIONS(2845),
    [sym_crate] = ACTIONS(2845),
    [sym_metavariable] = ACTIONS(2843),
    [sym__raw_string_literal_start] = ACTIONS(2843),
    [sym_float_literal] = ACTIONS(2843),
  },
  [736] = {
    [sym_line_comment] = STATE(736),
    [sym_block_comment] = STATE(736),
    [ts_builtin_sym_end] = ACTIONS(2847),
    [sym_identifier] = ACTIONS(2849),
    [anon_sym_SEMI] = ACTIONS(2847),
    [anon_sym_macro_rules_BANG] = ACTIONS(2847),
    [anon_sym_LPAREN] = ACTIONS(2847),
    [anon_sym_LBRACK] = ACTIONS(2847),
    [anon_sym_LBRACE] = ACTIONS(2847),
    [anon_sym_RBRACE] = ACTIONS(2847),
    [anon_sym_STAR] = ACTIONS(2847),
    [anon_sym_u8] = ACTIONS(2849),
    [anon_sym_i8] = ACTIONS(2849),
    [anon_sym_u16] = ACTIONS(2849),
    [anon_sym_i16] = ACTIONS(2849),
    [anon_sym_u32] = ACTIONS(2849),
    [anon_sym_i32] = ACTIONS(2849),
    [anon_sym_u64] = ACTIONS(2849),
    [anon_sym_i64] = ACTIONS(2849),
    [anon_sym_u128] = ACTIONS(2849),
    [anon_sym_i128] = ACTIONS(2849),
    [anon_sym_isize] = ACTIONS(2849),
    [anon_sym_usize] = ACTIONS(2849),
    [anon_sym_f32] = ACTIONS(2849),
    [anon_sym_f64] = ACTIONS(2849),
    [anon_sym_bool] = ACTIONS(2849),
    [anon_sym_str] = ACTIONS(2849),
    [anon_sym_char] = ACTIONS(2849),
    [anon_sym_DASH] = ACTIONS(2847),
    [anon_sym_BANG] = ACTIONS(2847),
    [anon_sym_AMP] = ACTIONS(2847),
    [anon_sym_PIPE] = ACTIONS(2847),
    [anon_sym_LT] = ACTIONS(2847),
    [anon_sym_DOT_DOT] = ACTIONS(2847),
    [anon_sym_COLON_COLON] = ACTIONS(2847),
    [anon_sym_POUND] = ACTIONS(2847),
    [anon_sym_SQUOTE] = ACTIONS(2849),
    [anon_sym_async] = ACTIONS(2849),
    [anon_sym_break] = ACTIONS(2849),
    [anon_sym_const] = ACTIONS(2849),
    [anon_sym_continue] = ACTIONS(2849),
    [anon_sym_default] = ACTIONS(2849),
    [anon_sym_enum] = ACTIONS(2849),
    [anon_sym_fn] = ACTIONS(2849),
    [anon_sym_for] = ACTIONS(2849),
    [anon_sym_if] = ACTIONS(2849),
    [anon_sym_impl] = ACTIONS(2849),
    [anon_sym_let] = ACTIONS(2849),
    [anon_sym_loop] = ACTIONS(2849),
    [anon_sym_match] = ACTIONS(2849),
    [anon_sym_mod] = ACTIONS(2849),
    [anon_sym_pub] = ACTIONS(2849),
    [anon_sym_return] = ACTIONS(2849),
    [anon_sym_static] = ACTIONS(2849),
    [anon_sym_struct] = ACTIONS(2849),
    [anon_sym_trait] = ACTIONS(2849),
    [anon_sym_type] = ACTIONS(2849),
    [anon_sym_union] = ACTIONS(2849),
    [anon_sym_unsafe] = ACTIONS(2849),
    [anon_sym_use] = ACTIONS(2849),
    [anon_sym_while] = ACTIONS(2849),
    [anon_sym_extern] = ACTIONS(2849),
    [anon_sym_yield] = ACTIONS(2849),
    [anon_sym_move] = ACTIONS(2849),
    [anon_sym_try] = ACTIONS(2849),
    [sym_integer_literal] = ACTIONS(2847),
    [aux_sym_string_literal_token1] = ACTIONS(2847),
    [sym_char_literal] = ACTIONS(2847),
    [anon_sym_true] = ACTIONS(2849),
    [anon_sym_false] = ACTIONS(2849),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2849),
    [sym_super] = ACTIONS(2849),
    [sym_crate] = ACTIONS(2849),
    [sym_metavariable] = ACTIONS(2847),
    [sym__raw_string_literal_start] = ACTIONS(2847),
    [sym_float_literal] = ACTIONS(2847),
  },
  [737] = {
    [sym_line_comment] = STATE(737),
    [sym_block_comment] = STATE(737),
    [ts_builtin_sym_end] = ACTIONS(2851),
    [sym_identifier] = ACTIONS(2853),
    [anon_sym_SEMI] = ACTIONS(2851),
    [anon_sym_macro_rules_BANG] = ACTIONS(2851),
    [anon_sym_LPAREN] = ACTIONS(2851),
    [anon_sym_LBRACK] = ACTIONS(2851),
    [anon_sym_LBRACE] = ACTIONS(2851),
    [anon_sym_RBRACE] = ACTIONS(2851),
    [anon_sym_STAR] = ACTIONS(2851),
    [anon_sym_u8] = ACTIONS(2853),
    [anon_sym_i8] = ACTIONS(2853),
    [anon_sym_u16] = ACTIONS(2853),
    [anon_sym_i16] = ACTIONS(2853),
    [anon_sym_u32] = ACTIONS(2853),
    [anon_sym_i32] = ACTIONS(2853),
    [anon_sym_u64] = ACTIONS(2853),
    [anon_sym_i64] = ACTIONS(2853),
    [anon_sym_u128] = ACTIONS(2853),
    [anon_sym_i128] = ACTIONS(2853),
    [anon_sym_isize] = ACTIONS(2853),
    [anon_sym_usize] = ACTIONS(2853),
    [anon_sym_f32] = ACTIONS(2853),
    [anon_sym_f64] = ACTIONS(2853),
    [anon_sym_bool] = ACTIONS(2853),
    [anon_sym_str] = ACTIONS(2853),
    [anon_sym_char] = ACTIONS(2853),
    [anon_sym_DASH] = ACTIONS(2851),
    [anon_sym_BANG] = ACTIONS(2851),
    [anon_sym_AMP] = ACTIONS(2851),
    [anon_sym_PIPE] = ACTIONS(2851),
    [anon_sym_LT] = ACTIONS(2851),
    [anon_sym_DOT_DOT] = ACTIONS(2851),
    [anon_sym_COLON_COLON] = ACTIONS(2851),
    [anon_sym_POUND] = ACTIONS(2851),
    [anon_sym_SQUOTE] = ACTIONS(2853),
    [anon_sym_async] = ACTIONS(2853),
    [anon_sym_break] = ACTIONS(2853),
    [anon_sym_const] = ACTIONS(2853),
    [anon_sym_continue] = ACTIONS(2853),
    [anon_sym_default] = ACTIONS(2853),
    [anon_sym_enum] = ACTIONS(2853),
    [anon_sym_fn] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_impl] = ACTIONS(2853),
    [anon_sym_let] = ACTIONS(2853),
    [anon_sym_loop] = ACTIONS(2853),
    [anon_sym_match] = ACTIONS(2853),
    [anon_sym_mod] = ACTIONS(2853),
    [anon_sym_pub] = ACTIONS(2853),
    [anon_sym_return] = ACTIONS(2853),
    [anon_sym_static] = ACTIONS(2853),
    [anon_sym_struct] = ACTIONS(2853),
    [anon_sym_trait] = ACTIONS(2853),
    [anon_sym_type] = ACTIONS(2853),
    [anon_sym_union] = ACTIONS(2853),
    [anon_sym_unsafe] = ACTIONS(2853),
    [anon_sym_use] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(2853),
    [anon_sym_extern] = ACTIONS(2853),
    [anon_sym_yield] = ACTIONS(2853),
    [anon_sym_move] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2853),
    [sym_integer_literal] = ACTIONS(2851),
    [aux_sym_string_literal_token1] = ACTIONS(2851),
    [sym_char_literal] = ACTIONS(2851),
    [anon_sym_true] = ACTIONS(2853),
    [anon_sym_false] = ACTIONS(2853),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2853),
    [sym_super] = ACTIONS(2853),
    [sym_crate] = ACTIONS(2853),
    [sym_metavariable] = ACTIONS(2851),
    [sym__raw_string_literal_start] = ACTIONS(2851),
    [sym_float_literal] = ACTIONS(2851),
  },
  [738] = {
    [sym_line_comment] = STATE(738),
    [sym_block_comment] = STATE(738),
    [ts_builtin_sym_end] = ACTIONS(2855),
    [sym_identifier] = ACTIONS(2857),
    [anon_sym_SEMI] = ACTIONS(2855),
    [anon_sym_macro_rules_BANG] = ACTIONS(2855),
    [anon_sym_LPAREN] = ACTIONS(2855),
    [anon_sym_LBRACK] = ACTIONS(2855),
    [anon_sym_LBRACE] = ACTIONS(2855),
    [anon_sym_RBRACE] = ACTIONS(2855),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_u8] = ACTIONS(2857),
    [anon_sym_i8] = ACTIONS(2857),
    [anon_sym_u16] = ACTIONS(2857),
    [anon_sym_i16] = ACTIONS(2857),
    [anon_sym_u32] = ACTIONS(2857),
    [anon_sym_i32] = ACTIONS(2857),
    [anon_sym_u64] = ACTIONS(2857),
    [anon_sym_i64] = ACTIONS(2857),
    [anon_sym_u128] = ACTIONS(2857),
    [anon_sym_i128] = ACTIONS(2857),
    [anon_sym_isize] = ACTIONS(2857),
    [anon_sym_usize] = ACTIONS(2857),
    [anon_sym_f32] = ACTIONS(2857),
    [anon_sym_f64] = ACTIONS(2857),
    [anon_sym_bool] = ACTIONS(2857),
    [anon_sym_str] = ACTIONS(2857),
    [anon_sym_char] = ACTIONS(2857),
    [anon_sym_DASH] = ACTIONS(2855),
    [anon_sym_BANG] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_PIPE] = ACTIONS(2855),
    [anon_sym_LT] = ACTIONS(2855),
    [anon_sym_DOT_DOT] = ACTIONS(2855),
    [anon_sym_COLON_COLON] = ACTIONS(2855),
    [anon_sym_POUND] = ACTIONS(2855),
    [anon_sym_SQUOTE] = ACTIONS(2857),
    [anon_sym_async] = ACTIONS(2857),
    [anon_sym_break] = ACTIONS(2857),
    [anon_sym_const] = ACTIONS(2857),
    [anon_sym_continue] = ACTIONS(2857),
    [anon_sym_default] = ACTIONS(2857),
    [anon_sym_enum] = ACTIONS(2857),
    [anon_sym_fn] = ACTIONS(2857),
    [anon_sym_for] = ACTIONS(2857),
    [anon_sym_if] = ACTIONS(2857),
    [anon_sym_impl] = ACTIONS(2857),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_loop] = ACTIONS(2857),
    [anon_sym_match] = ACTIONS(2857),
    [anon_sym_mod] = ACTIONS(2857),
    [anon_sym_pub] = ACTIONS(2857),
    [anon_sym_return] = ACTIONS(2857),
    [anon_sym_static] = ACTIONS(2857),
    [anon_sym_struct] = ACTIONS(2857),
    [anon_sym_trait] = ACTIONS(2857),
    [anon_sym_type] = ACTIONS(2857),
    [anon_sym_union] = ACTIONS(2857),
    [anon_sym_unsafe] = ACTIONS(2857),
    [anon_sym_use] = ACTIONS(2857),
    [anon_sym_while] = ACTIONS(2857),
    [anon_sym_extern] = ACTIONS(2857),
    [anon_sym_yield] = ACTIONS(2857),
    [anon_sym_move] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2857),
    [sym_integer_literal] = ACTIONS(2855),
    [aux_sym_string_literal_token1] = ACTIONS(2855),
    [sym_char_literal] = ACTIONS(2855),
    [anon_sym_true] = ACTIONS(2857),
    [anon_sym_false] = ACTIONS(2857),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2857),
    [sym_super] = ACTIONS(2857),
    [sym_crate] = ACTIONS(2857),
    [sym_metavariable] = ACTIONS(2855),
    [sym__raw_string_literal_start] = ACTIONS(2855),
    [sym_float_literal] = ACTIONS(2855),
  },
  [739] = {
    [sym_line_comment] = STATE(739),
    [sym_block_comment] = STATE(739),
    [ts_builtin_sym_end] = ACTIONS(2859),
    [sym_identifier] = ACTIONS(2861),
    [anon_sym_SEMI] = ACTIONS(2859),
    [anon_sym_macro_rules_BANG] = ACTIONS(2859),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(2859),
    [anon_sym_RBRACE] = ACTIONS(2859),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_u8] = ACTIONS(2861),
    [anon_sym_i8] = ACTIONS(2861),
    [anon_sym_u16] = ACTIONS(2861),
    [anon_sym_i16] = ACTIONS(2861),
    [anon_sym_u32] = ACTIONS(2861),
    [anon_sym_i32] = ACTIONS(2861),
    [anon_sym_u64] = ACTIONS(2861),
    [anon_sym_i64] = ACTIONS(2861),
    [anon_sym_u128] = ACTIONS(2861),
    [anon_sym_i128] = ACTIONS(2861),
    [anon_sym_isize] = ACTIONS(2861),
    [anon_sym_usize] = ACTIONS(2861),
    [anon_sym_f32] = ACTIONS(2861),
    [anon_sym_f64] = ACTIONS(2861),
    [anon_sym_bool] = ACTIONS(2861),
    [anon_sym_str] = ACTIONS(2861),
    [anon_sym_char] = ACTIONS(2861),
    [anon_sym_DASH] = ACTIONS(2859),
    [anon_sym_BANG] = ACTIONS(2859),
    [anon_sym_AMP] = ACTIONS(2859),
    [anon_sym_PIPE] = ACTIONS(2859),
    [anon_sym_LT] = ACTIONS(2859),
    [anon_sym_DOT_DOT] = ACTIONS(2859),
    [anon_sym_COLON_COLON] = ACTIONS(2859),
    [anon_sym_POUND] = ACTIONS(2859),
    [anon_sym_SQUOTE] = ACTIONS(2861),
    [anon_sym_async] = ACTIONS(2861),
    [anon_sym_break] = ACTIONS(2861),
    [anon_sym_const] = ACTIONS(2861),
    [anon_sym_continue] = ACTIONS(2861),
    [anon_sym_default] = ACTIONS(2861),
    [anon_sym_enum] = ACTIONS(2861),
    [anon_sym_fn] = ACTIONS(2861),
    [anon_sym_for] = ACTIONS(2861),
    [anon_sym_if] = ACTIONS(2861),
    [anon_sym_impl] = ACTIONS(2861),
    [anon_sym_let] = ACTIONS(2861),
    [anon_sym_loop] = ACTIONS(2861),
    [anon_sym_match] = ACTIONS(2861),
    [anon_sym_mod] = ACTIONS(2861),
    [anon_sym_pub] = ACTIONS(2861),
    [anon_sym_return] = ACTIONS(2861),
    [anon_sym_static] = ACTIONS(2861),
    [anon_sym_struct] = ACTIONS(2861),
    [anon_sym_trait] = ACTIONS(2861),
    [anon_sym_type] = ACTIONS(2861),
    [anon_sym_union] = ACTIONS(2861),
    [anon_sym_unsafe] = ACTIONS(2861),
    [anon_sym_use] = ACTIONS(2861),
    [anon_sym_while] = ACTIONS(2861),
    [anon_sym_extern] = ACTIONS(2861),
    [anon_sym_yield] = ACTIONS(2861),
    [anon_sym_move] = ACTIONS(2861),
    [anon_sym_try] = ACTIONS(2861),
    [sym_integer_literal] = ACTIONS(2859),
    [aux_sym_string_literal_token1] = ACTIONS(2859),
    [sym_char_literal] = ACTIONS(2859),
    [anon_sym_true] = ACTIONS(2861),
    [anon_sym_false] = ACTIONS(2861),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2861),
    [sym_super] = ACTIONS(2861),
    [sym_crate] = ACTIONS(2861),
    [sym_metavariable] = ACTIONS(2859),
    [sym__raw_string_literal_start] = ACTIONS(2859),
    [sym_float_literal] = ACTIONS(2859),
  },
  [740] = {
    [sym_line_comment] = STATE(740),
    [sym_block_comment] = STATE(740),
    [ts_builtin_sym_end] = ACTIONS(2863),
    [sym_identifier] = ACTIONS(2865),
    [anon_sym_SEMI] = ACTIONS(2863),
    [anon_sym_macro_rules_BANG] = ACTIONS(2863),
    [anon_sym_LPAREN] = ACTIONS(2863),
    [anon_sym_LBRACK] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2863),
    [anon_sym_RBRACE] = ACTIONS(2863),
    [anon_sym_STAR] = ACTIONS(2863),
    [anon_sym_u8] = ACTIONS(2865),
    [anon_sym_i8] = ACTIONS(2865),
    [anon_sym_u16] = ACTIONS(2865),
    [anon_sym_i16] = ACTIONS(2865),
    [anon_sym_u32] = ACTIONS(2865),
    [anon_sym_i32] = ACTIONS(2865),
    [anon_sym_u64] = ACTIONS(2865),
    [anon_sym_i64] = ACTIONS(2865),
    [anon_sym_u128] = ACTIONS(2865),
    [anon_sym_i128] = ACTIONS(2865),
    [anon_sym_isize] = ACTIONS(2865),
    [anon_sym_usize] = ACTIONS(2865),
    [anon_sym_f32] = ACTIONS(2865),
    [anon_sym_f64] = ACTIONS(2865),
    [anon_sym_bool] = ACTIONS(2865),
    [anon_sym_str] = ACTIONS(2865),
    [anon_sym_char] = ACTIONS(2865),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_BANG] = ACTIONS(2863),
    [anon_sym_AMP] = ACTIONS(2863),
    [anon_sym_PIPE] = ACTIONS(2863),
    [anon_sym_LT] = ACTIONS(2863),
    [anon_sym_DOT_DOT] = ACTIONS(2863),
    [anon_sym_COLON_COLON] = ACTIONS(2863),
    [anon_sym_POUND] = ACTIONS(2863),
    [anon_sym_SQUOTE] = ACTIONS(2865),
    [anon_sym_async] = ACTIONS(2865),
    [anon_sym_break] = ACTIONS(2865),
    [anon_sym_const] = ACTIONS(2865),
    [anon_sym_continue] = ACTIONS(2865),
    [anon_sym_default] = ACTIONS(2865),
    [anon_sym_enum] = ACTIONS(2865),
    [anon_sym_fn] = ACTIONS(2865),
    [anon_sym_for] = ACTIONS(2865),
    [anon_sym_if] = ACTIONS(2865),
    [anon_sym_impl] = ACTIONS(2865),
    [anon_sym_let] = ACTIONS(2865),
    [anon_sym_loop] = ACTIONS(2865),
    [anon_sym_match] = ACTIONS(2865),
    [anon_sym_mod] = ACTIONS(2865),
    [anon_sym_pub] = ACTIONS(2865),
    [anon_sym_return] = ACTIONS(2865),
    [anon_sym_static] = ACTIONS(2865),
    [anon_sym_struct] = ACTIONS(2865),
    [anon_sym_trait] = ACTIONS(2865),
    [anon_sym_type] = ACTIONS(2865),
    [anon_sym_union] = ACTIONS(2865),
    [anon_sym_unsafe] = ACTIONS(2865),
    [anon_sym_use] = ACTIONS(2865),
    [anon_sym_while] = ACTIONS(2865),
    [anon_sym_extern] = ACTIONS(2865),
    [anon_sym_yield] = ACTIONS(2865),
    [anon_sym_move] = ACTIONS(2865),
    [anon_sym_try] = ACTIONS(2865),
    [sym_integer_literal] = ACTIONS(2863),
    [aux_sym_string_literal_token1] = ACTIONS(2863),
    [sym_char_literal] = ACTIONS(2863),
    [anon_sym_true] = ACTIONS(2865),
    [anon_sym_false] = ACTIONS(2865),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2865),
    [sym_super] = ACTIONS(2865),
    [sym_crate] = ACTIONS(2865),
    [sym_metavariable] = ACTIONS(2863),
    [sym__raw_string_literal_start] = ACTIONS(2863),
    [sym_float_literal] = ACTIONS(2863),
  },
  [741] = {
    [sym_line_comment] = STATE(741),
    [sym_block_comment] = STATE(741),
    [ts_builtin_sym_end] = ACTIONS(2867),
    [sym_identifier] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2867),
    [anon_sym_macro_rules_BANG] = ACTIONS(2867),
    [anon_sym_LPAREN] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2867),
    [anon_sym_RBRACE] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2867),
    [anon_sym_u8] = ACTIONS(2869),
    [anon_sym_i8] = ACTIONS(2869),
    [anon_sym_u16] = ACTIONS(2869),
    [anon_sym_i16] = ACTIONS(2869),
    [anon_sym_u32] = ACTIONS(2869),
    [anon_sym_i32] = ACTIONS(2869),
    [anon_sym_u64] = ACTIONS(2869),
    [anon_sym_i64] = ACTIONS(2869),
    [anon_sym_u128] = ACTIONS(2869),
    [anon_sym_i128] = ACTIONS(2869),
    [anon_sym_isize] = ACTIONS(2869),
    [anon_sym_usize] = ACTIONS(2869),
    [anon_sym_f32] = ACTIONS(2869),
    [anon_sym_f64] = ACTIONS(2869),
    [anon_sym_bool] = ACTIONS(2869),
    [anon_sym_str] = ACTIONS(2869),
    [anon_sym_char] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_BANG] = ACTIONS(2867),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_PIPE] = ACTIONS(2867),
    [anon_sym_LT] = ACTIONS(2867),
    [anon_sym_DOT_DOT] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2867),
    [anon_sym_POUND] = ACTIONS(2867),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_async] = ACTIONS(2869),
    [anon_sym_break] = ACTIONS(2869),
    [anon_sym_const] = ACTIONS(2869),
    [anon_sym_continue] = ACTIONS(2869),
    [anon_sym_default] = ACTIONS(2869),
    [anon_sym_enum] = ACTIONS(2869),
    [anon_sym_fn] = ACTIONS(2869),
    [anon_sym_for] = ACTIONS(2869),
    [anon_sym_if] = ACTIONS(2869),
    [anon_sym_impl] = ACTIONS(2869),
    [anon_sym_let] = ACTIONS(2869),
    [anon_sym_loop] = ACTIONS(2869),
    [anon_sym_match] = ACTIONS(2869),
    [anon_sym_mod] = ACTIONS(2869),
    [anon_sym_pub] = ACTIONS(2869),
    [anon_sym_return] = ACTIONS(2869),
    [anon_sym_static] = ACTIONS(2869),
    [anon_sym_struct] = ACTIONS(2869),
    [anon_sym_trait] = ACTIONS(2869),
    [anon_sym_type] = ACTIONS(2869),
    [anon_sym_union] = ACTIONS(2869),
    [anon_sym_unsafe] = ACTIONS(2869),
    [anon_sym_use] = ACTIONS(2869),
    [anon_sym_while] = ACTIONS(2869),
    [anon_sym_extern] = ACTIONS(2869),
    [anon_sym_yield] = ACTIONS(2869),
    [anon_sym_move] = ACTIONS(2869),
    [anon_sym_try] = ACTIONS(2869),
    [sym_integer_literal] = ACTIONS(2867),
    [aux_sym_string_literal_token1] = ACTIONS(2867),
    [sym_char_literal] = ACTIONS(2867),
    [anon_sym_true] = ACTIONS(2869),
    [anon_sym_false] = ACTIONS(2869),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2869),
    [sym_super] = ACTIONS(2869),
    [sym_crate] = ACTIONS(2869),
    [sym_metavariable] = ACTIONS(2867),
    [sym__raw_string_literal_start] = ACTIONS(2867),
    [sym_float_literal] = ACTIONS(2867),
  },
  [742] = {
    [sym_line_comment] = STATE(742),
    [sym_block_comment] = STATE(742),
    [ts_builtin_sym_end] = ACTIONS(2871),
    [sym_identifier] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2871),
    [anon_sym_macro_rules_BANG] = ACTIONS(2871),
    [anon_sym_LPAREN] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2871),
    [anon_sym_RBRACE] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2871),
    [anon_sym_u8] = ACTIONS(2873),
    [anon_sym_i8] = ACTIONS(2873),
    [anon_sym_u16] = ACTIONS(2873),
    [anon_sym_i16] = ACTIONS(2873),
    [anon_sym_u32] = ACTIONS(2873),
    [anon_sym_i32] = ACTIONS(2873),
    [anon_sym_u64] = ACTIONS(2873),
    [anon_sym_i64] = ACTIONS(2873),
    [anon_sym_u128] = ACTIONS(2873),
    [anon_sym_i128] = ACTIONS(2873),
    [anon_sym_isize] = ACTIONS(2873),
    [anon_sym_usize] = ACTIONS(2873),
    [anon_sym_f32] = ACTIONS(2873),
    [anon_sym_f64] = ACTIONS(2873),
    [anon_sym_bool] = ACTIONS(2873),
    [anon_sym_str] = ACTIONS(2873),
    [anon_sym_char] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_BANG] = ACTIONS(2871),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_PIPE] = ACTIONS(2871),
    [anon_sym_LT] = ACTIONS(2871),
    [anon_sym_DOT_DOT] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_POUND] = ACTIONS(2871),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_async] = ACTIONS(2873),
    [anon_sym_break] = ACTIONS(2873),
    [anon_sym_const] = ACTIONS(2873),
    [anon_sym_continue] = ACTIONS(2873),
    [anon_sym_default] = ACTIONS(2873),
    [anon_sym_enum] = ACTIONS(2873),
    [anon_sym_fn] = ACTIONS(2873),
    [anon_sym_for] = ACTIONS(2873),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_impl] = ACTIONS(2873),
    [anon_sym_let] = ACTIONS(2873),
    [anon_sym_loop] = ACTIONS(2873),
    [anon_sym_match] = ACTIONS(2873),
    [anon_sym_mod] = ACTIONS(2873),
    [anon_sym_pub] = ACTIONS(2873),
    [anon_sym_return] = ACTIONS(2873),
    [anon_sym_static] = ACTIONS(2873),
    [anon_sym_struct] = ACTIONS(2873),
    [anon_sym_trait] = ACTIONS(2873),
    [anon_sym_type] = ACTIONS(2873),
    [anon_sym_union] = ACTIONS(2873),
    [anon_sym_unsafe] = ACTIONS(2873),
    [anon_sym_use] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(2873),
    [anon_sym_extern] = ACTIONS(2873),
    [anon_sym_yield] = ACTIONS(2873),
    [anon_sym_move] = ACTIONS(2873),
    [anon_sym_try] = ACTIONS(2873),
    [sym_integer_literal] = ACTIONS(2871),
    [aux_sym_string_literal_token1] = ACTIONS(2871),
    [sym_char_literal] = ACTIONS(2871),
    [anon_sym_true] = ACTIONS(2873),
    [anon_sym_false] = ACTIONS(2873),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2873),
    [sym_super] = ACTIONS(2873),
    [sym_crate] = ACTIONS(2873),
    [sym_metavariable] = ACTIONS(2871),
    [sym__raw_string_literal_start] = ACTIONS(2871),
    [sym_float_literal] = ACTIONS(2871),
  },
  [743] = {
    [sym_line_comment] = STATE(743),
    [sym_block_comment] = STATE(743),
    [ts_builtin_sym_end] = ACTIONS(2875),
    [sym_identifier] = ACTIONS(2877),
    [anon_sym_SEMI] = ACTIONS(2875),
    [anon_sym_macro_rules_BANG] = ACTIONS(2875),
    [anon_sym_LPAREN] = ACTIONS(2875),
    [anon_sym_LBRACK] = ACTIONS(2875),
    [anon_sym_LBRACE] = ACTIONS(2875),
    [anon_sym_RBRACE] = ACTIONS(2875),
    [anon_sym_STAR] = ACTIONS(2875),
    [anon_sym_u8] = ACTIONS(2877),
    [anon_sym_i8] = ACTIONS(2877),
    [anon_sym_u16] = ACTIONS(2877),
    [anon_sym_i16] = ACTIONS(2877),
    [anon_sym_u32] = ACTIONS(2877),
    [anon_sym_i32] = ACTIONS(2877),
    [anon_sym_u64] = ACTIONS(2877),
    [anon_sym_i64] = ACTIONS(2877),
    [anon_sym_u128] = ACTIONS(2877),
    [anon_sym_i128] = ACTIONS(2877),
    [anon_sym_isize] = ACTIONS(2877),
    [anon_sym_usize] = ACTIONS(2877),
    [anon_sym_f32] = ACTIONS(2877),
    [anon_sym_f64] = ACTIONS(2877),
    [anon_sym_bool] = ACTIONS(2877),
    [anon_sym_str] = ACTIONS(2877),
    [anon_sym_char] = ACTIONS(2877),
    [anon_sym_DASH] = ACTIONS(2875),
    [anon_sym_BANG] = ACTIONS(2875),
    [anon_sym_AMP] = ACTIONS(2875),
    [anon_sym_PIPE] = ACTIONS(2875),
    [anon_sym_LT] = ACTIONS(2875),
    [anon_sym_DOT_DOT] = ACTIONS(2875),
    [anon_sym_COLON_COLON] = ACTIONS(2875),
    [anon_sym_POUND] = ACTIONS(2875),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_async] = ACTIONS(2877),
    [anon_sym_break] = ACTIONS(2877),
    [anon_sym_const] = ACTIONS(2877),
    [anon_sym_continue] = ACTIONS(2877),
    [anon_sym_default] = ACTIONS(2877),
    [anon_sym_enum] = ACTIONS(2877),
    [anon_sym_fn] = ACTIONS(2877),
    [anon_sym_for] = ACTIONS(2877),
    [anon_sym_if] = ACTIONS(2877),
    [anon_sym_impl] = ACTIONS(2877),
    [anon_sym_let] = ACTIONS(2877),
    [anon_sym_loop] = ACTIONS(2877),
    [anon_sym_match] = ACTIONS(2877),
    [anon_sym_mod] = ACTIONS(2877),
    [anon_sym_pub] = ACTIONS(2877),
    [anon_sym_return] = ACTIONS(2877),
    [anon_sym_static] = ACTIONS(2877),
    [anon_sym_struct] = ACTIONS(2877),
    [anon_sym_trait] = ACTIONS(2877),
    [anon_sym_type] = ACTIONS(2877),
    [anon_sym_union] = ACTIONS(2877),
    [anon_sym_unsafe] = ACTIONS(2877),
    [anon_sym_use] = ACTIONS(2877),
    [anon_sym_while] = ACTIONS(2877),
    [anon_sym_extern] = ACTIONS(2877),
    [anon_sym_yield] = ACTIONS(2877),
    [anon_sym_move] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2877),
    [sym_integer_literal] = ACTIONS(2875),
    [aux_sym_string_literal_token1] = ACTIONS(2875),
    [sym_char_literal] = ACTIONS(2875),
    [anon_sym_true] = ACTIONS(2877),
    [anon_sym_false] = ACTIONS(2877),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2877),
    [sym_super] = ACTIONS(2877),
    [sym_crate] = ACTIONS(2877),
    [sym_metavariable] = ACTIONS(2875),
    [sym__raw_string_literal_start] = ACTIONS(2875),
    [sym_float_literal] = ACTIONS(2875),
  },
  [744] = {
    [sym_line_comment] = STATE(744),
    [sym_block_comment] = STATE(744),
    [ts_builtin_sym_end] = ACTIONS(2879),
    [sym_identifier] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym_macro_rules_BANG] = ACTIONS(2879),
    [anon_sym_LPAREN] = ACTIONS(2879),
    [anon_sym_LBRACK] = ACTIONS(2879),
    [anon_sym_LBRACE] = ACTIONS(2879),
    [anon_sym_RBRACE] = ACTIONS(2879),
    [anon_sym_STAR] = ACTIONS(2879),
    [anon_sym_u8] = ACTIONS(2881),
    [anon_sym_i8] = ACTIONS(2881),
    [anon_sym_u16] = ACTIONS(2881),
    [anon_sym_i16] = ACTIONS(2881),
    [anon_sym_u32] = ACTIONS(2881),
    [anon_sym_i32] = ACTIONS(2881),
    [anon_sym_u64] = ACTIONS(2881),
    [anon_sym_i64] = ACTIONS(2881),
    [anon_sym_u128] = ACTIONS(2881),
    [anon_sym_i128] = ACTIONS(2881),
    [anon_sym_isize] = ACTIONS(2881),
    [anon_sym_usize] = ACTIONS(2881),
    [anon_sym_f32] = ACTIONS(2881),
    [anon_sym_f64] = ACTIONS(2881),
    [anon_sym_bool] = ACTIONS(2881),
    [anon_sym_str] = ACTIONS(2881),
    [anon_sym_char] = ACTIONS(2881),
    [anon_sym_DASH] = ACTIONS(2879),
    [anon_sym_BANG] = ACTIONS(2879),
    [anon_sym_AMP] = ACTIONS(2879),
    [anon_sym_PIPE] = ACTIONS(2879),
    [anon_sym_LT] = ACTIONS(2879),
    [anon_sym_DOT_DOT] = ACTIONS(2879),
    [anon_sym_COLON_COLON] = ACTIONS(2879),
    [anon_sym_POUND] = ACTIONS(2879),
    [anon_sym_SQUOTE] = ACTIONS(2881),
    [anon_sym_async] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_fn] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_impl] = ACTIONS(2881),
    [anon_sym_let] = ACTIONS(2881),
    [anon_sym_loop] = ACTIONS(2881),
    [anon_sym_match] = ACTIONS(2881),
    [anon_sym_mod] = ACTIONS(2881),
    [anon_sym_pub] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_trait] = ACTIONS(2881),
    [anon_sym_type] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_unsafe] = ACTIONS(2881),
    [anon_sym_use] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym_yield] = ACTIONS(2881),
    [anon_sym_move] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [sym_integer_literal] = ACTIONS(2879),
    [aux_sym_string_literal_token1] = ACTIONS(2879),
    [sym_char_literal] = ACTIONS(2879),
    [anon_sym_true] = ACTIONS(2881),
    [anon_sym_false] = ACTIONS(2881),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2881),
    [sym_super] = ACTIONS(2881),
    [sym_crate] = ACTIONS(2881),
    [sym_metavariable] = ACTIONS(2879),
    [sym__raw_string_literal_start] = ACTIONS(2879),
    [sym_float_literal] = ACTIONS(2879),
  },
  [745] = {
    [sym_line_comment] = STATE(745),
    [sym_block_comment] = STATE(745),
    [ts_builtin_sym_end] = ACTIONS(2883),
    [sym_identifier] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym_macro_rules_BANG] = ACTIONS(2883),
    [anon_sym_LPAREN] = ACTIONS(2883),
    [anon_sym_LBRACK] = ACTIONS(2883),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_RBRACE] = ACTIONS(2883),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_u8] = ACTIONS(2885),
    [anon_sym_i8] = ACTIONS(2885),
    [anon_sym_u16] = ACTIONS(2885),
    [anon_sym_i16] = ACTIONS(2885),
    [anon_sym_u32] = ACTIONS(2885),
    [anon_sym_i32] = ACTIONS(2885),
    [anon_sym_u64] = ACTIONS(2885),
    [anon_sym_i64] = ACTIONS(2885),
    [anon_sym_u128] = ACTIONS(2885),
    [anon_sym_i128] = ACTIONS(2885),
    [anon_sym_isize] = ACTIONS(2885),
    [anon_sym_usize] = ACTIONS(2885),
    [anon_sym_f32] = ACTIONS(2885),
    [anon_sym_f64] = ACTIONS(2885),
    [anon_sym_bool] = ACTIONS(2885),
    [anon_sym_str] = ACTIONS(2885),
    [anon_sym_char] = ACTIONS(2885),
    [anon_sym_DASH] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_PIPE] = ACTIONS(2883),
    [anon_sym_LT] = ACTIONS(2883),
    [anon_sym_DOT_DOT] = ACTIONS(2883),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_POUND] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2885),
    [anon_sym_async] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_fn] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_impl] = ACTIONS(2885),
    [anon_sym_let] = ACTIONS(2885),
    [anon_sym_loop] = ACTIONS(2885),
    [anon_sym_match] = ACTIONS(2885),
    [anon_sym_mod] = ACTIONS(2885),
    [anon_sym_pub] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_trait] = ACTIONS(2885),
    [anon_sym_type] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_unsafe] = ACTIONS(2885),
    [anon_sym_use] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym_yield] = ACTIONS(2885),
    [anon_sym_move] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [sym_integer_literal] = ACTIONS(2883),
    [aux_sym_string_literal_token1] = ACTIONS(2883),
    [sym_char_literal] = ACTIONS(2883),
    [anon_sym_true] = ACTIONS(2885),
    [anon_sym_false] = ACTIONS(2885),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2885),
    [sym_super] = ACTIONS(2885),
    [sym_crate] = ACTIONS(2885),
    [sym_metavariable] = ACTIONS(2883),
    [sym__raw_string_literal_start] = ACTIONS(2883),
    [sym_float_literal] = ACTIONS(2883),
  },
  [746] = {
    [sym_line_comment] = STATE(746),
    [sym_block_comment] = STATE(746),
    [ts_builtin_sym_end] = ACTIONS(2887),
    [sym_identifier] = ACTIONS(2889),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym_macro_rules_BANG] = ACTIONS(2887),
    [anon_sym_LPAREN] = ACTIONS(2887),
    [anon_sym_LBRACK] = ACTIONS(2887),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_u8] = ACTIONS(2889),
    [anon_sym_i8] = ACTIONS(2889),
    [anon_sym_u16] = ACTIONS(2889),
    [anon_sym_i16] = ACTIONS(2889),
    [anon_sym_u32] = ACTIONS(2889),
    [anon_sym_i32] = ACTIONS(2889),
    [anon_sym_u64] = ACTIONS(2889),
    [anon_sym_i64] = ACTIONS(2889),
    [anon_sym_u128] = ACTIONS(2889),
    [anon_sym_i128] = ACTIONS(2889),
    [anon_sym_isize] = ACTIONS(2889),
    [anon_sym_usize] = ACTIONS(2889),
    [anon_sym_f32] = ACTIONS(2889),
    [anon_sym_f64] = ACTIONS(2889),
    [anon_sym_bool] = ACTIONS(2889),
    [anon_sym_str] = ACTIONS(2889),
    [anon_sym_char] = ACTIONS(2889),
    [anon_sym_DASH] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_PIPE] = ACTIONS(2887),
    [anon_sym_LT] = ACTIONS(2887),
    [anon_sym_DOT_DOT] = ACTIONS(2887),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_POUND] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2889),
    [anon_sym_async] = ACTIONS(2889),
    [anon_sym_break] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_continue] = ACTIONS(2889),
    [anon_sym_default] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [anon_sym_fn] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_impl] = ACTIONS(2889),
    [anon_sym_let] = ACTIONS(2889),
    [anon_sym_loop] = ACTIONS(2889),
    [anon_sym_match] = ACTIONS(2889),
    [anon_sym_mod] = ACTIONS(2889),
    [anon_sym_pub] = ACTIONS(2889),
    [anon_sym_return] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_struct] = ACTIONS(2889),
    [anon_sym_trait] = ACTIONS(2889),
    [anon_sym_type] = ACTIONS(2889),
    [anon_sym_union] = ACTIONS(2889),
    [anon_sym_unsafe] = ACTIONS(2889),
    [anon_sym_use] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_extern] = ACTIONS(2889),
    [anon_sym_yield] = ACTIONS(2889),
    [anon_sym_move] = ACTIONS(2889),
    [anon_sym_try] = ACTIONS(2889),
    [sym_integer_literal] = ACTIONS(2887),
    [aux_sym_string_literal_token1] = ACTIONS(2887),
    [sym_char_literal] = ACTIONS(2887),
    [anon_sym_true] = ACTIONS(2889),
    [anon_sym_false] = ACTIONS(2889),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2889),
    [sym_super] = ACTIONS(2889),
    [sym_crate] = ACTIONS(2889),
    [sym_metavariable] = ACTIONS(2887),
    [sym__raw_string_literal_start] = ACTIONS(2887),
    [sym_float_literal] = ACTIONS(2887),
  },
  [747] = {
    [sym_line_comment] = STATE(747),
    [sym_block_comment] = STATE(747),
    [ts_builtin_sym_end] = ACTIONS(2891),
    [sym_identifier] = ACTIONS(2893),
    [anon_sym_SEMI] = ACTIONS(2891),
    [anon_sym_macro_rules_BANG] = ACTIONS(2891),
    [anon_sym_LPAREN] = ACTIONS(2891),
    [anon_sym_LBRACK] = ACTIONS(2891),
    [anon_sym_LBRACE] = ACTIONS(2891),
    [anon_sym_RBRACE] = ACTIONS(2891),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_u8] = ACTIONS(2893),
    [anon_sym_i8] = ACTIONS(2893),
    [anon_sym_u16] = ACTIONS(2893),
    [anon_sym_i16] = ACTIONS(2893),
    [anon_sym_u32] = ACTIONS(2893),
    [anon_sym_i32] = ACTIONS(2893),
    [anon_sym_u64] = ACTIONS(2893),
    [anon_sym_i64] = ACTIONS(2893),
    [anon_sym_u128] = ACTIONS(2893),
    [anon_sym_i128] = ACTIONS(2893),
    [anon_sym_isize] = ACTIONS(2893),
    [anon_sym_usize] = ACTIONS(2893),
    [anon_sym_f32] = ACTIONS(2893),
    [anon_sym_f64] = ACTIONS(2893),
    [anon_sym_bool] = ACTIONS(2893),
    [anon_sym_str] = ACTIONS(2893),
    [anon_sym_char] = ACTIONS(2893),
    [anon_sym_DASH] = ACTIONS(2891),
    [anon_sym_BANG] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2891),
    [anon_sym_PIPE] = ACTIONS(2891),
    [anon_sym_LT] = ACTIONS(2891),
    [anon_sym_DOT_DOT] = ACTIONS(2891),
    [anon_sym_COLON_COLON] = ACTIONS(2891),
    [anon_sym_POUND] = ACTIONS(2891),
    [anon_sym_SQUOTE] = ACTIONS(2893),
    [anon_sym_async] = ACTIONS(2893),
    [anon_sym_break] = ACTIONS(2893),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_continue] = ACTIONS(2893),
    [anon_sym_default] = ACTIONS(2893),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_fn] = ACTIONS(2893),
    [anon_sym_for] = ACTIONS(2893),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_impl] = ACTIONS(2893),
    [anon_sym_let] = ACTIONS(2893),
    [anon_sym_loop] = ACTIONS(2893),
    [anon_sym_match] = ACTIONS(2893),
    [anon_sym_mod] = ACTIONS(2893),
    [anon_sym_pub] = ACTIONS(2893),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_static] = ACTIONS(2893),
    [anon_sym_struct] = ACTIONS(2893),
    [anon_sym_trait] = ACTIONS(2893),
    [anon_sym_type] = ACTIONS(2893),
    [anon_sym_union] = ACTIONS(2893),
    [anon_sym_unsafe] = ACTIONS(2893),
    [anon_sym_use] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(2893),
    [anon_sym_extern] = ACTIONS(2893),
    [anon_sym_yield] = ACTIONS(2893),
    [anon_sym_move] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2893),
    [sym_integer_literal] = ACTIONS(2891),
    [aux_sym_string_literal_token1] = ACTIONS(2891),
    [sym_char_literal] = ACTIONS(2891),
    [anon_sym_true] = ACTIONS(2893),
    [anon_sym_false] = ACTIONS(2893),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2893),
    [sym_super] = ACTIONS(2893),
    [sym_crate] = ACTIONS(2893),
    [sym_metavariable] = ACTIONS(2891),
    [sym__raw_string_literal_start] = ACTIONS(2891),
    [sym_float_literal] = ACTIONS(2891),
  },
  [748] = {
    [sym_line_comment] = STATE(748),
    [sym_block_comment] = STATE(748),
    [ts_builtin_sym_end] = ACTIONS(2895),
    [sym_identifier] = ACTIONS(2897),
    [anon_sym_SEMI] = ACTIONS(2895),
    [anon_sym_macro_rules_BANG] = ACTIONS(2895),
    [anon_sym_LPAREN] = ACTIONS(2895),
    [anon_sym_LBRACK] = ACTIONS(2895),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_RBRACE] = ACTIONS(2895),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_u8] = ACTIONS(2897),
    [anon_sym_i8] = ACTIONS(2897),
    [anon_sym_u16] = ACTIONS(2897),
    [anon_sym_i16] = ACTIONS(2897),
    [anon_sym_u32] = ACTIONS(2897),
    [anon_sym_i32] = ACTIONS(2897),
    [anon_sym_u64] = ACTIONS(2897),
    [anon_sym_i64] = ACTIONS(2897),
    [anon_sym_u128] = ACTIONS(2897),
    [anon_sym_i128] = ACTIONS(2897),
    [anon_sym_isize] = ACTIONS(2897),
    [anon_sym_usize] = ACTIONS(2897),
    [anon_sym_f32] = ACTIONS(2897),
    [anon_sym_f64] = ACTIONS(2897),
    [anon_sym_bool] = ACTIONS(2897),
    [anon_sym_str] = ACTIONS(2897),
    [anon_sym_char] = ACTIONS(2897),
    [anon_sym_DASH] = ACTIONS(2895),
    [anon_sym_BANG] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_PIPE] = ACTIONS(2895),
    [anon_sym_LT] = ACTIONS(2895),
    [anon_sym_DOT_DOT] = ACTIONS(2895),
    [anon_sym_COLON_COLON] = ACTIONS(2895),
    [anon_sym_POUND] = ACTIONS(2895),
    [anon_sym_SQUOTE] = ACTIONS(2897),
    [anon_sym_async] = ACTIONS(2897),
    [anon_sym_break] = ACTIONS(2897),
    [anon_sym_const] = ACTIONS(2897),
    [anon_sym_continue] = ACTIONS(2897),
    [anon_sym_default] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(2897),
    [anon_sym_fn] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_impl] = ACTIONS(2897),
    [anon_sym_let] = ACTIONS(2897),
    [anon_sym_loop] = ACTIONS(2897),
    [anon_sym_match] = ACTIONS(2897),
    [anon_sym_mod] = ACTIONS(2897),
    [anon_sym_pub] = ACTIONS(2897),
    [anon_sym_return] = ACTIONS(2897),
    [anon_sym_static] = ACTIONS(2897),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_trait] = ACTIONS(2897),
    [anon_sym_type] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2897),
    [anon_sym_unsafe] = ACTIONS(2897),
    [anon_sym_use] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_extern] = ACTIONS(2897),
    [anon_sym_yield] = ACTIONS(2897),
    [anon_sym_move] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2897),
    [sym_integer_literal] = ACTIONS(2895),
    [aux_sym_string_literal_token1] = ACTIONS(2895),
    [sym_char_literal] = ACTIONS(2895),
    [anon_sym_true] = ACTIONS(2897),
    [anon_sym_false] = ACTIONS(2897),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2897),
    [sym_super] = ACTIONS(2897),
    [sym_crate] = ACTIONS(2897),
    [sym_metavariable] = ACTIONS(2895),
    [sym__raw_string_literal_start] = ACTIONS(2895),
    [sym_float_literal] = ACTIONS(2895),
  },
  [749] = {
    [sym_line_comment] = STATE(749),
    [sym_block_comment] = STATE(749),
    [ts_builtin_sym_end] = ACTIONS(2899),
    [sym_identifier] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2899),
    [anon_sym_macro_rules_BANG] = ACTIONS(2899),
    [anon_sym_LPAREN] = ACTIONS(2899),
    [anon_sym_LBRACK] = ACTIONS(2899),
    [anon_sym_LBRACE] = ACTIONS(2899),
    [anon_sym_RBRACE] = ACTIONS(2899),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_u8] = ACTIONS(2901),
    [anon_sym_i8] = ACTIONS(2901),
    [anon_sym_u16] = ACTIONS(2901),
    [anon_sym_i16] = ACTIONS(2901),
    [anon_sym_u32] = ACTIONS(2901),
    [anon_sym_i32] = ACTIONS(2901),
    [anon_sym_u64] = ACTIONS(2901),
    [anon_sym_i64] = ACTIONS(2901),
    [anon_sym_u128] = ACTIONS(2901),
    [anon_sym_i128] = ACTIONS(2901),
    [anon_sym_isize] = ACTIONS(2901),
    [anon_sym_usize] = ACTIONS(2901),
    [anon_sym_f32] = ACTIONS(2901),
    [anon_sym_f64] = ACTIONS(2901),
    [anon_sym_bool] = ACTIONS(2901),
    [anon_sym_str] = ACTIONS(2901),
    [anon_sym_char] = ACTIONS(2901),
    [anon_sym_DASH] = ACTIONS(2899),
    [anon_sym_BANG] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_PIPE] = ACTIONS(2899),
    [anon_sym_LT] = ACTIONS(2899),
    [anon_sym_DOT_DOT] = ACTIONS(2899),
    [anon_sym_COLON_COLON] = ACTIONS(2899),
    [anon_sym_POUND] = ACTIONS(2899),
    [anon_sym_SQUOTE] = ACTIONS(2901),
    [anon_sym_async] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_default] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_fn] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_impl] = ACTIONS(2901),
    [anon_sym_let] = ACTIONS(2901),
    [anon_sym_loop] = ACTIONS(2901),
    [anon_sym_match] = ACTIONS(2901),
    [anon_sym_mod] = ACTIONS(2901),
    [anon_sym_pub] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_trait] = ACTIONS(2901),
    [anon_sym_type] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_unsafe] = ACTIONS(2901),
    [anon_sym_use] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym_yield] = ACTIONS(2901),
    [anon_sym_move] = ACTIONS(2901),
    [anon_sym_try] = ACTIONS(2901),
    [sym_integer_literal] = ACTIONS(2899),
    [aux_sym_string_literal_token1] = ACTIONS(2899),
    [sym_char_literal] = ACTIONS(2899),
    [anon_sym_true] = ACTIONS(2901),
    [anon_sym_false] = ACTIONS(2901),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2901),
    [sym_super] = ACTIONS(2901),
    [sym_crate] = ACTIONS(2901),
    [sym_metavariable] = ACTIONS(2899),
    [sym__raw_string_literal_start] = ACTIONS(2899),
    [sym_float_literal] = ACTIONS(2899),
  },
  [750] = {
    [sym_line_comment] = STATE(750),
    [sym_block_comment] = STATE(750),
    [ts_builtin_sym_end] = ACTIONS(2903),
    [sym_identifier] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym_macro_rules_BANG] = ACTIONS(2903),
    [anon_sym_LPAREN] = ACTIONS(2903),
    [anon_sym_LBRACK] = ACTIONS(2903),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_RBRACE] = ACTIONS(2903),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_u8] = ACTIONS(2905),
    [anon_sym_i8] = ACTIONS(2905),
    [anon_sym_u16] = ACTIONS(2905),
    [anon_sym_i16] = ACTIONS(2905),
    [anon_sym_u32] = ACTIONS(2905),
    [anon_sym_i32] = ACTIONS(2905),
    [anon_sym_u64] = ACTIONS(2905),
    [anon_sym_i64] = ACTIONS(2905),
    [anon_sym_u128] = ACTIONS(2905),
    [anon_sym_i128] = ACTIONS(2905),
    [anon_sym_isize] = ACTIONS(2905),
    [anon_sym_usize] = ACTIONS(2905),
    [anon_sym_f32] = ACTIONS(2905),
    [anon_sym_f64] = ACTIONS(2905),
    [anon_sym_bool] = ACTIONS(2905),
    [anon_sym_str] = ACTIONS(2905),
    [anon_sym_char] = ACTIONS(2905),
    [anon_sym_DASH] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2903),
    [anon_sym_PIPE] = ACTIONS(2903),
    [anon_sym_LT] = ACTIONS(2903),
    [anon_sym_DOT_DOT] = ACTIONS(2903),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_POUND] = ACTIONS(2903),
    [anon_sym_SQUOTE] = ACTIONS(2905),
    [anon_sym_async] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_fn] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_impl] = ACTIONS(2905),
    [anon_sym_let] = ACTIONS(2905),
    [anon_sym_loop] = ACTIONS(2905),
    [anon_sym_match] = ACTIONS(2905),
    [anon_sym_mod] = ACTIONS(2905),
    [anon_sym_pub] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_trait] = ACTIONS(2905),
    [anon_sym_type] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_unsafe] = ACTIONS(2905),
    [anon_sym_use] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym_yield] = ACTIONS(2905),
    [anon_sym_move] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [sym_integer_literal] = ACTIONS(2903),
    [aux_sym_string_literal_token1] = ACTIONS(2903),
    [sym_char_literal] = ACTIONS(2903),
    [anon_sym_true] = ACTIONS(2905),
    [anon_sym_false] = ACTIONS(2905),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2905),
    [sym_super] = ACTIONS(2905),
    [sym_crate] = ACTIONS(2905),
    [sym_metavariable] = ACTIONS(2903),
    [sym__raw_string_literal_start] = ACTIONS(2903),
    [sym_float_literal] = ACTIONS(2903),
  },
  [751] = {
    [sym_line_comment] = STATE(751),
    [sym_block_comment] = STATE(751),
    [ts_builtin_sym_end] = ACTIONS(2907),
    [sym_identifier] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym_macro_rules_BANG] = ACTIONS(2907),
    [anon_sym_LPAREN] = ACTIONS(2907),
    [anon_sym_LBRACK] = ACTIONS(2907),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_RBRACE] = ACTIONS(2907),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_u8] = ACTIONS(2909),
    [anon_sym_i8] = ACTIONS(2909),
    [anon_sym_u16] = ACTIONS(2909),
    [anon_sym_i16] = ACTIONS(2909),
    [anon_sym_u32] = ACTIONS(2909),
    [anon_sym_i32] = ACTIONS(2909),
    [anon_sym_u64] = ACTIONS(2909),
    [anon_sym_i64] = ACTIONS(2909),
    [anon_sym_u128] = ACTIONS(2909),
    [anon_sym_i128] = ACTIONS(2909),
    [anon_sym_isize] = ACTIONS(2909),
    [anon_sym_usize] = ACTIONS(2909),
    [anon_sym_f32] = ACTIONS(2909),
    [anon_sym_f64] = ACTIONS(2909),
    [anon_sym_bool] = ACTIONS(2909),
    [anon_sym_str] = ACTIONS(2909),
    [anon_sym_char] = ACTIONS(2909),
    [anon_sym_DASH] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym_PIPE] = ACTIONS(2907),
    [anon_sym_LT] = ACTIONS(2907),
    [anon_sym_DOT_DOT] = ACTIONS(2907),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_POUND] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2909),
    [anon_sym_async] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_fn] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_impl] = ACTIONS(2909),
    [anon_sym_let] = ACTIONS(2909),
    [anon_sym_loop] = ACTIONS(2909),
    [anon_sym_match] = ACTIONS(2909),
    [anon_sym_mod] = ACTIONS(2909),
    [anon_sym_pub] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_trait] = ACTIONS(2909),
    [anon_sym_type] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_unsafe] = ACTIONS(2909),
    [anon_sym_use] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym_yield] = ACTIONS(2909),
    [anon_sym_move] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [sym_integer_literal] = ACTIONS(2907),
    [aux_sym_string_literal_token1] = ACTIONS(2907),
    [sym_char_literal] = ACTIONS(2907),
    [anon_sym_true] = ACTIONS(2909),
    [anon_sym_false] = ACTIONS(2909),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2909),
    [sym_super] = ACTIONS(2909),
    [sym_crate] = ACTIONS(2909),
    [sym_metavariable] = ACTIONS(2907),
    [sym__raw_string_literal_start] = ACTIONS(2907),
    [sym_float_literal] = ACTIONS(2907),
  },
  [752] = {
    [sym_line_comment] = STATE(752),
    [sym_block_comment] = STATE(752),
    [ts_builtin_sym_end] = ACTIONS(2911),
    [sym_identifier] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym_macro_rules_BANG] = ACTIONS(2911),
    [anon_sym_LPAREN] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2911),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_RBRACE] = ACTIONS(2911),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_u8] = ACTIONS(2913),
    [anon_sym_i8] = ACTIONS(2913),
    [anon_sym_u16] = ACTIONS(2913),
    [anon_sym_i16] = ACTIONS(2913),
    [anon_sym_u32] = ACTIONS(2913),
    [anon_sym_i32] = ACTIONS(2913),
    [anon_sym_u64] = ACTIONS(2913),
    [anon_sym_i64] = ACTIONS(2913),
    [anon_sym_u128] = ACTIONS(2913),
    [anon_sym_i128] = ACTIONS(2913),
    [anon_sym_isize] = ACTIONS(2913),
    [anon_sym_usize] = ACTIONS(2913),
    [anon_sym_f32] = ACTIONS(2913),
    [anon_sym_f64] = ACTIONS(2913),
    [anon_sym_bool] = ACTIONS(2913),
    [anon_sym_str] = ACTIONS(2913),
    [anon_sym_char] = ACTIONS(2913),
    [anon_sym_DASH] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_PIPE] = ACTIONS(2911),
    [anon_sym_LT] = ACTIONS(2911),
    [anon_sym_DOT_DOT] = ACTIONS(2911),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_POUND] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2913),
    [anon_sym_async] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_fn] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_impl] = ACTIONS(2913),
    [anon_sym_let] = ACTIONS(2913),
    [anon_sym_loop] = ACTIONS(2913),
    [anon_sym_match] = ACTIONS(2913),
    [anon_sym_mod] = ACTIONS(2913),
    [anon_sym_pub] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_trait] = ACTIONS(2913),
    [anon_sym_type] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_unsafe] = ACTIONS(2913),
    [anon_sym_use] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym_yield] = ACTIONS(2913),
    [anon_sym_move] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [sym_integer_literal] = ACTIONS(2911),
    [aux_sym_string_literal_token1] = ACTIONS(2911),
    [sym_char_literal] = ACTIONS(2911),
    [anon_sym_true] = ACTIONS(2913),
    [anon_sym_false] = ACTIONS(2913),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2913),
    [sym_super] = ACTIONS(2913),
    [sym_crate] = ACTIONS(2913),
    [sym_metavariable] = ACTIONS(2911),
    [sym__raw_string_literal_start] = ACTIONS(2911),
    [sym_float_literal] = ACTIONS(2911),
  },
  [753] = {
    [sym_line_comment] = STATE(753),
    [sym_block_comment] = STATE(753),
    [ts_builtin_sym_end] = ACTIONS(2915),
    [sym_identifier] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym_macro_rules_BANG] = ACTIONS(2915),
    [anon_sym_LPAREN] = ACTIONS(2915),
    [anon_sym_LBRACK] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_RBRACE] = ACTIONS(2915),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_u8] = ACTIONS(2917),
    [anon_sym_i8] = ACTIONS(2917),
    [anon_sym_u16] = ACTIONS(2917),
    [anon_sym_i16] = ACTIONS(2917),
    [anon_sym_u32] = ACTIONS(2917),
    [anon_sym_i32] = ACTIONS(2917),
    [anon_sym_u64] = ACTIONS(2917),
    [anon_sym_i64] = ACTIONS(2917),
    [anon_sym_u128] = ACTIONS(2917),
    [anon_sym_i128] = ACTIONS(2917),
    [anon_sym_isize] = ACTIONS(2917),
    [anon_sym_usize] = ACTIONS(2917),
    [anon_sym_f32] = ACTIONS(2917),
    [anon_sym_f64] = ACTIONS(2917),
    [anon_sym_bool] = ACTIONS(2917),
    [anon_sym_str] = ACTIONS(2917),
    [anon_sym_char] = ACTIONS(2917),
    [anon_sym_DASH] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2915),
    [anon_sym_PIPE] = ACTIONS(2915),
    [anon_sym_LT] = ACTIONS(2915),
    [anon_sym_DOT_DOT] = ACTIONS(2915),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_POUND] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2917),
    [anon_sym_async] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_fn] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_impl] = ACTIONS(2917),
    [anon_sym_let] = ACTIONS(2917),
    [anon_sym_loop] = ACTIONS(2917),
    [anon_sym_match] = ACTIONS(2917),
    [anon_sym_mod] = ACTIONS(2917),
    [anon_sym_pub] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_trait] = ACTIONS(2917),
    [anon_sym_type] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_unsafe] = ACTIONS(2917),
    [anon_sym_use] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym_yield] = ACTIONS(2917),
    [anon_sym_move] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [sym_integer_literal] = ACTIONS(2915),
    [aux_sym_string_literal_token1] = ACTIONS(2915),
    [sym_char_literal] = ACTIONS(2915),
    [anon_sym_true] = ACTIONS(2917),
    [anon_sym_false] = ACTIONS(2917),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2917),
    [sym_super] = ACTIONS(2917),
    [sym_crate] = ACTIONS(2917),
    [sym_metavariable] = ACTIONS(2915),
    [sym__raw_string_literal_start] = ACTIONS(2915),
    [sym_float_literal] = ACTIONS(2915),
  },
  [754] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym_closure_expression] = STATE(2828),
    [sym_closure_parameters] = STATE(230),
    [sym__pattern] = STATE(2500),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(754),
    [sym_block_comment] = STATE(754),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_RPAREN] = ACTIONS(2923),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1478),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(2931),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(1486),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [anon_sym_move] = ACTIONS(1490),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [755] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym_closure_expression] = STATE(2855),
    [sym_closure_parameters] = STATE(230),
    [sym__pattern] = STATE(2640),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(755),
    [sym_block_comment] = STATE(755),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_RPAREN] = ACTIONS(2943),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1478),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(1484),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(1486),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [anon_sym_move] = ACTIONS(1490),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [756] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym_closure_expression] = STATE(3065),
    [sym_closure_parameters] = STATE(230),
    [sym__pattern] = STATE(2928),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(756),
    [sym_block_comment] = STATE(756),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_RPAREN] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1478),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(1486),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [anon_sym_move] = ACTIONS(1490),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [757] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym_closure_expression] = STATE(3065),
    [sym_closure_parameters] = STATE(230),
    [sym__pattern] = STATE(2928),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(757),
    [sym_block_comment] = STATE(757),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_RPAREN] = ACTIONS(2947),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1478),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(1486),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [anon_sym_move] = ACTIONS(1490),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [758] = {
    [sym_attribute_item] = STATE(1479),
    [sym_inner_attribute_item] = STATE(1479),
    [sym_bracketed_type] = STATE(3523),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3262),
    [sym_macro_invocation] = STATE(2877),
    [sym_scoped_identifier] = STATE(2130),
    [sym_scoped_type_identifier] = STATE(2908),
    [sym_match_pattern] = STATE(3423),
    [sym_const_block] = STATE(2877),
    [sym__pattern] = STATE(2919),
    [sym_tuple_pattern] = STATE(2877),
    [sym_slice_pattern] = STATE(2877),
    [sym_tuple_struct_pattern] = STATE(2877),
    [sym_struct_pattern] = STATE(2877),
    [sym_remaining_field_pattern] = STATE(2877),
    [sym_mut_pattern] = STATE(2877),
    [sym_range_pattern] = STATE(2877),
    [sym_ref_pattern] = STATE(2877),
    [sym_captured_pattern] = STATE(2877),
    [sym_reference_pattern] = STATE(2877),
    [sym_or_pattern] = STATE(2877),
    [sym__literal_pattern] = STATE(2387),
    [sym_negative_literal] = STATE(2299),
    [sym_string_literal] = STATE(2299),
    [sym_raw_string_literal] = STATE(2299),
    [sym_boolean_literal] = STATE(2299),
    [sym_line_comment] = STATE(758),
    [sym_block_comment] = STATE(758),
    [aux_sym_match_arm_repeat1] = STATE(1041),
    [sym_identifier] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1608),
    [anon_sym_u8] = ACTIONS(1612),
    [anon_sym_i8] = ACTIONS(1612),
    [anon_sym_u16] = ACTIONS(1612),
    [anon_sym_i16] = ACTIONS(1612),
    [anon_sym_u32] = ACTIONS(1612),
    [anon_sym_i32] = ACTIONS(1612),
    [anon_sym_u64] = ACTIONS(1612),
    [anon_sym_i64] = ACTIONS(1612),
    [anon_sym_u128] = ACTIONS(1612),
    [anon_sym_i128] = ACTIONS(1612),
    [anon_sym_isize] = ACTIONS(1612),
    [anon_sym_usize] = ACTIONS(1612),
    [anon_sym_f32] = ACTIONS(1612),
    [anon_sym_f64] = ACTIONS(1612),
    [anon_sym_bool] = ACTIONS(1612),
    [anon_sym_str] = ACTIONS(1612),
    [anon_sym_char] = ACTIONS(1612),
    [anon_sym_DASH] = ACTIONS(1614),
    [anon_sym_AMP] = ACTIONS(1616),
    [anon_sym_PIPE] = ACTIONS(1618),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1620),
    [anon_sym_DOT_DOT] = ACTIONS(1622),
    [anon_sym_COLON_COLON] = ACTIONS(1624),
    [anon_sym_POUND] = ACTIONS(1626),
    [anon_sym_const] = ACTIONS(1628),
    [anon_sym_default] = ACTIONS(1630),
    [anon_sym_union] = ACTIONS(1630),
    [anon_sym_ref] = ACTIONS(1632),
    [sym_mutable_specifier] = ACTIONS(1634),
    [sym_integer_literal] = ACTIONS(1636),
    [aux_sym_string_literal_token1] = ACTIONS(1638),
    [sym_char_literal] = ACTIONS(1636),
    [anon_sym_true] = ACTIONS(1640),
    [anon_sym_false] = ACTIONS(1640),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1642),
    [sym_super] = ACTIONS(1642),
    [sym_crate] = ACTIONS(1642),
    [sym_metavariable] = ACTIONS(1644),
    [sym__raw_string_literal_start] = ACTIONS(1646),
    [sym_float_literal] = ACTIONS(1636),
  },
  [759] = {
    [sym_attribute_item] = STATE(1479),
    [sym_inner_attribute_item] = STATE(1479),
    [sym_bracketed_type] = STATE(3523),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3262),
    [sym_macro_invocation] = STATE(2877),
    [sym_scoped_identifier] = STATE(2130),
    [sym_scoped_type_identifier] = STATE(2908),
    [sym_match_pattern] = STATE(3410),
    [sym_const_block] = STATE(2877),
    [sym__pattern] = STATE(2919),
    [sym_tuple_pattern] = STATE(2877),
    [sym_slice_pattern] = STATE(2877),
    [sym_tuple_struct_pattern] = STATE(2877),
    [sym_struct_pattern] = STATE(2877),
    [sym_remaining_field_pattern] = STATE(2877),
    [sym_mut_pattern] = STATE(2877),
    [sym_range_pattern] = STATE(2877),
    [sym_ref_pattern] = STATE(2877),
    [sym_captured_pattern] = STATE(2877),
    [sym_reference_pattern] = STATE(2877),
    [sym_or_pattern] = STATE(2877),
    [sym__literal_pattern] = STATE(2387),
    [sym_negative_literal] = STATE(2299),
    [sym_string_literal] = STATE(2299),
    [sym_raw_string_literal] = STATE(2299),
    [sym_boolean_literal] = STATE(2299),
    [sym_line_comment] = STATE(759),
    [sym_block_comment] = STATE(759),
    [aux_sym_match_arm_repeat1] = STATE(1041),
    [sym_identifier] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1608),
    [anon_sym_u8] = ACTIONS(1612),
    [anon_sym_i8] = ACTIONS(1612),
    [anon_sym_u16] = ACTIONS(1612),
    [anon_sym_i16] = ACTIONS(1612),
    [anon_sym_u32] = ACTIONS(1612),
    [anon_sym_i32] = ACTIONS(1612),
    [anon_sym_u64] = ACTIONS(1612),
    [anon_sym_i64] = ACTIONS(1612),
    [anon_sym_u128] = ACTIONS(1612),
    [anon_sym_i128] = ACTIONS(1612),
    [anon_sym_isize] = ACTIONS(1612),
    [anon_sym_usize] = ACTIONS(1612),
    [anon_sym_f32] = ACTIONS(1612),
    [anon_sym_f64] = ACTIONS(1612),
    [anon_sym_bool] = ACTIONS(1612),
    [anon_sym_str] = ACTIONS(1612),
    [anon_sym_char] = ACTIONS(1612),
    [anon_sym_DASH] = ACTIONS(1614),
    [anon_sym_AMP] = ACTIONS(1616),
    [anon_sym_PIPE] = ACTIONS(1618),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1620),
    [anon_sym_DOT_DOT] = ACTIONS(1622),
    [anon_sym_COLON_COLON] = ACTIONS(1624),
    [anon_sym_POUND] = ACTIONS(1626),
    [anon_sym_const] = ACTIONS(1628),
    [anon_sym_default] = ACTIONS(1630),
    [anon_sym_union] = ACTIONS(1630),
    [anon_sym_ref] = ACTIONS(1632),
    [sym_mutable_specifier] = ACTIONS(1634),
    [sym_integer_literal] = ACTIONS(1636),
    [aux_sym_string_literal_token1] = ACTIONS(1638),
    [sym_char_literal] = ACTIONS(1636),
    [anon_sym_true] = ACTIONS(1640),
    [anon_sym_false] = ACTIONS(1640),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1642),
    [sym_super] = ACTIONS(1642),
    [sym_crate] = ACTIONS(1642),
    [sym_metavariable] = ACTIONS(1644),
    [sym__raw_string_literal_start] = ACTIONS(1646),
    [sym_float_literal] = ACTIONS(1636),
  },
  [760] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym_closure_expression] = STATE(3065),
    [sym_closure_parameters] = STATE(230),
    [sym__pattern] = STATE(2928),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(760),
    [sym_block_comment] = STATE(760),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_RPAREN] = ACTIONS(2949),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1478),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(1486),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [anon_sym_move] = ACTIONS(1490),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [761] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym_closure_expression] = STATE(3065),
    [sym_closure_parameters] = STATE(230),
    [sym__pattern] = STATE(2928),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(761),
    [sym_block_comment] = STATE(761),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_RPAREN] = ACTIONS(2951),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1478),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(1486),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [anon_sym_move] = ACTIONS(1490),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [762] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym_closure_expression] = STATE(3065),
    [sym_closure_parameters] = STATE(230),
    [sym__pattern] = STATE(2928),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(762),
    [sym_block_comment] = STATE(762),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1478),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(1486),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [anon_sym_move] = ACTIONS(1490),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [763] = {
    [sym_attribute_item] = STATE(1476),
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_const_parameter] = STATE(2959),
    [sym_constrained_type_parameter] = STATE(2693),
    [sym_optional_type_parameter] = STATE(2959),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2819),
    [sym_bracketed_type] = STATE(3332),
    [sym_qualified_type] = STATE(3515),
    [sym_lifetime] = STATE(2373),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(763),
    [sym_block_comment] = STATE(763),
    [aux_sym_enum_variant_list_repeat1] = STATE(2055),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2953),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_POUND] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(2959),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(2961),
  },
  [764] = {
    [sym_attribute_item] = STATE(1476),
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym_visibility_modifier] = STATE(885),
    [sym__type] = STATE(2579),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(764),
    [sym_block_comment] = STATE(764),
    [aux_sym_enum_variant_list_repeat1] = STATE(772),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_RPAREN] = ACTIONS(2965),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COMMA] = ACTIONS(2967),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_POUND] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_pub] = ACTIONS(2971),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(2973),
    [sym_metavariable] = ACTIONS(1584),
  },
  [765] = {
    [sym_attribute_item] = STATE(1476),
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym_visibility_modifier] = STATE(878),
    [sym__type] = STATE(2913),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(765),
    [sym_block_comment] = STATE(765),
    [aux_sym_enum_variant_list_repeat1] = STATE(774),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_RPAREN] = ACTIONS(2975),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_POUND] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_pub] = ACTIONS(2971),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(2973),
    [sym_metavariable] = ACTIONS(1584),
  },
  [766] = {
    [sym_attribute_item] = STATE(1476),
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym_visibility_modifier] = STATE(878),
    [sym__type] = STATE(2913),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(766),
    [sym_block_comment] = STATE(766),
    [aux_sym_enum_variant_list_repeat1] = STATE(774),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_RPAREN] = ACTIONS(2977),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_POUND] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_pub] = ACTIONS(2971),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(2973),
    [sym_metavariable] = ACTIONS(1584),
  },
  [767] = {
    [sym_attribute_item] = STATE(1476),
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym_visibility_modifier] = STATE(878),
    [sym__type] = STATE(2913),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(767),
    [sym_block_comment] = STATE(767),
    [aux_sym_enum_variant_list_repeat1] = STATE(774),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_RPAREN] = ACTIONS(2979),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_POUND] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_pub] = ACTIONS(2971),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(2973),
    [sym_metavariable] = ACTIONS(1584),
  },
  [768] = {
    [sym_attribute_item] = STATE(1476),
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym_visibility_modifier] = STATE(878),
    [sym__type] = STATE(2913),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(768),
    [sym_block_comment] = STATE(768),
    [aux_sym_enum_variant_list_repeat1] = STATE(774),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_RPAREN] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_POUND] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_pub] = ACTIONS(2971),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(2973),
    [sym_metavariable] = ACTIONS(1584),
  },
  [769] = {
    [sym_attribute_item] = STATE(1476),
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym_visibility_modifier] = STATE(878),
    [sym__type] = STATE(2913),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(769),
    [sym_block_comment] = STATE(769),
    [aux_sym_enum_variant_list_repeat1] = STATE(774),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_RPAREN] = ACTIONS(2983),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_POUND] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_pub] = ACTIONS(2971),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(2973),
    [sym_metavariable] = ACTIONS(1584),
  },
  [770] = {
    [sym_attribute_item] = STATE(1476),
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym_visibility_modifier] = STATE(878),
    [sym__type] = STATE(2913),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(770),
    [sym_block_comment] = STATE(770),
    [aux_sym_enum_variant_list_repeat1] = STATE(774),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_RPAREN] = ACTIONS(2985),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_POUND] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_pub] = ACTIONS(2971),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(2973),
    [sym_metavariable] = ACTIONS(1584),
  },
  [771] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2674),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(771),
    [sym_block_comment] = STATE(771),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_RPAREN] = ACTIONS(2987),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [772] = {
    [sym_attribute_item] = STATE(1476),
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym_visibility_modifier] = STATE(942),
    [sym__type] = STATE(2698),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(772),
    [sym_block_comment] = STATE(772),
    [aux_sym_enum_variant_list_repeat1] = STATE(1065),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_POUND] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_pub] = ACTIONS(2971),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(2973),
    [sym_metavariable] = ACTIONS(1584),
  },
  [773] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2524),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(773),
    [sym_block_comment] = STATE(773),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_RPAREN] = ACTIONS(2991),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(2993),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [774] = {
    [sym_attribute_item] = STATE(1476),
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym_visibility_modifier] = STATE(910),
    [sym__type] = STATE(2874),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(774),
    [sym_block_comment] = STATE(774),
    [aux_sym_enum_variant_list_repeat1] = STATE(1065),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_POUND] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_pub] = ACTIONS(2971),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(2973),
    [sym_metavariable] = ACTIONS(1584),
  },
  [775] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2525),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(775),
    [sym_block_comment] = STATE(775),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_RPAREN] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(2997),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [776] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2501),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(776),
    [sym_block_comment] = STATE(776),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_RBRACK] = ACTIONS(2999),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(3001),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [777] = {
    [sym_attribute_item] = STATE(1476),
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym_visibility_modifier] = STATE(878),
    [sym__type] = STATE(2913),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(777),
    [sym_block_comment] = STATE(777),
    [aux_sym_enum_variant_list_repeat1] = STATE(774),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_POUND] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_pub] = ACTIONS(2971),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(2973),
    [sym_metavariable] = ACTIONS(1584),
  },
  [778] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2672),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(778),
    [sym_block_comment] = STATE(778),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_RBRACK] = ACTIONS(1508),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(1514),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [779] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2639),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(779),
    [sym_block_comment] = STATE(779),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_RPAREN] = ACTIONS(3003),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COMMA] = ACTIONS(3005),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [780] = {
    [sym_parameter] = STATE(3201),
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2915),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(780),
    [sym_block_comment] = STATE(780),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(3007),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3009),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [781] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2549),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(781),
    [sym_block_comment] = STATE(781),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1272),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3011),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3013),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [782] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2679),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(782),
    [sym_block_comment] = STATE(782),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_RBRACK] = ACTIONS(3015),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [783] = {
    [sym_parameter] = STATE(3027),
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2532),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(783),
    [sym_block_comment] = STATE(783),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(3017),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(3007),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3009),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [784] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2679),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(784),
    [sym_block_comment] = STATE(784),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [785] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2679),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(785),
    [sym_block_comment] = STATE(785),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_RBRACK] = ACTIONS(3021),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [786] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2679),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(786),
    [sym_block_comment] = STATE(786),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_RPAREN] = ACTIONS(3023),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [787] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2679),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(787),
    [sym_block_comment] = STATE(787),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_RBRACK] = ACTIONS(3025),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [788] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2679),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(788),
    [sym_block_comment] = STATE(788),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_RPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [789] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2679),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(789),
    [sym_block_comment] = STATE(789),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_RPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [790] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2679),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(790),
    [sym_block_comment] = STATE(790),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_RPAREN] = ACTIONS(3031),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [791] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2679),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(791),
    [sym_block_comment] = STATE(791),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_RPAREN] = ACTIONS(3033),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [792] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2679),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(792),
    [sym_block_comment] = STATE(792),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_RBRACK] = ACTIONS(3035),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [793] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2679),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(793),
    [sym_block_comment] = STATE(793),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_RPAREN] = ACTIONS(3037),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [794] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2679),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(794),
    [sym_block_comment] = STATE(794),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_RPAREN] = ACTIONS(3039),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [795] = {
    [sym_parameter] = STATE(3027),
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2429),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(795),
    [sym_block_comment] = STATE(795),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(3017),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(3007),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3009),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [796] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(3301),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(796),
    [sym_block_comment] = STATE(796),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [797] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2679),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(797),
    [sym_block_comment] = STATE(797),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [798] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(3188),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(798),
    [sym_block_comment] = STATE(798),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [799] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(3212),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(799),
    [sym_block_comment] = STATE(799),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [800] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2485),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(800),
    [sym_block_comment] = STATE(800),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [801] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2103),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(801),
    [sym_block_comment] = STATE(801),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [802] = {
    [sym_bracketed_type] = STATE(3523),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3262),
    [sym_macro_invocation] = STATE(2877),
    [sym_scoped_identifier] = STATE(2130),
    [sym_scoped_type_identifier] = STATE(2908),
    [sym_const_block] = STATE(2877),
    [sym__pattern] = STATE(2978),
    [sym_tuple_pattern] = STATE(2877),
    [sym_slice_pattern] = STATE(2877),
    [sym_tuple_struct_pattern] = STATE(2877),
    [sym_struct_pattern] = STATE(2877),
    [sym_remaining_field_pattern] = STATE(2877),
    [sym_mut_pattern] = STATE(2877),
    [sym_range_pattern] = STATE(2877),
    [sym_ref_pattern] = STATE(2877),
    [sym_captured_pattern] = STATE(2877),
    [sym_reference_pattern] = STATE(2877),
    [sym_or_pattern] = STATE(2877),
    [sym__literal_pattern] = STATE(2387),
    [sym_negative_literal] = STATE(2299),
    [sym_string_literal] = STATE(2299),
    [sym_raw_string_literal] = STATE(2299),
    [sym_boolean_literal] = STATE(2299),
    [sym_line_comment] = STATE(802),
    [sym_block_comment] = STATE(802),
    [sym_identifier] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1608),
    [anon_sym_u8] = ACTIONS(1612),
    [anon_sym_i8] = ACTIONS(1612),
    [anon_sym_u16] = ACTIONS(1612),
    [anon_sym_i16] = ACTIONS(1612),
    [anon_sym_u32] = ACTIONS(1612),
    [anon_sym_i32] = ACTIONS(1612),
    [anon_sym_u64] = ACTIONS(1612),
    [anon_sym_i64] = ACTIONS(1612),
    [anon_sym_u128] = ACTIONS(1612),
    [anon_sym_i128] = ACTIONS(1612),
    [anon_sym_isize] = ACTIONS(1612),
    [anon_sym_usize] = ACTIONS(1612),
    [anon_sym_f32] = ACTIONS(1612),
    [anon_sym_f64] = ACTIONS(1612),
    [anon_sym_bool] = ACTIONS(1612),
    [anon_sym_str] = ACTIONS(1612),
    [anon_sym_char] = ACTIONS(1612),
    [anon_sym_DASH] = ACTIONS(1614),
    [anon_sym_AMP] = ACTIONS(1616),
    [anon_sym_PIPE] = ACTIONS(1618),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1620),
    [anon_sym_DOT_DOT] = ACTIONS(1622),
    [anon_sym_COLON_COLON] = ACTIONS(1624),
    [anon_sym_const] = ACTIONS(1628),
    [anon_sym_default] = ACTIONS(1630),
    [anon_sym_union] = ACTIONS(1630),
    [anon_sym_ref] = ACTIONS(1632),
    [sym_mutable_specifier] = ACTIONS(1634),
    [sym_integer_literal] = ACTIONS(1636),
    [aux_sym_string_literal_token1] = ACTIONS(1638),
    [sym_char_literal] = ACTIONS(1636),
    [anon_sym_true] = ACTIONS(1640),
    [anon_sym_false] = ACTIONS(1640),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1642),
    [sym_super] = ACTIONS(1642),
    [sym_crate] = ACTIONS(1642),
    [sym_metavariable] = ACTIONS(1644),
    [sym__raw_string_literal_start] = ACTIONS(1646),
    [sym_float_literal] = ACTIONS(1636),
  },
  [803] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(3014),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(803),
    [sym_block_comment] = STATE(803),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [804] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(3267),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(804),
    [sym_block_comment] = STATE(804),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [805] = {
    [sym_bracketed_type] = STATE(3523),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3262),
    [sym_macro_invocation] = STATE(2877),
    [sym_scoped_identifier] = STATE(2130),
    [sym_scoped_type_identifier] = STATE(2908),
    [sym_const_block] = STATE(2877),
    [sym__pattern] = STATE(2998),
    [sym_tuple_pattern] = STATE(2877),
    [sym_slice_pattern] = STATE(2877),
    [sym_tuple_struct_pattern] = STATE(2877),
    [sym_struct_pattern] = STATE(2877),
    [sym_remaining_field_pattern] = STATE(2877),
    [sym_mut_pattern] = STATE(2877),
    [sym_range_pattern] = STATE(2877),
    [sym_ref_pattern] = STATE(2877),
    [sym_captured_pattern] = STATE(2877),
    [sym_reference_pattern] = STATE(2877),
    [sym_or_pattern] = STATE(2877),
    [sym__literal_pattern] = STATE(2387),
    [sym_negative_literal] = STATE(2299),
    [sym_string_literal] = STATE(2299),
    [sym_raw_string_literal] = STATE(2299),
    [sym_boolean_literal] = STATE(2299),
    [sym_line_comment] = STATE(805),
    [sym_block_comment] = STATE(805),
    [sym_identifier] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1608),
    [anon_sym_u8] = ACTIONS(1612),
    [anon_sym_i8] = ACTIONS(1612),
    [anon_sym_u16] = ACTIONS(1612),
    [anon_sym_i16] = ACTIONS(1612),
    [anon_sym_u32] = ACTIONS(1612),
    [anon_sym_i32] = ACTIONS(1612),
    [anon_sym_u64] = ACTIONS(1612),
    [anon_sym_i64] = ACTIONS(1612),
    [anon_sym_u128] = ACTIONS(1612),
    [anon_sym_i128] = ACTIONS(1612),
    [anon_sym_isize] = ACTIONS(1612),
    [anon_sym_usize] = ACTIONS(1612),
    [anon_sym_f32] = ACTIONS(1612),
    [anon_sym_f64] = ACTIONS(1612),
    [anon_sym_bool] = ACTIONS(1612),
    [anon_sym_str] = ACTIONS(1612),
    [anon_sym_char] = ACTIONS(1612),
    [anon_sym_DASH] = ACTIONS(1614),
    [anon_sym_AMP] = ACTIONS(1616),
    [anon_sym_PIPE] = ACTIONS(1618),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1620),
    [anon_sym_DOT_DOT] = ACTIONS(1622),
    [anon_sym_COLON_COLON] = ACTIONS(1624),
    [anon_sym_const] = ACTIONS(1628),
    [anon_sym_default] = ACTIONS(1630),
    [anon_sym_union] = ACTIONS(1630),
    [anon_sym_ref] = ACTIONS(1632),
    [sym_mutable_specifier] = ACTIONS(1634),
    [sym_integer_literal] = ACTIONS(1636),
    [aux_sym_string_literal_token1] = ACTIONS(1638),
    [sym_char_literal] = ACTIONS(1636),
    [anon_sym_true] = ACTIONS(1640),
    [anon_sym_false] = ACTIONS(1640),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1642),
    [sym_super] = ACTIONS(1642),
    [sym_crate] = ACTIONS(1642),
    [sym_metavariable] = ACTIONS(1644),
    [sym__raw_string_literal_start] = ACTIONS(1646),
    [sym_float_literal] = ACTIONS(1636),
  },
  [806] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2965),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(806),
    [sym_block_comment] = STATE(806),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [807] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2434),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(807),
    [sym_block_comment] = STATE(807),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(3041),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [808] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2807),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(808),
    [sym_block_comment] = STATE(808),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [809] = {
    [sym_bracketed_type] = STATE(3523),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3262),
    [sym_macro_invocation] = STATE(2877),
    [sym_scoped_identifier] = STATE(2130),
    [sym_scoped_type_identifier] = STATE(2908),
    [sym_const_block] = STATE(2877),
    [sym__pattern] = STATE(2761),
    [sym_tuple_pattern] = STATE(2877),
    [sym_slice_pattern] = STATE(2877),
    [sym_tuple_struct_pattern] = STATE(2877),
    [sym_struct_pattern] = STATE(2877),
    [sym_remaining_field_pattern] = STATE(2877),
    [sym_mut_pattern] = STATE(2877),
    [sym_range_pattern] = STATE(2877),
    [sym_ref_pattern] = STATE(2877),
    [sym_captured_pattern] = STATE(2877),
    [sym_reference_pattern] = STATE(2877),
    [sym_or_pattern] = STATE(2877),
    [sym__literal_pattern] = STATE(2387),
    [sym_negative_literal] = STATE(2299),
    [sym_string_literal] = STATE(2299),
    [sym_raw_string_literal] = STATE(2299),
    [sym_boolean_literal] = STATE(2299),
    [sym_line_comment] = STATE(809),
    [sym_block_comment] = STATE(809),
    [sym_identifier] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1608),
    [anon_sym_u8] = ACTIONS(1612),
    [anon_sym_i8] = ACTIONS(1612),
    [anon_sym_u16] = ACTIONS(1612),
    [anon_sym_i16] = ACTIONS(1612),
    [anon_sym_u32] = ACTIONS(1612),
    [anon_sym_i32] = ACTIONS(1612),
    [anon_sym_u64] = ACTIONS(1612),
    [anon_sym_i64] = ACTIONS(1612),
    [anon_sym_u128] = ACTIONS(1612),
    [anon_sym_i128] = ACTIONS(1612),
    [anon_sym_isize] = ACTIONS(1612),
    [anon_sym_usize] = ACTIONS(1612),
    [anon_sym_f32] = ACTIONS(1612),
    [anon_sym_f64] = ACTIONS(1612),
    [anon_sym_bool] = ACTIONS(1612),
    [anon_sym_str] = ACTIONS(1612),
    [anon_sym_char] = ACTIONS(1612),
    [anon_sym_DASH] = ACTIONS(1614),
    [anon_sym_AMP] = ACTIONS(1616),
    [anon_sym_PIPE] = ACTIONS(1618),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1620),
    [anon_sym_DOT_DOT] = ACTIONS(1622),
    [anon_sym_COLON_COLON] = ACTIONS(1624),
    [anon_sym_const] = ACTIONS(1628),
    [anon_sym_default] = ACTIONS(1630),
    [anon_sym_union] = ACTIONS(1630),
    [anon_sym_ref] = ACTIONS(1632),
    [sym_mutable_specifier] = ACTIONS(1634),
    [sym_integer_literal] = ACTIONS(1636),
    [aux_sym_string_literal_token1] = ACTIONS(1638),
    [sym_char_literal] = ACTIONS(1636),
    [anon_sym_true] = ACTIONS(1640),
    [anon_sym_false] = ACTIONS(1640),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1642),
    [sym_super] = ACTIONS(1642),
    [sym_crate] = ACTIONS(1642),
    [sym_metavariable] = ACTIONS(1644),
    [sym__raw_string_literal_start] = ACTIONS(1646),
    [sym_float_literal] = ACTIONS(1636),
  },
  [810] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2112),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(810),
    [sym_block_comment] = STATE(810),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [811] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2516),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(811),
    [sym_block_comment] = STATE(811),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3043),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [812] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2101),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(812),
    [sym_block_comment] = STATE(812),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [813] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2081),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(813),
    [sym_block_comment] = STATE(813),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [814] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2093),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(814),
    [sym_block_comment] = STATE(814),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(3045),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [815] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2122),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(815),
    [sym_block_comment] = STATE(815),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [816] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2086),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(816),
    [sym_block_comment] = STATE(816),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [817] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2466),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(817),
    [sym_block_comment] = STATE(817),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(3047),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [818] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(3272),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(818),
    [sym_block_comment] = STATE(818),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [819] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(2393),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(819),
    [sym_block_comment] = STATE(819),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [820] = {
    [sym_bracketed_type] = STATE(3523),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3262),
    [sym_macro_invocation] = STATE(2877),
    [sym_scoped_identifier] = STATE(2130),
    [sym_scoped_type_identifier] = STATE(2908),
    [sym_const_block] = STATE(2877),
    [sym__pattern] = STATE(2912),
    [sym_tuple_pattern] = STATE(2877),
    [sym_slice_pattern] = STATE(2877),
    [sym_tuple_struct_pattern] = STATE(2877),
    [sym_struct_pattern] = STATE(2877),
    [sym_remaining_field_pattern] = STATE(2877),
    [sym_mut_pattern] = STATE(2877),
    [sym_range_pattern] = STATE(2877),
    [sym_ref_pattern] = STATE(2877),
    [sym_captured_pattern] = STATE(2877),
    [sym_reference_pattern] = STATE(2877),
    [sym_or_pattern] = STATE(2877),
    [sym__literal_pattern] = STATE(2387),
    [sym_negative_literal] = STATE(2299),
    [sym_string_literal] = STATE(2299),
    [sym_raw_string_literal] = STATE(2299),
    [sym_boolean_literal] = STATE(2299),
    [sym_line_comment] = STATE(820),
    [sym_block_comment] = STATE(820),
    [sym_identifier] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1608),
    [anon_sym_u8] = ACTIONS(1612),
    [anon_sym_i8] = ACTIONS(1612),
    [anon_sym_u16] = ACTIONS(1612),
    [anon_sym_i16] = ACTIONS(1612),
    [anon_sym_u32] = ACTIONS(1612),
    [anon_sym_i32] = ACTIONS(1612),
    [anon_sym_u64] = ACTIONS(1612),
    [anon_sym_i64] = ACTIONS(1612),
    [anon_sym_u128] = ACTIONS(1612),
    [anon_sym_i128] = ACTIONS(1612),
    [anon_sym_isize] = ACTIONS(1612),
    [anon_sym_usize] = ACTIONS(1612),
    [anon_sym_f32] = ACTIONS(1612),
    [anon_sym_f64] = ACTIONS(1612),
    [anon_sym_bool] = ACTIONS(1612),
    [anon_sym_str] = ACTIONS(1612),
    [anon_sym_char] = ACTIONS(1612),
    [anon_sym_DASH] = ACTIONS(1614),
    [anon_sym_AMP] = ACTIONS(1616),
    [anon_sym_PIPE] = ACTIONS(1618),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1620),
    [anon_sym_DOT_DOT] = ACTIONS(1622),
    [anon_sym_COLON_COLON] = ACTIONS(1624),
    [anon_sym_const] = ACTIONS(1628),
    [anon_sym_default] = ACTIONS(1630),
    [anon_sym_union] = ACTIONS(1630),
    [anon_sym_ref] = ACTIONS(1632),
    [sym_mutable_specifier] = ACTIONS(3049),
    [sym_integer_literal] = ACTIONS(1636),
    [aux_sym_string_literal_token1] = ACTIONS(1638),
    [sym_char_literal] = ACTIONS(1636),
    [anon_sym_true] = ACTIONS(1640),
    [anon_sym_false] = ACTIONS(1640),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1642),
    [sym_super] = ACTIONS(1642),
    [sym_crate] = ACTIONS(1642),
    [sym_metavariable] = ACTIONS(1644),
    [sym__raw_string_literal_start] = ACTIONS(1646),
    [sym_float_literal] = ACTIONS(1636),
  },
  [821] = {
    [sym_bracketed_type] = STATE(3523),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3262),
    [sym_macro_invocation] = STATE(2877),
    [sym_scoped_identifier] = STATE(2130),
    [sym_scoped_type_identifier] = STATE(2908),
    [sym_const_block] = STATE(2877),
    [sym__pattern] = STATE(2949),
    [sym_tuple_pattern] = STATE(2877),
    [sym_slice_pattern] = STATE(2877),
    [sym_tuple_struct_pattern] = STATE(2877),
    [sym_struct_pattern] = STATE(2877),
    [sym_remaining_field_pattern] = STATE(2877),
    [sym_mut_pattern] = STATE(2877),
    [sym_range_pattern] = STATE(2877),
    [sym_ref_pattern] = STATE(2877),
    [sym_captured_pattern] = STATE(2877),
    [sym_reference_pattern] = STATE(2877),
    [sym_or_pattern] = STATE(2877),
    [sym__literal_pattern] = STATE(2387),
    [sym_negative_literal] = STATE(2299),
    [sym_string_literal] = STATE(2299),
    [sym_raw_string_literal] = STATE(2299),
    [sym_boolean_literal] = STATE(2299),
    [sym_line_comment] = STATE(821),
    [sym_block_comment] = STATE(821),
    [sym_identifier] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1608),
    [anon_sym_u8] = ACTIONS(1612),
    [anon_sym_i8] = ACTIONS(1612),
    [anon_sym_u16] = ACTIONS(1612),
    [anon_sym_i16] = ACTIONS(1612),
    [anon_sym_u32] = ACTIONS(1612),
    [anon_sym_i32] = ACTIONS(1612),
    [anon_sym_u64] = ACTIONS(1612),
    [anon_sym_i64] = ACTIONS(1612),
    [anon_sym_u128] = ACTIONS(1612),
    [anon_sym_i128] = ACTIONS(1612),
    [anon_sym_isize] = ACTIONS(1612),
    [anon_sym_usize] = ACTIONS(1612),
    [anon_sym_f32] = ACTIONS(1612),
    [anon_sym_f64] = ACTIONS(1612),
    [anon_sym_bool] = ACTIONS(1612),
    [anon_sym_str] = ACTIONS(1612),
    [anon_sym_char] = ACTIONS(1612),
    [anon_sym_DASH] = ACTIONS(1614),
    [anon_sym_AMP] = ACTIONS(1616),
    [anon_sym_PIPE] = ACTIONS(1618),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1620),
    [anon_sym_DOT_DOT] = ACTIONS(1622),
    [anon_sym_COLON_COLON] = ACTIONS(1624),
    [anon_sym_const] = ACTIONS(1628),
    [anon_sym_default] = ACTIONS(1630),
    [anon_sym_union] = ACTIONS(1630),
    [anon_sym_ref] = ACTIONS(1632),
    [sym_mutable_specifier] = ACTIONS(1634),
    [sym_integer_literal] = ACTIONS(1636),
    [aux_sym_string_literal_token1] = ACTIONS(1638),
    [sym_char_literal] = ACTIONS(1636),
    [anon_sym_true] = ACTIONS(1640),
    [anon_sym_false] = ACTIONS(1640),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1642),
    [sym_super] = ACTIONS(1642),
    [sym_crate] = ACTIONS(1642),
    [sym_metavariable] = ACTIONS(1644),
    [sym__raw_string_literal_start] = ACTIONS(1646),
    [sym_float_literal] = ACTIONS(1636),
  },
  [822] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(3302),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(822),
    [sym_block_comment] = STATE(822),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [823] = {
    [sym_bracketed_type] = STATE(3523),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3262),
    [sym_macro_invocation] = STATE(2877),
    [sym_scoped_identifier] = STATE(2130),
    [sym_scoped_type_identifier] = STATE(2908),
    [sym_const_block] = STATE(2877),
    [sym__pattern] = STATE(2926),
    [sym_tuple_pattern] = STATE(2877),
    [sym_slice_pattern] = STATE(2877),
    [sym_tuple_struct_pattern] = STATE(2877),
    [sym_struct_pattern] = STATE(2877),
    [sym_remaining_field_pattern] = STATE(2877),
    [sym_mut_pattern] = STATE(2877),
    [sym_range_pattern] = STATE(2877),
    [sym_ref_pattern] = STATE(2877),
    [sym_captured_pattern] = STATE(2877),
    [sym_reference_pattern] = STATE(2877),
    [sym_or_pattern] = STATE(2877),
    [sym__literal_pattern] = STATE(2387),
    [sym_negative_literal] = STATE(2299),
    [sym_string_literal] = STATE(2299),
    [sym_raw_string_literal] = STATE(2299),
    [sym_boolean_literal] = STATE(2299),
    [sym_line_comment] = STATE(823),
    [sym_block_comment] = STATE(823),
    [sym_identifier] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1608),
    [anon_sym_u8] = ACTIONS(1612),
    [anon_sym_i8] = ACTIONS(1612),
    [anon_sym_u16] = ACTIONS(1612),
    [anon_sym_i16] = ACTIONS(1612),
    [anon_sym_u32] = ACTIONS(1612),
    [anon_sym_i32] = ACTIONS(1612),
    [anon_sym_u64] = ACTIONS(1612),
    [anon_sym_i64] = ACTIONS(1612),
    [anon_sym_u128] = ACTIONS(1612),
    [anon_sym_i128] = ACTIONS(1612),
    [anon_sym_isize] = ACTIONS(1612),
    [anon_sym_usize] = ACTIONS(1612),
    [anon_sym_f32] = ACTIONS(1612),
    [anon_sym_f64] = ACTIONS(1612),
    [anon_sym_bool] = ACTIONS(1612),
    [anon_sym_str] = ACTIONS(1612),
    [anon_sym_char] = ACTIONS(1612),
    [anon_sym_DASH] = ACTIONS(1614),
    [anon_sym_AMP] = ACTIONS(1616),
    [anon_sym_PIPE] = ACTIONS(1618),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1620),
    [anon_sym_DOT_DOT] = ACTIONS(1622),
    [anon_sym_COLON_COLON] = ACTIONS(1624),
    [anon_sym_const] = ACTIONS(1628),
    [anon_sym_default] = ACTIONS(1630),
    [anon_sym_union] = ACTIONS(1630),
    [anon_sym_ref] = ACTIONS(1632),
    [sym_mutable_specifier] = ACTIONS(1634),
    [sym_integer_literal] = ACTIONS(1636),
    [aux_sym_string_literal_token1] = ACTIONS(1638),
    [sym_char_literal] = ACTIONS(1636),
    [anon_sym_true] = ACTIONS(1640),
    [anon_sym_false] = ACTIONS(1640),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1642),
    [sym_super] = ACTIONS(1642),
    [sym_crate] = ACTIONS(1642),
    [sym_metavariable] = ACTIONS(1644),
    [sym__raw_string_literal_start] = ACTIONS(1646),
    [sym_float_literal] = ACTIONS(1636),
  },
  [824] = {
    [sym_bracketed_type] = STATE(3523),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3262),
    [sym_macro_invocation] = STATE(2877),
    [sym_scoped_identifier] = STATE(2130),
    [sym_scoped_type_identifier] = STATE(2908),
    [sym_const_block] = STATE(2877),
    [sym__pattern] = STATE(2878),
    [sym_tuple_pattern] = STATE(2877),
    [sym_slice_pattern] = STATE(2877),
    [sym_tuple_struct_pattern] = STATE(2877),
    [sym_struct_pattern] = STATE(2877),
    [sym_remaining_field_pattern] = STATE(2877),
    [sym_mut_pattern] = STATE(2877),
    [sym_range_pattern] = STATE(2877),
    [sym_ref_pattern] = STATE(2877),
    [sym_captured_pattern] = STATE(2877),
    [sym_reference_pattern] = STATE(2877),
    [sym_or_pattern] = STATE(2877),
    [sym__literal_pattern] = STATE(2387),
    [sym_negative_literal] = STATE(2299),
    [sym_string_literal] = STATE(2299),
    [sym_raw_string_literal] = STATE(2299),
    [sym_boolean_literal] = STATE(2299),
    [sym_line_comment] = STATE(824),
    [sym_block_comment] = STATE(824),
    [sym_identifier] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(1606),
    [anon_sym_LBRACK] = ACTIONS(1608),
    [anon_sym_u8] = ACTIONS(1612),
    [anon_sym_i8] = ACTIONS(1612),
    [anon_sym_u16] = ACTIONS(1612),
    [anon_sym_i16] = ACTIONS(1612),
    [anon_sym_u32] = ACTIONS(1612),
    [anon_sym_i32] = ACTIONS(1612),
    [anon_sym_u64] = ACTIONS(1612),
    [anon_sym_i64] = ACTIONS(1612),
    [anon_sym_u128] = ACTIONS(1612),
    [anon_sym_i128] = ACTIONS(1612),
    [anon_sym_isize] = ACTIONS(1612),
    [anon_sym_usize] = ACTIONS(1612),
    [anon_sym_f32] = ACTIONS(1612),
    [anon_sym_f64] = ACTIONS(1612),
    [anon_sym_bool] = ACTIONS(1612),
    [anon_sym_str] = ACTIONS(1612),
    [anon_sym_char] = ACTIONS(1612),
    [anon_sym_DASH] = ACTIONS(1614),
    [anon_sym_AMP] = ACTIONS(1616),
    [anon_sym_PIPE] = ACTIONS(1618),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1620),
    [anon_sym_DOT_DOT] = ACTIONS(1622),
    [anon_sym_COLON_COLON] = ACTIONS(1624),
    [anon_sym_const] = ACTIONS(1628),
    [anon_sym_default] = ACTIONS(1630),
    [anon_sym_union] = ACTIONS(1630),
    [anon_sym_ref] = ACTIONS(1632),
    [sym_mutable_specifier] = ACTIONS(1634),
    [sym_integer_literal] = ACTIONS(1636),
    [aux_sym_string_literal_token1] = ACTIONS(1638),
    [sym_char_literal] = ACTIONS(1636),
    [anon_sym_true] = ACTIONS(1640),
    [anon_sym_false] = ACTIONS(1640),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1642),
    [sym_super] = ACTIONS(1642),
    [sym_crate] = ACTIONS(1642),
    [sym_metavariable] = ACTIONS(1644),
    [sym__raw_string_literal_start] = ACTIONS(1646),
    [sym_float_literal] = ACTIONS(1636),
  },
  [825] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(3283),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(825),
    [sym_block_comment] = STATE(825),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [826] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(3296),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(826),
    [sym_block_comment] = STATE(826),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [827] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(3299),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(827),
    [sym_block_comment] = STATE(827),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [828] = {
    [sym_bracketed_type] = STATE(3609),
    [sym_generic_type] = STATE(3403),
    [sym_generic_type_with_turbofish] = STATE(3113),
    [sym_macro_invocation] = STATE(2079),
    [sym_scoped_identifier] = STATE(1961),
    [sym_scoped_type_identifier] = STATE(2970),
    [sym_const_block] = STATE(2079),
    [sym__pattern] = STATE(3300),
    [sym_tuple_pattern] = STATE(2079),
    [sym_slice_pattern] = STATE(2079),
    [sym_tuple_struct_pattern] = STATE(2079),
    [sym_struct_pattern] = STATE(2079),
    [sym_remaining_field_pattern] = STATE(2079),
    [sym_mut_pattern] = STATE(2079),
    [sym_range_pattern] = STATE(2079),
    [sym_ref_pattern] = STATE(2079),
    [sym_captured_pattern] = STATE(2079),
    [sym_reference_pattern] = STATE(2079),
    [sym_or_pattern] = STATE(2079),
    [sym__literal_pattern] = STATE(2005),
    [sym_negative_literal] = STATE(2004),
    [sym_string_literal] = STATE(2004),
    [sym_raw_string_literal] = STATE(2004),
    [sym_boolean_literal] = STATE(2004),
    [sym_line_comment] = STATE(828),
    [sym_block_comment] = STATE(828),
    [sym_identifier] = ACTIONS(2919),
    [anon_sym_LPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_u8] = ACTIONS(2927),
    [anon_sym_i8] = ACTIONS(2927),
    [anon_sym_u16] = ACTIONS(2927),
    [anon_sym_i16] = ACTIONS(2927),
    [anon_sym_u32] = ACTIONS(2927),
    [anon_sym_i32] = ACTIONS(2927),
    [anon_sym_u64] = ACTIONS(2927),
    [anon_sym_i64] = ACTIONS(2927),
    [anon_sym_u128] = ACTIONS(2927),
    [anon_sym_i128] = ACTIONS(2927),
    [anon_sym_isize] = ACTIONS(2927),
    [anon_sym_usize] = ACTIONS(2927),
    [anon_sym_f32] = ACTIONS(2927),
    [anon_sym_f64] = ACTIONS(2927),
    [anon_sym_bool] = ACTIONS(2927),
    [anon_sym_str] = ACTIONS(2927),
    [anon_sym_char] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(1262),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_PIPE] = ACTIONS(1268),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym__] = ACTIONS(1480),
    [anon_sym_DOT_DOT] = ACTIONS(1482),
    [anon_sym_COLON_COLON] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2935),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_ref] = ACTIONS(1300),
    [sym_mutable_specifier] = ACTIONS(1488),
    [sym_integer_literal] = ACTIONS(1306),
    [aux_sym_string_literal_token1] = ACTIONS(1308),
    [sym_char_literal] = ACTIONS(1306),
    [anon_sym_true] = ACTIONS(1310),
    [anon_sym_false] = ACTIONS(1310),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2939),
    [sym_super] = ACTIONS(2939),
    [sym_crate] = ACTIONS(2939),
    [sym_metavariable] = ACTIONS(2941),
    [sym__raw_string_literal_start] = ACTIONS(1318),
    [sym_float_literal] = ACTIONS(1306),
  },
  [829] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1976),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(829),
    [sym_block_comment] = STATE(829),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_PLUS] = ACTIONS(3051),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(3053),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3055),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [830] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(3061),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(830),
    [sym_block_comment] = STATE(830),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_PLUS] = ACTIONS(3051),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(3057),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [831] = {
    [sym_function_modifiers] = STATE(3473),
    [sym_removed_trait_bound] = STATE(1701),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1765),
    [sym_bracketed_type] = STATE(3529),
    [sym_lifetime] = STATE(3368),
    [sym_array_type] = STATE(1701),
    [sym_for_lifetimes] = STATE(1613),
    [sym_function_type] = STATE(1701),
    [sym_tuple_type] = STATE(1701),
    [sym_unit_type] = STATE(1701),
    [sym_generic_type] = STATE(1608),
    [sym_generic_type_with_turbofish] = STATE(3521),
    [sym_bounded_type] = STATE(1701),
    [sym_reference_type] = STATE(1701),
    [sym_pointer_type] = STATE(1701),
    [sym_never_type] = STATE(1701),
    [sym_abstract_type] = STATE(1701),
    [sym_dynamic_type] = STATE(1701),
    [sym_macro_invocation] = STATE(1701),
    [sym_scoped_identifier] = STATE(3264),
    [sym_scoped_type_identifier] = STATE(1526),
    [sym_line_comment] = STATE(831),
    [sym_block_comment] = STATE(831),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3059),
    [anon_sym_LPAREN] = ACTIONS(3061),
    [anon_sym_LBRACK] = ACTIONS(3063),
    [anon_sym_PLUS] = ACTIONS(3065),
    [anon_sym_STAR] = ACTIONS(3067),
    [anon_sym_QMARK] = ACTIONS(3069),
    [anon_sym_u8] = ACTIONS(3071),
    [anon_sym_i8] = ACTIONS(3071),
    [anon_sym_u16] = ACTIONS(3071),
    [anon_sym_i16] = ACTIONS(3071),
    [anon_sym_u32] = ACTIONS(3071),
    [anon_sym_i32] = ACTIONS(3071),
    [anon_sym_u64] = ACTIONS(3071),
    [anon_sym_i64] = ACTIONS(3071),
    [anon_sym_u128] = ACTIONS(3071),
    [anon_sym_i128] = ACTIONS(3071),
    [anon_sym_isize] = ACTIONS(3071),
    [anon_sym_usize] = ACTIONS(3071),
    [anon_sym_f32] = ACTIONS(3071),
    [anon_sym_f64] = ACTIONS(3071),
    [anon_sym_bool] = ACTIONS(3071),
    [anon_sym_str] = ACTIONS(3071),
    [anon_sym_char] = ACTIONS(3071),
    [anon_sym_BANG] = ACTIONS(3073),
    [anon_sym_AMP] = ACTIONS(3075),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(3077),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(3079),
    [anon_sym_fn] = ACTIONS(3081),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(3083),
    [anon_sym_union] = ACTIONS(3085),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(3087),
    [sym_mutable_specifier] = ACTIONS(3089),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3091),
    [sym_super] = ACTIONS(3091),
    [sym_crate] = ACTIONS(3091),
    [sym_metavariable] = ACTIONS(3093),
  },
  [832] = {
    [sym_function_modifiers] = STATE(3338),
    [sym_removed_trait_bound] = STATE(1451),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1213),
    [sym_bracketed_type] = STATE(3514),
    [sym_lifetime] = STATE(3511),
    [sym_array_type] = STATE(1451),
    [sym_for_lifetimes] = STATE(1592),
    [sym_function_type] = STATE(1451),
    [sym_tuple_type] = STATE(1451),
    [sym_unit_type] = STATE(1451),
    [sym_generic_type] = STATE(1078),
    [sym_generic_type_with_turbofish] = STATE(3504),
    [sym_bounded_type] = STATE(1451),
    [sym_reference_type] = STATE(1451),
    [sym_pointer_type] = STATE(1451),
    [sym_never_type] = STATE(1451),
    [sym_abstract_type] = STATE(1451),
    [sym_dynamic_type] = STATE(1451),
    [sym_macro_invocation] = STATE(1451),
    [sym_scoped_identifier] = STATE(3202),
    [sym_scoped_type_identifier] = STATE(1028),
    [sym_line_comment] = STATE(832),
    [sym_block_comment] = STATE(832),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3095),
    [anon_sym_LPAREN] = ACTIONS(3097),
    [anon_sym_LBRACK] = ACTIONS(3099),
    [anon_sym_PLUS] = ACTIONS(3101),
    [anon_sym_STAR] = ACTIONS(3103),
    [anon_sym_QMARK] = ACTIONS(3105),
    [anon_sym_u8] = ACTIONS(3107),
    [anon_sym_i8] = ACTIONS(3107),
    [anon_sym_u16] = ACTIONS(3107),
    [anon_sym_i16] = ACTIONS(3107),
    [anon_sym_u32] = ACTIONS(3107),
    [anon_sym_i32] = ACTIONS(3107),
    [anon_sym_u64] = ACTIONS(3107),
    [anon_sym_i64] = ACTIONS(3107),
    [anon_sym_u128] = ACTIONS(3107),
    [anon_sym_i128] = ACTIONS(3107),
    [anon_sym_isize] = ACTIONS(3107),
    [anon_sym_usize] = ACTIONS(3107),
    [anon_sym_f32] = ACTIONS(3107),
    [anon_sym_f64] = ACTIONS(3107),
    [anon_sym_bool] = ACTIONS(3107),
    [anon_sym_str] = ACTIONS(3107),
    [anon_sym_char] = ACTIONS(3107),
    [anon_sym_BANG] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3111),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(3113),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(3115),
    [anon_sym_fn] = ACTIONS(3117),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(3119),
    [anon_sym_union] = ACTIONS(3121),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(3123),
    [sym_mutable_specifier] = ACTIONS(3125),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3127),
    [sym_super] = ACTIONS(3127),
    [sym_crate] = ACTIONS(3127),
    [sym_metavariable] = ACTIONS(3129),
  },
  [833] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1976),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(833),
    [sym_block_comment] = STATE(833),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_PLUS] = ACTIONS(3051),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(3131),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [834] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2799),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(834),
    [sym_block_comment] = STATE(834),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_RPAREN] = ACTIONS(3133),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [835] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2506),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(835),
    [sym_block_comment] = STATE(835),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_RPAREN] = ACTIONS(3135),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [836] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2799),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(836),
    [sym_block_comment] = STATE(836),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_RPAREN] = ACTIONS(3137),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [837] = {
    [sym_function_modifiers] = STATE(3473),
    [sym_removed_trait_bound] = STATE(1701),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1747),
    [sym_bracketed_type] = STATE(3529),
    [sym_lifetime] = STATE(831),
    [sym_array_type] = STATE(1701),
    [sym_for_lifetimes] = STATE(1613),
    [sym_function_type] = STATE(1701),
    [sym_tuple_type] = STATE(1701),
    [sym_unit_type] = STATE(1701),
    [sym_generic_type] = STATE(1608),
    [sym_generic_type_with_turbofish] = STATE(3521),
    [sym_bounded_type] = STATE(1701),
    [sym_reference_type] = STATE(1701),
    [sym_pointer_type] = STATE(1701),
    [sym_never_type] = STATE(1701),
    [sym_abstract_type] = STATE(1701),
    [sym_dynamic_type] = STATE(1701),
    [sym_macro_invocation] = STATE(1701),
    [sym_scoped_identifier] = STATE(3264),
    [sym_scoped_type_identifier] = STATE(1526),
    [sym_line_comment] = STATE(837),
    [sym_block_comment] = STATE(837),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3059),
    [anon_sym_LPAREN] = ACTIONS(3061),
    [anon_sym_LBRACK] = ACTIONS(3063),
    [anon_sym_STAR] = ACTIONS(3067),
    [anon_sym_QMARK] = ACTIONS(3069),
    [anon_sym_u8] = ACTIONS(3071),
    [anon_sym_i8] = ACTIONS(3071),
    [anon_sym_u16] = ACTIONS(3071),
    [anon_sym_i16] = ACTIONS(3071),
    [anon_sym_u32] = ACTIONS(3071),
    [anon_sym_i32] = ACTIONS(3071),
    [anon_sym_u64] = ACTIONS(3071),
    [anon_sym_i64] = ACTIONS(3071),
    [anon_sym_u128] = ACTIONS(3071),
    [anon_sym_i128] = ACTIONS(3071),
    [anon_sym_isize] = ACTIONS(3071),
    [anon_sym_usize] = ACTIONS(3071),
    [anon_sym_f32] = ACTIONS(3071),
    [anon_sym_f64] = ACTIONS(3071),
    [anon_sym_bool] = ACTIONS(3071),
    [anon_sym_str] = ACTIONS(3071),
    [anon_sym_char] = ACTIONS(3071),
    [anon_sym_BANG] = ACTIONS(3073),
    [anon_sym_AMP] = ACTIONS(3075),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(3077),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(3079),
    [anon_sym_fn] = ACTIONS(3081),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(3083),
    [anon_sym_union] = ACTIONS(3085),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(3087),
    [sym_mutable_specifier] = ACTIONS(3139),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3091),
    [sym_super] = ACTIONS(3091),
    [sym_crate] = ACTIONS(3091),
    [sym_metavariable] = ACTIONS(3093),
  },
  [838] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1983),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(833),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(838),
    [sym_block_comment] = STATE(838),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(3141),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [839] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2799),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(839),
    [sym_block_comment] = STATE(839),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_RPAREN] = ACTIONS(3143),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [840] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_higher_ranked_trait_bound] = STATE(2208),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2177),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(2178),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(840),
    [sym_block_comment] = STATE(840),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(3145),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [841] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_type_parameters] = STATE(950),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2369),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(2382),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(2165),
    [sym_line_comment] = STATE(841),
    [sym_block_comment] = STATE(841),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3147),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(3149),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [842] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2622),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(842),
    [sym_block_comment] = STATE(842),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3153),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [843] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_higher_ranked_trait_bound] = STATE(2208),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2207),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(2223),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(843),
    [sym_block_comment] = STATE(843),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(3145),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [844] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_higher_ranked_trait_bound] = STATE(2208),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2207),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(2178),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(844),
    [sym_block_comment] = STATE(844),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(3145),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [845] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_type_parameters] = STATE(935),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2314),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(2341),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(2147),
    [sym_line_comment] = STATE(845),
    [sym_block_comment] = STATE(845),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3155),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(3157),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [846] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_higher_ranked_trait_bound] = STATE(2173),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2146),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(2153),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(846),
    [sym_block_comment] = STATE(846),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(3145),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [847] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(3069),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(830),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(847),
    [sym_block_comment] = STATE(847),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [sym_mutable_specifier] = ACTIONS(3159),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [848] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_type_parameters] = STATE(938),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2317),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(2319),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(2140),
    [sym_line_comment] = STATE(848),
    [sym_block_comment] = STATE(848),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3161),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(3163),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [849] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2819),
    [sym_bracketed_type] = STATE(3332),
    [sym_qualified_type] = STATE(3515),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(849),
    [sym_block_comment] = STATE(849),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [850] = {
    [sym_function_modifiers] = STATE(3338),
    [sym_removed_trait_bound] = STATE(1451),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1228),
    [sym_bracketed_type] = STATE(3514),
    [sym_lifetime] = STATE(832),
    [sym_array_type] = STATE(1451),
    [sym_for_lifetimes] = STATE(1592),
    [sym_function_type] = STATE(1451),
    [sym_tuple_type] = STATE(1451),
    [sym_unit_type] = STATE(1451),
    [sym_generic_type] = STATE(1078),
    [sym_generic_type_with_turbofish] = STATE(3504),
    [sym_bounded_type] = STATE(1451),
    [sym_reference_type] = STATE(1451),
    [sym_pointer_type] = STATE(1451),
    [sym_never_type] = STATE(1451),
    [sym_abstract_type] = STATE(1451),
    [sym_dynamic_type] = STATE(1451),
    [sym_macro_invocation] = STATE(1451),
    [sym_scoped_identifier] = STATE(3202),
    [sym_scoped_type_identifier] = STATE(1028),
    [sym_line_comment] = STATE(850),
    [sym_block_comment] = STATE(850),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3095),
    [anon_sym_LPAREN] = ACTIONS(3097),
    [anon_sym_LBRACK] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(3103),
    [anon_sym_QMARK] = ACTIONS(3105),
    [anon_sym_u8] = ACTIONS(3107),
    [anon_sym_i8] = ACTIONS(3107),
    [anon_sym_u16] = ACTIONS(3107),
    [anon_sym_i16] = ACTIONS(3107),
    [anon_sym_u32] = ACTIONS(3107),
    [anon_sym_i32] = ACTIONS(3107),
    [anon_sym_u64] = ACTIONS(3107),
    [anon_sym_i64] = ACTIONS(3107),
    [anon_sym_u128] = ACTIONS(3107),
    [anon_sym_i128] = ACTIONS(3107),
    [anon_sym_isize] = ACTIONS(3107),
    [anon_sym_usize] = ACTIONS(3107),
    [anon_sym_f32] = ACTIONS(3107),
    [anon_sym_f64] = ACTIONS(3107),
    [anon_sym_bool] = ACTIONS(3107),
    [anon_sym_str] = ACTIONS(3107),
    [anon_sym_char] = ACTIONS(3107),
    [anon_sym_BANG] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3111),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(3113),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(3115),
    [anon_sym_fn] = ACTIONS(3117),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(3119),
    [anon_sym_union] = ACTIONS(3121),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(3123),
    [sym_mutable_specifier] = ACTIONS(3165),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3127),
    [sym_super] = ACTIONS(3127),
    [sym_crate] = ACTIONS(3127),
    [sym_metavariable] = ACTIONS(3129),
  },
  [851] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2799),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(851),
    [sym_block_comment] = STATE(851),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_RPAREN] = ACTIONS(3167),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [852] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2799),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(852),
    [sym_block_comment] = STATE(852),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_RPAREN] = ACTIONS(3169),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [853] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_type_parameters] = STATE(959),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2295),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(2385),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(2170),
    [sym_line_comment] = STATE(853),
    [sym_block_comment] = STATE(853),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3171),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(3173),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(3151),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [854] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2601),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(854),
    [sym_block_comment] = STATE(854),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_RPAREN] = ACTIONS(3175),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [855] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2576),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(855),
    [sym_block_comment] = STATE(855),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_RPAREN] = ACTIONS(3177),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [856] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2664),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(856),
    [sym_block_comment] = STATE(856),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3179),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [857] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2799),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(857),
    [sym_block_comment] = STATE(857),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_RPAREN] = ACTIONS(3181),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [858] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2334),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(858),
    [sym_block_comment] = STATE(858),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [859] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1996),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(859),
    [sym_block_comment] = STATE(859),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [860] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1985),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(860),
    [sym_block_comment] = STATE(860),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [861] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1994),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(861),
    [sym_block_comment] = STATE(861),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [862] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2402),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(862),
    [sym_block_comment] = STATE(862),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [863] = {
    [sym_function_modifiers] = STATE(3473),
    [sym_removed_trait_bound] = STATE(1701),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1770),
    [sym_bracketed_type] = STATE(3529),
    [sym_lifetime] = STATE(3368),
    [sym_array_type] = STATE(1701),
    [sym_for_lifetimes] = STATE(1613),
    [sym_function_type] = STATE(1701),
    [sym_tuple_type] = STATE(1701),
    [sym_unit_type] = STATE(1701),
    [sym_generic_type] = STATE(1608),
    [sym_generic_type_with_turbofish] = STATE(3521),
    [sym_bounded_type] = STATE(1701),
    [sym_reference_type] = STATE(1701),
    [sym_pointer_type] = STATE(1701),
    [sym_never_type] = STATE(1701),
    [sym_abstract_type] = STATE(1701),
    [sym_dynamic_type] = STATE(1701),
    [sym_macro_invocation] = STATE(1701),
    [sym_scoped_identifier] = STATE(3264),
    [sym_scoped_type_identifier] = STATE(1526),
    [sym_line_comment] = STATE(863),
    [sym_block_comment] = STATE(863),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3059),
    [anon_sym_LPAREN] = ACTIONS(3061),
    [anon_sym_LBRACK] = ACTIONS(3063),
    [anon_sym_STAR] = ACTIONS(3067),
    [anon_sym_QMARK] = ACTIONS(3069),
    [anon_sym_u8] = ACTIONS(3071),
    [anon_sym_i8] = ACTIONS(3071),
    [anon_sym_u16] = ACTIONS(3071),
    [anon_sym_i16] = ACTIONS(3071),
    [anon_sym_u32] = ACTIONS(3071),
    [anon_sym_i32] = ACTIONS(3071),
    [anon_sym_u64] = ACTIONS(3071),
    [anon_sym_i64] = ACTIONS(3071),
    [anon_sym_u128] = ACTIONS(3071),
    [anon_sym_i128] = ACTIONS(3071),
    [anon_sym_isize] = ACTIONS(3071),
    [anon_sym_usize] = ACTIONS(3071),
    [anon_sym_f32] = ACTIONS(3071),
    [anon_sym_f64] = ACTIONS(3071),
    [anon_sym_bool] = ACTIONS(3071),
    [anon_sym_str] = ACTIONS(3071),
    [anon_sym_char] = ACTIONS(3071),
    [anon_sym_BANG] = ACTIONS(3073),
    [anon_sym_AMP] = ACTIONS(3075),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(3077),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(3079),
    [anon_sym_fn] = ACTIONS(3081),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(3083),
    [anon_sym_union] = ACTIONS(3085),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(3087),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3091),
    [sym_super] = ACTIONS(3091),
    [sym_crate] = ACTIONS(3091),
    [sym_metavariable] = ACTIONS(3093),
  },
  [864] = {
    [sym_function_modifiers] = STATE(3473),
    [sym_removed_trait_bound] = STATE(1701),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1729),
    [sym_bracketed_type] = STATE(3529),
    [sym_lifetime] = STATE(3368),
    [sym_array_type] = STATE(1701),
    [sym_for_lifetimes] = STATE(1613),
    [sym_function_type] = STATE(1701),
    [sym_tuple_type] = STATE(1701),
    [sym_unit_type] = STATE(1701),
    [sym_generic_type] = STATE(1608),
    [sym_generic_type_with_turbofish] = STATE(3521),
    [sym_bounded_type] = STATE(1701),
    [sym_reference_type] = STATE(1701),
    [sym_pointer_type] = STATE(1701),
    [sym_never_type] = STATE(1701),
    [sym_abstract_type] = STATE(1701),
    [sym_dynamic_type] = STATE(1701),
    [sym_macro_invocation] = STATE(1701),
    [sym_scoped_identifier] = STATE(3264),
    [sym_scoped_type_identifier] = STATE(1526),
    [sym_line_comment] = STATE(864),
    [sym_block_comment] = STATE(864),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3059),
    [anon_sym_LPAREN] = ACTIONS(3061),
    [anon_sym_LBRACK] = ACTIONS(3063),
    [anon_sym_STAR] = ACTIONS(3067),
    [anon_sym_QMARK] = ACTIONS(3069),
    [anon_sym_u8] = ACTIONS(3071),
    [anon_sym_i8] = ACTIONS(3071),
    [anon_sym_u16] = ACTIONS(3071),
    [anon_sym_i16] = ACTIONS(3071),
    [anon_sym_u32] = ACTIONS(3071),
    [anon_sym_i32] = ACTIONS(3071),
    [anon_sym_u64] = ACTIONS(3071),
    [anon_sym_i64] = ACTIONS(3071),
    [anon_sym_u128] = ACTIONS(3071),
    [anon_sym_i128] = ACTIONS(3071),
    [anon_sym_isize] = ACTIONS(3071),
    [anon_sym_usize] = ACTIONS(3071),
    [anon_sym_f32] = ACTIONS(3071),
    [anon_sym_f64] = ACTIONS(3071),
    [anon_sym_bool] = ACTIONS(3071),
    [anon_sym_str] = ACTIONS(3071),
    [anon_sym_char] = ACTIONS(3071),
    [anon_sym_BANG] = ACTIONS(3073),
    [anon_sym_AMP] = ACTIONS(3075),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(3077),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(3079),
    [anon_sym_fn] = ACTIONS(3081),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(3083),
    [anon_sym_union] = ACTIONS(3085),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(3087),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3091),
    [sym_super] = ACTIONS(3091),
    [sym_crate] = ACTIONS(3091),
    [sym_metavariable] = ACTIONS(3093),
  },
  [865] = {
    [sym_function_modifiers] = STATE(3473),
    [sym_removed_trait_bound] = STATE(1701),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1771),
    [sym_bracketed_type] = STATE(3529),
    [sym_lifetime] = STATE(3368),
    [sym_array_type] = STATE(1701),
    [sym_for_lifetimes] = STATE(1613),
    [sym_function_type] = STATE(1701),
    [sym_tuple_type] = STATE(1701),
    [sym_unit_type] = STATE(1701),
    [sym_generic_type] = STATE(1608),
    [sym_generic_type_with_turbofish] = STATE(3521),
    [sym_bounded_type] = STATE(1701),
    [sym_reference_type] = STATE(1701),
    [sym_pointer_type] = STATE(1701),
    [sym_never_type] = STATE(1701),
    [sym_abstract_type] = STATE(1701),
    [sym_dynamic_type] = STATE(1701),
    [sym_macro_invocation] = STATE(1701),
    [sym_scoped_identifier] = STATE(3264),
    [sym_scoped_type_identifier] = STATE(1526),
    [sym_line_comment] = STATE(865),
    [sym_block_comment] = STATE(865),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3059),
    [anon_sym_LPAREN] = ACTIONS(3061),
    [anon_sym_LBRACK] = ACTIONS(3063),
    [anon_sym_STAR] = ACTIONS(3067),
    [anon_sym_QMARK] = ACTIONS(3069),
    [anon_sym_u8] = ACTIONS(3071),
    [anon_sym_i8] = ACTIONS(3071),
    [anon_sym_u16] = ACTIONS(3071),
    [anon_sym_i16] = ACTIONS(3071),
    [anon_sym_u32] = ACTIONS(3071),
    [anon_sym_i32] = ACTIONS(3071),
    [anon_sym_u64] = ACTIONS(3071),
    [anon_sym_i64] = ACTIONS(3071),
    [anon_sym_u128] = ACTIONS(3071),
    [anon_sym_i128] = ACTIONS(3071),
    [anon_sym_isize] = ACTIONS(3071),
    [anon_sym_usize] = ACTIONS(3071),
    [anon_sym_f32] = ACTIONS(3071),
    [anon_sym_f64] = ACTIONS(3071),
    [anon_sym_bool] = ACTIONS(3071),
    [anon_sym_str] = ACTIONS(3071),
    [anon_sym_char] = ACTIONS(3071),
    [anon_sym_BANG] = ACTIONS(3073),
    [anon_sym_AMP] = ACTIONS(3075),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(3077),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(3079),
    [anon_sym_fn] = ACTIONS(3081),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(3083),
    [anon_sym_union] = ACTIONS(3085),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(3087),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3091),
    [sym_super] = ACTIONS(3091),
    [sym_crate] = ACTIONS(3091),
    [sym_metavariable] = ACTIONS(3093),
  },
  [866] = {
    [sym_function_modifiers] = STATE(3473),
    [sym_removed_trait_bound] = STATE(1701),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1731),
    [sym_bracketed_type] = STATE(3529),
    [sym_lifetime] = STATE(3368),
    [sym_array_type] = STATE(1701),
    [sym_for_lifetimes] = STATE(1613),
    [sym_function_type] = STATE(1701),
    [sym_tuple_type] = STATE(1701),
    [sym_unit_type] = STATE(1701),
    [sym_generic_type] = STATE(1608),
    [sym_generic_type_with_turbofish] = STATE(3521),
    [sym_bounded_type] = STATE(1701),
    [sym_reference_type] = STATE(1701),
    [sym_pointer_type] = STATE(1701),
    [sym_never_type] = STATE(1701),
    [sym_abstract_type] = STATE(1701),
    [sym_dynamic_type] = STATE(1701),
    [sym_macro_invocation] = STATE(1701),
    [sym_scoped_identifier] = STATE(3264),
    [sym_scoped_type_identifier] = STATE(1526),
    [sym_line_comment] = STATE(866),
    [sym_block_comment] = STATE(866),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3059),
    [anon_sym_LPAREN] = ACTIONS(3061),
    [anon_sym_LBRACK] = ACTIONS(3063),
    [anon_sym_STAR] = ACTIONS(3067),
    [anon_sym_QMARK] = ACTIONS(3069),
    [anon_sym_u8] = ACTIONS(3071),
    [anon_sym_i8] = ACTIONS(3071),
    [anon_sym_u16] = ACTIONS(3071),
    [anon_sym_i16] = ACTIONS(3071),
    [anon_sym_u32] = ACTIONS(3071),
    [anon_sym_i32] = ACTIONS(3071),
    [anon_sym_u64] = ACTIONS(3071),
    [anon_sym_i64] = ACTIONS(3071),
    [anon_sym_u128] = ACTIONS(3071),
    [anon_sym_i128] = ACTIONS(3071),
    [anon_sym_isize] = ACTIONS(3071),
    [anon_sym_usize] = ACTIONS(3071),
    [anon_sym_f32] = ACTIONS(3071),
    [anon_sym_f64] = ACTIONS(3071),
    [anon_sym_bool] = ACTIONS(3071),
    [anon_sym_str] = ACTIONS(3071),
    [anon_sym_char] = ACTIONS(3071),
    [anon_sym_BANG] = ACTIONS(3073),
    [anon_sym_AMP] = ACTIONS(3075),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(3077),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(3079),
    [anon_sym_fn] = ACTIONS(3081),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(3083),
    [anon_sym_union] = ACTIONS(3085),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(3087),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3091),
    [sym_super] = ACTIONS(3091),
    [sym_crate] = ACTIONS(3091),
    [sym_metavariable] = ACTIONS(3093),
  },
  [867] = {
    [sym_function_modifiers] = STATE(3473),
    [sym_removed_trait_bound] = STATE(1701),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1732),
    [sym_bracketed_type] = STATE(3529),
    [sym_lifetime] = STATE(3368),
    [sym_array_type] = STATE(1701),
    [sym_for_lifetimes] = STATE(1613),
    [sym_function_type] = STATE(1701),
    [sym_tuple_type] = STATE(1701),
    [sym_unit_type] = STATE(1701),
    [sym_generic_type] = STATE(1608),
    [sym_generic_type_with_turbofish] = STATE(3521),
    [sym_bounded_type] = STATE(1701),
    [sym_reference_type] = STATE(1701),
    [sym_pointer_type] = STATE(1701),
    [sym_never_type] = STATE(1701),
    [sym_abstract_type] = STATE(1701),
    [sym_dynamic_type] = STATE(1701),
    [sym_macro_invocation] = STATE(1701),
    [sym_scoped_identifier] = STATE(3264),
    [sym_scoped_type_identifier] = STATE(1526),
    [sym_line_comment] = STATE(867),
    [sym_block_comment] = STATE(867),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3059),
    [anon_sym_LPAREN] = ACTIONS(3061),
    [anon_sym_LBRACK] = ACTIONS(3063),
    [anon_sym_STAR] = ACTIONS(3067),
    [anon_sym_QMARK] = ACTIONS(3069),
    [anon_sym_u8] = ACTIONS(3071),
    [anon_sym_i8] = ACTIONS(3071),
    [anon_sym_u16] = ACTIONS(3071),
    [anon_sym_i16] = ACTIONS(3071),
    [anon_sym_u32] = ACTIONS(3071),
    [anon_sym_i32] = ACTIONS(3071),
    [anon_sym_u64] = ACTIONS(3071),
    [anon_sym_i64] = ACTIONS(3071),
    [anon_sym_u128] = ACTIONS(3071),
    [anon_sym_i128] = ACTIONS(3071),
    [anon_sym_isize] = ACTIONS(3071),
    [anon_sym_usize] = ACTIONS(3071),
    [anon_sym_f32] = ACTIONS(3071),
    [anon_sym_f64] = ACTIONS(3071),
    [anon_sym_bool] = ACTIONS(3071),
    [anon_sym_str] = ACTIONS(3071),
    [anon_sym_char] = ACTIONS(3071),
    [anon_sym_BANG] = ACTIONS(3073),
    [anon_sym_AMP] = ACTIONS(3075),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(3077),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(3079),
    [anon_sym_fn] = ACTIONS(3081),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(3083),
    [anon_sym_union] = ACTIONS(3085),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(3087),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3091),
    [sym_super] = ACTIONS(3091),
    [sym_crate] = ACTIONS(3091),
    [sym_metavariable] = ACTIONS(3093),
  },
  [868] = {
    [sym_function_modifiers] = STATE(3473),
    [sym_removed_trait_bound] = STATE(1701),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1736),
    [sym_bracketed_type] = STATE(3529),
    [sym_lifetime] = STATE(3368),
    [sym_array_type] = STATE(1701),
    [sym_for_lifetimes] = STATE(1613),
    [sym_function_type] = STATE(1701),
    [sym_tuple_type] = STATE(1701),
    [sym_unit_type] = STATE(1701),
    [sym_generic_type] = STATE(1608),
    [sym_generic_type_with_turbofish] = STATE(3521),
    [sym_bounded_type] = STATE(1701),
    [sym_reference_type] = STATE(1701),
    [sym_pointer_type] = STATE(1701),
    [sym_never_type] = STATE(1701),
    [sym_abstract_type] = STATE(1701),
    [sym_dynamic_type] = STATE(1701),
    [sym_macro_invocation] = STATE(1701),
    [sym_scoped_identifier] = STATE(3264),
    [sym_scoped_type_identifier] = STATE(1526),
    [sym_line_comment] = STATE(868),
    [sym_block_comment] = STATE(868),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3059),
    [anon_sym_LPAREN] = ACTIONS(3061),
    [anon_sym_LBRACK] = ACTIONS(3063),
    [anon_sym_STAR] = ACTIONS(3067),
    [anon_sym_QMARK] = ACTIONS(3069),
    [anon_sym_u8] = ACTIONS(3071),
    [anon_sym_i8] = ACTIONS(3071),
    [anon_sym_u16] = ACTIONS(3071),
    [anon_sym_i16] = ACTIONS(3071),
    [anon_sym_u32] = ACTIONS(3071),
    [anon_sym_i32] = ACTIONS(3071),
    [anon_sym_u64] = ACTIONS(3071),
    [anon_sym_i64] = ACTIONS(3071),
    [anon_sym_u128] = ACTIONS(3071),
    [anon_sym_i128] = ACTIONS(3071),
    [anon_sym_isize] = ACTIONS(3071),
    [anon_sym_usize] = ACTIONS(3071),
    [anon_sym_f32] = ACTIONS(3071),
    [anon_sym_f64] = ACTIONS(3071),
    [anon_sym_bool] = ACTIONS(3071),
    [anon_sym_str] = ACTIONS(3071),
    [anon_sym_char] = ACTIONS(3071),
    [anon_sym_BANG] = ACTIONS(3073),
    [anon_sym_AMP] = ACTIONS(3075),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(3077),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(3079),
    [anon_sym_fn] = ACTIONS(3081),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(3083),
    [anon_sym_union] = ACTIONS(3085),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(3087),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3091),
    [sym_super] = ACTIONS(3091),
    [sym_crate] = ACTIONS(3091),
    [sym_metavariable] = ACTIONS(3093),
  },
  [869] = {
    [sym_function_modifiers] = STATE(3473),
    [sym_removed_trait_bound] = STATE(1701),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1737),
    [sym_bracketed_type] = STATE(3529),
    [sym_lifetime] = STATE(3368),
    [sym_array_type] = STATE(1701),
    [sym_for_lifetimes] = STATE(1613),
    [sym_function_type] = STATE(1701),
    [sym_tuple_type] = STATE(1701),
    [sym_unit_type] = STATE(1701),
    [sym_generic_type] = STATE(1608),
    [sym_generic_type_with_turbofish] = STATE(3521),
    [sym_bounded_type] = STATE(1701),
    [sym_reference_type] = STATE(1701),
    [sym_pointer_type] = STATE(1701),
    [sym_never_type] = STATE(1701),
    [sym_abstract_type] = STATE(1701),
    [sym_dynamic_type] = STATE(1701),
    [sym_macro_invocation] = STATE(1701),
    [sym_scoped_identifier] = STATE(3264),
    [sym_scoped_type_identifier] = STATE(1526),
    [sym_line_comment] = STATE(869),
    [sym_block_comment] = STATE(869),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3059),
    [anon_sym_LPAREN] = ACTIONS(3061),
    [anon_sym_LBRACK] = ACTIONS(3063),
    [anon_sym_STAR] = ACTIONS(3067),
    [anon_sym_QMARK] = ACTIONS(3069),
    [anon_sym_u8] = ACTIONS(3071),
    [anon_sym_i8] = ACTIONS(3071),
    [anon_sym_u16] = ACTIONS(3071),
    [anon_sym_i16] = ACTIONS(3071),
    [anon_sym_u32] = ACTIONS(3071),
    [anon_sym_i32] = ACTIONS(3071),
    [anon_sym_u64] = ACTIONS(3071),
    [anon_sym_i64] = ACTIONS(3071),
    [anon_sym_u128] = ACTIONS(3071),
    [anon_sym_i128] = ACTIONS(3071),
    [anon_sym_isize] = ACTIONS(3071),
    [anon_sym_usize] = ACTIONS(3071),
    [anon_sym_f32] = ACTIONS(3071),
    [anon_sym_f64] = ACTIONS(3071),
    [anon_sym_bool] = ACTIONS(3071),
    [anon_sym_str] = ACTIONS(3071),
    [anon_sym_char] = ACTIONS(3071),
    [anon_sym_BANG] = ACTIONS(3073),
    [anon_sym_AMP] = ACTIONS(3075),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(3077),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(3079),
    [anon_sym_fn] = ACTIONS(3081),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(3083),
    [anon_sym_union] = ACTIONS(3085),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(3087),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3091),
    [sym_super] = ACTIONS(3091),
    [sym_crate] = ACTIONS(3091),
    [sym_metavariable] = ACTIONS(3093),
  },
  [870] = {
    [sym_function_modifiers] = STATE(3473),
    [sym_removed_trait_bound] = STATE(1701),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1738),
    [sym_bracketed_type] = STATE(3529),
    [sym_lifetime] = STATE(3368),
    [sym_array_type] = STATE(1701),
    [sym_for_lifetimes] = STATE(1613),
    [sym_function_type] = STATE(1701),
    [sym_tuple_type] = STATE(1701),
    [sym_unit_type] = STATE(1701),
    [sym_generic_type] = STATE(1608),
    [sym_generic_type_with_turbofish] = STATE(3521),
    [sym_bounded_type] = STATE(1701),
    [sym_reference_type] = STATE(1701),
    [sym_pointer_type] = STATE(1701),
    [sym_never_type] = STATE(1701),
    [sym_abstract_type] = STATE(1701),
    [sym_dynamic_type] = STATE(1701),
    [sym_macro_invocation] = STATE(1701),
    [sym_scoped_identifier] = STATE(3264),
    [sym_scoped_type_identifier] = STATE(1526),
    [sym_line_comment] = STATE(870),
    [sym_block_comment] = STATE(870),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3059),
    [anon_sym_LPAREN] = ACTIONS(3061),
    [anon_sym_LBRACK] = ACTIONS(3063),
    [anon_sym_STAR] = ACTIONS(3067),
    [anon_sym_QMARK] = ACTIONS(3069),
    [anon_sym_u8] = ACTIONS(3071),
    [anon_sym_i8] = ACTIONS(3071),
    [anon_sym_u16] = ACTIONS(3071),
    [anon_sym_i16] = ACTIONS(3071),
    [anon_sym_u32] = ACTIONS(3071),
    [anon_sym_i32] = ACTIONS(3071),
    [anon_sym_u64] = ACTIONS(3071),
    [anon_sym_i64] = ACTIONS(3071),
    [anon_sym_u128] = ACTIONS(3071),
    [anon_sym_i128] = ACTIONS(3071),
    [anon_sym_isize] = ACTIONS(3071),
    [anon_sym_usize] = ACTIONS(3071),
    [anon_sym_f32] = ACTIONS(3071),
    [anon_sym_f64] = ACTIONS(3071),
    [anon_sym_bool] = ACTIONS(3071),
    [anon_sym_str] = ACTIONS(3071),
    [anon_sym_char] = ACTIONS(3071),
    [anon_sym_BANG] = ACTIONS(3073),
    [anon_sym_AMP] = ACTIONS(3075),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(3077),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(3079),
    [anon_sym_fn] = ACTIONS(3081),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(3083),
    [anon_sym_union] = ACTIONS(3085),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(3087),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3091),
    [sym_super] = ACTIONS(3091),
    [sym_crate] = ACTIONS(3091),
    [sym_metavariable] = ACTIONS(3093),
  },
  [871] = {
    [sym_function_modifiers] = STATE(3473),
    [sym_removed_trait_bound] = STATE(1701),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1739),
    [sym_bracketed_type] = STATE(3529),
    [sym_lifetime] = STATE(3368),
    [sym_array_type] = STATE(1701),
    [sym_for_lifetimes] = STATE(1613),
    [sym_function_type] = STATE(1701),
    [sym_tuple_type] = STATE(1701),
    [sym_unit_type] = STATE(1701),
    [sym_generic_type] = STATE(1608),
    [sym_generic_type_with_turbofish] = STATE(3521),
    [sym_bounded_type] = STATE(1701),
    [sym_reference_type] = STATE(1701),
    [sym_pointer_type] = STATE(1701),
    [sym_never_type] = STATE(1701),
    [sym_abstract_type] = STATE(1701),
    [sym_dynamic_type] = STATE(1701),
    [sym_macro_invocation] = STATE(1701),
    [sym_scoped_identifier] = STATE(3264),
    [sym_scoped_type_identifier] = STATE(1526),
    [sym_line_comment] = STATE(871),
    [sym_block_comment] = STATE(871),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3059),
    [anon_sym_LPAREN] = ACTIONS(3061),
    [anon_sym_LBRACK] = ACTIONS(3063),
    [anon_sym_STAR] = ACTIONS(3067),
    [anon_sym_QMARK] = ACTIONS(3069),
    [anon_sym_u8] = ACTIONS(3071),
    [anon_sym_i8] = ACTIONS(3071),
    [anon_sym_u16] = ACTIONS(3071),
    [anon_sym_i16] = ACTIONS(3071),
    [anon_sym_u32] = ACTIONS(3071),
    [anon_sym_i32] = ACTIONS(3071),
    [anon_sym_u64] = ACTIONS(3071),
    [anon_sym_i64] = ACTIONS(3071),
    [anon_sym_u128] = ACTIONS(3071),
    [anon_sym_i128] = ACTIONS(3071),
    [anon_sym_isize] = ACTIONS(3071),
    [anon_sym_usize] = ACTIONS(3071),
    [anon_sym_f32] = ACTIONS(3071),
    [anon_sym_f64] = ACTIONS(3071),
    [anon_sym_bool] = ACTIONS(3071),
    [anon_sym_str] = ACTIONS(3071),
    [anon_sym_char] = ACTIONS(3071),
    [anon_sym_BANG] = ACTIONS(3073),
    [anon_sym_AMP] = ACTIONS(3075),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(3077),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(3079),
    [anon_sym_fn] = ACTIONS(3081),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(3083),
    [anon_sym_union] = ACTIONS(3085),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(3087),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3091),
    [sym_super] = ACTIONS(3091),
    [sym_crate] = ACTIONS(3091),
    [sym_metavariable] = ACTIONS(3093),
  },
  [872] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2184),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(872),
    [sym_block_comment] = STATE(872),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [873] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2350),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(873),
    [sym_block_comment] = STATE(873),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [874] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2351),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(874),
    [sym_block_comment] = STATE(874),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [875] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2837),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(875),
    [sym_block_comment] = STATE(875),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [876] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2863),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(876),
    [sym_block_comment] = STATE(876),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [877] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2355),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(877),
    [sym_block_comment] = STATE(877),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [878] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2874),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(878),
    [sym_block_comment] = STATE(878),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [879] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2357),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(879),
    [sym_block_comment] = STATE(879),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [880] = {
    [sym_function_modifiers] = STATE(3338),
    [sym_removed_trait_bound] = STATE(1451),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1223),
    [sym_bracketed_type] = STATE(3514),
    [sym_lifetime] = STATE(3511),
    [sym_array_type] = STATE(1451),
    [sym_for_lifetimes] = STATE(1592),
    [sym_function_type] = STATE(1451),
    [sym_tuple_type] = STATE(1451),
    [sym_unit_type] = STATE(1451),
    [sym_generic_type] = STATE(1078),
    [sym_generic_type_with_turbofish] = STATE(3504),
    [sym_bounded_type] = STATE(1451),
    [sym_reference_type] = STATE(1451),
    [sym_pointer_type] = STATE(1451),
    [sym_never_type] = STATE(1451),
    [sym_abstract_type] = STATE(1451),
    [sym_dynamic_type] = STATE(1451),
    [sym_macro_invocation] = STATE(1451),
    [sym_scoped_identifier] = STATE(3202),
    [sym_scoped_type_identifier] = STATE(1028),
    [sym_line_comment] = STATE(880),
    [sym_block_comment] = STATE(880),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3095),
    [anon_sym_LPAREN] = ACTIONS(3097),
    [anon_sym_LBRACK] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(3103),
    [anon_sym_QMARK] = ACTIONS(3105),
    [anon_sym_u8] = ACTIONS(3107),
    [anon_sym_i8] = ACTIONS(3107),
    [anon_sym_u16] = ACTIONS(3107),
    [anon_sym_i16] = ACTIONS(3107),
    [anon_sym_u32] = ACTIONS(3107),
    [anon_sym_i32] = ACTIONS(3107),
    [anon_sym_u64] = ACTIONS(3107),
    [anon_sym_i64] = ACTIONS(3107),
    [anon_sym_u128] = ACTIONS(3107),
    [anon_sym_i128] = ACTIONS(3107),
    [anon_sym_isize] = ACTIONS(3107),
    [anon_sym_usize] = ACTIONS(3107),
    [anon_sym_f32] = ACTIONS(3107),
    [anon_sym_f64] = ACTIONS(3107),
    [anon_sym_bool] = ACTIONS(3107),
    [anon_sym_str] = ACTIONS(3107),
    [anon_sym_char] = ACTIONS(3107),
    [anon_sym_BANG] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3111),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(3113),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(3115),
    [anon_sym_fn] = ACTIONS(3117),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(3119),
    [anon_sym_union] = ACTIONS(3121),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(3123),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3127),
    [sym_super] = ACTIONS(3127),
    [sym_crate] = ACTIONS(3127),
    [sym_metavariable] = ACTIONS(3129),
  },
  [881] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2668),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(881),
    [sym_block_comment] = STATE(881),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [882] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2896),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(882),
    [sym_block_comment] = STATE(882),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [883] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2952),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(883),
    [sym_block_comment] = STATE(883),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [884] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2467),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(884),
    [sym_block_comment] = STATE(884),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [885] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2698),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(885),
    [sym_block_comment] = STATE(885),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [886] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2576),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(886),
    [sym_block_comment] = STATE(886),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [887] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2358),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(887),
    [sym_block_comment] = STATE(887),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [888] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2359),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(888),
    [sym_block_comment] = STATE(888),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [889] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1990),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(1991),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(889),
    [sym_block_comment] = STATE(889),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2957),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [890] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1976),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(890),
    [sym_block_comment] = STATE(890),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [891] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2719),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(891),
    [sym_block_comment] = STATE(891),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [892] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2225),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(892),
    [sym_block_comment] = STATE(892),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [893] = {
    [sym_function_modifiers] = STATE(3338),
    [sym_removed_trait_bound] = STATE(1451),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1292),
    [sym_bracketed_type] = STATE(3514),
    [sym_lifetime] = STATE(3511),
    [sym_array_type] = STATE(1451),
    [sym_for_lifetimes] = STATE(1592),
    [sym_function_type] = STATE(1451),
    [sym_tuple_type] = STATE(1451),
    [sym_unit_type] = STATE(1451),
    [sym_generic_type] = STATE(1078),
    [sym_generic_type_with_turbofish] = STATE(3504),
    [sym_bounded_type] = STATE(1451),
    [sym_reference_type] = STATE(1451),
    [sym_pointer_type] = STATE(1451),
    [sym_never_type] = STATE(1451),
    [sym_abstract_type] = STATE(1451),
    [sym_dynamic_type] = STATE(1451),
    [sym_macro_invocation] = STATE(1451),
    [sym_scoped_identifier] = STATE(3202),
    [sym_scoped_type_identifier] = STATE(1028),
    [sym_line_comment] = STATE(893),
    [sym_block_comment] = STATE(893),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3095),
    [anon_sym_LPAREN] = ACTIONS(3097),
    [anon_sym_LBRACK] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(3103),
    [anon_sym_QMARK] = ACTIONS(3105),
    [anon_sym_u8] = ACTIONS(3107),
    [anon_sym_i8] = ACTIONS(3107),
    [anon_sym_u16] = ACTIONS(3107),
    [anon_sym_i16] = ACTIONS(3107),
    [anon_sym_u32] = ACTIONS(3107),
    [anon_sym_i32] = ACTIONS(3107),
    [anon_sym_u64] = ACTIONS(3107),
    [anon_sym_i64] = ACTIONS(3107),
    [anon_sym_u128] = ACTIONS(3107),
    [anon_sym_i128] = ACTIONS(3107),
    [anon_sym_isize] = ACTIONS(3107),
    [anon_sym_usize] = ACTIONS(3107),
    [anon_sym_f32] = ACTIONS(3107),
    [anon_sym_f64] = ACTIONS(3107),
    [anon_sym_bool] = ACTIONS(3107),
    [anon_sym_str] = ACTIONS(3107),
    [anon_sym_char] = ACTIONS(3107),
    [anon_sym_BANG] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3111),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(3113),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(3115),
    [anon_sym_fn] = ACTIONS(3117),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(3119),
    [anon_sym_union] = ACTIONS(3121),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(3123),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3127),
    [sym_super] = ACTIONS(3127),
    [sym_crate] = ACTIONS(3127),
    [sym_metavariable] = ACTIONS(3129),
  },
  [894] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2565),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(894),
    [sym_block_comment] = STATE(894),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [895] = {
    [sym_function_modifiers] = STATE(3338),
    [sym_removed_trait_bound] = STATE(1451),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1294),
    [sym_bracketed_type] = STATE(3514),
    [sym_lifetime] = STATE(3511),
    [sym_array_type] = STATE(1451),
    [sym_for_lifetimes] = STATE(1592),
    [sym_function_type] = STATE(1451),
    [sym_tuple_type] = STATE(1451),
    [sym_unit_type] = STATE(1451),
    [sym_generic_type] = STATE(1078),
    [sym_generic_type_with_turbofish] = STATE(3504),
    [sym_bounded_type] = STATE(1451),
    [sym_reference_type] = STATE(1451),
    [sym_pointer_type] = STATE(1451),
    [sym_never_type] = STATE(1451),
    [sym_abstract_type] = STATE(1451),
    [sym_dynamic_type] = STATE(1451),
    [sym_macro_invocation] = STATE(1451),
    [sym_scoped_identifier] = STATE(3202),
    [sym_scoped_type_identifier] = STATE(1028),
    [sym_line_comment] = STATE(895),
    [sym_block_comment] = STATE(895),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3095),
    [anon_sym_LPAREN] = ACTIONS(3097),
    [anon_sym_LBRACK] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(3103),
    [anon_sym_QMARK] = ACTIONS(3105),
    [anon_sym_u8] = ACTIONS(3107),
    [anon_sym_i8] = ACTIONS(3107),
    [anon_sym_u16] = ACTIONS(3107),
    [anon_sym_i16] = ACTIONS(3107),
    [anon_sym_u32] = ACTIONS(3107),
    [anon_sym_i32] = ACTIONS(3107),
    [anon_sym_u64] = ACTIONS(3107),
    [anon_sym_i64] = ACTIONS(3107),
    [anon_sym_u128] = ACTIONS(3107),
    [anon_sym_i128] = ACTIONS(3107),
    [anon_sym_isize] = ACTIONS(3107),
    [anon_sym_usize] = ACTIONS(3107),
    [anon_sym_f32] = ACTIONS(3107),
    [anon_sym_f64] = ACTIONS(3107),
    [anon_sym_bool] = ACTIONS(3107),
    [anon_sym_str] = ACTIONS(3107),
    [anon_sym_char] = ACTIONS(3107),
    [anon_sym_BANG] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3111),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(3113),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(3115),
    [anon_sym_fn] = ACTIONS(3117),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(3119),
    [anon_sym_union] = ACTIONS(3121),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(3123),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3127),
    [sym_super] = ACTIONS(3127),
    [sym_crate] = ACTIONS(3127),
    [sym_metavariable] = ACTIONS(3129),
  },
  [896] = {
    [sym_function_modifiers] = STATE(3338),
    [sym_removed_trait_bound] = STATE(1451),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1225),
    [sym_bracketed_type] = STATE(3514),
    [sym_lifetime] = STATE(3511),
    [sym_array_type] = STATE(1451),
    [sym_for_lifetimes] = STATE(1592),
    [sym_function_type] = STATE(1451),
    [sym_tuple_type] = STATE(1451),
    [sym_unit_type] = STATE(1451),
    [sym_generic_type] = STATE(1078),
    [sym_generic_type_with_turbofish] = STATE(3504),
    [sym_bounded_type] = STATE(1451),
    [sym_reference_type] = STATE(1451),
    [sym_pointer_type] = STATE(1451),
    [sym_never_type] = STATE(1451),
    [sym_abstract_type] = STATE(1451),
    [sym_dynamic_type] = STATE(1451),
    [sym_macro_invocation] = STATE(1451),
    [sym_scoped_identifier] = STATE(3202),
    [sym_scoped_type_identifier] = STATE(1028),
    [sym_line_comment] = STATE(896),
    [sym_block_comment] = STATE(896),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3095),
    [anon_sym_LPAREN] = ACTIONS(3097),
    [anon_sym_LBRACK] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(3103),
    [anon_sym_QMARK] = ACTIONS(3105),
    [anon_sym_u8] = ACTIONS(3107),
    [anon_sym_i8] = ACTIONS(3107),
    [anon_sym_u16] = ACTIONS(3107),
    [anon_sym_i16] = ACTIONS(3107),
    [anon_sym_u32] = ACTIONS(3107),
    [anon_sym_i32] = ACTIONS(3107),
    [anon_sym_u64] = ACTIONS(3107),
    [anon_sym_i64] = ACTIONS(3107),
    [anon_sym_u128] = ACTIONS(3107),
    [anon_sym_i128] = ACTIONS(3107),
    [anon_sym_isize] = ACTIONS(3107),
    [anon_sym_usize] = ACTIONS(3107),
    [anon_sym_f32] = ACTIONS(3107),
    [anon_sym_f64] = ACTIONS(3107),
    [anon_sym_bool] = ACTIONS(3107),
    [anon_sym_str] = ACTIONS(3107),
    [anon_sym_char] = ACTIONS(3107),
    [anon_sym_BANG] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3111),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(3113),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(3115),
    [anon_sym_fn] = ACTIONS(3117),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(3119),
    [anon_sym_union] = ACTIONS(3121),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(3123),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3127),
    [sym_super] = ACTIONS(3127),
    [sym_crate] = ACTIONS(3127),
    [sym_metavariable] = ACTIONS(3129),
  },
  [897] = {
    [sym_function_modifiers] = STATE(3338),
    [sym_removed_trait_bound] = STATE(1451),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1210),
    [sym_bracketed_type] = STATE(3514),
    [sym_lifetime] = STATE(3511),
    [sym_array_type] = STATE(1451),
    [sym_for_lifetimes] = STATE(1592),
    [sym_function_type] = STATE(1451),
    [sym_tuple_type] = STATE(1451),
    [sym_unit_type] = STATE(1451),
    [sym_generic_type] = STATE(1078),
    [sym_generic_type_with_turbofish] = STATE(3504),
    [sym_bounded_type] = STATE(1451),
    [sym_reference_type] = STATE(1451),
    [sym_pointer_type] = STATE(1451),
    [sym_never_type] = STATE(1451),
    [sym_abstract_type] = STATE(1451),
    [sym_dynamic_type] = STATE(1451),
    [sym_macro_invocation] = STATE(1451),
    [sym_scoped_identifier] = STATE(3202),
    [sym_scoped_type_identifier] = STATE(1028),
    [sym_line_comment] = STATE(897),
    [sym_block_comment] = STATE(897),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3095),
    [anon_sym_LPAREN] = ACTIONS(3097),
    [anon_sym_LBRACK] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(3103),
    [anon_sym_QMARK] = ACTIONS(3105),
    [anon_sym_u8] = ACTIONS(3107),
    [anon_sym_i8] = ACTIONS(3107),
    [anon_sym_u16] = ACTIONS(3107),
    [anon_sym_i16] = ACTIONS(3107),
    [anon_sym_u32] = ACTIONS(3107),
    [anon_sym_i32] = ACTIONS(3107),
    [anon_sym_u64] = ACTIONS(3107),
    [anon_sym_i64] = ACTIONS(3107),
    [anon_sym_u128] = ACTIONS(3107),
    [anon_sym_i128] = ACTIONS(3107),
    [anon_sym_isize] = ACTIONS(3107),
    [anon_sym_usize] = ACTIONS(3107),
    [anon_sym_f32] = ACTIONS(3107),
    [anon_sym_f64] = ACTIONS(3107),
    [anon_sym_bool] = ACTIONS(3107),
    [anon_sym_str] = ACTIONS(3107),
    [anon_sym_char] = ACTIONS(3107),
    [anon_sym_BANG] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3111),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(3113),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(3115),
    [anon_sym_fn] = ACTIONS(3117),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(3119),
    [anon_sym_union] = ACTIONS(3121),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(3123),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3127),
    [sym_super] = ACTIONS(3127),
    [sym_crate] = ACTIONS(3127),
    [sym_metavariable] = ACTIONS(3129),
  },
  [898] = {
    [sym_function_modifiers] = STATE(3473),
    [sym_removed_trait_bound] = STATE(1701),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1667),
    [sym_bracketed_type] = STATE(3529),
    [sym_lifetime] = STATE(3368),
    [sym_array_type] = STATE(1701),
    [sym_for_lifetimes] = STATE(1613),
    [sym_function_type] = STATE(1701),
    [sym_tuple_type] = STATE(1701),
    [sym_unit_type] = STATE(1701),
    [sym_generic_type] = STATE(1608),
    [sym_generic_type_with_turbofish] = STATE(3521),
    [sym_bounded_type] = STATE(1701),
    [sym_reference_type] = STATE(1701),
    [sym_pointer_type] = STATE(1701),
    [sym_never_type] = STATE(1701),
    [sym_abstract_type] = STATE(1701),
    [sym_dynamic_type] = STATE(1701),
    [sym_macro_invocation] = STATE(1701),
    [sym_scoped_identifier] = STATE(3264),
    [sym_scoped_type_identifier] = STATE(1526),
    [sym_line_comment] = STATE(898),
    [sym_block_comment] = STATE(898),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3059),
    [anon_sym_LPAREN] = ACTIONS(3061),
    [anon_sym_LBRACK] = ACTIONS(3063),
    [anon_sym_STAR] = ACTIONS(3067),
    [anon_sym_QMARK] = ACTIONS(3069),
    [anon_sym_u8] = ACTIONS(3071),
    [anon_sym_i8] = ACTIONS(3071),
    [anon_sym_u16] = ACTIONS(3071),
    [anon_sym_i16] = ACTIONS(3071),
    [anon_sym_u32] = ACTIONS(3071),
    [anon_sym_i32] = ACTIONS(3071),
    [anon_sym_u64] = ACTIONS(3071),
    [anon_sym_i64] = ACTIONS(3071),
    [anon_sym_u128] = ACTIONS(3071),
    [anon_sym_i128] = ACTIONS(3071),
    [anon_sym_isize] = ACTIONS(3071),
    [anon_sym_usize] = ACTIONS(3071),
    [anon_sym_f32] = ACTIONS(3071),
    [anon_sym_f64] = ACTIONS(3071),
    [anon_sym_bool] = ACTIONS(3071),
    [anon_sym_str] = ACTIONS(3071),
    [anon_sym_char] = ACTIONS(3071),
    [anon_sym_BANG] = ACTIONS(3073),
    [anon_sym_AMP] = ACTIONS(3075),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(3077),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(3079),
    [anon_sym_fn] = ACTIONS(3081),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(3083),
    [anon_sym_union] = ACTIONS(3085),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(3087),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3091),
    [sym_super] = ACTIONS(3091),
    [sym_crate] = ACTIONS(3091),
    [sym_metavariable] = ACTIONS(3093),
  },
  [899] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(3018),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(899),
    [sym_block_comment] = STATE(899),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [900] = {
    [sym_function_modifiers] = STATE(3338),
    [sym_removed_trait_bound] = STATE(1451),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1298),
    [sym_bracketed_type] = STATE(3514),
    [sym_lifetime] = STATE(3511),
    [sym_array_type] = STATE(1451),
    [sym_for_lifetimes] = STATE(1592),
    [sym_function_type] = STATE(1451),
    [sym_tuple_type] = STATE(1451),
    [sym_unit_type] = STATE(1451),
    [sym_generic_type] = STATE(1078),
    [sym_generic_type_with_turbofish] = STATE(3504),
    [sym_bounded_type] = STATE(1451),
    [sym_reference_type] = STATE(1451),
    [sym_pointer_type] = STATE(1451),
    [sym_never_type] = STATE(1451),
    [sym_abstract_type] = STATE(1451),
    [sym_dynamic_type] = STATE(1451),
    [sym_macro_invocation] = STATE(1451),
    [sym_scoped_identifier] = STATE(3202),
    [sym_scoped_type_identifier] = STATE(1028),
    [sym_line_comment] = STATE(900),
    [sym_block_comment] = STATE(900),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3095),
    [anon_sym_LPAREN] = ACTIONS(3097),
    [anon_sym_LBRACK] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(3103),
    [anon_sym_QMARK] = ACTIONS(3105),
    [anon_sym_u8] = ACTIONS(3107),
    [anon_sym_i8] = ACTIONS(3107),
    [anon_sym_u16] = ACTIONS(3107),
    [anon_sym_i16] = ACTIONS(3107),
    [anon_sym_u32] = ACTIONS(3107),
    [anon_sym_i32] = ACTIONS(3107),
    [anon_sym_u64] = ACTIONS(3107),
    [anon_sym_i64] = ACTIONS(3107),
    [anon_sym_u128] = ACTIONS(3107),
    [anon_sym_i128] = ACTIONS(3107),
    [anon_sym_isize] = ACTIONS(3107),
    [anon_sym_usize] = ACTIONS(3107),
    [anon_sym_f32] = ACTIONS(3107),
    [anon_sym_f64] = ACTIONS(3107),
    [anon_sym_bool] = ACTIONS(3107),
    [anon_sym_str] = ACTIONS(3107),
    [anon_sym_char] = ACTIONS(3107),
    [anon_sym_BANG] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3111),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(3113),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(3115),
    [anon_sym_fn] = ACTIONS(3117),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(3119),
    [anon_sym_union] = ACTIONS(3121),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(3123),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3127),
    [sym_super] = ACTIONS(3127),
    [sym_crate] = ACTIONS(3127),
    [sym_metavariable] = ACTIONS(3129),
  },
  [901] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(3059),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(901),
    [sym_block_comment] = STATE(901),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [902] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(3061),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(902),
    [sym_block_comment] = STATE(902),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [903] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(3015),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(903),
    [sym_block_comment] = STATE(903),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [904] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2506),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(904),
    [sym_block_comment] = STATE(904),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [905] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1990),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(1991),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(905),
    [sym_block_comment] = STATE(905),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [906] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(3277),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(906),
    [sym_block_comment] = STATE(906),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [907] = {
    [sym_function_modifiers] = STATE(3338),
    [sym_removed_trait_bound] = STATE(1451),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1305),
    [sym_bracketed_type] = STATE(3514),
    [sym_lifetime] = STATE(3511),
    [sym_array_type] = STATE(1451),
    [sym_for_lifetimes] = STATE(1592),
    [sym_function_type] = STATE(1451),
    [sym_tuple_type] = STATE(1451),
    [sym_unit_type] = STATE(1451),
    [sym_generic_type] = STATE(1078),
    [sym_generic_type_with_turbofish] = STATE(3504),
    [sym_bounded_type] = STATE(1451),
    [sym_reference_type] = STATE(1451),
    [sym_pointer_type] = STATE(1451),
    [sym_never_type] = STATE(1451),
    [sym_abstract_type] = STATE(1451),
    [sym_dynamic_type] = STATE(1451),
    [sym_macro_invocation] = STATE(1451),
    [sym_scoped_identifier] = STATE(3202),
    [sym_scoped_type_identifier] = STATE(1028),
    [sym_line_comment] = STATE(907),
    [sym_block_comment] = STATE(907),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3095),
    [anon_sym_LPAREN] = ACTIONS(3097),
    [anon_sym_LBRACK] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(3103),
    [anon_sym_QMARK] = ACTIONS(3105),
    [anon_sym_u8] = ACTIONS(3107),
    [anon_sym_i8] = ACTIONS(3107),
    [anon_sym_u16] = ACTIONS(3107),
    [anon_sym_i16] = ACTIONS(3107),
    [anon_sym_u32] = ACTIONS(3107),
    [anon_sym_i32] = ACTIONS(3107),
    [anon_sym_u64] = ACTIONS(3107),
    [anon_sym_i64] = ACTIONS(3107),
    [anon_sym_u128] = ACTIONS(3107),
    [anon_sym_i128] = ACTIONS(3107),
    [anon_sym_isize] = ACTIONS(3107),
    [anon_sym_usize] = ACTIONS(3107),
    [anon_sym_f32] = ACTIONS(3107),
    [anon_sym_f64] = ACTIONS(3107),
    [anon_sym_bool] = ACTIONS(3107),
    [anon_sym_str] = ACTIONS(3107),
    [anon_sym_char] = ACTIONS(3107),
    [anon_sym_BANG] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3111),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(3113),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(3115),
    [anon_sym_fn] = ACTIONS(3117),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(3119),
    [anon_sym_union] = ACTIONS(3121),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(3123),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3127),
    [sym_super] = ACTIONS(3127),
    [sym_crate] = ACTIONS(3127),
    [sym_metavariable] = ACTIONS(3129),
  },
  [908] = {
    [sym_line_comment] = STATE(908),
    [sym_block_comment] = STATE(908),
    [sym_identifier] = ACTIONS(2412),
    [anon_sym_LPAREN] = ACTIONS(2410),
    [anon_sym_LBRACK] = ACTIONS(2410),
    [anon_sym_RBRACK] = ACTIONS(2410),
    [anon_sym_LBRACE] = ACTIONS(2410),
    [anon_sym_STAR] = ACTIONS(2410),
    [anon_sym_u8] = ACTIONS(2412),
    [anon_sym_i8] = ACTIONS(2412),
    [anon_sym_u16] = ACTIONS(2412),
    [anon_sym_i16] = ACTIONS(2412),
    [anon_sym_u32] = ACTIONS(2412),
    [anon_sym_i32] = ACTIONS(2412),
    [anon_sym_u64] = ACTIONS(2412),
    [anon_sym_i64] = ACTIONS(2412),
    [anon_sym_u128] = ACTIONS(2412),
    [anon_sym_i128] = ACTIONS(2412),
    [anon_sym_isize] = ACTIONS(2412),
    [anon_sym_usize] = ACTIONS(2412),
    [anon_sym_f32] = ACTIONS(2412),
    [anon_sym_f64] = ACTIONS(2412),
    [anon_sym_bool] = ACTIONS(2412),
    [anon_sym_str] = ACTIONS(2412),
    [anon_sym_char] = ACTIONS(2412),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_BANG] = ACTIONS(2410),
    [anon_sym_AMP] = ACTIONS(2410),
    [anon_sym_PIPE] = ACTIONS(2410),
    [anon_sym_LT] = ACTIONS(2410),
    [anon_sym__] = ACTIONS(2412),
    [anon_sym_DOT_DOT] = ACTIONS(2410),
    [anon_sym_COMMA] = ACTIONS(2410),
    [anon_sym_COLON_COLON] = ACTIONS(2410),
    [anon_sym_POUND] = ACTIONS(2410),
    [anon_sym_SQUOTE] = ACTIONS(2412),
    [anon_sym_async] = ACTIONS(2412),
    [anon_sym_break] = ACTIONS(2412),
    [anon_sym_const] = ACTIONS(2412),
    [anon_sym_continue] = ACTIONS(2412),
    [anon_sym_default] = ACTIONS(2412),
    [anon_sym_for] = ACTIONS(2412),
    [anon_sym_if] = ACTIONS(2412),
    [anon_sym_loop] = ACTIONS(2412),
    [anon_sym_match] = ACTIONS(2412),
    [anon_sym_return] = ACTIONS(2412),
    [anon_sym_static] = ACTIONS(2412),
    [anon_sym_union] = ACTIONS(2412),
    [anon_sym_unsafe] = ACTIONS(2412),
    [anon_sym_while] = ACTIONS(2412),
    [anon_sym_ref] = ACTIONS(2412),
    [sym_mutable_specifier] = ACTIONS(2412),
    [anon_sym_yield] = ACTIONS(2412),
    [anon_sym_move] = ACTIONS(2412),
    [anon_sym_try] = ACTIONS(2412),
    [sym_integer_literal] = ACTIONS(2410),
    [aux_sym_string_literal_token1] = ACTIONS(2410),
    [sym_char_literal] = ACTIONS(2410),
    [anon_sym_true] = ACTIONS(2412),
    [anon_sym_false] = ACTIONS(2412),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(2412),
    [sym_super] = ACTIONS(2412),
    [sym_crate] = ACTIONS(2412),
    [sym_metavariable] = ACTIONS(2410),
    [sym__raw_string_literal_start] = ACTIONS(2410),
    [sym_float_literal] = ACTIONS(2410),
  },
  [909] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2574),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(909),
    [sym_block_comment] = STATE(909),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [910] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2987),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(910),
    [sym_block_comment] = STATE(910),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [911] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(3166),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(911),
    [sym_block_comment] = STATE(911),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [912] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(3048),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(912),
    [sym_block_comment] = STATE(912),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [913] = {
    [sym_function_modifiers] = STATE(3338),
    [sym_removed_trait_bound] = STATE(1451),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1309),
    [sym_bracketed_type] = STATE(3514),
    [sym_lifetime] = STATE(3511),
    [sym_array_type] = STATE(1451),
    [sym_for_lifetimes] = STATE(1592),
    [sym_function_type] = STATE(1451),
    [sym_tuple_type] = STATE(1451),
    [sym_unit_type] = STATE(1451),
    [sym_generic_type] = STATE(1078),
    [sym_generic_type_with_turbofish] = STATE(3504),
    [sym_bounded_type] = STATE(1451),
    [sym_reference_type] = STATE(1451),
    [sym_pointer_type] = STATE(1451),
    [sym_never_type] = STATE(1451),
    [sym_abstract_type] = STATE(1451),
    [sym_dynamic_type] = STATE(1451),
    [sym_macro_invocation] = STATE(1451),
    [sym_scoped_identifier] = STATE(3202),
    [sym_scoped_type_identifier] = STATE(1028),
    [sym_line_comment] = STATE(913),
    [sym_block_comment] = STATE(913),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3095),
    [anon_sym_LPAREN] = ACTIONS(3097),
    [anon_sym_LBRACK] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(3103),
    [anon_sym_QMARK] = ACTIONS(3105),
    [anon_sym_u8] = ACTIONS(3107),
    [anon_sym_i8] = ACTIONS(3107),
    [anon_sym_u16] = ACTIONS(3107),
    [anon_sym_i16] = ACTIONS(3107),
    [anon_sym_u32] = ACTIONS(3107),
    [anon_sym_i32] = ACTIONS(3107),
    [anon_sym_u64] = ACTIONS(3107),
    [anon_sym_i64] = ACTIONS(3107),
    [anon_sym_u128] = ACTIONS(3107),
    [anon_sym_i128] = ACTIONS(3107),
    [anon_sym_isize] = ACTIONS(3107),
    [anon_sym_usize] = ACTIONS(3107),
    [anon_sym_f32] = ACTIONS(3107),
    [anon_sym_f64] = ACTIONS(3107),
    [anon_sym_bool] = ACTIONS(3107),
    [anon_sym_str] = ACTIONS(3107),
    [anon_sym_char] = ACTIONS(3107),
    [anon_sym_BANG] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3111),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(3113),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(3115),
    [anon_sym_fn] = ACTIONS(3117),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(3119),
    [anon_sym_union] = ACTIONS(3121),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(3123),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3127),
    [sym_super] = ACTIONS(3127),
    [sym_crate] = ACTIONS(3127),
    [sym_metavariable] = ACTIONS(3129),
  },
  [914] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2394),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(914),
    [sym_block_comment] = STATE(914),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [915] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2934),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(915),
    [sym_block_comment] = STATE(915),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [916] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2799),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(916),
    [sym_block_comment] = STATE(916),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [917] = {
    [sym_function_modifiers] = STATE(3338),
    [sym_removed_trait_bound] = STATE(1451),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1388),
    [sym_bracketed_type] = STATE(3514),
    [sym_lifetime] = STATE(3511),
    [sym_array_type] = STATE(1451),
    [sym_for_lifetimes] = STATE(1592),
    [sym_function_type] = STATE(1451),
    [sym_tuple_type] = STATE(1451),
    [sym_unit_type] = STATE(1451),
    [sym_generic_type] = STATE(1078),
    [sym_generic_type_with_turbofish] = STATE(3504),
    [sym_bounded_type] = STATE(1451),
    [sym_reference_type] = STATE(1451),
    [sym_pointer_type] = STATE(1451),
    [sym_never_type] = STATE(1451),
    [sym_abstract_type] = STATE(1451),
    [sym_dynamic_type] = STATE(1451),
    [sym_macro_invocation] = STATE(1451),
    [sym_scoped_identifier] = STATE(3202),
    [sym_scoped_type_identifier] = STATE(1028),
    [sym_line_comment] = STATE(917),
    [sym_block_comment] = STATE(917),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3095),
    [anon_sym_LPAREN] = ACTIONS(3097),
    [anon_sym_LBRACK] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(3103),
    [anon_sym_QMARK] = ACTIONS(3105),
    [anon_sym_u8] = ACTIONS(3107),
    [anon_sym_i8] = ACTIONS(3107),
    [anon_sym_u16] = ACTIONS(3107),
    [anon_sym_i16] = ACTIONS(3107),
    [anon_sym_u32] = ACTIONS(3107),
    [anon_sym_i32] = ACTIONS(3107),
    [anon_sym_u64] = ACTIONS(3107),
    [anon_sym_i64] = ACTIONS(3107),
    [anon_sym_u128] = ACTIONS(3107),
    [anon_sym_i128] = ACTIONS(3107),
    [anon_sym_isize] = ACTIONS(3107),
    [anon_sym_usize] = ACTIONS(3107),
    [anon_sym_f32] = ACTIONS(3107),
    [anon_sym_f64] = ACTIONS(3107),
    [anon_sym_bool] = ACTIONS(3107),
    [anon_sym_str] = ACTIONS(3107),
    [anon_sym_char] = ACTIONS(3107),
    [anon_sym_BANG] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3111),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(3113),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(3115),
    [anon_sym_fn] = ACTIONS(3117),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(3119),
    [anon_sym_union] = ACTIONS(3121),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(3123),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3127),
    [sym_super] = ACTIONS(3127),
    [sym_crate] = ACTIONS(3127),
    [sym_metavariable] = ACTIONS(3129),
  },
  [918] = {
    [sym_function_modifiers] = STATE(3338),
    [sym_removed_trait_bound] = STATE(1451),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1389),
    [sym_bracketed_type] = STATE(3514),
    [sym_lifetime] = STATE(3511),
    [sym_array_type] = STATE(1451),
    [sym_for_lifetimes] = STATE(1592),
    [sym_function_type] = STATE(1451),
    [sym_tuple_type] = STATE(1451),
    [sym_unit_type] = STATE(1451),
    [sym_generic_type] = STATE(1078),
    [sym_generic_type_with_turbofish] = STATE(3504),
    [sym_bounded_type] = STATE(1451),
    [sym_reference_type] = STATE(1451),
    [sym_pointer_type] = STATE(1451),
    [sym_never_type] = STATE(1451),
    [sym_abstract_type] = STATE(1451),
    [sym_dynamic_type] = STATE(1451),
    [sym_macro_invocation] = STATE(1451),
    [sym_scoped_identifier] = STATE(3202),
    [sym_scoped_type_identifier] = STATE(1028),
    [sym_line_comment] = STATE(918),
    [sym_block_comment] = STATE(918),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3095),
    [anon_sym_LPAREN] = ACTIONS(3097),
    [anon_sym_LBRACK] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(3103),
    [anon_sym_QMARK] = ACTIONS(3105),
    [anon_sym_u8] = ACTIONS(3107),
    [anon_sym_i8] = ACTIONS(3107),
    [anon_sym_u16] = ACTIONS(3107),
    [anon_sym_i16] = ACTIONS(3107),
    [anon_sym_u32] = ACTIONS(3107),
    [anon_sym_i32] = ACTIONS(3107),
    [anon_sym_u64] = ACTIONS(3107),
    [anon_sym_i64] = ACTIONS(3107),
    [anon_sym_u128] = ACTIONS(3107),
    [anon_sym_i128] = ACTIONS(3107),
    [anon_sym_isize] = ACTIONS(3107),
    [anon_sym_usize] = ACTIONS(3107),
    [anon_sym_f32] = ACTIONS(3107),
    [anon_sym_f64] = ACTIONS(3107),
    [anon_sym_bool] = ACTIONS(3107),
    [anon_sym_str] = ACTIONS(3107),
    [anon_sym_char] = ACTIONS(3107),
    [anon_sym_BANG] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3111),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(3113),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(3115),
    [anon_sym_fn] = ACTIONS(3117),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(3119),
    [anon_sym_union] = ACTIONS(3121),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(3123),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3127),
    [sym_super] = ACTIONS(3127),
    [sym_crate] = ACTIONS(3127),
    [sym_metavariable] = ACTIONS(3129),
  },
  [919] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1990),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(919),
    [sym_block_comment] = STATE(919),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [920] = {
    [sym_function_modifiers] = STATE(3338),
    [sym_removed_trait_bound] = STATE(1451),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1391),
    [sym_bracketed_type] = STATE(3514),
    [sym_lifetime] = STATE(3511),
    [sym_array_type] = STATE(1451),
    [sym_for_lifetimes] = STATE(1592),
    [sym_function_type] = STATE(1451),
    [sym_tuple_type] = STATE(1451),
    [sym_unit_type] = STATE(1451),
    [sym_generic_type] = STATE(1078),
    [sym_generic_type_with_turbofish] = STATE(3504),
    [sym_bounded_type] = STATE(1451),
    [sym_reference_type] = STATE(1451),
    [sym_pointer_type] = STATE(1451),
    [sym_never_type] = STATE(1451),
    [sym_abstract_type] = STATE(1451),
    [sym_dynamic_type] = STATE(1451),
    [sym_macro_invocation] = STATE(1451),
    [sym_scoped_identifier] = STATE(3202),
    [sym_scoped_type_identifier] = STATE(1028),
    [sym_line_comment] = STATE(920),
    [sym_block_comment] = STATE(920),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3095),
    [anon_sym_LPAREN] = ACTIONS(3097),
    [anon_sym_LBRACK] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(3103),
    [anon_sym_QMARK] = ACTIONS(3105),
    [anon_sym_u8] = ACTIONS(3107),
    [anon_sym_i8] = ACTIONS(3107),
    [anon_sym_u16] = ACTIONS(3107),
    [anon_sym_i16] = ACTIONS(3107),
    [anon_sym_u32] = ACTIONS(3107),
    [anon_sym_i32] = ACTIONS(3107),
    [anon_sym_u64] = ACTIONS(3107),
    [anon_sym_i64] = ACTIONS(3107),
    [anon_sym_u128] = ACTIONS(3107),
    [anon_sym_i128] = ACTIONS(3107),
    [anon_sym_isize] = ACTIONS(3107),
    [anon_sym_usize] = ACTIONS(3107),
    [anon_sym_f32] = ACTIONS(3107),
    [anon_sym_f64] = ACTIONS(3107),
    [anon_sym_bool] = ACTIONS(3107),
    [anon_sym_str] = ACTIONS(3107),
    [anon_sym_char] = ACTIONS(3107),
    [anon_sym_BANG] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3111),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(3113),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(3115),
    [anon_sym_fn] = ACTIONS(3117),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(3119),
    [anon_sym_union] = ACTIONS(3121),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(3123),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3127),
    [sym_super] = ACTIONS(3127),
    [sym_crate] = ACTIONS(3127),
    [sym_metavariable] = ACTIONS(3129),
  },
  [921] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2569),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(921),
    [sym_block_comment] = STATE(921),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [922] = {
    [sym_function_modifiers] = STATE(3338),
    [sym_removed_trait_bound] = STATE(1451),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1449),
    [sym_bracketed_type] = STATE(3514),
    [sym_lifetime] = STATE(3511),
    [sym_array_type] = STATE(1451),
    [sym_for_lifetimes] = STATE(1592),
    [sym_function_type] = STATE(1451),
    [sym_tuple_type] = STATE(1451),
    [sym_unit_type] = STATE(1451),
    [sym_generic_type] = STATE(1078),
    [sym_generic_type_with_turbofish] = STATE(3504),
    [sym_bounded_type] = STATE(1451),
    [sym_reference_type] = STATE(1451),
    [sym_pointer_type] = STATE(1451),
    [sym_never_type] = STATE(1451),
    [sym_abstract_type] = STATE(1451),
    [sym_dynamic_type] = STATE(1451),
    [sym_macro_invocation] = STATE(1451),
    [sym_scoped_identifier] = STATE(3202),
    [sym_scoped_type_identifier] = STATE(1028),
    [sym_line_comment] = STATE(922),
    [sym_block_comment] = STATE(922),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3095),
    [anon_sym_LPAREN] = ACTIONS(3097),
    [anon_sym_LBRACK] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(3103),
    [anon_sym_QMARK] = ACTIONS(3105),
    [anon_sym_u8] = ACTIONS(3107),
    [anon_sym_i8] = ACTIONS(3107),
    [anon_sym_u16] = ACTIONS(3107),
    [anon_sym_i16] = ACTIONS(3107),
    [anon_sym_u32] = ACTIONS(3107),
    [anon_sym_i32] = ACTIONS(3107),
    [anon_sym_u64] = ACTIONS(3107),
    [anon_sym_i64] = ACTIONS(3107),
    [anon_sym_u128] = ACTIONS(3107),
    [anon_sym_i128] = ACTIONS(3107),
    [anon_sym_isize] = ACTIONS(3107),
    [anon_sym_usize] = ACTIONS(3107),
    [anon_sym_f32] = ACTIONS(3107),
    [anon_sym_f64] = ACTIONS(3107),
    [anon_sym_bool] = ACTIONS(3107),
    [anon_sym_str] = ACTIONS(3107),
    [anon_sym_char] = ACTIONS(3107),
    [anon_sym_BANG] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3111),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(3113),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(3115),
    [anon_sym_fn] = ACTIONS(3117),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(3119),
    [anon_sym_union] = ACTIONS(3121),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(3123),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3127),
    [sym_super] = ACTIONS(3127),
    [sym_crate] = ACTIONS(3127),
    [sym_metavariable] = ACTIONS(3129),
  },
  [923] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1968),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(923),
    [sym_block_comment] = STATE(923),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3183),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [924] = {
    [sym_function_modifiers] = STATE(3473),
    [sym_removed_trait_bound] = STATE(1701),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1706),
    [sym_bracketed_type] = STATE(3529),
    [sym_lifetime] = STATE(3368),
    [sym_array_type] = STATE(1701),
    [sym_for_lifetimes] = STATE(1613),
    [sym_function_type] = STATE(1701),
    [sym_tuple_type] = STATE(1701),
    [sym_unit_type] = STATE(1701),
    [sym_generic_type] = STATE(1608),
    [sym_generic_type_with_turbofish] = STATE(3521),
    [sym_bounded_type] = STATE(1701),
    [sym_reference_type] = STATE(1701),
    [sym_pointer_type] = STATE(1701),
    [sym_never_type] = STATE(1701),
    [sym_abstract_type] = STATE(1701),
    [sym_dynamic_type] = STATE(1701),
    [sym_macro_invocation] = STATE(1701),
    [sym_scoped_identifier] = STATE(3264),
    [sym_scoped_type_identifier] = STATE(1526),
    [sym_line_comment] = STATE(924),
    [sym_block_comment] = STATE(924),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3059),
    [anon_sym_LPAREN] = ACTIONS(3061),
    [anon_sym_LBRACK] = ACTIONS(3063),
    [anon_sym_STAR] = ACTIONS(3067),
    [anon_sym_QMARK] = ACTIONS(3069),
    [anon_sym_u8] = ACTIONS(3071),
    [anon_sym_i8] = ACTIONS(3071),
    [anon_sym_u16] = ACTIONS(3071),
    [anon_sym_i16] = ACTIONS(3071),
    [anon_sym_u32] = ACTIONS(3071),
    [anon_sym_i32] = ACTIONS(3071),
    [anon_sym_u64] = ACTIONS(3071),
    [anon_sym_i64] = ACTIONS(3071),
    [anon_sym_u128] = ACTIONS(3071),
    [anon_sym_i128] = ACTIONS(3071),
    [anon_sym_isize] = ACTIONS(3071),
    [anon_sym_usize] = ACTIONS(3071),
    [anon_sym_f32] = ACTIONS(3071),
    [anon_sym_f64] = ACTIONS(3071),
    [anon_sym_bool] = ACTIONS(3071),
    [anon_sym_str] = ACTIONS(3071),
    [anon_sym_char] = ACTIONS(3071),
    [anon_sym_BANG] = ACTIONS(3073),
    [anon_sym_AMP] = ACTIONS(3075),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(3077),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(3079),
    [anon_sym_fn] = ACTIONS(3081),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(3083),
    [anon_sym_union] = ACTIONS(3085),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(3087),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3091),
    [sym_super] = ACTIONS(3091),
    [sym_crate] = ACTIONS(3091),
    [sym_metavariable] = ACTIONS(3093),
  },
  [925] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2601),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(925),
    [sym_block_comment] = STATE(925),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [926] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1993),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(926),
    [sym_block_comment] = STATE(926),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [927] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1995),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(927),
    [sym_block_comment] = STATE(927),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [928] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1972),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(928),
    [sym_block_comment] = STATE(928),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [929] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2734),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(929),
    [sym_block_comment] = STATE(929),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [930] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1971),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(930),
    [sym_block_comment] = STATE(930),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [931] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2189),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(931),
    [sym_block_comment] = STATE(931),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [932] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2685),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(932),
    [sym_block_comment] = STATE(932),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [933] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2185),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(933),
    [sym_block_comment] = STATE(933),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [934] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2930),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(934),
    [sym_block_comment] = STATE(934),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [935] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2378),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(2379),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(2174),
    [sym_line_comment] = STATE(935),
    [sym_block_comment] = STATE(935),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3185),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(3187),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [936] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2316),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(936),
    [sym_block_comment] = STATE(936),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [937] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2318),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(937),
    [sym_block_comment] = STATE(937),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [938] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2328),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(2380),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(2131),
    [sym_line_comment] = STATE(938),
    [sym_block_comment] = STATE(938),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3189),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(3191),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [939] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2347),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(939),
    [sym_block_comment] = STATE(939),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [940] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1992),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(940),
    [sym_block_comment] = STATE(940),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [941] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2829),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(941),
    [sym_block_comment] = STATE(941),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [942] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2671),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(942),
    [sym_block_comment] = STATE(942),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [943] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2927),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(943),
    [sym_block_comment] = STATE(943),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [944] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2183),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(944),
    [sym_block_comment] = STATE(944),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [945] = {
    [sym_function_modifiers] = STATE(3338),
    [sym_removed_trait_bound] = STATE(1451),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1212),
    [sym_bracketed_type] = STATE(3514),
    [sym_lifetime] = STATE(3511),
    [sym_array_type] = STATE(1451),
    [sym_for_lifetimes] = STATE(1592),
    [sym_function_type] = STATE(1451),
    [sym_tuple_type] = STATE(1451),
    [sym_unit_type] = STATE(1451),
    [sym_generic_type] = STATE(1078),
    [sym_generic_type_with_turbofish] = STATE(3504),
    [sym_bounded_type] = STATE(1451),
    [sym_reference_type] = STATE(1451),
    [sym_pointer_type] = STATE(1451),
    [sym_never_type] = STATE(1451),
    [sym_abstract_type] = STATE(1451),
    [sym_dynamic_type] = STATE(1451),
    [sym_macro_invocation] = STATE(1451),
    [sym_scoped_identifier] = STATE(3202),
    [sym_scoped_type_identifier] = STATE(1028),
    [sym_line_comment] = STATE(945),
    [sym_block_comment] = STATE(945),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3095),
    [anon_sym_LPAREN] = ACTIONS(3097),
    [anon_sym_LBRACK] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(3103),
    [anon_sym_QMARK] = ACTIONS(3105),
    [anon_sym_u8] = ACTIONS(3107),
    [anon_sym_i8] = ACTIONS(3107),
    [anon_sym_u16] = ACTIONS(3107),
    [anon_sym_i16] = ACTIONS(3107),
    [anon_sym_u32] = ACTIONS(3107),
    [anon_sym_i32] = ACTIONS(3107),
    [anon_sym_u64] = ACTIONS(3107),
    [anon_sym_i64] = ACTIONS(3107),
    [anon_sym_u128] = ACTIONS(3107),
    [anon_sym_i128] = ACTIONS(3107),
    [anon_sym_isize] = ACTIONS(3107),
    [anon_sym_usize] = ACTIONS(3107),
    [anon_sym_f32] = ACTIONS(3107),
    [anon_sym_f64] = ACTIONS(3107),
    [anon_sym_bool] = ACTIONS(3107),
    [anon_sym_str] = ACTIONS(3107),
    [anon_sym_char] = ACTIONS(3107),
    [anon_sym_BANG] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3111),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(3113),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(3115),
    [anon_sym_fn] = ACTIONS(3117),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(3119),
    [anon_sym_union] = ACTIONS(3121),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(3123),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3127),
    [sym_super] = ACTIONS(3127),
    [sym_crate] = ACTIONS(3127),
    [sym_metavariable] = ACTIONS(3129),
  },
  [946] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2646),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(946),
    [sym_block_comment] = STATE(946),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [947] = {
    [sym_function_modifiers] = STATE(3338),
    [sym_removed_trait_bound] = STATE(1451),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1213),
    [sym_bracketed_type] = STATE(3514),
    [sym_lifetime] = STATE(3511),
    [sym_array_type] = STATE(1451),
    [sym_for_lifetimes] = STATE(1592),
    [sym_function_type] = STATE(1451),
    [sym_tuple_type] = STATE(1451),
    [sym_unit_type] = STATE(1451),
    [sym_generic_type] = STATE(1078),
    [sym_generic_type_with_turbofish] = STATE(3504),
    [sym_bounded_type] = STATE(1451),
    [sym_reference_type] = STATE(1451),
    [sym_pointer_type] = STATE(1451),
    [sym_never_type] = STATE(1451),
    [sym_abstract_type] = STATE(1451),
    [sym_dynamic_type] = STATE(1451),
    [sym_macro_invocation] = STATE(1451),
    [sym_scoped_identifier] = STATE(3202),
    [sym_scoped_type_identifier] = STATE(1028),
    [sym_line_comment] = STATE(947),
    [sym_block_comment] = STATE(947),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3095),
    [anon_sym_LPAREN] = ACTIONS(3097),
    [anon_sym_LBRACK] = ACTIONS(3099),
    [anon_sym_STAR] = ACTIONS(3103),
    [anon_sym_QMARK] = ACTIONS(3105),
    [anon_sym_u8] = ACTIONS(3107),
    [anon_sym_i8] = ACTIONS(3107),
    [anon_sym_u16] = ACTIONS(3107),
    [anon_sym_i16] = ACTIONS(3107),
    [anon_sym_u32] = ACTIONS(3107),
    [anon_sym_i32] = ACTIONS(3107),
    [anon_sym_u64] = ACTIONS(3107),
    [anon_sym_i64] = ACTIONS(3107),
    [anon_sym_u128] = ACTIONS(3107),
    [anon_sym_i128] = ACTIONS(3107),
    [anon_sym_isize] = ACTIONS(3107),
    [anon_sym_usize] = ACTIONS(3107),
    [anon_sym_f32] = ACTIONS(3107),
    [anon_sym_f64] = ACTIONS(3107),
    [anon_sym_bool] = ACTIONS(3107),
    [anon_sym_str] = ACTIONS(3107),
    [anon_sym_char] = ACTIONS(3107),
    [anon_sym_BANG] = ACTIONS(3109),
    [anon_sym_AMP] = ACTIONS(3111),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(3113),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(3115),
    [anon_sym_fn] = ACTIONS(3117),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(3119),
    [anon_sym_union] = ACTIONS(3121),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(3123),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3127),
    [sym_super] = ACTIONS(3127),
    [sym_crate] = ACTIONS(3127),
    [sym_metavariable] = ACTIONS(3129),
  },
  [948] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2997),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(948),
    [sym_block_comment] = STATE(948),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [949] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2622),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(949),
    [sym_block_comment] = STATE(949),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [950] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2291),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(2384),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(2168),
    [sym_line_comment] = STATE(950),
    [sym_block_comment] = STATE(950),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3193),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(3195),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [951] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2414),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(951),
    [sym_block_comment] = STATE(951),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [952] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2758),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(952),
    [sym_block_comment] = STATE(952),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [953] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2307),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(953),
    [sym_block_comment] = STATE(953),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [954] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2308),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(954),
    [sym_block_comment] = STATE(954),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [955] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2538),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(955),
    [sym_block_comment] = STATE(955),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [956] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2789),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(956),
    [sym_block_comment] = STATE(956),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [957] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2450),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(957),
    [sym_block_comment] = STATE(957),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [958] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2541),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(958),
    [sym_block_comment] = STATE(958),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [959] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2309),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(2386),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(2172),
    [sym_line_comment] = STATE(959),
    [sym_block_comment] = STATE(959),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3197),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(3199),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [960] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2366),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(960),
    [sym_block_comment] = STATE(960),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [961] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2367),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(961),
    [sym_block_comment] = STATE(961),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [962] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2370),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(962),
    [sym_block_comment] = STATE(962),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [963] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2192),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(963),
    [sym_block_comment] = STATE(963),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [964] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2321),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(964),
    [sym_block_comment] = STATE(964),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [965] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2290),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(965),
    [sym_block_comment] = STATE(965),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [966] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2323),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(966),
    [sym_block_comment] = STATE(966),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [967] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2324),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(967),
    [sym_block_comment] = STATE(967),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [968] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2557),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(968),
    [sym_block_comment] = STATE(968),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [969] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2909),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(969),
    [sym_block_comment] = STATE(969),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [970] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2484),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(970),
    [sym_block_comment] = STATE(970),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [971] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2558),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(971),
    [sym_block_comment] = STATE(971),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [972] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2932),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(972),
    [sym_block_comment] = STATE(972),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [973] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2560),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(973),
    [sym_block_comment] = STATE(973),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [974] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2376),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(974),
    [sym_block_comment] = STATE(974),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [975] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2218),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(975),
    [sym_block_comment] = STATE(975),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [976] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2330),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(976),
    [sym_block_comment] = STATE(976),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [977] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2331),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(977),
    [sym_block_comment] = STATE(977),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [978] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2986),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(978),
    [sym_block_comment] = STATE(978),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [979] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1968),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(979),
    [sym_block_comment] = STATE(979),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [980] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2332),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(980),
    [sym_block_comment] = STATE(980),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [981] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2333),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(981),
    [sym_block_comment] = STATE(981),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [982] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2335),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(982),
    [sym_block_comment] = STATE(982),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [983] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2224),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(983),
    [sym_block_comment] = STATE(983),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [984] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2570),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(984),
    [sym_block_comment] = STATE(984),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [985] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2338),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(985),
    [sym_block_comment] = STATE(985),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [986] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2339),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(986),
    [sym_block_comment] = STATE(986),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [987] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2186),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(987),
    [sym_block_comment] = STATE(987),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [988] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2739),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(988),
    [sym_block_comment] = STATE(988),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [989] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2190),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(989),
    [sym_block_comment] = STATE(989),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [990] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2664),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(990),
    [sym_block_comment] = STATE(990),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [991] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2193),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(991),
    [sym_block_comment] = STATE(991),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [992] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2195),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(992),
    [sym_block_comment] = STATE(992),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [993] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2780),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(993),
    [sym_block_comment] = STATE(993),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [994] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2523),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(994),
    [sym_block_comment] = STATE(994),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [995] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1975),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(995),
    [sym_block_comment] = STATE(995),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [996] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2947),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(996),
    [sym_block_comment] = STATE(996),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [997] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1989),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(997),
    [sym_block_comment] = STATE(997),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [998] = {
    [sym_function_modifiers] = STATE(3473),
    [sym_removed_trait_bound] = STATE(1701),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1764),
    [sym_bracketed_type] = STATE(3529),
    [sym_lifetime] = STATE(3368),
    [sym_array_type] = STATE(1701),
    [sym_for_lifetimes] = STATE(1613),
    [sym_function_type] = STATE(1701),
    [sym_tuple_type] = STATE(1701),
    [sym_unit_type] = STATE(1701),
    [sym_generic_type] = STATE(1608),
    [sym_generic_type_with_turbofish] = STATE(3521),
    [sym_bounded_type] = STATE(1701),
    [sym_reference_type] = STATE(1701),
    [sym_pointer_type] = STATE(1701),
    [sym_never_type] = STATE(1701),
    [sym_abstract_type] = STATE(1701),
    [sym_dynamic_type] = STATE(1701),
    [sym_macro_invocation] = STATE(1701),
    [sym_scoped_identifier] = STATE(3264),
    [sym_scoped_type_identifier] = STATE(1526),
    [sym_line_comment] = STATE(998),
    [sym_block_comment] = STATE(998),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3059),
    [anon_sym_LPAREN] = ACTIONS(3061),
    [anon_sym_LBRACK] = ACTIONS(3063),
    [anon_sym_STAR] = ACTIONS(3067),
    [anon_sym_QMARK] = ACTIONS(3069),
    [anon_sym_u8] = ACTIONS(3071),
    [anon_sym_i8] = ACTIONS(3071),
    [anon_sym_u16] = ACTIONS(3071),
    [anon_sym_i16] = ACTIONS(3071),
    [anon_sym_u32] = ACTIONS(3071),
    [anon_sym_i32] = ACTIONS(3071),
    [anon_sym_u64] = ACTIONS(3071),
    [anon_sym_i64] = ACTIONS(3071),
    [anon_sym_u128] = ACTIONS(3071),
    [anon_sym_i128] = ACTIONS(3071),
    [anon_sym_isize] = ACTIONS(3071),
    [anon_sym_usize] = ACTIONS(3071),
    [anon_sym_f32] = ACTIONS(3071),
    [anon_sym_f64] = ACTIONS(3071),
    [anon_sym_bool] = ACTIONS(3071),
    [anon_sym_str] = ACTIONS(3071),
    [anon_sym_char] = ACTIONS(3071),
    [anon_sym_BANG] = ACTIONS(3073),
    [anon_sym_AMP] = ACTIONS(3075),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(3077),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(3079),
    [anon_sym_fn] = ACTIONS(3081),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(3083),
    [anon_sym_union] = ACTIONS(3085),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(3087),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3091),
    [sym_super] = ACTIONS(3091),
    [sym_crate] = ACTIONS(3091),
    [sym_metavariable] = ACTIONS(3093),
  },
  [999] = {
    [sym_function_modifiers] = STATE(3473),
    [sym_removed_trait_bound] = STATE(1701),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1765),
    [sym_bracketed_type] = STATE(3529),
    [sym_lifetime] = STATE(3368),
    [sym_array_type] = STATE(1701),
    [sym_for_lifetimes] = STATE(1613),
    [sym_function_type] = STATE(1701),
    [sym_tuple_type] = STATE(1701),
    [sym_unit_type] = STATE(1701),
    [sym_generic_type] = STATE(1608),
    [sym_generic_type_with_turbofish] = STATE(3521),
    [sym_bounded_type] = STATE(1701),
    [sym_reference_type] = STATE(1701),
    [sym_pointer_type] = STATE(1701),
    [sym_never_type] = STATE(1701),
    [sym_abstract_type] = STATE(1701),
    [sym_dynamic_type] = STATE(1701),
    [sym_macro_invocation] = STATE(1701),
    [sym_scoped_identifier] = STATE(3264),
    [sym_scoped_type_identifier] = STATE(1526),
    [sym_line_comment] = STATE(999),
    [sym_block_comment] = STATE(999),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3059),
    [anon_sym_LPAREN] = ACTIONS(3061),
    [anon_sym_LBRACK] = ACTIONS(3063),
    [anon_sym_STAR] = ACTIONS(3067),
    [anon_sym_QMARK] = ACTIONS(3069),
    [anon_sym_u8] = ACTIONS(3071),
    [anon_sym_i8] = ACTIONS(3071),
    [anon_sym_u16] = ACTIONS(3071),
    [anon_sym_i16] = ACTIONS(3071),
    [anon_sym_u32] = ACTIONS(3071),
    [anon_sym_i32] = ACTIONS(3071),
    [anon_sym_u64] = ACTIONS(3071),
    [anon_sym_i64] = ACTIONS(3071),
    [anon_sym_u128] = ACTIONS(3071),
    [anon_sym_i128] = ACTIONS(3071),
    [anon_sym_isize] = ACTIONS(3071),
    [anon_sym_usize] = ACTIONS(3071),
    [anon_sym_f32] = ACTIONS(3071),
    [anon_sym_f64] = ACTIONS(3071),
    [anon_sym_bool] = ACTIONS(3071),
    [anon_sym_str] = ACTIONS(3071),
    [anon_sym_char] = ACTIONS(3071),
    [anon_sym_BANG] = ACTIONS(3073),
    [anon_sym_AMP] = ACTIONS(3075),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(3077),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(3079),
    [anon_sym_fn] = ACTIONS(3081),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(3083),
    [anon_sym_union] = ACTIONS(3085),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(3087),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3091),
    [sym_super] = ACTIONS(3091),
    [sym_crate] = ACTIONS(3091),
    [sym_metavariable] = ACTIONS(3093),
  },
  [1000] = {
    [sym_function_modifiers] = STATE(3473),
    [sym_removed_trait_bound] = STATE(1701),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(1725),
    [sym_bracketed_type] = STATE(3529),
    [sym_lifetime] = STATE(3368),
    [sym_array_type] = STATE(1701),
    [sym_for_lifetimes] = STATE(1613),
    [sym_function_type] = STATE(1701),
    [sym_tuple_type] = STATE(1701),
    [sym_unit_type] = STATE(1701),
    [sym_generic_type] = STATE(1608),
    [sym_generic_type_with_turbofish] = STATE(3521),
    [sym_bounded_type] = STATE(1701),
    [sym_reference_type] = STATE(1701),
    [sym_pointer_type] = STATE(1701),
    [sym_never_type] = STATE(1701),
    [sym_abstract_type] = STATE(1701),
    [sym_dynamic_type] = STATE(1701),
    [sym_macro_invocation] = STATE(1701),
    [sym_scoped_identifier] = STATE(3264),
    [sym_scoped_type_identifier] = STATE(1526),
    [sym_line_comment] = STATE(1000),
    [sym_block_comment] = STATE(1000),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(3059),
    [anon_sym_LPAREN] = ACTIONS(3061),
    [anon_sym_LBRACK] = ACTIONS(3063),
    [anon_sym_STAR] = ACTIONS(3067),
    [anon_sym_QMARK] = ACTIONS(3069),
    [anon_sym_u8] = ACTIONS(3071),
    [anon_sym_i8] = ACTIONS(3071),
    [anon_sym_u16] = ACTIONS(3071),
    [anon_sym_i16] = ACTIONS(3071),
    [anon_sym_u32] = ACTIONS(3071),
    [anon_sym_i32] = ACTIONS(3071),
    [anon_sym_u64] = ACTIONS(3071),
    [anon_sym_i64] = ACTIONS(3071),
    [anon_sym_u128] = ACTIONS(3071),
    [anon_sym_i128] = ACTIONS(3071),
    [anon_sym_isize] = ACTIONS(3071),
    [anon_sym_usize] = ACTIONS(3071),
    [anon_sym_f32] = ACTIONS(3071),
    [anon_sym_f64] = ACTIONS(3071),
    [anon_sym_bool] = ACTIONS(3071),
    [anon_sym_str] = ACTIONS(3071),
    [anon_sym_char] = ACTIONS(3071),
    [anon_sym_BANG] = ACTIONS(3073),
    [anon_sym_AMP] = ACTIONS(3075),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(3077),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(3079),
    [anon_sym_fn] = ACTIONS(3081),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(3083),
    [anon_sym_union] = ACTIONS(3085),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(3087),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3091),
    [sym_super] = ACTIONS(3091),
    [sym_crate] = ACTIONS(3091),
    [sym_metavariable] = ACTIONS(3093),
  },
  [1001] = {
    [sym_function_modifiers] = STATE(3427),
    [sym_removed_trait_bound] = STATE(1978),
    [sym_extern_modifier] = STATE(2320),
    [sym__type] = STATE(2312),
    [sym_bracketed_type] = STATE(3332),
    [sym_lifetime] = STATE(3533),
    [sym_array_type] = STATE(1978),
    [sym_for_lifetimes] = STATE(1618),
    [sym_function_type] = STATE(1978),
    [sym_tuple_type] = STATE(1978),
    [sym_unit_type] = STATE(1978),
    [sym_generic_type] = STATE(1949),
    [sym_generic_type_with_turbofish] = STATE(3430),
    [sym_bounded_type] = STATE(1978),
    [sym_reference_type] = STATE(1978),
    [sym_pointer_type] = STATE(1978),
    [sym_never_type] = STATE(1978),
    [sym_abstract_type] = STATE(1978),
    [sym_dynamic_type] = STATE(1978),
    [sym_macro_invocation] = STATE(1978),
    [sym_scoped_identifier] = STATE(3153),
    [sym_scoped_type_identifier] = STATE(1920),
    [sym_line_comment] = STATE(1001),
    [sym_block_comment] = STATE(1001),
    [aux_sym_function_modifiers_repeat1] = STATE(2206),
    [sym_identifier] = ACTIONS(2963),
    [anon_sym_LPAREN] = ACTIONS(1560),
    [anon_sym_LBRACK] = ACTIONS(1562),
    [anon_sym_STAR] = ACTIONS(1256),
    [anon_sym_QMARK] = ACTIONS(1258),
    [anon_sym_u8] = ACTIONS(1566),
    [anon_sym_i8] = ACTIONS(1566),
    [anon_sym_u16] = ACTIONS(1566),
    [anon_sym_i16] = ACTIONS(1566),
    [anon_sym_u32] = ACTIONS(1566),
    [anon_sym_i32] = ACTIONS(1566),
    [anon_sym_u64] = ACTIONS(1566),
    [anon_sym_i64] = ACTIONS(1566),
    [anon_sym_u128] = ACTIONS(1566),
    [anon_sym_i128] = ACTIONS(1566),
    [anon_sym_isize] = ACTIONS(1566),
    [anon_sym_usize] = ACTIONS(1566),
    [anon_sym_f32] = ACTIONS(1566),
    [anon_sym_f64] = ACTIONS(1566),
    [anon_sym_bool] = ACTIONS(1566),
    [anon_sym_str] = ACTIONS(1566),
    [anon_sym_char] = ACTIONS(1566),
    [anon_sym_BANG] = ACTIONS(1264),
    [anon_sym_AMP] = ACTIONS(1568),
    [anon_sym_LT] = ACTIONS(29),
    [anon_sym_COLON_COLON] = ACTIONS(1572),
    [anon_sym_SQUOTE] = ACTIONS(2969),
    [anon_sym_async] = ACTIONS(1284),
    [anon_sym_const] = ACTIONS(1284),
    [anon_sym_default] = ACTIONS(1576),
    [anon_sym_fn] = ACTIONS(1290),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_impl] = ACTIONS(1294),
    [anon_sym_union] = ACTIONS(1578),
    [anon_sym_unsafe] = ACTIONS(1284),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym_dyn] = ACTIONS(1302),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(1582),
    [sym_super] = ACTIONS(1582),
    [sym_crate] = ACTIONS(1582),
    [sym_metavariable] = ACTIONS(1584),
  },
  [1002] = {
    [sym_attribute_item] = STATE(1003),
    [sym_line_comment] = STATE(1002),
    [sym_block_comment] = STATE(1002),
    [aux_sym_enum_variant_list_repeat1] = STATE(1002),
    [sym_identifier] = ACTIONS(3201),
    [anon_sym_LPAREN] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(796),
    [anon_sym_RBRACK] = ACTIONS(796),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_STAR] = ACTIONS(796),
    [anon_sym_u8] = ACTIONS(3201),
    [anon_sym_i8] = ACTIONS(3201),
    [anon_sym_u16] = ACTIONS(3201),
    [anon_sym_i16] = ACTIONS(3201),
    [anon_sym_u32] = ACTIONS(3201),
    [anon_sym_i32] = ACTIONS(3201),
    [anon_sym_u64] = ACTIONS(3201),
    [anon_sym_i64] = ACTIONS(3201),
    [anon_sym_u128] = ACTIONS(3201),
    [anon_sym_i128] = ACTIONS(3201),
    [anon_sym_isize] = ACTIONS(3201),
    [anon_sym_usize] = ACTIONS(3201),
    [anon_sym_f32] = ACTIONS(3201),
    [anon_sym_f64] = ACTIONS(3201),
    [anon_sym_bool] = ACTIONS(3201),
    [anon_sym_str] = ACTIONS(3201),
    [anon_sym_char] = ACTIONS(3201),
    [anon_sym_DASH] = ACTIONS(796),
    [anon_sym_BANG] = ACTIONS(796),
    [anon_sym_AMP] = ACTIONS(796),
    [anon_sym_PIPE] = ACTIONS(796),
    [anon_sym_LT] = ACTIONS(796),
    [anon_sym_DOT_DOT] = ACTIONS(796),
    [anon_sym_COMMA] = ACTIONS(796),
    [anon_sym_COLON_COLON] = ACTIONS(796),
    [anon_sym_POUND] = ACTIONS(822),
    [anon_sym_SQUOTE] = ACTIONS(3201),
    [anon_sym_async] = ACTIONS(3201),
    [anon_sym_break] = ACTIONS(3201),
    [anon_sym_const] = ACTIONS(3201),
    [anon_sym_continue] = ACTIONS(3201),
    [anon_sym_default] = ACTIONS(3201),
    [anon_sym_for] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_loop] = ACTIONS(3201),
    [anon_sym_match] = ACTIONS(3201),
    [anon_sym_return] = ACTIONS(3201),
    [anon_sym_static] = ACTIONS(3201),
    [anon_sym_union] = ACTIONS(3201),
    [anon_sym_unsafe] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(3201),
    [anon_sym_yield] = ACTIONS(3201),
    [anon_sym_move] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3201),
    [sym_integer_literal] = ACTIONS(796),
    [aux_sym_string_literal_token1] = ACTIONS(796),
    [sym_char_literal] = ACTIONS(796),
    [anon_sym_true] = ACTIONS(3201),
    [anon_sym_false] = ACTIONS(3201),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3201),
    [sym_super] = ACTIONS(3201),
    [sym_crate] = ACTIONS(3201),
    [sym_metavariable] = ACTIONS(796),
    [sym__raw_string_literal_start] = ACTIONS(796),
    [sym_float_literal] = ACTIONS(796),
  },
  [1003] = {
    [sym_line_comment] = STATE(1003),
    [sym_block_comment] = STATE(1003),
    [sym_identifier] = ACTIONS(3203),
    [anon_sym_LPAREN] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_RBRACK] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3205),
    [anon_sym_STAR] = ACTIONS(3205),
    [anon_sym_u8] = ACTIONS(3203),
    [anon_sym_i8] = ACTIONS(3203),
    [anon_sym_u16] = ACTIONS(3203),
    [anon_sym_i16] = ACTIONS(3203),
    [anon_sym_u32] = ACTIONS(3203),
    [anon_sym_i32] = ACTIONS(3203),
    [anon_sym_u64] = ACTIONS(3203),
    [anon_sym_i64] = ACTIONS(3203),
    [anon_sym_u128] = ACTIONS(3203),
    [anon_sym_i128] = ACTIONS(3203),
    [anon_sym_isize] = ACTIONS(3203),
    [anon_sym_usize] = ACTIONS(3203),
    [anon_sym_f32] = ACTIONS(3203),
    [anon_sym_f64] = ACTIONS(3203),
    [anon_sym_bool] = ACTIONS(3203),
    [anon_sym_str] = ACTIONS(3203),
    [anon_sym_char] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_BANG] = ACTIONS(3205),
    [anon_sym_AMP] = ACTIONS(3205),
    [anon_sym_PIPE] = ACTIONS(3205),
    [anon_sym_LT] = ACTIONS(3205),
    [anon_sym_DOT_DOT] = ACTIONS(3205),
    [anon_sym_COMMA] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(3205),
    [anon_sym_POUND] = ACTIONS(3205),
    [anon_sym_SQUOTE] = ACTIONS(3203),
    [anon_sym_async] = ACTIONS(3203),
    [anon_sym_break] = ACTIONS(3203),
    [anon_sym_const] = ACTIONS(3203),
    [anon_sym_continue] = ACTIONS(3203),
    [anon_sym_default] = ACTIONS(3203),
    [anon_sym_for] = ACTIONS(3203),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_loop] = ACTIONS(3203),
    [anon_sym_match] = ACTIONS(3203),
    [anon_sym_return] = ACTIONS(3203),
    [anon_sym_static] = ACTIONS(3203),
    [anon_sym_union] = ACTIONS(3203),
    [anon_sym_unsafe] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(3203),
    [anon_sym_yield] = ACTIONS(3203),
    [anon_sym_move] = ACTIONS(3203),
    [anon_sym_try] = ACTIONS(3203),
    [sym_integer_literal] = ACTIONS(3205),
    [aux_sym_string_literal_token1] = ACTIONS(3205),
    [sym_char_literal] = ACTIONS(3205),
    [anon_sym_true] = ACTIONS(3203),
    [anon_sym_false] = ACTIONS(3203),
    [anon_sym_SLASH_SLASH] = ACTIONS(101),
    [anon_sym_SLASH_STAR] = ACTIONS(103),
    [sym_self] = ACTIONS(3203),
    [sym_super] = ACTIONS(3203),
    [sym_crate] = ACTIONS(3203),
    [sym_metavariable] = ACTIONS(3205),
    [sym__raw_string_literal_start] = ACTIONS(3205),
    [sym_float_literal] = ACTIONS(3205),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1004), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1556), 17,
      sym__raw_string_literal_start,
      sym_float_literal,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      sym_integer_literal,
      aux_sym_string_literal_token1,
      sym_char_literal,
      sym_metavariable,
    ACTIONS(1554), 43,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_DASH,
      anon_sym__,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_break,
      anon_sym_const,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_for,
      anon_sym_if,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_return,
      anon_sym_static,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_while,
      anon_sym_yield,
      anon_sym_move,
      anon_sym_try,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [75] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1005), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3209), 17,
      sym__raw_string_literal_start,
      sym_float_literal,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      sym_integer_literal,
      aux_sym_string_literal_token1,
      sym_char_literal,
      sym_metavariable,
    ACTIONS(3207), 43,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_DASH,
      anon_sym__,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_break,
      anon_sym_const,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_for,
      anon_sym_if,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_return,
      anon_sym_static,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_while,
      anon_sym_yield,
      anon_sym_move,
      anon_sym_try,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [150] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1006), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1067), 18,
      sym__raw_string_literal_start,
      sym_float_literal,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON_COLON,
      sym_integer_literal,
      aux_sym_string_literal_token1,
      sym_char_literal,
      sym_metavariable,
    ACTIONS(3211), 41,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_break,
      anon_sym_const,
      anon_sym_continue,
      anon_sym_default,
      anon_sym_for,
      anon_sym_if,
      anon_sym_loop,
      anon_sym_match,
      anon_sym_return,
      anon_sym_static,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_while,
      anon_sym_yield,
      anon_sym_move,
      anon_sym_try,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [224] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1007), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2410), 17,
      sym__raw_string_literal_start,
      sym_float_literal,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON_COLON,
      sym_integer_literal,
      aux_sym_string_literal_token1,
      sym_char_literal,
      sym_metavariable,
    ACTIONS(2412), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym__,
      anon_sym_DOT_DOT,
      anon_sym_SQUOTE,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_for,
      anon_sym_impl,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_extern,
      anon_sym_ref,
      anon_sym_dyn,
      sym_mutable_specifier,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [294] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1008), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3215), 20,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      sym_metavariable,
    ACTIONS(3213), 34,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_for,
      anon_sym_impl,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_where,
      anon_sym_extern,
      anon_sym_else,
      anon_sym_dyn,
      sym_mutable_specifier,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [363] = 21,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1262), 1,
      anon_sym_DASH,
    ACTIONS(1308), 1,
      aux_sym_string_literal_token1,
    ACTIONS(1318), 1,
      sym__raw_string_literal_start,
    ACTIONS(2340), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3217), 1,
      sym_identifier,
    ACTIONS(3227), 1,
      sym_metavariable,
    STATE(2048), 1,
      sym_scoped_identifier,
    STATE(2091), 1,
      sym__literal_pattern,
    STATE(3324), 1,
      sym_bracketed_type,
    STATE(3350), 1,
      sym_generic_type_with_turbofish,
    ACTIONS(1310), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(1009), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1306), 3,
      sym_float_literal,
      sym_integer_literal,
      sym_char_literal,
    ACTIONS(3221), 3,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
    ACTIONS(3225), 3,
      sym_self,
      sym_super,
      sym_crate,
    STATE(2004), 4,
      sym_negative_literal,
      sym_string_literal,
      sym_raw_string_literal,
      sym_boolean_literal,
    ACTIONS(3219), 7,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
    ACTIONS(3223), 19,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_default,
      anon_sym_union,
  [462] = 21,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1262), 1,
      anon_sym_DASH,
    ACTIONS(1308), 1,
      aux_sym_string_literal_token1,
    ACTIONS(1318), 1,
      sym__raw_string_literal_start,
    ACTIONS(2340), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3229), 1,
      sym_identifier,
    ACTIONS(3239), 1,
      sym_metavariable,
    STATE(2036), 1,
      sym_scoped_identifier,
    STATE(2080), 1,
      sym__literal_pattern,
    STATE(3324), 1,
      sym_bracketed_type,
    STATE(3350), 1,
      sym_generic_type_with_turbofish,
    ACTIONS(1310), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(1010), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1306), 3,
      sym_float_literal,
      sym_integer_literal,
      sym_char_literal,
    ACTIONS(3233), 3,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
    ACTIONS(3237), 3,
      sym_self,
      sym_super,
      sym_crate,
    STATE(2004), 4,
      sym_negative_literal,
      sym_string_literal,
      sym_raw_string_literal,
      sym_boolean_literal,
    ACTIONS(3231), 7,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
    ACTIONS(3235), 19,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_default,
      anon_sym_union,
  [561] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    ACTIONS(3247), 1,
      anon_sym_BANG,
    ACTIONS(3249), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3251), 1,
      anon_sym_LT2,
    STATE(1071), 1,
      sym_type_arguments,
    STATE(1087), 1,
      sym_parameters,
    STATE(1011), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3245), 17,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_EQ,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3241), 27,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [638] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    ACTIONS(3251), 1,
      anon_sym_LT2,
    ACTIONS(3257), 1,
      anon_sym_COLON_COLON,
    STATE(1071), 1,
      sym_type_arguments,
    STATE(1087), 1,
      sym_parameters,
    STATE(1012), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3255), 17,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_EQ,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3253), 27,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [712] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    ACTIONS(3251), 1,
      anon_sym_LT2,
    ACTIONS(3257), 1,
      anon_sym_COLON_COLON,
    STATE(1071), 1,
      sym_type_arguments,
    STATE(1087), 1,
      sym_parameters,
    STATE(1013), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3261), 17,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_EQ,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3259), 27,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [786] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    ACTIONS(3251), 1,
      anon_sym_LT2,
    ACTIONS(3257), 1,
      anon_sym_COLON_COLON,
    STATE(1071), 1,
      sym_type_arguments,
    STATE(1087), 1,
      sym_parameters,
    STATE(1014), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3265), 17,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_EQ,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3263), 27,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [860] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1015), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1236), 9,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1238), 39,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_if,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [923] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3271), 1,
      anon_sym_BANG,
    ACTIONS(3273), 1,
      anon_sym_COLON_COLON,
    STATE(1016), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3269), 17,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_EQ,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3267), 29,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
      anon_sym_LT2,
  [990] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3279), 1,
      anon_sym_BANG,
    ACTIONS(3281), 1,
      anon_sym_COLON_COLON,
    STATE(1017), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3277), 17,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_EQ,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3275), 29,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
      anon_sym_LT2,
  [1057] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1018), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1206), 9,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1208), 39,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_if,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [1120] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1019), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(987), 9,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(985), 39,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_if,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [1183] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1020), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1232), 9,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1234), 39,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_if,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [1246] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    ACTIONS(3251), 1,
      anon_sym_LT2,
    STATE(1075), 1,
      sym_type_arguments,
    STATE(1086), 1,
      sym_parameters,
    STATE(1021), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3285), 17,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_EQ,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3283), 27,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [1317] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    ACTIONS(3251), 1,
      anon_sym_LT2,
    STATE(1075), 1,
      sym_type_arguments,
    STATE(1086), 1,
      sym_parameters,
    STATE(1022), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3289), 17,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_EQ,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3287), 27,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [1388] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1023), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(991), 9,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(989), 39,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_if,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [1451] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3295), 1,
      anon_sym_BANG,
    ACTIONS(3297), 1,
      anon_sym_COLON_COLON,
    STATE(1024), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3293), 17,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_EQ,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3291), 29,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
      anon_sym_LT2,
  [1518] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1025), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1442), 9,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1444), 39,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_if,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [1581] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1026), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1320), 9,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1322), 39,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_if,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [1644] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1027), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1244), 9,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1246), 39,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_if,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [1707] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    ACTIONS(3251), 1,
      anon_sym_LT2,
    STATE(1075), 1,
      sym_type_arguments,
    STATE(1086), 1,
      sym_parameters,
    STATE(1028), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3301), 17,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_EQ,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3299), 27,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [1778] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    ACTIONS(3251), 1,
      anon_sym_LT2,
    STATE(1075), 1,
      sym_type_arguments,
    STATE(1086), 1,
      sym_parameters,
    STATE(1029), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3305), 17,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_EQ,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3303), 27,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [1849] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1030), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1240), 9,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1242), 39,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_if,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [1912] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3311), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      anon_sym_COLON_COLON,
    STATE(1031), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3309), 17,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_EQ,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3307), 29,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
      anon_sym_LT2,
  [1979] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3319), 1,
      anon_sym_BANG,
    ACTIONS(3321), 1,
      anon_sym_COLON_COLON,
    STATE(1032), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3323), 6,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
    ACTIONS(3317), 16,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
      anon_sym_as,
    ACTIONS(3315), 23,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
  [2047] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1033), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3295), 16,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3297), 31,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [2109] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1034), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3311), 16,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3313), 31,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [2171] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1035), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2795), 9,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2797), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [2233] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1036), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3279), 16,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3281), 31,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [2295] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1037), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1762), 9,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1764), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [2357] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1038), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2458), 9,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2460), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [2419] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1039), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1994), 9,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1996), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [2481] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3247), 1,
      anon_sym_BANG,
    ACTIONS(3325), 1,
      anon_sym_LBRACE,
    ACTIONS(3327), 1,
      anon_sym_COLON_COLON,
    STATE(1199), 1,
      sym_field_initializer_list,
    STATE(1040), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1416), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1418), 28,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_else,
  [2551] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3333), 1,
      anon_sym_POUND,
    STATE(1479), 2,
      sym_attribute_item,
      sym_inner_attribute_item,
    STATE(1041), 3,
      sym_line_comment,
      sym_block_comment,
      aux_sym_match_arm_repeat1,
    ACTIONS(3331), 14,
      sym__raw_string_literal_start,
      sym_float_literal,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON_COLON,
      sym_integer_literal,
      aux_sym_string_literal_token1,
      sym_char_literal,
      sym_metavariable,
    ACTIONS(3329), 29,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym__,
      anon_sym_const,
      anon_sym_default,
      anon_sym_union,
      anon_sym_ref,
      sym_mutable_specifier,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [2617] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1042), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3271), 16,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3273), 31,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [2679] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1043), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2146), 9,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2148), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [2741] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1044), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3338), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3336), 31,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [2802] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(1386), 1,
      sym_label,
    STATE(1045), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3342), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3340), 29,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_else,
  [2867] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3346), 1,
      anon_sym_LBRACE,
    STATE(1046), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3311), 16,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3313), 29,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_as,
      anon_sym_else,
  [2930] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1047), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3350), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3348), 31,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [2991] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1048), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3354), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3352), 31,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [3052] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3360), 1,
      anon_sym_DASH_GT,
    STATE(1049), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3358), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3356), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [3115] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3362), 1,
      anon_sym_else,
    STATE(1239), 1,
      sym_else_clause,
    STATE(1050), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1196), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1194), 29,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
  [3180] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3364), 1,
      anon_sym_COLON_COLON,
    STATE(1051), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3305), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3303), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [3243] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1052), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3368), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3366), 31,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [3304] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1053), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3372), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3370), 31,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [3365] = 27,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1298), 1,
      anon_sym_extern,
    ACTIONS(3069), 1,
      anon_sym_QMARK,
    ACTIONS(3081), 1,
      anon_sym_fn,
    ACTIONS(3374), 1,
      sym_identifier,
    ACTIONS(3376), 1,
      anon_sym_LPAREN,
    ACTIONS(3380), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3382), 1,
      anon_sym_default,
    ACTIONS(3384), 1,
      anon_sym_for,
    ACTIONS(3386), 1,
      anon_sym_union,
    ACTIONS(3390), 1,
      sym_metavariable,
    STATE(1530), 1,
      sym_scoped_type_identifier,
    STATE(1597), 1,
      sym_generic_type,
    STATE(1613), 1,
      sym_for_lifetimes,
    STATE(2206), 1,
      aux_sym_function_modifiers_repeat1,
    STATE(2320), 1,
      sym_extern_modifier,
    STATE(3473), 1,
      sym_function_modifiers,
    STATE(3507), 1,
      sym_scoped_identifier,
    STATE(3524), 1,
      sym_generic_type_with_turbofish,
    STATE(3530), 1,
      sym_bracketed_type,
    STATE(1054), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1284), 3,
      anon_sym_async,
      anon_sym_const,
      anon_sym_unsafe,
    ACTIONS(3388), 3,
      sym_self,
      sym_super,
      sym_crate,
    STATE(1708), 3,
      sym_removed_trait_bound,
      sym_function_type,
      sym_tuple_type,
    ACTIONS(3378), 17,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
  [3470] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3394), 1,
      anon_sym_LPAREN,
    STATE(1209), 1,
      sym_arguments,
    STATE(1055), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3396), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3392), 29,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [3535] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3398), 1,
      anon_sym_LBRACE,
    STATE(1056), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3279), 16,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3281), 29,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_as,
      anon_sym_else,
  [3598] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1057), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3402), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3400), 31,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [3659] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1058), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3406), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3404), 31,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [3720] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1059), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3410), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3408), 31,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [3781] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3416), 1,
      anon_sym_DASH_GT,
    STATE(1060), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3414), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3412), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [3844] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1061), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3420), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3418), 31,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [3905] = 27,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1298), 1,
      anon_sym_extern,
    ACTIONS(3105), 1,
      anon_sym_QMARK,
    ACTIONS(3117), 1,
      anon_sym_fn,
    ACTIONS(3422), 1,
      sym_identifier,
    ACTIONS(3424), 1,
      anon_sym_LPAREN,
    ACTIONS(3428), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3430), 1,
      anon_sym_default,
    ACTIONS(3432), 1,
      anon_sym_for,
    ACTIONS(3434), 1,
      anon_sym_union,
    ACTIONS(3438), 1,
      sym_metavariable,
    STATE(1022), 1,
      sym_scoped_type_identifier,
    STATE(1088), 1,
      sym_generic_type,
    STATE(1592), 1,
      sym_for_lifetimes,
    STATE(2206), 1,
      aux_sym_function_modifiers_repeat1,
    STATE(2320), 1,
      sym_extern_modifier,
    STATE(3338), 1,
      sym_function_modifiers,
    STATE(3483), 1,
      sym_scoped_identifier,
    STATE(3516), 1,
      sym_generic_type_with_turbofish,
    STATE(3526), 1,
      sym_bracketed_type,
    STATE(1062), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1284), 3,
      anon_sym_async,
      anon_sym_const,
      anon_sym_unsafe,
    ACTIONS(3436), 3,
      sym_self,
      sym_super,
      sym_crate,
    STATE(1293), 3,
      sym_removed_trait_bound,
      sym_function_type,
      sym_tuple_type,
    ACTIONS(3426), 17,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
  [4010] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1063), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1546), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1548), 31,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [4071] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1064), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3309), 17,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_EQ,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3307), 29,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
      anon_sym_LT2,
  [4132] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3440), 1,
      anon_sym_POUND,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(1065), 3,
      sym_line_comment,
      sym_block_comment,
      aux_sym_enum_variant_list_repeat1,
    ACTIONS(796), 11,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      sym_integer_literal,
      sym_metavariable,
    ACTIONS(3201), 32,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_for,
      anon_sym_impl,
      anon_sym_pub,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_extern,
      anon_sym_dyn,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [4197] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1066), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3445), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3443), 31,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [4258] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3451), 1,
      anon_sym_DASH_GT,
    STATE(1067), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3449), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3447), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [4321] = 27,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1292), 1,
      anon_sym_for,
    ACTIONS(1298), 1,
      anon_sym_extern,
    ACTIONS(3069), 1,
      anon_sym_QMARK,
    ACTIONS(3081), 1,
      anon_sym_fn,
    ACTIONS(3376), 1,
      anon_sym_LPAREN,
    ACTIONS(3380), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3382), 1,
      anon_sym_default,
    ACTIONS(3386), 1,
      anon_sym_union,
    ACTIONS(3390), 1,
      sym_metavariable,
    ACTIONS(3453), 1,
      sym_identifier,
    STATE(1520), 1,
      sym_scoped_type_identifier,
    STATE(1613), 1,
      sym_for_lifetimes,
    STATE(1633), 1,
      sym_generic_type,
    STATE(2206), 1,
      aux_sym_function_modifiers_repeat1,
    STATE(2320), 1,
      sym_extern_modifier,
    STATE(3473), 1,
      sym_function_modifiers,
    STATE(3507), 1,
      sym_scoped_identifier,
    STATE(3524), 1,
      sym_generic_type_with_turbofish,
    STATE(3530), 1,
      sym_bracketed_type,
    STATE(1068), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1284), 3,
      anon_sym_async,
      anon_sym_const,
      anon_sym_unsafe,
    ACTIONS(3388), 3,
      sym_self,
      sym_super,
      sym_crate,
    STATE(1730), 3,
      sym_removed_trait_bound,
      sym_function_type,
      sym_tuple_type,
    ACTIONS(3378), 17,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
  [4426] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1069), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3271), 16,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3273), 29,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_as,
      anon_sym_else,
  [4489] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3364), 1,
      anon_sym_COLON_COLON,
    STATE(1070), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3285), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3283), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [4552] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1071), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3459), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3457), 31,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [4613] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1072), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3463), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3461), 31,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [4674] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3465), 1,
      anon_sym_COLON_COLON,
    STATE(1073), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1416), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1418), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [4737] = 27,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1292), 1,
      anon_sym_for,
    ACTIONS(1298), 1,
      anon_sym_extern,
    ACTIONS(3105), 1,
      anon_sym_QMARK,
    ACTIONS(3117), 1,
      anon_sym_fn,
    ACTIONS(3424), 1,
      anon_sym_LPAREN,
    ACTIONS(3428), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3430), 1,
      anon_sym_default,
    ACTIONS(3434), 1,
      anon_sym_union,
    ACTIONS(3438), 1,
      sym_metavariable,
    ACTIONS(3467), 1,
      sym_identifier,
    STATE(1021), 1,
      sym_scoped_type_identifier,
    STATE(1070), 1,
      sym_generic_type,
    STATE(1592), 1,
      sym_for_lifetimes,
    STATE(2206), 1,
      aux_sym_function_modifiers_repeat1,
    STATE(2320), 1,
      sym_extern_modifier,
    STATE(3338), 1,
      sym_function_modifiers,
    STATE(3483), 1,
      sym_scoped_identifier,
    STATE(3516), 1,
      sym_generic_type_with_turbofish,
    STATE(3526), 1,
      sym_bracketed_type,
    STATE(1074), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1284), 3,
      anon_sym_async,
      anon_sym_const,
      anon_sym_unsafe,
    ACTIONS(3436), 3,
      sym_self,
      sym_super,
      sym_crate,
    STATE(1296), 3,
      sym_removed_trait_bound,
      sym_function_type,
      sym_tuple_type,
    ACTIONS(3426), 17,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
  [4842] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1075), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3471), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3469), 31,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [4903] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3473), 1,
      anon_sym_COLON_COLON,
    STATE(1076), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3301), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3299), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [4966] = 24,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1562), 1,
      anon_sym_LBRACK,
    ACTIONS(3475), 1,
      sym_identifier,
    ACTIONS(3479), 1,
      anon_sym_LPAREN,
    ACTIONS(3481), 1,
      anon_sym_STAR,
    ACTIONS(3485), 1,
      anon_sym_AMP,
    ACTIONS(3487), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3489), 1,
      anon_sym_SQUOTE,
    ACTIONS(3493), 1,
      anon_sym_for,
    ACTIONS(3497), 1,
      sym_metavariable,
    STATE(2507), 1,
      sym_scoped_type_identifier,
    STATE(2546), 1,
      sym_where_predicate,
    STATE(3020), 1,
      sym_generic_type,
    STATE(3340), 1,
      sym_generic_type_with_turbofish,
    STATE(3385), 1,
      sym_scoped_identifier,
    STATE(3469), 1,
      sym_bracketed_type,
    ACTIONS(3477), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(3491), 2,
      anon_sym_default,
      anon_sym_union,
    STATE(1077), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3495), 3,
      sym_self,
      sym_super,
      sym_crate,
    STATE(3194), 6,
      sym_higher_ranked_trait_bound,
      sym_lifetime,
      sym_array_type,
      sym_tuple_type,
      sym_reference_type,
      sym_pointer_type,
    ACTIONS(3483), 17,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
  [5065] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3364), 1,
      anon_sym_COLON_COLON,
    STATE(1078), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3301), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3299), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [5128] = 27,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1258), 1,
      anon_sym_QMARK,
    ACTIONS(1290), 1,
      anon_sym_fn,
    ACTIONS(1298), 1,
      anon_sym_extern,
    ACTIONS(3479), 1,
      anon_sym_LPAREN,
    ACTIONS(3487), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3491), 1,
      anon_sym_union,
    ACTIONS(3497), 1,
      sym_metavariable,
    ACTIONS(3499), 1,
      sym_identifier,
    ACTIONS(3503), 1,
      anon_sym_default,
    ACTIONS(3505), 1,
      anon_sym_for,
    STATE(1618), 1,
      sym_for_lifetimes,
    STATE(1914), 1,
      sym_scoped_type_identifier,
    STATE(1951), 1,
      sym_generic_type,
    STATE(2206), 1,
      aux_sym_function_modifiers_repeat1,
    STATE(2320), 1,
      sym_extern_modifier,
    STATE(3340), 1,
      sym_generic_type_with_turbofish,
    STATE(3385), 1,
      sym_scoped_identifier,
    STATE(3427), 1,
      sym_function_modifiers,
    STATE(3469), 1,
      sym_bracketed_type,
    STATE(1079), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1284), 3,
      anon_sym_async,
      anon_sym_const,
      anon_sym_unsafe,
    ACTIONS(3495), 3,
      sym_self,
      sym_super,
      sym_crate,
    STATE(1966), 3,
      sym_removed_trait_bound,
      sym_function_type,
      sym_tuple_type,
    ACTIONS(3501), 17,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
  [5233] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1080), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3213), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3215), 31,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [5294] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1081), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3509), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3507), 31,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [5355] = 24,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1562), 1,
      anon_sym_LBRACK,
    ACTIONS(3475), 1,
      sym_identifier,
    ACTIONS(3479), 1,
      anon_sym_LPAREN,
    ACTIONS(3481), 1,
      anon_sym_STAR,
    ACTIONS(3485), 1,
      anon_sym_AMP,
    ACTIONS(3487), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3489), 1,
      anon_sym_SQUOTE,
    ACTIONS(3493), 1,
      anon_sym_for,
    ACTIONS(3497), 1,
      sym_metavariable,
    STATE(2507), 1,
      sym_scoped_type_identifier,
    STATE(2546), 1,
      sym_where_predicate,
    STATE(3020), 1,
      sym_generic_type,
    STATE(3340), 1,
      sym_generic_type_with_turbofish,
    STATE(3385), 1,
      sym_scoped_identifier,
    STATE(3469), 1,
      sym_bracketed_type,
    ACTIONS(3491), 2,
      anon_sym_default,
      anon_sym_union,
    ACTIONS(3511), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    STATE(1082), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3495), 3,
      sym_self,
      sym_super,
      sym_crate,
    STATE(3194), 6,
      sym_higher_ranked_trait_bound,
      sym_lifetime,
      sym_array_type,
      sym_tuple_type,
      sym_reference_type,
      sym_pointer_type,
    ACTIONS(3483), 17,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
  [5454] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3517), 1,
      anon_sym_DASH_GT,
    STATE(1083), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3513), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [5517] = 27,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1258), 1,
      anon_sym_QMARK,
    ACTIONS(1290), 1,
      anon_sym_fn,
    ACTIONS(1292), 1,
      anon_sym_for,
    ACTIONS(1298), 1,
      anon_sym_extern,
    ACTIONS(3479), 1,
      anon_sym_LPAREN,
    ACTIONS(3487), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3491), 1,
      anon_sym_union,
    ACTIONS(3497), 1,
      sym_metavariable,
    ACTIONS(3503), 1,
      anon_sym_default,
    ACTIONS(3519), 1,
      sym_identifier,
    STATE(1618), 1,
      sym_for_lifetimes,
    STATE(1916), 1,
      sym_scoped_type_identifier,
    STATE(1940), 1,
      sym_generic_type,
    STATE(2206), 1,
      aux_sym_function_modifiers_repeat1,
    STATE(2320), 1,
      sym_extern_modifier,
    STATE(3340), 1,
      sym_generic_type_with_turbofish,
    STATE(3385), 1,
      sym_scoped_identifier,
    STATE(3427), 1,
      sym_function_modifiers,
    STATE(3469), 1,
      sym_bracketed_type,
    STATE(1084), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1284), 3,
      anon_sym_async,
      anon_sym_const,
      anon_sym_unsafe,
    ACTIONS(3495), 3,
      sym_self,
      sym_super,
      sym_crate,
    STATE(1979), 3,
      sym_removed_trait_bound,
      sym_function_type,
      sym_tuple_type,
    ACTIONS(3501), 17,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
  [5622] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3525), 1,
      anon_sym_DASH_GT,
    STATE(1085), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3523), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3521), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [5685] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3531), 1,
      anon_sym_DASH_GT,
    STATE(1086), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3529), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3527), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [5748] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3537), 1,
      anon_sym_DASH_GT,
    STATE(1087), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3535), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3533), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [5811] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3364), 1,
      anon_sym_COLON_COLON,
    STATE(1088), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3289), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3287), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [5874] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3539), 1,
      anon_sym_LBRACE,
    STATE(1089), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3295), 16,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3297), 29,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_as,
      anon_sym_else,
  [5937] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3541), 1,
      anon_sym_COLON_COLON,
    STATE(1090), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3301), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3299), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [6000] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1091), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1368), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1366), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [6060] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1092), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1958), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1960), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [6120] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1093), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1962), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1964), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [6180] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1094), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1966), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1968), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [6240] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1095), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1970), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1972), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [6300] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1096), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1974), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1976), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [6360] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1097), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1978), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1980), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [6420] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1098), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1982), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1984), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [6480] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1099), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1986), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1988), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [6540] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1100), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1990), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1992), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [6600] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1101), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1874), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1876), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [6660] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1102), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1998), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2000), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [6720] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1103), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2002), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2004), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [6780] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1104), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2006), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2008), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [6840] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1105), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2010), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2012), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [6900] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1106), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2014), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2016), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [6960] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1107), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2018), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2020), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [7020] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1108), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2022), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2024), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [7080] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1109), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2026), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2028), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [7140] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1110), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2030), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2032), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [7200] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1111), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2034), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2036), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [7260] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1112), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2038), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2040), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [7320] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1113), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2042), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2044), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [7380] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1114), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2046), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2048), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [7440] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1115), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2050), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2052), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [7500] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1116), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2054), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2056), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [7560] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1117), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2058), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2060), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [7620] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1118), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2062), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2064), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [7680] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1119), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2066), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2068), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [7740] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1120), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2070), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2072), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [7800] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1121), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2074), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2076), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [7860] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1122), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2078), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2080), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [7920] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1123), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2082), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2084), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [7980] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1124), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2086), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2088), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [8040] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1125), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2090), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2092), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [8100] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1126), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2094), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2096), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [8160] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1127), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1430), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1428), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [8220] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1128), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1878), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1880), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [8280] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1129), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1882), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1884), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [8340] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1130), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1400), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1398), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [8400] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1131), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2102), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2104), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [8460] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1132), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2106), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2108), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [8520] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1133), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2110), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2112), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [8580] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1134), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2114), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2116), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [8640] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1135), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2118), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2120), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [8700] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1136), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2122), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2124), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [8760] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1137), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2126), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2128), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [8820] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1138), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2130), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2132), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [8880] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1139), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2134), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2136), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [8940] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1140), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2138), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2140), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [9000] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1141), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2142), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2144), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [9060] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1142), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1894), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1896), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [9120] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1143), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2150), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2152), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [9180] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1144), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2154), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2156), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [9240] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1145), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2158), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2160), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [9300] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1146), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2162), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2164), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [9360] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1147), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2166), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2168), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [9420] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1148), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2170), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2172), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [9480] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1149), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2174), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2176), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [9540] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1150), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2178), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2180), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [9600] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1151), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2182), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2184), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [9660] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1152), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2186), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2188), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [9720] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1153), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2190), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2192), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [9780] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1154), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2194), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2196), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [9840] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1155), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2198), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2200), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [9900] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1156), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2202), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2204), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [9960] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1157), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2206), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2208), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [10020] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1158), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2210), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2212), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [10080] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1159), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2214), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2216), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [10140] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1160), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2218), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2220), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [10200] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1161), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2222), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2224), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [10260] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1162), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2226), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2228), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [10320] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1163), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2230), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2232), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [10380] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1164), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2234), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2236), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [10440] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1165), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2238), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2240), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [10500] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1166), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2242), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2244), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [10560] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1167), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2250), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2252), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [10620] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1168), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2254), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2256), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [10680] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1169), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2258), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2260), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [10740] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1170), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2262), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2264), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [10800] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1171), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2266), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2268), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [10860] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1172), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2915), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2917), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [10920] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1173), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2274), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2276), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [10980] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1174), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2278), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2280), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [11040] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1175), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2282), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2284), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [11100] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1176), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2286), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2288), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [11160] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1177), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2290), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2292), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [11220] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1178), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2294), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2296), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [11280] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1179), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2302), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2304), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [11340] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1180), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2306), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2308), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [11400] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1181), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2310), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2312), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [11460] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1182), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2314), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2316), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [11520] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1183), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3545), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3543), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [11580] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1184), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1906), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1908), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [11640] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1185), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2098), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2100), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [11700] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1186), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3549), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3547), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [11760] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1187), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1662), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1664), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [11820] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1188), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2246), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2248), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [11880] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1189), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3553), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3551), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [11940] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1190), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2298), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2300), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [12000] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1191), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2318), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2320), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [12060] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1192), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1416), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1418), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [12120] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1193), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3557), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3555), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [12180] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1194), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2322), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2324), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [12240] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1195), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1452), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1450), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [12300] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1196), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1322), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1320), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [12360] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1197), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2326), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2328), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [12420] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1198), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(753), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(755), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [12480] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1199), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3561), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3559), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [12540] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1200), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2380), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2382), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [12600] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1201), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2384), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2386), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [12660] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1202), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3565), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3563), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [12720] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1203), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2388), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2390), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [12780] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1204), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2392), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2394), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [12840] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1205), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1208), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1206), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [12900] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1206), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1384), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1382), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [12960] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1207), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3569), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3567), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [13020] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1208), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3573), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3571), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [13080] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1209), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3577), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3575), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [13140] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1210), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3581), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3579), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [13200] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1211), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3585), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3583), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [13260] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1212), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3589), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3587), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [13320] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1213), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3593), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3591), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [13380] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1214), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1416), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1418), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [13440] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1215), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3396), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3392), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [13500] = 21,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1614), 1,
      anon_sym_DASH,
    ACTIONS(1638), 1,
      aux_sym_string_literal_token1,
    ACTIONS(1646), 1,
      sym__raw_string_literal_start,
    ACTIONS(3221), 1,
      anon_sym_if,
    ACTIONS(3595), 1,
      sym_identifier,
    ACTIONS(3599), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3603), 1,
      sym_metavariable,
    STATE(2726), 1,
      sym_scoped_identifier,
    STATE(2895), 1,
      sym__literal_pattern,
    STATE(3465), 1,
      sym_bracketed_type,
    STATE(3478), 1,
      sym_generic_type_with_turbofish,
    ACTIONS(1640), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3219), 2,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
    STATE(1216), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1636), 3,
      sym_float_literal,
      sym_integer_literal,
      sym_char_literal,
    ACTIONS(3601), 3,
      sym_self,
      sym_super,
      sym_crate,
    STATE(2299), 4,
      sym_negative_literal,
      sym_string_literal,
      sym_raw_string_literal,
      sym_boolean_literal,
    ACTIONS(3597), 19,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_default,
      anon_sym_union,
  [13592] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1217), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3607), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3605), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [13652] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1218), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1422), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1420), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [13712] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1219), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3611), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3609), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [13772] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1220), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3615), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3613), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [13832] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1221), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3619), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3617), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [13892] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1222), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3623), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3621), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [13952] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1223), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3627), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3625), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [14012] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1224), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3627), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3625), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [14072] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1225), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3631), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3629), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [14132] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1226), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3635), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3633), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [14192] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1227), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2400), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2402), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [14252] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1228), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3639), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3637), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [14312] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1229), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3643), 13,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      sym_metavariable,
    ACTIONS(3641), 32,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_for,
      anon_sym_impl,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_where,
      anon_sym_extern,
      anon_sym_dyn,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [14372] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1230), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3647), 13,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      sym_metavariable,
    ACTIONS(3645), 32,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_for,
      anon_sym_impl,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_where,
      anon_sym_extern,
      anon_sym_dyn,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [14432] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1231), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(985), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(987), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [14492] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1232), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2418), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2420), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [14552] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1233), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2422), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2424), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [14612] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1234), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2426), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2428), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [14672] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1235), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2430), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2432), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [14732] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1236), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2434), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2436), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [14792] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1237), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3651), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3649), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [14852] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    STATE(1238), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3317), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3315), 28,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_else,
  [14916] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1239), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1388), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1386), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [14976] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1240), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2438), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2440), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [15036] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1241), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1416), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1418), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [15096] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1242), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2442), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2444), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [15156] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3659), 1,
      anon_sym_RBRACE,
    STATE(1243), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3657), 15,
      sym__raw_string_literal_start,
      sym_float_literal,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_integer_literal,
      aux_sym_string_literal_token1,
      sym_char_literal,
      sym_metavariable,
    ACTIONS(3655), 29,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym__,
      anon_sym_const,
      anon_sym_default,
      anon_sym_union,
      anon_sym_ref,
      sym_mutable_specifier,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [15218] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1244), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2410), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2412), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [15278] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1245), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2446), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2448), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [15338] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1246), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2450), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2452), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [15398] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1247), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2454), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2456), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [15458] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1248), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1396), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1394), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [15518] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1249), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3663), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3661), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [15578] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1250), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1416), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1418), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [15638] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    STATE(1251), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3669), 14,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
    ACTIONS(3665), 27,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_else,
  [15706] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1252), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2462), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2464), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [15766] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1253), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2466), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2468), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [15826] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1254), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2470), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2472), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [15886] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1255), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2474), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2476), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [15946] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1256), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2478), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2480), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [16006] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1257), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3679), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3677), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [16066] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1258), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2482), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2484), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [16126] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1259), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2486), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2488), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [16186] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1260), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3683), 13,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      sym_metavariable,
    ACTIONS(3681), 32,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_for,
      anon_sym_impl,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_where,
      anon_sym_extern,
      anon_sym_dyn,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [16246] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1261), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3687), 13,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      sym_metavariable,
    ACTIONS(3685), 32,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_for,
      anon_sym_impl,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_where,
      anon_sym_extern,
      anon_sym_dyn,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [16306] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1262), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3691), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3689), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [16366] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1263), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2490), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2492), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [16426] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1264), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3695), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3693), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [16486] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1265), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2494), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2496), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [16546] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1266), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2498), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2500), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [16606] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1267), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2502), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2504), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [16666] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1268), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2506), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2508), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [16726] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1269), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1376), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1374), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [16786] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1270), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2514), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2516), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [16846] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1271), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2518), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2520), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [16906] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1272), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3699), 13,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      sym_metavariable,
    ACTIONS(3697), 32,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_for,
      anon_sym_impl,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_where,
      anon_sym_extern,
      anon_sym_dyn,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [16966] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1273), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3703), 13,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      sym_metavariable,
    ACTIONS(3701), 32,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_for,
      anon_sym_impl,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_where,
      anon_sym_extern,
      anon_sym_dyn,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [17026] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1274), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3707), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3705), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [17086] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1275), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3711), 13,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      sym_metavariable,
    ACTIONS(3709), 32,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_for,
      anon_sym_impl,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_where,
      anon_sym_extern,
      anon_sym_dyn,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [17146] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1276), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2522), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2524), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [17206] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1277), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2528), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2530), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [17266] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1278), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3715), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3713), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [17326] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1279), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2615), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2617), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [17386] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1280), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2619), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2621), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [17446] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1281), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2623), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2625), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [17506] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1282), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2627), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2629), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [17566] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1283), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2631), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2633), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [17626] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1284), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2637), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2639), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [17686] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1285), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2641), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2643), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [17746] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1286), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3719), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3717), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [17806] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1287), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1426), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1424), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [17866] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3725), 1,
      anon_sym_RBRACE,
    STATE(1288), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3723), 15,
      sym__raw_string_literal_start,
      sym_float_literal,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_integer_literal,
      aux_sym_string_literal_token1,
      sym_char_literal,
      sym_metavariable,
    ACTIONS(3721), 29,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym__,
      anon_sym_const,
      anon_sym_default,
      anon_sym_union,
      anon_sym_ref,
      sym_mutable_specifier,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [17928] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1289), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2645), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2647), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [17988] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1290), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2653), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2655), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [18048] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3729), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3727), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [18108] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1292), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3733), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3731), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [18168] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1293), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3289), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3287), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [18228] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1294), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3737), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3735), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [18288] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1295), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3741), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3739), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [18348] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1296), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3285), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3283), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [18408] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1297), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3305), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3303), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [18468] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1298), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3745), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3743), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [18528] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1299), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3749), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3747), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [18588] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1300), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3753), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3751), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [18648] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1301), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2406), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2408), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [18708] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1302), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1242), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1240), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [18768] = 21,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1614), 1,
      anon_sym_DASH,
    ACTIONS(1638), 1,
      aux_sym_string_literal_token1,
    ACTIONS(1646), 1,
      sym__raw_string_literal_start,
    ACTIONS(3233), 1,
      anon_sym_if,
    ACTIONS(3599), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3755), 1,
      sym_identifier,
    ACTIONS(3761), 1,
      sym_metavariable,
    STATE(2696), 1,
      sym_scoped_identifier,
    STATE(2971), 1,
      sym__literal_pattern,
    STATE(3465), 1,
      sym_bracketed_type,
    STATE(3478), 1,
      sym_generic_type_with_turbofish,
    ACTIONS(1640), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(3231), 2,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
    STATE(1303), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1636), 3,
      sym_float_literal,
      sym_integer_literal,
      sym_char_literal,
    ACTIONS(3759), 3,
      sym_self,
      sym_super,
      sym_crate,
    STATE(2299), 4,
      sym_negative_literal,
      sym_string_literal,
      sym_raw_string_literal,
      sym_boolean_literal,
    ACTIONS(3757), 19,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_default,
      anon_sym_union,
  [18860] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1304), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3765), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3763), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [18920] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1305), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3769), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3767), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [18980] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1306), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2657), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2659), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [19040] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1307), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2661), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2663), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [19100] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1308), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3773), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3771), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [19160] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1309), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3777), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3775), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [19220] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1310), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1416), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1418), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [19280] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1311), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(989), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(991), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [19340] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1312), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2665), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2667), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [19400] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1313), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(767), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(769), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [19460] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1314), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2669), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2671), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [19520] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1315), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2673), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2675), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [19580] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1316), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2677), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2679), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [19640] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1317), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2681), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2683), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [19700] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1318), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2685), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2687), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [19760] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1319), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1352), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1350), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [19820] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1320), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3781), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3779), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [19880] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1321), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1356), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1354), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [19940] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1322), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3783), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [20000] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    STATE(1323), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3789), 14,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
    ACTIONS(3787), 28,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [20066] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1324), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3793), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3791), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [20126] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1325), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3797), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3795), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [20186] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1326), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2689), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2691), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [20246] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1327), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3801), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3799), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [20306] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1328), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2693), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2695), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [20366] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1329), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2697), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2699), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [20426] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1330), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2701), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2703), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [20486] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1331), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2705), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2707), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [20546] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1332), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2709), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2711), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [20606] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1333), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2713), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2715), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [20666] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1334), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2717), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2719), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [20726] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1335), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2721), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2723), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [20786] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1336), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1364), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1362), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [20846] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    STATE(1337), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3805), 14,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
    ACTIONS(3803), 28,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [20912] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1338), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2791), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2793), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [20972] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1339), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2799), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2801), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [21032] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1340), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2803), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2805), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [21092] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1341), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2807), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2809), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [21152] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1342), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2811), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2813), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [21212] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1343), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2815), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2817), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [21272] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1344), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2819), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2821), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [21332] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1345), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2823), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2825), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [21392] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1346), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2827), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2829), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [21452] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1347), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2831), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2833), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [21512] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1348), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2835), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2837), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [21572] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1349), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2839), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2841), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [21632] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1350), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2843), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2845), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [21692] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1351), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2847), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2849), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [21752] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1352), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2851), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2853), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [21812] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    STATE(1353), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3809), 14,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
    ACTIONS(3807), 28,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [21878] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1354), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2855), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2857), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [21938] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1355), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2859), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2861), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [21998] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1356), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2863), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2865), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [22058] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1357), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2867), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2869), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [22118] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1358), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2871), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2873), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [22178] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1359), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2875), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2877), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [22238] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1360), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2879), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2881), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [22298] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1361), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2883), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2885), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [22358] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1362), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2887), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2889), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [22418] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1363), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2891), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2893), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [22478] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1364), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2895), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2897), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [22538] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1365), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3813), 13,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      sym_metavariable,
    ACTIONS(3811), 32,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_for,
      anon_sym_impl,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_where,
      anon_sym_extern,
      anon_sym_dyn,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [22598] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1366), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3817), 13,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      sym_metavariable,
    ACTIONS(3815), 32,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_for,
      anon_sym_impl,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_where,
      anon_sym_extern,
      anon_sym_dyn,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [22658] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1367), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3821), 13,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      sym_metavariable,
    ACTIONS(3819), 32,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_for,
      anon_sym_impl,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_where,
      anon_sym_extern,
      anon_sym_dyn,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [22718] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1368), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2899), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2901), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [22778] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1369), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3825), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3823), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [22838] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1370), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2903), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2905), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [22898] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1371), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2907), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2909), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [22958] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1372), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2911), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2913), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [23018] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1373), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2270), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2272), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [23078] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1374), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2649), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2651), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [23138] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1375), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1234), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1232), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [23198] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1376), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1380), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1378), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [23258] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3827), 2,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
    STATE(1377), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3545), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3543), 28,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_else,
  [23320] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1378), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1666), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1668), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [23380] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1379), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1670), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1672), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [23440] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1380), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(771), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(773), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [23500] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1381), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1372), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1370), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [23560] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1382), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3831), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3829), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [23620] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1383), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3835), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3833), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [23680] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1384), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3839), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3837), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [23740] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1385), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3843), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3841), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [23800] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1386), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3847), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3845), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [23860] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1387), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1444), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1442), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [23920] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1388), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3851), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3849), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [23980] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1389), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3855), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3853), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [24040] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1390), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1758), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1760), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [24100] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1391), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3859), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3857), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [24160] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1392), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1674), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1676), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [24220] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3247), 1,
      anon_sym_BANG,
    ACTIONS(3861), 1,
      anon_sym_COLON_COLON,
    STATE(1393), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1416), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1418), 28,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_else,
  [24284] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1394), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1678), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1680), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [24344] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1395), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1682), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1684), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [24404] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1396), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1686), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1688), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [24464] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1397), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1690), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1692), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [24524] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1398), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1694), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1696), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [24584] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1399), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1698), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1700), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [24644] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1400), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1702), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1704), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [24704] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1401), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1706), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1708), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [24764] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1402), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1710), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1712), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [24824] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1403), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1714), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1716), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [24884] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1404), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1718), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1720), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [24944] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1405), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1722), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1724), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [25004] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1406), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1726), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1728), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [25064] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1407), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1730), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1732), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [25124] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1408), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1734), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1736), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [25184] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1409), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1738), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1740), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [25244] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1410), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1742), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1744), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [25304] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1411), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1746), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1748), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [25364] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1412), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1750), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1752), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [25424] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1413), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1392), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1390), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [25484] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1414), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1754), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1756), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [25544] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1415), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1766), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1768), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [25604] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1416), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1770), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1772), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [25664] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1417), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1774), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1776), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [25724] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1418), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1246), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1244), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [25784] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3863), 2,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
    STATE(1419), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3545), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3543), 28,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_else,
  [25846] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1420), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1778), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1780), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [25906] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1421), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1782), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1784), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [25966] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1422), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1786), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1788), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [26026] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1423), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1790), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1792), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [26086] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1424), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1794), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1796), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [26146] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1425), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1798), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1800), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [26206] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1426), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1802), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1804), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [26266] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1427), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1806), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1808), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [26326] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1428), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1810), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1812), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [26386] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1429), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1814), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1816), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [26446] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1430), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1818), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1820), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [26506] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1431), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1822), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1824), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [26566] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1432), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1826), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1828), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [26626] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1433), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1830), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1832), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [26686] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1434), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1834), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1836), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [26746] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1435), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1838), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1840), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [26806] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1436), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1842), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1844), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [26866] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1437), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1846), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1848), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [26926] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1438), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1850), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1852), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [26986] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1439), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3867), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3865), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [27046] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1440), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1854), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1856), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [27106] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1441), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1858), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1860), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [27166] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1442), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1862), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1864), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [27226] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1443), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1866), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1868), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [27286] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1444), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3871), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3869), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [27346] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1445), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1870), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1872), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [27406] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1446), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1238), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1236), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [27466] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1447), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1886), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1888), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [27526] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1448), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1890), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1892), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [27586] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1449), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3875), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3873), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [27646] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1450), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1898), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1900), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [27706] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1451), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3301), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3299), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [27766] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1452), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1902), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1904), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [27826] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1453), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1910), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1912), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [27886] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1454), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1404), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1402), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [27946] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1455), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1914), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1916), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [28006] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1456), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3879), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(3877), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [28066] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1457), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1918), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1920), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [28126] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1458), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1922), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1924), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [28186] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1459), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1926), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1928), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [28246] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1460), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3883), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3881), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [28306] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1461), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1930), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1932), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [28366] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1462), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(935), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(937), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [28426] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1463), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(967), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(969), 30,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_else,
  [28486] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1464), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1934), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1936), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [28546] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1465), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1938), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1940), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [28606] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1466), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1942), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1944), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [28666] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1467), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1946), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1948), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [28726] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1468), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1950), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1952), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [28786] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1469), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1954), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(1956), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [28846] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1470), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2510), 7,
      anon_sym_SEMI,
      anon_sym_macro_rules_BANG,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_metavariable,
    ACTIONS(2512), 38,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_impl,
      anon_sym_let,
      anon_sym_mod,
      anon_sym_pub,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [28906] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1471), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3887), 15,
      sym__raw_string_literal_start,
      sym_float_literal,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_integer_literal,
      aux_sym_string_literal_token1,
      sym_char_literal,
      sym_metavariable,
    ACTIONS(3885), 29,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym__,
      anon_sym_const,
      anon_sym_default,
      anon_sym_union,
      anon_sym_ref,
      sym_mutable_specifier,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [28965] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1472), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2410), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_SQUOTE,
      sym_integer_literal,
      sym_metavariable,
    ACTIONS(2412), 32,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_for,
      anon_sym_impl,
      anon_sym_pub,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_extern,
      anon_sym_dyn,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [29024] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1473), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3657), 15,
      sym__raw_string_literal_start,
      sym_float_literal,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_integer_literal,
      aux_sym_string_literal_token1,
      sym_char_literal,
      sym_metavariable,
    ACTIONS(3655), 29,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym__,
      anon_sym_const,
      anon_sym_default,
      anon_sym_union,
      anon_sym_ref,
      sym_mutable_specifier,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [29083] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1474), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2657), 15,
      sym__raw_string_literal_start,
      sym_float_literal,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_integer_literal,
      aux_sym_string_literal_token1,
      sym_char_literal,
      sym_metavariable,
    ACTIONS(2659), 29,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym__,
      anon_sym_const,
      anon_sym_default,
      anon_sym_union,
      anon_sym_ref,
      sym_mutable_specifier,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [29142] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3889), 1,
      anon_sym_COLON_COLON,
    STATE(1475), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1416), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1418), 28,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_else,
  [29203] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1476), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3205), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      anon_sym_SQUOTE,
      sym_integer_literal,
      sym_metavariable,
    ACTIONS(3203), 32,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_for,
      anon_sym_impl,
      anon_sym_pub,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_extern,
      anon_sym_dyn,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [29262] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1477), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3723), 15,
      sym__raw_string_literal_start,
      sym_float_literal,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_integer_literal,
      aux_sym_string_literal_token1,
      sym_char_literal,
      sym_metavariable,
    ACTIONS(3721), 29,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym__,
      anon_sym_const,
      anon_sym_default,
      anon_sym_union,
      anon_sym_ref,
      sym_mutable_specifier,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [29321] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3321), 1,
      anon_sym_COLON_COLON,
    STATE(1478), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3317), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3315), 28,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_else,
  [29382] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1479), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3893), 15,
      sym__raw_string_literal_start,
      sym_float_literal,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_DOT_DOT,
      anon_sym_COLON_COLON,
      anon_sym_POUND,
      sym_integer_literal,
      aux_sym_string_literal_token1,
      sym_char_literal,
      sym_metavariable,
    ACTIONS(3891), 29,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym__,
      anon_sym_const,
      anon_sym_default,
      anon_sym_union,
      anon_sym_ref,
      sym_mutable_specifier,
      anon_sym_true,
      anon_sym_false,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [29441] = 23,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1562), 1,
      anon_sym_LBRACK,
    ACTIONS(3475), 1,
      sym_identifier,
    ACTIONS(3479), 1,
      anon_sym_LPAREN,
    ACTIONS(3481), 1,
      anon_sym_STAR,
    ACTIONS(3485), 1,
      anon_sym_AMP,
    ACTIONS(3487), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3489), 1,
      anon_sym_SQUOTE,
    ACTIONS(3493), 1,
      anon_sym_for,
    ACTIONS(3497), 1,
      sym_metavariable,
    STATE(2507), 1,
      sym_scoped_type_identifier,
    STATE(2546), 1,
      sym_where_predicate,
    STATE(3020), 1,
      sym_generic_type,
    STATE(3340), 1,
      sym_generic_type_with_turbofish,
    STATE(3385), 1,
      sym_scoped_identifier,
    STATE(3469), 1,
      sym_bracketed_type,
    ACTIONS(3491), 2,
      anon_sym_default,
      anon_sym_union,
    STATE(1480), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3495), 3,
      sym_self,
      sym_super,
      sym_crate,
    STATE(3194), 6,
      sym_higher_ranked_trait_bound,
      sym_lifetime,
      sym_array_type,
      sym_tuple_type,
      sym_reference_type,
      sym_pointer_type,
    ACTIONS(3483), 17,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
  [29536] = 23,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1562), 1,
      anon_sym_LBRACK,
    ACTIONS(3475), 1,
      sym_identifier,
    ACTIONS(3479), 1,
      anon_sym_LPAREN,
    ACTIONS(3481), 1,
      anon_sym_STAR,
    ACTIONS(3485), 1,
      anon_sym_AMP,
    ACTIONS(3487), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3489), 1,
      anon_sym_SQUOTE,
    ACTIONS(3493), 1,
      anon_sym_for,
    ACTIONS(3497), 1,
      sym_metavariable,
    STATE(2438), 1,
      sym_where_predicate,
    STATE(2507), 1,
      sym_scoped_type_identifier,
    STATE(3020), 1,
      sym_generic_type,
    STATE(3340), 1,
      sym_generic_type_with_turbofish,
    STATE(3385), 1,
      sym_scoped_identifier,
    STATE(3469), 1,
      sym_bracketed_type,
    ACTIONS(3491), 2,
      anon_sym_default,
      anon_sym_union,
    STATE(1481), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3495), 3,
      sym_self,
      sym_super,
      sym_crate,
    STATE(3194), 6,
      sym_higher_ranked_trait_bound,
      sym_lifetime,
      sym_array_type,
      sym_tuple_type,
      sym_reference_type,
      sym_pointer_type,
    ACTIONS(3483), 17,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
  [29631] = 19,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3913), 2,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(1482), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3895), 19,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_else,
  [29717] = 21,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3921), 1,
      anon_sym_EQ,
    ACTIONS(3923), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3925), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1483), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3919), 17,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_COMMA,
      anon_sym_else,
  [29807] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3325), 1,
      anon_sym_LBRACE,
    ACTIONS(3327), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3927), 1,
      anon_sym_BANG,
    STATE(1199), 1,
      sym_field_initializer_list,
    STATE(1484), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1416), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1418), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [29873] = 13,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(1485), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3669), 6,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
    ACTIONS(3665), 25,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_else,
  [29947] = 12,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(1486), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3669), 7,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
    ACTIONS(3665), 25,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_else,
  [30019] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3923), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3925), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1487), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3661), 7,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_else,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [30111] = 14,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(1488), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3669), 5,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
    ACTIONS(3665), 25,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_else,
  [30187] = 21,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3923), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3935), 1,
      anon_sym_EQ,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3925), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1489), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3933), 17,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_COMMA,
      anon_sym_else,
  [30277] = 17,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3669), 2,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(1490), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3665), 21,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_else,
  [30359] = 25,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1290), 1,
      anon_sym_fn,
    ACTIONS(1298), 1,
      anon_sym_extern,
    ACTIONS(3145), 1,
      anon_sym_for,
    ACTIONS(3487), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3491), 1,
      anon_sym_union,
    ACTIONS(3497), 1,
      sym_metavariable,
    ACTIONS(3503), 1,
      anon_sym_default,
    ACTIONS(3937), 1,
      sym_identifier,
    STATE(1618), 1,
      sym_for_lifetimes,
    STATE(1917), 1,
      sym_scoped_type_identifier,
    STATE(1944), 1,
      sym_generic_type,
    STATE(2206), 1,
      aux_sym_function_modifiers_repeat1,
    STATE(2320), 1,
      sym_extern_modifier,
    STATE(3340), 1,
      sym_generic_type_with_turbofish,
    STATE(3385), 1,
      sym_scoped_identifier,
    STATE(3427), 1,
      sym_function_modifiers,
    STATE(3469), 1,
      sym_bracketed_type,
    STATE(1491), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1984), 2,
      sym_higher_ranked_trait_bound,
      sym_function_type,
    ACTIONS(1284), 3,
      anon_sym_async,
      anon_sym_const,
      anon_sym_unsafe,
    ACTIONS(3495), 3,
      sym_self,
      sym_super,
      sym_crate,
    ACTIONS(3501), 17,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
  [30457] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_BANG,
    ACTIONS(3943), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3945), 1,
      anon_sym_LT2,
    STATE(1582), 1,
      sym_type_arguments,
    STATE(1602), 1,
      sym_parameters,
    STATE(1492), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3245), 17,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_EQ,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3241), 20,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [30527] = 19,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(370), 2,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(1493), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(368), 19,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_else,
  [30613] = 21,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3923), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3949), 1,
      anon_sym_EQ,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3925), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1494), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3947), 17,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_COMMA,
      anon_sym_else,
  [30703] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    STATE(1495), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3669), 11,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
    ACTIONS(3665), 25,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_else,
  [30771] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3923), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3925), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1496), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3771), 7,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_else,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [30863] = 15,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(1497), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3669), 4,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
    ACTIONS(3665), 25,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_else,
  [30941] = 25,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1298), 1,
      anon_sym_extern,
    ACTIONS(3117), 1,
      anon_sym_fn,
    ACTIONS(3428), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3430), 1,
      anon_sym_default,
    ACTIONS(3434), 1,
      anon_sym_union,
    ACTIONS(3438), 1,
      sym_metavariable,
    ACTIONS(3951), 1,
      sym_identifier,
    ACTIONS(3953), 1,
      anon_sym_for,
    STATE(1029), 1,
      sym_scoped_type_identifier,
    STATE(1051), 1,
      sym_generic_type,
    STATE(1592), 1,
      sym_for_lifetimes,
    STATE(2206), 1,
      aux_sym_function_modifiers_repeat1,
    STATE(2320), 1,
      sym_extern_modifier,
    STATE(3338), 1,
      sym_function_modifiers,
    STATE(3483), 1,
      sym_scoped_identifier,
    STATE(3516), 1,
      sym_generic_type_with_turbofish,
    STATE(3526), 1,
      sym_bracketed_type,
    STATE(1297), 2,
      sym_higher_ranked_trait_bound,
      sym_function_type,
    STATE(1498), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1284), 3,
      anon_sym_async,
      anon_sym_const,
      anon_sym_unsafe,
    ACTIONS(3436), 3,
      sym_self,
      sym_super,
      sym_crate,
    ACTIONS(3426), 17,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
  [31039] = 21,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3923), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3957), 1,
      anon_sym_EQ,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3925), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1499), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3955), 17,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_COMMA,
      anon_sym_else,
  [31129] = 18,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3669), 2,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(1500), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3665), 20,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_else,
  [31213] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1501), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3669), 9,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
    ACTIONS(3665), 25,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_else,
  [31283] = 21,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(342), 1,
      anon_sym_EQ,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3923), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3925), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1502), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(336), 17,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_COMMA,
      anon_sym_else,
  [31373] = 21,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3923), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3961), 1,
      anon_sym_EQ,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3925), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1503), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3959), 17,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_COMMA,
      anon_sym_else,
  [31463] = 25,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1298), 1,
      anon_sym_extern,
    ACTIONS(3081), 1,
      anon_sym_fn,
    ACTIONS(3380), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3382), 1,
      anon_sym_default,
    ACTIONS(3386), 1,
      anon_sym_union,
    ACTIONS(3390), 1,
      sym_metavariable,
    ACTIONS(3963), 1,
      sym_identifier,
    ACTIONS(3965), 1,
      anon_sym_for,
    STATE(1532), 1,
      sym_scoped_type_identifier,
    STATE(1600), 1,
      sym_generic_type,
    STATE(1613), 1,
      sym_for_lifetimes,
    STATE(2206), 1,
      aux_sym_function_modifiers_repeat1,
    STATE(2320), 1,
      sym_extern_modifier,
    STATE(3473), 1,
      sym_function_modifiers,
    STATE(3507), 1,
      sym_scoped_identifier,
    STATE(3524), 1,
      sym_generic_type_with_turbofish,
    STATE(3530), 1,
      sym_bracketed_type,
    STATE(1504), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1709), 2,
      sym_higher_ranked_trait_bound,
      sym_function_type,
    ACTIONS(1284), 3,
      anon_sym_async,
      anon_sym_const,
      anon_sym_unsafe,
    ACTIONS(3388), 3,
      sym_self,
      sym_super,
      sym_crate,
    ACTIONS(3378), 17,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
  [31561] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3923), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3925), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1505), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3739), 7,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_else,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [31653] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3945), 1,
      anon_sym_LT2,
    ACTIONS(3967), 1,
      anon_sym_COLON_COLON,
    STATE(1582), 1,
      sym_type_arguments,
    STATE(1602), 1,
      sym_parameters,
    STATE(1506), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3261), 17,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_EQ,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3259), 20,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [31720] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3941), 1,
      anon_sym_BANG,
    ACTIONS(3969), 1,
      anon_sym_LBRACE,
    ACTIONS(3971), 1,
      anon_sym_COLON_COLON,
    STATE(1650), 1,
      sym_field_initializer_list,
    STATE(1507), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1416), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1418), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [31785] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3945), 1,
      anon_sym_LT2,
    ACTIONS(3967), 1,
      anon_sym_COLON_COLON,
    STATE(1582), 1,
      sym_type_arguments,
    STATE(1602), 1,
      sym_parameters,
    STATE(1508), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3265), 17,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_EQ,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3263), 20,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [31852] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3319), 1,
      anon_sym_BANG,
    ACTIONS(3321), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3973), 1,
      sym_identifier,
    STATE(1509), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3317), 16,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
      anon_sym_as,
    ACTIONS(3315), 23,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
  [31915] = 19,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1262), 1,
      anon_sym_DASH,
    ACTIONS(1308), 1,
      aux_sym_string_literal_token1,
    ACTIONS(1318), 1,
      sym__raw_string_literal_start,
    ACTIONS(2340), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3229), 1,
      sym_identifier,
    ACTIONS(3239), 1,
      sym_metavariable,
    STATE(2036), 1,
      sym_scoped_identifier,
    STATE(2080), 1,
      sym__literal_pattern,
    STATE(3324), 1,
      sym_bracketed_type,
    STATE(3350), 1,
      sym_generic_type_with_turbofish,
    ACTIONS(1310), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(1510), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1306), 3,
      sym_float_literal,
      sym_integer_literal,
      sym_char_literal,
    ACTIONS(3237), 3,
      sym_self,
      sym_super,
      sym_crate,
    STATE(2004), 4,
      sym_negative_literal,
      sym_string_literal,
      sym_raw_string_literal,
      sym_boolean_literal,
    ACTIONS(3235), 19,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_default,
      anon_sym_union,
  [32000] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3247), 1,
      anon_sym_BANG,
    ACTIONS(3975), 1,
      anon_sym_COLON_COLON,
    STATE(1199), 1,
      sym_field_initializer_list,
    STATE(1511), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1416), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1418), 24,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_SQUOTE,
      anon_sym_as,
  [32063] = 19,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1262), 1,
      anon_sym_DASH,
    ACTIONS(1308), 1,
      aux_sym_string_literal_token1,
    ACTIONS(1318), 1,
      sym__raw_string_literal_start,
    ACTIONS(2340), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3217), 1,
      sym_identifier,
    ACTIONS(3227), 1,
      sym_metavariable,
    STATE(2048), 1,
      sym_scoped_identifier,
    STATE(2091), 1,
      sym__literal_pattern,
    STATE(3324), 1,
      sym_bracketed_type,
    STATE(3350), 1,
      sym_generic_type_with_turbofish,
    ACTIONS(1310), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(1512), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1306), 3,
      sym_float_literal,
      sym_integer_literal,
      sym_char_literal,
    ACTIONS(3225), 3,
      sym_self,
      sym_super,
      sym_crate,
    STATE(2004), 4,
      sym_negative_literal,
      sym_string_literal,
      sym_raw_string_literal,
      sym_boolean_literal,
    ACTIONS(3223), 19,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_default,
      anon_sym_union,
  [32148] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3945), 1,
      anon_sym_LT2,
    ACTIONS(3967), 1,
      anon_sym_COLON_COLON,
    STATE(1582), 1,
      sym_type_arguments,
    STATE(1602), 1,
      sym_parameters,
    STATE(1513), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3255), 17,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_EQ,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3253), 20,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [32215] = 19,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1614), 1,
      anon_sym_DASH,
    ACTIONS(1638), 1,
      aux_sym_string_literal_token1,
    ACTIONS(1646), 1,
      sym__raw_string_literal_start,
    ACTIONS(3599), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3755), 1,
      sym_identifier,
    ACTIONS(3761), 1,
      sym_metavariable,
    STATE(2696), 1,
      sym_scoped_identifier,
    STATE(2971), 1,
      sym__literal_pattern,
    STATE(3465), 1,
      sym_bracketed_type,
    STATE(3478), 1,
      sym_generic_type_with_turbofish,
    ACTIONS(1640), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(1514), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1636), 3,
      sym_float_literal,
      sym_integer_literal,
      sym_char_literal,
    ACTIONS(3759), 3,
      sym_self,
      sym_super,
      sym_crate,
    STATE(2299), 4,
      sym_negative_literal,
      sym_string_literal,
      sym_raw_string_literal,
      sym_boolean_literal,
    ACTIONS(3757), 19,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_default,
      anon_sym_union,
  [32300] = 19,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1614), 1,
      anon_sym_DASH,
    ACTIONS(1638), 1,
      aux_sym_string_literal_token1,
    ACTIONS(1646), 1,
      sym__raw_string_literal_start,
    ACTIONS(3595), 1,
      sym_identifier,
    ACTIONS(3599), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3603), 1,
      sym_metavariable,
    STATE(2726), 1,
      sym_scoped_identifier,
    STATE(2895), 1,
      sym__literal_pattern,
    STATE(3465), 1,
      sym_bracketed_type,
    STATE(3478), 1,
      sym_generic_type_with_turbofish,
    ACTIONS(1640), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(1515), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1636), 3,
      sym_float_literal,
      sym_integer_literal,
      sym_char_literal,
    ACTIONS(3601), 3,
      sym_self,
      sym_super,
      sym_crate,
    STATE(2299), 4,
      sym_negative_literal,
      sym_string_literal,
      sym_raw_string_literal,
      sym_boolean_literal,
    ACTIONS(3597), 19,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_default,
      anon_sym_union,
  [32385] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1516), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3295), 16,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3297), 25,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      anon_sym_as,
  [32441] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3981), 1,
      anon_sym_COLON_COLON,
    STATE(1517), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3979), 9,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_SQUOTE,
      sym_metavariable,
    ACTIONS(3977), 31,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_for,
      anon_sym_impl,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_extern,
      anon_sym_dyn,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [32499] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3539), 1,
      anon_sym_LBRACE,
    STATE(1518), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3295), 16,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3297), 24,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_as,
  [32557] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3295), 1,
      anon_sym_BANG,
    ACTIONS(3297), 1,
      anon_sym_COLON_COLON,
    STATE(1519), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3293), 17,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_EQ,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3291), 22,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
      anon_sym_LT2,
  [32617] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3945), 1,
      anon_sym_LT2,
    STATE(1583), 1,
      sym_type_arguments,
    STATE(1614), 1,
      sym_parameters,
    STATE(1520), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3285), 17,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_EQ,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3283), 20,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [32681] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1521), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3279), 16,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3281), 25,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      anon_sym_as,
  [32737] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3398), 1,
      anon_sym_LBRACE,
    STATE(1522), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3279), 16,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3281), 24,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_as,
  [32795] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1523), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3311), 16,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3313), 25,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      anon_sym_as,
  [32851] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3455), 1,
      anon_sym_LBRACE,
    STATE(1524), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3271), 16,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3273), 24,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_as,
  [32909] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1525), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3271), 16,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3273), 25,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      anon_sym_as,
  [32965] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3945), 1,
      anon_sym_LT2,
    STATE(1583), 1,
      sym_type_arguments,
    STATE(1614), 1,
      sym_parameters,
    STATE(1526), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3301), 17,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_EQ,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3299), 20,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [33029] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3271), 1,
      anon_sym_BANG,
    ACTIONS(3273), 1,
      anon_sym_COLON_COLON,
    STATE(1527), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3269), 17,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_EQ,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3267), 22,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
      anon_sym_LT2,
  [33089] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1528), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3817), 10,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      sym_metavariable,
    ACTIONS(3815), 31,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_for,
      anon_sym_impl,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_extern,
      anon_sym_dyn,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [33145] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3311), 1,
      anon_sym_BANG,
    ACTIONS(3313), 1,
      anon_sym_COLON_COLON,
    STATE(1529), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3309), 17,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_EQ,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3307), 22,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
      anon_sym_LT2,
  [33205] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3945), 1,
      anon_sym_LT2,
    STATE(1583), 1,
      sym_type_arguments,
    STATE(1614), 1,
      sym_parameters,
    STATE(1530), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3289), 17,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_EQ,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3287), 20,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [33269] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3984), 1,
      anon_sym_LPAREN,
    STATE(1531), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3979), 9,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      sym_metavariable,
    ACTIONS(3977), 31,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_for,
      anon_sym_impl,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_extern,
      anon_sym_dyn,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [33327] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(3945), 1,
      anon_sym_LT2,
    STATE(1583), 1,
      sym_type_arguments,
    STATE(1614), 1,
      sym_parameters,
    STATE(1532), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3305), 17,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_EQ,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3303), 20,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [33391] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3279), 1,
      anon_sym_BANG,
    ACTIONS(3281), 1,
      anon_sym_COLON_COLON,
    STATE(1533), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3277), 17,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_EQ,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3275), 22,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
      anon_sym_LT2,
  [33451] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3861), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3927), 1,
      anon_sym_BANG,
    STATE(1534), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1416), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1418), 24,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [33511] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3247), 1,
      anon_sym_BANG,
    ACTIONS(3987), 1,
      anon_sym_COLON_COLON,
    STATE(1535), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1416), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1418), 24,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_SQUOTE,
      anon_sym_as,
  [33571] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1536), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3647), 10,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      sym_metavariable,
    ACTIONS(3645), 31,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_for,
      anon_sym_impl,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_extern,
      anon_sym_dyn,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [33627] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3653), 1,
      anon_sym_BANG,
    ACTIONS(3989), 1,
      anon_sym_COLON_COLON,
    STATE(1537), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3317), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3315), 24,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_SQUOTE,
      anon_sym_as,
  [33687] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3346), 1,
      anon_sym_LBRACE,
    STATE(1538), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3311), 16,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3313), 24,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_as,
  [33745] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1539), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3993), 10,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      sym_metavariable,
    ACTIONS(3991), 31,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_for,
      anon_sym_impl,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_extern,
      anon_sym_dyn,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [33801] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1540), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3997), 10,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      sym_metavariable,
    ACTIONS(3995), 31,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_for,
      anon_sym_impl,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_extern,
      anon_sym_dyn,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [33857] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1541), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4001), 10,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_STAR,
      anon_sym_QMARK,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      sym_metavariable,
    ACTIONS(3999), 31,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_for,
      anon_sym_impl,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_extern,
      anon_sym_dyn,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [33913] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1386), 1,
      sym_label,
    STATE(1542), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3342), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3340), 24,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_SQUOTE,
      anon_sym_as,
  [33970] = 25,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1003), 1,
      anon_sym_RBRACK,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4003), 1,
      anon_sym_SEMI,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4009), 1,
      anon_sym_COMMA,
    STATE(2960), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1543), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [34065] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4011), 1,
      anon_sym_SQUOTE,
    STATE(1647), 1,
      sym_label,
    STATE(1544), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3342), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3340), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [34124] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1545), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3279), 16,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3281), 24,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_as,
  [34179] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3941), 1,
      anon_sym_BANG,
    ACTIONS(4013), 1,
      anon_sym_COLON_COLON,
    STATE(1546), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1416), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1418), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [34238] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1547), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3295), 16,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3297), 24,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_as,
  [34293] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4015), 1,
      anon_sym_BANG,
    ACTIONS(4017), 1,
      anon_sym_COLON_COLON,
    STATE(1548), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3317), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3315), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [34352] = 25,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(955), 1,
      anon_sym_RBRACK,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4019), 1,
      anon_sym_SEMI,
    ACTIONS(4021), 1,
      anon_sym_COMMA,
    STATE(2774), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1549), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [34447] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1550), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3463), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3461), 25,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_as,
  [34502] = 25,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1210), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4027), 1,
      anon_sym_CARET,
    ACTIONS(4029), 1,
      anon_sym_AMP,
    ACTIONS(4031), 1,
      anon_sym_PIPE,
    ACTIONS(4033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4035), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4041), 1,
      anon_sym_EQ,
    ACTIONS(4047), 1,
      anon_sym_DOT_DOT,
    STATE(469), 1,
      sym_block,
    STATE(3590), 1,
      sym_label,
    ACTIONS(4023), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4045), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4049), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1551), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4025), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4043), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(4039), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [34597] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3827), 2,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
    STATE(1552), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3545), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3543), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [34654] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3989), 1,
      anon_sym_COLON_COLON,
    STATE(1553), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3317), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3315), 24,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_SQUOTE,
      anon_sym_as,
  [34711] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4051), 1,
      anon_sym_else,
    STATE(1766), 1,
      sym_else_clause,
    STATE(1554), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1196), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1194), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [34770] = 25,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(915), 1,
      anon_sym_RBRACK,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4053), 1,
      anon_sym_SEMI,
    ACTIONS(4055), 1,
      anon_sym_COMMA,
    STATE(2777), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1555), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [34865] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1556), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3350), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3348), 25,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_as,
  [34920] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1557), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3406), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3404), 25,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_as,
  [34975] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4057), 1,
      anon_sym_COLON_COLON,
    STATE(1558), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1416), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1418), 24,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_SQUOTE,
      anon_sym_as,
  [35032] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1559), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3410), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3408), 25,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_as,
  [35087] = 25,
    ACTIONS(19), 1,
      anon_sym_LBRACE,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4027), 1,
      anon_sym_CARET,
    ACTIONS(4029), 1,
      anon_sym_AMP,
    ACTIONS(4031), 1,
      anon_sym_PIPE,
    ACTIONS(4033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4035), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4041), 1,
      anon_sym_EQ,
    ACTIONS(4047), 1,
      anon_sym_DOT_DOT,
    STATE(376), 1,
      sym_block,
    STATE(3510), 1,
      sym_label,
    ACTIONS(4023), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4045), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4049), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1560), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4025), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4043), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(4039), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [35182] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1561), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3271), 16,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3273), 24,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_as,
  [35237] = 25,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(338), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4027), 1,
      anon_sym_CARET,
    ACTIONS(4029), 1,
      anon_sym_AMP,
    ACTIONS(4031), 1,
      anon_sym_PIPE,
    ACTIONS(4033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4035), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4041), 1,
      anon_sym_EQ,
    ACTIONS(4047), 1,
      anon_sym_DOT_DOT,
    STATE(1127), 1,
      sym_block,
    STATE(3539), 1,
      sym_label,
    ACTIONS(4023), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4045), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4049), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1562), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4025), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4043), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(4039), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [35332] = 25,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4027), 1,
      anon_sym_CARET,
    ACTIONS(4029), 1,
      anon_sym_AMP,
    ACTIONS(4031), 1,
      anon_sym_PIPE,
    ACTIONS(4033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4035), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4041), 1,
      anon_sym_EQ,
    ACTIONS(4047), 1,
      anon_sym_DOT_DOT,
    STATE(1777), 1,
      sym_block,
    STATE(3591), 1,
      sym_label,
    ACTIONS(4023), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4045), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4049), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1563), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4025), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4043), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(4039), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [35427] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1564), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3311), 16,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3313), 24,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_as,
  [35482] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3863), 1,
      anon_sym_COLON_COLON,
    STATE(1565), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3545), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3543), 24,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_SQUOTE,
      anon_sym_as,
  [35539] = 25,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4027), 1,
      anon_sym_CARET,
    ACTIONS(4029), 1,
      anon_sym_AMP,
    ACTIONS(4031), 1,
      anon_sym_PIPE,
    ACTIONS(4033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4035), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4041), 1,
      anon_sym_EQ,
    ACTIONS(4047), 1,
      anon_sym_DOT_DOT,
    STATE(1772), 1,
      sym_block,
    STATE(3591), 1,
      sym_label,
    ACTIONS(4023), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4045), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4049), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1566), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4025), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4043), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(4039), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [35634] = 25,
    ACTIONS(19), 1,
      anon_sym_LBRACE,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4027), 1,
      anon_sym_CARET,
    ACTIONS(4029), 1,
      anon_sym_AMP,
    ACTIONS(4031), 1,
      anon_sym_PIPE,
    ACTIONS(4033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4035), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4041), 1,
      anon_sym_EQ,
    ACTIONS(4047), 1,
      anon_sym_DOT_DOT,
    STATE(394), 1,
      sym_block,
    STATE(3510), 1,
      sym_label,
    ACTIONS(4023), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4045), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4049), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1567), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4025), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4043), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(4039), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [35729] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3863), 2,
      anon_sym_LBRACE,
      anon_sym_COLON_COLON,
    STATE(1568), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3545), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3543), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [35786] = 25,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1035), 1,
      anon_sym_RBRACK,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4059), 1,
      anon_sym_SEMI,
    ACTIONS(4061), 1,
      anon_sym_COMMA,
    STATE(2788), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1569), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [35881] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3827), 1,
      anon_sym_COLON_COLON,
    STATE(1570), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3545), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3543), 24,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_SQUOTE,
      anon_sym_as,
  [35938] = 25,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(338), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4027), 1,
      anon_sym_CARET,
    ACTIONS(4029), 1,
      anon_sym_AMP,
    ACTIONS(4031), 1,
      anon_sym_PIPE,
    ACTIONS(4033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4035), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4041), 1,
      anon_sym_EQ,
    ACTIONS(4047), 1,
      anon_sym_DOT_DOT,
    STATE(1319), 1,
      sym_block,
    STATE(3539), 1,
      sym_label,
    ACTIONS(4023), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4045), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4049), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1571), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4025), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4043), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(4039), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [36033] = 25,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1210), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4027), 1,
      anon_sym_CARET,
    ACTIONS(4029), 1,
      anon_sym_AMP,
    ACTIONS(4031), 1,
      anon_sym_PIPE,
    ACTIONS(4033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4035), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4041), 1,
      anon_sym_EQ,
    ACTIONS(4047), 1,
      anon_sym_DOT_DOT,
    STATE(453), 1,
      sym_block,
    STATE(3590), 1,
      sym_label,
    ACTIONS(4023), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4045), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4049), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1572), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4025), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4043), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(4039), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [36128] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4027), 1,
      anon_sym_CARET,
    ACTIONS(4029), 1,
      anon_sym_AMP,
    ACTIONS(4031), 1,
      anon_sym_PIPE,
    ACTIONS(4033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4035), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4041), 1,
      anon_sym_EQ,
    ACTIONS(4063), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4023), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4045), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4065), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1573), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3771), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
    ACTIONS(4025), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4043), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(4039), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [36216] = 24,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1005), 1,
      anon_sym_RPAREN,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4067), 1,
      anon_sym_COMMA,
    STATE(2790), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1574), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [36308] = 21,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3935), 1,
      anon_sym_EQ,
    ACTIONS(4027), 1,
      anon_sym_CARET,
    ACTIONS(4029), 1,
      anon_sym_AMP,
    ACTIONS(4031), 1,
      anon_sym_PIPE,
    ACTIONS(4033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4035), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4063), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4023), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4045), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4065), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1575), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4025), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4043), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3933), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_SQUOTE,
  [36394] = 24,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1007), 1,
      anon_sym_RBRACK,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4069), 1,
      anon_sym_COMMA,
    STATE(2849), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1576), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [36486] = 21,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3957), 1,
      anon_sym_EQ,
    ACTIONS(4027), 1,
      anon_sym_CARET,
    ACTIONS(4029), 1,
      anon_sym_AMP,
    ACTIONS(4031), 1,
      anon_sym_PIPE,
    ACTIONS(4033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4035), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4063), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4023), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4045), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4065), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1577), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4025), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4043), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3955), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_SQUOTE,
  [36572] = 24,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(983), 1,
      anon_sym_RBRACK,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4071), 1,
      anon_sym_COMMA,
    STATE(2898), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1578), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [36664] = 19,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4027), 1,
      anon_sym_CARET,
    ACTIONS(4029), 1,
      anon_sym_AMP,
    ACTIONS(4031), 1,
      anon_sym_PIPE,
    ACTIONS(4033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4035), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3913), 2,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(4023), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4045), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(1579), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4025), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4043), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3895), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_SQUOTE,
  [36746] = 12,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4023), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(1580), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4025), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3669), 7,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
    ACTIONS(3665), 21,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_SQUOTE,
  [36814] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1581), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3354), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3352), 24,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_as,
  [36868] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1582), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3459), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3457), 24,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_as,
  [36922] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1583), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3471), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3469), 24,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_as,
  [36976] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1584), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3338), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3336), 24,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DASH_GT,
      anon_sym_as,
  [37030] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4027), 1,
      anon_sym_CARET,
    ACTIONS(4029), 1,
      anon_sym_AMP,
    ACTIONS(4031), 1,
      anon_sym_PIPE,
    ACTIONS(4033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4035), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4041), 1,
      anon_sym_EQ,
    ACTIONS(4063), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4023), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4045), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4065), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1585), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3739), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
    ACTIONS(4025), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4043), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(4039), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [37118] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1586), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3309), 17,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LT_LT_EQ,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3307), 22,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
      anon_sym_LT2,
  [37172] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1587), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1242), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1240), 24,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
      anon_sym_else,
  [37226] = 14,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4027), 1,
      anon_sym_CARET,
    ACTIONS(4029), 1,
      anon_sym_AMP,
    ACTIONS(4023), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(1588), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4025), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3669), 5,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
    ACTIONS(3665), 21,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_SQUOTE,
  [37298] = 24,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1009), 1,
      anon_sym_RPAREN,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4073), 1,
      anon_sym_COMMA,
    STATE(2944), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1589), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [37390] = 17,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4027), 1,
      anon_sym_CARET,
    ACTIONS(4029), 1,
      anon_sym_AMP,
    ACTIONS(4031), 1,
      anon_sym_PIPE,
    ACTIONS(3669), 2,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(4023), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4045), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(1590), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4025), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4043), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3665), 17,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_SQUOTE,
  [37468] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4017), 1,
      anon_sym_COLON_COLON,
    STATE(1591), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3317), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3315), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [37524] = 22,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1298), 1,
      anon_sym_extern,
    ACTIONS(3487), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3491), 1,
      anon_sym_union,
    ACTIONS(3497), 1,
      sym_metavariable,
    ACTIONS(3503), 1,
      anon_sym_default,
    ACTIONS(4075), 1,
      sym_identifier,
    ACTIONS(4077), 1,
      anon_sym_fn,
    STATE(2206), 1,
      aux_sym_function_modifiers_repeat1,
    STATE(2320), 1,
      sym_extern_modifier,
    STATE(2509), 1,
      sym_scoped_type_identifier,
    STATE(3340), 1,
      sym_generic_type_with_turbofish,
    STATE(3370), 1,
      sym_function_modifiers,
    STATE(3385), 1,
      sym_scoped_identifier,
    STATE(3403), 1,
      sym_generic_type,
    STATE(3469), 1,
      sym_bracketed_type,
    STATE(1592), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1284), 3,
      anon_sym_async,
      anon_sym_const,
      anon_sym_unsafe,
    ACTIONS(3495), 3,
      sym_self,
      sym_super,
      sym_crate,
    ACTIONS(3501), 17,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
  [37612] = 18,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4027), 1,
      anon_sym_CARET,
    ACTIONS(4029), 1,
      anon_sym_AMP,
    ACTIONS(4031), 1,
      anon_sym_PIPE,
    ACTIONS(4033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3669), 2,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(4023), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4045), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(1593), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4025), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4043), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3665), 16,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_SQUOTE,
  [37692] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4079), 1,
      anon_sym_DASH_GT,
    STATE(1594), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3414), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3412), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [37748] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1595), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1208), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1206), 24,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
      anon_sym_else,
  [37802] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4081), 1,
      anon_sym_COLON_COLON,
    STATE(1596), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3301), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3299), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [37858] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4083), 1,
      anon_sym_COLON_COLON,
    STATE(1597), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3289), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3287), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [37914] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4085), 1,
      anon_sym_DASH_GT,
    STATE(1598), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3523), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3521), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [37970] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1599), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3402), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3400), 24,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_as,
  [38024] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4083), 1,
      anon_sym_COLON_COLON,
    STATE(1600), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3305), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3303), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [38080] = 21,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(342), 1,
      anon_sym_EQ,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4027), 1,
      anon_sym_CARET,
    ACTIONS(4029), 1,
      anon_sym_AMP,
    ACTIONS(4031), 1,
      anon_sym_PIPE,
    ACTIONS(4033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4035), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4063), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4023), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4045), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4065), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1601), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4025), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4043), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(336), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_SQUOTE,
  [38166] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4087), 1,
      anon_sym_DASH_GT,
    STATE(1602), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3535), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3533), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [38222] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1603), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1234), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1232), 24,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
      anon_sym_else,
  [38276] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4089), 1,
      anon_sym_LPAREN,
    STATE(1652), 1,
      sym_arguments,
    STATE(1604), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3396), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3392), 22,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [38334] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1605), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3445), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3443), 24,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DASH_GT,
      anon_sym_as,
  [38388] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4023), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1606), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4025), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3669), 9,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
    ACTIONS(3665), 21,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_SQUOTE,
  [38454] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1607), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4091), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [38542] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4083), 1,
      anon_sym_COLON_COLON,
    STATE(1608), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3301), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3299), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [38598] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1609), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1238), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1236), 24,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
      anon_sym_else,
  [38652] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1610), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4093), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [38740] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1611), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3372), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3370), 24,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DASH_GT,
      anon_sym_as,
  [38794] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4095), 1,
      anon_sym_COLON_COLON,
    STATE(1612), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3301), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3299), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [38850] = 22,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1298), 1,
      anon_sym_extern,
    ACTIONS(3487), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3491), 1,
      anon_sym_union,
    ACTIONS(3497), 1,
      sym_metavariable,
    ACTIONS(3503), 1,
      anon_sym_default,
    ACTIONS(4097), 1,
      sym_identifier,
    ACTIONS(4099), 1,
      anon_sym_fn,
    STATE(2206), 1,
      aux_sym_function_modifiers_repeat1,
    STATE(2320), 1,
      sym_extern_modifier,
    STATE(2603), 1,
      sym_scoped_type_identifier,
    STATE(3340), 1,
      sym_generic_type_with_turbofish,
    STATE(3385), 1,
      sym_scoped_identifier,
    STATE(3403), 1,
      sym_generic_type,
    STATE(3469), 1,
      sym_bracketed_type,
    STATE(3484), 1,
      sym_function_modifiers,
    STATE(1613), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1284), 3,
      anon_sym_async,
      anon_sym_const,
      anon_sym_unsafe,
    ACTIONS(3495), 3,
      sym_self,
      sym_super,
      sym_crate,
    ACTIONS(3501), 17,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
  [38938] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4101), 1,
      anon_sym_DASH_GT,
    STATE(1614), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3529), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3527), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [38994] = 21,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3949), 1,
      anon_sym_EQ,
    ACTIONS(4027), 1,
      anon_sym_CARET,
    ACTIONS(4029), 1,
      anon_sym_AMP,
    ACTIONS(4031), 1,
      anon_sym_PIPE,
    ACTIONS(4033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4035), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4063), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4023), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4045), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4065), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1615), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4025), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4043), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3947), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_SQUOTE,
  [39080] = 21,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3961), 1,
      anon_sym_EQ,
    ACTIONS(4027), 1,
      anon_sym_CARET,
    ACTIONS(4029), 1,
      anon_sym_AMP,
    ACTIONS(4031), 1,
      anon_sym_PIPE,
    ACTIONS(4033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4035), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4063), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4023), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4045), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4065), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1616), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4025), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4043), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3959), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_SQUOTE,
  [39166] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1617), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3509), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3507), 24,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DASH_GT,
      anon_sym_as,
  [39220] = 22,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1298), 1,
      anon_sym_extern,
    ACTIONS(3487), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3491), 1,
      anon_sym_union,
    ACTIONS(3497), 1,
      sym_metavariable,
    ACTIONS(3503), 1,
      anon_sym_default,
    ACTIONS(4103), 1,
      sym_identifier,
    ACTIONS(4105), 1,
      anon_sym_fn,
    STATE(2206), 1,
      aux_sym_function_modifiers_repeat1,
    STATE(2320), 1,
      sym_extern_modifier,
    STATE(2578), 1,
      sym_scoped_type_identifier,
    STATE(3330), 1,
      sym_function_modifiers,
    STATE(3340), 1,
      sym_generic_type_with_turbofish,
    STATE(3385), 1,
      sym_scoped_identifier,
    STATE(3403), 1,
      sym_generic_type,
    STATE(3469), 1,
      sym_bracketed_type,
    STATE(1618), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1284), 3,
      anon_sym_async,
      anon_sym_const,
      anon_sym_unsafe,
    ACTIONS(3495), 3,
      sym_self,
      sym_super,
      sym_crate,
    ACTIONS(3501), 17,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
  [39308] = 15,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4027), 1,
      anon_sym_CARET,
    ACTIONS(4029), 1,
      anon_sym_AMP,
    ACTIONS(4031), 1,
      anon_sym_PIPE,
    ACTIONS(4023), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(1619), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4025), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3669), 4,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
    ACTIONS(3665), 21,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_SQUOTE,
  [39382] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4107), 1,
      anon_sym_COLON_COLON,
    STATE(1620), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1416), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1418), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [39438] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1621), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3368), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3366), 24,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_as,
  [39492] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4109), 1,
      anon_sym_DASH_GT,
    STATE(1622), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3515), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3513), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [39548] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4111), 1,
      anon_sym_DASH_GT,
    STATE(1623), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3358), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3356), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [39604] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1624), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3420), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3418), 24,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DASH_GT,
      anon_sym_as,
  [39658] = 21,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3921), 1,
      anon_sym_EQ,
    ACTIONS(4027), 1,
      anon_sym_CARET,
    ACTIONS(4029), 1,
      anon_sym_AMP,
    ACTIONS(4031), 1,
      anon_sym_PIPE,
    ACTIONS(4033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4035), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4063), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4023), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4045), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4065), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1625), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4025), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4043), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3919), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_SQUOTE,
  [39744] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4113), 1,
      anon_sym_DASH_GT,
    STATE(1626), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3449), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3447), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [39800] = 19,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4027), 1,
      anon_sym_CARET,
    ACTIONS(4029), 1,
      anon_sym_AMP,
    ACTIONS(4031), 1,
      anon_sym_PIPE,
    ACTIONS(4033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4035), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(370), 2,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(4023), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4045), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(1627), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4025), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4043), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(368), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_SQUOTE,
  [39882] = 24,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4115), 1,
      anon_sym_RPAREN,
    ACTIONS(4117), 1,
      anon_sym_COMMA,
    STATE(2830), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1628), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [39974] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    STATE(1629), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4025), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3669), 11,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
    ACTIONS(3665), 21,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_SQUOTE,
  [40038] = 13,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4029), 1,
      anon_sym_AMP,
    ACTIONS(4023), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(1630), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4025), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3669), 6,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
    ACTIONS(3665), 21,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_SQUOTE,
  [40108] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1631), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1246), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1244), 24,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
      anon_sym_else,
  [40162] = 24,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4119), 1,
      anon_sym_RPAREN,
    ACTIONS(4121), 1,
      anon_sym_COMMA,
    STATE(3004), 1,
      aux_sym_arguments_repeat1,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1632), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [40254] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4083), 1,
      anon_sym_COLON_COLON,
    STATE(1633), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3285), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3283), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [40310] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4027), 1,
      anon_sym_CARET,
    ACTIONS(4029), 1,
      anon_sym_AMP,
    ACTIONS(4031), 1,
      anon_sym_PIPE,
    ACTIONS(4033), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4035), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4041), 1,
      anon_sym_EQ,
    ACTIONS(4063), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4023), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4045), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4065), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1634), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3661), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
    ACTIONS(4025), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4043), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(4039), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [40398] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4123), 1,
      anon_sym_COLON_COLON,
    STATE(1635), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1416), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1418), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [40454] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4125), 1,
      anon_sym_SEMI,
    ACTIONS(4127), 1,
      anon_sym_RBRACE,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1636), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [40543] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1637), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1416), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1418), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [40596] = 21,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4027), 1,
      anon_sym_CARET,
    ACTIONS(4029), 1,
      anon_sym_AMP,
    ACTIONS(4031), 1,
      anon_sym_PIPE,
    ACTIONS(4035), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4041), 1,
      anon_sym_EQ,
    ACTIONS(4047), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4023), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4045), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4049), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1638), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4025), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4129), 3,
      anon_sym_LBRACE,
      anon_sym_AMP_AMP,
      anon_sym_SQUOTE,
    ACTIONS(4043), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(4039), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [40681] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1639), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3396), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3392), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [40734] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1640), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3635), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3633), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [40787] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1641), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1416), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1418), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [40840] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1642), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3719), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3717), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [40893] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4131), 1,
      anon_sym_LBRACK,
    ACTIONS(4133), 1,
      anon_sym_QMARK,
    ACTIONS(4135), 1,
      anon_sym_DOT,
    STATE(1643), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3789), 14,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
    ACTIONS(3787), 21,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [40952] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4131), 1,
      anon_sym_LBRACK,
    ACTIONS(4133), 1,
      anon_sym_QMARK,
    ACTIONS(4135), 1,
      anon_sym_DOT,
    STATE(1644), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3805), 14,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
    ACTIONS(3803), 21,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [41011] = 19,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4131), 1,
      anon_sym_LBRACK,
    ACTIONS(4133), 1,
      anon_sym_QMARK,
    ACTIONS(4135), 1,
      anon_sym_DOT,
    ACTIONS(4141), 1,
      anon_sym_CARET,
    ACTIONS(4143), 1,
      anon_sym_AMP,
    ACTIONS(4145), 1,
      anon_sym_PIPE,
    ACTIONS(4147), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4149), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4157), 1,
      anon_sym_as,
    ACTIONS(370), 2,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(4137), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4151), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4155), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(1645), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4139), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4153), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(368), 14,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
  [41092] = 21,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(342), 1,
      anon_sym_EQ,
    ACTIONS(4131), 1,
      anon_sym_LBRACK,
    ACTIONS(4133), 1,
      anon_sym_QMARK,
    ACTIONS(4135), 1,
      anon_sym_DOT,
    ACTIONS(4141), 1,
      anon_sym_CARET,
    ACTIONS(4143), 1,
      anon_sym_AMP,
    ACTIONS(4145), 1,
      anon_sym_PIPE,
    ACTIONS(4147), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4149), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4157), 1,
      anon_sym_as,
    ACTIONS(4159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4137), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4151), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4155), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4161), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1646), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4139), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4153), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(336), 12,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [41177] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1647), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3847), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3845), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [41230] = 21,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3935), 1,
      anon_sym_EQ,
    ACTIONS(4131), 1,
      anon_sym_LBRACK,
    ACTIONS(4133), 1,
      anon_sym_QMARK,
    ACTIONS(4135), 1,
      anon_sym_DOT,
    ACTIONS(4141), 1,
      anon_sym_CARET,
    ACTIONS(4143), 1,
      anon_sym_AMP,
    ACTIONS(4145), 1,
      anon_sym_PIPE,
    ACTIONS(4147), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4149), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4157), 1,
      anon_sym_as,
    ACTIONS(4159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4137), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4151), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4155), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4161), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1648), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4139), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4153), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3933), 12,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [41315] = 21,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3957), 1,
      anon_sym_EQ,
    ACTIONS(4131), 1,
      anon_sym_LBRACK,
    ACTIONS(4133), 1,
      anon_sym_QMARK,
    ACTIONS(4135), 1,
      anon_sym_DOT,
    ACTIONS(4141), 1,
      anon_sym_CARET,
    ACTIONS(4143), 1,
      anon_sym_AMP,
    ACTIONS(4145), 1,
      anon_sym_PIPE,
    ACTIONS(4147), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4149), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4157), 1,
      anon_sym_as,
    ACTIONS(4159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4137), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4151), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4155), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4161), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1649), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4139), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4153), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3955), 12,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [41400] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1650), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3561), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3559), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [41453] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1651), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3573), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3571), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [41506] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1652), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3577), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3575), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [41559] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1653), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3607), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3605), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [41612] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4163), 1,
      anon_sym_SEMI,
    ACTIONS(4165), 1,
      anon_sym_else,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1654), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [41701] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1655), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3773), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3771), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [41754] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1656), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1416), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1418), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [41807] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1657), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3785), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3783), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [41860] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1658), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3801), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3799), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [41913] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4131), 1,
      anon_sym_LBRACK,
    ACTIONS(4133), 1,
      anon_sym_QMARK,
    ACTIONS(4135), 1,
      anon_sym_DOT,
    STATE(1659), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3809), 14,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
    ACTIONS(3807), 21,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [41972] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(286), 1,
      anon_sym_RBRACE,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4125), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1660), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [42061] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1661), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3741), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3739), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [42114] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1662), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1416), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1418), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [42167] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1663), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3835), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3833), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [42220] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1664), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3619), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3617), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [42273] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4131), 1,
      anon_sym_LBRACK,
    ACTIONS(4133), 1,
      anon_sym_QMARK,
    ACTIONS(4135), 1,
      anon_sym_DOT,
    ACTIONS(4157), 1,
      anon_sym_as,
    STATE(1665), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3669), 14,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
    ACTIONS(3665), 20,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
  [42334] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1666), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3651), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3649), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [42387] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1667), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3777), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3775), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [42440] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1668), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3545), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3543), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [42493] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1669), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3549), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3547), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [42546] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1670), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3553), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3551), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [42599] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    ACTIONS(4167), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(1671), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [42686] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1672), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3663), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3661), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [42739] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1673), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1416), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1418), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [42792] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(288), 1,
      anon_sym_RBRACE,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4125), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1674), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [42881] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1675), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3715), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3713), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [42934] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1676), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3749), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3747), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [42987] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1677), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3753), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3751), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [43040] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1678), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3765), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3763), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [43093] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1679), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3781), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3779), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [43146] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1680), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3793), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3791), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [43199] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1681), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3797), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3795), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [43252] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1174), 1,
      anon_sym_RPAREN,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4169), 1,
      anon_sym_COMMA,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1682), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [43341] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1683), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3839), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3837), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [43394] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1684), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3871), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3869), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [43447] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1685), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3883), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3881), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [43500] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1686), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3679), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3677), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [43553] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1687), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3691), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3689), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [43606] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1688), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3695), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3693), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [43659] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1689), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3557), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3555), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [43712] = 21,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4027), 1,
      anon_sym_CARET,
    ACTIONS(4029), 1,
      anon_sym_AMP,
    ACTIONS(4031), 1,
      anon_sym_PIPE,
    ACTIONS(4035), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4041), 1,
      anon_sym_EQ,
    ACTIONS(4047), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4023), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4045), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4049), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1690), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4025), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4171), 3,
      anon_sym_LBRACE,
      anon_sym_AMP_AMP,
      anon_sym_SQUOTE,
    ACTIONS(4043), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(4039), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [43797] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1691), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3707), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3705), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [43850] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1692), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3825), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3823), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [43903] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1693), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3611), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3609), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [43956] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1694), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3615), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3613), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [44009] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4173), 1,
      anon_sym_SEMI,
    ACTIONS(4175), 1,
      anon_sym_else,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1695), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [44098] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1696), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3565), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3563), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [44151] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    ACTIONS(4177), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(1697), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [44238] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    ACTIONS(4179), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(1698), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [44325] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4027), 1,
      anon_sym_CARET,
    ACTIONS(4029), 1,
      anon_sym_AMP,
    ACTIONS(4031), 1,
      anon_sym_PIPE,
    ACTIONS(4035), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4041), 1,
      anon_sym_EQ,
    ACTIONS(4047), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4183), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4023), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4037), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4045), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4049), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    ACTIONS(4181), 2,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
    STATE(1699), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4025), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4043), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(4039), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [44412] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1700), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3867), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3865), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [44465] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1701), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3301), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3299), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [44518] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4125), 1,
      anon_sym_SEMI,
    ACTIONS(4185), 1,
      anon_sym_RBRACE,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1702), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [44607] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4191), 1,
      anon_sym_CARET,
    ACTIONS(4193), 1,
      anon_sym_AMP,
    ACTIONS(4195), 1,
      anon_sym_PIPE,
    ACTIONS(4197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(4211), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3771), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
    ACTIONS(4187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4201), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4209), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4213), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1703), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4207), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(4203), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [44694] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4169), 1,
      anon_sym_COMMA,
    ACTIONS(4215), 1,
      anon_sym_RPAREN,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1704), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [44783] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1705), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3623), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3621), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [44836] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1706), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3631), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3629), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [44889] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1707), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3213), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3215), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [44942] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1708), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3289), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3287), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [44995] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1709), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3305), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3303), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [45048] = 21,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3921), 1,
      anon_sym_EQ,
    ACTIONS(4191), 1,
      anon_sym_CARET,
    ACTIONS(4193), 1,
      anon_sym_AMP,
    ACTIONS(4195), 1,
      anon_sym_PIPE,
    ACTIONS(4197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4211), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4201), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4209), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4213), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1710), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4207), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3919), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [45133] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4191), 1,
      anon_sym_CARET,
    ACTIONS(4193), 1,
      anon_sym_AMP,
    ACTIONS(4195), 1,
      anon_sym_PIPE,
    ACTIONS(4197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(4211), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3739), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
    ACTIONS(4187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4201), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4209), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4213), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1711), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4207), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(4203), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [45220] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    STATE(1712), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3669), 11,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
    ACTIONS(3665), 20,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
  [45283] = 13,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4193), 1,
      anon_sym_AMP,
    ACTIONS(4187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4201), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(1713), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3669), 6,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
    ACTIONS(3665), 20,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
  [45352] = 12,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4201), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(1714), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3669), 7,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
    ACTIONS(3665), 20,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
  [45419] = 14,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4191), 1,
      anon_sym_CARET,
    ACTIONS(4193), 1,
      anon_sym_AMP,
    ACTIONS(4187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4201), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(1715), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3669), 5,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
    ACTIONS(3665), 20,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
  [45490] = 17,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4191), 1,
      anon_sym_CARET,
    ACTIONS(4193), 1,
      anon_sym_AMP,
    ACTIONS(4195), 1,
      anon_sym_PIPE,
    ACTIONS(3669), 2,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(4187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4201), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4209), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(1716), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4207), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3665), 16,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
  [45567] = 18,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4191), 1,
      anon_sym_CARET,
    ACTIONS(4193), 1,
      anon_sym_AMP,
    ACTIONS(4195), 1,
      anon_sym_PIPE,
    ACTIONS(4197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3669), 2,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(4187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4201), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4209), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(1717), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4207), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3665), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
  [45646] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1718), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3669), 9,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
    ACTIONS(3665), 20,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
  [45711] = 21,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3949), 1,
      anon_sym_EQ,
    ACTIONS(4191), 1,
      anon_sym_CARET,
    ACTIONS(4193), 1,
      anon_sym_AMP,
    ACTIONS(4195), 1,
      anon_sym_PIPE,
    ACTIONS(4197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4211), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4201), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4209), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4213), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1719), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4207), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3947), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [45796] = 21,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3961), 1,
      anon_sym_EQ,
    ACTIONS(4191), 1,
      anon_sym_CARET,
    ACTIONS(4193), 1,
      anon_sym_AMP,
    ACTIONS(4195), 1,
      anon_sym_PIPE,
    ACTIONS(4197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4211), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4201), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4209), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4213), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1720), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4207), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3959), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [45881] = 15,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4191), 1,
      anon_sym_CARET,
    ACTIONS(4193), 1,
      anon_sym_AMP,
    ACTIONS(4195), 1,
      anon_sym_PIPE,
    ACTIONS(4187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4201), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(1721), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3669), 4,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
    ACTIONS(3665), 20,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
  [45954] = 19,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4191), 1,
      anon_sym_CARET,
    ACTIONS(4193), 1,
      anon_sym_AMP,
    ACTIONS(4195), 1,
      anon_sym_PIPE,
    ACTIONS(4197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3913), 2,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(4187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4201), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4209), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(1722), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4207), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3895), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
  [46035] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1723), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3569), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3567), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [46088] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1724), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3585), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3583), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [46141] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1725), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3627), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3625), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [46194] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1726), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3627), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3625), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [46247] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4191), 1,
      anon_sym_CARET,
    ACTIONS(4193), 1,
      anon_sym_AMP,
    ACTIONS(4195), 1,
      anon_sym_PIPE,
    ACTIONS(4197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(4211), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3661), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
    ACTIONS(4187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4201), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4209), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4213), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1727), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4207), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(4203), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [46334] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1728), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3729), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3727), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [46387] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1729), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3737), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3735), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [46440] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1730), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3285), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3283), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [46493] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1731), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3745), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3743), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [46546] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1732), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3769), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3767), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [46599] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    ACTIONS(4217), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(1733), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [46686] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1734), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3831), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3829), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [46739] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1735), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3843), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3841), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [46792] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1736), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3851), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3849), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [46845] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1737), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3855), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3853), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [46898] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1738), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3859), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3857), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [46951] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1739), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3875), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3873), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [47004] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4191), 1,
      anon_sym_CARET,
    ACTIONS(4193), 1,
      anon_sym_AMP,
    ACTIONS(4195), 1,
      anon_sym_PIPE,
    ACTIONS(4197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(4219), 1,
      anon_sym_LBRACE,
    ACTIONS(4221), 1,
      anon_sym_DOT_DOT,
    STATE(388), 1,
      sym_match_block,
    ACTIONS(4187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4201), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4209), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4223), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1740), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4207), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(4203), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [47093] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1741), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1546), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1548), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [47146] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1742), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1404), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1402), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [47199] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1743), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1376), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1374), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [47252] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1744), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1384), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1382), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [47305] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1745), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1422), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1420), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [47358] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3771), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1746), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [47445] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1747), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3639), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3637), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [47498] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(127), 1,
      anon_sym_RBRACE,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4125), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1748), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [47587] = 21,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3921), 1,
      anon_sym_EQ,
    ACTIONS(4131), 1,
      anon_sym_LBRACK,
    ACTIONS(4133), 1,
      anon_sym_QMARK,
    ACTIONS(4135), 1,
      anon_sym_DOT,
    ACTIONS(4141), 1,
      anon_sym_CARET,
    ACTIONS(4143), 1,
      anon_sym_AMP,
    ACTIONS(4145), 1,
      anon_sym_PIPE,
    ACTIONS(4147), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4149), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4157), 1,
      anon_sym_as,
    ACTIONS(4159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4137), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4151), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4155), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4161), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1749), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4139), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4153), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3919), 12,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [47672] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1750), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1400), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1398), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [47725] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3739), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1751), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [47812] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1752), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1452), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1450), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [47865] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4131), 1,
      anon_sym_LBRACK,
    ACTIONS(4133), 1,
      anon_sym_QMARK,
    ACTIONS(4135), 1,
      anon_sym_DOT,
    ACTIONS(4157), 1,
      anon_sym_as,
    STATE(1753), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4139), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3669), 11,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
    ACTIONS(3665), 20,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
  [47928] = 13,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4131), 1,
      anon_sym_LBRACK,
    ACTIONS(4133), 1,
      anon_sym_QMARK,
    ACTIONS(4135), 1,
      anon_sym_DOT,
    ACTIONS(4143), 1,
      anon_sym_AMP,
    ACTIONS(4157), 1,
      anon_sym_as,
    ACTIONS(4137), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4151), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(1754), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4139), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3669), 6,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
    ACTIONS(3665), 20,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
  [47997] = 12,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4131), 1,
      anon_sym_LBRACK,
    ACTIONS(4133), 1,
      anon_sym_QMARK,
    ACTIONS(4135), 1,
      anon_sym_DOT,
    ACTIONS(4157), 1,
      anon_sym_as,
    ACTIONS(4137), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4151), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(1755), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4139), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3669), 7,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
    ACTIONS(3665), 20,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
  [48064] = 14,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4131), 1,
      anon_sym_LBRACK,
    ACTIONS(4133), 1,
      anon_sym_QMARK,
    ACTIONS(4135), 1,
      anon_sym_DOT,
    ACTIONS(4141), 1,
      anon_sym_CARET,
    ACTIONS(4143), 1,
      anon_sym_AMP,
    ACTIONS(4157), 1,
      anon_sym_as,
    ACTIONS(4137), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4151), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(1756), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4139), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3669), 5,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
    ACTIONS(3665), 20,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
  [48135] = 17,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4131), 1,
      anon_sym_LBRACK,
    ACTIONS(4133), 1,
      anon_sym_QMARK,
    ACTIONS(4135), 1,
      anon_sym_DOT,
    ACTIONS(4141), 1,
      anon_sym_CARET,
    ACTIONS(4143), 1,
      anon_sym_AMP,
    ACTIONS(4145), 1,
      anon_sym_PIPE,
    ACTIONS(4157), 1,
      anon_sym_as,
    ACTIONS(3669), 2,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(4137), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4151), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4155), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(1757), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4139), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4153), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3665), 16,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
  [48212] = 18,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4131), 1,
      anon_sym_LBRACK,
    ACTIONS(4133), 1,
      anon_sym_QMARK,
    ACTIONS(4135), 1,
      anon_sym_DOT,
    ACTIONS(4141), 1,
      anon_sym_CARET,
    ACTIONS(4143), 1,
      anon_sym_AMP,
    ACTIONS(4145), 1,
      anon_sym_PIPE,
    ACTIONS(4147), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4157), 1,
      anon_sym_as,
    ACTIONS(3669), 2,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(4137), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4151), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4155), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(1758), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4139), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4153), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3665), 15,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
  [48291] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4131), 1,
      anon_sym_LBRACK,
    ACTIONS(4133), 1,
      anon_sym_QMARK,
    ACTIONS(4135), 1,
      anon_sym_DOT,
    ACTIONS(4157), 1,
      anon_sym_as,
    ACTIONS(4137), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1759), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4139), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3669), 9,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
    ACTIONS(3665), 20,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
  [48356] = 21,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3949), 1,
      anon_sym_EQ,
    ACTIONS(4131), 1,
      anon_sym_LBRACK,
    ACTIONS(4133), 1,
      anon_sym_QMARK,
    ACTIONS(4135), 1,
      anon_sym_DOT,
    ACTIONS(4141), 1,
      anon_sym_CARET,
    ACTIONS(4143), 1,
      anon_sym_AMP,
    ACTIONS(4145), 1,
      anon_sym_PIPE,
    ACTIONS(4147), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4149), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4157), 1,
      anon_sym_as,
    ACTIONS(4159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4137), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4151), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4155), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4161), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1760), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4139), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4153), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3947), 12,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [48441] = 21,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3961), 1,
      anon_sym_EQ,
    ACTIONS(4131), 1,
      anon_sym_LBRACK,
    ACTIONS(4133), 1,
      anon_sym_QMARK,
    ACTIONS(4135), 1,
      anon_sym_DOT,
    ACTIONS(4141), 1,
      anon_sym_CARET,
    ACTIONS(4143), 1,
      anon_sym_AMP,
    ACTIONS(4145), 1,
      anon_sym_PIPE,
    ACTIONS(4147), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4149), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4157), 1,
      anon_sym_as,
    ACTIONS(4159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4137), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4151), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4155), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4161), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1761), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4139), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4153), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3959), 12,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [48526] = 15,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4131), 1,
      anon_sym_LBRACK,
    ACTIONS(4133), 1,
      anon_sym_QMARK,
    ACTIONS(4135), 1,
      anon_sym_DOT,
    ACTIONS(4141), 1,
      anon_sym_CARET,
    ACTIONS(4143), 1,
      anon_sym_AMP,
    ACTIONS(4145), 1,
      anon_sym_PIPE,
    ACTIONS(4157), 1,
      anon_sym_as,
    ACTIONS(4137), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4151), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    STATE(1762), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4139), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3669), 4,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT_DOT,
    ACTIONS(3665), 20,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
  [48599] = 19,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4131), 1,
      anon_sym_LBRACK,
    ACTIONS(4133), 1,
      anon_sym_QMARK,
    ACTIONS(4135), 1,
      anon_sym_DOT,
    ACTIONS(4141), 1,
      anon_sym_CARET,
    ACTIONS(4143), 1,
      anon_sym_AMP,
    ACTIONS(4145), 1,
      anon_sym_PIPE,
    ACTIONS(4147), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4149), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4157), 1,
      anon_sym_as,
    ACTIONS(3913), 2,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(4137), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4151), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4155), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(1763), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4139), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4153), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3895), 14,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
  [48680] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1764), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3589), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3587), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [48733] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1765), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3593), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3591), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [48786] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1766), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1388), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1386), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [48839] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1767), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1396), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1394), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [48892] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3661), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1768), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [48979] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1769), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1426), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1424), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [49032] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1770), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3733), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3731), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [49085] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1771), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3581), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(3579), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [49138] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1772), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1352), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1350), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [49191] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1773), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1356), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1354), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [49244] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1774), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1364), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1362), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [49297] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1775), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1380), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1378), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [49350] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1776), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1392), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1390), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [49403] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1777), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1430), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1428), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [49456] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1778), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(935), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(937), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [49509] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1779), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(967), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(969), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [49562] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1780), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1368), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1366), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [49615] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1781), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(753), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(755), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [49668] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4225), 1,
      anon_sym_SEMI,
    ACTIONS(4227), 1,
      anon_sym_else,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1782), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [49757] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4131), 1,
      anon_sym_LBRACK,
    ACTIONS(4133), 1,
      anon_sym_QMARK,
    ACTIONS(4135), 1,
      anon_sym_DOT,
    ACTIONS(4141), 1,
      anon_sym_CARET,
    ACTIONS(4143), 1,
      anon_sym_AMP,
    ACTIONS(4145), 1,
      anon_sym_PIPE,
    ACTIONS(4147), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4149), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4157), 1,
      anon_sym_as,
    ACTIONS(4159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4231), 1,
      anon_sym_EQ,
    ACTIONS(3771), 2,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
    ACTIONS(4137), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4151), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4155), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4161), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1783), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4139), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4153), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(4229), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [49844] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1784), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(767), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(769), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [49897] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1785), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1444), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1442), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [49950] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4233), 1,
      anon_sym_RBRACE,
    ACTIONS(4235), 1,
      anon_sym_COMMA,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1786), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [50039] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4131), 1,
      anon_sym_LBRACK,
    ACTIONS(4133), 1,
      anon_sym_QMARK,
    ACTIONS(4135), 1,
      anon_sym_DOT,
    ACTIONS(4141), 1,
      anon_sym_CARET,
    ACTIONS(4143), 1,
      anon_sym_AMP,
    ACTIONS(4145), 1,
      anon_sym_PIPE,
    ACTIONS(4147), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4149), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4157), 1,
      anon_sym_as,
    ACTIONS(4159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4231), 1,
      anon_sym_EQ,
    ACTIONS(3739), 2,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
    ACTIONS(4137), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4151), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4155), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4161), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1787), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4139), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4153), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(4229), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [50126] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1788), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(771), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(773), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [50179] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1789), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1322), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1320), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [50232] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4131), 1,
      anon_sym_LBRACK,
    ACTIONS(4133), 1,
      anon_sym_QMARK,
    ACTIONS(4135), 1,
      anon_sym_DOT,
    ACTIONS(4141), 1,
      anon_sym_CARET,
    ACTIONS(4143), 1,
      anon_sym_AMP,
    ACTIONS(4145), 1,
      anon_sym_PIPE,
    ACTIONS(4147), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4149), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4157), 1,
      anon_sym_as,
    ACTIONS(4159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4231), 1,
      anon_sym_EQ,
    ACTIONS(3661), 2,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
    ACTIONS(4137), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4151), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4155), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4161), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1790), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4139), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4153), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(4229), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [50319] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1791), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(985), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(987), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [50372] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1792), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(989), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(991), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [50425] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4237), 1,
      anon_sym_RPAREN,
    ACTIONS(4239), 1,
      anon_sym_COMMA,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1793), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [50514] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(292), 1,
      anon_sym_RBRACE,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4125), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1794), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [50603] = 18,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4241), 1,
      sym_identifier,
    ACTIONS(4243), 1,
      anon_sym_LBRACE,
    ACTIONS(4245), 1,
      anon_sym_RBRACE,
    ACTIONS(4247), 1,
      anon_sym_STAR,
    ACTIONS(4251), 1,
      anon_sym_COMMA,
    ACTIONS(4253), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4257), 1,
      sym_metavariable,
    STATE(2488), 1,
      sym_scoped_identifier,
    STATE(2852), 1,
      sym__use_clause,
    STATE(3374), 1,
      sym_generic_type_with_turbofish,
    STATE(3495), 1,
      sym_bracketed_type,
    STATE(1795), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4255), 3,
      sym_self,
      sym_super,
      sym_crate,
    STATE(2966), 4,
      sym_scoped_use_list,
      sym_use_list,
      sym_use_as_clause,
      sym_use_wildcard,
    ACTIONS(4249), 19,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_default,
      anon_sym_union,
  [50682] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4191), 1,
      anon_sym_CARET,
    ACTIONS(4193), 1,
      anon_sym_AMP,
    ACTIONS(4195), 1,
      anon_sym_PIPE,
    ACTIONS(4197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(4221), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4259), 1,
      anon_sym_LBRACE,
    STATE(1130), 1,
      sym_match_block,
    ACTIONS(4187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4201), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4209), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4223), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1796), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4207), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(4203), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [50771] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(294), 1,
      anon_sym_RBRACE,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4125), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1797), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [50860] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    ACTIONS(4261), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(1798), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [50947] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    ACTIONS(4263), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(1799), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [51034] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1051), 1,
      anon_sym_RPAREN,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4169), 1,
      anon_sym_COMMA,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1800), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [51123] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4265), 1,
      anon_sym_SEMI,
    ACTIONS(4267), 1,
      anon_sym_else,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1801), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [51212] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(296), 1,
      anon_sym_RBRACE,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4125), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1802), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [51301] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1168), 1,
      anon_sym_RPAREN,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4169), 1,
      anon_sym_COMMA,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1803), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [51390] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4269), 1,
      anon_sym_SEMI,
    ACTIONS(4271), 1,
      anon_sym_else,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1804), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [51479] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4125), 1,
      anon_sym_SEMI,
    ACTIONS(4273), 1,
      anon_sym_RBRACE,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1805), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [51568] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1059), 1,
      anon_sym_RPAREN,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4169), 1,
      anon_sym_COMMA,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1806), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [51657] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4169), 1,
      anon_sym_COMMA,
    ACTIONS(4275), 1,
      anon_sym_RPAREN,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1807), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [51746] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4277), 1,
      anon_sym_SEMI,
    ACTIONS(4279), 1,
      anon_sym_else,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1808), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [51835] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4281), 1,
      anon_sym_SEMI,
    ACTIONS(4283), 1,
      anon_sym_else,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1809), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [51924] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(300), 1,
      anon_sym_RBRACE,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4125), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1810), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [52013] = 19,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4191), 1,
      anon_sym_CARET,
    ACTIONS(4193), 1,
      anon_sym_AMP,
    ACTIONS(4195), 1,
      anon_sym_PIPE,
    ACTIONS(4197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(370), 2,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
    ACTIONS(4187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4201), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4209), 2,
      anon_sym_GT,
      anon_sym_LT,
    STATE(1811), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4207), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(368), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
  [52094] = 21,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(342), 1,
      anon_sym_EQ,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4191), 1,
      anon_sym_CARET,
    ACTIONS(4193), 1,
      anon_sym_AMP,
    ACTIONS(4195), 1,
      anon_sym_PIPE,
    ACTIONS(4197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4211), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4201), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4209), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4213), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1812), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4207), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(336), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [52179] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4191), 1,
      anon_sym_CARET,
    ACTIONS(4193), 1,
      anon_sym_AMP,
    ACTIONS(4195), 1,
      anon_sym_PIPE,
    ACTIONS(4197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(4221), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4285), 1,
      anon_sym_LBRACE,
    STATE(460), 1,
      sym_match_block,
    ACTIONS(4187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4201), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4209), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4223), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1813), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4207), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(4203), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [52268] = 21,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3935), 1,
      anon_sym_EQ,
    ACTIONS(4191), 1,
      anon_sym_CARET,
    ACTIONS(4193), 1,
      anon_sym_AMP,
    ACTIONS(4195), 1,
      anon_sym_PIPE,
    ACTIONS(4197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4211), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4201), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4209), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4213), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1814), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4207), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3933), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [52353] = 21,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3957), 1,
      anon_sym_EQ,
    ACTIONS(4191), 1,
      anon_sym_CARET,
    ACTIONS(4193), 1,
      anon_sym_AMP,
    ACTIONS(4195), 1,
      anon_sym_PIPE,
    ACTIONS(4197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4211), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4201), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4209), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4213), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1815), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4207), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3955), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [52438] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(302), 1,
      anon_sym_RBRACE,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4125), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1816), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [52527] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    ACTIONS(4287), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(1817), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [52614] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    ACTIONS(4289), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(1818), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [52701] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(304), 1,
      anon_sym_RBRACE,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4125), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1819), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [52790] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4125), 1,
      anon_sym_SEMI,
    ACTIONS(4291), 1,
      anon_sym_RBRACE,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1820), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [52879] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(308), 1,
      anon_sym_RBRACE,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4125), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1821), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [52968] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(4191), 1,
      anon_sym_CARET,
    ACTIONS(4193), 1,
      anon_sym_AMP,
    ACTIONS(4195), 1,
      anon_sym_PIPE,
    ACTIONS(4197), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4199), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4205), 1,
      anon_sym_EQ,
    ACTIONS(4221), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4293), 1,
      anon_sym_LBRACE,
    STATE(1750), 1,
      sym_match_block,
    ACTIONS(4187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4201), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4209), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4223), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1822), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4189), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4207), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(4203), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [53057] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(310), 1,
      anon_sym_RBRACE,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4125), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1823), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [53146] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(312), 1,
      anon_sym_RBRACE,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4125), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1824), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [53235] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4295), 1,
      anon_sym_SEMI,
    ACTIONS(4297), 1,
      anon_sym_else,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1825), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [53324] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(316), 1,
      anon_sym_RBRACE,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4125), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1826), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [53413] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(318), 1,
      anon_sym_RBRACE,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4125), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1827), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [53502] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(320), 1,
      anon_sym_RBRACE,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4125), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1828), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [53591] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4299), 1,
      anon_sym_RBRACE,
    ACTIONS(4301), 1,
      anon_sym_COMMA,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1829), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [53680] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4125), 1,
      anon_sym_SEMI,
    ACTIONS(4303), 1,
      anon_sym_RBRACE,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1830), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [53769] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(324), 1,
      anon_sym_RBRACE,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4125), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1831), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [53858] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(326), 1,
      anon_sym_RBRACE,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4125), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1832), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [53947] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(328), 1,
      anon_sym_RBRACE,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4125), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1833), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [54036] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4125), 1,
      anon_sym_SEMI,
    ACTIONS(4305), 1,
      anon_sym_RBRACE,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1834), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [54125] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(332), 1,
      anon_sym_RBRACE,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4125), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1835), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [54214] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(121), 1,
      anon_sym_RBRACE,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4125), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1836), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [54303] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(117), 1,
      anon_sym_RBRACE,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4125), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1837), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [54392] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4125), 1,
      anon_sym_SEMI,
    ACTIONS(4307), 1,
      anon_sym_RBRACE,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1838), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [54481] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    ACTIONS(4309), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(1839), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [54568] = 23,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4311), 1,
      anon_sym_RPAREN,
    ACTIONS(4313), 1,
      anon_sym_COMMA,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1840), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [54657] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1841), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1372), 15,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
    ACTIONS(1370), 23,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_EQ_GT,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_as,
  [54710] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4315), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1842), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [54796] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4317), 1,
      anon_sym_RBRACK,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1843), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [54882] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4319), 1,
      anon_sym_RBRACK,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1844), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [54968] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4125), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1845), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [55054] = 17,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4241), 1,
      sym_identifier,
    ACTIONS(4243), 1,
      anon_sym_LBRACE,
    ACTIONS(4247), 1,
      anon_sym_STAR,
    ACTIONS(4253), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4257), 1,
      sym_metavariable,
    ACTIONS(4321), 1,
      anon_sym_RBRACE,
    STATE(2488), 1,
      sym_scoped_identifier,
    STATE(3073), 1,
      sym__use_clause,
    STATE(3374), 1,
      sym_generic_type_with_turbofish,
    STATE(3495), 1,
      sym_bracketed_type,
    STATE(1846), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4255), 3,
      sym_self,
      sym_super,
      sym_crate,
    STATE(2966), 4,
      sym_scoped_use_list,
      sym_use_list,
      sym_use_as_clause,
      sym_use_wildcard,
    ACTIONS(4249), 19,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_default,
      anon_sym_union,
  [55130] = 21,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4131), 1,
      anon_sym_LBRACK,
    ACTIONS(4133), 1,
      anon_sym_QMARK,
    ACTIONS(4135), 1,
      anon_sym_DOT,
    ACTIONS(4141), 1,
      anon_sym_CARET,
    ACTIONS(4143), 1,
      anon_sym_AMP,
    ACTIONS(4145), 1,
      anon_sym_PIPE,
    ACTIONS(4149), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4157), 1,
      anon_sym_as,
    ACTIONS(4231), 1,
      anon_sym_EQ,
    ACTIONS(4323), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4129), 2,
      anon_sym_EQ_GT,
      anon_sym_AMP_AMP,
    ACTIONS(4137), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4151), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4155), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4325), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1847), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4139), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4153), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(4229), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [55214] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4169), 1,
      anon_sym_COMMA,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1848), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [55300] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4327), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1849), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [55386] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4329), 1,
      anon_sym_RBRACK,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1850), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [55472] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4331), 1,
      anon_sym_RBRACK,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1851), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [55558] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4333), 1,
      anon_sym_RBRACK,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1852), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [55644] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4335), 1,
      anon_sym_COMMA,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1853), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [55730] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4337), 1,
      anon_sym_COMMA,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1854), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [55816] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4339), 1,
      anon_sym_RBRACK,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1855), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [55902] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4341), 1,
      anon_sym_RBRACK,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1856), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [55988] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4343), 1,
      anon_sym_RBRACK,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1857), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [56074] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4345), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1858), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [56160] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4347), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1859), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [56246] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4349), 1,
      anon_sym_RBRACK,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1860), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [56332] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4351), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1861), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [56418] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4353), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1862), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [56504] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4355), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1863), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [56590] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4357), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1864), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [56676] = 21,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4131), 1,
      anon_sym_LBRACK,
    ACTIONS(4133), 1,
      anon_sym_QMARK,
    ACTIONS(4135), 1,
      anon_sym_DOT,
    ACTIONS(4141), 1,
      anon_sym_CARET,
    ACTIONS(4143), 1,
      anon_sym_AMP,
    ACTIONS(4145), 1,
      anon_sym_PIPE,
    ACTIONS(4149), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4157), 1,
      anon_sym_as,
    ACTIONS(4231), 1,
      anon_sym_EQ,
    ACTIONS(4323), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4137), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4151), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4155), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4171), 2,
      anon_sym_EQ_GT,
      anon_sym_AMP_AMP,
    ACTIONS(4325), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1865), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4139), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4153), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(4229), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [56760] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4359), 1,
      anon_sym_RBRACK,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1866), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [56846] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4361), 1,
      anon_sym_RBRACK,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1867), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [56932] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4363), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1868), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [57018] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4365), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1869), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [57104] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4367), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1870), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [57190] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4369), 1,
      anon_sym_COMMA,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1871), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [57276] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4371), 1,
      anon_sym_SEMI,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1872), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [57362] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3667), 1,
      anon_sym_LBRACK,
    ACTIONS(3671), 1,
      anon_sym_QMARK,
    ACTIONS(3673), 1,
      anon_sym_DOT,
    ACTIONS(3675), 1,
      anon_sym_as,
    ACTIONS(3901), 1,
      anon_sym_CARET,
    ACTIONS(3903), 1,
      anon_sym_AMP,
    ACTIONS(3905), 1,
      anon_sym_PIPE,
    ACTIONS(3907), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3909), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3931), 1,
      anon_sym_EQ,
    ACTIONS(4005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4373), 1,
      anon_sym_COMMA,
    ACTIONS(3897), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3911), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3917), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4007), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1873), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3899), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3915), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3929), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [57448] = 17,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4241), 1,
      sym_identifier,
    ACTIONS(4243), 1,
      anon_sym_LBRACE,
    ACTIONS(4247), 1,
      anon_sym_STAR,
    ACTIONS(4253), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4257), 1,
      sym_metavariable,
    ACTIONS(4375), 1,
      anon_sym_RBRACE,
    STATE(2488), 1,
      sym_scoped_identifier,
    STATE(3073), 1,
      sym__use_clause,
    STATE(3374), 1,
      sym_generic_type_with_turbofish,
    STATE(3495), 1,
      sym_bracketed_type,
    STATE(1874), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4255), 3,
      sym_self,
      sym_super,
      sym_crate,
    STATE(2966), 4,
      sym_scoped_use_list,
      sym_use_list,
      sym_use_as_clause,
      sym_use_wildcard,
    ACTIONS(4249), 19,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_default,
      anon_sym_union,
  [57524] = 22,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4131), 1,
      anon_sym_LBRACK,
    ACTIONS(4133), 1,
      anon_sym_QMARK,
    ACTIONS(4135), 1,
      anon_sym_DOT,
    ACTIONS(4141), 1,
      anon_sym_CARET,
    ACTIONS(4143), 1,
      anon_sym_AMP,
    ACTIONS(4145), 1,
      anon_sym_PIPE,
    ACTIONS(4149), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4157), 1,
      anon_sym_as,
    ACTIONS(4181), 1,
      anon_sym_EQ_GT,
    ACTIONS(4231), 1,
      anon_sym_EQ,
    ACTIONS(4323), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4377), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4137), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(4151), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4155), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4325), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1875), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4139), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4153), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(4229), 10,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
  [57610] = 16,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4241), 1,
      sym_identifier,
    ACTIONS(4243), 1,
      anon_sym_LBRACE,
    ACTIONS(4247), 1,
      anon_sym_STAR,
    ACTIONS(4253), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4257), 1,
      sym_metavariable,
    STATE(2488), 1,
      sym_scoped_identifier,
    STATE(3374), 1,
      sym_generic_type_with_turbofish,
    STATE(3487), 1,
      sym__use_clause,
    STATE(3495), 1,
      sym_bracketed_type,
    STATE(1876), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4255), 3,
      sym_self,
      sym_super,
      sym_crate,
    STATE(2966), 4,
      sym_scoped_use_list,
      sym_use_list,
      sym_use_as_clause,
      sym_use_wildcard,
    ACTIONS(4249), 19,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_default,
      anon_sym_union,
  [57683] = 16,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4241), 1,
      sym_identifier,
    ACTIONS(4243), 1,
      anon_sym_LBRACE,
    ACTIONS(4247), 1,
      anon_sym_STAR,
    ACTIONS(4253), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4257), 1,
      sym_metavariable,
    STATE(2488), 1,
      sym_scoped_identifier,
    STATE(3348), 1,
      sym__use_clause,
    STATE(3374), 1,
      sym_generic_type_with_turbofish,
    STATE(3495), 1,
      sym_bracketed_type,
    STATE(1877), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4255), 3,
      sym_self,
      sym_super,
      sym_crate,
    STATE(2966), 4,
      sym_scoped_use_list,
      sym_use_list,
      sym_use_as_clause,
      sym_use_wildcard,
    ACTIONS(4249), 19,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_default,
      anon_sym_union,
  [57756] = 16,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4241), 1,
      sym_identifier,
    ACTIONS(4243), 1,
      anon_sym_LBRACE,
    ACTIONS(4247), 1,
      anon_sym_STAR,
    ACTIONS(4253), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4257), 1,
      sym_metavariable,
    STATE(2488), 1,
      sym_scoped_identifier,
    STATE(3374), 1,
      sym_generic_type_with_turbofish,
    STATE(3495), 1,
      sym_bracketed_type,
    STATE(3597), 1,
      sym__use_clause,
    STATE(1878), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4255), 3,
      sym_self,
      sym_super,
      sym_crate,
    STATE(2966), 4,
      sym_scoped_use_list,
      sym_use_list,
      sym_use_as_clause,
      sym_use_wildcard,
    ACTIONS(4249), 19,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_default,
      anon_sym_union,
  [57829] = 16,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4241), 1,
      sym_identifier,
    ACTIONS(4243), 1,
      anon_sym_LBRACE,
    ACTIONS(4247), 1,
      anon_sym_STAR,
    ACTIONS(4253), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4257), 1,
      sym_metavariable,
    STATE(2488), 1,
      sym_scoped_identifier,
    STATE(3073), 1,
      sym__use_clause,
    STATE(3374), 1,
      sym_generic_type_with_turbofish,
    STATE(3495), 1,
      sym_bracketed_type,
    STATE(1879), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4255), 3,
      sym_self,
      sym_super,
      sym_crate,
    STATE(2966), 4,
      sym_scoped_use_list,
      sym_use_list,
      sym_use_as_clause,
      sym_use_wildcard,
    ACTIONS(4249), 19,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_default,
      anon_sym_union,
  [57902] = 16,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4241), 1,
      sym_identifier,
    ACTIONS(4243), 1,
      anon_sym_LBRACE,
    ACTIONS(4247), 1,
      anon_sym_STAR,
    ACTIONS(4253), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4257), 1,
      sym_metavariable,
    STATE(2488), 1,
      sym_scoped_identifier,
    STATE(3328), 1,
      sym__use_clause,
    STATE(3374), 1,
      sym_generic_type_with_turbofish,
    STATE(3495), 1,
      sym_bracketed_type,
    STATE(1880), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4255), 3,
      sym_self,
      sym_super,
      sym_crate,
    STATE(2966), 4,
      sym_scoped_use_list,
      sym_use_list,
      sym_use_as_clause,
      sym_use_wildcard,
    ACTIONS(4249), 19,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_default,
      anon_sym_union,
  [57975] = 17,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3867), 1,
      anon_sym_where,
    ACTIONS(4379), 1,
      sym_identifier,
    ACTIONS(4383), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4389), 1,
      sym_metavariable,
    STATE(3025), 1,
      sym_scoped_type_identifier,
    STATE(3297), 1,
      sym_generic_type,
    STATE(3369), 1,
      sym_scoped_identifier,
    STATE(3475), 1,
      sym_generic_type_with_turbofish,
    STATE(3501), 1,
      sym_bracketed_type,
    ACTIONS(4385), 2,
      anon_sym_default,
      anon_sym_union,
    STATE(1881), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3865), 3,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
    ACTIONS(4387), 3,
      sym_self,
      sym_super,
      sym_crate,
    ACTIONS(4381), 17,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
  [58049] = 17,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3867), 1,
      anon_sym_where,
    ACTIONS(4383), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4389), 1,
      sym_metavariable,
    ACTIONS(4391), 1,
      sym_identifier,
    STATE(3029), 1,
      sym_scoped_type_identifier,
    STATE(3306), 1,
      sym_generic_type,
    STATE(3369), 1,
      sym_scoped_identifier,
    STATE(3475), 1,
      sym_generic_type_with_turbofish,
    STATE(3501), 1,
      sym_bracketed_type,
    ACTIONS(4385), 2,
      anon_sym_default,
      anon_sym_union,
    STATE(1882), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3865), 3,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
    ACTIONS(4387), 3,
      sym_self,
      sym_super,
      sym_crate,
    ACTIONS(4381), 17,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
  [58123] = 17,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3867), 1,
      anon_sym_where,
    ACTIONS(4383), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4389), 1,
      sym_metavariable,
    ACTIONS(4393), 1,
      sym_identifier,
    STATE(2865), 1,
      sym_scoped_type_identifier,
    STATE(3043), 1,
      sym_generic_type,
    STATE(3369), 1,
      sym_scoped_identifier,
    STATE(3475), 1,
      sym_generic_type_with_turbofish,
    STATE(3501), 1,
      sym_bracketed_type,
    ACTIONS(4385), 2,
      anon_sym_default,
      anon_sym_union,
    STATE(1883), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3865), 3,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
    ACTIONS(4387), 3,
      sym_self,
      sym_super,
      sym_crate,
    ACTIONS(4381), 17,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
  [58197] = 17,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3867), 1,
      anon_sym_where,
    ACTIONS(4383), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4389), 1,
      sym_metavariable,
    ACTIONS(4395), 1,
      sym_identifier,
    STATE(2942), 1,
      sym_scoped_type_identifier,
    STATE(3227), 1,
      sym_generic_type,
    STATE(3369), 1,
      sym_scoped_identifier,
    STATE(3475), 1,
      sym_generic_type_with_turbofish,
    STATE(3501), 1,
      sym_bracketed_type,
    ACTIONS(4385), 2,
      anon_sym_default,
      anon_sym_union,
    STATE(1884), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3865), 3,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
    ACTIONS(4387), 3,
      sym_self,
      sym_super,
      sym_crate,
    ACTIONS(4381), 17,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
  [58271] = 17,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3867), 1,
      anon_sym_where,
    ACTIONS(4383), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4389), 1,
      sym_metavariable,
    ACTIONS(4397), 1,
      sym_identifier,
    STATE(2979), 1,
      sym_scoped_type_identifier,
    STATE(3095), 1,
      sym_generic_type,
    STATE(3369), 1,
      sym_scoped_identifier,
    STATE(3475), 1,
      sym_generic_type_with_turbofish,
    STATE(3501), 1,
      sym_bracketed_type,
    ACTIONS(4385), 2,
      anon_sym_default,
      anon_sym_union,
    STATE(1885), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3865), 3,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
    ACTIONS(4387), 3,
      sym_self,
      sym_super,
      sym_crate,
    ACTIONS(4381), 17,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
  [58345] = 17,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3867), 1,
      anon_sym_where,
    ACTIONS(4383), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4389), 1,
      sym_metavariable,
    ACTIONS(4399), 1,
      sym_identifier,
    STATE(3013), 1,
      sym_scoped_type_identifier,
    STATE(3287), 1,
      sym_generic_type,
    STATE(3369), 1,
      sym_scoped_identifier,
    STATE(3475), 1,
      sym_generic_type_with_turbofish,
    STATE(3501), 1,
      sym_bracketed_type,
    ACTIONS(4385), 2,
      anon_sym_default,
      anon_sym_union,
    STATE(1886), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3865), 3,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
    ACTIONS(4387), 3,
      sym_self,
      sym_super,
      sym_crate,
    ACTIONS(4381), 17,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
  [58419] = 17,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3867), 1,
      anon_sym_where,
    ACTIONS(4383), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4389), 1,
      sym_metavariable,
    ACTIONS(4401), 1,
      sym_identifier,
    STATE(3019), 1,
      sym_scoped_type_identifier,
    STATE(3292), 1,
      sym_generic_type,
    STATE(3369), 1,
      sym_scoped_identifier,
    STATE(3475), 1,
      sym_generic_type_with_turbofish,
    STATE(3501), 1,
      sym_bracketed_type,
    ACTIONS(4385), 2,
      anon_sym_default,
      anon_sym_union,
    STATE(1887), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3865), 3,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
    ACTIONS(4387), 3,
      sym_self,
      sym_super,
      sym_crate,
    ACTIONS(4381), 17,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
  [58493] = 17,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3867), 1,
      anon_sym_where,
    ACTIONS(4383), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4389), 1,
      sym_metavariable,
    ACTIONS(4403), 1,
      sym_identifier,
    STATE(3021), 1,
      sym_scoped_type_identifier,
    STATE(3294), 1,
      sym_generic_type,
    STATE(3369), 1,
      sym_scoped_identifier,
    STATE(3475), 1,
      sym_generic_type_with_turbofish,
    STATE(3501), 1,
      sym_bracketed_type,
    ACTIONS(4385), 2,
      anon_sym_default,
      anon_sym_union,
    STATE(1888), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3865), 3,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
    ACTIONS(4387), 3,
      sym_self,
      sym_super,
      sym_crate,
    ACTIONS(4381), 17,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
  [58567] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1889), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4407), 3,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      sym_metavariable,
    ACTIONS(4405), 28,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [58613] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1890), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4411), 3,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      sym_metavariable,
    ACTIONS(4409), 28,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [58659] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1891), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4415), 3,
      anon_sym_LT,
      anon_sym_COLON_COLON,
      sym_metavariable,
    ACTIONS(4413), 28,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_extern,
      sym_identifier,
      sym_self,
      sym_super,
      sym_crate,
  [58705] = 13,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2340), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4417), 1,
      sym_identifier,
    ACTIONS(4423), 1,
      sym_metavariable,
    STATE(2271), 1,
      sym_scoped_identifier,
    STATE(3324), 1,
      sym_bracketed_type,
    STATE(3336), 1,
      sym_attribute,
    STATE(3350), 1,
      sym_generic_type_with_turbofish,
    STATE(1892), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4421), 3,
      sym_self,
      sym_super,
      sym_crate,
    ACTIONS(4419), 19,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_default,
      anon_sym_union,
  [58766] = 13,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2340), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4417), 1,
      sym_identifier,
    ACTIONS(4423), 1,
      sym_metavariable,
    STATE(2271), 1,
      sym_scoped_identifier,
    STATE(3324), 1,
      sym_bracketed_type,
    STATE(3350), 1,
      sym_generic_type_with_turbofish,
    STATE(3468), 1,
      sym_attribute,
    STATE(1893), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4421), 3,
      sym_self,
      sym_super,
      sym_crate,
    ACTIONS(4419), 19,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_default,
      anon_sym_union,
  [58827] = 13,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2340), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4417), 1,
      sym_identifier,
    ACTIONS(4423), 1,
      sym_metavariable,
    STATE(2271), 1,
      sym_scoped_identifier,
    STATE(3324), 1,
      sym_bracketed_type,
    STATE(3350), 1,
      sym_generic_type_with_turbofish,
    STATE(3401), 1,
      sym_attribute,
    STATE(1894), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4421), 3,
      sym_self,
      sym_super,
      sym_crate,
    ACTIONS(4419), 19,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_default,
      anon_sym_union,
  [58888] = 13,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2340), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4417), 1,
      sym_identifier,
    ACTIONS(4423), 1,
      sym_metavariable,
    STATE(2271), 1,
      sym_scoped_identifier,
    STATE(3324), 1,
      sym_bracketed_type,
    STATE(3350), 1,
      sym_generic_type_with_turbofish,
    STATE(3408), 1,
      sym_attribute,
    STATE(1895), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4421), 3,
      sym_self,
      sym_super,
      sym_crate,
    ACTIONS(4419), 19,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_default,
      anon_sym_union,
  [58949] = 13,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2340), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4417), 1,
      sym_identifier,
    ACTIONS(4423), 1,
      sym_metavariable,
    STATE(2271), 1,
      sym_scoped_identifier,
    STATE(3324), 1,
      sym_bracketed_type,
    STATE(3350), 1,
      sym_generic_type_with_turbofish,
    STATE(3392), 1,
      sym_attribute,
    STATE(1896), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4421), 3,
      sym_self,
      sym_super,
      sym_crate,
    ACTIONS(4419), 19,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_default,
      anon_sym_union,
  [59010] = 13,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2340), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4417), 1,
      sym_identifier,
    ACTIONS(4423), 1,
      sym_metavariable,
    STATE(2271), 1,
      sym_scoped_identifier,
    STATE(3321), 1,
      sym_attribute,
    STATE(3324), 1,
      sym_bracketed_type,
    STATE(3350), 1,
      sym_generic_type_with_turbofish,
    STATE(1897), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4421), 3,
      sym_self,
      sym_super,
      sym_crate,
    ACTIONS(4419), 19,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_default,
      anon_sym_union,
  [59071] = 13,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2340), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4417), 1,
      sym_identifier,
    ACTIONS(4423), 1,
      sym_metavariable,
    STATE(2271), 1,
      sym_scoped_identifier,
    STATE(3324), 1,
      sym_bracketed_type,
    STATE(3350), 1,
      sym_generic_type_with_turbofish,
    STATE(3411), 1,
      sym_attribute,
    STATE(1898), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4421), 3,
      sym_self,
      sym_super,
      sym_crate,
    ACTIONS(4419), 19,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_default,
      anon_sym_union,
  [59132] = 13,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2340), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4417), 1,
      sym_identifier,
    ACTIONS(4423), 1,
      sym_metavariable,
    STATE(2271), 1,
      sym_scoped_identifier,
    STATE(3324), 1,
      sym_bracketed_type,
    STATE(3326), 1,
      sym_attribute,
    STATE(3350), 1,
      sym_generic_type_with_turbofish,
    STATE(1899), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4421), 3,
      sym_self,
      sym_super,
      sym_crate,
    ACTIONS(4419), 19,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_default,
      anon_sym_union,
  [59193] = 12,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4425), 1,
      sym_identifier,
    ACTIONS(4429), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4433), 1,
      sym_metavariable,
    STATE(3107), 1,
      sym_scoped_identifier,
    STATE(3374), 1,
      sym_generic_type_with_turbofish,
    STATE(3495), 1,
      sym_bracketed_type,
    STATE(1900), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4431), 3,
      sym_self,
      sym_super,
      sym_crate,
    ACTIONS(4427), 19,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_default,
      anon_sym_union,
  [59251] = 12,
    ACTIONS(29), 1,
      anon_sym_LT,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4429), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4435), 1,
      sym_identifier,
    ACTIONS(4441), 1,
      sym_metavariable,
    STATE(3209), 1,
      sym_scoped_identifier,
    STATE(3374), 1,
      sym_generic_type_with_turbofish,
    STATE(3495), 1,
      sym_bracketed_type,
    STATE(1901), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4439), 3,
      sym_self,
      sym_super,
      sym_crate,
    ACTIONS(4437), 19,
      anon_sym_u8,
      anon_sym_i8,
      anon_sym_u16,
      anon_sym_i16,
      anon_sym_u32,
      anon_sym_i32,
      anon_sym_u64,
      anon_sym_i64,
      anon_sym_u128,
      anon_sym_i128,
      anon_sym_isize,
      anon_sym_usize,
      anon_sym_f32,
      anon_sym_f64,
      anon_sym_bool,
      anon_sym_str,
      anon_sym_char,
      anon_sym_default,
      anon_sym_union,
  [59309] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(771), 1,
      anon_sym_DOT_DOT,
    STATE(1902), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(773), 20,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
      anon_sym_else,
      anon_sym_in,
  [59345] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3245), 1,
      anon_sym_COLON,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4445), 1,
      anon_sym_BANG,
    ACTIONS(4447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    STATE(1931), 1,
      sym_type_arguments,
    STATE(1945), 1,
      sym_parameters,
    STATE(1903), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3241), 14,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [59393] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(753), 1,
      anon_sym_DOT_DOT,
    STATE(1904), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(755), 20,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
      anon_sym_else,
      anon_sym_in,
  [59429] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3261), 1,
      anon_sym_COLON,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4451), 1,
      anon_sym_COLON_COLON,
    STATE(1931), 1,
      sym_type_arguments,
    STATE(1945), 1,
      sym_parameters,
    STATE(1905), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3259), 14,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [59474] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3269), 1,
      anon_sym_COLON,
    ACTIONS(3273), 2,
      anon_sym_BANG,
      anon_sym_COLON_COLON,
    STATE(1906), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3267), 17,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_for,
      anon_sym_where,
      anon_sym_else,
      anon_sym_LT2,
  [59511] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3255), 1,
      anon_sym_COLON,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4451), 1,
      anon_sym_COLON_COLON,
    STATE(1931), 1,
      sym_type_arguments,
    STATE(1945), 1,
      sym_parameters,
    STATE(1907), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 14,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [59556] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3293), 1,
      anon_sym_COLON,
    ACTIONS(3297), 2,
      anon_sym_BANG,
      anon_sym_COLON_COLON,
    STATE(1908), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3291), 17,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_for,
      anon_sym_where,
      anon_sym_else,
      anon_sym_LT2,
  [59593] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3309), 1,
      anon_sym_COLON,
    ACTIONS(3313), 2,
      anon_sym_BANG,
      anon_sym_COLON_COLON,
    STATE(1909), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3307), 17,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_for,
      anon_sym_where,
      anon_sym_else,
      anon_sym_LT2,
  [59630] = 14,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4445), 1,
      anon_sym_BANG,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4455), 1,
      anon_sym_LPAREN,
    ACTIONS(4457), 1,
      anon_sym_LBRACE,
    ACTIONS(4459), 1,
      anon_sym_COLON,
    ACTIONS(4461), 1,
      anon_sym_AT,
    ACTIONS(4463), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4467), 1,
      anon_sym_COLON_COLON,
    STATE(1931), 1,
      sym_type_arguments,
    ACTIONS(4465), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1910), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4453), 9,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [59683] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3265), 1,
      anon_sym_COLON,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4451), 1,
      anon_sym_COLON_COLON,
    STATE(1931), 1,
      sym_type_arguments,
    STATE(1945), 1,
      sym_parameters,
    STATE(1911), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3263), 14,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [59728] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3277), 1,
      anon_sym_COLON,
    ACTIONS(3281), 2,
      anon_sym_BANG,
      anon_sym_COLON_COLON,
    STATE(1912), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3275), 17,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_for,
      anon_sym_where,
      anon_sym_else,
      anon_sym_LT2,
  [59765] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3295), 2,
      anon_sym_COLON,
      anon_sym_DOT_DOT,
    STATE(1913), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3291), 3,
      anon_sym_LBRACE,
      anon_sym_for,
      anon_sym_LT2,
    ACTIONS(3297), 14,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_in,
  [59801] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    STATE(1933), 1,
      sym_type_arguments,
    STATE(1947), 1,
      sym_parameters,
    STATE(1914), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3287), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [59841] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3271), 2,
      anon_sym_COLON,
      anon_sym_DOT_DOT,
    STATE(1915), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3267), 3,
      anon_sym_LBRACE,
      anon_sym_for,
      anon_sym_LT2,
    ACTIONS(3273), 14,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_in,
  [59877] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    STATE(1933), 1,
      sym_type_arguments,
    STATE(1947), 1,
      sym_parameters,
    STATE(1916), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3283), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [59917] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    STATE(1933), 1,
      sym_type_arguments,
    STATE(1947), 1,
      sym_parameters,
    STATE(1917), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3303), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [59957] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3279), 2,
      anon_sym_COLON,
      anon_sym_DOT_DOT,
    STATE(1918), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3275), 3,
      anon_sym_LBRACE,
      anon_sym_for,
      anon_sym_LT2,
    ACTIONS(3281), 14,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_in,
  [59993] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3311), 2,
      anon_sym_COLON,
      anon_sym_DOT_DOT,
    STATE(1919), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3307), 3,
      anon_sym_LBRACE,
      anon_sym_for,
      anon_sym_LT2,
    ACTIONS(3313), 14,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_in,
  [60029] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    STATE(1933), 1,
      sym_type_arguments,
    STATE(1947), 1,
      sym_parameters,
    STATE(1920), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3299), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [60069] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3295), 2,
      anon_sym_COLON,
      anon_sym_DOT_DOT,
    STATE(1921), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3297), 16,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_in,
  [60102] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3406), 1,
      anon_sym_COLON,
    STATE(1922), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3404), 17,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_for,
      anon_sym_where,
      anon_sym_else,
  [60135] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3410), 1,
      anon_sym_COLON,
    STATE(1923), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3408), 17,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_for,
      anon_sym_where,
      anon_sym_else,
  [60168] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3279), 2,
      anon_sym_COLON,
      anon_sym_DOT_DOT,
    STATE(1924), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3281), 16,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_in,
  [60201] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3311), 2,
      anon_sym_COLON,
      anon_sym_DOT_DOT,
    STATE(1925), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3313), 16,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_in,
  [60234] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1926), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3307), 18,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_for,
      anon_sym_where,
      anon_sym_else,
      anon_sym_LT2,
  [60265] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3350), 1,
      anon_sym_COLON,
    STATE(1927), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3348), 17,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_for,
      anon_sym_where,
      anon_sym_else,
  [60298] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3463), 1,
      anon_sym_COLON,
    STATE(1928), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3461), 17,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_for,
      anon_sym_where,
      anon_sym_else,
  [60331] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3271), 2,
      anon_sym_COLON,
      anon_sym_DOT_DOT,
    STATE(1929), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3273), 16,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_in,
  [60364] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3354), 1,
      anon_sym_COLON,
    STATE(1930), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3352), 16,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_for,
      anon_sym_where,
      anon_sym_else,
  [60396] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3459), 1,
      anon_sym_COLON,
    STATE(1931), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3457), 16,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_for,
      anon_sym_where,
      anon_sym_else,
  [60428] = 19,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4471), 1,
      anon_sym_const,
    ACTIONS(4473), 1,
      anon_sym_enum,
    ACTIONS(4475), 1,
      anon_sym_fn,
    ACTIONS(4477), 1,
      anon_sym_mod,
    ACTIONS(4479), 1,
      anon_sym_static,
    ACTIONS(4481), 1,
      anon_sym_struct,
    ACTIONS(4483), 1,
      anon_sym_trait,
    ACTIONS(4485), 1,
      anon_sym_type,
    ACTIONS(4487), 1,
      anon_sym_union,
    ACTIONS(4489), 1,
      anon_sym_unsafe,
    ACTIONS(4491), 1,
      anon_sym_use,
    ACTIONS(4493), 1,
      anon_sym_extern,
    STATE(2133), 1,
      sym_extern_modifier,
    STATE(2206), 1,
      aux_sym_function_modifiers_repeat1,
    STATE(3407), 1,
      sym_function_modifiers,
    ACTIONS(4469), 2,
      anon_sym_async,
      anon_sym_default,
    STATE(1932), 2,
      sym_line_comment,
      sym_block_comment,
  [60488] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3471), 1,
      anon_sym_COLON,
    STATE(1933), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3469), 16,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_for,
      anon_sym_where,
      anon_sym_else,
  [60520] = 19,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4495), 1,
      anon_sym_const,
    ACTIONS(4497), 1,
      anon_sym_enum,
    ACTIONS(4499), 1,
      anon_sym_fn,
    ACTIONS(4501), 1,
      anon_sym_mod,
    ACTIONS(4503), 1,
      anon_sym_static,
    ACTIONS(4505), 1,
      anon_sym_struct,
    ACTIONS(4507), 1,
      anon_sym_trait,
    ACTIONS(4509), 1,
      anon_sym_type,
    ACTIONS(4511), 1,
      anon_sym_union,
    ACTIONS(4513), 1,
      anon_sym_unsafe,
    ACTIONS(4515), 1,
      anon_sym_use,
    ACTIONS(4517), 1,
      anon_sym_extern,
    STATE(2175), 1,
      sym_extern_modifier,
    STATE(2206), 1,
      aux_sym_function_modifiers_repeat1,
    STATE(3600), 1,
      sym_function_modifiers,
    ACTIONS(4469), 2,
      anon_sym_async,
      anon_sym_default,
    STATE(1934), 2,
      sym_line_comment,
      sym_block_comment,
  [60580] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4521), 1,
      anon_sym_COLON,
    ACTIONS(4523), 1,
      anon_sym_BANG,
    ACTIONS(4525), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4529), 1,
      anon_sym_COLON_COLON,
    STATE(1930), 1,
      sym_type_arguments,
    ACTIONS(4527), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1935), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4519), 9,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [60624] = 12,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4521), 1,
      anon_sym_COLON,
    ACTIONS(4523), 1,
      anon_sym_BANG,
    ACTIONS(4525), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4531), 1,
      anon_sym_COLON_COLON,
    STATE(1930), 1,
      sym_type_arguments,
    ACTIONS(4527), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1936), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4519), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
    ACTIONS(3323), 6,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
  [60670] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4523), 1,
      anon_sym_BANG,
    ACTIONS(4525), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4533), 1,
      anon_sym_COLON_COLON,
    STATE(1930), 1,
      sym_type_arguments,
    ACTIONS(4527), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1937), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4519), 3,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_COMMA,
    ACTIONS(3323), 6,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
  [60713] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3301), 1,
      anon_sym_COLON,
    ACTIONS(4535), 1,
      anon_sym_COLON_COLON,
    STATE(1938), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3299), 14,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [60746] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1939), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(987), 16,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
      anon_sym_in,
  [60775] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3285), 1,
      anon_sym_COLON,
    ACTIONS(4537), 1,
      anon_sym_COLON_COLON,
    STATE(1940), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3283), 14,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [60808] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4539), 1,
      anon_sym_DASH_GT,
    STATE(1941), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3521), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [60839] = 17,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3241), 1,
      anon_sym_PLUS,
    ACTIONS(4445), 1,
      anon_sym_BANG,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4453), 1,
      anon_sym_PIPE,
    ACTIONS(4457), 1,
      anon_sym_LBRACE,
    ACTIONS(4459), 1,
      anon_sym_COLON,
    ACTIONS(4461), 1,
      anon_sym_AT,
    ACTIONS(4463), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4541), 1,
      anon_sym_LPAREN,
    ACTIONS(4546), 1,
      anon_sym_COLON_COLON,
    STATE(1931), 1,
      sym_type_arguments,
    STATE(1945), 1,
      sym_parameters,
    ACTIONS(4465), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    ACTIONS(4543), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(1942), 2,
      sym_line_comment,
      sym_block_comment,
  [60894] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1943), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(991), 16,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
      anon_sym_in,
  [60923] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3305), 1,
      anon_sym_COLON,
    ACTIONS(4537), 1,
      anon_sym_COLON_COLON,
    STATE(1944), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3303), 14,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [60956] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4548), 1,
      anon_sym_DASH_GT,
    STATE(1945), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3533), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [60987] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1946), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3418), 16,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [61016] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4550), 1,
      anon_sym_DASH_GT,
    STATE(1947), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3527), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [61047] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4552), 1,
      anon_sym_DASH_GT,
    STATE(1948), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3447), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [61078] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3301), 1,
      anon_sym_COLON,
    ACTIONS(4537), 1,
      anon_sym_COLON_COLON,
    STATE(1949), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3299), 14,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [61111] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1950), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3443), 16,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [61140] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3289), 1,
      anon_sym_COLON,
    ACTIONS(4537), 1,
      anon_sym_COLON_COLON,
    STATE(1951), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3287), 14,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [61173] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3301), 1,
      anon_sym_COLON,
    ACTIONS(4554), 1,
      anon_sym_COLON_COLON,
    STATE(1952), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3299), 14,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [61206] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1953), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3336), 16,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [61235] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1954), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3370), 16,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [61264] = 16,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4445), 1,
      anon_sym_BANG,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4457), 1,
      anon_sym_LBRACE,
    ACTIONS(4461), 1,
      anon_sym_AT,
    ACTIONS(4463), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4543), 1,
      anon_sym_RBRACK,
    ACTIONS(4556), 1,
      anon_sym_LPAREN,
    ACTIONS(4558), 1,
      anon_sym_COLON_COLON,
    STATE(1931), 1,
      sym_type_arguments,
    STATE(1945), 1,
      sym_parameters,
    ACTIONS(3241), 2,
      anon_sym_SEMI,
      anon_sym_PLUS,
    ACTIONS(4453), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
    ACTIONS(4465), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1955), 2,
      sym_line_comment,
      sym_block_comment,
  [61317] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1956), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3507), 16,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [61346] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1957), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1442), 16,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
      anon_sym_in,
  [61375] = 16,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4445), 1,
      anon_sym_BANG,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4453), 1,
      anon_sym_PIPE,
    ACTIONS(4457), 1,
      anon_sym_LBRACE,
    ACTIONS(4459), 1,
      anon_sym_COLON,
    ACTIONS(4461), 1,
      anon_sym_AT,
    ACTIONS(4463), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4560), 1,
      anon_sym_LPAREN,
    ACTIONS(4562), 1,
      anon_sym_COLON_COLON,
    STATE(1931), 1,
      sym_type_arguments,
    STATE(1945), 1,
      sym_parameters,
    ACTIONS(4465), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1958), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3241), 3,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COMMA,
  [61428] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1959), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1320), 16,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
      anon_sym_in,
  [61457] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4564), 1,
      anon_sym_DASH_GT,
    STATE(1960), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3513), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [61488] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4445), 1,
      anon_sym_BANG,
    ACTIONS(4455), 1,
      anon_sym_LPAREN,
    ACTIONS(4459), 1,
      anon_sym_COLON,
    ACTIONS(4463), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4566), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4465), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1961), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4453), 9,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [61529] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4568), 1,
      anon_sym_DASH_GT,
    STATE(1962), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3356), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [61560] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4570), 1,
      anon_sym_DASH_GT,
    STATE(1963), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3412), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [61591] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4572), 1,
      anon_sym_LPAREN,
    STATE(1964), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3977), 15,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_mod,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
  [61622] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1965), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3583), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [61650] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1966), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3287), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [61678] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1967), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3841), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [61706] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1968), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3731), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [61734] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1969), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3621), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [61762] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1970), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3727), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [61790] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1971), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3629), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [61818] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1972), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3857), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [61846] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1973), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3567), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [61874] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1974), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3995), 15,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_mod,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
  [61902] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1975), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3587), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [61930] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1976), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3591), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [61958] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1977), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3991), 15,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_mod,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
  [61986] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1978), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3299), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [62014] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1979), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3283), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [62042] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1980), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3999), 15,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_mod,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
      sym_identifier,
  [62070] = 12,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4519), 1,
      anon_sym_PIPE,
    ACTIONS(4521), 1,
      anon_sym_COLON,
    ACTIONS(4523), 1,
      anon_sym_BANG,
    ACTIONS(4525), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4574), 1,
      anon_sym_COLON_COLON,
    STATE(1930), 1,
      sym_type_arguments,
    ACTIONS(4527), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1981), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3323), 6,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
  [62114] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4576), 1,
      anon_sym_COLON_COLON,
    STATE(1982), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3979), 14,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_mod,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
  [62144] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1983), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3637), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [62172] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1984), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3303), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [62200] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1985), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3743), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [62228] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1986), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3829), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [62256] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3889), 1,
      anon_sym_COLON_COLON,
    STATE(1987), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3979), 14,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_enum,
      anon_sym_fn,
      anon_sym_mod,
      anon_sym_static,
      anon_sym_struct,
      anon_sym_trait,
      anon_sym_type,
      anon_sym_union,
      anon_sym_unsafe,
      anon_sym_use,
      anon_sym_extern,
  [62286] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1988), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3865), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [62314] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1989), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3735), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [62342] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1990), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3625), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [62370] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1991), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3625), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [62398] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1992), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3873), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [62426] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1993), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3849), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [62454] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1994), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3767), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [62482] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1995), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3853), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [62510] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(1996), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3579), 15,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_as,
      anon_sym_where,
      anon_sym_else,
  [62538] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(967), 1,
      anon_sym_DOT_DOT,
    STATE(1997), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(969), 13,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [62567] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4580), 1,
      anon_sym_pat,
    STATE(144), 1,
      sym_fragment_specifier,
    STATE(1998), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4578), 12,
      anon_sym_block,
      anon_sym_expr,
      anon_sym_ident,
      anon_sym_item,
      anon_sym_lifetime,
      anon_sym_literal,
      anon_sym_meta,
      anon_sym_path,
      anon_sym_stmt,
      anon_sym_tt,
      anon_sym_ty,
      anon_sym_vis,
  [62598] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4521), 1,
      anon_sym_COLON,
    ACTIONS(4525), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4527), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(1999), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4519), 9,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [62633] = 16,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4445), 1,
      anon_sym_BANG,
    ACTIONS(4447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4582), 1,
      anon_sym_COLON,
    ACTIONS(4584), 1,
      anon_sym_EQ,
    ACTIONS(4586), 1,
      anon_sym_GT,
    ACTIONS(4588), 1,
      anon_sym_COMMA,
    STATE(1931), 1,
      sym_type_arguments,
    STATE(1945), 1,
      sym_parameters,
    STATE(2746), 1,
      sym_trait_bounds,
    STATE(2907), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3241), 2,
      anon_sym_PLUS,
      anon_sym_as,
    STATE(2000), 2,
      sym_line_comment,
      sym_block_comment,
  [62684] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(767), 1,
      anon_sym_DOT_DOT,
    STATE(2001), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(769), 13,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [62713] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3311), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4590), 2,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
    STATE(2002), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3307), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_LT2,
    ACTIONS(3313), 6,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [62745] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3271), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4593), 2,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
    STATE(2003), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3267), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_LT2,
    ACTIONS(3273), 6,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [62777] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4598), 1,
      anon_sym_DOT_DOT,
    STATE(2004), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4596), 12,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [62805] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4463), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4465), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(2005), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4453), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [62835] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4600), 1,
      anon_sym_LPAREN,
    ACTIONS(3295), 2,
      anon_sym_COLON,
      anon_sym_DOT_DOT,
    STATE(2006), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3291), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_LT2,
    ACTIONS(3297), 5,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
  [62867] = 13,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4603), 1,
      anon_sym_LPAREN,
    ACTIONS(4605), 1,
      anon_sym_LBRACE,
    ACTIONS(4607), 1,
      anon_sym_BANG,
    ACTIONS(4609), 1,
      anon_sym_AT,
    ACTIONS(4611), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4615), 1,
      anon_sym_COLON_COLON,
    STATE(1931), 1,
      sym_type_arguments,
    ACTIONS(4613), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(2007), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4453), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [62911] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3279), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4617), 2,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
    STATE(2008), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3275), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_LT2,
    ACTIONS(3281), 6,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [62943] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4590), 1,
      anon_sym_LPAREN,
    ACTIONS(3311), 2,
      anon_sym_COLON,
      anon_sym_DOT_DOT,
    STATE(2009), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3307), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_LT2,
    ACTIONS(3313), 5,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
  [62975] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4617), 1,
      anon_sym_LPAREN,
    ACTIONS(3279), 2,
      anon_sym_COLON,
      anon_sym_DOT_DOT,
    STATE(2010), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3275), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_LT2,
    ACTIONS(3281), 5,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
  [63007] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4622), 1,
      anon_sym_DOT_DOT,
    STATE(2011), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4620), 12,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [63035] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3295), 2,
      anon_sym_COLON,
      anon_sym_DOT_DOT,
    STATE(2012), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3291), 3,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_LT2,
    ACTIONS(4600), 3,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(3297), 5,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
  [63067] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3271), 2,
      anon_sym_COLON,
      anon_sym_DOT_DOT,
    STATE(2013), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3267), 3,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_LT2,
    ACTIONS(4593), 3,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(3273), 5,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
  [63099] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3311), 2,
      anon_sym_COLON,
      anon_sym_DOT_DOT,
    STATE(2014), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3307), 3,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_LT2,
    ACTIONS(4590), 3,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(3313), 5,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
  [63131] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3279), 2,
      anon_sym_COLON,
      anon_sym_DOT_DOT,
    STATE(2015), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3275), 3,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_LT2,
    ACTIONS(4617), 3,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(3281), 5,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
  [63163] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3295), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4600), 2,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
    STATE(2016), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3291), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_LT2,
    ACTIONS(3297), 6,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [63195] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4593), 1,
      anon_sym_LPAREN,
    ACTIONS(3271), 2,
      anon_sym_COLON,
      anon_sym_DOT_DOT,
    STATE(2017), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3267), 5,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_LT2,
    ACTIONS(3273), 5,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
  [63227] = 14,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(2957), 1,
      anon_sym_SQUOTE,
    ACTIONS(4624), 1,
      sym_identifier,
    ACTIONS(4626), 1,
      anon_sym_GT,
    ACTIONS(4628), 1,
      anon_sym_const,
    ACTIONS(4630), 1,
      sym_metavariable,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2075), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(2605), 1,
      sym_lifetime,
    STATE(2847), 1,
      sym_constrained_type_parameter,
    STATE(2018), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(3120), 2,
      sym_const_parameter,
      sym_optional_type_parameter,
  [63272] = 14,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(2957), 1,
      anon_sym_SQUOTE,
    ACTIONS(4624), 1,
      sym_identifier,
    ACTIONS(4628), 1,
      anon_sym_const,
    ACTIONS(4630), 1,
      sym_metavariable,
    ACTIONS(4632), 1,
      anon_sym_GT,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2075), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(2632), 1,
      sym_lifetime,
    STATE(2847), 1,
      sym_constrained_type_parameter,
    STATE(2019), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(3120), 2,
      sym_const_parameter,
      sym_optional_type_parameter,
  [63317] = 14,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(2957), 1,
      anon_sym_SQUOTE,
    ACTIONS(4624), 1,
      sym_identifier,
    ACTIONS(4628), 1,
      anon_sym_const,
    ACTIONS(4630), 1,
      sym_metavariable,
    ACTIONS(4634), 1,
      anon_sym_GT,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2075), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(2632), 1,
      sym_lifetime,
    STATE(2847), 1,
      sym_constrained_type_parameter,
    STATE(2020), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(3120), 2,
      sym_const_parameter,
      sym_optional_type_parameter,
  [63362] = 14,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(2957), 1,
      anon_sym_SQUOTE,
    ACTIONS(4624), 1,
      sym_identifier,
    ACTIONS(4628), 1,
      anon_sym_const,
    ACTIONS(4630), 1,
      sym_metavariable,
    ACTIONS(4636), 1,
      anon_sym_GT,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2075), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(2632), 1,
      sym_lifetime,
    STATE(2847), 1,
      sym_constrained_type_parameter,
    STATE(2021), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(3120), 2,
      sym_const_parameter,
      sym_optional_type_parameter,
  [63407] = 14,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(2957), 1,
      anon_sym_SQUOTE,
    ACTIONS(4624), 1,
      sym_identifier,
    ACTIONS(4628), 1,
      anon_sym_const,
    ACTIONS(4630), 1,
      sym_metavariable,
    ACTIONS(4638), 1,
      anon_sym_GT,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2075), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(2632), 1,
      sym_lifetime,
    STATE(2847), 1,
      sym_constrained_type_parameter,
    STATE(2022), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(3120), 2,
      sym_const_parameter,
      sym_optional_type_parameter,
  [63452] = 14,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(2957), 1,
      anon_sym_SQUOTE,
    ACTIONS(4624), 1,
      sym_identifier,
    ACTIONS(4628), 1,
      anon_sym_const,
    ACTIONS(4630), 1,
      sym_metavariable,
    ACTIONS(4640), 1,
      anon_sym_GT,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2075), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(2632), 1,
      sym_lifetime,
    STATE(2847), 1,
      sym_constrained_type_parameter,
    STATE(2023), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(3120), 2,
      sym_const_parameter,
      sym_optional_type_parameter,
  [63497] = 14,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(2957), 1,
      anon_sym_SQUOTE,
    ACTIONS(4624), 1,
      sym_identifier,
    ACTIONS(4628), 1,
      anon_sym_const,
    ACTIONS(4630), 1,
      sym_metavariable,
    ACTIONS(4642), 1,
      anon_sym_GT,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2075), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(2632), 1,
      sym_lifetime,
    STATE(2847), 1,
      sym_constrained_type_parameter,
    STATE(2024), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(3120), 2,
      sym_const_parameter,
      sym_optional_type_parameter,
  [63542] = 14,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(2957), 1,
      anon_sym_SQUOTE,
    ACTIONS(4624), 1,
      sym_identifier,
    ACTIONS(4628), 1,
      anon_sym_const,
    ACTIONS(4630), 1,
      sym_metavariable,
    ACTIONS(4644), 1,
      anon_sym_GT,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2075), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(2632), 1,
      sym_lifetime,
    STATE(2847), 1,
      sym_constrained_type_parameter,
    STATE(2025), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(3120), 2,
      sym_const_parameter,
      sym_optional_type_parameter,
  [63587] = 10,
    ACTIONS(19), 1,
      anon_sym_LBRACE,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4483), 1,
      anon_sym_trait,
    ACTIONS(4646), 1,
      anon_sym_impl,
    STATE(384), 1,
      sym_block,
    STATE(3510), 1,
      sym_label,
    STATE(2026), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3323), 6,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
  [63624] = 14,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(2957), 1,
      anon_sym_SQUOTE,
    ACTIONS(4624), 1,
      sym_identifier,
    ACTIONS(4628), 1,
      anon_sym_const,
    ACTIONS(4630), 1,
      sym_metavariable,
    ACTIONS(4648), 1,
      anon_sym_GT,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2075), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(2632), 1,
      sym_lifetime,
    STATE(2847), 1,
      sym_constrained_type_parameter,
    STATE(2027), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(3120), 2,
      sym_const_parameter,
      sym_optional_type_parameter,
  [63669] = 14,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(2957), 1,
      anon_sym_SQUOTE,
    ACTIONS(4624), 1,
      sym_identifier,
    ACTIONS(4628), 1,
      anon_sym_const,
    ACTIONS(4630), 1,
      sym_metavariable,
    ACTIONS(4650), 1,
      anon_sym_GT,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2075), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(2632), 1,
      sym_lifetime,
    STATE(2847), 1,
      sym_constrained_type_parameter,
    STATE(2028), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(3120), 2,
      sym_const_parameter,
      sym_optional_type_parameter,
  [63714] = 14,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(2957), 1,
      anon_sym_SQUOTE,
    ACTIONS(4624), 1,
      sym_identifier,
    ACTIONS(4628), 1,
      anon_sym_const,
    ACTIONS(4630), 1,
      sym_metavariable,
    ACTIONS(4652), 1,
      anon_sym_GT,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2075), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(2632), 1,
      sym_lifetime,
    STATE(2847), 1,
      sym_constrained_type_parameter,
    STATE(2029), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(3120), 2,
      sym_const_parameter,
      sym_optional_type_parameter,
  [63759] = 14,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(2957), 1,
      anon_sym_SQUOTE,
    ACTIONS(4624), 1,
      sym_identifier,
    ACTIONS(4628), 1,
      anon_sym_const,
    ACTIONS(4630), 1,
      sym_metavariable,
    ACTIONS(4654), 1,
      anon_sym_GT,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2075), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(2632), 1,
      sym_lifetime,
    STATE(2847), 1,
      sym_constrained_type_parameter,
    STATE(2030), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(3120), 2,
      sym_const_parameter,
      sym_optional_type_parameter,
  [63804] = 14,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(2957), 1,
      anon_sym_SQUOTE,
    ACTIONS(4624), 1,
      sym_identifier,
    ACTIONS(4628), 1,
      anon_sym_const,
    ACTIONS(4630), 1,
      sym_metavariable,
    ACTIONS(4656), 1,
      anon_sym_GT,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2075), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(2632), 1,
      sym_lifetime,
    STATE(2847), 1,
      sym_constrained_type_parameter,
    STATE(2031), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(3120), 2,
      sym_const_parameter,
      sym_optional_type_parameter,
  [63849] = 14,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(2957), 1,
      anon_sym_SQUOTE,
    ACTIONS(4624), 1,
      sym_identifier,
    ACTIONS(4628), 1,
      anon_sym_const,
    ACTIONS(4630), 1,
      sym_metavariable,
    ACTIONS(4658), 1,
      anon_sym_GT,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2075), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(2632), 1,
      sym_lifetime,
    STATE(2847), 1,
      sym_constrained_type_parameter,
    STATE(2032), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(3120), 2,
      sym_const_parameter,
      sym_optional_type_parameter,
  [63894] = 14,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(2957), 1,
      anon_sym_SQUOTE,
    ACTIONS(4624), 1,
      sym_identifier,
    ACTIONS(4628), 1,
      anon_sym_const,
    ACTIONS(4630), 1,
      sym_metavariable,
    ACTIONS(4660), 1,
      anon_sym_GT,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2075), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(2632), 1,
      sym_lifetime,
    STATE(2847), 1,
      sym_constrained_type_parameter,
    STATE(2033), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(3120), 2,
      sym_const_parameter,
      sym_optional_type_parameter,
  [63939] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4445), 1,
      anon_sym_BANG,
    ACTIONS(4447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4662), 1,
      anon_sym_for,
    STATE(1931), 1,
      sym_type_arguments,
    STATE(1945), 1,
      sym_parameters,
    STATE(2034), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3241), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_where,
  [63977] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4576), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4666), 1,
      anon_sym_COLON,
    STATE(2035), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4664), 9,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [64005] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4666), 1,
      anon_sym_COLON,
    ACTIONS(4668), 1,
      anon_sym_COLON_COLON,
    STATE(2036), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4664), 9,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [64033] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4445), 1,
      anon_sym_BANG,
    ACTIONS(4447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4670), 1,
      anon_sym_for,
    STATE(1931), 1,
      sym_type_arguments,
    STATE(1945), 1,
      sym_parameters,
    STATE(2037), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3241), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_where,
  [64071] = 12,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3245), 1,
      anon_sym_COLON,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4445), 1,
      anon_sym_BANG,
    ACTIONS(4447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4672), 1,
      anon_sym_EQ,
    STATE(1945), 1,
      sym_parameters,
    STATE(2365), 1,
      sym_type_arguments,
    STATE(2038), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3241), 3,
      anon_sym_PLUS,
      anon_sym_GT,
      anon_sym_COMMA,
  [64111] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2039), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1240), 11,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [64135] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3271), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3267), 2,
      anon_sym_LBRACE,
      anon_sym_LT2,
    STATE(2040), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3273), 8,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_if,
  [64163] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4676), 1,
      anon_sym_COLON,
    ACTIONS(4678), 1,
      anon_sym_COLON_COLON,
    STATE(2041), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4674), 9,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [64191] = 12,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(4680), 1,
      sym_identifier,
    ACTIONS(4682), 1,
      anon_sym_RBRACE,
    ACTIONS(4684), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4686), 1,
      anon_sym_COMMA,
    ACTIONS(4688), 1,
      sym_integer_literal,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2395), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(2042), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2851), 3,
      sym_shorthand_field_initializer,
      sym_field_initializer,
      sym_base_field_initializer,
  [64231] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4692), 1,
      anon_sym_COLON,
    ACTIONS(4694), 1,
      anon_sym_COLON_COLON,
    STATE(2043), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4690), 9,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [64259] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4445), 1,
      anon_sym_BANG,
    ACTIONS(4447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4696), 1,
      anon_sym_for,
    STATE(1931), 1,
      sym_type_arguments,
    STATE(1945), 1,
      sym_parameters,
    STATE(2044), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3241), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_where,
  [64297] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3295), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3291), 2,
      anon_sym_LBRACE,
      anon_sym_LT2,
    STATE(2045), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3297), 8,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_if,
  [64325] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4576), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4692), 1,
      anon_sym_COLON,
    STATE(2046), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4690), 9,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [64353] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2047), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1236), 11,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [64377] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4668), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4692), 1,
      anon_sym_COLON,
    STATE(2048), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4690), 9,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [64405] = 12,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(4680), 1,
      sym_identifier,
    ACTIONS(4684), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4688), 1,
      sym_integer_literal,
    ACTIONS(4698), 1,
      anon_sym_RBRACE,
    ACTIONS(4700), 1,
      anon_sym_COMMA,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2395), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(2049), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2770), 3,
      sym_shorthand_field_initializer,
      sym_field_initializer,
      sym_base_field_initializer,
  [64445] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1308), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4704), 1,
      sym_crate,
    STATE(2179), 1,
      sym_string_literal,
    STATE(2050), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4702), 8,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
  [64475] = 13,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(2957), 1,
      anon_sym_SQUOTE,
    ACTIONS(4628), 1,
      anon_sym_const,
    ACTIONS(4706), 1,
      sym_identifier,
    ACTIONS(4708), 1,
      sym_metavariable,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2052), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(2436), 1,
      sym_lifetime,
    STATE(2512), 1,
      sym_constrained_type_parameter,
    STATE(2051), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2778), 2,
      sym_const_parameter,
      sym_optional_type_parameter,
  [64517] = 13,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(2957), 1,
      anon_sym_SQUOTE,
    ACTIONS(4628), 1,
      anon_sym_const,
    ACTIONS(4710), 1,
      sym_identifier,
    ACTIONS(4712), 1,
      sym_metavariable,
    STATE(1065), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2447), 1,
      sym_lifetime,
    STATE(2534), 1,
      sym_constrained_type_parameter,
    STATE(2052), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2775), 2,
      sym_const_parameter,
      sym_optional_type_parameter,
  [64559] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2053), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1232), 11,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [64583] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4666), 1,
      anon_sym_COLON,
    ACTIONS(4694), 1,
      anon_sym_COLON_COLON,
    STATE(2054), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4664), 9,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [64611] = 13,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(2957), 1,
      anon_sym_SQUOTE,
    ACTIONS(4628), 1,
      anon_sym_const,
    ACTIONS(4714), 1,
      sym_identifier,
    ACTIONS(4716), 1,
      sym_metavariable,
    STATE(1065), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2390), 1,
      sym_lifetime,
    STATE(2531), 1,
      sym_constrained_type_parameter,
    STATE(2055), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(3011), 2,
      sym_const_parameter,
      sym_optional_type_parameter,
  [64653] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2056), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1244), 11,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [64677] = 13,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(2957), 1,
      anon_sym_SQUOTE,
    ACTIONS(4628), 1,
      anon_sym_const,
    ACTIONS(4718), 1,
      sym_identifier,
    ACTIONS(4720), 1,
      sym_metavariable,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2055), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(2401), 1,
      sym_lifetime,
    STATE(2693), 1,
      sym_constrained_type_parameter,
    STATE(2057), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2959), 2,
      sym_const_parameter,
      sym_optional_type_parameter,
  [64719] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4521), 1,
      anon_sym_COLON,
    ACTIONS(4523), 1,
      anon_sym_BANG,
    ACTIONS(4525), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4531), 1,
      anon_sym_COLON_COLON,
    STATE(1930), 1,
      sym_type_arguments,
    ACTIONS(4527), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(2058), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4519), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
  [64757] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2059), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1206), 11,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [64781] = 13,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(2957), 1,
      anon_sym_SQUOTE,
    ACTIONS(4624), 1,
      sym_identifier,
    ACTIONS(4628), 1,
      anon_sym_const,
    ACTIONS(4630), 1,
      sym_metavariable,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2075), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(2632), 1,
      sym_lifetime,
    STATE(2847), 1,
      sym_constrained_type_parameter,
    STATE(2060), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(3120), 2,
      sym_const_parameter,
      sym_optional_type_parameter,
  [64823] = 9,
    ACTIONS(19), 1,
      anon_sym_LBRACE,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4722), 1,
      sym_identifier,
    STATE(380), 1,
      sym_block,
    STATE(3510), 1,
      sym_label,
    STATE(2061), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4724), 6,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
  [64857] = 13,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(2957), 1,
      anon_sym_SQUOTE,
    ACTIONS(4628), 1,
      anon_sym_const,
    ACTIONS(4718), 1,
      sym_identifier,
    ACTIONS(4720), 1,
      sym_metavariable,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2055), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(2326), 1,
      sym_lifetime,
    STATE(2693), 1,
      sym_constrained_type_parameter,
    STATE(2062), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2959), 2,
      sym_const_parameter,
      sym_optional_type_parameter,
  [64899] = 9,
    ACTIONS(19), 1,
      anon_sym_LBRACE,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4726), 1,
      anon_sym_move,
    STATE(389), 1,
      sym_block,
    STATE(3510), 1,
      sym_label,
    STATE(2063), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3323), 6,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
  [64933] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1308), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4728), 1,
      sym_crate,
    STATE(2179), 1,
      sym_string_literal,
    STATE(2064), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4702), 8,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
  [64963] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4445), 1,
      anon_sym_BANG,
    ACTIONS(4447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4730), 1,
      anon_sym_for,
    STATE(1931), 1,
      sym_type_arguments,
    STATE(1945), 1,
      sym_parameters,
    STATE(2065), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3241), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_where,
  [65001] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3311), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3307), 2,
      anon_sym_LBRACE,
      anon_sym_LT2,
    STATE(2066), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3313), 8,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_if,
  [65029] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3279), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3275), 2,
      anon_sym_LBRACE,
      anon_sym_LT2,
    STATE(2067), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3281), 8,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_if,
  [65057] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1308), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4732), 1,
      sym_crate,
    STATE(2179), 1,
      sym_string_literal,
    STATE(2068), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4702), 8,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
  [65087] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4678), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4736), 1,
      anon_sym_COLON,
    STATE(2069), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4734), 9,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [65115] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4445), 1,
      anon_sym_BANG,
    ACTIONS(4447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4738), 1,
      anon_sym_for,
    STATE(1931), 1,
      sym_type_arguments,
    STATE(1945), 1,
      sym_parameters,
    STATE(2070), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3241), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_where,
  [65153] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1308), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4740), 1,
      sym_crate,
    STATE(2179), 1,
      sym_string_literal,
    STATE(2071), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4702), 8,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
  [65183] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4445), 1,
      anon_sym_BANG,
    ACTIONS(4447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4742), 1,
      anon_sym_for,
    STATE(1931), 1,
      sym_type_arguments,
    STATE(1945), 1,
      sym_parameters,
    STATE(2072), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3241), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_where,
  [65221] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4445), 1,
      anon_sym_BANG,
    ACTIONS(4447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4744), 1,
      anon_sym_for,
    STATE(1931), 1,
      sym_type_arguments,
    STATE(1945), 1,
      sym_parameters,
    STATE(2073), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3241), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_where,
  [65259] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4445), 1,
      anon_sym_BANG,
    ACTIONS(4447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4746), 1,
      anon_sym_for,
    STATE(1931), 1,
      sym_type_arguments,
    STATE(1945), 1,
      sym_parameters,
    STATE(2074), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3241), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_where,
  [65297] = 13,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(2957), 1,
      anon_sym_SQUOTE,
    ACTIONS(4628), 1,
      anon_sym_const,
    ACTIONS(4748), 1,
      sym_identifier,
    ACTIONS(4750), 1,
      sym_metavariable,
    STATE(1065), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2564), 1,
      sym_lifetime,
    STATE(2945), 1,
      sym_constrained_type_parameter,
    STATE(2075), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(3089), 2,
      sym_const_parameter,
      sym_optional_type_parameter,
  [65339] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2076), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4752), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [65362] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2077), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4754), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [65385] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2078), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4756), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [65408] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2079), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4453), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [65431] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2080), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4664), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [65454] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2081), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4758), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [65477] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2082), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4760), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [65500] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2083), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4762), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [65523] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2084), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4764), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [65546] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2085), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4766), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [65569] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2086), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4768), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [65592] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(4680), 1,
      sym_identifier,
    ACTIONS(4684), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4688), 1,
      sym_integer_literal,
    ACTIONS(4770), 1,
      anon_sym_RBRACE,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2395), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(2087), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(3232), 3,
      sym_shorthand_field_initializer,
      sym_field_initializer,
      sym_base_field_initializer,
  [65629] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2088), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4772), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [65652] = 13,
    ACTIONS(67), 1,
      anon_sym_pub,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(4774), 1,
      sym_identifier,
    ACTIONS(4776), 1,
      anon_sym_RBRACE,
    ACTIONS(4778), 1,
      anon_sym_COMMA,
    ACTIONS(4780), 1,
      sym_crate,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2181), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(2762), 1,
      sym_enum_variant,
    STATE(3603), 1,
      sym_visibility_modifier,
    STATE(2089), 2,
      sym_line_comment,
      sym_block_comment,
  [65693] = 13,
    ACTIONS(67), 1,
      anon_sym_pub,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(4780), 1,
      sym_crate,
    ACTIONS(4782), 1,
      sym_identifier,
    ACTIONS(4784), 1,
      anon_sym_RBRACE,
    ACTIONS(4786), 1,
      anon_sym_COMMA,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2187), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(2791), 1,
      sym_field_declaration,
    STATE(3560), 1,
      sym_visibility_modifier,
    STATE(2090), 2,
      sym_line_comment,
      sym_block_comment,
  [65734] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2091), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4690), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [65757] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2092), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4788), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [65780] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2093), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4790), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [65803] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2094), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4792), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [65826] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2095), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4794), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [65849] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2096), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4796), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [65872] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2097), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4798), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [65895] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2098), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4800), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [65918] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2099), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4802), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [65941] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2100), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1366), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [65964] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2101), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4804), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [65987] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2102), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4806), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [66010] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2103), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4808), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [66033] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2104), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4810), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [66056] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(4680), 1,
      sym_identifier,
    ACTIONS(4684), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4688), 1,
      sym_integer_literal,
    ACTIONS(4812), 1,
      anon_sym_RBRACE,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2395), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(2105), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(3232), 3,
      sym_shorthand_field_initializer,
      sym_field_initializer,
      sym_base_field_initializer,
  [66093] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2106), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4814), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [66116] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2107), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4816), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [66139] = 13,
    ACTIONS(67), 1,
      anon_sym_pub,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(4774), 1,
      sym_identifier,
    ACTIONS(4780), 1,
      sym_crate,
    ACTIONS(4818), 1,
      anon_sym_RBRACE,
    ACTIONS(4820), 1,
      anon_sym_COMMA,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2188), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(3012), 1,
      sym_enum_variant,
    STATE(3603), 1,
      sym_visibility_modifier,
    STATE(2108), 2,
      sym_line_comment,
      sym_block_comment,
  [66180] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1564), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(2100), 1,
      sym_block,
    STATE(3582), 1,
      sym_label,
    STATE(2109), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3323), 6,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
  [66211] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2110), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4822), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [66234] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(4680), 1,
      sym_identifier,
    ACTIONS(4684), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4688), 1,
      sym_integer_literal,
    ACTIONS(4824), 1,
      anon_sym_RBRACE,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2395), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(2111), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(3232), 3,
      sym_shorthand_field_initializer,
      sym_field_initializer,
      sym_base_field_initializer,
  [66271] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2112), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4826), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [66294] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4445), 1,
      anon_sym_BANG,
    ACTIONS(4455), 1,
      anon_sym_LPAREN,
    ACTIONS(4459), 1,
      anon_sym_COLON,
    ACTIONS(4463), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4828), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4465), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(2113), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4453), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
  [66329] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4830), 1,
      anon_sym_LBRACE,
    STATE(1933), 1,
      sym_type_arguments,
    STATE(1947), 1,
      sym_parameters,
    STATE(2114), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3299), 5,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_PLUS,
      anon_sym_COMMA,
  [66362] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2115), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4832), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [66385] = 13,
    ACTIONS(67), 1,
      anon_sym_pub,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(4780), 1,
      sym_crate,
    ACTIONS(4782), 1,
      sym_identifier,
    ACTIONS(4834), 1,
      anon_sym_RBRACE,
    ACTIONS(4836), 1,
      anon_sym_COMMA,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2226), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(2814), 1,
      sym_field_declaration,
    STATE(3560), 1,
      sym_visibility_modifier,
    STATE(2116), 2,
      sym_line_comment,
      sym_block_comment,
  [66426] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4838), 1,
      anon_sym_BANG,
    ACTIONS(4840), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4844), 1,
      anon_sym_COLON_COLON,
    STATE(1930), 1,
      sym_type_arguments,
    ACTIONS(4842), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(2117), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4519), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [66461] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3945), 1,
      anon_sym_LT2,
    ACTIONS(4095), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4846), 1,
      anon_sym_BANG,
    STATE(1581), 1,
      sym_type_arguments,
    STATE(2118), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3323), 6,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
  [66492] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3251), 1,
      anon_sym_LT2,
    ACTIONS(3541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4848), 1,
      anon_sym_BANG,
    STATE(1048), 1,
      sym_type_arguments,
    STATE(2119), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3323), 6,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
  [66523] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4523), 1,
      anon_sym_BANG,
    ACTIONS(4525), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4533), 1,
      anon_sym_COLON_COLON,
    STATE(1930), 1,
      sym_type_arguments,
    ACTIONS(4527), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(2120), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4519), 3,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_COMMA,
  [66558] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2121), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4850), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [66581] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2122), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4852), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [66604] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(4680), 1,
      sym_identifier,
    ACTIONS(4684), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4688), 1,
      sym_integer_literal,
    ACTIONS(4854), 1,
      anon_sym_RBRACE,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2395), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(2123), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(3232), 3,
      sym_shorthand_field_initializer,
      sym_field_initializer,
      sym_base_field_initializer,
  [66641] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4523), 1,
      anon_sym_BANG,
    ACTIONS(4554), 1,
      anon_sym_COLON_COLON,
    STATE(1930), 1,
      sym_type_arguments,
    STATE(2124), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3323), 6,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
  [66672] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2125), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4856), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [66695] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2126), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4858), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [66718] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2127), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4860), 10,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_else,
      anon_sym_in,
  [66741] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3271), 1,
      anon_sym_DOT_DOT,
    STATE(2128), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3273), 8,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_if,
  [66765] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(4680), 1,
      sym_identifier,
    ACTIONS(4684), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4688), 1,
      sym_integer_literal,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2395), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(2129), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(3232), 3,
      sym_shorthand_field_initializer,
      sym_field_initializer,
      sym_base_field_initializer,
  [66799] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4603), 1,
      anon_sym_LPAREN,
    ACTIONS(4607), 1,
      anon_sym_BANG,
    ACTIONS(4611), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4862), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4613), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(2130), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4453), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [66831] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4864), 1,
      anon_sym_for,
    STATE(1933), 1,
      sym_type_arguments,
    STATE(1947), 1,
      sym_parameters,
    STATE(2131), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3299), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_where,
  [66863] = 12,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4866), 1,
      anon_sym_SEMI,
    ACTIONS(4868), 1,
      anon_sym_LPAREN,
    ACTIONS(4870), 1,
      anon_sym_LBRACE,
    ACTIONS(4872), 1,
      anon_sym_LT,
    ACTIONS(4874), 1,
      anon_sym_where,
    STATE(697), 1,
      sym_field_declaration_list,
    STATE(2239), 1,
      sym_type_parameters,
    STATE(2875), 1,
      sym_ordered_field_declaration_list,
    STATE(3060), 1,
      sym_where_clause,
    STATE(2132), 2,
      sym_line_comment,
      sym_block_comment,
  [66901] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4876), 1,
      anon_sym_SEMI,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    STATE(648), 1,
      sym_declaration_list,
    STATE(2133), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3323), 6,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
  [66929] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3311), 1,
      anon_sym_DOT_DOT,
    STATE(2134), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3313), 8,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_if,
  [66953] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3299), 1,
      anon_sym_PLUS,
    ACTIONS(4519), 1,
      anon_sym_PIPE,
    ACTIONS(4521), 1,
      anon_sym_COLON,
    ACTIONS(4525), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4531), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4527), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    ACTIONS(4880), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(2135), 2,
      sym_line_comment,
      sym_block_comment,
  [66987] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4519), 1,
      anon_sym_PIPE,
    ACTIONS(4521), 1,
      anon_sym_COLON,
    ACTIONS(4525), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4527), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(2136), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3299), 3,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COMMA,
  [67019] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3251), 1,
      anon_sym_LT2,
    ACTIONS(4883), 1,
      anon_sym_COLON_COLON,
    STATE(1048), 1,
      sym_type_arguments,
    STATE(2137), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3323), 6,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
  [67047] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3279), 1,
      anon_sym_DOT_DOT,
    STATE(2138), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3281), 8,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_if,
  [67071] = 12,
    ACTIONS(67), 1,
      anon_sym_pub,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(4774), 1,
      sym_identifier,
    ACTIONS(4780), 1,
      sym_crate,
    ACTIONS(4885), 1,
      anon_sym_RBRACE,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2212), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(3256), 1,
      sym_enum_variant,
    STATE(3603), 1,
      sym_visibility_modifier,
    STATE(2139), 2,
      sym_line_comment,
      sym_block_comment,
  [67109] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4887), 1,
      anon_sym_for,
    STATE(1933), 1,
      sym_type_arguments,
    STATE(1947), 1,
      sym_parameters,
    STATE(2140), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3299), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_where,
  [67141] = 12,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4868), 1,
      anon_sym_LPAREN,
    ACTIONS(4872), 1,
      anon_sym_LT,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4889), 1,
      anon_sym_SEMI,
    ACTIONS(4891), 1,
      anon_sym_LBRACE,
    STATE(1283), 1,
      sym_field_declaration_list,
    STATE(2255), 1,
      sym_type_parameters,
    STATE(2826), 1,
      sym_ordered_field_declaration_list,
    STATE(3136), 1,
      sym_where_clause,
    STATE(2141), 2,
      sym_line_comment,
      sym_block_comment,
  [67179] = 12,
    ACTIONS(67), 1,
      anon_sym_pub,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(4774), 1,
      sym_identifier,
    ACTIONS(4780), 1,
      sym_crate,
    ACTIONS(4893), 1,
      anon_sym_RBRACE,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2212), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(3256), 1,
      sym_enum_variant,
    STATE(3603), 1,
      sym_visibility_modifier,
    STATE(2142), 2,
      sym_line_comment,
      sym_block_comment,
  [67217] = 12,
    ACTIONS(67), 1,
      anon_sym_pub,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(4774), 1,
      sym_identifier,
    ACTIONS(4780), 1,
      sym_crate,
    ACTIONS(4895), 1,
      anon_sym_RBRACE,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2212), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(3256), 1,
      sym_enum_variant,
    STATE(3603), 1,
      sym_visibility_modifier,
    STATE(2143), 2,
      sym_line_comment,
      sym_block_comment,
  [67255] = 12,
    ACTIONS(67), 1,
      anon_sym_pub,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(4780), 1,
      sym_crate,
    ACTIONS(4782), 1,
      sym_identifier,
    ACTIONS(4897), 1,
      anon_sym_RBRACE,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2205), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(3078), 1,
      sym_field_declaration,
    STATE(3560), 1,
      sym_visibility_modifier,
    STATE(2144), 2,
      sym_line_comment,
      sym_block_comment,
  [67293] = 12,
    ACTIONS(67), 1,
      anon_sym_pub,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(4780), 1,
      sym_crate,
    ACTIONS(4782), 1,
      sym_identifier,
    ACTIONS(4899), 1,
      anon_sym_RBRACE,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2205), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(3078), 1,
      sym_field_declaration,
    STATE(3560), 1,
      sym_visibility_modifier,
    STATE(2145), 2,
      sym_line_comment,
      sym_block_comment,
  [67331] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4903), 1,
      anon_sym_PLUS,
    STATE(2163), 1,
      aux_sym_trait_bounds_repeat1,
    STATE(2146), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4901), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_where,
  [67357] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4905), 1,
      anon_sym_for,
    STATE(1933), 1,
      sym_type_arguments,
    STATE(1947), 1,
      sym_parameters,
    STATE(2147), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3299), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_where,
  [67389] = 12,
    ACTIONS(67), 1,
      anon_sym_pub,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(4780), 1,
      sym_crate,
    ACTIONS(4782), 1,
      sym_identifier,
    ACTIONS(4907), 1,
      anon_sym_RBRACE,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2205), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(3078), 1,
      sym_field_declaration,
    STATE(3560), 1,
      sym_visibility_modifier,
    STATE(2148), 2,
      sym_line_comment,
      sym_block_comment,
  [67427] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3295), 1,
      anon_sym_DOT_DOT,
    STATE(2149), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3297), 8,
      anon_sym_LPAREN,
      anon_sym_EQ_GT,
      anon_sym_BANG,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_if,
  [67451] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4519), 1,
      anon_sym_PIPE,
    ACTIONS(4521), 1,
      anon_sym_COLON,
    ACTIONS(4523), 1,
      anon_sym_BANG,
    ACTIONS(4525), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4574), 1,
      anon_sym_COLON_COLON,
    STATE(1930), 1,
      sym_type_arguments,
    ACTIONS(4527), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(2150), 2,
      sym_line_comment,
      sym_block_comment,
  [67487] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4909), 1,
      anon_sym_COLON_COLON,
    STATE(1930), 1,
      sym_type_arguments,
    STATE(2151), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3323), 6,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
  [67515] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4525), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4533), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4880), 1,
      anon_sym_RBRACK,
    ACTIONS(3299), 2,
      anon_sym_SEMI,
      anon_sym_PLUS,
    ACTIONS(4519), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
    ACTIONS(4527), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(2152), 2,
      sym_line_comment,
      sym_block_comment,
  [67547] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4911), 1,
      anon_sym_PLUS,
    STATE(2163), 1,
      aux_sym_trait_bounds_repeat1,
    STATE(2153), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4901), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_where,
  [67573] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4913), 1,
      anon_sym_SEMI,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    STATE(1301), 1,
      sym_declaration_list,
    STATE(2154), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3323), 6,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
  [67601] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4917), 1,
      anon_sym_LPAREN,
    ACTIONS(4922), 1,
      anon_sym_LBRACK,
    ACTIONS(4925), 1,
      anon_sym_LBRACE,
    STATE(3337), 1,
      sym_token_tree_pattern,
    STATE(3418), 1,
      sym_macro_rule,
    ACTIONS(4920), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    STATE(2155), 3,
      sym_line_comment,
      sym_block_comment,
      aux_sym_macro_definition_repeat1,
  [67633] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4930), 1,
      anon_sym_PLUS,
    STATE(2156), 3,
      sym_line_comment,
      sym_block_comment,
      aux_sym_trait_bounds_repeat1,
    ACTIONS(4928), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_where,
  [67657] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4445), 1,
      anon_sym_BANG,
    ACTIONS(4455), 1,
      anon_sym_LPAREN,
    ACTIONS(4463), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4933), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4465), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(2157), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4453), 3,
      anon_sym_RBRACK,
      anon_sym_PIPE,
      anon_sym_COMMA,
  [67689] = 12,
    ACTIONS(67), 1,
      anon_sym_pub,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(4774), 1,
      sym_identifier,
    ACTIONS(4780), 1,
      sym_crate,
    ACTIONS(4935), 1,
      anon_sym_RBRACE,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2212), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(3256), 1,
      sym_enum_variant,
    STATE(3603), 1,
      sym_visibility_modifier,
    STATE(2158), 2,
      sym_line_comment,
      sym_block_comment,
  [67727] = 12,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4868), 1,
      anon_sym_LPAREN,
    ACTIONS(4870), 1,
      anon_sym_LBRACE,
    ACTIONS(4872), 1,
      anon_sym_LT,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4937), 1,
      anon_sym_SEMI,
    STATE(479), 1,
      sym_field_declaration_list,
    STATE(2260), 1,
      sym_type_parameters,
    STATE(3009), 1,
      sym_ordered_field_declaration_list,
    STATE(3128), 1,
      sym_where_clause,
    STATE(2159), 2,
      sym_line_comment,
      sym_block_comment,
  [67765] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(4939), 1,
      anon_sym_SEMI,
    STATE(655), 1,
      sym_declaration_list,
    STATE(2160), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3323), 6,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
  [67793] = 12,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4868), 1,
      anon_sym_LPAREN,
    ACTIONS(4872), 1,
      anon_sym_LT,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4891), 1,
      anon_sym_LBRACE,
    ACTIONS(4941), 1,
      anon_sym_SEMI,
    STATE(1187), 1,
      sym_field_declaration_list,
    STATE(2251), 1,
      sym_type_parameters,
    STATE(2813), 1,
      sym_ordered_field_declaration_list,
    STATE(3290), 1,
      sym_where_clause,
    STATE(2161), 2,
      sym_line_comment,
      sym_block_comment,
  [67831] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3945), 1,
      anon_sym_LT2,
    ACTIONS(4943), 1,
      anon_sym_COLON_COLON,
    STATE(1581), 1,
      sym_type_arguments,
    STATE(2162), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3323), 6,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
  [67859] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4947), 1,
      anon_sym_PLUS,
    STATE(2156), 1,
      aux_sym_trait_bounds_repeat1,
    STATE(2163), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4945), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_where,
  [67885] = 12,
    ACTIONS(67), 1,
      anon_sym_pub,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(4780), 1,
      sym_crate,
    ACTIONS(4782), 1,
      sym_identifier,
    ACTIONS(4949), 1,
      anon_sym_RBRACE,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2205), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(3078), 1,
      sym_field_declaration,
    STATE(3560), 1,
      sym_visibility_modifier,
    STATE(2164), 2,
      sym_line_comment,
      sym_block_comment,
  [67923] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4951), 1,
      anon_sym_for,
    STATE(1933), 1,
      sym_type_arguments,
    STATE(1947), 1,
      sym_parameters,
    STATE(2165), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3299), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_where,
  [67955] = 12,
    ACTIONS(67), 1,
      anon_sym_pub,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(4774), 1,
      sym_identifier,
    ACTIONS(4780), 1,
      sym_crate,
    ACTIONS(4953), 1,
      anon_sym_RBRACE,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2212), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(3256), 1,
      sym_enum_variant,
    STATE(3603), 1,
      sym_visibility_modifier,
    STATE(2166), 2,
      sym_line_comment,
      sym_block_comment,
  [67993] = 12,
    ACTIONS(67), 1,
      anon_sym_pub,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(4780), 1,
      sym_crate,
    ACTIONS(4782), 1,
      sym_identifier,
    ACTIONS(4955), 1,
      anon_sym_RBRACE,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2205), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(3078), 1,
      sym_field_declaration,
    STATE(3560), 1,
      sym_visibility_modifier,
    STATE(2167), 2,
      sym_line_comment,
      sym_block_comment,
  [68031] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4957), 1,
      anon_sym_for,
    STATE(1933), 1,
      sym_type_arguments,
    STATE(1947), 1,
      sym_parameters,
    STATE(2168), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3299), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_where,
  [68063] = 12,
    ACTIONS(67), 1,
      anon_sym_pub,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(4780), 1,
      sym_crate,
    ACTIONS(4782), 1,
      sym_identifier,
    ACTIONS(4959), 1,
      anon_sym_RBRACE,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2205), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(3078), 1,
      sym_field_declaration,
    STATE(3560), 1,
      sym_visibility_modifier,
    STATE(2169), 2,
      sym_line_comment,
      sym_block_comment,
  [68101] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4961), 1,
      anon_sym_for,
    STATE(1933), 1,
      sym_type_arguments,
    STATE(1947), 1,
      sym_parameters,
    STATE(2170), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3299), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_where,
  [68133] = 12,
    ACTIONS(67), 1,
      anon_sym_pub,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(4774), 1,
      sym_identifier,
    ACTIONS(4780), 1,
      sym_crate,
    ACTIONS(4963), 1,
      anon_sym_RBRACE,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2212), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(3256), 1,
      sym_enum_variant,
    STATE(3603), 1,
      sym_visibility_modifier,
    STATE(2171), 2,
      sym_line_comment,
      sym_block_comment,
  [68171] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4965), 1,
      anon_sym_for,
    STATE(1933), 1,
      sym_type_arguments,
    STATE(1947), 1,
      sym_parameters,
    STATE(2172), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3299), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_where,
  [68203] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4947), 1,
      anon_sym_PLUS,
    STATE(2163), 1,
      aux_sym_trait_bounds_repeat1,
    STATE(2173), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4901), 7,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_where,
  [68229] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4967), 1,
      anon_sym_for,
    STATE(1933), 1,
      sym_type_arguments,
    STATE(1947), 1,
      sym_parameters,
    STATE(2174), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3299), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_where,
  [68261] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(4969), 1,
      anon_sym_SEMI,
    STATE(1201), 1,
      sym_declaration_list,
    STATE(2175), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3323), 6,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
  [68289] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    ACTIONS(4973), 1,
      anon_sym_LT,
    STATE(688), 1,
      sym_declaration_list,
    STATE(2327), 1,
      sym_type_parameters,
    STATE(2544), 1,
      sym_trait_bounds,
    STATE(3257), 1,
      sym_where_clause,
    STATE(2176), 2,
      sym_line_comment,
      sym_block_comment,
  [68324] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2177), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4928), 8,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_where,
  [68345] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2178), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4928), 8,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_where,
  [68366] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2179), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4975), 8,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
  [68387] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4977), 1,
      anon_sym_SEMI,
    ACTIONS(4979), 1,
      anon_sym_LBRACE,
    ACTIONS(4981), 1,
      anon_sym_DASH_GT,
    STATE(709), 1,
      sym_block,
    STATE(2431), 1,
      sym_where_clause,
    STATE(3586), 1,
      sym_label,
    STATE(2180), 2,
      sym_line_comment,
      sym_block_comment,
  [68422] = 11,
    ACTIONS(67), 1,
      anon_sym_pub,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(4774), 1,
      sym_identifier,
    ACTIONS(4780), 1,
      sym_crate,
    STATE(1065), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2885), 1,
      sym_enum_variant,
    STATE(3603), 1,
      sym_visibility_modifier,
    STATE(2181), 2,
      sym_line_comment,
      sym_block_comment,
  [68457] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    ACTIONS(4973), 1,
      anon_sym_LT,
    ACTIONS(4983), 1,
      anon_sym_SEMI,
    ACTIONS(4985), 1,
      anon_sym_EQ,
    STATE(2383), 1,
      sym_type_parameters,
    STATE(2976), 1,
      sym_trait_bounds,
    STATE(3375), 1,
      sym_where_clause,
    STATE(2182), 2,
      sym_line_comment,
      sym_block_comment,
  [68492] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4979), 1,
      anon_sym_LBRACE,
    ACTIONS(4987), 1,
      anon_sym_SEMI,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    STATE(635), 1,
      sym_block,
    STATE(2419), 1,
      sym_where_clause,
    STATE(3586), 1,
      sym_label,
    STATE(2183), 2,
      sym_line_comment,
      sym_block_comment,
  [68527] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4979), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(4991), 1,
      anon_sym_SEMI,
    STATE(486), 1,
      sym_block,
    STATE(2420), 1,
      sym_where_clause,
    STATE(3586), 1,
      sym_label,
    STATE(2184), 2,
      sym_line_comment,
      sym_block_comment,
  [68562] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4979), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(4993), 1,
      anon_sym_SEMI,
    STATE(624), 1,
      sym_block,
    STATE(2411), 1,
      sym_where_clause,
    STATE(3586), 1,
      sym_label,
    STATE(2185), 2,
      sym_line_comment,
      sym_block_comment,
  [68597] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(4995), 1,
      anon_sym_SEMI,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    STATE(1156), 1,
      sym_block,
    STATE(2410), 1,
      sym_where_clause,
    STATE(3589), 1,
      sym_label,
    STATE(2186), 2,
      sym_line_comment,
      sym_block_comment,
  [68632] = 11,
    ACTIONS(67), 1,
      anon_sym_pub,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(4780), 1,
      sym_crate,
    ACTIONS(4782), 1,
      sym_identifier,
    STATE(1065), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2917), 1,
      sym_field_declaration,
    STATE(3560), 1,
      sym_visibility_modifier,
    STATE(2187), 2,
      sym_line_comment,
      sym_block_comment,
  [68667] = 11,
    ACTIONS(67), 1,
      anon_sym_pub,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(4774), 1,
      sym_identifier,
    ACTIONS(4780), 1,
      sym_crate,
    STATE(1065), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2783), 1,
      sym_enum_variant,
    STATE(3603), 1,
      sym_visibility_modifier,
    STATE(2188), 2,
      sym_line_comment,
      sym_block_comment,
  [68702] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4979), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(4999), 1,
      anon_sym_SEMI,
    STATE(542), 1,
      sym_block,
    STATE(2432), 1,
      sym_where_clause,
    STATE(3586), 1,
      sym_label,
    STATE(2189), 2,
      sym_line_comment,
      sym_block_comment,
  [68737] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    ACTIONS(5001), 1,
      anon_sym_SEMI,
    STATE(1166), 1,
      sym_block,
    STATE(2412), 1,
      sym_where_clause,
    STATE(3589), 1,
      sym_label,
    STATE(2190), 2,
      sym_line_comment,
      sym_block_comment,
  [68772] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4979), 1,
      anon_sym_LBRACE,
    ACTIONS(5003), 1,
      anon_sym_SEMI,
    ACTIONS(5005), 1,
      anon_sym_DASH_GT,
    STATE(743), 1,
      sym_block,
    STATE(2490), 1,
      sym_where_clause,
    STATE(3586), 1,
      sym_label,
    STATE(2191), 2,
      sym_line_comment,
      sym_block_comment,
  [68807] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    ACTIONS(5007), 1,
      anon_sym_SEMI,
    STATE(1397), 1,
      sym_block,
    STATE(2445), 1,
      sym_where_clause,
    STATE(3589), 1,
      sym_label,
    STATE(2192), 2,
      sym_line_comment,
      sym_block_comment,
  [68842] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    ACTIONS(5009), 1,
      anon_sym_SEMI,
    STATE(1176), 1,
      sym_block,
    STATE(2413), 1,
      sym_where_clause,
    STATE(3589), 1,
      sym_label,
    STATE(2193), 2,
      sym_line_comment,
      sym_block_comment,
  [68877] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4979), 1,
      anon_sym_LBRACE,
    ACTIONS(5011), 1,
      anon_sym_SEMI,
    ACTIONS(5013), 1,
      anon_sym_DASH_GT,
    STATE(517), 1,
      sym_block,
    STATE(2492), 1,
      sym_where_clause,
    STATE(3586), 1,
      sym_label,
    STATE(2194), 2,
      sym_line_comment,
      sym_block_comment,
  [68912] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4979), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5015), 1,
      anon_sym_SEMI,
    STATE(576), 1,
      sym_block,
    STATE(2457), 1,
      sym_where_clause,
    STATE(3586), 1,
      sym_label,
    STATE(2195), 2,
      sym_line_comment,
      sym_block_comment,
  [68947] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4979), 1,
      anon_sym_LBRACE,
    ACTIONS(5017), 1,
      anon_sym_SEMI,
    ACTIONS(5019), 1,
      anon_sym_DASH_GT,
    STATE(662), 1,
      sym_block,
    STATE(2398), 1,
      sym_where_clause,
    STATE(3586), 1,
      sym_label,
    STATE(2196), 2,
      sym_line_comment,
      sym_block_comment,
  [68982] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    ACTIONS(5021), 1,
      anon_sym_SEMI,
    ACTIONS(5023), 1,
      anon_sym_DASH_GT,
    STATE(1236), 1,
      sym_block,
    STATE(2437), 1,
      sym_where_clause,
    STATE(3589), 1,
      sym_label,
    STATE(2197), 2,
      sym_line_comment,
      sym_block_comment,
  [69017] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    ACTIONS(4973), 1,
      anon_sym_LT,
    STATE(1188), 1,
      sym_declaration_list,
    STATE(2293), 1,
      sym_type_parameters,
    STATE(2513), 1,
      sym_trait_bounds,
    STATE(3293), 1,
      sym_where_clause,
    STATE(2198), 2,
      sym_line_comment,
      sym_block_comment,
  [69052] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    ACTIONS(4973), 1,
      anon_sym_LT,
    STATE(1271), 1,
      sym_declaration_list,
    STATE(2310), 1,
      sym_type_parameters,
    STATE(2542), 1,
      sym_trait_bounds,
    STATE(3123), 1,
      sym_where_clause,
    STATE(2199), 2,
      sym_line_comment,
      sym_block_comment,
  [69087] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    ACTIONS(4973), 1,
      anon_sym_LT,
    STATE(625), 1,
      sym_declaration_list,
    STATE(2313), 1,
      sym_type_parameters,
    STATE(2562), 1,
      sym_trait_bounds,
    STATE(3208), 1,
      sym_where_clause,
    STATE(2200), 2,
      sym_line_comment,
      sym_block_comment,
  [69122] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4678), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4838), 1,
      anon_sym_BANG,
    STATE(2201), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3323), 6,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
  [69147] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    ACTIONS(5025), 1,
      anon_sym_SEMI,
    ACTIONS(5027), 1,
      anon_sym_DASH_GT,
    STATE(1429), 1,
      sym_block,
    STATE(2397), 1,
      sym_where_clause,
    STATE(3589), 1,
      sym_label,
    STATE(2202), 2,
      sym_line_comment,
      sym_block_comment,
  [69182] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4507), 1,
      anon_sym_trait,
    ACTIONS(5029), 1,
      anon_sym_impl,
    STATE(2203), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3323), 6,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
  [69207] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    ACTIONS(5031), 1,
      anon_sym_SEMI,
    ACTIONS(5033), 1,
      anon_sym_DASH_GT,
    STATE(1445), 1,
      sym_block,
    STATE(2399), 1,
      sym_where_clause,
    STATE(3589), 1,
      sym_label,
    STATE(2204), 2,
      sym_line_comment,
      sym_block_comment,
  [69242] = 11,
    ACTIONS(67), 1,
      anon_sym_pub,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(4780), 1,
      sym_crate,
    ACTIONS(4782), 1,
      sym_identifier,
    STATE(1065), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(3189), 1,
      sym_field_declaration,
    STATE(3560), 1,
      sym_visibility_modifier,
    STATE(2205), 2,
      sym_line_comment,
      sym_block_comment,
  [69277] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5035), 1,
      anon_sym_fn,
    ACTIONS(5037), 1,
      anon_sym_extern,
    STATE(2220), 1,
      aux_sym_function_modifiers_repeat1,
    STATE(2320), 1,
      sym_extern_modifier,
    STATE(2206), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4469), 4,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_unsafe,
  [69306] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2207), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4928), 8,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_where,
  [69327] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2208), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4928), 8,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_where,
  [69348] = 11,
    ACTIONS(67), 1,
      anon_sym_pub,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(4780), 1,
      sym_crate,
    ACTIONS(4782), 1,
      sym_identifier,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2205), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(3078), 1,
      sym_field_declaration,
    STATE(3560), 1,
      sym_visibility_modifier,
    STATE(2209), 2,
      sym_line_comment,
      sym_block_comment,
  [69383] = 11,
    ACTIONS(67), 1,
      anon_sym_pub,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(4774), 1,
      sym_identifier,
    ACTIONS(4780), 1,
      sym_crate,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2212), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(3256), 1,
      sym_enum_variant,
    STATE(3603), 1,
      sym_visibility_modifier,
    STATE(2210), 2,
      sym_line_comment,
      sym_block_comment,
  [69418] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1482), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5039), 1,
      sym_identifier,
    ACTIONS(5041), 1,
      anon_sym_RBRACE,
    ACTIONS(5043), 1,
      anon_sym_COMMA,
    ACTIONS(5045), 1,
      anon_sym_ref,
    ACTIONS(5047), 1,
      sym_mutable_specifier,
    STATE(2211), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2937), 2,
      sym_field_pattern,
      sym_remaining_field_pattern,
  [69451] = 11,
    ACTIONS(67), 1,
      anon_sym_pub,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(4774), 1,
      sym_identifier,
    ACTIONS(4780), 1,
      sym_crate,
    STATE(1065), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(3084), 1,
      sym_enum_variant,
    STATE(3603), 1,
      sym_visibility_modifier,
    STATE(2212), 2,
      sym_line_comment,
      sym_block_comment,
  [69486] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1308), 1,
      aux_sym_string_literal_token1,
    STATE(2179), 1,
      sym_string_literal,
    STATE(2213), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4702), 6,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
  [69511] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    ACTIONS(4973), 1,
      anon_sym_LT,
    STATE(752), 1,
      sym_declaration_list,
    STATE(2388), 1,
      sym_type_parameters,
    STATE(2660), 1,
      sym_trait_bounds,
    STATE(3038), 1,
      sym_where_clause,
    STATE(2214), 2,
      sym_line_comment,
      sym_block_comment,
  [69546] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    ACTIONS(5049), 1,
      anon_sym_SEMI,
    ACTIONS(5051), 1,
      anon_sym_DASH_GT,
    STATE(1316), 1,
      sym_block,
    STATE(2389), 1,
      sym_where_clause,
    STATE(3589), 1,
      sym_label,
    STATE(2215), 2,
      sym_line_comment,
      sym_block_comment,
  [69581] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4445), 1,
      anon_sym_BANG,
    ACTIONS(4453), 1,
      anon_sym_PIPE,
    ACTIONS(4455), 1,
      anon_sym_LPAREN,
    ACTIONS(4459), 1,
      anon_sym_COLON,
    ACTIONS(4463), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5053), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4465), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(2216), 2,
      sym_line_comment,
      sym_block_comment,
  [69614] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4979), 1,
      anon_sym_LBRACE,
    ACTIONS(5055), 1,
      anon_sym_SEMI,
    ACTIONS(5057), 1,
      anon_sym_DASH_GT,
    STATE(531), 1,
      sym_block,
    STATE(2459), 1,
      sym_where_clause,
    STATE(3586), 1,
      sym_label,
    STATE(2217), 2,
      sym_line_comment,
      sym_block_comment,
  [69649] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    ACTIONS(5059), 1,
      anon_sym_SEMI,
    STATE(1455), 1,
      sym_block,
    STATE(2404), 1,
      sym_where_clause,
    STATE(3589), 1,
      sym_label,
    STATE(2218), 2,
      sym_line_comment,
      sym_block_comment,
  [69684] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4979), 1,
      anon_sym_LBRACE,
    ACTIONS(5061), 1,
      anon_sym_SEMI,
    ACTIONS(5063), 1,
      anon_sym_DASH_GT,
    STATE(585), 1,
      sym_block,
    STATE(2465), 1,
      sym_where_clause,
    STATE(3586), 1,
      sym_label,
    STATE(2219), 2,
      sym_line_comment,
      sym_block_comment,
  [69719] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5068), 1,
      anon_sym_fn,
    ACTIONS(5070), 1,
      anon_sym_extern,
    STATE(2320), 1,
      sym_extern_modifier,
    STATE(2220), 3,
      sym_line_comment,
      sym_block_comment,
      aux_sym_function_modifiers_repeat1,
    ACTIONS(5065), 4,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_unsafe,
  [69746] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1482), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5039), 1,
      sym_identifier,
    ACTIONS(5045), 1,
      anon_sym_ref,
    ACTIONS(5047), 1,
      sym_mutable_specifier,
    ACTIONS(5073), 1,
      anon_sym_RBRACE,
    ACTIONS(5075), 1,
      anon_sym_COMMA,
    STATE(2221), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(3022), 2,
      sym_field_pattern,
      sym_remaining_field_pattern,
  [69779] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1482), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5039), 1,
      sym_identifier,
    ACTIONS(5045), 1,
      anon_sym_ref,
    ACTIONS(5047), 1,
      sym_mutable_specifier,
    ACTIONS(5077), 1,
      anon_sym_RBRACE,
    ACTIONS(5079), 1,
      anon_sym_COMMA,
    STATE(2222), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2738), 2,
      sym_field_pattern,
      sym_remaining_field_pattern,
  [69812] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2223), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4928), 8,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
      anon_sym_where,
  [69833] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    ACTIONS(5081), 1,
      anon_sym_SEMI,
    STATE(1115), 1,
      sym_block,
    STATE(2408), 1,
      sym_where_clause,
    STATE(3589), 1,
      sym_label,
    STATE(2224), 2,
      sym_line_comment,
      sym_block_comment,
  [69868] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4979), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5083), 1,
      anon_sym_SEMI,
    STATE(614), 1,
      sym_block,
    STATE(2474), 1,
      sym_where_clause,
    STATE(3586), 1,
      sym_label,
    STATE(2225), 2,
      sym_line_comment,
      sym_block_comment,
  [69903] = 11,
    ACTIONS(67), 1,
      anon_sym_pub,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(4780), 1,
      sym_crate,
    ACTIONS(4782), 1,
      sym_identifier,
    STATE(1065), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2994), 1,
      sym_field_declaration,
    STATE(3560), 1,
      sym_visibility_modifier,
    STATE(2226), 2,
      sym_line_comment,
      sym_block_comment,
  [69938] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    ACTIONS(5085), 1,
      anon_sym_SEMI,
    ACTIONS(5087), 1,
      anon_sym_DASH_GT,
    STATE(1124), 1,
      sym_block,
    STATE(2409), 1,
      sym_where_clause,
    STATE(3589), 1,
      sym_label,
    STATE(2227), 2,
      sym_line_comment,
      sym_block_comment,
  [69973] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    ACTIONS(5089), 1,
      anon_sym_SEMI,
    ACTIONS(5091), 1,
      anon_sym_DASH_GT,
    STATE(1359), 1,
      sym_block,
    STATE(2486), 1,
      sym_where_clause,
    STATE(3589), 1,
      sym_label,
    STATE(2228), 2,
      sym_line_comment,
      sym_block_comment,
  [70008] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    ACTIONS(4973), 1,
      anon_sym_LT,
    STATE(1372), 1,
      sym_declaration_list,
    STATE(2325), 1,
      sym_type_parameters,
    STATE(2561), 1,
      sym_trait_bounds,
    STATE(3234), 1,
      sym_where_clause,
    STATE(2229), 2,
      sym_line_comment,
      sym_block_comment,
  [70043] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1482), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5039), 1,
      sym_identifier,
    ACTIONS(5045), 1,
      anon_sym_ref,
    ACTIONS(5047), 1,
      sym_mutable_specifier,
    ACTIONS(5093), 1,
      anon_sym_RBRACE,
    ACTIONS(5095), 1,
      anon_sym_COMMA,
    STATE(2230), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2870), 2,
      sym_field_pattern,
      sym_remaining_field_pattern,
  [70076] = 11,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    ACTIONS(4973), 1,
      anon_sym_LT,
    ACTIONS(5097), 1,
      anon_sym_SEMI,
    ACTIONS(5099), 1,
      anon_sym_EQ,
    STATE(2294), 1,
      sym_type_parameters,
    STATE(2833), 1,
      sym_trait_bounds,
    STATE(3576), 1,
      sym_where_clause,
    STATE(2231), 2,
      sym_line_comment,
      sym_block_comment,
  [70111] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4463), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5101), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4465), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(2232), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3299), 3,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      anon_sym_PLUS,
  [70137] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4840), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4844), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4842), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(2233), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4519), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [70163] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4243), 1,
      anon_sym_LBRACE,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(5105), 1,
      anon_sym_STAR,
    STATE(2776), 1,
      sym_use_list,
    STATE(3195), 1,
      sym_type_arguments,
    ACTIONS(5103), 2,
      sym_identifier,
      sym_super,
    STATE(2234), 2,
      sym_line_comment,
      sym_block_comment,
  [70193] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1482), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5039), 1,
      sym_identifier,
    ACTIONS(5045), 1,
      anon_sym_ref,
    ACTIONS(5047), 1,
      sym_mutable_specifier,
    ACTIONS(5107), 1,
      anon_sym_RBRACE,
    STATE(2235), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(3197), 2,
      sym_field_pattern,
      sym_remaining_field_pattern,
  [70223] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4243), 1,
      anon_sym_LBRACE,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(5105), 1,
      anon_sym_STAR,
    STATE(2776), 1,
      sym_use_list,
    STATE(3217), 1,
      sym_type_arguments,
    ACTIONS(5103), 2,
      sym_identifier,
      sym_super,
    STATE(2236), 2,
      sym_line_comment,
      sym_block_comment,
  [70253] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1482), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5039), 1,
      sym_identifier,
    ACTIONS(5045), 1,
      anon_sym_ref,
    ACTIONS(5047), 1,
      sym_mutable_specifier,
    ACTIONS(5109), 1,
      anon_sym_RBRACE,
    STATE(2237), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(3197), 2,
      sym_field_pattern,
      sym_remaining_field_pattern,
  [70283] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4868), 1,
      anon_sym_LPAREN,
    ACTIONS(4891), 1,
      anon_sym_LBRACE,
    ACTIONS(5113), 1,
      anon_sym_EQ,
    ACTIONS(5111), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(2238), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2769), 2,
      sym_field_declaration_list,
      sym_ordered_field_declaration_list,
  [70311] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4868), 1,
      anon_sym_LPAREN,
    ACTIONS(4870), 1,
      anon_sym_LBRACE,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(5115), 1,
      anon_sym_SEMI,
    STATE(749), 1,
      sym_field_declaration_list,
    STATE(3002), 1,
      sym_ordered_field_declaration_list,
    STATE(3251), 1,
      sym_where_clause,
    STATE(2239), 2,
      sym_line_comment,
      sym_block_comment,
  [70343] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5117), 1,
      sym_identifier,
    STATE(2240), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4724), 6,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
  [70365] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5119), 1,
      anon_sym_LPAREN,
    ACTIONS(5121), 1,
      anon_sym_RPAREN,
    ACTIONS(5123), 1,
      anon_sym_LBRACK,
    ACTIONS(5125), 1,
      anon_sym_LBRACE,
    STATE(2254), 1,
      aux_sym_macro_definition_repeat1,
    STATE(3074), 1,
      sym_macro_rule,
    STATE(3337), 1,
      sym_token_tree_pattern,
    STATE(2241), 2,
      sym_line_comment,
      sym_block_comment,
  [70397] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5119), 1,
      anon_sym_LPAREN,
    ACTIONS(5121), 1,
      anon_sym_RBRACK,
    ACTIONS(5123), 1,
      anon_sym_LBRACK,
    ACTIONS(5125), 1,
      anon_sym_LBRACE,
    STATE(2256), 1,
      aux_sym_macro_definition_repeat1,
    STATE(3141), 1,
      sym_macro_rule,
    STATE(3337), 1,
      sym_token_tree_pattern,
    STATE(2242), 2,
      sym_line_comment,
      sym_block_comment,
  [70429] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5119), 1,
      anon_sym_LPAREN,
    ACTIONS(5123), 1,
      anon_sym_LBRACK,
    ACTIONS(5125), 1,
      anon_sym_LBRACE,
    ACTIONS(5127), 1,
      anon_sym_RBRACE,
    STATE(2258), 1,
      aux_sym_macro_definition_repeat1,
    STATE(3150), 1,
      sym_macro_rule,
    STATE(3337), 1,
      sym_token_tree_pattern,
    STATE(2243), 2,
      sym_line_comment,
      sym_block_comment,
  [70461] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5119), 1,
      anon_sym_LPAREN,
    ACTIONS(5123), 1,
      anon_sym_LBRACK,
    ACTIONS(5125), 1,
      anon_sym_LBRACE,
    ACTIONS(5129), 1,
      anon_sym_RPAREN,
    STATE(2259), 1,
      aux_sym_macro_definition_repeat1,
    STATE(3162), 1,
      sym_macro_rule,
    STATE(3337), 1,
      sym_token_tree_pattern,
    STATE(2244), 2,
      sym_line_comment,
      sym_block_comment,
  [70493] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5119), 1,
      anon_sym_LPAREN,
    ACTIONS(5123), 1,
      anon_sym_LBRACK,
    ACTIONS(5125), 1,
      anon_sym_LBRACE,
    ACTIONS(5129), 1,
      anon_sym_RBRACK,
    STATE(2289), 1,
      aux_sym_macro_definition_repeat1,
    STATE(3169), 1,
      sym_macro_rule,
    STATE(3337), 1,
      sym_token_tree_pattern,
    STATE(2245), 2,
      sym_line_comment,
      sym_block_comment,
  [70525] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5119), 1,
      anon_sym_LPAREN,
    ACTIONS(5123), 1,
      anon_sym_LBRACK,
    ACTIONS(5125), 1,
      anon_sym_LBRACE,
    ACTIONS(5131), 1,
      anon_sym_RBRACE,
    STATE(2263), 1,
      aux_sym_macro_definition_repeat1,
    STATE(3192), 1,
      sym_macro_rule,
    STATE(3337), 1,
      sym_token_tree_pattern,
    STATE(2246), 2,
      sym_line_comment,
      sym_block_comment,
  [70557] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5119), 1,
      anon_sym_LPAREN,
    ACTIONS(5123), 1,
      anon_sym_LBRACK,
    ACTIONS(5125), 1,
      anon_sym_LBRACE,
    ACTIONS(5133), 1,
      anon_sym_RBRACE,
    STATE(2252), 1,
      aux_sym_macro_definition_repeat1,
    STATE(3047), 1,
      sym_macro_rule,
    STATE(3337), 1,
      sym_token_tree_pattern,
    STATE(2247), 2,
      sym_line_comment,
      sym_block_comment,
  [70589] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5119), 1,
      anon_sym_LPAREN,
    ACTIONS(5123), 1,
      anon_sym_LBRACK,
    ACTIONS(5125), 1,
      anon_sym_LBRACE,
    ACTIONS(5135), 1,
      anon_sym_RBRACE,
    STATE(2253), 1,
      aux_sym_macro_definition_repeat1,
    STATE(3053), 1,
      sym_macro_rule,
    STATE(3337), 1,
      sym_token_tree_pattern,
    STATE(2248), 2,
      sym_line_comment,
      sym_block_comment,
  [70621] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1482), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5039), 1,
      sym_identifier,
    ACTIONS(5045), 1,
      anon_sym_ref,
    ACTIONS(5047), 1,
      sym_mutable_specifier,
    ACTIONS(5137), 1,
      anon_sym_RBRACE,
    STATE(2249), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(3197), 2,
      sym_field_pattern,
      sym_remaining_field_pattern,
  [70651] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1482), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5039), 1,
      sym_identifier,
    ACTIONS(5045), 1,
      anon_sym_ref,
    ACTIONS(5047), 1,
      sym_mutable_specifier,
    ACTIONS(5139), 1,
      anon_sym_RBRACE,
    STATE(2250), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(3197), 2,
      sym_field_pattern,
      sym_remaining_field_pattern,
  [70681] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4868), 1,
      anon_sym_LPAREN,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4891), 1,
      anon_sym_LBRACE,
    ACTIONS(5141), 1,
      anon_sym_SEMI,
    STATE(1255), 1,
      sym_field_declaration_list,
    STATE(2793), 1,
      sym_ordered_field_declaration_list,
    STATE(3115), 1,
      sym_where_clause,
    STATE(2251), 2,
      sym_line_comment,
      sym_block_comment,
  [70713] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5119), 1,
      anon_sym_LPAREN,
    ACTIONS(5123), 1,
      anon_sym_LBRACK,
    ACTIONS(5125), 1,
      anon_sym_LBRACE,
    ACTIONS(5143), 1,
      anon_sym_RBRACE,
    STATE(2155), 1,
      aux_sym_macro_definition_repeat1,
    STATE(3151), 1,
      sym_macro_rule,
    STATE(3337), 1,
      sym_token_tree_pattern,
    STATE(2252), 2,
      sym_line_comment,
      sym_block_comment,
  [70745] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5119), 1,
      anon_sym_LPAREN,
    ACTIONS(5123), 1,
      anon_sym_LBRACK,
    ACTIONS(5125), 1,
      anon_sym_LBRACE,
    ACTIONS(5145), 1,
      anon_sym_RBRACE,
    STATE(2155), 1,
      aux_sym_macro_definition_repeat1,
    STATE(3155), 1,
      sym_macro_rule,
    STATE(3337), 1,
      sym_token_tree_pattern,
    STATE(2253), 2,
      sym_line_comment,
      sym_block_comment,
  [70777] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5119), 1,
      anon_sym_LPAREN,
    ACTIONS(5123), 1,
      anon_sym_LBRACK,
    ACTIONS(5125), 1,
      anon_sym_LBRACE,
    ACTIONS(5147), 1,
      anon_sym_RPAREN,
    STATE(2155), 1,
      aux_sym_macro_definition_repeat1,
    STATE(3224), 1,
      sym_macro_rule,
    STATE(3337), 1,
      sym_token_tree_pattern,
    STATE(2254), 2,
      sym_line_comment,
      sym_block_comment,
  [70809] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4868), 1,
      anon_sym_LPAREN,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4891), 1,
      anon_sym_LBRACE,
    ACTIONS(5149), 1,
      anon_sym_SEMI,
    STATE(1368), 1,
      sym_field_declaration_list,
    STATE(2933), 1,
      sym_ordered_field_declaration_list,
    STATE(3231), 1,
      sym_where_clause,
    STATE(2255), 2,
      sym_line_comment,
      sym_block_comment,
  [70841] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5119), 1,
      anon_sym_LPAREN,
    ACTIONS(5123), 1,
      anon_sym_LBRACK,
    ACTIONS(5125), 1,
      anon_sym_LBRACE,
    ACTIONS(5147), 1,
      anon_sym_RBRACK,
    STATE(2155), 1,
      aux_sym_macro_definition_repeat1,
    STATE(3245), 1,
      sym_macro_rule,
    STATE(3337), 1,
      sym_token_tree_pattern,
    STATE(2256), 2,
      sym_line_comment,
      sym_block_comment,
  [70873] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4463), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5153), 1,
      anon_sym_COLON,
    ACTIONS(5155), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4465), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    ACTIONS(5151), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(2257), 2,
      sym_line_comment,
      sym_block_comment,
  [70901] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5119), 1,
      anon_sym_LPAREN,
    ACTIONS(5123), 1,
      anon_sym_LBRACK,
    ACTIONS(5125), 1,
      anon_sym_LBRACE,
    ACTIONS(5157), 1,
      anon_sym_RBRACE,
    STATE(2155), 1,
      aux_sym_macro_definition_repeat1,
    STATE(3248), 1,
      sym_macro_rule,
    STATE(3337), 1,
      sym_token_tree_pattern,
    STATE(2258), 2,
      sym_line_comment,
      sym_block_comment,
  [70933] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5119), 1,
      anon_sym_LPAREN,
    ACTIONS(5123), 1,
      anon_sym_LBRACK,
    ACTIONS(5125), 1,
      anon_sym_LBRACE,
    ACTIONS(5159), 1,
      anon_sym_RPAREN,
    STATE(2155), 1,
      aux_sym_macro_definition_repeat1,
    STATE(3279), 1,
      sym_macro_rule,
    STATE(3337), 1,
      sym_token_tree_pattern,
    STATE(2259), 2,
      sym_line_comment,
      sym_block_comment,
  [70965] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4868), 1,
      anon_sym_LPAREN,
    ACTIONS(4870), 1,
      anon_sym_LBRACE,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(5161), 1,
      anon_sym_SEMI,
    STATE(677), 1,
      sym_field_declaration_list,
    STATE(2862), 1,
      sym_ordered_field_declaration_list,
    STATE(3144), 1,
      sym_where_clause,
    STATE(2260), 2,
      sym_line_comment,
      sym_block_comment,
  [70997] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1482), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5039), 1,
      sym_identifier,
    ACTIONS(5045), 1,
      anon_sym_ref,
    ACTIONS(5047), 1,
      sym_mutable_specifier,
    ACTIONS(5163), 1,
      anon_sym_RBRACE,
    STATE(2261), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(3197), 2,
      sym_field_pattern,
      sym_remaining_field_pattern,
  [71027] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1482), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5039), 1,
      sym_identifier,
    ACTIONS(5045), 1,
      anon_sym_ref,
    ACTIONS(5047), 1,
      sym_mutable_specifier,
    ACTIONS(5165), 1,
      anon_sym_RBRACE,
    STATE(2262), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(3197), 2,
      sym_field_pattern,
      sym_remaining_field_pattern,
  [71057] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5119), 1,
      anon_sym_LPAREN,
    ACTIONS(5123), 1,
      anon_sym_LBRACK,
    ACTIONS(5125), 1,
      anon_sym_LBRACE,
    ACTIONS(5167), 1,
      anon_sym_RBRACE,
    STATE(2155), 1,
      aux_sym_macro_definition_repeat1,
    STATE(3288), 1,
      sym_macro_rule,
    STATE(3337), 1,
      sym_token_tree_pattern,
    STATE(2263), 2,
      sym_line_comment,
      sym_block_comment,
  [71089] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1482), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5039), 1,
      sym_identifier,
    ACTIONS(5045), 1,
      anon_sym_ref,
    ACTIONS(5047), 1,
      sym_mutable_specifier,
    ACTIONS(5169), 1,
      anon_sym_RBRACE,
    STATE(2264), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(3197), 2,
      sym_field_pattern,
      sym_remaining_field_pattern,
  [71119] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1482), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5039), 1,
      sym_identifier,
    ACTIONS(5045), 1,
      anon_sym_ref,
    ACTIONS(5047), 1,
      sym_mutable_specifier,
    ACTIONS(5171), 1,
      anon_sym_RBRACE,
    STATE(2265), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(3197), 2,
      sym_field_pattern,
      sym_remaining_field_pattern,
  [71149] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5173), 1,
      sym_identifier,
    STATE(2266), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4724), 6,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
  [71171] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4678), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5175), 1,
      anon_sym_LPAREN,
    ACTIONS(5177), 1,
      anon_sym_LBRACK,
    ACTIONS(5179), 1,
      anon_sym_RBRACK,
    ACTIONS(5181), 1,
      anon_sym_LBRACE,
    ACTIONS(5183), 1,
      anon_sym_EQ,
    STATE(3490), 1,
      sym_delim_token_tree,
    STATE(2267), 2,
      sym_line_comment,
      sym_block_comment,
  [71203] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4694), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5175), 1,
      anon_sym_LPAREN,
    ACTIONS(5177), 1,
      anon_sym_LBRACK,
    ACTIONS(5181), 1,
      anon_sym_LBRACE,
    ACTIONS(5185), 1,
      anon_sym_RBRACK,
    ACTIONS(5187), 1,
      anon_sym_EQ,
    STATE(3415), 1,
      sym_delim_token_tree,
    STATE(2268), 2,
      sym_line_comment,
      sym_block_comment,
  [71235] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4576), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5175), 1,
      anon_sym_LPAREN,
    ACTIONS(5177), 1,
      anon_sym_LBRACK,
    ACTIONS(5181), 1,
      anon_sym_LBRACE,
    ACTIONS(5185), 1,
      anon_sym_RBRACK,
    ACTIONS(5187), 1,
      anon_sym_EQ,
    STATE(3415), 1,
      sym_delim_token_tree,
    STATE(2269), 2,
      sym_line_comment,
      sym_block_comment,
  [71267] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4868), 1,
      anon_sym_LPAREN,
    ACTIONS(4891), 1,
      anon_sym_LBRACE,
    ACTIONS(5191), 1,
      anon_sym_EQ,
    ACTIONS(5189), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(2270), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2831), 2,
      sym_field_declaration_list,
      sym_ordered_field_declaration_list,
  [71295] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4668), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5175), 1,
      anon_sym_LPAREN,
    ACTIONS(5177), 1,
      anon_sym_LBRACK,
    ACTIONS(5181), 1,
      anon_sym_LBRACE,
    ACTIONS(5185), 1,
      anon_sym_RBRACK,
    ACTIONS(5187), 1,
      anon_sym_EQ,
    STATE(3415), 1,
      sym_delim_token_tree,
    STATE(2271), 2,
      sym_line_comment,
      sym_block_comment,
  [71327] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5193), 1,
      anon_sym_trait,
    STATE(2272), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3323), 6,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
  [71349] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5119), 1,
      anon_sym_LPAREN,
    ACTIONS(5123), 1,
      anon_sym_LBRACK,
    ACTIONS(5125), 1,
      anon_sym_LBRACE,
    ACTIONS(5195), 1,
      anon_sym_RPAREN,
    STATE(2277), 1,
      aux_sym_macro_definition_repeat1,
    STATE(3222), 1,
      sym_macro_rule,
    STATE(3337), 1,
      sym_token_tree_pattern,
    STATE(2273), 2,
      sym_line_comment,
      sym_block_comment,
  [71381] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5119), 1,
      anon_sym_LPAREN,
    ACTIONS(5123), 1,
      anon_sym_LBRACK,
    ACTIONS(5125), 1,
      anon_sym_LBRACE,
    ACTIONS(5195), 1,
      anon_sym_RBRACK,
    STATE(2278), 1,
      aux_sym_macro_definition_repeat1,
    STATE(3223), 1,
      sym_macro_rule,
    STATE(3337), 1,
      sym_token_tree_pattern,
    STATE(2274), 2,
      sym_line_comment,
      sym_block_comment,
  [71413] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5119), 1,
      anon_sym_LPAREN,
    ACTIONS(5123), 1,
      anon_sym_LBRACK,
    ACTIONS(5125), 1,
      anon_sym_LBRACE,
    ACTIONS(5197), 1,
      anon_sym_RPAREN,
    STATE(2279), 1,
      aux_sym_macro_definition_repeat1,
    STATE(3225), 1,
      sym_macro_rule,
    STATE(3337), 1,
      sym_token_tree_pattern,
    STATE(2275), 2,
      sym_line_comment,
      sym_block_comment,
  [71445] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5119), 1,
      anon_sym_LPAREN,
    ACTIONS(5123), 1,
      anon_sym_LBRACK,
    ACTIONS(5125), 1,
      anon_sym_LBRACE,
    ACTIONS(5197), 1,
      anon_sym_RBRACK,
    STATE(2280), 1,
      aux_sym_macro_definition_repeat1,
    STATE(3226), 1,
      sym_macro_rule,
    STATE(3337), 1,
      sym_token_tree_pattern,
    STATE(2276), 2,
      sym_line_comment,
      sym_block_comment,
  [71477] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5119), 1,
      anon_sym_LPAREN,
    ACTIONS(5123), 1,
      anon_sym_LBRACK,
    ACTIONS(5125), 1,
      anon_sym_LBRACE,
    ACTIONS(5199), 1,
      anon_sym_RPAREN,
    STATE(2155), 1,
      aux_sym_macro_definition_repeat1,
    STATE(3241), 1,
      sym_macro_rule,
    STATE(3337), 1,
      sym_token_tree_pattern,
    STATE(2277), 2,
      sym_line_comment,
      sym_block_comment,
  [71509] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5119), 1,
      anon_sym_LPAREN,
    ACTIONS(5123), 1,
      anon_sym_LBRACK,
    ACTIONS(5125), 1,
      anon_sym_LBRACE,
    ACTIONS(5199), 1,
      anon_sym_RBRACK,
    STATE(2155), 1,
      aux_sym_macro_definition_repeat1,
    STATE(3242), 1,
      sym_macro_rule,
    STATE(3337), 1,
      sym_token_tree_pattern,
    STATE(2278), 2,
      sym_line_comment,
      sym_block_comment,
  [71541] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5119), 1,
      anon_sym_LPAREN,
    ACTIONS(5123), 1,
      anon_sym_LBRACK,
    ACTIONS(5125), 1,
      anon_sym_LBRACE,
    ACTIONS(5201), 1,
      anon_sym_RPAREN,
    STATE(2155), 1,
      aux_sym_macro_definition_repeat1,
    STATE(3243), 1,
      sym_macro_rule,
    STATE(3337), 1,
      sym_token_tree_pattern,
    STATE(2279), 2,
      sym_line_comment,
      sym_block_comment,
  [71573] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5119), 1,
      anon_sym_LPAREN,
    ACTIONS(5123), 1,
      anon_sym_LBRACK,
    ACTIONS(5125), 1,
      anon_sym_LBRACE,
    ACTIONS(5201), 1,
      anon_sym_RBRACK,
    STATE(2155), 1,
      aux_sym_macro_definition_repeat1,
    STATE(3244), 1,
      sym_macro_rule,
    STATE(3337), 1,
      sym_token_tree_pattern,
    STATE(2280), 2,
      sym_line_comment,
      sym_block_comment,
  [71605] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4463), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5205), 1,
      anon_sym_COLON,
    ACTIONS(5207), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4465), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    ACTIONS(5203), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(2281), 2,
      sym_line_comment,
      sym_block_comment,
  [71633] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4463), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5207), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4465), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(2282), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3299), 3,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COMMA,
  [71659] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5209), 1,
      sym_identifier,
    STATE(2283), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4724), 6,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
  [71681] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4463), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5205), 1,
      anon_sym_COLON,
    ACTIONS(5211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4465), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    ACTIONS(5203), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(2284), 2,
      sym_line_comment,
      sym_block_comment,
  [71709] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4463), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4465), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(2285), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3299), 3,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COMMA,
  [71735] = 10,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5213), 1,
      aux_sym_line_comment_token1,
    ACTIONS(5215), 1,
      aux_sym_line_comment_token3,
    ACTIONS(5217), 1,
      anon_sym_BANG2,
    ACTIONS(5219), 1,
      anon_sym_SLASH2,
    STATE(3319), 1,
      sym__inner_line_doc_comment_marker,
    STATE(3333), 1,
      sym__line_doc_comment_marker,
    STATE(3341), 1,
      sym__outer_line_doc_comment_marker,
    STATE(2286), 2,
      sym_line_comment,
      sym_block_comment,
  [71767] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5221), 1,
      anon_sym_trait,
    STATE(2287), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3323), 6,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
  [71789] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5223), 1,
      sym_identifier,
    STATE(2288), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4724), 6,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
  [71811] = 10,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5119), 1,
      anon_sym_LPAREN,
    ACTIONS(5123), 1,
      anon_sym_LBRACK,
    ACTIONS(5125), 1,
      anon_sym_LBRACE,
    ACTIONS(5159), 1,
      anon_sym_RBRACK,
    STATE(2155), 1,
      aux_sym_macro_definition_repeat1,
    STATE(3284), 1,
      sym_macro_rule,
    STATE(3337), 1,
      sym_token_tree_pattern,
    STATE(2289), 2,
      sym_line_comment,
      sym_block_comment,
  [71843] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5225), 1,
      anon_sym_SEMI,
    STATE(1401), 1,
      sym_declaration_list,
    STATE(2969), 1,
      sym_where_clause,
    STATE(2290), 2,
      sym_line_comment,
      sym_block_comment,
  [71872] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5227), 1,
      anon_sym_SEMI,
    STATE(1242), 1,
      sym_declaration_list,
    STATE(2781), 1,
      sym_where_clause,
    STATE(2291), 2,
      sym_line_comment,
      sym_block_comment,
  [71901] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4760), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(2292), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3370), 4,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
  [71922] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    STATE(1259), 1,
      sym_declaration_list,
    STATE(2540), 1,
      sym_trait_bounds,
    STATE(3117), 1,
      sym_where_clause,
    STATE(2293), 2,
      sym_line_comment,
      sym_block_comment,
  [71951] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    ACTIONS(5229), 1,
      anon_sym_SEMI,
    ACTIONS(5231), 1,
      anon_sym_EQ,
    STATE(2801), 1,
      sym_trait_bounds,
    STATE(3359), 1,
      sym_where_clause,
    STATE(2294), 2,
      sym_line_comment,
      sym_block_comment,
  [71980] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5233), 1,
      anon_sym_SEMI,
    STATE(1270), 1,
      sym_declaration_list,
    STATE(2811), 1,
      sym_where_clause,
    STATE(2295), 2,
      sym_line_comment,
      sym_block_comment,
  [72009] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4872), 1,
      anon_sym_LT,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(5235), 1,
      anon_sym_LBRACE,
    STATE(1279), 1,
      sym_enum_variant_list,
    STATE(2543), 1,
      sym_type_parameters,
    STATE(3129), 1,
      sym_where_clause,
    STATE(2296), 2,
      sym_line_comment,
      sym_block_comment,
  [72038] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4872), 1,
      anon_sym_LT,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4891), 1,
      anon_sym_LBRACE,
    STATE(1284), 1,
      sym_field_declaration_list,
    STATE(2545), 1,
      sym_type_parameters,
    STATE(3137), 1,
      sym_where_clause,
    STATE(2297), 2,
      sym_line_comment,
      sym_block_comment,
  [72067] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4584), 1,
      anon_sym_EQ,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    ACTIONS(5237), 1,
      anon_sym_GT,
    ACTIONS(5239), 1,
      anon_sym_COMMA,
    STATE(2746), 1,
      sym_trait_bounds,
    STATE(2869), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2298), 2,
      sym_line_comment,
      sym_block_comment,
  [72096] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4598), 1,
      anon_sym_DOT_DOT,
    STATE(2299), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4596), 5,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_if,
  [72117] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    ACTIONS(5241), 1,
      anon_sym_PLUS,
    ACTIONS(5243), 1,
      anon_sym_GT,
    ACTIONS(5245), 1,
      anon_sym_COMMA,
    STATE(2853), 1,
      sym_trait_bounds,
    STATE(2854), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2300), 2,
      sym_line_comment,
      sym_block_comment,
  [72146] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3051), 1,
      anon_sym_PLUS,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    ACTIONS(5243), 1,
      anon_sym_GT,
    ACTIONS(5245), 1,
      anon_sym_COMMA,
    STATE(2853), 1,
      sym_trait_bounds,
    STATE(2854), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2301), 2,
      sym_line_comment,
      sym_block_comment,
  [72175] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5247), 1,
      anon_sym_RBRACK,
    ACTIONS(4760), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
    STATE(2302), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3370), 3,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DASH_GT,
  [72198] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4584), 1,
      anon_sym_EQ,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    ACTIONS(5250), 1,
      anon_sym_GT,
    ACTIONS(5252), 1,
      anon_sym_COMMA,
    STATE(2746), 1,
      sym_trait_bounds,
    STATE(2772), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2303), 2,
      sym_line_comment,
      sym_block_comment,
  [72227] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4463), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4465), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    ACTIONS(5151), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(2304), 2,
      sym_line_comment,
      sym_block_comment,
  [72252] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(338), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(5254), 1,
      anon_sym_if,
    STATE(3539), 1,
      sym_label,
    STATE(1321), 2,
      sym_if_expression,
      sym_block,
    STATE(2305), 2,
      sym_line_comment,
      sym_block_comment,
  [72279] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4584), 1,
      anon_sym_EQ,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    ACTIONS(5256), 1,
      anon_sym_GT,
    ACTIONS(5258), 1,
      anon_sym_COMMA,
    STATE(2746), 1,
      sym_trait_bounds,
    STATE(2890), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2306), 2,
      sym_line_comment,
      sym_block_comment,
  [72308] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5260), 1,
      anon_sym_SEMI,
    STATE(1328), 1,
      sym_declaration_list,
    STATE(2892), 1,
      sym_where_clause,
    STATE(2307), 2,
      sym_line_comment,
      sym_block_comment,
  [72337] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5262), 1,
      anon_sym_SEMI,
    STATE(1332), 1,
      sym_declaration_list,
    STATE(2901), 1,
      sym_where_clause,
    STATE(2308), 2,
      sym_line_comment,
      sym_block_comment,
  [72366] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5264), 1,
      anon_sym_SEMI,
    STATE(1351), 1,
      sym_declaration_list,
    STATE(2921), 1,
      sym_where_clause,
    STATE(2309), 2,
      sym_line_comment,
      sym_block_comment,
  [72395] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    STATE(1357), 1,
      sym_declaration_list,
    STATE(2559), 1,
      sym_trait_bounds,
    STATE(3220), 1,
      sym_where_clause,
    STATE(2310), 2,
      sym_line_comment,
      sym_block_comment,
  [72424] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5266), 1,
      anon_sym_RBRACK,
    ACTIONS(4816), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
    STATE(2311), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3418), 3,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_DASH_GT,
  [72447] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5269), 1,
      anon_sym_SEMI,
    STATE(713), 1,
      sym_declaration_list,
    STATE(2876), 1,
      sym_where_clause,
    STATE(2312), 2,
      sym_line_comment,
      sym_block_comment,
  [72476] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    STATE(680), 1,
      sym_declaration_list,
    STATE(2683), 1,
      sym_trait_bounds,
    STATE(3218), 1,
      sym_where_clause,
    STATE(2313), 2,
      sym_line_comment,
      sym_block_comment,
  [72505] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5271), 1,
      anon_sym_SEMI,
    STATE(533), 1,
      sym_declaration_list,
    STATE(3003), 1,
      sym_where_clause,
    STATE(2314), 2,
      sym_line_comment,
      sym_block_comment,
  [72534] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4622), 1,
      anon_sym_DOT_DOT,
    STATE(2315), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4620), 5,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_if,
  [72555] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5273), 1,
      anon_sym_SEMI,
    STATE(550), 1,
      sym_declaration_list,
    STATE(2838), 1,
      sym_where_clause,
    STATE(2316), 2,
      sym_line_comment,
      sym_block_comment,
  [72584] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5275), 1,
      anon_sym_SEMI,
    STATE(687), 1,
      sym_declaration_list,
    STATE(2767), 1,
      sym_where_clause,
    STATE(2317), 2,
      sym_line_comment,
      sym_block_comment,
  [72613] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5277), 1,
      anon_sym_SEMI,
    STATE(552), 1,
      sym_declaration_list,
    STATE(2840), 1,
      sym_where_clause,
    STATE(2318), 2,
      sym_line_comment,
      sym_block_comment,
  [72642] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4887), 1,
      anon_sym_for,
    STATE(2319), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3299), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_where,
  [72665] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2320), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3323), 6,
      anon_sym_async,
      anon_sym_const,
      anon_sym_default,
      anon_sym_fn,
      anon_sym_unsafe,
      anon_sym_extern,
  [72684] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5279), 1,
      anon_sym_SEMI,
    STATE(1399), 1,
      sym_declaration_list,
    STATE(2967), 1,
      sym_where_clause,
    STATE(2321), 2,
      sym_line_comment,
      sym_block_comment,
  [72713] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4872), 1,
      anon_sym_LT,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(5281), 1,
      anon_sym_LBRACE,
    STATE(503), 1,
      sym_enum_variant_list,
    STATE(2647), 1,
      sym_type_parameters,
    STATE(3154), 1,
      sym_where_clause,
    STATE(2322), 2,
      sym_line_comment,
      sym_block_comment,
  [72742] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5283), 1,
      anon_sym_SEMI,
    STATE(1405), 1,
      sym_declaration_list,
    STATE(2980), 1,
      sym_where_clause,
    STATE(2323), 2,
      sym_line_comment,
      sym_block_comment,
  [72771] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5285), 1,
      anon_sym_SEMI,
    STATE(1407), 1,
      sym_declaration_list,
    STATE(2982), 1,
      sym_where_clause,
    STATE(2324), 2,
      sym_line_comment,
      sym_block_comment,
  [72800] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    STATE(1442), 1,
      sym_declaration_list,
    STATE(2571), 1,
      sym_trait_bounds,
    STATE(3275), 1,
      sym_where_clause,
    STATE(2325), 2,
      sym_line_comment,
      sym_block_comment,
  [72829] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    ACTIONS(5287), 1,
      anon_sym_GT,
    ACTIONS(5289), 1,
      anon_sym_COMMA,
    STATE(2786), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2888), 1,
      sym_trait_bounds,
    STATE(2941), 1,
      aux_sym_for_lifetimes_repeat1,
    STATE(2326), 2,
      sym_line_comment,
      sym_block_comment,
  [72858] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    STATE(741), 1,
      sym_declaration_list,
    STATE(2577), 1,
      sym_trait_bounds,
    STATE(3276), 1,
      sym_where_clause,
    STATE(2327), 2,
      sym_line_comment,
      sym_block_comment,
  [72887] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5291), 1,
      anon_sym_SEMI,
    STATE(736), 1,
      sym_declaration_list,
    STATE(2825), 1,
      sym_where_clause,
    STATE(2328), 2,
      sym_line_comment,
      sym_block_comment,
  [72916] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4872), 1,
      anon_sym_LT,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(5281), 1,
      anon_sym_LBRACE,
    STATE(693), 1,
      sym_enum_variant_list,
    STATE(2536), 1,
      sym_type_parameters,
    STATE(3255), 1,
      sym_where_clause,
    STATE(2329), 2,
      sym_line_comment,
      sym_block_comment,
  [72945] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5293), 1,
      anon_sym_SEMI,
    STATE(1467), 1,
      sym_declaration_list,
    STATE(3023), 1,
      sym_where_clause,
    STATE(2330), 2,
      sym_line_comment,
      sym_block_comment,
  [72974] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5295), 1,
      anon_sym_SEMI,
    STATE(1469), 1,
      sym_declaration_list,
    STATE(3024), 1,
      sym_where_clause,
    STATE(2331), 2,
      sym_line_comment,
      sym_block_comment,
  [73003] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5297), 1,
      anon_sym_SEMI,
    STATE(1104), 1,
      sym_declaration_list,
    STATE(2732), 1,
      sym_where_clause,
    STATE(2332), 2,
      sym_line_comment,
      sym_block_comment,
  [73032] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5299), 1,
      anon_sym_SEMI,
    STATE(1106), 1,
      sym_declaration_list,
    STATE(2733), 1,
      sym_where_clause,
    STATE(2333), 2,
      sym_line_comment,
      sym_block_comment,
  [73061] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5301), 1,
      anon_sym_SEMI,
    STATE(1108), 1,
      sym_declaration_list,
    STATE(2736), 1,
      sym_where_clause,
    STATE(2334), 2,
      sym_line_comment,
      sym_block_comment,
  [73090] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5303), 1,
      anon_sym_SEMI,
    STATE(1110), 1,
      sym_declaration_list,
    STATE(2737), 1,
      sym_where_clause,
    STATE(2335), 2,
      sym_line_comment,
      sym_block_comment,
  [73119] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3370), 2,
      anon_sym_PLUS,
      anon_sym_DASH_GT,
    ACTIONS(4760), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(5247), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(2336), 2,
      sym_line_comment,
      sym_block_comment,
  [73142] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1482), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5039), 1,
      sym_identifier,
    ACTIONS(5045), 1,
      anon_sym_ref,
    ACTIONS(5047), 1,
      sym_mutable_specifier,
    STATE(2337), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(3197), 2,
      sym_field_pattern,
      sym_remaining_field_pattern,
  [73169] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5305), 1,
      anon_sym_SEMI,
    STATE(1148), 1,
      sym_declaration_list,
    STATE(2743), 1,
      sym_where_clause,
    STATE(2338), 2,
      sym_line_comment,
      sym_block_comment,
  [73198] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5307), 1,
      anon_sym_SEMI,
    STATE(1150), 1,
      sym_declaration_list,
    STATE(2744), 1,
      sym_where_clause,
    STATE(2339), 2,
      sym_line_comment,
      sym_block_comment,
  [73227] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2340), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4920), 6,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [73246] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4905), 1,
      anon_sym_for,
    STATE(2341), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3299), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_where,
  [73269] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4463), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4465), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    ACTIONS(5309), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(2342), 2,
      sym_line_comment,
      sym_block_comment,
  [73294] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4584), 1,
      anon_sym_EQ,
    ACTIONS(4586), 1,
      anon_sym_GT,
    ACTIONS(4588), 1,
      anon_sym_COMMA,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    STATE(2746), 1,
      sym_trait_bounds,
    STATE(2907), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2343), 2,
      sym_line_comment,
      sym_block_comment,
  [73323] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4816), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(2344), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3418), 4,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
  [73344] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    ACTIONS(5241), 1,
      anon_sym_PLUS,
    ACTIONS(5311), 1,
      anon_sym_GT,
    ACTIONS(5313), 1,
      anon_sym_COMMA,
    STATE(2805), 1,
      sym_trait_bounds,
    STATE(2806), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2345), 2,
      sym_line_comment,
      sym_block_comment,
  [73373] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3051), 1,
      anon_sym_PLUS,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    ACTIONS(5311), 1,
      anon_sym_GT,
    ACTIONS(5313), 1,
      anon_sym_COMMA,
    STATE(2805), 1,
      sym_trait_bounds,
    STATE(2806), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2346), 2,
      sym_line_comment,
      sym_block_comment,
  [73402] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5315), 1,
      anon_sym_SEMI,
    STATE(717), 1,
      sym_declaration_list,
    STATE(2916), 1,
      sym_where_clause,
    STATE(2347), 2,
      sym_line_comment,
      sym_block_comment,
  [73431] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1210), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(5317), 1,
      anon_sym_if,
    STATE(3590), 1,
      sym_label,
    STATE(457), 2,
      sym_if_expression,
      sym_block,
    STATE(2348), 2,
      sym_line_comment,
      sym_block_comment,
  [73458] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4870), 1,
      anon_sym_LBRACE,
    ACTIONS(4872), 1,
      anon_sym_LT,
    ACTIONS(4874), 1,
      anon_sym_where,
    STATE(699), 1,
      sym_field_declaration_list,
    STATE(2566), 1,
      sym_type_parameters,
    STATE(3097), 1,
      sym_where_clause,
    STATE(2349), 2,
      sym_line_comment,
      sym_block_comment,
  [73487] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5319), 1,
      anon_sym_SEMI,
    STATE(488), 1,
      sym_declaration_list,
    STATE(2886), 1,
      sym_where_clause,
    STATE(2350), 2,
      sym_line_comment,
      sym_block_comment,
  [73516] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5321), 1,
      anon_sym_SEMI,
    STATE(490), 1,
      sym_declaration_list,
    STATE(2910), 1,
      sym_where_clause,
    STATE(2351), 2,
      sym_line_comment,
      sym_block_comment,
  [73545] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    ACTIONS(5241), 1,
      anon_sym_PLUS,
    ACTIONS(5323), 1,
      anon_sym_GT,
    ACTIONS(5325), 1,
      anon_sym_COMMA,
    STATE(2984), 1,
      sym_trait_bounds,
    STATE(2991), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2352), 2,
      sym_line_comment,
      sym_block_comment,
  [73574] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3051), 1,
      anon_sym_PLUS,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    ACTIONS(5323), 1,
      anon_sym_GT,
    ACTIONS(5325), 1,
      anon_sym_COMMA,
    STATE(2984), 1,
      sym_trait_bounds,
    STATE(2991), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2353), 2,
      sym_line_comment,
      sym_block_comment,
  [73603] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(5327), 1,
      anon_sym_if,
    STATE(3591), 1,
      sym_label,
    STATE(1773), 2,
      sym_if_expression,
      sym_block,
    STATE(2354), 2,
      sym_line_comment,
      sym_block_comment,
  [73630] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5329), 1,
      anon_sym_SEMI,
    STATE(494), 1,
      sym_declaration_list,
    STATE(3010), 1,
      sym_where_clause,
    STATE(2355), 2,
      sym_line_comment,
      sym_block_comment,
  [73659] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3418), 2,
      anon_sym_PLUS,
      anon_sym_DASH_GT,
    ACTIONS(4816), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(5266), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(2356), 2,
      sym_line_comment,
      sym_block_comment,
  [73682] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5331), 1,
      anon_sym_SEMI,
    STATE(496), 1,
      sym_declaration_list,
    STATE(2745), 1,
      sym_where_clause,
    STATE(2357), 2,
      sym_line_comment,
      sym_block_comment,
  [73711] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5333), 1,
      anon_sym_SEMI,
    STATE(606), 1,
      sym_declaration_list,
    STATE(2999), 1,
      sym_where_clause,
    STATE(2358), 2,
      sym_line_comment,
      sym_block_comment,
  [73740] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5335), 1,
      anon_sym_SEMI,
    STATE(608), 1,
      sym_declaration_list,
    STATE(3005), 1,
      sym_where_clause,
    STATE(2359), 2,
      sym_line_comment,
      sym_block_comment,
  [73769] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(967), 1,
      anon_sym_DOT_DOT,
    STATE(2360), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(969), 5,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_if,
  [73790] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(753), 1,
      anon_sym_DOT_DOT,
    STATE(2361), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(755), 5,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_if,
  [73811] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(767), 1,
      anon_sym_DOT_DOT,
    STATE(2362), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(769), 5,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_if,
  [73832] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(771), 1,
      anon_sym_DOT_DOT,
    STATE(2363), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(773), 5,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_if,
  [73853] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4870), 1,
      anon_sym_LBRACE,
    ACTIONS(4872), 1,
      anon_sym_LT,
    ACTIONS(4874), 1,
      anon_sym_where,
    STATE(643), 1,
      sym_field_declaration_list,
    STATE(2514), 1,
      sym_type_parameters,
    STATE(3114), 1,
      sym_where_clause,
    STATE(2364), 2,
      sym_line_comment,
      sym_block_comment,
  [73882] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3459), 1,
      anon_sym_COLON,
    ACTIONS(5337), 1,
      anon_sym_EQ,
    STATE(2365), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3457), 4,
      anon_sym_PLUS,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [73905] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5339), 1,
      anon_sym_SEMI,
    STATE(565), 1,
      sym_declaration_list,
    STATE(2905), 1,
      sym_where_clause,
    STATE(2366), 2,
      sym_line_comment,
      sym_block_comment,
  [73934] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5341), 1,
      anon_sym_SEMI,
    STATE(567), 1,
      sym_declaration_list,
    STATE(2911), 1,
      sym_where_clause,
    STATE(2367), 2,
      sym_line_comment,
      sym_block_comment,
  [73963] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4872), 1,
      anon_sym_LT,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(5235), 1,
      anon_sym_LBRACE,
    STATE(1390), 1,
      sym_enum_variant_list,
    STATE(2511), 1,
      sym_type_parameters,
    STATE(3269), 1,
      sym_where_clause,
    STATE(2368), 2,
      sym_line_comment,
      sym_block_comment,
  [73992] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5343), 1,
      anon_sym_SEMI,
    STATE(1128), 1,
      sym_declaration_list,
    STATE(2787), 1,
      sym_where_clause,
    STATE(2369), 2,
      sym_line_comment,
      sym_block_comment,
  [74021] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5345), 1,
      anon_sym_SEMI,
    STATE(569), 1,
      sym_declaration_list,
    STATE(2918), 1,
      sym_where_clause,
    STATE(2370), 2,
      sym_line_comment,
      sym_block_comment,
  [74050] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4535), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5347), 1,
      anon_sym_GT,
    ACTIONS(5349), 1,
      anon_sym_COMMA,
    STATE(2786), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3299), 2,
      anon_sym_PLUS,
      anon_sym_as,
    STATE(2371), 2,
      sym_line_comment,
      sym_block_comment,
  [74077] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4463), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5207), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4465), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    ACTIONS(5151), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(2372), 2,
      sym_line_comment,
      sym_block_comment,
  [74102] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3051), 1,
      anon_sym_PLUS,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    ACTIONS(5347), 1,
      anon_sym_GT,
    ACTIONS(5349), 1,
      anon_sym_COMMA,
    STATE(2786), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2888), 1,
      sym_trait_bounds,
    STATE(2373), 2,
      sym_line_comment,
      sym_block_comment,
  [74131] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4463), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5207), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4465), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    ACTIONS(5309), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(2374), 2,
      sym_line_comment,
      sym_block_comment,
  [74156] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4872), 1,
      anon_sym_LT,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4891), 1,
      anon_sym_LBRACE,
    STATE(1191), 1,
      sym_field_declaration_list,
    STATE(2515), 1,
      sym_type_parameters,
    STATE(3305), 1,
      sym_where_clause,
    STATE(2375), 2,
      sym_line_comment,
      sym_block_comment,
  [74185] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5351), 1,
      anon_sym_SEMI,
    STATE(571), 1,
      sym_declaration_list,
    STATE(2925), 1,
      sym_where_clause,
    STATE(2376), 2,
      sym_line_comment,
      sym_block_comment,
  [74214] = 8,
    ACTIONS(19), 1,
      anon_sym_LBRACE,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(5353), 1,
      anon_sym_if,
    STATE(3510), 1,
      sym_label,
    STATE(377), 2,
      sym_if_expression,
      sym_block,
    STATE(2377), 2,
      sym_line_comment,
      sym_block_comment,
  [74241] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5355), 1,
      anon_sym_SEMI,
    STATE(665), 1,
      sym_declaration_list,
    STATE(2735), 1,
      sym_where_clause,
    STATE(2378), 2,
      sym_line_comment,
      sym_block_comment,
  [74270] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4967), 1,
      anon_sym_for,
    STATE(2379), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3299), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_where,
  [74293] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4864), 1,
      anon_sym_for,
    STATE(2380), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3299), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_where,
  [74316] = 9,
    ACTIONS(27), 1,
      anon_sym_PIPE,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5357), 1,
      sym_identifier,
    ACTIONS(5359), 1,
      anon_sym_ref,
    ACTIONS(5361), 1,
      sym_mutable_specifier,
    ACTIONS(5363), 1,
      anon_sym_move,
    STATE(228), 1,
      sym_closure_parameters,
    STATE(2381), 2,
      sym_line_comment,
      sym_block_comment,
  [74345] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4951), 1,
      anon_sym_for,
    STATE(2382), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3299), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_where,
  [74368] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    ACTIONS(5365), 1,
      anon_sym_SEMI,
    ACTIONS(5367), 1,
      anon_sym_EQ,
    STATE(3031), 1,
      sym_trait_bounds,
    STATE(3505), 1,
      sym_where_clause,
    STATE(2383), 2,
      sym_line_comment,
      sym_block_comment,
  [74397] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4957), 1,
      anon_sym_for,
    STATE(2384), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3299), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_where,
  [74420] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4961), 1,
      anon_sym_for,
    STATE(2385), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3299), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_where,
  [74443] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4965), 1,
      anon_sym_for,
    STATE(2386), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3299), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_where,
  [74466] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4611), 1,
      anon_sym_DOT_DOT,
    ACTIONS(4613), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(2387), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4453), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [74489] = 9,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    STATE(529), 1,
      sym_declaration_list,
    STATE(2530), 1,
      sym_trait_bounds,
    STATE(3087), 1,
      sym_where_clause,
    STATE(2388), 2,
      sym_line_comment,
      sym_block_comment,
  [74518] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    ACTIONS(5369), 1,
      anon_sym_SEMI,
    STATE(1395), 1,
      sym_block,
    STATE(3589), 1,
      sym_label,
    STATE(2389), 2,
      sym_line_comment,
      sym_block_comment,
  [74544] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4644), 1,
      anon_sym_GT,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    ACTIONS(5371), 1,
      anon_sym_COMMA,
    STATE(2873), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2888), 1,
      sym_trait_bounds,
    STATE(2390), 2,
      sym_line_comment,
      sym_block_comment,
  [74570] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    ACTIONS(5241), 1,
      anon_sym_PLUS,
    STATE(3250), 1,
      sym_trait_bounds,
    ACTIONS(5373), 2,
      anon_sym_GT,
      anon_sym_COMMA,
    STATE(2391), 2,
      sym_line_comment,
      sym_block_comment,
  [74594] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4463), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5155), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5205), 1,
      anon_sym_COLON,
    ACTIONS(4465), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(2392), 2,
      sym_line_comment,
      sym_block_comment,
  [74618] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4852), 1,
      anon_sym_PIPE,
    ACTIONS(5375), 1,
      anon_sym_SEMI,
    ACTIONS(5377), 1,
      anon_sym_COLON,
    ACTIONS(5379), 1,
      anon_sym_EQ,
    ACTIONS(5381), 1,
      anon_sym_else,
    STATE(2393), 2,
      sym_line_comment,
      sym_block_comment,
  [74644] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(338), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    STATE(1304), 1,
      sym_block,
    STATE(3539), 1,
      sym_label,
    STATE(2394), 2,
      sym_line_comment,
      sym_block_comment,
  [74670] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2955), 1,
      anon_sym_POUND,
    ACTIONS(5383), 1,
      sym_identifier,
    ACTIONS(5385), 1,
      sym_integer_literal,
    STATE(1065), 1,
      aux_sym_enum_variant_list_repeat1,
    STATE(1476), 1,
      sym_attribute_item,
    STATE(2395), 2,
      sym_line_comment,
      sym_block_comment,
  [74696] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3051), 1,
      anon_sym_PLUS,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    STATE(3250), 1,
      sym_trait_bounds,
    ACTIONS(5373), 2,
      anon_sym_GT,
      anon_sym_COMMA,
    STATE(2396), 2,
      sym_line_comment,
      sym_block_comment,
  [74720] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    ACTIONS(5387), 1,
      anon_sym_SEMI,
    STATE(1113), 1,
      sym_block,
    STATE(3589), 1,
      sym_label,
    STATE(2397), 2,
      sym_line_comment,
      sym_block_comment,
  [74746] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4979), 1,
      anon_sym_LBRACE,
    ACTIONS(5389), 1,
      anon_sym_SEMI,
    STATE(711), 1,
      sym_block,
    STATE(3586), 1,
      sym_label,
    STATE(2398), 2,
      sym_line_comment,
      sym_block_comment,
  [74772] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    ACTIONS(5391), 1,
      anon_sym_SEMI,
    STATE(1126), 1,
      sym_block,
    STATE(3589), 1,
      sym_label,
    STATE(2399), 2,
      sym_line_comment,
      sym_block_comment,
  [74798] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4243), 1,
      anon_sym_LBRACE,
    ACTIONS(5105), 1,
      anon_sym_STAR,
    STATE(2776), 1,
      sym_use_list,
    ACTIONS(5103), 2,
      sym_identifier,
      sym_super,
    STATE(2400), 2,
      sym_line_comment,
      sym_block_comment,
  [74822] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    ACTIONS(5347), 1,
      anon_sym_GT,
    ACTIONS(5349), 1,
      anon_sym_COMMA,
    STATE(2786), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2888), 1,
      sym_trait_bounds,
    STATE(2401), 2,
      sym_line_comment,
      sym_block_comment,
  [74848] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(338), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    STATE(1384), 1,
      sym_block,
    STATE(3539), 1,
      sym_label,
    STATE(2402), 2,
      sym_line_comment,
      sym_block_comment,
  [74874] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2403), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5393), 5,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
  [74892] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    ACTIONS(5395), 1,
      anon_sym_SEMI,
    STATE(1133), 1,
      sym_block,
    STATE(3589), 1,
      sym_label,
    STATE(2404), 2,
      sym_line_comment,
      sym_block_comment,
  [74918] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4451), 1,
      anon_sym_COLON_COLON,
    STATE(1931), 1,
      sym_type_arguments,
    STATE(1962), 1,
      sym_parameters,
    STATE(2405), 2,
      sym_line_comment,
      sym_block_comment,
  [74944] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5399), 1,
      anon_sym_COMMA,
    ACTIONS(5397), 3,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
    STATE(2406), 3,
      sym_line_comment,
      sym_block_comment,
      aux_sym_where_clause_repeat1,
  [74964] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3621), 1,
      anon_sym_PLUS,
    ACTIONS(4756), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(5402), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(2407), 2,
      sym_line_comment,
      sym_block_comment,
  [74986] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    ACTIONS(5405), 1,
      anon_sym_SEMI,
    STATE(1158), 1,
      sym_block,
    STATE(3589), 1,
      sym_label,
    STATE(2408), 2,
      sym_line_comment,
      sym_block_comment,
  [75012] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    ACTIONS(5407), 1,
      anon_sym_SEMI,
    STATE(1164), 1,
      sym_block,
    STATE(3589), 1,
      sym_label,
    STATE(2409), 2,
      sym_line_comment,
      sym_block_comment,
  [75038] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    ACTIONS(5409), 1,
      anon_sym_SEMI,
    STATE(1174), 1,
      sym_block,
    STATE(3589), 1,
      sym_label,
    STATE(2410), 2,
      sym_line_comment,
      sym_block_comment,
  [75064] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4979), 1,
      anon_sym_LBRACE,
    ACTIONS(5411), 1,
      anon_sym_SEMI,
    STATE(637), 1,
      sym_block,
    STATE(3586), 1,
      sym_label,
    STATE(2411), 2,
      sym_line_comment,
      sym_block_comment,
  [75090] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    ACTIONS(5413), 1,
      anon_sym_SEMI,
    STATE(1178), 1,
      sym_block,
    STATE(3589), 1,
      sym_label,
    STATE(2412), 2,
      sym_line_comment,
      sym_block_comment,
  [75116] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    ACTIONS(5415), 1,
      anon_sym_SEMI,
    STATE(1182), 1,
      sym_block,
    STATE(3589), 1,
      sym_label,
    STATE(2413), 2,
      sym_line_comment,
      sym_block_comment,
  [75142] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    STATE(1678), 1,
      sym_block,
    STATE(3591), 1,
      sym_label,
    STATE(2414), 2,
      sym_line_comment,
      sym_block_comment,
  [75168] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(5417), 1,
      anon_sym_move,
    STATE(1742), 1,
      sym_block,
    STATE(3591), 1,
      sym_label,
    STATE(2415), 2,
      sym_line_comment,
      sym_block_comment,
  [75194] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2416), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3699), 5,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
  [75212] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2417), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3703), 5,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
  [75230] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2418), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3711), 5,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
  [75248] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4979), 1,
      anon_sym_LBRACE,
    ACTIONS(5419), 1,
      anon_sym_SEMI,
    STATE(642), 1,
      sym_block,
    STATE(3586), 1,
      sym_label,
    STATE(2419), 2,
      sym_line_comment,
      sym_block_comment,
  [75274] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4979), 1,
      anon_sym_LBRACE,
    ACTIONS(5421), 1,
      anon_sym_SEMI,
    STATE(544), 1,
      sym_block,
    STATE(3586), 1,
      sym_label,
    STATE(2420), 2,
      sym_line_comment,
      sym_block_comment,
  [75300] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4756), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(2421), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3621), 3,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COMMA,
  [75320] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4451), 1,
      anon_sym_COLON_COLON,
    STATE(1623), 1,
      sym_parameters,
    STATE(1931), 1,
      sym_type_arguments,
    STATE(2422), 2,
      sym_line_comment,
      sym_block_comment,
  [75346] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4451), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4582), 1,
      anon_sym_COLON,
    STATE(1931), 1,
      sym_type_arguments,
    STATE(2606), 1,
      sym_trait_bounds,
    STATE(2423), 2,
      sym_line_comment,
      sym_block_comment,
  [75372] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5423), 1,
      anon_sym_RBRACK,
    ACTIONS(3299), 2,
      anon_sym_SEMI,
      anon_sym_PLUS,
    ACTIONS(4453), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
    STATE(2424), 2,
      sym_line_comment,
      sym_block_comment,
  [75394] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    ACTIONS(5311), 1,
      anon_sym_GT,
    ACTIONS(5313), 1,
      anon_sym_COMMA,
    STATE(2805), 1,
      sym_trait_bounds,
    STATE(2806), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2425), 2,
      sym_line_comment,
      sym_block_comment,
  [75420] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    ACTIONS(5243), 1,
      anon_sym_GT,
    ACTIONS(5245), 1,
      anon_sym_COMMA,
    STATE(2853), 1,
      sym_trait_bounds,
    STATE(2854), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2426), 2,
      sym_line_comment,
      sym_block_comment,
  [75446] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5426), 1,
      anon_sym_RPAREN,
    ACTIONS(5428), 1,
      anon_sym_COMMA,
    STATE(2809), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(4453), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(2427), 2,
      sym_line_comment,
      sym_block_comment,
  [75470] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5430), 1,
      anon_sym_COMMA,
    STATE(2406), 1,
      aux_sym_where_clause_repeat1,
    STATE(2428), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3477), 3,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
  [75492] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4826), 1,
      anon_sym_RPAREN,
    ACTIONS(5432), 1,
      anon_sym_COLON,
    ACTIONS(5434), 1,
      anon_sym_PIPE,
    ACTIONS(5436), 1,
      anon_sym_COMMA,
    STATE(3001), 1,
      aux_sym_closure_parameters_repeat1,
    STATE(2429), 2,
      sym_line_comment,
      sym_block_comment,
  [75518] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5438), 1,
      anon_sym_RPAREN,
    ACTIONS(5440), 1,
      anon_sym_COMMA,
    STATE(2872), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(4453), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(2430), 2,
      sym_line_comment,
      sym_block_comment,
  [75542] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4979), 1,
      anon_sym_LBRACE,
    ACTIONS(5442), 1,
      anon_sym_SEMI,
    STATE(484), 1,
      sym_block,
    STATE(3586), 1,
      sym_label,
    STATE(2431), 2,
      sym_line_comment,
      sym_block_comment,
  [75568] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4979), 1,
      anon_sym_LBRACE,
    ACTIONS(5444), 1,
      anon_sym_SEMI,
    STATE(591), 1,
      sym_block,
    STATE(3586), 1,
      sym_label,
    STATE(2432), 2,
      sym_line_comment,
      sym_block_comment,
  [75594] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1464), 1,
      anon_sym_RPAREN,
    ACTIONS(5446), 1,
      anon_sym_COMMA,
    STATE(2817), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(4453), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(2433), 2,
      sym_line_comment,
      sym_block_comment,
  [75618] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5448), 1,
      anon_sym_SEMI,
    ACTIONS(5450), 1,
      anon_sym_COLON,
    ACTIONS(5452), 1,
      anon_sym_PIPE,
    ACTIONS(5454), 1,
      anon_sym_EQ,
    ACTIONS(5456), 1,
      anon_sym_else,
    STATE(2434), 2,
      sym_line_comment,
      sym_block_comment,
  [75644] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2435), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5458), 5,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
  [75662] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    ACTIONS(5460), 1,
      anon_sym_GT,
    ACTIONS(5462), 1,
      anon_sym_COMMA,
    STATE(2773), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2888), 1,
      sym_trait_bounds,
    STATE(2436), 2,
      sym_line_comment,
      sym_block_comment,
  [75688] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    ACTIONS(5464), 1,
      anon_sym_SEMI,
    STATE(1318), 1,
      sym_block,
    STATE(3589), 1,
      sym_label,
    STATE(2437), 2,
      sym_line_comment,
      sym_block_comment,
  [75714] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5468), 1,
      anon_sym_COMMA,
    STATE(2428), 1,
      aux_sym_where_clause_repeat1,
    STATE(2438), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5466), 3,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
  [75736] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2439), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5470), 5,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
  [75754] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4584), 1,
      anon_sym_EQ,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    STATE(2746), 1,
      sym_trait_bounds,
    ACTIONS(5472), 2,
      anon_sym_GT,
      anon_sym_COMMA,
    STATE(2440), 2,
      sym_line_comment,
      sym_block_comment,
  [75778] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    ACTIONS(5323), 1,
      anon_sym_GT,
    ACTIONS(5325), 1,
      anon_sym_COMMA,
    STATE(2984), 1,
      sym_trait_bounds,
    STATE(2991), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2441), 2,
      sym_line_comment,
      sym_block_comment,
  [75804] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2442), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5474), 5,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
  [75822] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2443), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5476), 5,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
  [75840] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2444), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5478), 5,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
  [75858] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    ACTIONS(5480), 1,
      anon_sym_SEMI,
    STATE(1458), 1,
      sym_block,
    STATE(3589), 1,
      sym_label,
    STATE(2445), 2,
      sym_line_comment,
      sym_block_comment,
  [75884] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2446), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5482), 5,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
  [75902] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4654), 1,
      anon_sym_GT,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    ACTIONS(5484), 1,
      anon_sym_COMMA,
    STATE(2888), 1,
      sym_trait_bounds,
    STATE(2891), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2447), 2,
      sym_line_comment,
      sym_block_comment,
  [75928] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2448), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3643), 5,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
  [75946] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2449), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3647), 5,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
  [75964] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    STATE(1683), 1,
      sym_block,
    STATE(3591), 1,
      sym_label,
    STATE(2450), 2,
      sym_line_comment,
      sym_block_comment,
  [75990] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1210), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(5486), 1,
      anon_sym_move,
    STATE(463), 1,
      sym_block,
    STATE(3590), 1,
      sym_label,
    STATE(2451), 2,
      sym_line_comment,
      sym_block_comment,
  [76016] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2452), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3813), 5,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
  [76034] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2453), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3817), 5,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
  [76052] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2454), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3821), 5,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
  [76070] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2455), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3683), 5,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
  [76088] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2456), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3687), 5,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_where,
  [76106] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4979), 1,
      anon_sym_LBRACE,
    ACTIONS(5488), 1,
      anon_sym_SEMI,
    STATE(616), 1,
      sym_block,
    STATE(3586), 1,
      sym_label,
    STATE(2457), 2,
      sym_line_comment,
      sym_block_comment,
  [76132] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5492), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5494), 1,
      anon_sym_as,
    STATE(2458), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5490), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [76154] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4979), 1,
      anon_sym_LBRACE,
    ACTIONS(5496), 1,
      anon_sym_SEMI,
    STATE(587), 1,
      sym_block,
    STATE(3586), 1,
      sym_label,
    STATE(2459), 2,
      sym_line_comment,
      sym_block_comment,
  [76180] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4584), 1,
      anon_sym_EQ,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    STATE(2746), 1,
      sym_trait_bounds,
    ACTIONS(5498), 2,
      anon_sym_GT,
      anon_sym_COMMA,
    STATE(2460), 2,
      sym_line_comment,
      sym_block_comment,
  [76204] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2461), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5500), 5,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
  [76222] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5504), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5506), 1,
      anon_sym_as,
    STATE(2462), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5502), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [76244] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2463), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3215), 5,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_as,
  [76262] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5452), 1,
      anon_sym_PIPE,
    ACTIONS(5508), 1,
      anon_sym_RPAREN,
    ACTIONS(5510), 1,
      anon_sym_COLON,
    ACTIONS(5512), 1,
      anon_sym_COMMA,
    STATE(2839), 1,
      aux_sym_slice_pattern_repeat1,
    STATE(2464), 2,
      sym_line_comment,
      sym_block_comment,
  [76288] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4979), 1,
      anon_sym_LBRACE,
    ACTIONS(5514), 1,
      anon_sym_SEMI,
    STATE(622), 1,
      sym_block,
    STATE(3586), 1,
      sym_label,
    STATE(2465), 2,
      sym_line_comment,
      sym_block_comment,
  [76314] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5452), 1,
      anon_sym_PIPE,
    ACTIONS(5516), 1,
      anon_sym_SEMI,
    ACTIONS(5518), 1,
      anon_sym_COLON,
    ACTIONS(5520), 1,
      anon_sym_EQ,
    ACTIONS(5522), 1,
      anon_sym_else,
    STATE(2466), 2,
      sym_line_comment,
      sym_block_comment,
  [76340] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(338), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    STATE(1193), 1,
      sym_block,
    STATE(3539), 1,
      sym_label,
    STATE(2467), 2,
      sym_line_comment,
      sym_block_comment,
  [76366] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1470), 1,
      anon_sym_RPAREN,
    ACTIONS(5524), 1,
      anon_sym_COMMA,
    STATE(2846), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(4453), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(2468), 2,
      sym_line_comment,
      sym_block_comment,
  [76390] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4463), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5153), 1,
      anon_sym_COLON,
    ACTIONS(5155), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4465), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(2469), 2,
      sym_line_comment,
      sym_block_comment,
  [76414] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2470), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5526), 5,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
  [76432] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5528), 1,
      anon_sym_RPAREN,
    ACTIONS(5530), 1,
      anon_sym_COMMA,
    STATE(2822), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(4453), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(2471), 2,
      sym_line_comment,
      sym_block_comment,
  [76456] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2472), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5532), 5,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
  [76474] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1466), 1,
      anon_sym_RPAREN,
    ACTIONS(5534), 1,
      anon_sym_COMMA,
    STATE(2961), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(4453), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(2473), 2,
      sym_line_comment,
      sym_block_comment,
  [76498] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4979), 1,
      anon_sym_LBRACE,
    ACTIONS(5536), 1,
      anon_sym_SEMI,
    STATE(633), 1,
      sym_block,
    STATE(3586), 1,
      sym_label,
    STATE(2474), 2,
      sym_line_comment,
      sym_block_comment,
  [76524] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5402), 1,
      anon_sym_RBRACK,
    ACTIONS(3621), 2,
      anon_sym_SEMI,
      anon_sym_PLUS,
    ACTIONS(4756), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
    STATE(2475), 2,
      sym_line_comment,
      sym_block_comment,
  [76546] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5506), 1,
      anon_sym_as,
    ACTIONS(5538), 1,
      anon_sym_COLON_COLON,
    STATE(2476), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5502), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [76568] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2477), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5540), 5,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
  [76586] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2478), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5542), 5,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
  [76604] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2479), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5544), 5,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
  [76622] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4453), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(2480), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3299), 3,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_COMMA,
  [76642] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4243), 1,
      anon_sym_LBRACE,
    ACTIONS(5548), 1,
      anon_sym_STAR,
    STATE(3000), 1,
      sym_use_list,
    ACTIONS(5546), 2,
      sym_identifier,
      sym_super,
    STATE(2481), 2,
      sym_line_comment,
      sym_block_comment,
  [76666] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5550), 1,
      anon_sym_RPAREN,
    ACTIONS(5553), 1,
      anon_sym_COMMA,
    STATE(2822), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(4453), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    STATE(2482), 2,
      sym_line_comment,
      sym_block_comment,
  [76690] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5556), 1,
      anon_sym_STAR_SLASH,
    ACTIONS(5558), 1,
      sym__outer_block_doc_comment_marker,
    ACTIONS(5560), 1,
      sym__inner_block_doc_comment_marker,
    ACTIONS(5562), 1,
      sym__block_comment_content,
    STATE(3265), 1,
      sym__block_doc_comment_marker,
    STATE(2483), 2,
      sym_line_comment,
      sym_block_comment,
  [76716] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    STATE(1689), 1,
      sym_block,
    STATE(3591), 1,
      sym_label,
    STATE(2484), 2,
      sym_line_comment,
      sym_block_comment,
  [76742] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4852), 1,
      anon_sym_PIPE,
    ACTIONS(5564), 1,
      anon_sym_SEMI,
    ACTIONS(5566), 1,
      anon_sym_COLON,
    ACTIONS(5568), 1,
      anon_sym_EQ,
    ACTIONS(5570), 1,
      anon_sym_else,
    STATE(2485), 2,
      sym_line_comment,
      sym_block_comment,
  [76768] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    ACTIONS(5572), 1,
      anon_sym_SEMI,
    STATE(1431), 1,
      sym_block,
    STATE(3589), 1,
      sym_label,
    STATE(2486), 2,
      sym_line_comment,
      sym_block_comment,
  [76794] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3299), 1,
      anon_sym_PLUS,
    ACTIONS(4453), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(5423), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(2487), 2,
      sym_line_comment,
      sym_block_comment,
  [76816] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5506), 1,
      anon_sym_as,
    ACTIONS(5574), 1,
      anon_sym_COLON_COLON,
    STATE(2488), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5502), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [76838] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(338), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(5576), 1,
      anon_sym_move,
    STATE(1454), 1,
      sym_block,
    STATE(3539), 1,
      sym_label,
    STATE(2489), 2,
      sym_line_comment,
      sym_block_comment,
  [76864] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4979), 1,
      anon_sym_LBRACE,
    ACTIONS(5578), 1,
      anon_sym_SEMI,
    STATE(519), 1,
      sym_block,
    STATE(3586), 1,
      sym_label,
    STATE(2490), 2,
      sym_line_comment,
      sym_block_comment,
  [76890] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4451), 1,
      anon_sym_COLON_COLON,
    STATE(1049), 1,
      sym_parameters,
    STATE(1931), 1,
      sym_type_arguments,
    STATE(2491), 2,
      sym_line_comment,
      sym_block_comment,
  [76916] = 8,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4979), 1,
      anon_sym_LBRACE,
    ACTIONS(5580), 1,
      anon_sym_SEMI,
    STATE(574), 1,
      sym_block,
    STATE(3586), 1,
      sym_label,
    STATE(2492), 2,
      sym_line_comment,
      sym_block_comment,
  [76942] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2493), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5582), 5,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_where,
  [76960] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4463), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5155), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4465), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(2494), 2,
      sym_line_comment,
      sym_block_comment,
  [76981] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(338), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(1195), 1,
      sym_block,
    STATE(3539), 1,
      sym_label,
    STATE(2495), 2,
      sym_line_comment,
      sym_block_comment,
  [77004] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5584), 1,
      anon_sym_DQUOTE,
    STATE(2510), 1,
      aux_sym_string_literal_repeat1,
    ACTIONS(5586), 2,
      sym_string_content,
      sym_escape_sequence,
    STATE(2496), 2,
      sym_line_comment,
      sym_block_comment,
  [77025] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5175), 1,
      anon_sym_LPAREN,
    ACTIONS(5177), 1,
      anon_sym_LBRACK,
    ACTIONS(5181), 1,
      anon_sym_LBRACE,
    STATE(1196), 1,
      sym_delim_token_tree,
    STATE(2497), 2,
      sym_line_comment,
      sym_block_comment,
  [77048] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3251), 1,
      anon_sym_LT2,
    ACTIONS(5103), 1,
      sym_super,
    ACTIONS(5588), 1,
      sym_identifier,
    STATE(1565), 1,
      sym_type_arguments,
    STATE(2498), 2,
      sym_line_comment,
      sym_block_comment,
  [77071] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3251), 1,
      anon_sym_LT2,
    ACTIONS(5103), 1,
      sym_super,
    ACTIONS(5588), 1,
      sym_identifier,
    STATE(1570), 1,
      sym_type_arguments,
    STATE(2499), 2,
      sym_line_comment,
      sym_block_comment,
  [77094] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5452), 1,
      anon_sym_PIPE,
    ACTIONS(5590), 1,
      anon_sym_RPAREN,
    ACTIONS(5592), 1,
      anon_sym_COMMA,
    STATE(2989), 1,
      aux_sym_tuple_pattern_repeat1,
    STATE(2500), 2,
      sym_line_comment,
      sym_block_comment,
  [77117] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5452), 1,
      anon_sym_PIPE,
    ACTIONS(5594), 1,
      anon_sym_RBRACK,
    ACTIONS(5596), 1,
      anon_sym_COMMA,
    STATE(3007), 1,
      aux_sym_slice_pattern_repeat1,
    STATE(2501), 2,
      sym_line_comment,
      sym_block_comment,
  [77140] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(5598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5600), 1,
      anon_sym_for,
    STATE(1931), 1,
      sym_type_arguments,
    STATE(2502), 2,
      sym_line_comment,
      sym_block_comment,
  [77163] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5604), 1,
      sym_super,
    STATE(3195), 1,
      sym_type_arguments,
    STATE(2503), 2,
      sym_line_comment,
      sym_block_comment,
  [77186] = 7,
    ACTIONS(19), 1,
      anon_sym_LBRACE,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(399), 1,
      sym_block,
    STATE(3510), 1,
      sym_label,
    STATE(2504), 2,
      sym_line_comment,
      sym_block_comment,
  [77209] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5604), 1,
      sym_super,
    STATE(3217), 1,
      sym_type_arguments,
    STATE(2505), 2,
      sym_line_comment,
      sym_block_comment,
  [77232] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5606), 1,
      anon_sym_RPAREN,
    ACTIONS(5608), 1,
      anon_sym_COMMA,
    STATE(2742), 1,
      aux_sym_tuple_type_repeat1,
    STATE(2506), 2,
      sym_line_comment,
      sym_block_comment,
  [77255] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    STATE(1933), 1,
      sym_type_arguments,
    STATE(2604), 1,
      sym_trait_bounds,
    STATE(2507), 2,
      sym_line_comment,
      sym_block_comment,
  [77278] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4453), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(5610), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(2508), 2,
      sym_line_comment,
      sym_block_comment,
  [77297] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    STATE(1067), 1,
      sym_parameters,
    STATE(1933), 1,
      sym_type_arguments,
    STATE(2509), 2,
      sym_line_comment,
      sym_block_comment,
  [77320] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5612), 1,
      anon_sym_DQUOTE,
    ACTIONS(5614), 2,
      sym_string_content,
      sym_escape_sequence,
    STATE(2510), 3,
      sym_line_comment,
      sym_block_comment,
      aux_sym_string_literal_repeat1,
  [77339] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(5235), 1,
      anon_sym_LBRACE,
    STATE(1234), 1,
      sym_enum_variant_list,
    STATE(3090), 1,
      sym_where_clause,
    STATE(2511), 2,
      sym_line_comment,
      sym_block_comment,
  [77362] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5460), 1,
      anon_sym_GT,
    ACTIONS(5462), 1,
      anon_sym_COMMA,
    ACTIONS(5617), 1,
      anon_sym_EQ,
    STATE(2773), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2512), 2,
      sym_line_comment,
      sym_block_comment,
  [77385] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    STATE(1258), 1,
      sym_declaration_list,
    STATE(3116), 1,
      sym_where_clause,
    STATE(2513), 2,
      sym_line_comment,
      sym_block_comment,
  [77408] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4870), 1,
      anon_sym_LBRACE,
    ACTIONS(4874), 1,
      anon_sym_where,
    STATE(685), 1,
      sym_field_declaration_list,
    STATE(3190), 1,
      sym_where_clause,
    STATE(2514), 2,
      sym_line_comment,
      sym_block_comment,
  [77431] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4891), 1,
      anon_sym_LBRACE,
    STATE(1268), 1,
      sym_field_declaration_list,
    STATE(3119), 1,
      sym_where_clause,
    STATE(2515), 2,
      sym_line_comment,
      sym_block_comment,
  [77454] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5619), 1,
      anon_sym_COLON,
    STATE(2516), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4852), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
  [77473] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4872), 1,
      anon_sym_LT,
    STATE(2196), 1,
      sym_parameters,
    STATE(3163), 1,
      sym_type_parameters,
    STATE(2517), 2,
      sym_line_comment,
      sym_block_comment,
  [77496] = 7,
    ACTIONS(19), 1,
      anon_sym_LBRACE,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(393), 1,
      sym_block,
    STATE(3510), 1,
      sym_label,
    STATE(2518), 2,
      sym_line_comment,
      sym_block_comment,
  [77519] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(338), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(1287), 1,
      sym_block,
    STATE(3539), 1,
      sym_label,
    STATE(2519), 2,
      sym_line_comment,
      sym_block_comment,
  [77542] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5621), 1,
      anon_sym_DQUOTE,
    STATE(2510), 1,
      aux_sym_string_literal_repeat1,
    ACTIONS(5586), 2,
      sym_string_content,
      sym_escape_sequence,
    STATE(2520), 2,
      sym_line_comment,
      sym_block_comment,
  [77563] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5623), 1,
      anon_sym_LPAREN,
    ACTIONS(5625), 1,
      anon_sym_LBRACK,
    ACTIONS(5627), 1,
      anon_sym_LBRACE,
    STATE(372), 1,
      sym_delim_token_tree,
    STATE(2521), 2,
      sym_line_comment,
      sym_block_comment,
  [77586] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3251), 1,
      anon_sym_LT2,
    ACTIONS(5103), 1,
      sym_super,
    ACTIONS(5629), 1,
      sym_identifier,
    STATE(1419), 1,
      sym_type_arguments,
    STATE(2522), 2,
      sym_line_comment,
      sym_block_comment,
  [77609] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5631), 1,
      anon_sym_SEMI,
    STATE(3400), 1,
      sym_where_clause,
    STATE(2523), 2,
      sym_line_comment,
      sym_block_comment,
  [77632] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5452), 1,
      anon_sym_PIPE,
    ACTIONS(5633), 1,
      anon_sym_RPAREN,
    ACTIONS(5635), 1,
      anon_sym_COMMA,
    STATE(2857), 1,
      aux_sym_slice_pattern_repeat1,
    STATE(2524), 2,
      sym_line_comment,
      sym_block_comment,
  [77655] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5452), 1,
      anon_sym_PIPE,
    ACTIONS(5637), 1,
      anon_sym_RPAREN,
    ACTIONS(5639), 1,
      anon_sym_COMMA,
    STATE(2864), 1,
      aux_sym_slice_pattern_repeat1,
    STATE(2525), 2,
      sym_line_comment,
      sym_block_comment,
  [77678] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5438), 1,
      anon_sym_RPAREN,
    ACTIONS(5440), 1,
      anon_sym_COMMA,
    STATE(2872), 1,
      aux_sym_parameters_repeat1,
    STATE(2526), 2,
      sym_line_comment,
      sym_block_comment,
  [77701] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    STATE(3217), 1,
      sym_type_arguments,
    ACTIONS(5604), 2,
      sym_identifier,
      sym_super,
    STATE(2527), 2,
      sym_line_comment,
      sym_block_comment,
  [77722] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    STATE(3195), 1,
      sym_type_arguments,
    ACTIONS(5641), 2,
      sym_identifier,
      sym_super,
    STATE(2528), 2,
      sym_line_comment,
      sym_block_comment,
  [77743] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    STATE(3217), 1,
      sym_type_arguments,
    ACTIONS(5641), 2,
      sym_identifier,
      sym_super,
    STATE(2529), 2,
      sym_line_comment,
      sym_block_comment,
  [77764] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    STATE(582), 1,
      sym_declaration_list,
    STATE(3230), 1,
      sym_where_clause,
    STATE(2530), 2,
      sym_line_comment,
      sym_block_comment,
  [77787] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4644), 1,
      anon_sym_GT,
    ACTIONS(5371), 1,
      anon_sym_COMMA,
    ACTIONS(5617), 1,
      anon_sym_EQ,
    STATE(2873), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2531), 2,
      sym_line_comment,
      sym_block_comment,
  [77810] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5432), 1,
      anon_sym_COLON,
    ACTIONS(5434), 1,
      anon_sym_PIPE,
    ACTIONS(5436), 1,
      anon_sym_COMMA,
    STATE(3001), 1,
      aux_sym_closure_parameters_repeat1,
    STATE(2532), 2,
      sym_line_comment,
      sym_block_comment,
  [77833] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2533), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5643), 4,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [77850] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4654), 1,
      anon_sym_GT,
    ACTIONS(5484), 1,
      anon_sym_COMMA,
    ACTIONS(5617), 1,
      anon_sym_EQ,
    STATE(2891), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2534), 2,
      sym_line_comment,
      sym_block_comment,
  [77873] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    STATE(3195), 1,
      sym_type_arguments,
    ACTIONS(5103), 2,
      sym_identifier,
      sym_super,
    STATE(2535), 2,
      sym_line_comment,
      sym_block_comment,
  [77894] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(5281), 1,
      anon_sym_LBRACE,
    STATE(745), 1,
      sym_enum_variant_list,
    STATE(3159), 1,
      sym_where_clause,
    STATE(2536), 2,
      sym_line_comment,
      sym_block_comment,
  [77917] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    STATE(3217), 1,
      sym_type_arguments,
    ACTIONS(5103), 2,
      sym_identifier,
      sym_super,
    STATE(2537), 2,
      sym_line_comment,
      sym_block_comment,
  [77938] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5645), 1,
      anon_sym_SEMI,
    ACTIONS(5647), 1,
      anon_sym_EQ,
    ACTIONS(5649), 1,
      anon_sym_else,
    STATE(2538), 2,
      sym_line_comment,
      sym_block_comment,
  [77961] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(5604), 1,
      sym_super,
    ACTIONS(5651), 1,
      sym_identifier,
    STATE(3195), 1,
      sym_type_arguments,
    STATE(2539), 2,
      sym_line_comment,
      sym_block_comment,
  [77984] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    STATE(1344), 1,
      sym_declaration_list,
    STATE(3215), 1,
      sym_where_clause,
    STATE(2540), 2,
      sym_line_comment,
      sym_block_comment,
  [78007] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5653), 1,
      anon_sym_SEMI,
    STATE(3381), 1,
      sym_where_clause,
    STATE(2541), 2,
      sym_line_comment,
      sym_block_comment,
  [78030] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    STATE(1356), 1,
      sym_declaration_list,
    STATE(3219), 1,
      sym_where_clause,
    STATE(2542), 2,
      sym_line_comment,
      sym_block_comment,
  [78053] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(5235), 1,
      anon_sym_LBRACE,
    STATE(1361), 1,
      sym_enum_variant_list,
    STATE(3229), 1,
      sym_where_clause,
    STATE(2543), 2,
      sym_line_comment,
      sym_block_comment,
  [78076] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    STATE(740), 1,
      sym_declaration_list,
    STATE(3099), 1,
      sym_where_clause,
    STATE(2544), 2,
      sym_line_comment,
      sym_block_comment,
  [78099] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4891), 1,
      anon_sym_LBRACE,
    STATE(1371), 1,
      sym_field_declaration_list,
    STATE(3233), 1,
      sym_where_clause,
    STATE(2545), 2,
      sym_line_comment,
      sym_block_comment,
  [78122] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2546), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5397), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
  [78139] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(338), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(1376), 1,
      sym_block,
    STATE(3539), 1,
      sym_label,
    STATE(2547), 2,
      sym_line_comment,
      sym_block_comment,
  [78162] = 7,
    ACTIONS(19), 1,
      anon_sym_LBRACE,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(244), 1,
      sym_block,
    STATE(3510), 1,
      sym_label,
    STATE(2548), 2,
      sym_line_comment,
      sym_block_comment,
  [78185] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5655), 1,
      anon_sym_COLON,
    STATE(2549), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4852), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
  [78204] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5657), 1,
      aux_sym_token_repetition_pattern_token1,
    STATE(2550), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5659), 3,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK,
  [78223] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5661), 1,
      anon_sym_in,
    STATE(2551), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5663), 3,
      sym_self,
      sym_super,
      sym_crate,
  [78242] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2552), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(759), 4,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [78259] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4872), 1,
      anon_sym_LT,
    STATE(2191), 1,
      sym_parameters,
    STATE(3228), 1,
      sym_type_parameters,
    STATE(2553), 2,
      sym_line_comment,
      sym_block_comment,
  [78282] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1466), 1,
      anon_sym_RPAREN,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5534), 1,
      anon_sym_COMMA,
    STATE(2961), 1,
      aux_sym_parameters_repeat1,
    STATE(2554), 2,
      sym_line_comment,
      sym_block_comment,
  [78305] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1470), 1,
      anon_sym_RPAREN,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5524), 1,
      anon_sym_COMMA,
    STATE(2846), 1,
      aux_sym_parameters_repeat1,
    STATE(2555), 2,
      sym_line_comment,
      sym_block_comment,
  [78328] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(5598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5665), 1,
      anon_sym_for,
    STATE(1931), 1,
      sym_type_arguments,
    STATE(2556), 2,
      sym_line_comment,
      sym_block_comment,
  [78351] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5667), 1,
      anon_sym_SEMI,
    ACTIONS(5669), 1,
      anon_sym_EQ,
    ACTIONS(5671), 1,
      anon_sym_else,
    STATE(2557), 2,
      sym_line_comment,
      sym_block_comment,
  [78374] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5673), 1,
      anon_sym_SEMI,
    STATE(3479), 1,
      sym_where_clause,
    STATE(2558), 2,
      sym_line_comment,
      sym_block_comment,
  [78397] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    STATE(1426), 1,
      sym_declaration_list,
    STATE(3271), 1,
      sym_where_clause,
    STATE(2559), 2,
      sym_line_comment,
      sym_block_comment,
  [78420] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5675), 1,
      anon_sym_SEMI,
    STATE(3500), 1,
      sym_where_clause,
    STATE(2560), 2,
      sym_line_comment,
      sym_block_comment,
  [78443] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    STATE(1441), 1,
      sym_declaration_list,
    STATE(3274), 1,
      sym_where_clause,
    STATE(2561), 2,
      sym_line_comment,
      sym_block_comment,
  [78466] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    STATE(679), 1,
      sym_declaration_list,
    STATE(3210), 1,
      sym_where_clause,
    STATE(2562), 2,
      sym_line_comment,
      sym_block_comment,
  [78489] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5677), 1,
      anon_sym_DQUOTE,
    STATE(2520), 1,
      aux_sym_string_literal_repeat1,
    ACTIONS(5586), 2,
      sym_string_content,
      sym_escape_sequence,
    STATE(2563), 2,
      sym_line_comment,
      sym_block_comment,
  [78510] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    STATE(2888), 1,
      sym_trait_bounds,
    ACTIONS(5679), 2,
      anon_sym_GT,
      anon_sym_COMMA,
    STATE(2564), 2,
      sym_line_comment,
      sym_block_comment,
  [78531] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5241), 1,
      anon_sym_PLUS,
    STATE(2565), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5681), 3,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_COMMA,
  [78550] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4870), 1,
      anon_sym_LBRACE,
    ACTIONS(4874), 1,
      anon_sym_where,
    STATE(751), 1,
      sym_field_declaration_list,
    STATE(3286), 1,
      sym_where_clause,
    STATE(2566), 2,
      sym_line_comment,
      sym_block_comment,
  [78573] = 7,
    ACTIONS(19), 1,
      anon_sym_LBRACE,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(382), 1,
      sym_block,
    STATE(3510), 1,
      sym_label,
    STATE(2567), 2,
      sym_line_comment,
      sym_block_comment,
  [78596] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4872), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_parameters,
    STATE(3083), 1,
      sym_type_parameters,
    STATE(2568), 2,
      sym_line_comment,
      sym_block_comment,
  [78619] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5241), 1,
      anon_sym_PLUS,
    STATE(2569), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5683), 3,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_COMMA,
  [78638] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5685), 1,
      anon_sym_SEMI,
    STATE(3598), 1,
      sym_where_clause,
    STATE(2570), 2,
      sym_line_comment,
      sym_block_comment,
  [78661] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    STATE(1121), 1,
      sym_declaration_list,
    STATE(3035), 1,
      sym_where_clause,
    STATE(2571), 2,
      sym_line_comment,
      sym_block_comment,
  [78684] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(5604), 1,
      sym_super,
    ACTIONS(5651), 1,
      sym_identifier,
    STATE(3217), 1,
      sym_type_arguments,
    STATE(2572), 2,
      sym_line_comment,
      sym_block_comment,
  [78707] = 7,
    ACTIONS(19), 1,
      anon_sym_LBRACE,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(383), 1,
      sym_block,
    STATE(3510), 1,
      sym_label,
    STATE(2573), 2,
      sym_line_comment,
      sym_block_comment,
  [78730] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5687), 1,
      anon_sym_SEMI,
    STATE(3413), 1,
      sym_where_clause,
    STATE(2574), 2,
      sym_line_comment,
      sym_block_comment,
  [78753] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    STATE(3250), 1,
      sym_trait_bounds,
    ACTIONS(5373), 2,
      anon_sym_GT,
      anon_sym_COMMA,
    STATE(2575), 2,
      sym_line_comment,
      sym_block_comment,
  [78774] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5689), 1,
      anon_sym_RPAREN,
    ACTIONS(5691), 1,
      anon_sym_COMMA,
    STATE(2946), 1,
      aux_sym_tuple_type_repeat1,
    STATE(2576), 2,
      sym_line_comment,
      sym_block_comment,
  [78797] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    STATE(514), 1,
      sym_declaration_list,
    STATE(3221), 1,
      sym_where_clause,
    STATE(2577), 2,
      sym_line_comment,
      sym_block_comment,
  [78820] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    STATE(1933), 1,
      sym_type_arguments,
    STATE(1948), 1,
      sym_parameters,
    STATE(2578), 2,
      sym_line_comment,
      sym_block_comment,
  [78843] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5693), 1,
      anon_sym_RPAREN,
    ACTIONS(5695), 1,
      anon_sym_COMMA,
    STATE(2975), 1,
      aux_sym_ordered_field_declaration_list_repeat1,
    STATE(2579), 2,
      sym_line_comment,
      sym_block_comment,
  [78866] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5697), 1,
      anon_sym_LPAREN,
    ACTIONS(5699), 1,
      anon_sym_LBRACK,
    ACTIONS(5701), 1,
      anon_sym_LBRACE,
    STATE(2533), 1,
      sym_token_tree,
    STATE(2580), 2,
      sym_line_comment,
      sym_block_comment,
  [78889] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4453), 2,
      anon_sym_COLON,
      anon_sym_PIPE,
    ACTIONS(5703), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(2581), 2,
      sym_line_comment,
      sym_block_comment,
  [78908] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1210), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(473), 1,
      sym_block,
    STATE(3590), 1,
      sym_label,
    STATE(2582), 2,
      sym_line_comment,
      sym_block_comment,
  [78931] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1210), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(466), 1,
      sym_block,
    STATE(3590), 1,
      sym_label,
    STATE(2583), 2,
      sym_line_comment,
      sym_block_comment,
  [78954] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5705), 1,
      anon_sym_DQUOTE,
    STATE(2595), 1,
      aux_sym_string_literal_repeat1,
    ACTIONS(5586), 2,
      sym_string_content,
      sym_escape_sequence,
    STATE(2584), 2,
      sym_line_comment,
      sym_block_comment,
  [78975] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    ACTIONS(4997), 1,
      anon_sym_LBRACE,
    STATE(2841), 1,
      sym_block,
    STATE(3589), 1,
      sym_label,
    STATE(2585), 2,
      sym_line_comment,
      sym_block_comment,
  [78998] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(1744), 1,
      sym_block,
    STATE(3591), 1,
      sym_label,
    STATE(2586), 2,
      sym_line_comment,
      sym_block_comment,
  [79021] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5707), 1,
      aux_sym_token_repetition_pattern_token1,
    STATE(2587), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5709), 3,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK,
  [79040] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    STATE(3195), 1,
      sym_type_arguments,
    ACTIONS(5604), 2,
      sym_identifier,
      sym_super,
    STATE(2588), 2,
      sym_line_comment,
      sym_block_comment,
  [79061] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5711), 1,
      anon_sym_COMMA,
    ACTIONS(4091), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(2589), 3,
      sym_line_comment,
      sym_block_comment,
      aux_sym_arguments_repeat1,
  [79080] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3945), 1,
      anon_sym_LT2,
    ACTIONS(4095), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4846), 1,
      anon_sym_BANG,
    STATE(1581), 1,
      sym_type_arguments,
    STATE(2590), 2,
      sym_line_comment,
      sym_block_comment,
  [79103] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1210), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(454), 1,
      sym_block,
    STATE(3590), 1,
      sym_label,
    STATE(2591), 2,
      sym_line_comment,
      sym_block_comment,
  [79126] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5714), 1,
      anon_sym_LPAREN,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_LBRACE,
    STATE(1957), 1,
      sym_delim_token_tree,
    STATE(2592), 2,
      sym_line_comment,
      sym_block_comment,
  [79149] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1210), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(446), 1,
      sym_block,
    STATE(3590), 1,
      sym_label,
    STATE(2593), 2,
      sym_line_comment,
      sym_block_comment,
  [79172] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1210), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(467), 1,
      sym_block,
    STATE(3590), 1,
      sym_label,
    STATE(2594), 2,
      sym_line_comment,
      sym_block_comment,
  [79195] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5720), 1,
      anon_sym_DQUOTE,
    STATE(2510), 1,
      aux_sym_string_literal_repeat1,
    ACTIONS(5586), 2,
      sym_string_content,
      sym_escape_sequence,
    STATE(2595), 2,
      sym_line_comment,
      sym_block_comment,
  [79216] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5714), 1,
      anon_sym_LPAREN,
    ACTIONS(5716), 1,
      anon_sym_LBRACK,
    ACTIONS(5718), 1,
      anon_sym_LBRACE,
    STATE(1959), 1,
      sym_delim_token_tree,
    STATE(2596), 2,
      sym_line_comment,
      sym_block_comment,
  [79239] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3945), 1,
      anon_sym_LT2,
    ACTIONS(5722), 1,
      sym_identifier,
    ACTIONS(5724), 1,
      sym_super,
    STATE(1568), 1,
      sym_type_arguments,
    STATE(2597), 2,
      sym_line_comment,
      sym_block_comment,
  [79262] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3945), 1,
      anon_sym_LT2,
    ACTIONS(5722), 1,
      sym_identifier,
    ACTIONS(5724), 1,
      sym_super,
    STATE(1552), 1,
      sym_type_arguments,
    STATE(2598), 2,
      sym_line_comment,
      sym_block_comment,
  [79285] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(5103), 1,
      sym_super,
    ACTIONS(5602), 1,
      sym_identifier,
    STATE(3195), 1,
      sym_type_arguments,
    STATE(2599), 2,
      sym_line_comment,
      sym_block_comment,
  [79308] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(5103), 1,
      sym_super,
    ACTIONS(5602), 1,
      sym_identifier,
    STATE(3217), 1,
      sym_type_arguments,
    STATE(2600), 2,
      sym_line_comment,
      sym_block_comment,
  [79331] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5726), 1,
      anon_sym_RPAREN,
    ACTIONS(5728), 1,
      anon_sym_COMMA,
    STATE(2795), 1,
      aux_sym_tuple_type_repeat1,
    STATE(2601), 2,
      sym_line_comment,
      sym_block_comment,
  [79354] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(338), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(3373), 1,
      sym_block,
    STATE(3539), 1,
      sym_label,
    STATE(2602), 2,
      sym_line_comment,
      sym_block_comment,
  [79377] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    STATE(1626), 1,
      sym_parameters,
    STATE(1933), 1,
      sym_type_arguments,
    STATE(2603), 2,
      sym_line_comment,
      sym_block_comment,
  [79400] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2604), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5730), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
  [79417] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    STATE(2888), 1,
      sym_trait_bounds,
    ACTIONS(5732), 2,
      anon_sym_GT,
      anon_sym_COMMA,
    STATE(2605), 2,
      sym_line_comment,
      sym_block_comment,
  [79438] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2606), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5735), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_SQUOTE,
  [79455] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1210), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(474), 1,
      sym_block,
    STATE(3590), 1,
      sym_label,
    STATE(2607), 2,
      sym_line_comment,
      sym_block_comment,
  [79478] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(338), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(3388), 1,
      sym_block,
    STATE(3539), 1,
      sym_label,
    STATE(2608), 2,
      sym_line_comment,
      sym_block_comment,
  [79501] = 7,
    ACTIONS(19), 1,
      anon_sym_LBRACE,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(392), 1,
      sym_block,
    STATE(3510), 1,
      sym_label,
    STATE(2609), 2,
      sym_line_comment,
      sym_block_comment,
  [79524] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5426), 1,
      anon_sym_RPAREN,
    ACTIONS(5428), 1,
      anon_sym_COMMA,
    STATE(2809), 1,
      aux_sym_parameters_repeat1,
    STATE(2610), 2,
      sym_line_comment,
      sym_block_comment,
  [79547] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5737), 1,
      anon_sym_LBRACE,
    ACTIONS(5739), 1,
      anon_sym_for,
    ACTIONS(5741), 1,
      anon_sym_loop,
    ACTIONS(5743), 1,
      anon_sym_while,
    STATE(2611), 2,
      sym_line_comment,
      sym_block_comment,
  [79570] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1210), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(468), 1,
      sym_block,
    STATE(3590), 1,
      sym_label,
    STATE(2612), 2,
      sym_line_comment,
      sym_block_comment,
  [79593] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4523), 1,
      anon_sym_BANG,
    ACTIONS(4554), 1,
      anon_sym_COLON_COLON,
    STATE(1930), 1,
      sym_type_arguments,
    STATE(2613), 2,
      sym_line_comment,
      sym_block_comment,
  [79616] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1464), 1,
      anon_sym_RPAREN,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5446), 1,
      anon_sym_COMMA,
    STATE(2817), 1,
      aux_sym_parameters_repeat1,
    STATE(2614), 2,
      sym_line_comment,
      sym_block_comment,
  [79639] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(1743), 1,
      sym_block,
    STATE(3591), 1,
      sym_label,
    STATE(2615), 2,
      sym_line_comment,
      sym_block_comment,
  [79662] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(1745), 1,
      sym_block,
    STATE(3591), 1,
      sym_label,
    STATE(2616), 2,
      sym_line_comment,
      sym_block_comment,
  [79685] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5745), 1,
      anon_sym_DQUOTE,
    STATE(2623), 1,
      aux_sym_string_literal_repeat1,
    ACTIONS(5586), 2,
      sym_string_content,
      sym_escape_sequence,
    STATE(2617), 2,
      sym_line_comment,
      sym_block_comment,
  [79706] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1210), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(462), 1,
      sym_block,
    STATE(3590), 1,
      sym_label,
    STATE(2618), 2,
      sym_line_comment,
      sym_block_comment,
  [79729] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(1841), 1,
      sym_block,
    STATE(3591), 1,
      sym_label,
    STATE(2619), 2,
      sym_line_comment,
      sym_block_comment,
  [79752] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5747), 1,
      anon_sym_LPAREN,
    ACTIONS(5749), 1,
      anon_sym_LBRACK,
    ACTIONS(5751), 1,
      anon_sym_LBRACE,
    STATE(1025), 1,
      sym_delim_token_tree,
    STATE(2620), 2,
      sym_line_comment,
      sym_block_comment,
  [79775] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(1554), 1,
      sym_block,
    STATE(3591), 1,
      sym_label,
    STATE(2621), 2,
      sym_line_comment,
      sym_block_comment,
  [79798] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    STATE(2622), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5753), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
  [79817] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5755), 1,
      anon_sym_DQUOTE,
    STATE(2510), 1,
      aux_sym_string_literal_repeat1,
    ACTIONS(5586), 2,
      sym_string_content,
      sym_escape_sequence,
    STATE(2623), 2,
      sym_line_comment,
      sym_block_comment,
  [79838] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5747), 1,
      anon_sym_LPAREN,
    ACTIONS(5749), 1,
      anon_sym_LBRACK,
    ACTIONS(5751), 1,
      anon_sym_LBRACE,
    STATE(1026), 1,
      sym_delim_token_tree,
    STATE(2624), 2,
      sym_line_comment,
      sym_block_comment,
  [79861] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3251), 1,
      anon_sym_LT2,
    ACTIONS(5103), 1,
      sym_super,
    ACTIONS(5629), 1,
      sym_identifier,
    STATE(1377), 1,
      sym_type_arguments,
    STATE(2625), 2,
      sym_line_comment,
      sym_block_comment,
  [79884] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(5103), 1,
      sym_super,
    ACTIONS(5651), 1,
      sym_identifier,
    STATE(3195), 1,
      sym_type_arguments,
    STATE(2626), 2,
      sym_line_comment,
      sym_block_comment,
  [79907] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(5103), 1,
      sym_super,
    ACTIONS(5651), 1,
      sym_identifier,
    STATE(3217), 1,
      sym_type_arguments,
    STATE(2627), 2,
      sym_line_comment,
      sym_block_comment,
  [79930] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(1769), 1,
      sym_block,
    STATE(3591), 1,
      sym_label,
    STATE(2628), 2,
      sym_line_comment,
      sym_block_comment,
  [79953] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(1775), 1,
      sym_block,
    STATE(3591), 1,
      sym_label,
    STATE(2629), 2,
      sym_line_comment,
      sym_block_comment,
  [79976] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5757), 1,
      anon_sym_DQUOTE,
    STATE(2634), 1,
      aux_sym_string_literal_repeat1,
    ACTIONS(5586), 2,
      sym_string_content,
      sym_escape_sequence,
    STATE(2630), 2,
      sym_line_comment,
      sym_block_comment,
  [79997] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(1780), 1,
      sym_block,
    STATE(3591), 1,
      sym_label,
    STATE(2631), 2,
      sym_line_comment,
      sym_block_comment,
  [80020] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    STATE(2888), 1,
      sym_trait_bounds,
    ACTIONS(5759), 2,
      anon_sym_GT,
      anon_sym_COMMA,
    STATE(2632), 2,
      sym_line_comment,
      sym_block_comment,
  [80041] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5761), 1,
      anon_sym_LPAREN,
    ACTIONS(5763), 1,
      anon_sym_LBRACK,
    ACTIONS(5765), 1,
      anon_sym_LBRACE,
    STATE(1785), 1,
      sym_delim_token_tree,
    STATE(2633), 2,
      sym_line_comment,
      sym_block_comment,
  [80064] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5767), 1,
      anon_sym_DQUOTE,
    STATE(2510), 1,
      aux_sym_string_literal_repeat1,
    ACTIONS(5586), 2,
      sym_string_content,
      sym_escape_sequence,
    STATE(2634), 2,
      sym_line_comment,
      sym_block_comment,
  [80085] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5761), 1,
      anon_sym_LPAREN,
    ACTIONS(5763), 1,
      anon_sym_LBRACK,
    ACTIONS(5765), 1,
      anon_sym_LBRACE,
    STATE(1789), 1,
      sym_delim_token_tree,
    STATE(2635), 2,
      sym_line_comment,
      sym_block_comment,
  [80108] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(5604), 1,
      sym_super,
    ACTIONS(5769), 1,
      sym_identifier,
    STATE(3195), 1,
      sym_type_arguments,
    STATE(2636), 2,
      sym_line_comment,
      sym_block_comment,
  [80131] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(5604), 1,
      sym_super,
    ACTIONS(5769), 1,
      sym_identifier,
    STATE(3217), 1,
      sym_type_arguments,
    STATE(2637), 2,
      sym_line_comment,
      sym_block_comment,
  [80154] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(338), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(3456), 1,
      sym_block,
    STATE(3539), 1,
      sym_label,
    STATE(2638), 2,
      sym_line_comment,
      sym_block_comment,
  [80177] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5452), 1,
      anon_sym_PIPE,
    ACTIONS(5508), 1,
      anon_sym_RPAREN,
    ACTIONS(5512), 1,
      anon_sym_COMMA,
    STATE(2839), 1,
      aux_sym_slice_pattern_repeat1,
    STATE(2639), 2,
      sym_line_comment,
      sym_block_comment,
  [80200] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5452), 1,
      anon_sym_PIPE,
    ACTIONS(5771), 1,
      anon_sym_RPAREN,
    ACTIONS(5773), 1,
      anon_sym_COMMA,
    STATE(2810), 1,
      aux_sym_tuple_pattern_repeat1,
    STATE(2640), 2,
      sym_line_comment,
      sym_block_comment,
  [80223] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5775), 1,
      anon_sym_DQUOTE,
    STATE(2642), 1,
      aux_sym_string_literal_repeat1,
    ACTIONS(5586), 2,
      sym_string_content,
      sym_escape_sequence,
    STATE(2641), 2,
      sym_line_comment,
      sym_block_comment,
  [80244] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5777), 1,
      anon_sym_DQUOTE,
    STATE(2510), 1,
      aux_sym_string_literal_repeat1,
    ACTIONS(5586), 2,
      sym_string_content,
      sym_escape_sequence,
    STATE(2642), 2,
      sym_line_comment,
      sym_block_comment,
  [80265] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(5604), 1,
      sym_super,
    ACTIONS(5779), 1,
      sym_identifier,
    STATE(3195), 1,
      sym_type_arguments,
    STATE(2643), 2,
      sym_line_comment,
      sym_block_comment,
  [80288] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(5604), 1,
      sym_super,
    ACTIONS(5779), 1,
      sym_identifier,
    STATE(3217), 1,
      sym_type_arguments,
    STATE(2644), 2,
      sym_line_comment,
      sym_block_comment,
  [80311] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(338), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(3365), 1,
      sym_block,
    STATE(3539), 1,
      sym_label,
    STATE(2645), 2,
      sym_line_comment,
      sym_block_comment,
  [80334] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5781), 1,
      anon_sym_SEMI,
    ACTIONS(5783), 1,
      anon_sym_EQ,
    ACTIONS(5785), 1,
      anon_sym_else,
    STATE(2646), 2,
      sym_line_comment,
      sym_block_comment,
  [80357] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(5281), 1,
      anon_sym_LBRACE,
    STATE(660), 1,
      sym_enum_variant_list,
    STATE(3046), 1,
      sym_where_clause,
    STATE(2647), 2,
      sym_line_comment,
      sym_block_comment,
  [80380] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(5641), 1,
      sym_super,
    ACTIONS(5787), 1,
      sym_identifier,
    STATE(3195), 1,
      sym_type_arguments,
    STATE(2648), 2,
      sym_line_comment,
      sym_block_comment,
  [80403] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(5641), 1,
      sym_super,
    ACTIONS(5787), 1,
      sym_identifier,
    STATE(3217), 1,
      sym_type_arguments,
    STATE(2649), 2,
      sym_line_comment,
      sym_block_comment,
  [80426] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(5103), 1,
      sym_super,
    ACTIONS(5769), 1,
      sym_identifier,
    STATE(3195), 1,
      sym_type_arguments,
    STATE(2650), 2,
      sym_line_comment,
      sym_block_comment,
  [80449] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(5103), 1,
      sym_super,
    ACTIONS(5769), 1,
      sym_identifier,
    STATE(3217), 1,
      sym_type_arguments,
    STATE(2651), 2,
      sym_line_comment,
      sym_block_comment,
  [80472] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(5604), 1,
      sym_super,
    ACTIONS(5789), 1,
      sym_identifier,
    STATE(3195), 1,
      sym_type_arguments,
    STATE(2652), 2,
      sym_line_comment,
      sym_block_comment,
  [80495] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(5604), 1,
      sym_super,
    ACTIONS(5789), 1,
      sym_identifier,
    STATE(3217), 1,
      sym_type_arguments,
    STATE(2653), 2,
      sym_line_comment,
      sym_block_comment,
  [80518] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(5604), 1,
      sym_super,
    ACTIONS(5791), 1,
      sym_identifier,
    STATE(3195), 1,
      sym_type_arguments,
    STATE(2654), 2,
      sym_line_comment,
      sym_block_comment,
  [80541] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(5604), 1,
      sym_super,
    ACTIONS(5791), 1,
      sym_identifier,
    STATE(3217), 1,
      sym_type_arguments,
    STATE(2655), 2,
      sym_line_comment,
      sym_block_comment,
  [80564] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(5604), 1,
      sym_super,
    ACTIONS(5793), 1,
      sym_identifier,
    STATE(3195), 1,
      sym_type_arguments,
    STATE(2656), 2,
      sym_line_comment,
      sym_block_comment,
  [80587] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(5604), 1,
      sym_super,
    ACTIONS(5793), 1,
      sym_identifier,
    STATE(3217), 1,
      sym_type_arguments,
    STATE(2657), 2,
      sym_line_comment,
      sym_block_comment,
  [80610] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(5103), 1,
      sym_super,
    ACTIONS(5793), 1,
      sym_identifier,
    STATE(3195), 1,
      sym_type_arguments,
    STATE(2658), 2,
      sym_line_comment,
      sym_block_comment,
  [80633] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(5103), 1,
      sym_super,
    ACTIONS(5793), 1,
      sym_identifier,
    STATE(3217), 1,
      sym_type_arguments,
    STATE(2659), 2,
      sym_line_comment,
      sym_block_comment,
  [80656] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    STATE(528), 1,
      sym_declaration_list,
    STATE(3080), 1,
      sym_where_clause,
    STATE(2660), 2,
      sym_line_comment,
      sym_block_comment,
  [80679] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5795), 1,
      aux_sym_token_repetition_pattern_token1,
    STATE(2661), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5797), 3,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK,
  [80698] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2662), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4129), 4,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
      anon_sym_AMP_AMP,
      anon_sym_SQUOTE,
  [80715] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4463), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5211), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4465), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(2663), 2,
      sym_line_comment,
      sym_block_comment,
  [80736] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    STATE(2664), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5799), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_COMMA,
  [80755] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4872), 1,
      anon_sym_LT,
    STATE(2197), 1,
      sym_parameters,
    STATE(3214), 1,
      sym_type_parameters,
    STATE(2665), 2,
      sym_line_comment,
      sym_block_comment,
  [80778] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5801), 1,
      anon_sym_COLON_COLON,
    STATE(2666), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4734), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [80797] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5803), 1,
      anon_sym_in,
    STATE(2667), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5805), 3,
      sym_self,
      sym_super,
      sym_crate,
  [80816] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5807), 1,
      anon_sym_SEMI,
    ACTIONS(5809), 1,
      anon_sym_EQ,
    ACTIONS(5811), 1,
      anon_sym_else,
    STATE(2668), 2,
      sym_line_comment,
      sym_block_comment,
  [80839] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5813), 1,
      anon_sym_LBRACE,
    ACTIONS(5815), 1,
      anon_sym_for,
    ACTIONS(5817), 1,
      anon_sym_loop,
    ACTIONS(5819), 1,
      anon_sym_while,
    STATE(2669), 2,
      sym_line_comment,
      sym_block_comment,
  [80862] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5821), 1,
      anon_sym_COLON_COLON,
    STATE(2670), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4664), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [80881] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5823), 1,
      anon_sym_RPAREN,
    ACTIONS(5825), 1,
      anon_sym_COMMA,
    STATE(2893), 1,
      aux_sym_ordered_field_declaration_list_repeat1,
    STATE(2671), 2,
      sym_line_comment,
      sym_block_comment,
  [80904] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5452), 1,
      anon_sym_PIPE,
    ACTIONS(5827), 1,
      anon_sym_RBRACK,
    ACTIONS(5829), 1,
      anon_sym_COMMA,
    STATE(2818), 1,
      aux_sym_slice_pattern_repeat1,
    STATE(2672), 2,
      sym_line_comment,
      sym_block_comment,
  [80927] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(338), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(3488), 1,
      sym_block,
    STATE(3539), 1,
      sym_label,
    STATE(2673), 2,
      sym_line_comment,
      sym_block_comment,
  [80950] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5452), 1,
      anon_sym_PIPE,
    ACTIONS(5831), 1,
      anon_sym_RPAREN,
    ACTIONS(5833), 1,
      anon_sym_COMMA,
    STATE(2752), 1,
      aux_sym_slice_pattern_repeat1,
    STATE(2674), 2,
      sym_line_comment,
      sym_block_comment,
  [80973] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(338), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(3539), 1,
      sym_label,
    STATE(3567), 1,
      sym_block,
    STATE(2675), 2,
      sym_line_comment,
      sym_block_comment,
  [80996] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(338), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(3503), 1,
      sym_block,
    STATE(3539), 1,
      sym_label,
    STATE(2676), 2,
      sym_line_comment,
      sym_block_comment,
  [81019] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4670), 1,
      anon_sym_for,
    ACTIONS(5598), 1,
      anon_sym_COLON_COLON,
    STATE(1931), 1,
      sym_type_arguments,
    STATE(2677), 2,
      sym_line_comment,
      sym_block_comment,
  [81042] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4872), 1,
      anon_sym_LT,
    STATE(2228), 1,
      sym_parameters,
    STATE(3237), 1,
      sym_type_parameters,
    STATE(2678), 2,
      sym_line_comment,
      sym_block_comment,
  [81065] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5452), 1,
      anon_sym_PIPE,
    STATE(2679), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5835), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_COMMA,
  [81084] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5837), 1,
      anon_sym_COMMA,
    ACTIONS(5835), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(2680), 3,
      sym_line_comment,
      sym_block_comment,
      aux_sym_slice_pattern_repeat1,
  [81103] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2681), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3215), 4,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_GT,
      anon_sym_COMMA,
  [81120] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5840), 1,
      anon_sym_COLON_COLON,
    STATE(2682), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4664), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [81139] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    STATE(729), 1,
      sym_declaration_list,
    STATE(3282), 1,
      sym_where_clause,
    STATE(2683), 2,
      sym_line_comment,
      sym_block_comment,
  [81162] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(338), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(1269), 1,
      sym_block,
    STATE(3539), 1,
      sym_label,
    STATE(2684), 2,
      sym_line_comment,
      sym_block_comment,
  [81185] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5842), 1,
      anon_sym_SEMI,
    STATE(3542), 1,
      sym_where_clause,
    STATE(2685), 2,
      sym_line_comment,
      sym_block_comment,
  [81208] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(338), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(3362), 1,
      sym_block,
    STATE(3539), 1,
      sym_label,
    STATE(2686), 2,
      sym_line_comment,
      sym_block_comment,
  [81231] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(338), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(1218), 1,
      sym_block,
    STATE(3539), 1,
      sym_label,
    STATE(2687), 2,
      sym_line_comment,
      sym_block_comment,
  [81254] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5844), 1,
      anon_sym_DQUOTE,
    STATE(2496), 1,
      aux_sym_string_literal_repeat1,
    ACTIONS(5586), 2,
      sym_string_content,
      sym_escape_sequence,
    STATE(2688), 2,
      sym_line_comment,
      sym_block_comment,
  [81275] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    ACTIONS(4872), 1,
      anon_sym_LT,
    STATE(2204), 1,
      sym_parameters,
    STATE(3253), 1,
      sym_type_parameters,
    STATE(2689), 2,
      sym_line_comment,
      sym_block_comment,
  [81298] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(338), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(1091), 1,
      sym_block,
    STATE(3539), 1,
      sym_label,
    STATE(2690), 2,
      sym_line_comment,
      sym_block_comment,
  [81321] = 5,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5846), 1,
      aux_sym_token_repetition_pattern_token1,
    STATE(2691), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5848), 3,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK,
  [81340] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2692), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(777), 4,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [81357] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5347), 1,
      anon_sym_GT,
    ACTIONS(5349), 1,
      anon_sym_COMMA,
    ACTIONS(5617), 1,
      anon_sym_EQ,
    STATE(2786), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2693), 2,
      sym_line_comment,
      sym_block_comment,
  [81380] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(338), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(3463), 1,
      sym_block,
    STATE(3539), 1,
      sym_label,
    STATE(2694), 2,
      sym_line_comment,
      sym_block_comment,
  [81403] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(338), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(3466), 1,
      sym_block,
    STATE(3539), 1,
      sym_label,
    STATE(2695), 2,
      sym_line_comment,
      sym_block_comment,
  [81426] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5850), 1,
      anon_sym_COLON_COLON,
    STATE(2696), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4664), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [81445] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1564), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(2100), 1,
      sym_block,
    STATE(3582), 1,
      sym_label,
    STATE(2697), 2,
      sym_line_comment,
      sym_block_comment,
  [81468] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5852), 1,
      anon_sym_RPAREN,
    ACTIONS(5854), 1,
      anon_sym_COMMA,
    STATE(2906), 1,
      aux_sym_ordered_field_declaration_list_repeat1,
    STATE(2698), 2,
      sym_line_comment,
      sym_block_comment,
  [81491] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1210), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(465), 1,
      sym_block,
    STATE(3590), 1,
      sym_label,
    STATE(2699), 2,
      sym_line_comment,
      sym_block_comment,
  [81514] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(338), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(3539), 1,
      sym_label,
    STATE(3570), 1,
      sym_block,
    STATE(2700), 2,
      sym_line_comment,
      sym_block_comment,
  [81537] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(338), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(3539), 1,
      sym_label,
    STATE(3571), 1,
      sym_block,
    STATE(2701), 2,
      sym_line_comment,
      sym_block_comment,
  [81560] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(338), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(3471), 1,
      sym_block,
    STATE(3539), 1,
      sym_label,
    STATE(2702), 2,
      sym_line_comment,
      sym_block_comment,
  [81583] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(338), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(1206), 1,
      sym_block,
    STATE(3539), 1,
      sym_label,
    STATE(2703), 2,
      sym_line_comment,
      sym_block_comment,
  [81606] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(338), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(3539), 1,
      sym_label,
    STATE(3548), 1,
      sym_block,
    STATE(2704), 2,
      sym_line_comment,
      sym_block_comment,
  [81629] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5528), 1,
      anon_sym_RPAREN,
    ACTIONS(5530), 1,
      anon_sym_COMMA,
    STATE(2822), 1,
      aux_sym_parameters_repeat1,
    STATE(2705), 2,
      sym_line_comment,
      sym_block_comment,
  [81652] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(338), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(3506), 1,
      sym_block,
    STATE(3539), 1,
      sym_label,
    STATE(2706), 2,
      sym_line_comment,
      sym_block_comment,
  [81675] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4611), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5856), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4613), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(2707), 2,
      sym_line_comment,
      sym_block_comment,
  [81696] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4463), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5207), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4465), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(2708), 2,
      sym_line_comment,
      sym_block_comment,
  [81717] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    ACTIONS(5860), 1,
      anon_sym_for,
    ACTIONS(5862), 1,
      anon_sym_loop,
    ACTIONS(5864), 1,
      anon_sym_while,
    STATE(2709), 2,
      sym_line_comment,
      sym_block_comment,
  [81740] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3251), 1,
      anon_sym_LT2,
    ACTIONS(3541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4848), 1,
      anon_sym_BANG,
    STATE(1048), 1,
      sym_type_arguments,
    STATE(2710), 2,
      sym_line_comment,
      sym_block_comment,
  [81763] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4243), 1,
      anon_sym_LBRACE,
    STATE(2889), 1,
      sym_use_list,
    ACTIONS(5866), 2,
      sym_identifier,
      sym_super,
    STATE(2711), 2,
      sym_line_comment,
      sym_block_comment,
  [81784] = 7,
    ACTIONS(19), 1,
      anon_sym_LBRACE,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(381), 1,
      sym_block,
    STATE(3510), 1,
      sym_label,
    STATE(2712), 2,
      sym_line_comment,
      sym_block_comment,
  [81807] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4463), 1,
      anon_sym_DOT_DOT,
    ACTIONS(5101), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4465), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_DOT_DOT_EQ,
    STATE(2713), 2,
      sym_line_comment,
      sym_block_comment,
  [81828] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5868), 1,
      anon_sym_LBRACE,
    ACTIONS(5870), 1,
      anon_sym_for,
    ACTIONS(5872), 1,
      anon_sym_loop,
    ACTIONS(5874), 1,
      anon_sym_while,
    STATE(2714), 2,
      sym_line_comment,
      sym_block_comment,
  [81851] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(338), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(1381), 1,
      sym_block,
    STATE(3539), 1,
      sym_label,
    STATE(2715), 2,
      sym_line_comment,
      sym_block_comment,
  [81874] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5801), 1,
      anon_sym_COLON_COLON,
    STATE(2716), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4674), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [81893] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5175), 1,
      anon_sym_LPAREN,
    ACTIONS(5177), 1,
      anon_sym_LBRACK,
    ACTIONS(5181), 1,
      anon_sym_LBRACE,
    STATE(1387), 1,
      sym_delim_token_tree,
    STATE(2717), 2,
      sym_line_comment,
      sym_block_comment,
  [81916] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5821), 1,
      anon_sym_COLON_COLON,
    STATE(2718), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4690), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [81935] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5876), 1,
      anon_sym_SEMI,
    STATE(3441), 1,
      sym_where_clause,
    STATE(2719), 2,
      sym_line_comment,
      sym_block_comment,
  [81958] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4744), 1,
      anon_sym_for,
    ACTIONS(5598), 1,
      anon_sym_COLON_COLON,
    STATE(1931), 1,
      sym_type_arguments,
    STATE(2720), 2,
      sym_line_comment,
      sym_block_comment,
  [81981] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(338), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(3384), 1,
      sym_block,
    STATE(3539), 1,
      sym_label,
    STATE(2721), 2,
      sym_line_comment,
      sym_block_comment,
  [82004] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(338), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(1050), 1,
      sym_block,
    STATE(3539), 1,
      sym_label,
    STATE(2722), 2,
      sym_line_comment,
      sym_block_comment,
  [82027] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5840), 1,
      anon_sym_COLON_COLON,
    STATE(2723), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4690), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [82046] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(5598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5878), 1,
      anon_sym_for,
    STATE(1931), 1,
      sym_type_arguments,
    STATE(2724), 2,
      sym_line_comment,
      sym_block_comment,
  [82069] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(5598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5880), 1,
      anon_sym_for,
    STATE(1931), 1,
      sym_type_arguments,
    STATE(2725), 2,
      sym_line_comment,
      sym_block_comment,
  [82092] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5850), 1,
      anon_sym_COLON_COLON,
    STATE(2726), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4690), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [82111] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5623), 1,
      anon_sym_LPAREN,
    ACTIONS(5625), 1,
      anon_sym_LBRACK,
    ACTIONS(5627), 1,
      anon_sym_LBRACE,
    STATE(397), 1,
      sym_delim_token_tree,
    STATE(2727), 2,
      sym_line_comment,
      sym_block_comment,
  [82134] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(5598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5882), 1,
      anon_sym_for,
    STATE(1931), 1,
      sym_type_arguments,
    STATE(2728), 2,
      sym_line_comment,
      sym_block_comment,
  [82157] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(5598), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5884), 1,
      anon_sym_for,
    STATE(1931), 1,
      sym_type_arguments,
    STATE(2729), 2,
      sym_line_comment,
      sym_block_comment,
  [82180] = 7,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(400), 1,
      anon_sym_LBRACE,
    ACTIONS(3344), 1,
      anon_sym_SQUOTE,
    STATE(1752), 1,
      sym_block,
    STATE(3591), 1,
      sym_label,
    STATE(2730), 2,
      sym_line_comment,
      sym_block_comment,
  [82203] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2731), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5886), 3,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK,
  [82219] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(5888), 1,
      anon_sym_SEMI,
    STATE(1144), 1,
      sym_declaration_list,
    STATE(2732), 2,
      sym_line_comment,
      sym_block_comment,
  [82239] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(5890), 1,
      anon_sym_SEMI,
    STATE(1146), 1,
      sym_declaration_list,
    STATE(2733), 2,
      sym_line_comment,
      sym_block_comment,
  [82259] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5892), 1,
      anon_sym_SEMI,
    ACTIONS(5894), 1,
      anon_sym_RBRACK,
    STATE(2734), 2,
      sym_line_comment,
      sym_block_comment,
  [82279] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(5896), 1,
      anon_sym_SEMI,
    STATE(715), 1,
      sym_declaration_list,
    STATE(2735), 2,
      sym_line_comment,
      sym_block_comment,
  [82299] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(5898), 1,
      anon_sym_SEMI,
    STATE(1152), 1,
      sym_declaration_list,
    STATE(2736), 2,
      sym_line_comment,
      sym_block_comment,
  [82319] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(5900), 1,
      anon_sym_SEMI,
    STATE(1154), 1,
      sym_declaration_list,
    STATE(2737), 2,
      sym_line_comment,
      sym_block_comment,
  [82339] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5902), 1,
      anon_sym_RBRACE,
    ACTIONS(5904), 1,
      anon_sym_COMMA,
    STATE(2866), 1,
      aux_sym_struct_pattern_repeat1,
    STATE(2738), 2,
      sym_line_comment,
      sym_block_comment,
  [82359] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5906), 1,
      anon_sym_SEMI,
    ACTIONS(5908), 1,
      anon_sym_EQ,
    STATE(2739), 2,
      sym_line_comment,
      sym_block_comment,
  [82379] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2740), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5910), 3,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK,
  [82395] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5912), 1,
      anon_sym_LPAREN,
    ACTIONS(5914), 1,
      anon_sym_LBRACK,
    ACTIONS(5916), 1,
      anon_sym_LBRACE,
    STATE(2741), 2,
      sym_line_comment,
      sym_block_comment,
  [82415] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3169), 1,
      anon_sym_RPAREN,
    ACTIONS(5918), 1,
      anon_sym_COMMA,
    STATE(2880), 1,
      aux_sym_tuple_type_repeat1,
    STATE(2742), 2,
      sym_line_comment,
      sym_block_comment,
  [82435] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(5920), 1,
      anon_sym_SEMI,
    STATE(1170), 1,
      sym_declaration_list,
    STATE(2743), 2,
      sym_line_comment,
      sym_block_comment,
  [82455] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(5922), 1,
      anon_sym_SEMI,
    STATE(1172), 1,
      sym_declaration_list,
    STATE(2744), 2,
      sym_line_comment,
      sym_block_comment,
  [82475] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(5924), 1,
      anon_sym_SEMI,
    STATE(556), 1,
      sym_declaration_list,
    STATE(2745), 2,
      sym_line_comment,
      sym_block_comment,
  [82495] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2746), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5926), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
  [82511] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1592), 1,
      anon_sym_GT,
    ACTIONS(5928), 1,
      anon_sym_COMMA,
    STATE(2749), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2747), 2,
      sym_line_comment,
      sym_block_comment,
  [82531] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5932), 1,
      anon_sym_COLON,
    ACTIONS(5930), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(2748), 2,
      sym_line_comment,
      sym_block_comment,
  [82549] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5373), 1,
      anon_sym_GT,
    ACTIONS(5934), 1,
      anon_sym_COMMA,
    STATE(2749), 3,
      sym_line_comment,
      sym_block_comment,
      aux_sym_type_arguments_repeat1,
  [82567] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4535), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5937), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(2750), 2,
      sym_line_comment,
      sym_block_comment,
  [82585] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5438), 1,
      anon_sym_RPAREN,
    ACTIONS(5440), 1,
      anon_sym_COMMA,
    STATE(2872), 1,
      aux_sym_parameters_repeat1,
    STATE(2751), 2,
      sym_line_comment,
      sym_block_comment,
  [82605] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3039), 1,
      anon_sym_RPAREN,
    ACTIONS(5939), 1,
      anon_sym_COMMA,
    STATE(2680), 1,
      aux_sym_slice_pattern_repeat1,
    STATE(2752), 2,
      sym_line_comment,
      sym_block_comment,
  [82625] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(5941), 1,
      anon_sym_COLON_COLON,
    STATE(1930), 1,
      sym_type_arguments,
    STATE(2753), 2,
      sym_line_comment,
      sym_block_comment,
  [82645] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4535), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5309), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(2754), 2,
      sym_line_comment,
      sym_block_comment,
  [82663] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(5943), 1,
      anon_sym_SEMI,
    STATE(695), 1,
      sym_declaration_list,
    STATE(2755), 2,
      sym_line_comment,
      sym_block_comment,
  [82683] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2756), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4806), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [82699] = 6,
    ACTIONS(27), 1,
      anon_sym_PIPE,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5945), 1,
      anon_sym_move,
    STATE(217), 1,
      sym_closure_parameters,
    STATE(2757), 2,
      sym_line_comment,
      sym_block_comment,
  [82719] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5947), 1,
      anon_sym_SEMI,
    ACTIONS(5949), 1,
      anon_sym_EQ,
    STATE(2758), 2,
      sym_line_comment,
      sym_block_comment,
  [82739] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2759), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5951), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [82755] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5703), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(2760), 2,
      sym_line_comment,
      sym_block_comment,
  [82773] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2761), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4808), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [82789] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5953), 1,
      anon_sym_RBRACE,
    ACTIONS(5955), 1,
      anon_sym_COMMA,
    STATE(2884), 1,
      aux_sym_enum_variant_list_repeat2,
    STATE(2762), 2,
      sym_line_comment,
      sym_block_comment,
  [82809] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5610), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(2763), 2,
      sym_line_comment,
      sym_block_comment,
  [82827] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5139), 1,
      anon_sym_RBRACE,
    ACTIONS(5957), 1,
      anon_sym_COMMA,
    STATE(2844), 1,
      aux_sym_struct_pattern_repeat1,
    STATE(2764), 2,
      sym_line_comment,
      sym_block_comment,
  [82847] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5961), 1,
      anon_sym_COLON,
    ACTIONS(5959), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(2765), 2,
      sym_line_comment,
      sym_block_comment,
  [82865] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2766), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4766), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [82881] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(5963), 1,
      anon_sym_SEMI,
    STATE(738), 1,
      sym_declaration_list,
    STATE(2767), 2,
      sym_line_comment,
      sym_block_comment,
  [82901] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5967), 1,
      anon_sym_COLON,
    ACTIONS(5965), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(2768), 2,
      sym_line_comment,
      sym_block_comment,
  [82919] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5971), 1,
      anon_sym_EQ,
    ACTIONS(5969), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(2769), 2,
      sym_line_comment,
      sym_block_comment,
  [82937] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5973), 1,
      anon_sym_RBRACE,
    ACTIONS(5975), 1,
      anon_sym_COMMA,
    STATE(2936), 1,
      aux_sym_field_initializer_list_repeat1,
    STATE(2770), 2,
      sym_line_comment,
      sym_block_comment,
  [82957] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4935), 1,
      anon_sym_RBRACE,
    ACTIONS(5977), 1,
      anon_sym_COMMA,
    STATE(2804), 1,
      aux_sym_enum_variant_list_repeat2,
    STATE(2771), 2,
      sym_line_comment,
      sym_block_comment,
  [82977] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4652), 1,
      anon_sym_GT,
    ACTIONS(5979), 1,
      anon_sym_COMMA,
    STATE(2860), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2772), 2,
      sym_line_comment,
      sym_block_comment,
  [82997] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4654), 1,
      anon_sym_GT,
    ACTIONS(5484), 1,
      anon_sym_COMMA,
    STATE(2860), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2773), 2,
      sym_line_comment,
      sym_block_comment,
  [83017] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1003), 1,
      anon_sym_RBRACK,
    ACTIONS(4009), 1,
      anon_sym_COMMA,
    STATE(2589), 1,
      aux_sym_arguments_repeat1,
    STATE(2774), 2,
      sym_line_comment,
      sym_block_comment,
  [83037] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4654), 1,
      anon_sym_GT,
    ACTIONS(5484), 1,
      anon_sym_COMMA,
    STATE(2891), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2775), 2,
      sym_line_comment,
      sym_block_comment,
  [83057] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2776), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5981), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [83073] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1035), 1,
      anon_sym_RBRACK,
    ACTIONS(4061), 1,
      anon_sym_COMMA,
    STATE(2589), 1,
      aux_sym_arguments_repeat1,
    STATE(2777), 2,
      sym_line_comment,
      sym_block_comment,
  [83093] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5460), 1,
      anon_sym_GT,
    ACTIONS(5462), 1,
      anon_sym_COMMA,
    STATE(2773), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2778), 2,
      sym_line_comment,
      sym_block_comment,
  [83113] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2779), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5983), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [83129] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5985), 1,
      anon_sym_SEMI,
    ACTIONS(5987), 1,
      anon_sym_RBRACK,
    STATE(2780), 2,
      sym_line_comment,
      sym_block_comment,
  [83149] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(5989), 1,
      anon_sym_SEMI,
    STATE(1330), 1,
      sym_declaration_list,
    STATE(2781), 2,
      sym_line_comment,
      sym_block_comment,
  [83169] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5991), 1,
      sym_identifier,
    ACTIONS(5993), 1,
      anon_sym_ref,
    ACTIONS(5995), 1,
      sym_mutable_specifier,
    STATE(2782), 2,
      sym_line_comment,
      sym_block_comment,
  [83189] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4935), 1,
      anon_sym_RBRACE,
    ACTIONS(5977), 1,
      anon_sym_COMMA,
    STATE(2832), 1,
      aux_sym_enum_variant_list_repeat2,
    STATE(2783), 2,
      sym_line_comment,
      sym_block_comment,
  [83209] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3251), 1,
      anon_sym_LT2,
    ACTIONS(4883), 1,
      anon_sym_COLON_COLON,
    STATE(1048), 1,
      sym_type_arguments,
    STATE(2784), 2,
      sym_line_comment,
      sym_block_comment,
  [83229] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2785), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4796), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [83245] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4644), 1,
      anon_sym_GT,
    ACTIONS(5371), 1,
      anon_sym_COMMA,
    STATE(2860), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2786), 2,
      sym_line_comment,
      sym_block_comment,
  [83265] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(5997), 1,
      anon_sym_SEMI,
    STATE(1246), 1,
      sym_declaration_list,
    STATE(2787), 2,
      sym_line_comment,
      sym_block_comment,
  [83285] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(983), 1,
      anon_sym_RBRACK,
    ACTIONS(4071), 1,
      anon_sym_COMMA,
    STATE(2589), 1,
      aux_sym_arguments_repeat1,
    STATE(2788), 2,
      sym_line_comment,
      sym_block_comment,
  [83305] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(5999), 1,
      anon_sym_SEMI,
    ACTIONS(6001), 1,
      anon_sym_EQ,
    STATE(2789), 2,
      sym_line_comment,
      sym_block_comment,
  [83325] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1029), 1,
      anon_sym_RPAREN,
    ACTIONS(6003), 1,
      anon_sym_COMMA,
    STATE(2589), 1,
      aux_sym_arguments_repeat1,
    STATE(2790), 2,
      sym_line_comment,
      sym_block_comment,
  [83345] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6005), 1,
      anon_sym_RBRACE,
    ACTIONS(6007), 1,
      anon_sym_COMMA,
    STATE(2914), 1,
      aux_sym_field_declaration_list_repeat1,
    STATE(2791), 2,
      sym_line_comment,
      sym_block_comment,
  [83365] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4872), 1,
      anon_sym_LT,
    ACTIONS(6009), 1,
      anon_sym_EQ,
    STATE(3472), 1,
      sym_type_parameters,
    STATE(2792), 2,
      sym_line_comment,
      sym_block_comment,
  [83385] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(6011), 1,
      anon_sym_SEMI,
    STATE(3377), 1,
      sym_where_clause,
    STATE(2793), 2,
      sym_line_comment,
      sym_block_comment,
  [83405] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2794), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4810), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [83421] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3181), 1,
      anon_sym_RPAREN,
    ACTIONS(6013), 1,
      anon_sym_COMMA,
    STATE(2880), 1,
      aux_sym_tuple_type_repeat1,
    STATE(2795), 2,
      sym_line_comment,
      sym_block_comment,
  [83441] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5610), 1,
      anon_sym_RPAREN,
    ACTIONS(6015), 1,
      anon_sym_COMMA,
    STATE(2796), 3,
      sym_line_comment,
      sym_block_comment,
      aux_sym_parameters_repeat1,
  [83459] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2797), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4816), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [83475] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5426), 1,
      anon_sym_RPAREN,
    ACTIONS(5428), 1,
      anon_sym_COMMA,
    STATE(2809), 1,
      aux_sym_parameters_repeat1,
    STATE(2798), 2,
      sym_line_comment,
      sym_block_comment,
  [83495] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(6018), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(2799), 2,
      sym_line_comment,
      sym_block_comment,
  [83513] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2800), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4856), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [83529] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(6020), 1,
      anon_sym_SEMI,
    STATE(3383), 1,
      sym_where_clause,
    STATE(2801), 2,
      sym_line_comment,
      sym_block_comment,
  [83549] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2802), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4792), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [83565] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2803), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4850), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [83581] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6022), 1,
      anon_sym_RBRACE,
    ACTIONS(6024), 1,
      anon_sym_COMMA,
    STATE(2804), 3,
      sym_line_comment,
      sym_block_comment,
      aux_sym_enum_variant_list_repeat2,
  [83599] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1588), 1,
      anon_sym_GT,
    ACTIONS(6027), 1,
      anon_sym_COMMA,
    STATE(2815), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2805), 2,
      sym_line_comment,
      sym_block_comment,
  [83619] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1588), 1,
      anon_sym_GT,
    ACTIONS(6027), 1,
      anon_sym_COMMA,
    STATE(2749), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2806), 2,
      sym_line_comment,
      sym_block_comment,
  [83639] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5452), 1,
      anon_sym_PIPE,
    ACTIONS(6029), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(2807), 2,
      sym_line_comment,
      sym_block_comment,
  [83657] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3325), 1,
      anon_sym_LBRACE,
    ACTIONS(6031), 1,
      anon_sym_COLON_COLON,
    STATE(1208), 1,
      sym_field_initializer_list,
    STATE(2808), 2,
      sym_line_comment,
      sym_block_comment,
  [83677] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1464), 1,
      anon_sym_RPAREN,
    ACTIONS(5446), 1,
      anon_sym_COMMA,
    STATE(2796), 1,
      aux_sym_parameters_repeat1,
    STATE(2809), 2,
      sym_line_comment,
      sym_block_comment,
  [83697] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2947), 1,
      anon_sym_RPAREN,
    ACTIONS(6033), 1,
      anon_sym_COMMA,
    STATE(2938), 1,
      aux_sym_tuple_pattern_repeat1,
    STATE(2810), 2,
      sym_line_comment,
      sym_block_comment,
  [83717] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(6035), 1,
      anon_sym_SEMI,
    STATE(1354), 1,
      sym_declaration_list,
    STATE(2811), 2,
      sym_line_comment,
      sym_block_comment,
  [83737] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1464), 1,
      anon_sym_RPAREN,
    ACTIONS(5446), 1,
      anon_sym_COMMA,
    STATE(2817), 1,
      aux_sym_parameters_repeat1,
    STATE(2812), 2,
      sym_line_comment,
      sym_block_comment,
  [83757] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(6037), 1,
      anon_sym_SEMI,
    STATE(3320), 1,
      sym_where_clause,
    STATE(2813), 2,
      sym_line_comment,
      sym_block_comment,
  [83777] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6039), 1,
      anon_sym_RBRACE,
    ACTIONS(6041), 1,
      anon_sym_COMMA,
    STATE(2992), 1,
      aux_sym_field_declaration_list_repeat1,
    STATE(2814), 2,
      sym_line_comment,
      sym_block_comment,
  [83797] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1594), 1,
      anon_sym_GT,
    ACTIONS(6043), 1,
      anon_sym_COMMA,
    STATE(2749), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2815), 2,
      sym_line_comment,
      sym_block_comment,
  [83817] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4582), 1,
      anon_sym_COLON,
    ACTIONS(4909), 1,
      anon_sym_COLON_COLON,
    STATE(2604), 1,
      sym_trait_bounds,
    STATE(2816), 2,
      sym_line_comment,
      sym_block_comment,
  [83837] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1468), 1,
      anon_sym_RPAREN,
    ACTIONS(6045), 1,
      anon_sym_COMMA,
    STATE(2796), 1,
      aux_sym_parameters_repeat1,
    STATE(2817), 2,
      sym_line_comment,
      sym_block_comment,
  [83857] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3015), 1,
      anon_sym_RBRACK,
    ACTIONS(6047), 1,
      anon_sym_COMMA,
    STATE(2680), 1,
      aux_sym_slice_pattern_repeat1,
    STATE(2818), 2,
      sym_line_comment,
      sym_block_comment,
  [83877] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5241), 1,
      anon_sym_PLUS,
    ACTIONS(6049), 1,
      anon_sym_GT,
    ACTIONS(6051), 1,
      anon_sym_as,
    STATE(2819), 2,
      sym_line_comment,
      sym_block_comment,
  [83897] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2820), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(6053), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [83913] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4854), 1,
      anon_sym_RBRACE,
    ACTIONS(6055), 1,
      anon_sym_COMMA,
    STATE(3026), 1,
      aux_sym_field_initializer_list_repeat1,
    STATE(2821), 2,
      sym_line_comment,
      sym_block_comment,
  [83933] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1470), 1,
      anon_sym_RPAREN,
    ACTIONS(5524), 1,
      anon_sym_COMMA,
    STATE(2796), 1,
      aux_sym_parameters_repeat1,
    STATE(2822), 2,
      sym_line_comment,
      sym_block_comment,
  [83953] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6057), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4181), 2,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
    STATE(2823), 2,
      sym_line_comment,
      sym_block_comment,
  [83971] = 6,
    ACTIONS(27), 1,
      anon_sym_PIPE,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6059), 1,
      anon_sym_move,
    STATE(231), 1,
      sym_closure_parameters,
    STATE(2824), 2,
      sym_line_comment,
      sym_block_comment,
  [83991] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(6061), 1,
      anon_sym_SEMI,
    STATE(511), 1,
      sym_declaration_list,
    STATE(2825), 2,
      sym_line_comment,
      sym_block_comment,
  [84011] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(6063), 1,
      anon_sym_SEMI,
    STATE(3404), 1,
      sym_where_clause,
    STATE(2826), 2,
      sym_line_comment,
      sym_block_comment,
  [84031] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6067), 1,
      anon_sym_COLON,
    ACTIONS(6065), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(2827), 2,
      sym_line_comment,
      sym_block_comment,
  [84049] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5590), 1,
      anon_sym_RPAREN,
    ACTIONS(5592), 1,
      anon_sym_COMMA,
    STATE(2989), 1,
      aux_sym_tuple_pattern_repeat1,
    STATE(2828), 2,
      sym_line_comment,
      sym_block_comment,
  [84069] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(6069), 1,
      anon_sym_SEMI,
    ACTIONS(6071), 1,
      anon_sym_EQ,
    STATE(2829), 2,
      sym_line_comment,
      sym_block_comment,
  [84089] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1009), 1,
      anon_sym_RPAREN,
    ACTIONS(4073), 1,
      anon_sym_COMMA,
    STATE(2589), 1,
      aux_sym_arguments_repeat1,
    STATE(2830), 2,
      sym_line_comment,
      sym_block_comment,
  [84109] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6075), 1,
      anon_sym_EQ,
    ACTIONS(6073), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(2831), 2,
      sym_line_comment,
      sym_block_comment,
  [84127] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4895), 1,
      anon_sym_RBRACE,
    ACTIONS(6077), 1,
      anon_sym_COMMA,
    STATE(2804), 1,
      aux_sym_enum_variant_list_repeat2,
    STATE(2832), 2,
      sym_line_comment,
      sym_block_comment,
  [84147] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(6079), 1,
      anon_sym_SEMI,
    STATE(3357), 1,
      sym_where_clause,
    STATE(2833), 2,
      sym_line_comment,
      sym_block_comment,
  [84167] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6081), 1,
      sym_identifier,
    ACTIONS(6083), 1,
      anon_sym_await,
    ACTIONS(6085), 1,
      sym_integer_literal,
    STATE(2834), 2,
      sym_line_comment,
      sym_block_comment,
  [84187] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6087), 1,
      anon_sym_LPAREN,
    ACTIONS(6089), 1,
      anon_sym_LBRACK,
    ACTIONS(6091), 1,
      anon_sym_LBRACE,
    STATE(2835), 2,
      sym_line_comment,
      sym_block_comment,
  [84207] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3945), 1,
      anon_sym_LT2,
    ACTIONS(4943), 1,
      anon_sym_COLON_COLON,
    STATE(1581), 1,
      sym_type_arguments,
    STATE(2836), 2,
      sym_line_comment,
      sym_block_comment,
  [84227] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(6093), 2,
      anon_sym_GT,
      anon_sym_COMMA,
    STATE(2837), 2,
      sym_line_comment,
      sym_block_comment,
  [84245] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(6095), 1,
      anon_sym_SEMI,
    STATE(593), 1,
      sym_declaration_list,
    STATE(2838), 2,
      sym_line_comment,
      sym_block_comment,
  [84265] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3037), 1,
      anon_sym_RPAREN,
    ACTIONS(6097), 1,
      anon_sym_COMMA,
    STATE(2680), 1,
      aux_sym_slice_pattern_repeat1,
    STATE(2839), 2,
      sym_line_comment,
      sym_block_comment,
  [84285] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(6099), 1,
      anon_sym_SEMI,
    STATE(595), 1,
      sym_declaration_list,
    STATE(2840), 2,
      sym_line_comment,
      sym_block_comment,
  [84305] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2841), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1366), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [84321] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2842), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(6101), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [84337] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2843), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(6103), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [84353] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6105), 1,
      anon_sym_RBRACE,
    ACTIONS(6107), 1,
      anon_sym_COMMA,
    STATE(2844), 3,
      sym_line_comment,
      sym_block_comment,
      aux_sym_struct_pattern_repeat1,
  [84371] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2845), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4858), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [84387] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1458), 1,
      anon_sym_RPAREN,
    ACTIONS(6110), 1,
      anon_sym_COMMA,
    STATE(2796), 1,
      aux_sym_parameters_repeat1,
    STATE(2846), 2,
      sym_line_comment,
      sym_block_comment,
  [84407] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5617), 1,
      anon_sym_EQ,
    ACTIONS(5759), 2,
      anon_sym_GT,
      anon_sym_COMMA,
    STATE(2847), 2,
      sym_line_comment,
      sym_block_comment,
  [84425] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2848), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(6112), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [84441] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1011), 1,
      anon_sym_RBRACK,
    ACTIONS(6114), 1,
      anon_sym_COMMA,
    STATE(2589), 1,
      aux_sym_arguments_repeat1,
    STATE(2849), 2,
      sym_line_comment,
      sym_block_comment,
  [84461] = 6,
    ACTIONS(27), 1,
      anon_sym_PIPE,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6116), 1,
      anon_sym_move,
    STATE(239), 1,
      sym_closure_parameters,
    STATE(2850), 2,
      sym_line_comment,
      sym_block_comment,
  [84481] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6118), 1,
      anon_sym_RBRACE,
    ACTIONS(6120), 1,
      anon_sym_COMMA,
    STATE(2821), 1,
      aux_sym_field_initializer_list_repeat1,
    STATE(2851), 2,
      sym_line_comment,
      sym_block_comment,
  [84501] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6122), 1,
      anon_sym_RBRACE,
    ACTIONS(6124), 1,
      anon_sym_COMMA,
    STATE(2900), 1,
      aux_sym_use_list_repeat1,
    STATE(2852), 2,
      sym_line_comment,
      sym_block_comment,
  [84521] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1600), 1,
      anon_sym_GT,
    ACTIONS(6126), 1,
      anon_sym_COMMA,
    STATE(2951), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2853), 2,
      sym_line_comment,
      sym_block_comment,
  [84541] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1600), 1,
      anon_sym_GT,
    ACTIONS(6126), 1,
      anon_sym_COMMA,
    STATE(2749), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2854), 2,
      sym_line_comment,
      sym_block_comment,
  [84561] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5771), 1,
      anon_sym_RPAREN,
    ACTIONS(5773), 1,
      anon_sym_COMMA,
    STATE(2810), 1,
      aux_sym_tuple_pattern_repeat1,
    STATE(2855), 2,
      sym_line_comment,
      sym_block_comment,
  [84581] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(6128), 1,
      anon_sym_SEMI,
    STATE(540), 1,
      sym_declaration_list,
    STATE(2856), 2,
      sym_line_comment,
      sym_block_comment,
  [84601] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3027), 1,
      anon_sym_RPAREN,
    ACTIONS(6130), 1,
      anon_sym_COMMA,
    STATE(2680), 1,
      aux_sym_slice_pattern_repeat1,
    STATE(2857), 2,
      sym_line_comment,
      sym_block_comment,
  [84621] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2858), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(6132), 3,
      sym_string_content,
      anon_sym_DQUOTE,
      sym_escape_sequence,
  [84637] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5163), 1,
      anon_sym_RBRACE,
    ACTIONS(6134), 1,
      anon_sym_COMMA,
    STATE(2844), 1,
      aux_sym_struct_pattern_repeat1,
    STATE(2859), 2,
      sym_line_comment,
      sym_block_comment,
  [84657] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5759), 1,
      anon_sym_GT,
    ACTIONS(6136), 1,
      anon_sym_COMMA,
    STATE(2860), 3,
      sym_line_comment,
      sym_block_comment,
      aux_sym_type_parameters_repeat1,
  [84675] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2861), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(937), 3,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_COMMA,
  [84691] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(6139), 1,
      anon_sym_SEMI,
    STATE(3491), 1,
      sym_where_clause,
    STATE(2862), 2,
      sym_line_comment,
      sym_block_comment,
  [84711] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(6141), 2,
      anon_sym_GT,
      anon_sym_COMMA,
    STATE(2863), 2,
      sym_line_comment,
      sym_block_comment,
  [84729] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3029), 1,
      anon_sym_RPAREN,
    ACTIONS(6143), 1,
      anon_sym_COMMA,
    STATE(2680), 1,
      aux_sym_slice_pattern_repeat1,
    STATE(2864), 2,
      sym_line_comment,
      sym_block_comment,
  [84749] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(6145), 1,
      anon_sym_for,
    STATE(1933), 1,
      sym_type_arguments,
    STATE(2865), 2,
      sym_line_comment,
      sym_block_comment,
  [84769] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5165), 1,
      anon_sym_RBRACE,
    ACTIONS(6147), 1,
      anon_sym_COMMA,
    STATE(2844), 1,
      aux_sym_struct_pattern_repeat1,
    STATE(2866), 2,
      sym_line_comment,
      sym_block_comment,
  [84789] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(6149), 1,
      anon_sym_SEMI,
    STATE(1281), 1,
      sym_declaration_list,
    STATE(2867), 2,
      sym_line_comment,
      sym_block_comment,
  [84809] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6153), 1,
      anon_sym_COLON,
    ACTIONS(6151), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(2868), 2,
      sym_line_comment,
      sym_block_comment,
  [84827] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4656), 1,
      anon_sym_GT,
    ACTIONS(6155), 1,
      anon_sym_COMMA,
    STATE(2860), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2869), 2,
      sym_line_comment,
      sym_block_comment,
  [84847] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6157), 1,
      anon_sym_RBRACE,
    ACTIONS(6159), 1,
      anon_sym_COMMA,
    STATE(2950), 1,
      aux_sym_struct_pattern_repeat1,
    STATE(2870), 2,
      sym_line_comment,
      sym_block_comment,
  [84867] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2871), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4754), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [84883] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1466), 1,
      anon_sym_RPAREN,
    ACTIONS(5534), 1,
      anon_sym_COMMA,
    STATE(2796), 1,
      aux_sym_parameters_repeat1,
    STATE(2872), 2,
      sym_line_comment,
      sym_block_comment,
  [84903] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4650), 1,
      anon_sym_GT,
    ACTIONS(6161), 1,
      anon_sym_COMMA,
    STATE(2860), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2873), 2,
      sym_line_comment,
      sym_block_comment,
  [84923] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(6163), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(2874), 2,
      sym_line_comment,
      sym_block_comment,
  [84941] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(6165), 1,
      anon_sym_SEMI,
    STATE(3329), 1,
      sym_where_clause,
    STATE(2875), 2,
      sym_line_comment,
      sym_block_comment,
  [84961] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(6167), 1,
      anon_sym_SEMI,
    STATE(492), 1,
      sym_declaration_list,
    STATE(2876), 2,
      sym_line_comment,
      sym_block_comment,
  [84981] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2877), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4453), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [84997] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2878), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4852), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [85013] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1466), 1,
      anon_sym_RPAREN,
    ACTIONS(5534), 1,
      anon_sym_COMMA,
    STATE(2961), 1,
      aux_sym_parameters_repeat1,
    STATE(2879), 2,
      sym_line_comment,
      sym_block_comment,
  [85033] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6018), 1,
      anon_sym_RPAREN,
    ACTIONS(6169), 1,
      anon_sym_COMMA,
    STATE(2880), 3,
      sym_line_comment,
      sym_block_comment,
      aux_sym_tuple_type_repeat1,
  [85051] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4909), 1,
      anon_sym_COLON_COLON,
    STATE(1930), 1,
      sym_type_arguments,
    STATE(2881), 2,
      sym_line_comment,
      sym_block_comment,
  [85071] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2882), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4800), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [85087] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1470), 1,
      anon_sym_RPAREN,
    ACTIONS(5524), 1,
      anon_sym_COMMA,
    STATE(2846), 1,
      aux_sym_parameters_repeat1,
    STATE(2883), 2,
      sym_line_comment,
      sym_block_comment,
  [85107] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4953), 1,
      anon_sym_RBRACE,
    ACTIONS(6172), 1,
      anon_sym_COMMA,
    STATE(2804), 1,
      aux_sym_enum_variant_list_repeat2,
    STATE(2884), 2,
      sym_line_comment,
      sym_block_comment,
  [85127] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4953), 1,
      anon_sym_RBRACE,
    ACTIONS(6172), 1,
      anon_sym_COMMA,
    STATE(2963), 1,
      aux_sym_enum_variant_list_repeat2,
    STATE(2885), 2,
      sym_line_comment,
      sym_block_comment,
  [85147] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(6174), 1,
      anon_sym_SEMI,
    STATE(546), 1,
      sym_declaration_list,
    STATE(2886), 2,
      sym_line_comment,
      sym_block_comment,
  [85167] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6057), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6176), 2,
      anon_sym_LBRACE,
      anon_sym_SQUOTE,
    STATE(2887), 2,
      sym_line_comment,
      sym_block_comment,
  [85185] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2888), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(6178), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_COMMA,
  [85201] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2889), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(6180), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [85217] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4660), 1,
      anon_sym_GT,
    ACTIONS(6182), 1,
      anon_sym_COMMA,
    STATE(2860), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2890), 2,
      sym_line_comment,
      sym_block_comment,
  [85237] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4632), 1,
      anon_sym_GT,
    ACTIONS(6184), 1,
      anon_sym_COMMA,
    STATE(2860), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2891), 2,
      sym_line_comment,
      sym_block_comment,
  [85257] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(6186), 1,
      anon_sym_SEMI,
    STATE(1403), 1,
      sym_declaration_list,
    STATE(2892), 2,
      sym_line_comment,
      sym_block_comment,
  [85277] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6188), 1,
      anon_sym_RPAREN,
    ACTIONS(6190), 1,
      anon_sym_COMMA,
    STATE(2922), 1,
      aux_sym_ordered_field_declaration_list_repeat1,
    STATE(2893), 2,
      sym_line_comment,
      sym_block_comment,
  [85297] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2894), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4814), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [85313] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2895), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4690), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [85329] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(6192), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(2896), 2,
      sym_line_comment,
      sym_block_comment,
  [85347] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2897), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4832), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [85363] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1015), 1,
      anon_sym_RBRACK,
    ACTIONS(6194), 1,
      anon_sym_COMMA,
    STATE(2589), 1,
      aux_sym_arguments_repeat1,
    STATE(2898), 2,
      sym_line_comment,
      sym_block_comment,
  [85383] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2899), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4772), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [85399] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4375), 1,
      anon_sym_RBRACE,
    ACTIONS(6196), 1,
      anon_sym_COMMA,
    STATE(2920), 1,
      aux_sym_use_list_repeat1,
    STATE(2900), 2,
      sym_line_comment,
      sym_block_comment,
  [85419] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(6198), 1,
      anon_sym_SEMI,
    STATE(1409), 1,
      sym_declaration_list,
    STATE(2901), 2,
      sym_line_comment,
      sym_block_comment,
  [85439] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3325), 1,
      anon_sym_LBRACE,
    ACTIONS(6200), 1,
      anon_sym_COLON_COLON,
    STATE(1208), 1,
      sym_field_initializer_list,
    STATE(2902), 2,
      sym_line_comment,
      sym_block_comment,
  [85459] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6202), 1,
      anon_sym_LPAREN,
    ACTIONS(6204), 1,
      anon_sym_LBRACK,
    ACTIONS(6206), 1,
      anon_sym_LBRACE,
    STATE(2903), 2,
      sym_line_comment,
      sym_block_comment,
  [85479] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6208), 1,
      anon_sym_LPAREN,
    ACTIONS(6210), 1,
      anon_sym_LBRACK,
    ACTIONS(6212), 1,
      anon_sym_LBRACE,
    STATE(2904), 2,
      sym_line_comment,
      sym_block_comment,
  [85499] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(6214), 1,
      anon_sym_SEMI,
    STATE(602), 1,
      sym_declaration_list,
    STATE(2905), 2,
      sym_line_comment,
      sym_block_comment,
  [85519] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6216), 1,
      anon_sym_RPAREN,
    ACTIONS(6218), 1,
      anon_sym_COMMA,
    STATE(2922), 1,
      aux_sym_ordered_field_declaration_list_repeat1,
    STATE(2906), 2,
      sym_line_comment,
      sym_block_comment,
  [85539] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4634), 1,
      anon_sym_GT,
    ACTIONS(6220), 1,
      anon_sym_COMMA,
    STATE(2860), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2907), 2,
      sym_line_comment,
      sym_block_comment,
  [85559] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(6222), 1,
      anon_sym_LBRACE,
    STATE(1933), 1,
      sym_type_arguments,
    STATE(2908), 2,
      sym_line_comment,
      sym_block_comment,
  [85579] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(6224), 1,
      anon_sym_SEMI,
    ACTIONS(6226), 1,
      anon_sym_EQ,
    STATE(2909), 2,
      sym_line_comment,
      sym_block_comment,
  [85599] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(6228), 1,
      anon_sym_SEMI,
    STATE(548), 1,
      sym_declaration_list,
    STATE(2910), 2,
      sym_line_comment,
      sym_block_comment,
  [85619] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(6230), 1,
      anon_sym_SEMI,
    STATE(604), 1,
      sym_declaration_list,
    STATE(2911), 2,
      sym_line_comment,
      sym_block_comment,
  [85639] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2912), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4790), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [85655] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(6232), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(2913), 2,
      sym_line_comment,
      sym_block_comment,
  [85673] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4907), 1,
      anon_sym_RBRACE,
    ACTIONS(6234), 1,
      anon_sym_COMMA,
    STATE(2931), 1,
      aux_sym_field_declaration_list_repeat1,
    STATE(2914), 2,
      sym_line_comment,
      sym_block_comment,
  [85693] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5432), 1,
      anon_sym_COLON,
    ACTIONS(6236), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
    STATE(2915), 2,
      sym_line_comment,
      sym_block_comment,
  [85711] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(6238), 1,
      anon_sym_SEMI,
    STATE(498), 1,
      sym_declaration_list,
    STATE(2916), 2,
      sym_line_comment,
      sym_block_comment,
  [85731] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4907), 1,
      anon_sym_RBRACE,
    ACTIONS(6234), 1,
      anon_sym_COMMA,
    STATE(2993), 1,
      aux_sym_field_declaration_list_repeat1,
    STATE(2917), 2,
      sym_line_comment,
      sym_block_comment,
  [85751] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(6240), 1,
      anon_sym_SEMI,
    STATE(610), 1,
      sym_declaration_list,
    STATE(2918), 2,
      sym_line_comment,
      sym_block_comment,
  [85771] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6242), 1,
      anon_sym_EQ_GT,
    ACTIONS(6244), 1,
      anon_sym_PIPE,
    ACTIONS(6246), 1,
      anon_sym_if,
    STATE(2919), 2,
      sym_line_comment,
      sym_block_comment,
  [85791] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6248), 1,
      anon_sym_RBRACE,
    ACTIONS(6250), 1,
      anon_sym_COMMA,
    STATE(2920), 3,
      sym_line_comment,
      sym_block_comment,
      aux_sym_use_list_repeat1,
  [85809] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(6253), 1,
      anon_sym_SEMI,
    STATE(1423), 1,
      sym_declaration_list,
    STATE(2921), 2,
      sym_line_comment,
      sym_block_comment,
  [85829] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6255), 1,
      anon_sym_RPAREN,
    ACTIONS(6257), 1,
      anon_sym_COMMA,
    STATE(2922), 3,
      sym_line_comment,
      sym_block_comment,
      aux_sym_ordered_field_declaration_list_repeat1,
  [85847] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2923), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4798), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [85863] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6236), 1,
      anon_sym_PIPE,
    ACTIONS(6260), 1,
      anon_sym_COMMA,
    STATE(2924), 3,
      sym_line_comment,
      sym_block_comment,
      aux_sym_closure_parameters_repeat1,
  [85881] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(6263), 1,
      anon_sym_SEMI,
    STATE(612), 1,
      sym_declaration_list,
    STATE(2925), 2,
      sym_line_comment,
      sym_block_comment,
  [85901] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2926), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4826), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [85917] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(6265), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(2927), 2,
      sym_line_comment,
      sym_block_comment,
  [85935] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5452), 1,
      anon_sym_PIPE,
    ACTIONS(6267), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(2928), 2,
      sym_line_comment,
      sym_block_comment,
  [85953] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2969), 1,
      anon_sym_SQUOTE,
    ACTIONS(6269), 1,
      anon_sym_GT,
    STATE(3196), 1,
      sym_lifetime,
    STATE(2929), 2,
      sym_line_comment,
      sym_block_comment,
  [85973] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(6271), 2,
      anon_sym_GT,
      anon_sym_COMMA,
    STATE(2930), 2,
      sym_line_comment,
      sym_block_comment,
  [85991] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6273), 1,
      anon_sym_RBRACE,
    ACTIONS(6275), 1,
      anon_sym_COMMA,
    STATE(2931), 3,
      sym_line_comment,
      sym_block_comment,
      aux_sym_field_declaration_list_repeat1,
  [86009] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(6278), 1,
      anon_sym_SEMI,
    ACTIONS(6280), 1,
      anon_sym_EQ,
    STATE(2932), 2,
      sym_line_comment,
      sym_block_comment,
  [86029] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(6282), 1,
      anon_sym_SEMI,
    STATE(3499), 1,
      sym_where_clause,
    STATE(2933), 2,
      sym_line_comment,
      sym_block_comment,
  [86049] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(6284), 1,
      anon_sym_SEMI,
    ACTIONS(6286), 1,
      anon_sym_EQ,
    STATE(2934), 2,
      sym_line_comment,
      sym_block_comment,
  [86069] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6288), 1,
      sym_identifier,
    ACTIONS(6290), 1,
      anon_sym_await,
    ACTIONS(6292), 1,
      sym_integer_literal,
    STATE(2935), 2,
      sym_line_comment,
      sym_block_comment,
  [86089] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4812), 1,
      anon_sym_RBRACE,
    ACTIONS(6294), 1,
      anon_sym_COMMA,
    STATE(3026), 1,
      aux_sym_field_initializer_list_repeat1,
    STATE(2936), 2,
      sym_line_comment,
      sym_block_comment,
  [86109] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6296), 1,
      anon_sym_RBRACE,
    ACTIONS(6298), 1,
      anon_sym_COMMA,
    STATE(2764), 1,
      aux_sym_struct_pattern_repeat1,
    STATE(2937), 2,
      sym_line_comment,
      sym_block_comment,
  [86129] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6267), 1,
      anon_sym_RPAREN,
    ACTIONS(6300), 1,
      anon_sym_COMMA,
    STATE(2938), 3,
      sym_line_comment,
      sym_block_comment,
      aux_sym_tuple_pattern_repeat1,
  [86147] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2969), 1,
      anon_sym_SQUOTE,
    ACTIONS(6303), 1,
      anon_sym_GT,
    STATE(3196), 1,
      sym_lifetime,
    STATE(2939), 2,
      sym_line_comment,
      sym_block_comment,
  [86167] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2940), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(6305), 3,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK,
  [86183] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6269), 1,
      anon_sym_GT,
    ACTIONS(6307), 1,
      anon_sym_COMMA,
    STATE(2948), 1,
      aux_sym_for_lifetimes_repeat1,
    STATE(2941), 2,
      sym_line_comment,
      sym_block_comment,
  [86203] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4887), 1,
      anon_sym_for,
    STATE(1933), 1,
      sym_type_arguments,
    STATE(2942), 2,
      sym_line_comment,
      sym_block_comment,
  [86223] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4955), 1,
      anon_sym_RBRACE,
    ACTIONS(6309), 1,
      anon_sym_COMMA,
    STATE(2931), 1,
      aux_sym_field_declaration_list_repeat1,
    STATE(2943), 2,
      sym_line_comment,
      sym_block_comment,
  [86243] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1013), 1,
      anon_sym_RPAREN,
    ACTIONS(6311), 1,
      anon_sym_COMMA,
    STATE(2589), 1,
      aux_sym_arguments_repeat1,
    STATE(2944), 2,
      sym_line_comment,
      sym_block_comment,
  [86263] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5617), 1,
      anon_sym_EQ,
    ACTIONS(5679), 2,
      anon_sym_GT,
      anon_sym_COMMA,
    STATE(2945), 2,
      sym_line_comment,
      sym_block_comment,
  [86281] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3137), 1,
      anon_sym_RPAREN,
    ACTIONS(6313), 1,
      anon_sym_COMMA,
    STATE(2880), 1,
      aux_sym_tuple_type_repeat1,
    STATE(2946), 2,
      sym_line_comment,
      sym_block_comment,
  [86301] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(6315), 1,
      anon_sym_SEMI,
    ACTIONS(6317), 1,
      anon_sym_EQ,
    STATE(2947), 2,
      sym_line_comment,
      sym_block_comment,
  [86321] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6319), 1,
      anon_sym_GT,
    ACTIONS(6321), 1,
      anon_sym_COMMA,
    STATE(2948), 3,
      sym_line_comment,
      sym_block_comment,
      aux_sym_for_lifetimes_repeat1,
  [86339] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2949), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4804), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [86355] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5137), 1,
      anon_sym_RBRACE,
    ACTIONS(6324), 1,
      anon_sym_COMMA,
    STATE(2844), 1,
      aux_sym_struct_pattern_repeat1,
    STATE(2950), 2,
      sym_line_comment,
      sym_block_comment,
  [86375] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1586), 1,
      anon_sym_GT,
    ACTIONS(6326), 1,
      anon_sym_COMMA,
    STATE(2749), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2951), 2,
      sym_line_comment,
      sym_block_comment,
  [86395] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(6328), 1,
      anon_sym_SEMI,
    ACTIONS(6330), 1,
      anon_sym_EQ,
    STATE(2952), 2,
      sym_line_comment,
      sym_block_comment,
  [86415] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2953), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4756), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [86431] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2954), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(6332), 3,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_QMARK,
  [86447] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6334), 1,
      sym_identifier,
    ACTIONS(6336), 1,
      anon_sym_ref,
    ACTIONS(6338), 1,
      sym_mutable_specifier,
    STATE(2955), 2,
      sym_line_comment,
      sym_block_comment,
  [86467] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3969), 1,
      anon_sym_LBRACE,
    ACTIONS(6340), 1,
      anon_sym_COLON_COLON,
    STATE(1651), 1,
      sym_field_initializer_list,
    STATE(2956), 2,
      sym_line_comment,
      sym_block_comment,
  [86487] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4678), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4838), 1,
      anon_sym_BANG,
    ACTIONS(6342), 1,
      sym_identifier,
    STATE(2957), 2,
      sym_line_comment,
      sym_block_comment,
  [86507] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2958), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4762), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [86523] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5347), 1,
      anon_sym_GT,
    ACTIONS(5349), 1,
      anon_sym_COMMA,
    STATE(2786), 1,
      aux_sym_type_parameters_repeat1,
    STATE(2959), 2,
      sym_line_comment,
      sym_block_comment,
  [86543] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1007), 1,
      anon_sym_RBRACK,
    ACTIONS(4069), 1,
      anon_sym_COMMA,
    STATE(2589), 1,
      aux_sym_arguments_repeat1,
    STATE(2960), 2,
      sym_line_comment,
      sym_block_comment,
  [86563] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1454), 1,
      anon_sym_RPAREN,
    ACTIONS(6344), 1,
      anon_sym_COMMA,
    STATE(2796), 1,
      aux_sym_parameters_repeat1,
    STATE(2961), 2,
      sym_line_comment,
      sym_block_comment,
  [86583] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2962), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4764), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [86599] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4885), 1,
      anon_sym_RBRACE,
    ACTIONS(6346), 1,
      anon_sym_COMMA,
    STATE(2804), 1,
      aux_sym_enum_variant_list_repeat2,
    STATE(2963), 2,
      sym_line_comment,
      sym_block_comment,
  [86619] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2964), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4788), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [86635] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5452), 1,
      anon_sym_PIPE,
    ACTIONS(6348), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(2965), 2,
      sym_line_comment,
      sym_block_comment,
  [86653] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2966), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5502), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [86669] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(6350), 1,
      anon_sym_SEMI,
    STATE(1461), 1,
      sym_declaration_list,
    STATE(2967), 2,
      sym_line_comment,
      sym_block_comment,
  [86689] = 6,
    ACTIONS(27), 1,
      anon_sym_PIPE,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6352), 1,
      anon_sym_move,
    STATE(224), 1,
      sym_closure_parameters,
    STATE(2968), 2,
      sym_line_comment,
      sym_block_comment,
  [86709] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(6354), 1,
      anon_sym_SEMI,
    STATE(1465), 1,
      sym_declaration_list,
    STATE(2969), 2,
      sym_line_comment,
      sym_block_comment,
  [86729] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4830), 1,
      anon_sym_LBRACE,
    STATE(1933), 1,
      sym_type_arguments,
    STATE(2970), 2,
      sym_line_comment,
      sym_block_comment,
  [86749] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2971), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4664), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [86765] = 6,
    ACTIONS(27), 1,
      anon_sym_PIPE,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6356), 1,
      anon_sym_move,
    STATE(228), 1,
      sym_closure_parameters,
    STATE(2972), 2,
      sym_line_comment,
      sym_block_comment,
  [86785] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2973), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4794), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [86801] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2974), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4802), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [86817] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6358), 1,
      anon_sym_RPAREN,
    ACTIONS(6360), 1,
      anon_sym_COMMA,
    STATE(2922), 1,
      aux_sym_ordered_field_declaration_list_repeat1,
    STATE(2975), 2,
      sym_line_comment,
      sym_block_comment,
  [86837] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(6362), 1,
      anon_sym_SEMI,
    STATE(3467), 1,
      sym_where_clause,
    STATE(2976), 2,
      sym_line_comment,
      sym_block_comment,
  [86857] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2977), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(6364), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [86873] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2978), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4758), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [86889] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(6366), 1,
      anon_sym_for,
    STATE(1933), 1,
      sym_type_arguments,
    STATE(2979), 2,
      sym_line_comment,
      sym_block_comment,
  [86909] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(6368), 1,
      anon_sym_SEMI,
    STATE(1093), 1,
      sym_declaration_list,
    STATE(2980), 2,
      sym_line_comment,
      sym_block_comment,
  [86929] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5528), 1,
      anon_sym_RPAREN,
    ACTIONS(5530), 1,
      anon_sym_COMMA,
    STATE(2822), 1,
      aux_sym_parameters_repeat1,
    STATE(2981), 2,
      sym_line_comment,
      sym_block_comment,
  [86949] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(6370), 1,
      anon_sym_SEMI,
    STATE(1095), 1,
      sym_declaration_list,
    STATE(2982), 2,
      sym_line_comment,
      sym_block_comment,
  [86969] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2983), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4860), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [86985] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1598), 1,
      anon_sym_GT,
    ACTIONS(6372), 1,
      anon_sym_COMMA,
    STATE(2747), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2984), 2,
      sym_line_comment,
      sym_block_comment,
  [87005] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3051), 1,
      anon_sym_PLUS,
    ACTIONS(6374), 1,
      sym_mutable_specifier,
    ACTIONS(6376), 1,
      sym_self,
    STATE(2985), 2,
      sym_line_comment,
      sym_block_comment,
  [87025] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(6378), 1,
      anon_sym_SEMI,
    ACTIONS(6380), 1,
      anon_sym_EQ,
    STATE(2986), 2,
      sym_line_comment,
      sym_block_comment,
  [87045] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(6382), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(2987), 2,
      sym_line_comment,
      sym_block_comment,
  [87063] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2988), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(6384), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [87079] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2945), 1,
      anon_sym_RPAREN,
    ACTIONS(6386), 1,
      anon_sym_COMMA,
    STATE(2938), 1,
      aux_sym_tuple_pattern_repeat1,
    STATE(2989), 2,
      sym_line_comment,
      sym_block_comment,
  [87099] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2990), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4760), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [87115] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1598), 1,
      anon_sym_GT,
    ACTIONS(6372), 1,
      anon_sym_COMMA,
    STATE(2749), 1,
      aux_sym_type_arguments_repeat1,
    STATE(2991), 2,
      sym_line_comment,
      sym_block_comment,
  [87135] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4959), 1,
      anon_sym_RBRACE,
    ACTIONS(6388), 1,
      anon_sym_COMMA,
    STATE(2931), 1,
      aux_sym_field_declaration_list_repeat1,
    STATE(2992), 2,
      sym_line_comment,
      sym_block_comment,
  [87155] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4949), 1,
      anon_sym_RBRACE,
    ACTIONS(6390), 1,
      anon_sym_COMMA,
    STATE(2931), 1,
      aux_sym_field_declaration_list_repeat1,
    STATE(2993), 2,
      sym_line_comment,
      sym_block_comment,
  [87175] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4959), 1,
      anon_sym_RBRACE,
    ACTIONS(6388), 1,
      anon_sym_COMMA,
    STATE(2943), 1,
      aux_sym_field_declaration_list_repeat1,
    STATE(2994), 2,
      sym_line_comment,
      sym_block_comment,
  [87195] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2995), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4752), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [87211] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6392), 1,
      anon_sym_GT,
    ACTIONS(6394), 1,
      anon_sym_COMMA,
    STATE(2941), 1,
      aux_sym_for_lifetimes_repeat1,
    STATE(2996), 2,
      sym_line_comment,
      sym_block_comment,
  [87231] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(6396), 1,
      anon_sym_SEMI,
    ACTIONS(6398), 1,
      anon_sym_RBRACK,
    STATE(2997), 2,
      sym_line_comment,
      sym_block_comment,
  [87251] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(2998), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4768), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [87267] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(6400), 1,
      anon_sym_SEMI,
    STATE(629), 1,
      sym_declaration_list,
    STATE(2999), 2,
      sym_line_comment,
      sym_block_comment,
  [87287] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(3000), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(6402), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [87303] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5436), 1,
      anon_sym_COMMA,
    ACTIONS(6404), 1,
      anon_sym_PIPE,
    STATE(2924), 1,
      aux_sym_closure_parameters_repeat1,
    STATE(3001), 2,
      sym_line_comment,
      sym_block_comment,
  [87323] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(6406), 1,
      anon_sym_SEMI,
    STATE(3371), 1,
      sym_where_clause,
    STATE(3002), 2,
      sym_line_comment,
      sym_block_comment,
  [87343] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(6408), 1,
      anon_sym_SEMI,
    STATE(667), 1,
      sym_declaration_list,
    STATE(3003), 2,
      sym_line_comment,
      sym_block_comment,
  [87363] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1005), 1,
      anon_sym_RPAREN,
    ACTIONS(4067), 1,
      anon_sym_COMMA,
    STATE(2589), 1,
      aux_sym_arguments_repeat1,
    STATE(3004), 2,
      sym_line_comment,
      sym_block_comment,
  [87383] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(6410), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_declaration_list,
    STATE(3005), 2,
      sym_line_comment,
      sym_block_comment,
  [87403] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6412), 1,
      sym_identifier,
    ACTIONS(6414), 2,
      anon_sym_default,
      anon_sym_union,
    STATE(3006), 2,
      sym_line_comment,
      sym_block_comment,
  [87421] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3021), 1,
      anon_sym_RBRACK,
    ACTIONS(6416), 1,
      anon_sym_COMMA,
    STATE(2680), 1,
      aux_sym_slice_pattern_repeat1,
    STATE(3007), 2,
      sym_line_comment,
      sym_block_comment,
  [87441] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6418), 1,
      sym_identifier,
    ACTIONS(6420), 2,
      anon_sym_default,
      anon_sym_union,
    STATE(3008), 2,
      sym_line_comment,
      sym_block_comment,
  [87459] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(6422), 1,
      anon_sym_SEMI,
    STATE(3327), 1,
      sym_where_clause,
    STATE(3009), 2,
      sym_line_comment,
      sym_block_comment,
  [87479] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    ACTIONS(6424), 1,
      anon_sym_SEMI,
    STATE(554), 1,
      sym_declaration_list,
    STATE(3010), 2,
      sym_line_comment,
      sym_block_comment,
  [87499] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4644), 1,
      anon_sym_GT,
    ACTIONS(5371), 1,
      anon_sym_COMMA,
    STATE(2873), 1,
      aux_sym_type_parameters_repeat1,
    STATE(3011), 2,
      sym_line_comment,
      sym_block_comment,
  [87519] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6426), 1,
      anon_sym_RBRACE,
    ACTIONS(6428), 1,
      anon_sym_COMMA,
    STATE(2771), 1,
      aux_sym_enum_variant_list_repeat2,
    STATE(3012), 2,
      sym_line_comment,
      sym_block_comment,
  [87539] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(4961), 1,
      anon_sym_for,
    STATE(1933), 1,
      sym_type_arguments,
    STATE(3013), 2,
      sym_line_comment,
      sym_block_comment,
  [87559] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5452), 1,
      anon_sym_PIPE,
    ACTIONS(6430), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(3014), 2,
      sym_line_comment,
      sym_block_comment,
  [87577] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(6432), 1,
      anon_sym_SEMI,
    ACTIONS(6434), 1,
      anon_sym_EQ,
    STATE(3015), 2,
      sym_line_comment,
      sym_block_comment,
  [87597] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(3016), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(6436), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [87613] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4872), 1,
      anon_sym_LT,
    ACTIONS(6438), 1,
      anon_sym_EQ,
    STATE(3572), 1,
      sym_type_parameters,
    STATE(3017), 2,
      sym_line_comment,
      sym_block_comment,
  [87633] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(6440), 1,
      anon_sym_SEMI,
    ACTIONS(6442), 1,
      anon_sym_EQ,
    STATE(3018), 2,
      sym_line_comment,
      sym_block_comment,
  [87653] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(6444), 1,
      anon_sym_for,
    STATE(1933), 1,
      sym_type_arguments,
    STATE(3019), 2,
      sym_line_comment,
      sym_block_comment,
  [87673] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4582), 1,
      anon_sym_COLON,
    STATE(2604), 1,
      sym_trait_bounds,
    STATE(3020), 2,
      sym_line_comment,
      sym_block_comment,
  [87693] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(6446), 1,
      anon_sym_for,
    STATE(1933), 1,
      sym_type_arguments,
    STATE(3021), 2,
      sym_line_comment,
      sym_block_comment,
  [87713] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6448), 1,
      anon_sym_RBRACE,
    ACTIONS(6450), 1,
      anon_sym_COMMA,
    STATE(2859), 1,
      aux_sym_struct_pattern_repeat1,
    STATE(3022), 2,
      sym_line_comment,
      sym_block_comment,
  [87733] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(6452), 1,
      anon_sym_SEMI,
    STATE(1135), 1,
      sym_declaration_list,
    STATE(3023), 2,
      sym_line_comment,
      sym_block_comment,
  [87753] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(6454), 1,
      anon_sym_SEMI,
    STATE(1137), 1,
      sym_declaration_list,
    STATE(3024), 2,
      sym_line_comment,
      sym_block_comment,
  [87773] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(6456), 1,
      anon_sym_for,
    STATE(1933), 1,
      sym_type_arguments,
    STATE(3025), 2,
      sym_line_comment,
      sym_block_comment,
  [87793] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6458), 1,
      anon_sym_RBRACE,
    ACTIONS(6460), 1,
      anon_sym_COMMA,
    STATE(3026), 3,
      sym_line_comment,
      sym_block_comment,
      aux_sym_field_initializer_list_repeat1,
  [87811] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5436), 1,
      anon_sym_COMMA,
    ACTIONS(6463), 1,
      anon_sym_PIPE,
    STATE(3001), 1,
      aux_sym_closure_parameters_repeat1,
    STATE(3027), 2,
      sym_line_comment,
      sym_block_comment,
  [87831] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6465), 1,
      sym_identifier,
    ACTIONS(6467), 1,
      anon_sym_ref,
    ACTIONS(6469), 1,
      sym_mutable_specifier,
    STATE(3028), 2,
      sym_line_comment,
      sym_block_comment,
  [87851] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4449), 1,
      anon_sym_LT2,
    ACTIONS(6471), 1,
      anon_sym_for,
    STATE(1933), 1,
      sym_type_arguments,
    STATE(3029), 2,
      sym_line_comment,
      sym_block_comment,
  [87871] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    ACTIONS(6473), 1,
      anon_sym_SEMI,
    STATE(1184), 1,
      sym_declaration_list,
    STATE(3030), 2,
      sym_line_comment,
      sym_block_comment,
  [87891] = 6,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4874), 1,
      anon_sym_where,
    ACTIONS(6475), 1,
      anon_sym_SEMI,
    STATE(3556), 1,
      sym_where_clause,
    STATE(3031), 2,
      sym_line_comment,
      sym_block_comment,
  [87911] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(3032), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4822), 3,
      anon_sym_EQ_GT,
      anon_sym_PIPE,
      anon_sym_if,
  [87927] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6477), 2,
      anon_sym_const,
      sym_mutable_specifier,
    STATE(3033), 2,
      sym_line_comment,
      sym_block_comment,
  [87942] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6479), 1,
      anon_sym_SEMI,
    ACTIONS(6481), 1,
      anon_sym_as,
    STATE(3034), 2,
      sym_line_comment,
      sym_block_comment,
  [87959] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    STATE(1162), 1,
      sym_declaration_list,
    STATE(3035), 2,
      sym_line_comment,
      sym_block_comment,
  [87976] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6483), 2,
      sym_identifier,
      sym_metavariable,
    STATE(3036), 2,
      sym_line_comment,
      sym_block_comment,
  [87991] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5546), 1,
      sym_super,
    ACTIONS(6485), 1,
      sym_identifier,
    STATE(3037), 2,
      sym_line_comment,
      sym_block_comment,
  [88008] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    STATE(527), 1,
      sym_declaration_list,
    STATE(3038), 2,
      sym_line_comment,
      sym_block_comment,
  [88025] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6487), 2,
      sym_identifier,
      sym_super,
    STATE(3039), 2,
      sym_line_comment,
      sym_block_comment,
  [88040] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5546), 1,
      sym_super,
    ACTIONS(6489), 1,
      sym_identifier,
    STATE(3040), 2,
      sym_line_comment,
      sym_block_comment,
  [88057] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6491), 2,
      sym__block_comment_content,
      anon_sym_STAR_SLASH,
    STATE(3041), 2,
      sym_line_comment,
      sym_block_comment,
  [88072] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6493), 1,
      sym_identifier,
    ACTIONS(6495), 1,
      sym_super,
    STATE(3042), 2,
      sym_line_comment,
      sym_block_comment,
  [88089] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6145), 1,
      anon_sym_for,
    STATE(3043), 2,
      sym_line_comment,
      sym_block_comment,
  [88106] = 5,
    ACTIONS(27), 1,
      anon_sym_PIPE,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(217), 1,
      sym_closure_parameters,
    STATE(3044), 2,
      sym_line_comment,
      sym_block_comment,
  [88123] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6497), 1,
      anon_sym_SEMI,
    ACTIONS(6499), 1,
      anon_sym_as,
    STATE(3045), 2,
      sym_line_comment,
      sym_block_comment,
  [88140] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5281), 1,
      anon_sym_LBRACE,
    STATE(707), 1,
      sym_enum_variant_list,
    STATE(3046), 2,
      sym_line_comment,
      sym_block_comment,
  [88157] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5143), 1,
      anon_sym_RBRACE,
    ACTIONS(6501), 1,
      anon_sym_SEMI,
    STATE(3047), 2,
      sym_line_comment,
      sym_block_comment,
  [88174] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3579), 1,
      anon_sym_COLON,
    ACTIONS(5241), 1,
      anon_sym_PLUS,
    STATE(3048), 2,
      sym_line_comment,
      sym_block_comment,
  [88191] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5703), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(3049), 2,
      sym_line_comment,
      sym_block_comment,
  [88206] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6503), 1,
      sym_identifier,
    ACTIONS(6505), 1,
      sym_super,
    STATE(3050), 2,
      sym_line_comment,
      sym_block_comment,
  [88223] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5866), 1,
      sym_super,
    ACTIONS(6507), 1,
      sym_identifier,
    STATE(3051), 2,
      sym_line_comment,
      sym_block_comment,
  [88240] = 5,
    ACTIONS(27), 1,
      anon_sym_PIPE,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(228), 1,
      sym_closure_parameters,
    STATE(3052), 2,
      sym_line_comment,
      sym_block_comment,
  [88257] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5145), 1,
      anon_sym_RBRACE,
    ACTIONS(6501), 1,
      anon_sym_SEMI,
    STATE(3053), 2,
      sym_line_comment,
      sym_block_comment,
  [88274] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    STATE(1594), 1,
      sym_parameters,
    STATE(3054), 2,
      sym_line_comment,
      sym_block_comment,
  [88291] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6509), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(3055), 2,
      sym_line_comment,
      sym_block_comment,
  [88306] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6511), 1,
      anon_sym_LT,
    STATE(1084), 1,
      sym_type_parameters,
    STATE(3056), 2,
      sym_line_comment,
      sym_block_comment,
  [88323] = 5,
    ACTIONS(27), 1,
      anon_sym_PIPE,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(225), 1,
      sym_closure_parameters,
    STATE(3057), 2,
      sym_line_comment,
      sym_block_comment,
  [88340] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5991), 1,
      sym_identifier,
    ACTIONS(5995), 1,
      sym_mutable_specifier,
    STATE(3058), 2,
      sym_line_comment,
      sym_block_comment,
  [88357] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3587), 1,
      anon_sym_COLON,
    ACTIONS(5241), 1,
      anon_sym_PLUS,
    STATE(3059), 2,
      sym_line_comment,
      sym_block_comment,
  [88374] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4870), 1,
      anon_sym_LBRACE,
    STATE(747), 1,
      sym_field_declaration_list,
    STATE(3060), 2,
      sym_line_comment,
      sym_block_comment,
  [88391] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3591), 1,
      anon_sym_COLON,
    ACTIONS(5241), 1,
      anon_sym_PLUS,
    STATE(3061), 2,
      sym_line_comment,
      sym_block_comment,
  [88408] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5722), 1,
      sym_identifier,
    ACTIONS(5724), 1,
      sym_super,
    STATE(3062), 2,
      sym_line_comment,
      sym_block_comment,
  [88425] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5641), 2,
      sym_identifier,
      sym_super,
    STATE(3063), 2,
      sym_line_comment,
      sym_block_comment,
  [88440] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6513), 1,
      sym_identifier,
    ACTIONS(6515), 1,
      sym_super,
    STATE(3064), 2,
      sym_line_comment,
      sym_block_comment,
  [88457] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6267), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(3065), 2,
      sym_line_comment,
      sym_block_comment,
  [88472] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6489), 1,
      sym_identifier,
    ACTIONS(6517), 1,
      sym_super,
    STATE(3066), 2,
      sym_line_comment,
      sym_block_comment,
  [88489] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5103), 1,
      sym_super,
    ACTIONS(5602), 1,
      sym_identifier,
    STATE(3067), 2,
      sym_line_comment,
      sym_block_comment,
  [88506] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6519), 1,
      sym_identifier,
    ACTIONS(6521), 1,
      sym_super,
    STATE(3068), 2,
      sym_line_comment,
      sym_block_comment,
  [88523] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3637), 1,
      anon_sym_COLON,
    ACTIONS(5241), 1,
      anon_sym_PLUS,
    STATE(3069), 2,
      sym_line_comment,
      sym_block_comment,
  [88540] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6511), 1,
      anon_sym_LT,
    STATE(865), 1,
      sym_type_parameters,
    STATE(3070), 2,
      sym_line_comment,
      sym_block_comment,
  [88557] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    STATE(1622), 1,
      sym_parameters,
    STATE(3071), 2,
      sym_line_comment,
      sym_block_comment,
  [88574] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5604), 1,
      sym_super,
    ACTIONS(5651), 1,
      sym_identifier,
    STATE(3072), 2,
      sym_line_comment,
      sym_block_comment,
  [88591] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6248), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(3073), 2,
      sym_line_comment,
      sym_block_comment,
  [88606] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5147), 1,
      anon_sym_RPAREN,
    ACTIONS(6501), 1,
      anon_sym_SEMI,
    STATE(3074), 2,
      sym_line_comment,
      sym_block_comment,
  [88623] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2969), 1,
      anon_sym_SQUOTE,
    STATE(3196), 1,
      sym_lifetime,
    STATE(3075), 2,
      sym_line_comment,
      sym_block_comment,
  [88640] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6523), 2,
      sym__block_comment_content,
      anon_sym_STAR_SLASH,
    STATE(3076), 2,
      sym_line_comment,
      sym_block_comment,
  [88655] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6525), 2,
      sym_identifier,
      sym_super,
    STATE(3077), 2,
      sym_line_comment,
      sym_block_comment,
  [88670] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6273), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(3078), 2,
      sym_line_comment,
      sym_block_comment,
  [88685] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5866), 1,
      sym_super,
    ACTIONS(6527), 1,
      sym_identifier,
    STATE(3079), 2,
      sym_line_comment,
      sym_block_comment,
  [88702] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    STATE(580), 1,
      sym_declaration_list,
    STATE(3080), 2,
      sym_line_comment,
      sym_block_comment,
  [88719] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    STATE(1085), 1,
      sym_parameters,
    STATE(3081), 2,
      sym_line_comment,
      sym_block_comment,
  [88736] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6529), 2,
      sym_identifier,
      sym_super,
    STATE(3082), 2,
      sym_line_comment,
      sym_block_comment,
  [88751] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    STATE(2219), 1,
      sym_parameters,
    STATE(3083), 2,
      sym_line_comment,
      sym_block_comment,
  [88768] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6531), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(3084), 2,
      sym_line_comment,
      sym_block_comment,
  [88783] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3939), 1,
      anon_sym_LPAREN,
    STATE(1598), 1,
      sym_parameters,
    STATE(3085), 2,
      sym_line_comment,
      sym_block_comment,
  [88800] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6487), 1,
      sym_super,
    ACTIONS(6533), 1,
      sym_identifier,
    STATE(3086), 2,
      sym_line_comment,
      sym_block_comment,
  [88817] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    STATE(581), 1,
      sym_declaration_list,
    STATE(3087), 2,
      sym_line_comment,
      sym_block_comment,
  [88834] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5610), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(3088), 2,
      sym_line_comment,
      sym_block_comment,
  [88849] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5679), 2,
      anon_sym_GT,
      anon_sym_COMMA,
    STATE(3089), 2,
      sym_line_comment,
      sym_block_comment,
  [88864] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5235), 1,
      anon_sym_LBRACE,
    STATE(1314), 1,
      sym_enum_variant_list,
    STATE(3090), 2,
      sym_line_comment,
      sym_block_comment,
  [88881] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6535), 1,
      anon_sym_RPAREN,
    ACTIONS(6537), 1,
      anon_sym_COLON_COLON,
    STATE(3091), 2,
      sym_line_comment,
      sym_block_comment,
  [88898] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5866), 1,
      sym_super,
    ACTIONS(6539), 1,
      sym_identifier,
    STATE(3092), 2,
      sym_line_comment,
      sym_block_comment,
  [88915] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6535), 1,
      anon_sym_RPAREN,
    ACTIONS(6541), 1,
      anon_sym_COLON_COLON,
    STATE(3093), 2,
      sym_line_comment,
      sym_block_comment,
  [88932] = 5,
    ACTIONS(27), 1,
      anon_sym_PIPE,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(224), 1,
      sym_closure_parameters,
    STATE(3094), 2,
      sym_line_comment,
      sym_block_comment,
  [88949] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6366), 1,
      anon_sym_for,
    STATE(3095), 2,
      sym_line_comment,
      sym_block_comment,
  [88966] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5546), 1,
      sym_super,
    ACTIONS(6543), 1,
      sym_identifier,
    STATE(3096), 2,
      sym_line_comment,
      sym_block_comment,
  [88983] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4870), 1,
      anon_sym_LBRACE,
    STATE(750), 1,
      sym_field_declaration_list,
    STATE(3097), 2,
      sym_line_comment,
      sym_block_comment,
  [89000] = 5,
    ACTIONS(27), 1,
      anon_sym_PIPE,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(231), 1,
      sym_closure_parameters,
    STATE(3098), 2,
      sym_line_comment,
      sym_block_comment,
  [89017] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    STATE(512), 1,
      sym_declaration_list,
    STATE(3099), 2,
      sym_line_comment,
      sym_block_comment,
  [89034] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3969), 1,
      anon_sym_LBRACE,
    STATE(1651), 1,
      sym_field_initializer_list,
    STATE(3100), 2,
      sym_line_comment,
      sym_block_comment,
  [89051] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    STATE(1960), 1,
      sym_parameters,
    STATE(3101), 2,
      sym_line_comment,
      sym_block_comment,
  [89068] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5866), 1,
      sym_super,
    ACTIONS(6533), 1,
      sym_identifier,
    STATE(3102), 2,
      sym_line_comment,
      sym_block_comment,
  [89085] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6545), 1,
      anon_sym_RPAREN,
    ACTIONS(6547), 1,
      anon_sym_COLON_COLON,
    STATE(3103), 2,
      sym_line_comment,
      sym_block_comment,
  [89102] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6549), 1,
      anon_sym_RPAREN,
    STATE(3104), 2,
      sym_line_comment,
      sym_block_comment,
  [89119] = 5,
    ACTIONS(27), 1,
      anon_sym_PIPE,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(232), 1,
      sym_closure_parameters,
    STATE(3105), 2,
      sym_line_comment,
      sym_block_comment,
  [89136] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6541), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6549), 1,
      anon_sym_RPAREN,
    STATE(3106), 2,
      sym_line_comment,
      sym_block_comment,
  [89153] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6549), 1,
      anon_sym_RPAREN,
    ACTIONS(6551), 1,
      anon_sym_COLON_COLON,
    STATE(3107), 2,
      sym_line_comment,
      sym_block_comment,
  [89170] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4607), 1,
      anon_sym_BANG,
    ACTIONS(4694), 1,
      anon_sym_COLON_COLON,
    STATE(3108), 2,
      sym_line_comment,
      sym_block_comment,
  [89187] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5724), 2,
      sym_identifier,
      sym_super,
    STATE(3109), 2,
      sym_line_comment,
      sym_block_comment,
  [89202] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6517), 1,
      sym_super,
    ACTIONS(6553), 1,
      sym_identifier,
    STATE(3110), 2,
      sym_line_comment,
      sym_block_comment,
  [89219] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5103), 1,
      sym_super,
    ACTIONS(5651), 1,
      sym_identifier,
    STATE(3111), 2,
      sym_line_comment,
      sym_block_comment,
  [89236] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6521), 1,
      sym_super,
    ACTIONS(6555), 1,
      sym_identifier,
    STATE(3112), 2,
      sym_line_comment,
      sym_block_comment,
  [89253] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6557), 1,
      anon_sym_LPAREN,
    ACTIONS(6559), 1,
      anon_sym_COLON_COLON,
    STATE(3113), 2,
      sym_line_comment,
      sym_block_comment,
  [89270] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4870), 1,
      anon_sym_LBRACE,
    STATE(684), 1,
      sym_field_declaration_list,
    STATE(3114), 2,
      sym_line_comment,
      sym_block_comment,
  [89287] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4891), 1,
      anon_sym_LBRACE,
    STATE(1341), 1,
      sym_field_declaration_list,
    STATE(3115), 2,
      sym_line_comment,
      sym_block_comment,
  [89304] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    STATE(1342), 1,
      sym_declaration_list,
    STATE(3116), 2,
      sym_line_comment,
      sym_block_comment,
  [89321] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    STATE(1343), 1,
      sym_declaration_list,
    STATE(3117), 2,
      sym_line_comment,
      sym_block_comment,
  [89338] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6561), 1,
      anon_sym_SEMI,
    ACTIONS(6563), 1,
      anon_sym_as,
    STATE(3118), 2,
      sym_line_comment,
      sym_block_comment,
  [89355] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4891), 1,
      anon_sym_LBRACE,
    STATE(1349), 1,
      sym_field_declaration_list,
    STATE(3119), 2,
      sym_line_comment,
      sym_block_comment,
  [89372] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5759), 2,
      anon_sym_GT,
      anon_sym_COMMA,
    STATE(3120), 2,
      sym_line_comment,
      sym_block_comment,
  [89387] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6565), 1,
      anon_sym_LBRACK,
    ACTIONS(6567), 1,
      anon_sym_BANG,
    STATE(3121), 2,
      sym_line_comment,
      sym_block_comment,
  [89404] = 5,
    ACTIONS(27), 1,
      anon_sym_PIPE,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(239), 1,
      sym_closure_parameters,
    STATE(3122), 2,
      sym_line_comment,
      sym_block_comment,
  [89421] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    STATE(1355), 1,
      sym_declaration_list,
    STATE(3123), 2,
      sym_line_comment,
      sym_block_comment,
  [89438] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5546), 1,
      sym_super,
    ACTIONS(6569), 1,
      sym_identifier,
    STATE(3124), 2,
      sym_line_comment,
      sym_block_comment,
  [89455] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6487), 1,
      sym_super,
    ACTIONS(6571), 1,
      sym_identifier,
    STATE(3125), 2,
      sym_line_comment,
      sym_block_comment,
  [89472] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5546), 1,
      sym_super,
    ACTIONS(6573), 1,
      sym_identifier,
    STATE(3126), 2,
      sym_line_comment,
      sym_block_comment,
  [89489] = 5,
    ACTIONS(27), 1,
      anon_sym_PIPE,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(241), 1,
      sym_closure_parameters,
    STATE(3127), 2,
      sym_line_comment,
      sym_block_comment,
  [89506] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4870), 1,
      anon_sym_LBRACE,
    STATE(675), 1,
      sym_field_declaration_list,
    STATE(3128), 2,
      sym_line_comment,
      sym_block_comment,
  [89523] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5235), 1,
      anon_sym_LBRACE,
    STATE(1360), 1,
      sym_enum_variant_list,
    STATE(3129), 2,
      sym_line_comment,
      sym_block_comment,
  [89540] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6529), 1,
      sym_super,
    ACTIONS(6575), 1,
      sym_identifier,
    STATE(3130), 2,
      sym_line_comment,
      sym_block_comment,
  [89557] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6577), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(3131), 2,
      sym_line_comment,
      sym_block_comment,
  [89572] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5604), 1,
      sym_super,
    ACTIONS(5769), 1,
      sym_identifier,
    STATE(3132), 2,
      sym_line_comment,
      sym_block_comment,
  [89589] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6579), 1,
      sym_identifier,
    ACTIONS(6581), 1,
      sym_super,
    STATE(3133), 2,
      sym_line_comment,
      sym_block_comment,
  [89606] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6487), 1,
      sym_super,
    ACTIONS(6507), 1,
      sym_identifier,
    STATE(3134), 2,
      sym_line_comment,
      sym_block_comment,
  [89623] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5866), 2,
      sym_identifier,
      sym_super,
    STATE(3135), 2,
      sym_line_comment,
      sym_block_comment,
  [89638] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4891), 1,
      anon_sym_LBRACE,
    STATE(1363), 1,
      sym_field_declaration_list,
    STATE(3136), 2,
      sym_line_comment,
      sym_block_comment,
  [89655] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4891), 1,
      anon_sym_LBRACE,
    STATE(1370), 1,
      sym_field_declaration_list,
    STATE(3137), 2,
      sym_line_comment,
      sym_block_comment,
  [89672] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6583), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(3138), 2,
      sym_line_comment,
      sym_block_comment,
  [89687] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6585), 1,
      anon_sym_SEMI,
    ACTIONS(6587), 1,
      anon_sym_as,
    STATE(3139), 2,
      sym_line_comment,
      sym_block_comment,
  [89704] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6589), 1,
      sym_identifier,
    ACTIONS(6591), 1,
      sym_mutable_specifier,
    STATE(3140), 2,
      sym_line_comment,
      sym_block_comment,
  [89721] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5147), 1,
      anon_sym_RBRACK,
    ACTIONS(6501), 1,
      anon_sym_SEMI,
    STATE(3141), 2,
      sym_line_comment,
      sym_block_comment,
  [89738] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6487), 1,
      sym_super,
    ACTIONS(6593), 1,
      sym_identifier,
    STATE(3142), 2,
      sym_line_comment,
      sym_block_comment,
  [89755] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6595), 2,
      anon_sym_const,
      sym_mutable_specifier,
    STATE(3143), 2,
      sym_line_comment,
      sym_block_comment,
  [89770] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4870), 1,
      anon_sym_LBRACE,
    STATE(726), 1,
      sym_field_declaration_list,
    STATE(3144), 2,
      sym_line_comment,
      sym_block_comment,
  [89787] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6517), 1,
      sym_super,
    ACTIONS(6597), 1,
      sym_identifier,
    STATE(3145), 2,
      sym_line_comment,
      sym_block_comment,
  [89804] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5604), 1,
      sym_super,
    ACTIONS(5779), 1,
      sym_identifier,
    STATE(3146), 2,
      sym_line_comment,
      sym_block_comment,
  [89821] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6581), 1,
      sym_super,
    ACTIONS(6599), 1,
      sym_identifier,
    STATE(3147), 2,
      sym_line_comment,
      sym_block_comment,
  [89838] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5309), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(3148), 2,
      sym_line_comment,
      sym_block_comment,
  [89853] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    STATE(1060), 1,
      sym_parameters,
    STATE(3149), 2,
      sym_line_comment,
      sym_block_comment,
  [89870] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5157), 1,
      anon_sym_RBRACE,
    ACTIONS(6501), 1,
      anon_sym_SEMI,
    STATE(3150), 2,
      sym_line_comment,
      sym_block_comment,
  [89887] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6501), 1,
      anon_sym_SEMI,
    ACTIONS(6601), 1,
      anon_sym_RBRACE,
    STATE(3151), 2,
      sym_line_comment,
      sym_block_comment,
  [89904] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3251), 1,
      anon_sym_LT2,
    STATE(1183), 1,
      sym_type_arguments,
    STATE(3152), 2,
      sym_line_comment,
      sym_block_comment,
  [89921] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4445), 1,
      anon_sym_BANG,
    ACTIONS(6603), 1,
      anon_sym_COLON_COLON,
    STATE(3153), 2,
      sym_line_comment,
      sym_block_comment,
  [89938] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5281), 1,
      anon_sym_LBRACE,
    STATE(659), 1,
      sym_enum_variant_list,
    STATE(3154), 2,
      sym_line_comment,
      sym_block_comment,
  [89955] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6501), 1,
      anon_sym_SEMI,
    ACTIONS(6605), 1,
      anon_sym_RBRACE,
    STATE(3155), 2,
      sym_line_comment,
      sym_block_comment,
  [89972] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4607), 1,
      anon_sym_BANG,
    ACTIONS(4668), 1,
      anon_sym_COLON_COLON,
    STATE(3156), 2,
      sym_line_comment,
      sym_block_comment,
  [89989] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6607), 1,
      sym_identifier,
    ACTIONS(6609), 1,
      sym_super,
    STATE(3157), 2,
      sym_line_comment,
      sym_block_comment,
  [90006] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6517), 1,
      sym_super,
    ACTIONS(6611), 1,
      sym_identifier,
    STATE(3158), 2,
      sym_line_comment,
      sym_block_comment,
  [90023] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5281), 1,
      anon_sym_LBRACE,
    STATE(521), 1,
      sym_enum_variant_list,
    STATE(3159), 2,
      sym_line_comment,
      sym_block_comment,
  [90040] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5641), 1,
      sym_super,
    ACTIONS(5787), 1,
      sym_identifier,
    STATE(3160), 2,
      sym_line_comment,
      sym_block_comment,
  [90057] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6525), 1,
      sym_super,
    ACTIONS(6613), 1,
      sym_identifier,
    STATE(3161), 2,
      sym_line_comment,
      sym_block_comment,
  [90074] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5159), 1,
      anon_sym_RPAREN,
    ACTIONS(6501), 1,
      anon_sym_SEMI,
    STATE(3162), 2,
      sym_line_comment,
      sym_block_comment,
  [90091] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    STATE(2180), 1,
      sym_parameters,
    STATE(3163), 2,
      sym_line_comment,
      sym_block_comment,
  [90108] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5866), 1,
      sym_super,
    ACTIONS(6571), 1,
      sym_identifier,
    STATE(3164), 2,
      sym_line_comment,
      sym_block_comment,
  [90125] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6517), 1,
      sym_super,
    ACTIONS(6543), 1,
      sym_identifier,
    STATE(3165), 2,
      sym_line_comment,
      sym_block_comment,
  [90142] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3731), 1,
      anon_sym_COLON,
    ACTIONS(5241), 1,
      anon_sym_PLUS,
    STATE(3166), 2,
      sym_line_comment,
      sym_block_comment,
  [90159] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5103), 1,
      sym_super,
    ACTIONS(5769), 1,
      sym_identifier,
    STATE(3167), 2,
      sym_line_comment,
      sym_block_comment,
  [90176] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6521), 1,
      sym_super,
    ACTIONS(6579), 1,
      sym_identifier,
    STATE(3168), 2,
      sym_line_comment,
      sym_block_comment,
  [90193] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5159), 1,
      anon_sym_RBRACK,
    ACTIONS(6501), 1,
      anon_sym_SEMI,
    STATE(3169), 2,
      sym_line_comment,
      sym_block_comment,
  [90210] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6487), 1,
      sym_super,
    ACTIONS(6615), 1,
      sym_identifier,
    STATE(3170), 2,
      sym_line_comment,
      sym_block_comment,
  [90227] = 5,
    ACTIONS(27), 1,
      anon_sym_PIPE,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(236), 1,
      sym_closure_parameters,
    STATE(3171), 2,
      sym_line_comment,
      sym_block_comment,
  [90244] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5604), 1,
      sym_super,
    ACTIONS(5789), 1,
      sym_identifier,
    STATE(3172), 2,
      sym_line_comment,
      sym_block_comment,
  [90261] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6581), 1,
      sym_super,
    ACTIONS(6617), 1,
      sym_identifier,
    STATE(3173), 2,
      sym_line_comment,
      sym_block_comment,
  [90278] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6555), 1,
      sym_identifier,
    ACTIONS(6581), 1,
      sym_super,
    STATE(3174), 2,
      sym_line_comment,
      sym_block_comment,
  [90295] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6487), 1,
      sym_super,
    ACTIONS(6619), 1,
      sym_identifier,
    STATE(3175), 2,
      sym_line_comment,
      sym_block_comment,
  [90312] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6521), 2,
      sym_identifier,
      sym_super,
    STATE(3176), 2,
      sym_line_comment,
      sym_block_comment,
  [90327] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5604), 1,
      sym_super,
    ACTIONS(5791), 1,
      sym_identifier,
    STATE(3177), 2,
      sym_line_comment,
      sym_block_comment,
  [90344] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6581), 1,
      sym_super,
    ACTIONS(6621), 1,
      sym_identifier,
    STATE(3178), 2,
      sym_line_comment,
      sym_block_comment,
  [90361] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4181), 1,
      anon_sym_EQ_GT,
    ACTIONS(6623), 1,
      anon_sym_AMP_AMP,
    STATE(3179), 2,
      sym_line_comment,
      sym_block_comment,
  [90378] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6487), 1,
      sym_super,
    ACTIONS(6625), 1,
      sym_identifier,
    STATE(3180), 2,
      sym_line_comment,
      sym_block_comment,
  [90395] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6176), 1,
      anon_sym_EQ_GT,
    ACTIONS(6623), 1,
      anon_sym_AMP_AMP,
    STATE(3181), 2,
      sym_line_comment,
      sym_block_comment,
  [90412] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5604), 1,
      sym_super,
    ACTIONS(5793), 1,
      sym_identifier,
    STATE(3182), 2,
      sym_line_comment,
      sym_block_comment,
  [90429] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6581), 1,
      sym_super,
    ACTIONS(6627), 1,
      sym_identifier,
    STATE(3183), 2,
      sym_line_comment,
      sym_block_comment,
  [90446] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6629), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(3184), 2,
      sym_line_comment,
      sym_block_comment,
  [90461] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6581), 2,
      sym_identifier,
      sym_super,
    STATE(3185), 2,
      sym_line_comment,
      sym_block_comment,
  [90476] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5103), 1,
      sym_super,
    ACTIONS(5793), 1,
      sym_identifier,
    STATE(3186), 2,
      sym_line_comment,
      sym_block_comment,
  [90493] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6521), 1,
      sym_super,
    ACTIONS(6627), 1,
      sym_identifier,
    STATE(3187), 2,
      sym_line_comment,
      sym_block_comment,
  [90510] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5452), 1,
      anon_sym_PIPE,
    ACTIONS(6631), 1,
      anon_sym_in,
    STATE(3188), 2,
      sym_line_comment,
      sym_block_comment,
  [90527] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6633), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(3189), 2,
      sym_line_comment,
      sym_block_comment,
  [90542] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4870), 1,
      anon_sym_LBRACE,
    STATE(734), 1,
      sym_field_declaration_list,
    STATE(3190), 2,
      sym_line_comment,
      sym_block_comment,
  [90559] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5103), 1,
      sym_super,
    ACTIONS(5629), 1,
      sym_identifier,
    STATE(3191), 2,
      sym_line_comment,
      sym_block_comment,
  [90576] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5167), 1,
      anon_sym_RBRACE,
    ACTIONS(6501), 1,
      anon_sym_SEMI,
    STATE(3192), 2,
      sym_line_comment,
      sym_block_comment,
  [90593] = 5,
    ACTIONS(27), 1,
      anon_sym_PIPE,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    STATE(235), 1,
      sym_closure_parameters,
    STATE(3193), 2,
      sym_line_comment,
      sym_block_comment,
  [90610] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4971), 1,
      anon_sym_COLON,
    STATE(2604), 1,
      sym_trait_bounds,
    STATE(3194), 2,
      sym_line_comment,
      sym_block_comment,
  [90627] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3863), 2,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
    STATE(3195), 2,
      sym_line_comment,
      sym_block_comment,
  [90642] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6319), 2,
      anon_sym_GT,
      anon_sym_COMMA,
    STATE(3196), 2,
      sym_line_comment,
      sym_block_comment,
  [90657] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6105), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(3197), 2,
      sym_line_comment,
      sym_block_comment,
  [90672] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6557), 1,
      anon_sym_LPAREN,
    ACTIONS(6635), 1,
      anon_sym_COLON_COLON,
    STATE(3198), 2,
      sym_line_comment,
      sym_block_comment,
  [90689] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6637), 2,
      sym_identifier,
      sym_metavariable,
    STATE(3199), 2,
      sym_line_comment,
      sym_block_comment,
  [90704] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6639), 2,
      anon_sym_const,
      sym_mutable_specifier,
    STATE(3200), 2,
      sym_line_comment,
      sym_block_comment,
  [90719] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6236), 2,
      anon_sym_PIPE,
      anon_sym_COMMA,
    STATE(3201), 2,
      sym_line_comment,
      sym_block_comment,
  [90734] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6641), 1,
      anon_sym_BANG,
    ACTIONS(6643), 1,
      anon_sym_COLON_COLON,
    STATE(3202), 2,
      sym_line_comment,
      sym_block_comment,
  [90751] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5151), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(3203), 2,
      sym_line_comment,
      sym_block_comment,
  [90766] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5103), 1,
      sym_super,
    ACTIONS(5588), 1,
      sym_identifier,
    STATE(3204), 2,
      sym_line_comment,
      sym_block_comment,
  [90783] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5604), 2,
      sym_identifier,
      sym_super,
    STATE(3205), 2,
      sym_line_comment,
      sym_block_comment,
  [90798] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6521), 1,
      sym_super,
    ACTIONS(6645), 1,
      sym_identifier,
    STATE(3206), 2,
      sym_line_comment,
      sym_block_comment,
  [90815] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    STATE(1963), 1,
      sym_parameters,
    STATE(3207), 2,
      sym_line_comment,
      sym_block_comment,
  [90832] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    STATE(678), 1,
      sym_declaration_list,
    STATE(3208), 2,
      sym_line_comment,
      sym_block_comment,
  [90849] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6535), 1,
      anon_sym_RPAREN,
    ACTIONS(6551), 1,
      anon_sym_COLON_COLON,
    STATE(3209), 2,
      sym_line_comment,
      sym_block_comment,
  [90866] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    STATE(727), 1,
      sym_declaration_list,
    STATE(3210), 2,
      sym_line_comment,
      sym_block_comment,
  [90883] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6511), 1,
      anon_sym_LT,
    STATE(1074), 1,
      sym_type_parameters,
    STATE(3211), 2,
      sym_line_comment,
      sym_block_comment,
  [90900] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5452), 1,
      anon_sym_PIPE,
    ACTIONS(6647), 1,
      anon_sym_EQ,
    STATE(3212), 2,
      sym_line_comment,
      sym_block_comment,
  [90917] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3945), 1,
      anon_sym_LT2,
    STATE(1668), 1,
      sym_type_arguments,
    STATE(3213), 2,
      sym_line_comment,
      sym_block_comment,
  [90934] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    STATE(2215), 1,
      sym_parameters,
    STATE(3214), 2,
      sym_line_comment,
      sym_block_comment,
  [90951] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    STATE(1416), 1,
      sym_declaration_list,
    STATE(3215), 2,
      sym_line_comment,
      sym_block_comment,
  [90968] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3325), 1,
      anon_sym_LBRACE,
    STATE(1208), 1,
      sym_field_initializer_list,
    STATE(3216), 2,
      sym_line_comment,
      sym_block_comment,
  [90985] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3827), 2,
      anon_sym_LPAREN,
      anon_sym_COLON_COLON,
    STATE(3217), 2,
      sym_line_comment,
      sym_block_comment,
  [91000] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    STATE(728), 1,
      sym_declaration_list,
    STATE(3218), 2,
      sym_line_comment,
      sym_block_comment,
  [91017] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    STATE(1424), 1,
      sym_declaration_list,
    STATE(3219), 2,
      sym_line_comment,
      sym_block_comment,
  [91034] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    STATE(1425), 1,
      sym_declaration_list,
    STATE(3220), 2,
      sym_line_comment,
      sym_block_comment,
  [91051] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    STATE(572), 1,
      sym_declaration_list,
    STATE(3221), 2,
      sym_line_comment,
      sym_block_comment,
  [91068] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5199), 1,
      anon_sym_RPAREN,
    ACTIONS(6501), 1,
      anon_sym_SEMI,
    STATE(3222), 2,
      sym_line_comment,
      sym_block_comment,
  [91085] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5199), 1,
      anon_sym_RBRACK,
    ACTIONS(6501), 1,
      anon_sym_SEMI,
    STATE(3223), 2,
      sym_line_comment,
      sym_block_comment,
  [91102] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6501), 1,
      anon_sym_SEMI,
    ACTIONS(6649), 1,
      anon_sym_RPAREN,
    STATE(3224), 2,
      sym_line_comment,
      sym_block_comment,
  [91119] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5201), 1,
      anon_sym_RPAREN,
    ACTIONS(6501), 1,
      anon_sym_SEMI,
    STATE(3225), 2,
      sym_line_comment,
      sym_block_comment,
  [91136] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5201), 1,
      anon_sym_RBRACK,
    ACTIONS(6501), 1,
      anon_sym_SEMI,
    STATE(3226), 2,
      sym_line_comment,
      sym_block_comment,
  [91153] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4887), 1,
      anon_sym_for,
    STATE(3227), 2,
      sym_line_comment,
      sym_block_comment,
  [91170] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    STATE(2194), 1,
      sym_parameters,
    STATE(3228), 2,
      sym_line_comment,
      sym_block_comment,
  [91187] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5235), 1,
      anon_sym_LBRACE,
    STATE(1433), 1,
      sym_enum_variant_list,
    STATE(3229), 2,
      sym_line_comment,
      sym_block_comment,
  [91204] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    STATE(620), 1,
      sym_declaration_list,
    STATE(3230), 2,
      sym_line_comment,
      sym_block_comment,
  [91221] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4891), 1,
      anon_sym_LBRACE,
    STATE(1436), 1,
      sym_field_declaration_list,
    STATE(3231), 2,
      sym_line_comment,
      sym_block_comment,
  [91238] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6458), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(3232), 2,
      sym_line_comment,
      sym_block_comment,
  [91253] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4891), 1,
      anon_sym_LBRACE,
    STATE(1438), 1,
      sym_field_declaration_list,
    STATE(3233), 2,
      sym_line_comment,
      sym_block_comment,
  [91270] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    STATE(1440), 1,
      sym_declaration_list,
    STATE(3234), 2,
      sym_line_comment,
      sym_block_comment,
  [91287] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5103), 2,
      sym_identifier,
      sym_super,
    STATE(3235), 2,
      sym_line_comment,
      sym_block_comment,
  [91302] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6521), 1,
      sym_super,
    ACTIONS(6651), 1,
      sym_identifier,
    STATE(3236), 2,
      sym_line_comment,
      sym_block_comment,
  [91319] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    STATE(2202), 1,
      sym_parameters,
    STATE(3237), 2,
      sym_line_comment,
      sym_block_comment,
  [91336] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6653), 2,
      sym_identifier,
      sym_metavariable,
    STATE(3238), 2,
      sym_line_comment,
      sym_block_comment,
  [91351] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6517), 1,
      sym_super,
    ACTIONS(6573), 1,
      sym_identifier,
    STATE(3239), 2,
      sym_line_comment,
      sym_block_comment,
  [91368] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6511), 1,
      anon_sym_LT,
    STATE(859), 1,
      sym_type_parameters,
    STATE(3240), 2,
      sym_line_comment,
      sym_block_comment,
  [91385] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6501), 1,
      anon_sym_SEMI,
    ACTIONS(6655), 1,
      anon_sym_RPAREN,
    STATE(3241), 2,
      sym_line_comment,
      sym_block_comment,
  [91402] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6501), 1,
      anon_sym_SEMI,
    ACTIONS(6655), 1,
      anon_sym_RBRACK,
    STATE(3242), 2,
      sym_line_comment,
      sym_block_comment,
  [91419] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6501), 1,
      anon_sym_SEMI,
    ACTIONS(6657), 1,
      anon_sym_RPAREN,
    STATE(3243), 2,
      sym_line_comment,
      sym_block_comment,
  [91436] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6501), 1,
      anon_sym_SEMI,
    ACTIONS(6657), 1,
      anon_sym_RBRACK,
    STATE(3244), 2,
      sym_line_comment,
      sym_block_comment,
  [91453] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6501), 1,
      anon_sym_SEMI,
    ACTIONS(6649), 1,
      anon_sym_RBRACK,
    STATE(3245), 2,
      sym_line_comment,
      sym_block_comment,
  [91470] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6659), 1,
      sym_identifier,
    ACTIONS(6661), 1,
      sym_mutable_specifier,
    STATE(3246), 2,
      sym_line_comment,
      sym_block_comment,
  [91487] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5602), 1,
      sym_identifier,
    ACTIONS(5604), 1,
      sym_super,
    STATE(3247), 2,
      sym_line_comment,
      sym_block_comment,
  [91504] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6501), 1,
      anon_sym_SEMI,
    ACTIONS(6663), 1,
      anon_sym_RBRACE,
    STATE(3248), 2,
      sym_line_comment,
      sym_block_comment,
  [91521] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6519), 1,
      sym_identifier,
    ACTIONS(6581), 1,
      sym_super,
    STATE(3249), 2,
      sym_line_comment,
      sym_block_comment,
  [91538] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6665), 2,
      anon_sym_GT,
      anon_sym_COMMA,
    STATE(3250), 2,
      sym_line_comment,
      sym_block_comment,
  [91553] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4870), 1,
      anon_sym_LBRACE,
    STATE(524), 1,
      sym_field_declaration_list,
    STATE(3251), 2,
      sym_line_comment,
      sym_block_comment,
  [91570] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6667), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(3252), 2,
      sym_line_comment,
      sym_block_comment,
  [91585] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    STATE(2227), 1,
      sym_parameters,
    STATE(3253), 2,
      sym_line_comment,
      sym_block_comment,
  [91602] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6669), 2,
      anon_sym_const,
      sym_mutable_specifier,
    STATE(3254), 2,
      sym_line_comment,
      sym_block_comment,
  [91617] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5281), 1,
      anon_sym_LBRACE,
    STATE(744), 1,
      sym_enum_variant_list,
    STATE(3255), 2,
      sym_line_comment,
      sym_block_comment,
  [91634] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6022), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(3256), 2,
      sym_line_comment,
      sym_block_comment,
  [91649] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    STATE(739), 1,
      sym_declaration_list,
    STATE(3257), 2,
      sym_line_comment,
      sym_block_comment,
  [91666] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6511), 1,
      anon_sym_LT,
    STATE(897), 1,
      sym_type_parameters,
    STATE(3258), 2,
      sym_line_comment,
      sym_block_comment,
  [91683] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3243), 1,
      anon_sym_LPAREN,
    STATE(1083), 1,
      sym_parameters,
    STATE(3259), 2,
      sym_line_comment,
      sym_block_comment,
  [91700] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5546), 2,
      sym_identifier,
      sym_super,
    STATE(3260), 2,
      sym_line_comment,
      sym_block_comment,
  [91715] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6609), 2,
      sym_identifier,
      sym_super,
    STATE(3261), 2,
      sym_line_comment,
      sym_block_comment,
  [91730] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6671), 1,
      anon_sym_LPAREN,
    ACTIONS(6673), 1,
      anon_sym_COLON_COLON,
    STATE(3262), 2,
      sym_line_comment,
      sym_block_comment,
  [91747] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6675), 2,
      sym_float_literal,
      sym_integer_literal,
    STATE(3263), 2,
      sym_line_comment,
      sym_block_comment,
  [91762] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6677), 1,
      anon_sym_BANG,
    ACTIONS(6679), 1,
      anon_sym_COLON_COLON,
    STATE(3264), 2,
      sym_line_comment,
      sym_block_comment,
  [91779] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6681), 1,
      anon_sym_STAR_SLASH,
    ACTIONS(6683), 1,
      sym__block_comment_content,
    STATE(3265), 2,
      sym_line_comment,
      sym_block_comment,
  [91796] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6511), 1,
      anon_sym_LT,
    STATE(1068), 1,
      sym_type_parameters,
    STATE(3266), 2,
      sym_line_comment,
      sym_block_comment,
  [91813] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5452), 1,
      anon_sym_PIPE,
    ACTIONS(6685), 1,
      anon_sym_in,
    STATE(3267), 2,
      sym_line_comment,
      sym_block_comment,
  [91830] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5452), 1,
      anon_sym_PIPE,
    ACTIONS(5510), 1,
      anon_sym_COLON,
    STATE(3268), 2,
      sym_line_comment,
      sym_block_comment,
  [91847] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5235), 1,
      anon_sym_LBRACE,
    STATE(1233), 1,
      sym_enum_variant_list,
    STATE(3269), 2,
      sym_line_comment,
      sym_block_comment,
  [91864] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6517), 1,
      sym_super,
    ACTIONS(6687), 1,
      sym_identifier,
    STATE(3270), 2,
      sym_line_comment,
      sym_block_comment,
  [91881] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    STATE(1111), 1,
      sym_declaration_list,
    STATE(3271), 2,
      sym_line_comment,
      sym_block_comment,
  [91898] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5452), 1,
      anon_sym_PIPE,
    ACTIONS(6689), 1,
      anon_sym_EQ,
    STATE(3272), 2,
      sym_line_comment,
      sym_block_comment,
  [91915] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6557), 1,
      anon_sym_LPAREN,
    ACTIONS(6691), 1,
      anon_sym_COLON_COLON,
    STATE(3273), 2,
      sym_line_comment,
      sym_block_comment,
  [91932] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    STATE(1119), 1,
      sym_declaration_list,
    STATE(3274), 2,
      sym_line_comment,
      sym_block_comment,
  [91949] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    STATE(1120), 1,
      sym_declaration_list,
    STATE(3275), 2,
      sym_line_comment,
      sym_block_comment,
  [91966] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    STATE(513), 1,
      sym_declaration_list,
    STATE(3276), 2,
      sym_line_comment,
      sym_block_comment,
  [91983] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4989), 1,
      anon_sym_PLUS,
    ACTIONS(6693), 1,
      anon_sym_GT,
    STATE(3277), 2,
      sym_line_comment,
      sym_block_comment,
  [92000] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6557), 1,
      anon_sym_LPAREN,
    ACTIONS(6695), 1,
      anon_sym_COLON_COLON,
    STATE(3278), 2,
      sym_line_comment,
      sym_block_comment,
  [92017] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6501), 1,
      anon_sym_SEMI,
    ACTIONS(6697), 1,
      anon_sym_RPAREN,
    STATE(3279), 2,
      sym_line_comment,
      sym_block_comment,
  [92034] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6699), 1,
      anon_sym_LBRACK,
    ACTIONS(6701), 1,
      anon_sym_BANG,
    STATE(3280), 2,
      sym_line_comment,
      sym_block_comment,
  [92051] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6703), 2,
      sym_identifier,
      sym_metavariable,
    STATE(3281), 2,
      sym_line_comment,
      sym_block_comment,
  [92066] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4878), 1,
      anon_sym_LBRACE,
    STATE(506), 1,
      sym_declaration_list,
    STATE(3282), 2,
      sym_line_comment,
      sym_block_comment,
  [92083] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5452), 1,
      anon_sym_PIPE,
    ACTIONS(6705), 1,
      anon_sym_in,
    STATE(3283), 2,
      sym_line_comment,
      sym_block_comment,
  [92100] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6501), 1,
      anon_sym_SEMI,
    ACTIONS(6697), 1,
      anon_sym_RBRACK,
    STATE(3284), 2,
      sym_line_comment,
      sym_block_comment,
  [92117] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6707), 2,
      sym_identifier,
      sym_metavariable,
    STATE(3285), 2,
      sym_line_comment,
      sym_block_comment,
  [92132] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4870), 1,
      anon_sym_LBRACE,
    STATE(526), 1,
      sym_field_declaration_list,
    STATE(3286), 2,
      sym_line_comment,
      sym_block_comment,
  [92149] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4961), 1,
      anon_sym_for,
    STATE(3287), 2,
      sym_line_comment,
      sym_block_comment,
  [92166] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6501), 1,
      anon_sym_SEMI,
    ACTIONS(6709), 1,
      anon_sym_RBRACE,
    STATE(3288), 2,
      sym_line_comment,
      sym_block_comment,
  [92183] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5546), 1,
      sym_super,
    ACTIONS(6687), 1,
      sym_identifier,
    STATE(3289), 2,
      sym_line_comment,
      sym_block_comment,
  [92200] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4891), 1,
      anon_sym_LBRACE,
    STATE(1253), 1,
      sym_field_declaration_list,
    STATE(3290), 2,
      sym_line_comment,
      sym_block_comment,
  [92217] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6711), 2,
      sym_identifier,
      sym_metavariable,
    STATE(3291), 2,
      sym_line_comment,
      sym_block_comment,
  [92232] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6444), 1,
      anon_sym_for,
    STATE(3292), 2,
      sym_line_comment,
      sym_block_comment,
  [92249] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4915), 1,
      anon_sym_LBRACE,
    STATE(1256), 1,
      sym_declaration_list,
    STATE(3293), 2,
      sym_line_comment,
      sym_block_comment,
  [92266] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6446), 1,
      anon_sym_for,
    STATE(3294), 2,
      sym_line_comment,
      sym_block_comment,
  [92283] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4872), 1,
      anon_sym_LT,
    STATE(912), 1,
      sym_type_parameters,
    STATE(3295), 2,
      sym_line_comment,
      sym_block_comment,
  [92300] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5452), 1,
      anon_sym_PIPE,
    ACTIONS(6713), 1,
      anon_sym_in,
    STATE(3296), 2,
      sym_line_comment,
      sym_block_comment,
  [92317] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6456), 1,
      anon_sym_for,
    STATE(3297), 2,
      sym_line_comment,
      sym_block_comment,
  [92334] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6715), 1,
      anon_sym_LBRACK,
    ACTIONS(6717), 1,
      anon_sym_BANG,
    STATE(3298), 2,
      sym_line_comment,
      sym_block_comment,
  [92351] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5452), 1,
      anon_sym_PIPE,
    ACTIONS(6719), 1,
      anon_sym_in,
    STATE(3299), 2,
      sym_line_comment,
      sym_block_comment,
  [92368] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5452), 1,
      anon_sym_PIPE,
    ACTIONS(6721), 1,
      anon_sym_in,
    STATE(3300), 2,
      sym_line_comment,
      sym_block_comment,
  [92385] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5452), 1,
      anon_sym_PIPE,
    ACTIONS(6723), 1,
      anon_sym_in,
    STATE(3301), 2,
      sym_line_comment,
      sym_block_comment,
  [92402] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5452), 1,
      anon_sym_PIPE,
    ACTIONS(6725), 1,
      anon_sym_in,
    STATE(3302), 2,
      sym_line_comment,
      sym_block_comment,
  [92419] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4443), 1,
      anon_sym_LPAREN,
    STATE(1941), 1,
      sym_parameters,
    STATE(3303), 2,
      sym_line_comment,
      sym_block_comment,
  [92436] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6465), 1,
      sym_identifier,
    ACTIONS(6469), 1,
      sym_mutable_specifier,
    STATE(3304), 2,
      sym_line_comment,
      sym_block_comment,
  [92453] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4891), 1,
      anon_sym_LBRACE,
    STATE(1267), 1,
      sym_field_declaration_list,
    STATE(3305), 2,
      sym_line_comment,
      sym_block_comment,
  [92470] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6471), 1,
      anon_sym_for,
    STATE(3306), 2,
      sym_line_comment,
      sym_block_comment,
  [92487] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(2969), 1,
      anon_sym_SQUOTE,
    STATE(2996), 1,
      sym_lifetime,
    STATE(3307), 2,
      sym_line_comment,
      sym_block_comment,
  [92504] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6727), 1,
      sym_identifier,
    ACTIONS(6729), 1,
      sym_mutable_specifier,
    STATE(3308), 2,
      sym_line_comment,
      sym_block_comment,
  [92521] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6547), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6731), 1,
      anon_sym_RPAREN,
    STATE(3309), 2,
      sym_line_comment,
      sym_block_comment,
  [92538] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6517), 2,
      sym_identifier,
      sym_super,
    STATE(3310), 2,
      sym_line_comment,
      sym_block_comment,
  [92553] = 5,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5866), 1,
      sym_super,
    ACTIONS(6625), 1,
      sym_identifier,
    STATE(3311), 2,
      sym_line_comment,
      sym_block_comment,
  [92570] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4883), 1,
      anon_sym_COLON_COLON,
    STATE(3312), 2,
      sym_line_comment,
      sym_block_comment,
  [92584] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(953), 1,
      anon_sym_EQ_GT,
    STATE(3313), 2,
      sym_line_comment,
      sym_block_comment,
  [92598] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6733), 1,
      sym_identifier,
    STATE(3314), 2,
      sym_line_comment,
      sym_block_comment,
  [92612] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6735), 1,
      sym_identifier,
    STATE(3315), 2,
      sym_line_comment,
      sym_block_comment,
  [92626] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6737), 1,
      sym_identifier,
    STATE(3316), 2,
      sym_line_comment,
      sym_block_comment,
  [92640] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6739), 1,
      sym_identifier,
    STATE(3317), 2,
      sym_line_comment,
      sym_block_comment,
  [92654] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6741), 1,
      anon_sym_COLON,
    STATE(3318), 2,
      sym_line_comment,
      sym_block_comment,
  [92668] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6743), 1,
      sym__line_doc_content,
    STATE(3319), 2,
      sym_line_comment,
      sym_block_comment,
  [92682] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6745), 1,
      anon_sym_SEMI,
    STATE(3320), 2,
      sym_line_comment,
      sym_block_comment,
  [92696] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6747), 1,
      anon_sym_RBRACK,
    STATE(3321), 2,
      sym_line_comment,
      sym_block_comment,
  [92710] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4057), 1,
      anon_sym_COLON_COLON,
    STATE(3322), 2,
      sym_line_comment,
      sym_block_comment,
  [92724] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6749), 1,
      anon_sym_LPAREN,
    STATE(3323), 2,
      sym_line_comment,
      sym_block_comment,
  [92738] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4576), 1,
      anon_sym_COLON_COLON,
    STATE(3324), 2,
      sym_line_comment,
      sym_block_comment,
  [92752] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(961), 1,
      anon_sym_EQ_GT,
    STATE(3325), 2,
      sym_line_comment,
      sym_block_comment,
  [92766] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6751), 1,
      anon_sym_RBRACK,
    STATE(3326), 2,
      sym_line_comment,
      sym_block_comment,
  [92780] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6753), 1,
      anon_sym_SEMI,
    STATE(3327), 2,
      sym_line_comment,
      sym_block_comment,
  [92794] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6755), 1,
      anon_sym_SEMI,
    STATE(3328), 2,
      sym_line_comment,
      sym_block_comment,
  [92808] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6757), 1,
      anon_sym_SEMI,
    STATE(3329), 2,
      sym_line_comment,
      sym_block_comment,
  [92822] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6759), 1,
      anon_sym_fn,
    STATE(3330), 2,
      sym_line_comment,
      sym_block_comment,
  [92836] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6761), 1,
      anon_sym_COLON,
    STATE(3331), 2,
      sym_line_comment,
      sym_block_comment,
  [92850] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4535), 1,
      anon_sym_COLON_COLON,
    STATE(3332), 2,
      sym_line_comment,
      sym_block_comment,
  [92864] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6763), 1,
      sym__line_doc_content,
    STATE(3333), 2,
      sym_line_comment,
      sym_block_comment,
  [92878] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5827), 1,
      anon_sym_RBRACK,
    STATE(3334), 2,
      sym_line_comment,
      sym_block_comment,
  [92892] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6765), 1,
      sym_identifier,
    STATE(3335), 2,
      sym_line_comment,
      sym_block_comment,
  [92906] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6767), 1,
      anon_sym_RBRACK,
    STATE(3336), 2,
      sym_line_comment,
      sym_block_comment,
  [92920] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6769), 1,
      anon_sym_EQ_GT,
    STATE(3337), 2,
      sym_line_comment,
      sym_block_comment,
  [92934] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6771), 1,
      anon_sym_fn,
    STATE(3338), 2,
      sym_line_comment,
      sym_block_comment,
  [92948] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5771), 1,
      anon_sym_RPAREN,
    STATE(3339), 2,
      sym_line_comment,
      sym_block_comment,
  [92962] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6773), 1,
      anon_sym_COLON_COLON,
    STATE(3340), 2,
      sym_line_comment,
      sym_block_comment,
  [92976] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6775), 1,
      sym__line_doc_content,
    STATE(3341), 2,
      sym_line_comment,
      sym_block_comment,
  [92990] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6777), 1,
      sym_identifier,
    STATE(3342), 2,
      sym_line_comment,
      sym_block_comment,
  [93004] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5973), 1,
      anon_sym_RBRACE,
    STATE(3343), 2,
      sym_line_comment,
      sym_block_comment,
  [93018] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6779), 1,
      sym_self,
    STATE(3344), 2,
      sym_line_comment,
      sym_block_comment,
  [93032] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6781), 1,
      anon_sym_EQ_GT,
    STATE(3345), 2,
      sym_line_comment,
      sym_block_comment,
  [93046] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6783), 1,
      anon_sym_COLON_COLON,
    STATE(3346), 2,
      sym_line_comment,
      sym_block_comment,
  [93060] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(955), 1,
      anon_sym_RBRACK,
    STATE(3347), 2,
      sym_line_comment,
      sym_block_comment,
  [93074] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6785), 1,
      anon_sym_SEMI,
    STATE(3348), 2,
      sym_line_comment,
      sym_block_comment,
  [93088] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6787), 1,
      sym_identifier,
    STATE(3349), 2,
      sym_line_comment,
      sym_block_comment,
  [93102] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6789), 1,
      anon_sym_COLON_COLON,
    STATE(3350), 2,
      sym_line_comment,
      sym_block_comment,
  [93116] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6791), 1,
      sym_identifier,
    STATE(3351), 2,
      sym_line_comment,
      sym_block_comment,
  [93130] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6793), 1,
      sym_identifier,
    STATE(3352), 2,
      sym_line_comment,
      sym_block_comment,
  [93144] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6795), 1,
      sym_identifier,
    STATE(3353), 2,
      sym_line_comment,
      sym_block_comment,
  [93158] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6797), 1,
      sym_identifier,
    STATE(3354), 2,
      sym_line_comment,
      sym_block_comment,
  [93172] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6799), 1,
      sym_identifier,
    STATE(3355), 2,
      sym_line_comment,
      sym_block_comment,
  [93186] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6801), 1,
      sym_identifier,
    STATE(3356), 2,
      sym_line_comment,
      sym_block_comment,
  [93200] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6803), 1,
      anon_sym_SEMI,
    STATE(3357), 2,
      sym_line_comment,
      sym_block_comment,
  [93214] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6805), 1,
      anon_sym_RBRACE,
    STATE(3358), 2,
      sym_line_comment,
      sym_block_comment,
  [93228] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6807), 1,
      anon_sym_SEMI,
    STATE(3359), 2,
      sym_line_comment,
      sym_block_comment,
  [93242] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6809), 1,
      sym_identifier,
    STATE(3360), 2,
      sym_line_comment,
      sym_block_comment,
  [93256] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5438), 1,
      anon_sym_RPAREN,
    STATE(3361), 2,
      sym_line_comment,
      sym_block_comment,
  [93270] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6811), 1,
      anon_sym_SEMI,
    STATE(3362), 2,
      sym_line_comment,
      sym_block_comment,
  [93284] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6813), 1,
      anon_sym_RBRACE,
    STATE(3363), 2,
      sym_line_comment,
      sym_block_comment,
  [93298] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6815), 1,
      anon_sym_RBRACE,
    STATE(3364), 2,
      sym_line_comment,
      sym_block_comment,
  [93312] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6817), 1,
      anon_sym_SEMI,
    STATE(3365), 2,
      sym_line_comment,
      sym_block_comment,
  [93326] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6819), 1,
      anon_sym_COLON,
    STATE(3366), 2,
      sym_line_comment,
      sym_block_comment,
  [93340] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6821), 1,
      sym_identifier,
    STATE(3367), 2,
      sym_line_comment,
      sym_block_comment,
  [93354] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3065), 1,
      anon_sym_PLUS,
    STATE(3368), 2,
      sym_line_comment,
      sym_block_comment,
  [93368] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6823), 1,
      anon_sym_COLON_COLON,
    STATE(3369), 2,
      sym_line_comment,
      sym_block_comment,
  [93382] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6825), 1,
      anon_sym_fn,
    STATE(3370), 2,
      sym_line_comment,
      sym_block_comment,
  [93396] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6827), 1,
      anon_sym_SEMI,
    STATE(3371), 2,
      sym_line_comment,
      sym_block_comment,
  [93410] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5813), 1,
      anon_sym_LBRACE,
    STATE(3372), 2,
      sym_line_comment,
      sym_block_comment,
  [93424] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6829), 1,
      anon_sym_SEMI,
    STATE(3373), 2,
      sym_line_comment,
      sym_block_comment,
  [93438] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6831), 1,
      anon_sym_COLON_COLON,
    STATE(3374), 2,
      sym_line_comment,
      sym_block_comment,
  [93452] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6833), 1,
      anon_sym_SEMI,
    STATE(3375), 2,
      sym_line_comment,
      sym_block_comment,
  [93466] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6835), 1,
      sym_raw_string_literal_content,
    STATE(3376), 2,
      sym_line_comment,
      sym_block_comment,
  [93480] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6837), 1,
      anon_sym_SEMI,
    STATE(3377), 2,
      sym_line_comment,
      sym_block_comment,
  [93494] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5831), 1,
      anon_sym_RPAREN,
    STATE(3378), 2,
      sym_line_comment,
      sym_block_comment,
  [93508] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6839), 1,
      anon_sym_RPAREN,
    STATE(3379), 2,
      sym_line_comment,
      sym_block_comment,
  [93522] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6841), 1,
      sym__raw_string_literal_end,
    STATE(3380), 2,
      sym_line_comment,
      sym_block_comment,
  [93536] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6843), 1,
      anon_sym_SEMI,
    STATE(3381), 2,
      sym_line_comment,
      sym_block_comment,
  [93550] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6663), 1,
      anon_sym_SEMI,
    STATE(3382), 2,
      sym_line_comment,
      sym_block_comment,
  [93564] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6845), 1,
      anon_sym_SEMI,
    STATE(3383), 2,
      sym_line_comment,
      sym_block_comment,
  [93578] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6847), 1,
      anon_sym_SEMI,
    STATE(3384), 2,
      sym_line_comment,
      sym_block_comment,
  [93592] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6849), 1,
      anon_sym_COLON_COLON,
    STATE(3385), 2,
      sym_line_comment,
      sym_block_comment,
  [93606] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6851), 1,
      anon_sym_COLON,
    STATE(3386), 2,
      sym_line_comment,
      sym_block_comment,
  [93620] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6853), 1,
      sym_identifier,
    STATE(3387), 2,
      sym_line_comment,
      sym_block_comment,
  [93634] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6855), 1,
      anon_sym_SEMI,
    STATE(3388), 2,
      sym_line_comment,
      sym_block_comment,
  [93648] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6857), 1,
      sym_identifier,
    STATE(3389), 2,
      sym_line_comment,
      sym_block_comment,
  [93662] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6859), 1,
      sym_identifier,
    STATE(3390), 2,
      sym_line_comment,
      sym_block_comment,
  [93676] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6296), 1,
      anon_sym_RBRACE,
    STATE(3391), 2,
      sym_line_comment,
      sym_block_comment,
  [93690] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6861), 1,
      anon_sym_RBRACK,
    STATE(3392), 2,
      sym_line_comment,
      sym_block_comment,
  [93704] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5157), 1,
      anon_sym_SEMI,
    STATE(3393), 2,
      sym_line_comment,
      sym_block_comment,
  [93718] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6863), 1,
      anon_sym_SEMI,
    STATE(3394), 2,
      sym_line_comment,
      sym_block_comment,
  [93732] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6865), 1,
      sym_identifier,
    STATE(3395), 2,
      sym_line_comment,
      sym_block_comment,
  [93746] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6867), 1,
      anon_sym_STAR_SLASH,
    STATE(3396), 2,
      sym_line_comment,
      sym_block_comment,
  [93760] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5426), 1,
      anon_sym_RPAREN,
    STATE(3397), 2,
      sym_line_comment,
      sym_block_comment,
  [93774] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1003), 1,
      anon_sym_RBRACK,
    STATE(3398), 2,
      sym_line_comment,
      sym_block_comment,
  [93788] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6869), 1,
      sym_identifier,
    STATE(3399), 2,
      sym_line_comment,
      sym_block_comment,
  [93802] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6871), 1,
      anon_sym_SEMI,
    STATE(3400), 2,
      sym_line_comment,
      sym_block_comment,
  [93816] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6873), 1,
      anon_sym_RBRACK,
    STATE(3401), 2,
      sym_line_comment,
      sym_block_comment,
  [93830] = 4,
    ACTIONS(3), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(5), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6875), 1,
      aux_sym_line_comment_token2,
    STATE(3402), 2,
      sym_line_comment,
      sym_block_comment,
  [93844] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4537), 1,
      anon_sym_COLON_COLON,
    STATE(3403), 2,
      sym_line_comment,
      sym_block_comment,
  [93858] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6877), 1,
      anon_sym_SEMI,
    STATE(3404), 2,
      sym_line_comment,
      sym_block_comment,
  [93872] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6879), 1,
      anon_sym_RBRACE,
    STATE(3405), 2,
      sym_line_comment,
      sym_block_comment,
  [93886] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5590), 1,
      anon_sym_RPAREN,
    STATE(3406), 2,
      sym_line_comment,
      sym_block_comment,
  [93900] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6881), 1,
      anon_sym_fn,
    STATE(3407), 2,
      sym_line_comment,
      sym_block_comment,
  [93914] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6883), 1,
      anon_sym_RBRACK,
    STATE(3408), 2,
      sym_line_comment,
      sym_block_comment,
  [93928] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6885), 1,
      sym_identifier,
    STATE(3409), 2,
      sym_line_comment,
      sym_block_comment,
  [93942] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6887), 1,
      anon_sym_EQ_GT,
    STATE(3410), 2,
      sym_line_comment,
      sym_block_comment,
  [93956] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6889), 1,
      anon_sym_RBRACK,
    STATE(3411), 2,
      sym_line_comment,
      sym_block_comment,
  [93970] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6891), 1,
      anon_sym_COLON,
    STATE(3412), 2,
      sym_line_comment,
      sym_block_comment,
  [93984] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6893), 1,
      anon_sym_SEMI,
    STATE(3413), 2,
      sym_line_comment,
      sym_block_comment,
  [93998] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6895), 1,
      anon_sym_SEMI,
    STATE(3414), 2,
      sym_line_comment,
      sym_block_comment,
  [94012] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6897), 1,
      anon_sym_RBRACK,
    STATE(3415), 2,
      sym_line_comment,
      sym_block_comment,
  [94026] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5594), 1,
      anon_sym_RBRACK,
    STATE(3416), 2,
      sym_line_comment,
      sym_block_comment,
  [94040] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5508), 1,
      anon_sym_RPAREN,
    STATE(3417), 2,
      sym_line_comment,
      sym_block_comment,
  [94054] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6501), 1,
      anon_sym_SEMI,
    STATE(3418), 2,
      sym_line_comment,
      sym_block_comment,
  [94068] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6899), 1,
      anon_sym_STAR_SLASH,
    STATE(3419), 2,
      sym_line_comment,
      sym_block_comment,
  [94082] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6901), 1,
      sym_identifier,
    STATE(3420), 2,
      sym_line_comment,
      sym_block_comment,
  [94096] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6118), 1,
      anon_sym_RBRACE,
    STATE(3421), 2,
      sym_line_comment,
      sym_block_comment,
  [94110] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6157), 1,
      anon_sym_RBRACE,
    STATE(3422), 2,
      sym_line_comment,
      sym_block_comment,
  [94124] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6903), 1,
      anon_sym_EQ_GT,
    STATE(3423), 2,
      sym_line_comment,
      sym_block_comment,
  [94138] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6905), 1,
      anon_sym_SEMI,
    STATE(3424), 2,
      sym_line_comment,
      sym_block_comment,
  [94152] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6907), 1,
      anon_sym_SEMI,
    STATE(3425), 2,
      sym_line_comment,
      sym_block_comment,
  [94166] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6909), 1,
      anon_sym_RBRACE,
    STATE(3426), 2,
      sym_line_comment,
      sym_block_comment,
  [94180] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6911), 1,
      anon_sym_fn,
    STATE(3427), 2,
      sym_line_comment,
      sym_block_comment,
  [94194] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6039), 1,
      anon_sym_RBRACE,
    STATE(3428), 2,
      sym_line_comment,
      sym_block_comment,
  [94208] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6913), 1,
      sym__raw_string_literal_end,
    STATE(3429), 2,
      sym_line_comment,
      sym_block_comment,
  [94222] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6915), 1,
      anon_sym_COLON_COLON,
    STATE(3430), 2,
      sym_line_comment,
      sym_block_comment,
  [94236] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6715), 1,
      anon_sym_LBRACK,
    STATE(3431), 2,
      sym_line_comment,
      sym_block_comment,
  [94250] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6917), 1,
      anon_sym_SEMI,
    STATE(3432), 2,
      sym_line_comment,
      sym_block_comment,
  [94264] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6919), 1,
      anon_sym_SEMI,
    STATE(3433), 2,
      sym_line_comment,
      sym_block_comment,
  [94278] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6921), 1,
      sym_identifier,
    STATE(3434), 2,
      sym_line_comment,
      sym_block_comment,
  [94292] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6923), 1,
      anon_sym_COLON,
    STATE(3435), 2,
      sym_line_comment,
      sym_block_comment,
  [94306] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6925), 1,
      sym_identifier,
    STATE(3436), 2,
      sym_line_comment,
      sym_block_comment,
  [94320] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5953), 1,
      anon_sym_RBRACE,
    STATE(3437), 2,
      sym_line_comment,
      sym_block_comment,
  [94334] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5737), 1,
      anon_sym_LBRACE,
    STATE(3438), 2,
      sym_line_comment,
      sym_block_comment,
  [94348] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6927), 1,
      anon_sym_LT,
    STATE(3439), 2,
      sym_line_comment,
      sym_block_comment,
  [94362] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4909), 1,
      anon_sym_COLON_COLON,
    STATE(3440), 2,
      sym_line_comment,
      sym_block_comment,
  [94376] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6929), 1,
      anon_sym_SEMI,
    STATE(3441), 2,
      sym_line_comment,
      sym_block_comment,
  [94390] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5528), 1,
      anon_sym_RPAREN,
    STATE(3442), 2,
      sym_line_comment,
      sym_block_comment,
  [94404] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6931), 1,
      anon_sym_SEMI,
    STATE(3443), 2,
      sym_line_comment,
      sym_block_comment,
  [94418] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6933), 1,
      sym_identifier,
    STATE(3444), 2,
      sym_line_comment,
      sym_block_comment,
  [94432] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6935), 1,
      sym_identifier,
    STATE(3445), 2,
      sym_line_comment,
      sym_block_comment,
  [94446] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6122), 1,
      anon_sym_RBRACE,
    STATE(3446), 2,
      sym_line_comment,
      sym_block_comment,
  [94460] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6937), 1,
      anon_sym_RPAREN,
    STATE(3447), 2,
      sym_line_comment,
      sym_block_comment,
  [94474] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6939), 1,
      sym_identifier,
    STATE(3448), 2,
      sym_line_comment,
      sym_block_comment,
  [94488] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6941), 1,
      sym_identifier,
    STATE(3449), 2,
      sym_line_comment,
      sym_block_comment,
  [94502] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(1035), 1,
      anon_sym_RBRACK,
    STATE(3450), 2,
      sym_line_comment,
      sym_block_comment,
  [94516] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6943), 1,
      sym__raw_string_literal_end,
    STATE(3451), 2,
      sym_line_comment,
      sym_block_comment,
  [94530] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4475), 1,
      anon_sym_fn,
    STATE(3452), 2,
      sym_line_comment,
      sym_block_comment,
  [94544] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6945), 1,
      sym_identifier,
    STATE(3453), 2,
      sym_line_comment,
      sym_block_comment,
  [94558] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5941), 1,
      anon_sym_COLON_COLON,
    STATE(3454), 2,
      sym_line_comment,
      sym_block_comment,
  [94572] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3889), 1,
      anon_sym_COLON_COLON,
    STATE(3455), 2,
      sym_line_comment,
      sym_block_comment,
  [94586] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6947), 1,
      anon_sym_SEMI,
    STATE(3456), 2,
      sym_line_comment,
      sym_block_comment,
  [94600] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6949), 1,
      anon_sym_LBRACK,
    STATE(3457), 2,
      sym_line_comment,
      sym_block_comment,
  [94614] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6951), 1,
      sym_identifier,
    STATE(3458), 2,
      sym_line_comment,
      sym_block_comment,
  [94628] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6953), 1,
      sym_identifier,
    STATE(3459), 2,
      sym_line_comment,
      sym_block_comment,
  [94642] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6955), 1,
      sym_identifier,
    STATE(3460), 2,
      sym_line_comment,
      sym_block_comment,
  [94656] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6957), 1,
      sym_raw_string_literal_content,
    STATE(3461), 2,
      sym_line_comment,
      sym_block_comment,
  [94670] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6601), 1,
      anon_sym_SEMI,
    STATE(3462), 2,
      sym_line_comment,
      sym_block_comment,
  [94684] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6959), 1,
      anon_sym_SEMI,
    STATE(3463), 2,
      sym_line_comment,
      sym_block_comment,
  [94698] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4123), 1,
      anon_sym_COLON_COLON,
    STATE(3464), 2,
      sym_line_comment,
      sym_block_comment,
  [94712] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5840), 1,
      anon_sym_COLON_COLON,
    STATE(3465), 2,
      sym_line_comment,
      sym_block_comment,
  [94726] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6961), 1,
      anon_sym_SEMI,
    STATE(3466), 2,
      sym_line_comment,
      sym_block_comment,
  [94740] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6963), 1,
      anon_sym_SEMI,
    STATE(3467), 2,
      sym_line_comment,
      sym_block_comment,
  [94754] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6965), 1,
      anon_sym_RBRACK,
    STATE(3468), 2,
      sym_line_comment,
      sym_block_comment,
  [94768] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6967), 1,
      anon_sym_COLON_COLON,
    STATE(3469), 2,
      sym_line_comment,
      sym_block_comment,
  [94782] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6969), 1,
      sym_identifier,
    STATE(3470), 2,
      sym_line_comment,
      sym_block_comment,
  [94796] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6971), 1,
      anon_sym_SEMI,
    STATE(3471), 2,
      sym_line_comment,
      sym_block_comment,
  [94810] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6973), 1,
      anon_sym_EQ,
    STATE(3472), 2,
      sym_line_comment,
      sym_block_comment,
  [94824] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6975), 1,
      anon_sym_fn,
    STATE(3473), 2,
      sym_line_comment,
      sym_block_comment,
  [94838] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6977), 1,
      anon_sym_LPAREN,
    STATE(3474), 2,
      sym_line_comment,
      sym_block_comment,
  [94852] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6979), 1,
      anon_sym_COLON_COLON,
    STATE(3475), 2,
      sym_line_comment,
      sym_block_comment,
  [94866] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5143), 1,
      anon_sym_SEMI,
    STATE(3476), 2,
      sym_line_comment,
      sym_block_comment,
  [94880] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6981), 1,
      anon_sym_RBRACE,
    STATE(3477), 2,
      sym_line_comment,
      sym_block_comment,
  [94894] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6983), 1,
      anon_sym_COLON_COLON,
    STATE(3478), 2,
      sym_line_comment,
      sym_block_comment,
  [94908] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6985), 1,
      anon_sym_SEMI,
    STATE(3479), 2,
      sym_line_comment,
      sym_block_comment,
  [94922] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6987), 1,
      anon_sym_COLON,
    STATE(3480), 2,
      sym_line_comment,
      sym_block_comment,
  [94936] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4943), 1,
      anon_sym_COLON_COLON,
    STATE(3481), 2,
      sym_line_comment,
      sym_block_comment,
  [94950] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6605), 1,
      anon_sym_SEMI,
    STATE(3482), 2,
      sym_line_comment,
      sym_block_comment,
  [94964] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6989), 1,
      anon_sym_COLON_COLON,
    STATE(3483), 2,
      sym_line_comment,
      sym_block_comment,
  [94978] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6991), 1,
      anon_sym_fn,
    STATE(3484), 2,
      sym_line_comment,
      sym_block_comment,
  [94992] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6993), 1,
      anon_sym_COLON,
    STATE(3485), 2,
      sym_line_comment,
      sym_block_comment,
  [95006] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6995), 1,
      anon_sym_LBRACE,
    STATE(3486), 2,
      sym_line_comment,
      sym_block_comment,
  [95020] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6997), 1,
      anon_sym_SEMI,
    STATE(3487), 2,
      sym_line_comment,
      sym_block_comment,
  [95034] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6999), 1,
      anon_sym_SEMI,
    STATE(3488), 2,
      sym_line_comment,
      sym_block_comment,
  [95048] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7001), 1,
      sym__line_doc_content,
    STATE(3489), 2,
      sym_line_comment,
      sym_block_comment,
  [95062] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7003), 1,
      anon_sym_RBRACK,
    STATE(3490), 2,
      sym_line_comment,
      sym_block_comment,
  [95076] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7005), 1,
      anon_sym_SEMI,
    STATE(3491), 2,
      sym_line_comment,
      sym_block_comment,
  [95090] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5167), 1,
      anon_sym_SEMI,
    STATE(3492), 2,
      sym_line_comment,
      sym_block_comment,
  [95104] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7007), 1,
      sym_identifier,
    STATE(3493), 2,
      sym_line_comment,
      sym_block_comment,
  [95118] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7009), 1,
      sym_raw_string_literal_content,
    STATE(3494), 2,
      sym_line_comment,
      sym_block_comment,
  [95132] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6541), 1,
      anon_sym_COLON_COLON,
    STATE(3495), 2,
      sym_line_comment,
      sym_block_comment,
  [95146] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7011), 1,
      anon_sym_RPAREN,
    STATE(3496), 2,
      sym_line_comment,
      sym_block_comment,
  [95160] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7013), 1,
      sym_identifier,
    STATE(3497), 2,
      sym_line_comment,
      sym_block_comment,
  [95174] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7015), 1,
      anon_sym_COLON_COLON,
    STATE(3498), 2,
      sym_line_comment,
      sym_block_comment,
  [95188] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7017), 1,
      anon_sym_SEMI,
    STATE(3499), 2,
      sym_line_comment,
      sym_block_comment,
  [95202] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7019), 1,
      anon_sym_SEMI,
    STATE(3500), 2,
      sym_line_comment,
      sym_block_comment,
  [95216] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7021), 1,
      anon_sym_COLON_COLON,
    STATE(3501), 2,
      sym_line_comment,
      sym_block_comment,
  [95230] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7023), 1,
      sym__line_doc_content,
    STATE(3502), 2,
      sym_line_comment,
      sym_block_comment,
  [95244] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7025), 1,
      anon_sym_SEMI,
    STATE(3503), 2,
      sym_line_comment,
      sym_block_comment,
  [95258] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7027), 1,
      anon_sym_COLON_COLON,
    STATE(3504), 2,
      sym_line_comment,
      sym_block_comment,
  [95272] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7029), 1,
      anon_sym_SEMI,
    STATE(3505), 2,
      sym_line_comment,
      sym_block_comment,
  [95286] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7031), 1,
      anon_sym_SEMI,
    STATE(3506), 2,
      sym_line_comment,
      sym_block_comment,
  [95300] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7033), 1,
      anon_sym_COLON_COLON,
    STATE(3507), 2,
      sym_line_comment,
      sym_block_comment,
  [95314] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7035), 1,
      anon_sym_LBRACE,
    STATE(3508), 2,
      sym_line_comment,
      sym_block_comment,
  [95328] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7037), 1,
      sym_identifier,
    STATE(3509), 2,
      sym_line_comment,
      sym_block_comment,
  [95342] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7039), 1,
      anon_sym_COLON,
    STATE(3510), 2,
      sym_line_comment,
      sym_block_comment,
  [95356] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3101), 1,
      anon_sym_PLUS,
    STATE(3511), 2,
      sym_line_comment,
      sym_block_comment,
  [95370] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7041), 1,
      ts_builtin_sym_end,
    STATE(3512), 2,
      sym_line_comment,
      sym_block_comment,
  [95384] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7043), 1,
      sym_raw_string_literal_content,
    STATE(3513), 2,
      sym_line_comment,
      sym_block_comment,
  [95398] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3473), 1,
      anon_sym_COLON_COLON,
    STATE(3514), 2,
      sym_line_comment,
      sym_block_comment,
  [95412] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6049), 1,
      anon_sym_GT,
    STATE(3515), 2,
      sym_line_comment,
      sym_block_comment,
  [95426] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7045), 1,
      anon_sym_COLON_COLON,
    STATE(3516), 2,
      sym_line_comment,
      sym_block_comment,
  [95440] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7047), 1,
      anon_sym_SEMI,
    STATE(3517), 2,
      sym_line_comment,
      sym_block_comment,
  [95454] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7049), 1,
      anon_sym_LBRACE,
    STATE(3518), 2,
      sym_line_comment,
      sym_block_comment,
  [95468] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7051), 1,
      sym_raw_string_literal_content,
    STATE(3519), 2,
      sym_line_comment,
      sym_block_comment,
  [95482] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5211), 1,
      anon_sym_COLON_COLON,
    STATE(3520), 2,
      sym_line_comment,
      sym_block_comment,
  [95496] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7053), 1,
      anon_sym_COLON_COLON,
    STATE(3521), 2,
      sym_line_comment,
      sym_block_comment,
  [95510] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5858), 1,
      anon_sym_LBRACE,
    STATE(3522), 2,
      sym_line_comment,
      sym_block_comment,
  [95524] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5856), 1,
      anon_sym_COLON_COLON,
    STATE(3523), 2,
      sym_line_comment,
      sym_block_comment,
  [95538] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7055), 1,
      anon_sym_COLON_COLON,
    STATE(3524), 2,
      sym_line_comment,
      sym_block_comment,
  [95552] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5868), 1,
      anon_sym_LBRACE,
    STATE(3525), 2,
      sym_line_comment,
      sym_block_comment,
  [95566] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7057), 1,
      anon_sym_COLON_COLON,
    STATE(3526), 2,
      sym_line_comment,
      sym_block_comment,
  [95580] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5207), 1,
      anon_sym_COLON_COLON,
    STATE(3527), 2,
      sym_line_comment,
      sym_block_comment,
  [95594] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5101), 1,
      anon_sym_COLON_COLON,
    STATE(3528), 2,
      sym_line_comment,
      sym_block_comment,
  [95608] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4081), 1,
      anon_sym_COLON_COLON,
    STATE(3529), 2,
      sym_line_comment,
      sym_block_comment,
  [95622] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7059), 1,
      anon_sym_COLON_COLON,
    STATE(3530), 2,
      sym_line_comment,
      sym_block_comment,
  [95636] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7061), 1,
      sym_identifier,
    STATE(3531), 2,
      sym_line_comment,
      sym_block_comment,
  [95650] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4678), 1,
      anon_sym_COLON_COLON,
    STATE(3532), 2,
      sym_line_comment,
      sym_block_comment,
  [95664] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3051), 1,
      anon_sym_PLUS,
    STATE(3533), 2,
      sym_line_comment,
      sym_block_comment,
  [95678] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7063), 1,
      sym_identifier,
    STATE(3534), 2,
      sym_line_comment,
      sym_block_comment,
  [95692] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7065), 1,
      anon_sym_COLON,
    STATE(3535), 2,
      sym_line_comment,
      sym_block_comment,
  [95706] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7067), 1,
      anon_sym_LBRACK,
    STATE(3536), 2,
      sym_line_comment,
      sym_block_comment,
  [95720] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7069), 1,
      sym_identifier,
    STATE(3537), 2,
      sym_line_comment,
      sym_block_comment,
  [95734] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7071), 1,
      anon_sym_LBRACK,
    STATE(3538), 2,
      sym_line_comment,
      sym_block_comment,
  [95748] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7073), 1,
      anon_sym_COLON,
    STATE(3539), 2,
      sym_line_comment,
      sym_block_comment,
  [95762] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7075), 1,
      anon_sym_COLON,
    STATE(3540), 2,
      sym_line_comment,
      sym_block_comment,
  [95776] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4115), 1,
      anon_sym_RPAREN,
    STATE(3541), 2,
      sym_line_comment,
      sym_block_comment,
  [95790] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7077), 1,
      anon_sym_SEMI,
    STATE(3542), 2,
      sym_line_comment,
      sym_block_comment,
  [95804] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5633), 1,
      anon_sym_RPAREN,
    STATE(3543), 2,
      sym_line_comment,
      sym_block_comment,
  [95818] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7079), 1,
      anon_sym_COLON,
    STATE(3544), 2,
      sym_line_comment,
      sym_block_comment,
  [95832] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7081), 1,
      anon_sym_COLON,
    STATE(3545), 2,
      sym_line_comment,
      sym_block_comment,
  [95846] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7083), 1,
      anon_sym_RBRACE,
    STATE(3546), 2,
      sym_line_comment,
      sym_block_comment,
  [95860] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7085), 1,
      sym_identifier,
    STATE(3547), 2,
      sym_line_comment,
      sym_block_comment,
  [95874] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7087), 1,
      anon_sym_SEMI,
    STATE(3548), 2,
      sym_line_comment,
      sym_block_comment,
  [95888] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7089), 1,
      sym_identifier,
    STATE(3549), 2,
      sym_line_comment,
      sym_block_comment,
  [95902] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7091), 1,
      sym__raw_string_literal_end,
    STATE(3550), 2,
      sym_line_comment,
      sym_block_comment,
  [95916] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7093), 1,
      sym_identifier,
    STATE(3551), 2,
      sym_line_comment,
      sym_block_comment,
  [95930] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7095), 1,
      anon_sym_RPAREN,
    STATE(3552), 2,
      sym_line_comment,
      sym_block_comment,
  [95944] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7097), 1,
      sym__raw_string_literal_end,
    STATE(3553), 2,
      sym_line_comment,
      sym_block_comment,
  [95958] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7099), 1,
      anon_sym_COLON,
    STATE(3554), 2,
      sym_line_comment,
      sym_block_comment,
  [95972] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7101), 1,
      anon_sym_COLON,
    STATE(3555), 2,
      sym_line_comment,
      sym_block_comment,
  [95986] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7103), 1,
      anon_sym_SEMI,
    STATE(3556), 2,
      sym_line_comment,
      sym_block_comment,
  [96000] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7105), 1,
      sym_identifier,
    STATE(3557), 2,
      sym_line_comment,
      sym_block_comment,
  [96014] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7107), 1,
      sym_identifier,
    STATE(3558), 2,
      sym_line_comment,
      sym_block_comment,
  [96028] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7109), 1,
      anon_sym_COLON,
    STATE(3559), 2,
      sym_line_comment,
      sym_block_comment,
  [96042] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7111), 1,
      sym_identifier,
    STATE(3560), 2,
      sym_line_comment,
      sym_block_comment,
  [96056] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7113), 1,
      sym__raw_string_literal_end,
    STATE(3561), 2,
      sym_line_comment,
      sym_block_comment,
  [96070] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7115), 1,
      sym_identifier,
    STATE(3562), 2,
      sym_line_comment,
      sym_block_comment,
  [96084] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4119), 1,
      anon_sym_RPAREN,
    STATE(3563), 2,
      sym_line_comment,
      sym_block_comment,
  [96098] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7117), 1,
      sym_identifier,
    STATE(3564), 2,
      sym_line_comment,
      sym_block_comment,
  [96112] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7119), 1,
      anon_sym_COLON,
    STATE(3565), 2,
      sym_line_comment,
      sym_block_comment,
  [96126] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7121), 1,
      sym_identifier,
    STATE(3566), 2,
      sym_line_comment,
      sym_block_comment,
  [96140] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7123), 1,
      anon_sym_SEMI,
    STATE(3567), 2,
      sym_line_comment,
      sym_block_comment,
  [96154] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7125), 1,
      anon_sym_RBRACE,
    STATE(3568), 2,
      sym_line_comment,
      sym_block_comment,
  [96168] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7127), 1,
      sym_identifier,
    STATE(3569), 2,
      sym_line_comment,
      sym_block_comment,
  [96182] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7129), 1,
      anon_sym_SEMI,
    STATE(3570), 2,
      sym_line_comment,
      sym_block_comment,
  [96196] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7131), 1,
      anon_sym_SEMI,
    STATE(3571), 2,
      sym_line_comment,
      sym_block_comment,
  [96210] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7133), 1,
      anon_sym_EQ,
    STATE(3572), 2,
      sym_line_comment,
      sym_block_comment,
  [96224] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6448), 1,
      anon_sym_RBRACE,
    STATE(3573), 2,
      sym_line_comment,
      sym_block_comment,
  [96238] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7135), 1,
      anon_sym_RPAREN,
    STATE(3574), 2,
      sym_line_comment,
      sym_block_comment,
  [96252] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5145), 1,
      anon_sym_SEMI,
    STATE(3575), 2,
      sym_line_comment,
      sym_block_comment,
  [96266] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7137), 1,
      anon_sym_SEMI,
    STATE(3576), 2,
      sym_line_comment,
      sym_block_comment,
  [96280] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7139), 1,
      anon_sym_COLON,
    STATE(3577), 2,
      sym_line_comment,
      sym_block_comment,
  [96294] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5637), 1,
      anon_sym_RPAREN,
    STATE(3578), 2,
      sym_line_comment,
      sym_block_comment,
  [96308] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7141), 1,
      anon_sym_COLON,
    STATE(3579), 2,
      sym_line_comment,
      sym_block_comment,
  [96322] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7143), 1,
      anon_sym_LBRACK,
    STATE(3580), 2,
      sym_line_comment,
      sym_block_comment,
  [96336] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7145), 1,
      anon_sym_LBRACK,
    STATE(3581), 2,
      sym_line_comment,
      sym_block_comment,
  [96350] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7147), 1,
      anon_sym_COLON,
    STATE(3582), 2,
      sym_line_comment,
      sym_block_comment,
  [96364] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6426), 1,
      anon_sym_RBRACE,
    STATE(3583), 2,
      sym_line_comment,
      sym_block_comment,
  [96378] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5902), 1,
      anon_sym_RBRACE,
    STATE(3584), 2,
      sym_line_comment,
      sym_block_comment,
  [96392] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7149), 1,
      anon_sym_COLON,
    STATE(3585), 2,
      sym_line_comment,
      sym_block_comment,
  [96406] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7151), 1,
      anon_sym_COLON,
    STATE(3586), 2,
      sym_line_comment,
      sym_block_comment,
  [96420] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7153), 1,
      sym_identifier,
    STATE(3587), 2,
      sym_line_comment,
      sym_block_comment,
  [96434] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7155), 1,
      anon_sym_COLON,
    STATE(3588), 2,
      sym_line_comment,
      sym_block_comment,
  [96448] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7157), 1,
      anon_sym_COLON,
    STATE(3589), 2,
      sym_line_comment,
      sym_block_comment,
  [96462] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7159), 1,
      anon_sym_COLON,
    STATE(3590), 2,
      sym_line_comment,
      sym_block_comment,
  [96476] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7161), 1,
      anon_sym_COLON,
    STATE(3591), 2,
      sym_line_comment,
      sym_block_comment,
  [96490] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7163), 1,
      anon_sym_COLON,
    STATE(3592), 2,
      sym_line_comment,
      sym_block_comment,
  [96504] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(4499), 1,
      anon_sym_fn,
    STATE(3593), 2,
      sym_line_comment,
      sym_block_comment,
  [96518] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7165), 1,
      anon_sym_EQ_GT,
    STATE(3594), 2,
      sym_line_comment,
      sym_block_comment,
  [96532] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(3979), 1,
      sym_identifier,
    STATE(3595), 2,
      sym_line_comment,
      sym_block_comment,
  [96546] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7167), 1,
      sym_identifier,
    STATE(3596), 2,
      sym_line_comment,
      sym_block_comment,
  [96560] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7169), 1,
      anon_sym_SEMI,
    STATE(3597), 2,
      sym_line_comment,
      sym_block_comment,
  [96574] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7171), 1,
      anon_sym_SEMI,
    STATE(3598), 2,
      sym_line_comment,
      sym_block_comment,
  [96588] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7173), 1,
      sym_identifier,
    STATE(3599), 2,
      sym_line_comment,
      sym_block_comment,
  [96602] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7175), 1,
      anon_sym_fn,
    STATE(3600), 2,
      sym_line_comment,
      sym_block_comment,
  [96616] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7177), 1,
      sym_raw_string_literal_content,
    STATE(3601), 2,
      sym_line_comment,
      sym_block_comment,
  [96630] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7179), 1,
      sym_identifier,
    STATE(3602), 2,
      sym_line_comment,
      sym_block_comment,
  [96644] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7181), 1,
      sym_identifier,
    STATE(3603), 2,
      sym_line_comment,
      sym_block_comment,
  [96658] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7183), 1,
      sym_identifier,
    STATE(3604), 2,
      sym_line_comment,
      sym_block_comment,
  [96672] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7185), 1,
      anon_sym_EQ_GT,
    STATE(3605), 2,
      sym_line_comment,
      sym_block_comment,
  [96686] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6005), 1,
      anon_sym_RBRACE,
    STATE(3606), 2,
      sym_line_comment,
      sym_block_comment,
  [96700] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7187), 1,
      sym_identifier,
    STATE(3607), 2,
      sym_line_comment,
      sym_block_comment,
  [96714] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7189), 1,
      anon_sym_RPAREN,
    STATE(3608), 2,
      sym_line_comment,
      sym_block_comment,
  [96728] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(5155), 1,
      anon_sym_COLON_COLON,
    STATE(3609), 2,
      sym_line_comment,
      sym_block_comment,
  [96742] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(915), 1,
      anon_sym_RBRACK,
    STATE(3610), 2,
      sym_line_comment,
      sym_block_comment,
  [96756] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(7191), 1,
      sym_identifier,
    STATE(3611), 2,
      sym_line_comment,
      sym_block_comment,
  [96770] = 4,
    ACTIONS(101), 1,
      anon_sym_SLASH_SLASH,
    ACTIONS(103), 1,
      anon_sym_SLASH_STAR,
    ACTIONS(6709), 1,
      anon_sym_SEMI,
    STATE(3612), 2,
      sym_line_comment,
      sym_block_comment,
  [96784] = 1,
    ACTIONS(7193), 1,
      ts_builtin_sym_end,
  [96788] = 1,
    ACTIONS(7195), 1,
      ts_builtin_sym_end,
  [96792] = 1,
    ACTIONS(7197), 1,
      ts_builtin_sym_end,
  [96796] = 1,
    ACTIONS(7199), 1,
      ts_builtin_sym_end,
  [96800] = 1,
    ACTIONS(7201), 1,
      ts_builtin_sym_end,
  [96804] = 1,
    ACTIONS(7203), 1,
      ts_builtin_sym_end,
  [96808] = 1,
    ACTIONS(7205), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(1004)] = 0,
  [SMALL_STATE(1005)] = 75,
  [SMALL_STATE(1006)] = 150,
  [SMALL_STATE(1007)] = 224,
  [SMALL_STATE(1008)] = 294,
  [SMALL_STATE(1009)] = 363,
  [SMALL_STATE(1010)] = 462,
  [SMALL_STATE(1011)] = 561,
  [SMALL_STATE(1012)] = 638,
  [SMALL_STATE(1013)] = 712,
  [SMALL_STATE(1014)] = 786,
  [SMALL_STATE(1015)] = 860,
  [SMALL_STATE(1016)] = 923,
  [SMALL_STATE(1017)] = 990,
  [SMALL_STATE(1018)] = 1057,
  [SMALL_STATE(1019)] = 1120,
  [SMALL_STATE(1020)] = 1183,
  [SMALL_STATE(1021)] = 1246,
  [SMALL_STATE(1022)] = 1317,
  [SMALL_STATE(1023)] = 1388,
  [SMALL_STATE(1024)] = 1451,
  [SMALL_STATE(1025)] = 1518,
  [SMALL_STATE(1026)] = 1581,
  [SMALL_STATE(1027)] = 1644,
  [SMALL_STATE(1028)] = 1707,
  [SMALL_STATE(1029)] = 1778,
  [SMALL_STATE(1030)] = 1849,
  [SMALL_STATE(1031)] = 1912,
  [SMALL_STATE(1032)] = 1979,
  [SMALL_STATE(1033)] = 2047,
  [SMALL_STATE(1034)] = 2109,
  [SMALL_STATE(1035)] = 2171,
  [SMALL_STATE(1036)] = 2233,
  [SMALL_STATE(1037)] = 2295,
  [SMALL_STATE(1038)] = 2357,
  [SMALL_STATE(1039)] = 2419,
  [SMALL_STATE(1040)] = 2481,
  [SMALL_STATE(1041)] = 2551,
  [SMALL_STATE(1042)] = 2617,
  [SMALL_STATE(1043)] = 2679,
  [SMALL_STATE(1044)] = 2741,
  [SMALL_STATE(1045)] = 2802,
  [SMALL_STATE(1046)] = 2867,
  [SMALL_STATE(1047)] = 2930,
  [SMALL_STATE(1048)] = 2991,
  [SMALL_STATE(1049)] = 3052,
  [SMALL_STATE(1050)] = 3115,
  [SMALL_STATE(1051)] = 3180,
  [SMALL_STATE(1052)] = 3243,
  [SMALL_STATE(1053)] = 3304,
  [SMALL_STATE(1054)] = 3365,
  [SMALL_STATE(1055)] = 3470,
  [SMALL_STATE(1056)] = 3535,
  [SMALL_STATE(1057)] = 3598,
  [SMALL_STATE(1058)] = 3659,
  [SMALL_STATE(1059)] = 3720,
  [SMALL_STATE(1060)] = 3781,
  [SMALL_STATE(1061)] = 3844,
  [SMALL_STATE(1062)] = 3905,
  [SMALL_STATE(1063)] = 4010,
  [SMALL_STATE(1064)] = 4071,
  [SMALL_STATE(1065)] = 4132,
  [SMALL_STATE(1066)] = 4197,
  [SMALL_STATE(1067)] = 4258,
  [SMALL_STATE(1068)] = 4321,
  [SMALL_STATE(1069)] = 4426,
  [SMALL_STATE(1070)] = 4489,
  [SMALL_STATE(1071)] = 4552,
  [SMALL_STATE(1072)] = 4613,
  [SMALL_STATE(1073)] = 4674,
  [SMALL_STATE(1074)] = 4737,
  [SMALL_STATE(1075)] = 4842,
  [SMALL_STATE(1076)] = 4903,
  [SMALL_STATE(1077)] = 4966,
  [SMALL_STATE(1078)] = 5065,
  [SMALL_STATE(1079)] = 5128,
  [SMALL_STATE(1080)] = 5233,
  [SMALL_STATE(1081)] = 5294,
  [SMALL_STATE(1082)] = 5355,
  [SMALL_STATE(1083)] = 5454,
  [SMALL_STATE(1084)] = 5517,
  [SMALL_STATE(1085)] = 5622,
  [SMALL_STATE(1086)] = 5685,
  [SMALL_STATE(1087)] = 5748,
  [SMALL_STATE(1088)] = 5811,
  [SMALL_STATE(1089)] = 5874,
  [SMALL_STATE(1090)] = 5937,
  [SMALL_STATE(1091)] = 6000,
  [SMALL_STATE(1092)] = 6060,
  [SMALL_STATE(1093)] = 6120,
  [SMALL_STATE(1094)] = 6180,
  [SMALL_STATE(1095)] = 6240,
  [SMALL_STATE(1096)] = 6300,
  [SMALL_STATE(1097)] = 6360,
  [SMALL_STATE(1098)] = 6420,
  [SMALL_STATE(1099)] = 6480,
  [SMALL_STATE(1100)] = 6540,
  [SMALL_STATE(1101)] = 6600,
  [SMALL_STATE(1102)] = 6660,
  [SMALL_STATE(1103)] = 6720,
  [SMALL_STATE(1104)] = 6780,
  [SMALL_STATE(1105)] = 6840,
  [SMALL_STATE(1106)] = 6900,
  [SMALL_STATE(1107)] = 6960,
  [SMALL_STATE(1108)] = 7020,
  [SMALL_STATE(1109)] = 7080,
  [SMALL_STATE(1110)] = 7140,
  [SMALL_STATE(1111)] = 7200,
  [SMALL_STATE(1112)] = 7260,
  [SMALL_STATE(1113)] = 7320,
  [SMALL_STATE(1114)] = 7380,
  [SMALL_STATE(1115)] = 7440,
  [SMALL_STATE(1116)] = 7500,
  [SMALL_STATE(1117)] = 7560,
  [SMALL_STATE(1118)] = 7620,
  [SMALL_STATE(1119)] = 7680,
  [SMALL_STATE(1120)] = 7740,
  [SMALL_STATE(1121)] = 7800,
  [SMALL_STATE(1122)] = 7860,
  [SMALL_STATE(1123)] = 7920,
  [SMALL_STATE(1124)] = 7980,
  [SMALL_STATE(1125)] = 8040,
  [SMALL_STATE(1126)] = 8100,
  [SMALL_STATE(1127)] = 8160,
  [SMALL_STATE(1128)] = 8220,
  [SMALL_STATE(1129)] = 8280,
  [SMALL_STATE(1130)] = 8340,
  [SMALL_STATE(1131)] = 8400,
  [SMALL_STATE(1132)] = 8460,
  [SMALL_STATE(1133)] = 8520,
  [SMALL_STATE(1134)] = 8580,
  [SMALL_STATE(1135)] = 8640,
  [SMALL_STATE(1136)] = 8700,
  [SMALL_STATE(1137)] = 8760,
  [SMALL_STATE(1138)] = 8820,
  [SMALL_STATE(1139)] = 8880,
  [SMALL_STATE(1140)] = 8940,
  [SMALL_STATE(1141)] = 9000,
  [SMALL_STATE(1142)] = 9060,
  [SMALL_STATE(1143)] = 9120,
  [SMALL_STATE(1144)] = 9180,
  [SMALL_STATE(1145)] = 9240,
  [SMALL_STATE(1146)] = 9300,
  [SMALL_STATE(1147)] = 9360,
  [SMALL_STATE(1148)] = 9420,
  [SMALL_STATE(1149)] = 9480,
  [SMALL_STATE(1150)] = 9540,
  [SMALL_STATE(1151)] = 9600,
  [SMALL_STATE(1152)] = 9660,
  [SMALL_STATE(1153)] = 9720,
  [SMALL_STATE(1154)] = 9780,
  [SMALL_STATE(1155)] = 9840,
  [SMALL_STATE(1156)] = 9900,
  [SMALL_STATE(1157)] = 9960,
  [SMALL_STATE(1158)] = 10020,
  [SMALL_STATE(1159)] = 10080,
  [SMALL_STATE(1160)] = 10140,
  [SMALL_STATE(1161)] = 10200,
  [SMALL_STATE(1162)] = 10260,
  [SMALL_STATE(1163)] = 10320,
  [SMALL_STATE(1164)] = 10380,
  [SMALL_STATE(1165)] = 10440,
  [SMALL_STATE(1166)] = 10500,
  [SMALL_STATE(1167)] = 10560,
  [SMALL_STATE(1168)] = 10620,
  [SMALL_STATE(1169)] = 10680,
  [SMALL_STATE(1170)] = 10740,
  [SMALL_STATE(1171)] = 10800,
  [SMALL_STATE(1172)] = 10860,
  [SMALL_STATE(1173)] = 10920,
  [SMALL_STATE(1174)] = 10980,
  [SMALL_STATE(1175)] = 11040,
  [SMALL_STATE(1176)] = 11100,
  [SMALL_STATE(1177)] = 11160,
  [SMALL_STATE(1178)] = 11220,
  [SMALL_STATE(1179)] = 11280,
  [SMALL_STATE(1180)] = 11340,
  [SMALL_STATE(1181)] = 11400,
  [SMALL_STATE(1182)] = 11460,
  [SMALL_STATE(1183)] = 11520,
  [SMALL_STATE(1184)] = 11580,
  [SMALL_STATE(1185)] = 11640,
  [SMALL_STATE(1186)] = 11700,
  [SMALL_STATE(1187)] = 11760,
  [SMALL_STATE(1188)] = 11820,
  [SMALL_STATE(1189)] = 11880,
  [SMALL_STATE(1190)] = 11940,
  [SMALL_STATE(1191)] = 12000,
  [SMALL_STATE(1192)] = 12060,
  [SMALL_STATE(1193)] = 12120,
  [SMALL_STATE(1194)] = 12180,
  [SMALL_STATE(1195)] = 12240,
  [SMALL_STATE(1196)] = 12300,
  [SMALL_STATE(1197)] = 12360,
  [SMALL_STATE(1198)] = 12420,
  [SMALL_STATE(1199)] = 12480,
  [SMALL_STATE(1200)] = 12540,
  [SMALL_STATE(1201)] = 12600,
  [SMALL_STATE(1202)] = 12660,
  [SMALL_STATE(1203)] = 12720,
  [SMALL_STATE(1204)] = 12780,
  [SMALL_STATE(1205)] = 12840,
  [SMALL_STATE(1206)] = 12900,
  [SMALL_STATE(1207)] = 12960,
  [SMALL_STATE(1208)] = 13020,
  [SMALL_STATE(1209)] = 13080,
  [SMALL_STATE(1210)] = 13140,
  [SMALL_STATE(1211)] = 13200,
  [SMALL_STATE(1212)] = 13260,
  [SMALL_STATE(1213)] = 13320,
  [SMALL_STATE(1214)] = 13380,
  [SMALL_STATE(1215)] = 13440,
  [SMALL_STATE(1216)] = 13500,
  [SMALL_STATE(1217)] = 13592,
  [SMALL_STATE(1218)] = 13652,
  [SMALL_STATE(1219)] = 13712,
  [SMALL_STATE(1220)] = 13772,
  [SMALL_STATE(1221)] = 13832,
  [SMALL_STATE(1222)] = 13892,
  [SMALL_STATE(1223)] = 13952,
  [SMALL_STATE(1224)] = 14012,
  [SMALL_STATE(1225)] = 14072,
  [SMALL_STATE(1226)] = 14132,
  [SMALL_STATE(1227)] = 14192,
  [SMALL_STATE(1228)] = 14252,
  [SMALL_STATE(1229)] = 14312,
  [SMALL_STATE(1230)] = 14372,
  [SMALL_STATE(1231)] = 14432,
  [SMALL_STATE(1232)] = 14492,
  [SMALL_STATE(1233)] = 14552,
  [SMALL_STATE(1234)] = 14612,
  [SMALL_STATE(1235)] = 14672,
  [SMALL_STATE(1236)] = 14732,
  [SMALL_STATE(1237)] = 14792,
  [SMALL_STATE(1238)] = 14852,
  [SMALL_STATE(1239)] = 14916,
  [SMALL_STATE(1240)] = 14976,
  [SMALL_STATE(1241)] = 15036,
  [SMALL_STATE(1242)] = 15096,
  [SMALL_STATE(1243)] = 15156,
  [SMALL_STATE(1244)] = 15218,
  [SMALL_STATE(1245)] = 15278,
  [SMALL_STATE(1246)] = 15338,
  [SMALL_STATE(1247)] = 15398,
  [SMALL_STATE(1248)] = 15458,
  [SMALL_STATE(1249)] = 15518,
  [SMALL_STATE(1250)] = 15578,
  [SMALL_STATE(1251)] = 15638,
  [SMALL_STATE(1252)] = 15706,
  [SMALL_STATE(1253)] = 15766,
  [SMALL_STATE(1254)] = 15826,
  [SMALL_STATE(1255)] = 15886,
  [SMALL_STATE(1256)] = 15946,
  [SMALL_STATE(1257)] = 16006,
  [SMALL_STATE(1258)] = 16066,
  [SMALL_STATE(1259)] = 16126,
  [SMALL_STATE(1260)] = 16186,
  [SMALL_STATE(1261)] = 16246,
  [SMALL_STATE(1262)] = 16306,
  [SMALL_STATE(1263)] = 16366,
  [SMALL_STATE(1264)] = 16426,
  [SMALL_STATE(1265)] = 16486,
  [SMALL_STATE(1266)] = 16546,
  [SMALL_STATE(1267)] = 16606,
  [SMALL_STATE(1268)] = 16666,
  [SMALL_STATE(1269)] = 16726,
  [SMALL_STATE(1270)] = 16786,
  [SMALL_STATE(1271)] = 16846,
  [SMALL_STATE(1272)] = 16906,
  [SMALL_STATE(1273)] = 16966,
  [SMALL_STATE(1274)] = 17026,
  [SMALL_STATE(1275)] = 17086,
  [SMALL_STATE(1276)] = 17146,
  [SMALL_STATE(1277)] = 17206,
  [SMALL_STATE(1278)] = 17266,
  [SMALL_STATE(1279)] = 17326,
  [SMALL_STATE(1280)] = 17386,
  [SMALL_STATE(1281)] = 17446,
  [SMALL_STATE(1282)] = 17506,
  [SMALL_STATE(1283)] = 17566,
  [SMALL_STATE(1284)] = 17626,
  [SMALL_STATE(1285)] = 17686,
  [SMALL_STATE(1286)] = 17746,
  [SMALL_STATE(1287)] = 17806,
  [SMALL_STATE(1288)] = 17866,
  [SMALL_STATE(1289)] = 17928,
  [SMALL_STATE(1290)] = 17988,
  [SMALL_STATE(1291)] = 18048,
  [SMALL_STATE(1292)] = 18108,
  [SMALL_STATE(1293)] = 18168,
  [SMALL_STATE(1294)] = 18228,
  [SMALL_STATE(1295)] = 18288,
  [SMALL_STATE(1296)] = 18348,
  [SMALL_STATE(1297)] = 18408,
  [SMALL_STATE(1298)] = 18468,
  [SMALL_STATE(1299)] = 18528,
  [SMALL_STATE(1300)] = 18588,
  [SMALL_STATE(1301)] = 18648,
  [SMALL_STATE(1302)] = 18708,
  [SMALL_STATE(1303)] = 18768,
  [SMALL_STATE(1304)] = 18860,
  [SMALL_STATE(1305)] = 18920,
  [SMALL_STATE(1306)] = 18980,
  [SMALL_STATE(1307)] = 19040,
  [SMALL_STATE(1308)] = 19100,
  [SMALL_STATE(1309)] = 19160,
  [SMALL_STATE(1310)] = 19220,
  [SMALL_STATE(1311)] = 19280,
  [SMALL_STATE(1312)] = 19340,
  [SMALL_STATE(1313)] = 19400,
  [SMALL_STATE(1314)] = 19460,
  [SMALL_STATE(1315)] = 19520,
  [SMALL_STATE(1316)] = 19580,
  [SMALL_STATE(1317)] = 19640,
  [SMALL_STATE(1318)] = 19700,
  [SMALL_STATE(1319)] = 19760,
  [SMALL_STATE(1320)] = 19820,
  [SMALL_STATE(1321)] = 19880,
  [SMALL_STATE(1322)] = 19940,
  [SMALL_STATE(1323)] = 20000,
  [SMALL_STATE(1324)] = 20066,
  [SMALL_STATE(1325)] = 20126,
  [SMALL_STATE(1326)] = 20186,
  [SMALL_STATE(1327)] = 20246,
  [SMALL_STATE(1328)] = 20306,
  [SMALL_STATE(1329)] = 20366,
  [SMALL_STATE(1330)] = 20426,
  [SMALL_STATE(1331)] = 20486,
  [SMALL_STATE(1332)] = 20546,
  [SMALL_STATE(1333)] = 20606,
  [SMALL_STATE(1334)] = 20666,
  [SMALL_STATE(1335)] = 20726,
  [SMALL_STATE(1336)] = 20786,
  [SMALL_STATE(1337)] = 20846,
  [SMALL_STATE(1338)] = 20912,
  [SMALL_STATE(1339)] = 20972,
  [SMALL_STATE(1340)] = 21032,
  [SMALL_STATE(1341)] = 21092,
  [SMALL_STATE(1342)] = 21152,
  [SMALL_STATE(1343)] = 21212,
  [SMALL_STATE(1344)] = 21272,
  [SMALL_STATE(1345)] = 21332,
  [SMALL_STATE(1346)] = 21392,
  [SMALL_STATE(1347)] = 21452,
  [SMALL_STATE(1348)] = 21512,
  [SMALL_STATE(1349)] = 21572,
  [SMALL_STATE(1350)] = 21632,
  [SMALL_STATE(1351)] = 21692,
  [SMALL_STATE(1352)] = 21752,
  [SMALL_STATE(1353)] = 21812,
  [SMALL_STATE(1354)] = 21878,
  [SMALL_STATE(1355)] = 21938,
  [SMALL_STATE(1356)] = 21998,
  [SMALL_STATE(1357)] = 22058,
  [SMALL_STATE(1358)] = 22118,
  [SMALL_STATE(1359)] = 22178,
  [SMALL_STATE(1360)] = 22238,
  [SMALL_STATE(1361)] = 22298,
  [SMALL_STATE(1362)] = 22358,
  [SMALL_STATE(1363)] = 22418,
  [SMALL_STATE(1364)] = 22478,
  [SMALL_STATE(1365)] = 22538,
  [SMALL_STATE(1366)] = 22598,
  [SMALL_STATE(1367)] = 22658,
  [SMALL_STATE(1368)] = 22718,
  [SMALL_STATE(1369)] = 22778,
  [SMALL_STATE(1370)] = 22838,
  [SMALL_STATE(1371)] = 22898,
  [SMALL_STATE(1372)] = 22958,
  [SMALL_STATE(1373)] = 23018,
  [SMALL_STATE(1374)] = 23078,
  [SMALL_STATE(1375)] = 23138,
  [SMALL_STATE(1376)] = 23198,
  [SMALL_STATE(1377)] = 23258,
  [SMALL_STATE(1378)] = 23320,
  [SMALL_STATE(1379)] = 23380,
  [SMALL_STATE(1380)] = 23440,
  [SMALL_STATE(1381)] = 23500,
  [SMALL_STATE(1382)] = 23560,
  [SMALL_STATE(1383)] = 23620,
  [SMALL_STATE(1384)] = 23680,
  [SMALL_STATE(1385)] = 23740,
  [SMALL_STATE(1386)] = 23800,
  [SMALL_STATE(1387)] = 23860,
  [SMALL_STATE(1388)] = 23920,
  [SMALL_STATE(1389)] = 23980,
  [SMALL_STATE(1390)] = 24040,
  [SMALL_STATE(1391)] = 24100,
  [SMALL_STATE(1392)] = 24160,
  [SMALL_STATE(1393)] = 24220,
  [SMALL_STATE(1394)] = 24284,
  [SMALL_STATE(1395)] = 24344,
  [SMALL_STATE(1396)] = 24404,
  [SMALL_STATE(1397)] = 24464,
  [SMALL_STATE(1398)] = 24524,
  [SMALL_STATE(1399)] = 24584,
  [SMALL_STATE(1400)] = 24644,
  [SMALL_STATE(1401)] = 24704,
  [SMALL_STATE(1402)] = 24764,
  [SMALL_STATE(1403)] = 24824,
  [SMALL_STATE(1404)] = 24884,
  [SMALL_STATE(1405)] = 24944,
  [SMALL_STATE(1406)] = 25004,
  [SMALL_STATE(1407)] = 25064,
  [SMALL_STATE(1408)] = 25124,
  [SMALL_STATE(1409)] = 25184,
  [SMALL_STATE(1410)] = 25244,
  [SMALL_STATE(1411)] = 25304,
  [SMALL_STATE(1412)] = 25364,
  [SMALL_STATE(1413)] = 25424,
  [SMALL_STATE(1414)] = 25484,
  [SMALL_STATE(1415)] = 25544,
  [SMALL_STATE(1416)] = 25604,
  [SMALL_STATE(1417)] = 25664,
  [SMALL_STATE(1418)] = 25724,
  [SMALL_STATE(1419)] = 25784,
  [SMALL_STATE(1420)] = 25846,
  [SMALL_STATE(1421)] = 25906,
  [SMALL_STATE(1422)] = 25966,
  [SMALL_STATE(1423)] = 26026,
  [SMALL_STATE(1424)] = 26086,
  [SMALL_STATE(1425)] = 26146,
  [SMALL_STATE(1426)] = 26206,
  [SMALL_STATE(1427)] = 26266,
  [SMALL_STATE(1428)] = 26326,
  [SMALL_STATE(1429)] = 26386,
  [SMALL_STATE(1430)] = 26446,
  [SMALL_STATE(1431)] = 26506,
  [SMALL_STATE(1432)] = 26566,
  [SMALL_STATE(1433)] = 26626,
  [SMALL_STATE(1434)] = 26686,
  [SMALL_STATE(1435)] = 26746,
  [SMALL_STATE(1436)] = 26806,
  [SMALL_STATE(1437)] = 26866,
  [SMALL_STATE(1438)] = 26926,
  [SMALL_STATE(1439)] = 26986,
  [SMALL_STATE(1440)] = 27046,
  [SMALL_STATE(1441)] = 27106,
  [SMALL_STATE(1442)] = 27166,
  [SMALL_STATE(1443)] = 27226,
  [SMALL_STATE(1444)] = 27286,
  [SMALL_STATE(1445)] = 27346,
  [SMALL_STATE(1446)] = 27406,
  [SMALL_STATE(1447)] = 27466,
  [SMALL_STATE(1448)] = 27526,
  [SMALL_STATE(1449)] = 27586,
  [SMALL_STATE(1450)] = 27646,
  [SMALL_STATE(1451)] = 27706,
  [SMALL_STATE(1452)] = 27766,
  [SMALL_STATE(1453)] = 27826,
  [SMALL_STATE(1454)] = 27886,
  [SMALL_STATE(1455)] = 27946,
  [SMALL_STATE(1456)] = 28006,
  [SMALL_STATE(1457)] = 28066,
  [SMALL_STATE(1458)] = 28126,
  [SMALL_STATE(1459)] = 28186,
  [SMALL_STATE(1460)] = 28246,
  [SMALL_STATE(1461)] = 28306,
  [SMALL_STATE(1462)] = 28366,
  [SMALL_STATE(1463)] = 28426,
  [SMALL_STATE(1464)] = 28486,
  [SMALL_STATE(1465)] = 28546,
  [SMALL_STATE(1466)] = 28606,
  [SMALL_STATE(1467)] = 28666,
  [SMALL_STATE(1468)] = 28726,
  [SMALL_STATE(1469)] = 28786,
  [SMALL_STATE(1470)] = 28846,
  [SMALL_STATE(1471)] = 28906,
  [SMALL_STATE(1472)] = 28965,
  [SMALL_STATE(1473)] = 29024,
  [SMALL_STATE(1474)] = 29083,
  [SMALL_STATE(1475)] = 29142,
  [SMALL_STATE(1476)] = 29203,
  [SMALL_STATE(1477)] = 29262,
  [SMALL_STATE(1478)] = 29321,
  [SMALL_STATE(1479)] = 29382,
  [SMALL_STATE(1480)] = 29441,
  [SMALL_STATE(1481)] = 29536,
  [SMALL_STATE(1482)] = 29631,
  [SMALL_STATE(1483)] = 29717,
  [SMALL_STATE(1484)] = 29807,
  [SMALL_STATE(1485)] = 29873,
  [SMALL_STATE(1486)] = 29947,
  [SMALL_STATE(1487)] = 30019,
  [SMALL_STATE(1488)] = 30111,
  [SMALL_STATE(1489)] = 30187,
  [SMALL_STATE(1490)] = 30277,
  [SMALL_STATE(1491)] = 30359,
  [SMALL_STATE(1492)] = 30457,
  [SMALL_STATE(1493)] = 30527,
  [SMALL_STATE(1494)] = 30613,
  [SMALL_STATE(1495)] = 30703,
  [SMALL_STATE(1496)] = 30771,
  [SMALL_STATE(1497)] = 30863,
  [SMALL_STATE(1498)] = 30941,
  [SMALL_STATE(1499)] = 31039,
  [SMALL_STATE(1500)] = 31129,
  [SMALL_STATE(1501)] = 31213,
  [SMALL_STATE(1502)] = 31283,
  [SMALL_STATE(1503)] = 31373,
  [SMALL_STATE(1504)] = 31463,
  [SMALL_STATE(1505)] = 31561,
  [SMALL_STATE(1506)] = 31653,
  [SMALL_STATE(1507)] = 31720,
  [SMALL_STATE(1508)] = 31785,
  [SMALL_STATE(1509)] = 31852,
  [SMALL_STATE(1510)] = 31915,
  [SMALL_STATE(1511)] = 32000,
  [SMALL_STATE(1512)] = 32063,
  [SMALL_STATE(1513)] = 32148,
  [SMALL_STATE(1514)] = 32215,
  [SMALL_STATE(1515)] = 32300,
  [SMALL_STATE(1516)] = 32385,
  [SMALL_STATE(1517)] = 32441,
  [SMALL_STATE(1518)] = 32499,
  [SMALL_STATE(1519)] = 32557,
  [SMALL_STATE(1520)] = 32617,
  [SMALL_STATE(1521)] = 32681,
  [SMALL_STATE(1522)] = 32737,
  [SMALL_STATE(1523)] = 32795,
  [SMALL_STATE(1524)] = 32851,
  [SMALL_STATE(1525)] = 32909,
  [SMALL_STATE(1526)] = 32965,
  [SMALL_STATE(1527)] = 33029,
  [SMALL_STATE(1528)] = 33089,
  [SMALL_STATE(1529)] = 33145,
  [SMALL_STATE(1530)] = 33205,
  [SMALL_STATE(1531)] = 33269,
  [SMALL_STATE(1532)] = 33327,
  [SMALL_STATE(1533)] = 33391,
  [SMALL_STATE(1534)] = 33451,
  [SMALL_STATE(1535)] = 33511,
  [SMALL_STATE(1536)] = 33571,
  [SMALL_STATE(1537)] = 33627,
  [SMALL_STATE(1538)] = 33687,
  [SMALL_STATE(1539)] = 33745,
  [SMALL_STATE(1540)] = 33801,
  [SMALL_STATE(1541)] = 33857,
  [SMALL_STATE(1542)] = 33913,
  [SMALL_STATE(1543)] = 33970,
  [SMALL_STATE(1544)] = 34065,
  [SMALL_STATE(1545)] = 34124,
  [SMALL_STATE(1546)] = 34179,
  [SMALL_STATE(1547)] = 34238,
  [SMALL_STATE(1548)] = 34293,
  [SMALL_STATE(1549)] = 34352,
  [SMALL_STATE(1550)] = 34447,
  [SMALL_STATE(1551)] = 34502,
  [SMALL_STATE(1552)] = 34597,
  [SMALL_STATE(1553)] = 34654,
  [SMALL_STATE(1554)] = 34711,
  [SMALL_STATE(1555)] = 34770,
  [SMALL_STATE(1556)] = 34865,
  [SMALL_STATE(1557)] = 34920,
  [SMALL_STATE(1558)] = 34975,
  [SMALL_STATE(1559)] = 35032,
  [SMALL_STATE(1560)] = 35087,
  [SMALL_STATE(1561)] = 35182,
  [SMALL_STATE(1562)] = 35237,
  [SMALL_STATE(1563)] = 35332,
  [SMALL_STATE(1564)] = 35427,
  [SMALL_STATE(1565)] = 35482,
  [SMALL_STATE(1566)] = 35539,
  [SMALL_STATE(1567)] = 35634,
  [SMALL_STATE(1568)] = 35729,
  [SMALL_STATE(1569)] = 35786,
  [SMALL_STATE(1570)] = 35881,
  [SMALL_STATE(1571)] = 35938,
  [SMALL_STATE(1572)] = 36033,
  [SMALL_STATE(1573)] = 36128,
  [SMALL_STATE(1574)] = 36216,
  [SMALL_STATE(1575)] = 36308,
  [SMALL_STATE(1576)] = 36394,
  [SMALL_STATE(1577)] = 36486,
  [SMALL_STATE(1578)] = 36572,
  [SMALL_STATE(1579)] = 36664,
  [SMALL_STATE(1580)] = 36746,
  [SMALL_STATE(1581)] = 36814,
  [SMALL_STATE(1582)] = 36868,
  [SMALL_STATE(1583)] = 36922,
  [SMALL_STATE(1584)] = 36976,
  [SMALL_STATE(1585)] = 37030,
  [SMALL_STATE(1586)] = 37118,
  [SMALL_STATE(1587)] = 37172,
  [SMALL_STATE(1588)] = 37226,
  [SMALL_STATE(1589)] = 37298,
  [SMALL_STATE(1590)] = 37390,
  [SMALL_STATE(1591)] = 37468,
  [SMALL_STATE(1592)] = 37524,
  [SMALL_STATE(1593)] = 37612,
  [SMALL_STATE(1594)] = 37692,
  [SMALL_STATE(1595)] = 37748,
  [SMALL_STATE(1596)] = 37802,
  [SMALL_STATE(1597)] = 37858,
  [SMALL_STATE(1598)] = 37914,
  [SMALL_STATE(1599)] = 37970,
  [SMALL_STATE(1600)] = 38024,
  [SMALL_STATE(1601)] = 38080,
  [SMALL_STATE(1602)] = 38166,
  [SMALL_STATE(1603)] = 38222,
  [SMALL_STATE(1604)] = 38276,
  [SMALL_STATE(1605)] = 38334,
  [SMALL_STATE(1606)] = 38388,
  [SMALL_STATE(1607)] = 38454,
  [SMALL_STATE(1608)] = 38542,
  [SMALL_STATE(1609)] = 38598,
  [SMALL_STATE(1610)] = 38652,
  [SMALL_STATE(1611)] = 38740,
  [SMALL_STATE(1612)] = 38794,
  [SMALL_STATE(1613)] = 38850,
  [SMALL_STATE(1614)] = 38938,
  [SMALL_STATE(1615)] = 38994,
  [SMALL_STATE(1616)] = 39080,
  [SMALL_STATE(1617)] = 39166,
  [SMALL_STATE(1618)] = 39220,
  [SMALL_STATE(1619)] = 39308,
  [SMALL_STATE(1620)] = 39382,
  [SMALL_STATE(1621)] = 39438,
  [SMALL_STATE(1622)] = 39492,
  [SMALL_STATE(1623)] = 39548,
  [SMALL_STATE(1624)] = 39604,
  [SMALL_STATE(1625)] = 39658,
  [SMALL_STATE(1626)] = 39744,
  [SMALL_STATE(1627)] = 39800,
  [SMALL_STATE(1628)] = 39882,
  [SMALL_STATE(1629)] = 39974,
  [SMALL_STATE(1630)] = 40038,
  [SMALL_STATE(1631)] = 40108,
  [SMALL_STATE(1632)] = 40162,
  [SMALL_STATE(1633)] = 40254,
  [SMALL_STATE(1634)] = 40310,
  [SMALL_STATE(1635)] = 40398,
  [SMALL_STATE(1636)] = 40454,
  [SMALL_STATE(1637)] = 40543,
  [SMALL_STATE(1638)] = 40596,
  [SMALL_STATE(1639)] = 40681,
  [SMALL_STATE(1640)] = 40734,
  [SMALL_STATE(1641)] = 40787,
  [SMALL_STATE(1642)] = 40840,
  [SMALL_STATE(1643)] = 40893,
  [SMALL_STATE(1644)] = 40952,
  [SMALL_STATE(1645)] = 41011,
  [SMALL_STATE(1646)] = 41092,
  [SMALL_STATE(1647)] = 41177,
  [SMALL_STATE(1648)] = 41230,
  [SMALL_STATE(1649)] = 41315,
  [SMALL_STATE(1650)] = 41400,
  [SMALL_STATE(1651)] = 41453,
  [SMALL_STATE(1652)] = 41506,
  [SMALL_STATE(1653)] = 41559,
  [SMALL_STATE(1654)] = 41612,
  [SMALL_STATE(1655)] = 41701,
  [SMALL_STATE(1656)] = 41754,
  [SMALL_STATE(1657)] = 41807,
  [SMALL_STATE(1658)] = 41860,
  [SMALL_STATE(1659)] = 41913,
  [SMALL_STATE(1660)] = 41972,
  [SMALL_STATE(1661)] = 42061,
  [SMALL_STATE(1662)] = 42114,
  [SMALL_STATE(1663)] = 42167,
  [SMALL_STATE(1664)] = 42220,
  [SMALL_STATE(1665)] = 42273,
  [SMALL_STATE(1666)] = 42334,
  [SMALL_STATE(1667)] = 42387,
  [SMALL_STATE(1668)] = 42440,
  [SMALL_STATE(1669)] = 42493,
  [SMALL_STATE(1670)] = 42546,
  [SMALL_STATE(1671)] = 42599,
  [SMALL_STATE(1672)] = 42686,
  [SMALL_STATE(1673)] = 42739,
  [SMALL_STATE(1674)] = 42792,
  [SMALL_STATE(1675)] = 42881,
  [SMALL_STATE(1676)] = 42934,
  [SMALL_STATE(1677)] = 42987,
  [SMALL_STATE(1678)] = 43040,
  [SMALL_STATE(1679)] = 43093,
  [SMALL_STATE(1680)] = 43146,
  [SMALL_STATE(1681)] = 43199,
  [SMALL_STATE(1682)] = 43252,
  [SMALL_STATE(1683)] = 43341,
  [SMALL_STATE(1684)] = 43394,
  [SMALL_STATE(1685)] = 43447,
  [SMALL_STATE(1686)] = 43500,
  [SMALL_STATE(1687)] = 43553,
  [SMALL_STATE(1688)] = 43606,
  [SMALL_STATE(1689)] = 43659,
  [SMALL_STATE(1690)] = 43712,
  [SMALL_STATE(1691)] = 43797,
  [SMALL_STATE(1692)] = 43850,
  [SMALL_STATE(1693)] = 43903,
  [SMALL_STATE(1694)] = 43956,
  [SMALL_STATE(1695)] = 44009,
  [SMALL_STATE(1696)] = 44098,
  [SMALL_STATE(1697)] = 44151,
  [SMALL_STATE(1698)] = 44238,
  [SMALL_STATE(1699)] = 44325,
  [SMALL_STATE(1700)] = 44412,
  [SMALL_STATE(1701)] = 44465,
  [SMALL_STATE(1702)] = 44518,
  [SMALL_STATE(1703)] = 44607,
  [SMALL_STATE(1704)] = 44694,
  [SMALL_STATE(1705)] = 44783,
  [SMALL_STATE(1706)] = 44836,
  [SMALL_STATE(1707)] = 44889,
  [SMALL_STATE(1708)] = 44942,
  [SMALL_STATE(1709)] = 44995,
  [SMALL_STATE(1710)] = 45048,
  [SMALL_STATE(1711)] = 45133,
  [SMALL_STATE(1712)] = 45220,
  [SMALL_STATE(1713)] = 45283,
  [SMALL_STATE(1714)] = 45352,
  [SMALL_STATE(1715)] = 45419,
  [SMALL_STATE(1716)] = 45490,
  [SMALL_STATE(1717)] = 45567,
  [SMALL_STATE(1718)] = 45646,
  [SMALL_STATE(1719)] = 45711,
  [SMALL_STATE(1720)] = 45796,
  [SMALL_STATE(1721)] = 45881,
  [SMALL_STATE(1722)] = 45954,
  [SMALL_STATE(1723)] = 46035,
  [SMALL_STATE(1724)] = 46088,
  [SMALL_STATE(1725)] = 46141,
  [SMALL_STATE(1726)] = 46194,
  [SMALL_STATE(1727)] = 46247,
  [SMALL_STATE(1728)] = 46334,
  [SMALL_STATE(1729)] = 46387,
  [SMALL_STATE(1730)] = 46440,
  [SMALL_STATE(1731)] = 46493,
  [SMALL_STATE(1732)] = 46546,
  [SMALL_STATE(1733)] = 46599,
  [SMALL_STATE(1734)] = 46686,
  [SMALL_STATE(1735)] = 46739,
  [SMALL_STATE(1736)] = 46792,
  [SMALL_STATE(1737)] = 46845,
  [SMALL_STATE(1738)] = 46898,
  [SMALL_STATE(1739)] = 46951,
  [SMALL_STATE(1740)] = 47004,
  [SMALL_STATE(1741)] = 47093,
  [SMALL_STATE(1742)] = 47146,
  [SMALL_STATE(1743)] = 47199,
  [SMALL_STATE(1744)] = 47252,
  [SMALL_STATE(1745)] = 47305,
  [SMALL_STATE(1746)] = 47358,
  [SMALL_STATE(1747)] = 47445,
  [SMALL_STATE(1748)] = 47498,
  [SMALL_STATE(1749)] = 47587,
  [SMALL_STATE(1750)] = 47672,
  [SMALL_STATE(1751)] = 47725,
  [SMALL_STATE(1752)] = 47812,
  [SMALL_STATE(1753)] = 47865,
  [SMALL_STATE(1754)] = 47928,
  [SMALL_STATE(1755)] = 47997,
  [SMALL_STATE(1756)] = 48064,
  [SMALL_STATE(1757)] = 48135,
  [SMALL_STATE(1758)] = 48212,
  [SMALL_STATE(1759)] = 48291,
  [SMALL_STATE(1760)] = 48356,
  [SMALL_STATE(1761)] = 48441,
  [SMALL_STATE(1762)] = 48526,
  [SMALL_STATE(1763)] = 48599,
  [SMALL_STATE(1764)] = 48680,
  [SMALL_STATE(1765)] = 48733,
  [SMALL_STATE(1766)] = 48786,
  [SMALL_STATE(1767)] = 48839,
  [SMALL_STATE(1768)] = 48892,
  [SMALL_STATE(1769)] = 48979,
  [SMALL_STATE(1770)] = 49032,
  [SMALL_STATE(1771)] = 49085,
  [SMALL_STATE(1772)] = 49138,
  [SMALL_STATE(1773)] = 49191,
  [SMALL_STATE(1774)] = 49244,
  [SMALL_STATE(1775)] = 49297,
  [SMALL_STATE(1776)] = 49350,
  [SMALL_STATE(1777)] = 49403,
  [SMALL_STATE(1778)] = 49456,
  [SMALL_STATE(1779)] = 49509,
  [SMALL_STATE(1780)] = 49562,
  [SMALL_STATE(1781)] = 49615,
  [SMALL_STATE(1782)] = 49668,
  [SMALL_STATE(1783)] = 49757,
  [SMALL_STATE(1784)] = 49844,
  [SMALL_STATE(1785)] = 49897,
  [SMALL_STATE(1786)] = 49950,
  [SMALL_STATE(1787)] = 50039,
  [SMALL_STATE(1788)] = 50126,
  [SMALL_STATE(1789)] = 50179,
  [SMALL_STATE(1790)] = 50232,
  [SMALL_STATE(1791)] = 50319,
  [SMALL_STATE(1792)] = 50372,
  [SMALL_STATE(1793)] = 50425,
  [SMALL_STATE(1794)] = 50514,
  [SMALL_STATE(1795)] = 50603,
  [SMALL_STATE(1796)] = 50682,
  [SMALL_STATE(1797)] = 50771,
  [SMALL_STATE(1798)] = 50860,
  [SMALL_STATE(1799)] = 50947,
  [SMALL_STATE(1800)] = 51034,
  [SMALL_STATE(1801)] = 51123,
  [SMALL_STATE(1802)] = 51212,
  [SMALL_STATE(1803)] = 51301,
  [SMALL_STATE(1804)] = 51390,
  [SMALL_STATE(1805)] = 51479,
  [SMALL_STATE(1806)] = 51568,
  [SMALL_STATE(1807)] = 51657,
  [SMALL_STATE(1808)] = 51746,
  [SMALL_STATE(1809)] = 51835,
  [SMALL_STATE(1810)] = 51924,
  [SMALL_STATE(1811)] = 52013,
  [SMALL_STATE(1812)] = 52094,
  [SMALL_STATE(1813)] = 52179,
  [SMALL_STATE(1814)] = 52268,
  [SMALL_STATE(1815)] = 52353,
  [SMALL_STATE(1816)] = 52438,
  [SMALL_STATE(1817)] = 52527,
  [SMALL_STATE(1818)] = 52614,
  [SMALL_STATE(1819)] = 52701,
  [SMALL_STATE(1820)] = 52790,
  [SMALL_STATE(1821)] = 52879,
  [SMALL_STATE(1822)] = 52968,
  [SMALL_STATE(1823)] = 53057,
  [SMALL_STATE(1824)] = 53146,
  [SMALL_STATE(1825)] = 53235,
  [SMALL_STATE(1826)] = 53324,
  [SMALL_STATE(1827)] = 53413,
  [SMALL_STATE(1828)] = 53502,
  [SMALL_STATE(1829)] = 53591,
  [SMALL_STATE(1830)] = 53680,
  [SMALL_STATE(1831)] = 53769,
  [SMALL_STATE(1832)] = 53858,
  [SMALL_STATE(1833)] = 53947,
  [SMALL_STATE(1834)] = 54036,
  [SMALL_STATE(1835)] = 54125,
  [SMALL_STATE(1836)] = 54214,
  [SMALL_STATE(1837)] = 54303,
  [SMALL_STATE(1838)] = 54392,
  [SMALL_STATE(1839)] = 54481,
  [SMALL_STATE(1840)] = 54568,
  [SMALL_STATE(1841)] = 54657,
  [SMALL_STATE(1842)] = 54710,
  [SMALL_STATE(1843)] = 54796,
  [SMALL_STATE(1844)] = 54882,
  [SMALL_STATE(1845)] = 54968,
  [SMALL_STATE(1846)] = 55054,
  [SMALL_STATE(1847)] = 55130,
  [SMALL_STATE(1848)] = 55214,
  [SMALL_STATE(1849)] = 55300,
  [SMALL_STATE(1850)] = 55386,
  [SMALL_STATE(1851)] = 55472,
  [SMALL_STATE(1852)] = 55558,
  [SMALL_STATE(1853)] = 55644,
  [SMALL_STATE(1854)] = 55730,
  [SMALL_STATE(1855)] = 55816,
  [SMALL_STATE(1856)] = 55902,
  [SMALL_STATE(1857)] = 55988,
  [SMALL_STATE(1858)] = 56074,
  [SMALL_STATE(1859)] = 56160,
  [SMALL_STATE(1860)] = 56246,
  [SMALL_STATE(1861)] = 56332,
  [SMALL_STATE(1862)] = 56418,
  [SMALL_STATE(1863)] = 56504,
  [SMALL_STATE(1864)] = 56590,
  [SMALL_STATE(1865)] = 56676,
  [SMALL_STATE(1866)] = 56760,
  [SMALL_STATE(1867)] = 56846,
  [SMALL_STATE(1868)] = 56932,
  [SMALL_STATE(1869)] = 57018,
  [SMALL_STATE(1870)] = 57104,
  [SMALL_STATE(1871)] = 57190,
  [SMALL_STATE(1872)] = 57276,
  [SMALL_STATE(1873)] = 57362,
  [SMALL_STATE(1874)] = 57448,
  [SMALL_STATE(1875)] = 57524,
  [SMALL_STATE(1876)] = 57610,
  [SMALL_STATE(1877)] = 57683,
  [SMALL_STATE(1878)] = 57756,
  [SMALL_STATE(1879)] = 57829,
  [SMALL_STATE(1880)] = 57902,
  [SMALL_STATE(1881)] = 57975,
  [SMALL_STATE(1882)] = 58049,
  [SMALL_STATE(1883)] = 58123,
  [SMALL_STATE(1884)] = 58197,
  [SMALL_STATE(1885)] = 58271,
  [SMALL_STATE(1886)] = 58345,
  [SMALL_STATE(1887)] = 58419,
  [SMALL_STATE(1888)] = 58493,
  [SMALL_STATE(1889)] = 58567,
  [SMALL_STATE(1890)] = 58613,
  [SMALL_STATE(1891)] = 58659,
  [SMALL_STATE(1892)] = 58705,
  [SMALL_STATE(1893)] = 58766,
  [SMALL_STATE(1894)] = 58827,
  [SMALL_STATE(1895)] = 58888,
  [SMALL_STATE(1896)] = 58949,
  [SMALL_STATE(1897)] = 59010,
  [SMALL_STATE(1898)] = 59071,
  [SMALL_STATE(1899)] = 59132,
  [SMALL_STATE(1900)] = 59193,
  [SMALL_STATE(1901)] = 59251,
  [SMALL_STATE(1902)] = 59309,
  [SMALL_STATE(1903)] = 59345,
  [SMALL_STATE(1904)] = 59393,
  [SMALL_STATE(1905)] = 59429,
  [SMALL_STATE(1906)] = 59474,
  [SMALL_STATE(1907)] = 59511,
  [SMALL_STATE(1908)] = 59556,
  [SMALL_STATE(1909)] = 59593,
  [SMALL_STATE(1910)] = 59630,
  [SMALL_STATE(1911)] = 59683,
  [SMALL_STATE(1912)] = 59728,
  [SMALL_STATE(1913)] = 59765,
  [SMALL_STATE(1914)] = 59801,
  [SMALL_STATE(1915)] = 59841,
  [SMALL_STATE(1916)] = 59877,
  [SMALL_STATE(1917)] = 59917,
  [SMALL_STATE(1918)] = 59957,
  [SMALL_STATE(1919)] = 59993,
  [SMALL_STATE(1920)] = 60029,
  [SMALL_STATE(1921)] = 60069,
  [SMALL_STATE(1922)] = 60102,
  [SMALL_STATE(1923)] = 60135,
  [SMALL_STATE(1924)] = 60168,
  [SMALL_STATE(1925)] = 60201,
  [SMALL_STATE(1926)] = 60234,
  [SMALL_STATE(1927)] = 60265,
  [SMALL_STATE(1928)] = 60298,
  [SMALL_STATE(1929)] = 60331,
  [SMALL_STATE(1930)] = 60364,
  [SMALL_STATE(1931)] = 60396,
  [SMALL_STATE(1932)] = 60428,
  [SMALL_STATE(1933)] = 60488,
  [SMALL_STATE(1934)] = 60520,
  [SMALL_STATE(1935)] = 60580,
  [SMALL_STATE(1936)] = 60624,
  [SMALL_STATE(1937)] = 60670,
  [SMALL_STATE(1938)] = 60713,
  [SMALL_STATE(1939)] = 60746,
  [SMALL_STATE(1940)] = 60775,
  [SMALL_STATE(1941)] = 60808,
  [SMALL_STATE(1942)] = 60839,
  [SMALL_STATE(1943)] = 60894,
  [SMALL_STATE(1944)] = 60923,
  [SMALL_STATE(1945)] = 60956,
  [SMALL_STATE(1946)] = 60987,
  [SMALL_STATE(1947)] = 61016,
  [SMALL_STATE(1948)] = 61047,
  [SMALL_STATE(1949)] = 61078,
  [SMALL_STATE(1950)] = 61111,
  [SMALL_STATE(1951)] = 61140,
  [SMALL_STATE(1952)] = 61173,
  [SMALL_STATE(1953)] = 61206,
  [SMALL_STATE(1954)] = 61235,
  [SMALL_STATE(1955)] = 61264,
  [SMALL_STATE(1956)] = 61317,
  [SMALL_STATE(1957)] = 61346,
  [SMALL_STATE(1958)] = 61375,
  [SMALL_STATE(1959)] = 61428,
  [SMALL_STATE(1960)] = 61457,
  [SMALL_STATE(1961)] = 61488,
  [SMALL_STATE(1962)] = 61529,
  [SMALL_STATE(1963)] = 61560,
  [SMALL_STATE(1964)] = 61591,
  [SMALL_STATE(1965)] = 61622,
  [SMALL_STATE(1966)] = 61650,
  [SMALL_STATE(1967)] = 61678,
  [SMALL_STATE(1968)] = 61706,
  [SMALL_STATE(1969)] = 61734,
  [SMALL_STATE(1970)] = 61762,
  [SMALL_STATE(1971)] = 61790,
  [SMALL_STATE(1972)] = 61818,
  [SMALL_STATE(1973)] = 61846,
  [SMALL_STATE(1974)] = 61874,
  [SMALL_STATE(1975)] = 61902,
  [SMALL_STATE(1976)] = 61930,
  [SMALL_STATE(1977)] = 61958,
  [SMALL_STATE(1978)] = 61986,
  [SMALL_STATE(1979)] = 62014,
  [SMALL_STATE(1980)] = 62042,
  [SMALL_STATE(1981)] = 62070,
  [SMALL_STATE(1982)] = 62114,
  [SMALL_STATE(1983)] = 62144,
  [SMALL_STATE(1984)] = 62172,
  [SMALL_STATE(1985)] = 62200,
  [SMALL_STATE(1986)] = 62228,
  [SMALL_STATE(1987)] = 62256,
  [SMALL_STATE(1988)] = 62286,
  [SMALL_STATE(1989)] = 62314,
  [SMALL_STATE(1990)] = 62342,
  [SMALL_STATE(1991)] = 62370,
  [SMALL_STATE(1992)] = 62398,
  [SMALL_STATE(1993)] = 62426,
  [SMALL_STATE(1994)] = 62454,
  [SMALL_STATE(1995)] = 62482,
  [SMALL_STATE(1996)] = 62510,
  [SMALL_STATE(1997)] = 62538,
  [SMALL_STATE(1998)] = 62567,
  [SMALL_STATE(1999)] = 62598,
  [SMALL_STATE(2000)] = 62633,
  [SMALL_STATE(2001)] = 62684,
  [SMALL_STATE(2002)] = 62713,
  [SMALL_STATE(2003)] = 62745,
  [SMALL_STATE(2004)] = 62777,
  [SMALL_STATE(2005)] = 62805,
  [SMALL_STATE(2006)] = 62835,
  [SMALL_STATE(2007)] = 62867,
  [SMALL_STATE(2008)] = 62911,
  [SMALL_STATE(2009)] = 62943,
  [SMALL_STATE(2010)] = 62975,
  [SMALL_STATE(2011)] = 63007,
  [SMALL_STATE(2012)] = 63035,
  [SMALL_STATE(2013)] = 63067,
  [SMALL_STATE(2014)] = 63099,
  [SMALL_STATE(2015)] = 63131,
  [SMALL_STATE(2016)] = 63163,
  [SMALL_STATE(2017)] = 63195,
  [SMALL_STATE(2018)] = 63227,
  [SMALL_STATE(2019)] = 63272,
  [SMALL_STATE(2020)] = 63317,
  [SMALL_STATE(2021)] = 63362,
  [SMALL_STATE(2022)] = 63407,
  [SMALL_STATE(2023)] = 63452,
  [SMALL_STATE(2024)] = 63497,
  [SMALL_STATE(2025)] = 63542,
  [SMALL_STATE(2026)] = 63587,
  [SMALL_STATE(2027)] = 63624,
  [SMALL_STATE(2028)] = 63669,
  [SMALL_STATE(2029)] = 63714,
  [SMALL_STATE(2030)] = 63759,
  [SMALL_STATE(2031)] = 63804,
  [SMALL_STATE(2032)] = 63849,
  [SMALL_STATE(2033)] = 63894,
  [SMALL_STATE(2034)] = 63939,
  [SMALL_STATE(2035)] = 63977,
  [SMALL_STATE(2036)] = 64005,
  [SMALL_STATE(2037)] = 64033,
  [SMALL_STATE(2038)] = 64071,
  [SMALL_STATE(2039)] = 64111,
  [SMALL_STATE(2040)] = 64135,
  [SMALL_STATE(2041)] = 64163,
  [SMALL_STATE(2042)] = 64191,
  [SMALL_STATE(2043)] = 64231,
  [SMALL_STATE(2044)] = 64259,
  [SMALL_STATE(2045)] = 64297,
  [SMALL_STATE(2046)] = 64325,
  [SMALL_STATE(2047)] = 64353,
  [SMALL_STATE(2048)] = 64377,
  [SMALL_STATE(2049)] = 64405,
  [SMALL_STATE(2050)] = 64445,
  [SMALL_STATE(2051)] = 64475,
  [SMALL_STATE(2052)] = 64517,
  [SMALL_STATE(2053)] = 64559,
  [SMALL_STATE(2054)] = 64583,
  [SMALL_STATE(2055)] = 64611,
  [SMALL_STATE(2056)] = 64653,
  [SMALL_STATE(2057)] = 64677,
  [SMALL_STATE(2058)] = 64719,
  [SMALL_STATE(2059)] = 64757,
  [SMALL_STATE(2060)] = 64781,
  [SMALL_STATE(2061)] = 64823,
  [SMALL_STATE(2062)] = 64857,
  [SMALL_STATE(2063)] = 64899,
  [SMALL_STATE(2064)] = 64933,
  [SMALL_STATE(2065)] = 64963,
  [SMALL_STATE(2066)] = 65001,
  [SMALL_STATE(2067)] = 65029,
  [SMALL_STATE(2068)] = 65057,
  [SMALL_STATE(2069)] = 65087,
  [SMALL_STATE(2070)] = 65115,
  [SMALL_STATE(2071)] = 65153,
  [SMALL_STATE(2072)] = 65183,
  [SMALL_STATE(2073)] = 65221,
  [SMALL_STATE(2074)] = 65259,
  [SMALL_STATE(2075)] = 65297,
  [SMALL_STATE(2076)] = 65339,
  [SMALL_STATE(2077)] = 65362,
  [SMALL_STATE(2078)] = 65385,
  [SMALL_STATE(2079)] = 65408,
  [SMALL_STATE(2080)] = 65431,
  [SMALL_STATE(2081)] = 65454,
  [SMALL_STATE(2082)] = 65477,
  [SMALL_STATE(2083)] = 65500,
  [SMALL_STATE(2084)] = 65523,
  [SMALL_STATE(2085)] = 65546,
  [SMALL_STATE(2086)] = 65569,
  [SMALL_STATE(2087)] = 65592,
  [SMALL_STATE(2088)] = 65629,
  [SMALL_STATE(2089)] = 65652,
  [SMALL_STATE(2090)] = 65693,
  [SMALL_STATE(2091)] = 65734,
  [SMALL_STATE(2092)] = 65757,
  [SMALL_STATE(2093)] = 65780,
  [SMALL_STATE(2094)] = 65803,
  [SMALL_STATE(2095)] = 65826,
  [SMALL_STATE(2096)] = 65849,
  [SMALL_STATE(2097)] = 65872,
  [SMALL_STATE(2098)] = 65895,
  [SMALL_STATE(2099)] = 65918,
  [SMALL_STATE(2100)] = 65941,
  [SMALL_STATE(2101)] = 65964,
  [SMALL_STATE(2102)] = 65987,
  [SMALL_STATE(2103)] = 66010,
  [SMALL_STATE(2104)] = 66033,
  [SMALL_STATE(2105)] = 66056,
  [SMALL_STATE(2106)] = 66093,
  [SMALL_STATE(2107)] = 66116,
  [SMALL_STATE(2108)] = 66139,
  [SMALL_STATE(2109)] = 66180,
  [SMALL_STATE(2110)] = 66211,
  [SMALL_STATE(2111)] = 66234,
  [SMALL_STATE(2112)] = 66271,
  [SMALL_STATE(2113)] = 66294,
  [SMALL_STATE(2114)] = 66329,
  [SMALL_STATE(2115)] = 66362,
  [SMALL_STATE(2116)] = 66385,
  [SMALL_STATE(2117)] = 66426,
  [SMALL_STATE(2118)] = 66461,
  [SMALL_STATE(2119)] = 66492,
  [SMALL_STATE(2120)] = 66523,
  [SMALL_STATE(2121)] = 66558,
  [SMALL_STATE(2122)] = 66581,
  [SMALL_STATE(2123)] = 66604,
  [SMALL_STATE(2124)] = 66641,
  [SMALL_STATE(2125)] = 66672,
  [SMALL_STATE(2126)] = 66695,
  [SMALL_STATE(2127)] = 66718,
  [SMALL_STATE(2128)] = 66741,
  [SMALL_STATE(2129)] = 66765,
  [SMALL_STATE(2130)] = 66799,
  [SMALL_STATE(2131)] = 66831,
  [SMALL_STATE(2132)] = 66863,
  [SMALL_STATE(2133)] = 66901,
  [SMALL_STATE(2134)] = 66929,
  [SMALL_STATE(2135)] = 66953,
  [SMALL_STATE(2136)] = 66987,
  [SMALL_STATE(2137)] = 67019,
  [SMALL_STATE(2138)] = 67047,
  [SMALL_STATE(2139)] = 67071,
  [SMALL_STATE(2140)] = 67109,
  [SMALL_STATE(2141)] = 67141,
  [SMALL_STATE(2142)] = 67179,
  [SMALL_STATE(2143)] = 67217,
  [SMALL_STATE(2144)] = 67255,
  [SMALL_STATE(2145)] = 67293,
  [SMALL_STATE(2146)] = 67331,
  [SMALL_STATE(2147)] = 67357,
  [SMALL_STATE(2148)] = 67389,
  [SMALL_STATE(2149)] = 67427,
  [SMALL_STATE(2150)] = 67451,
  [SMALL_STATE(2151)] = 67487,
  [SMALL_STATE(2152)] = 67515,
  [SMALL_STATE(2153)] = 67547,
  [SMALL_STATE(2154)] = 67573,
  [SMALL_STATE(2155)] = 67601,
  [SMALL_STATE(2156)] = 67633,
  [SMALL_STATE(2157)] = 67657,
  [SMALL_STATE(2158)] = 67689,
  [SMALL_STATE(2159)] = 67727,
  [SMALL_STATE(2160)] = 67765,
  [SMALL_STATE(2161)] = 67793,
  [SMALL_STATE(2162)] = 67831,
  [SMALL_STATE(2163)] = 67859,
  [SMALL_STATE(2164)] = 67885,
  [SMALL_STATE(2165)] = 67923,
  [SMALL_STATE(2166)] = 67955,
  [SMALL_STATE(2167)] = 67993,
  [SMALL_STATE(2168)] = 68031,
  [SMALL_STATE(2169)] = 68063,
  [SMALL_STATE(2170)] = 68101,
  [SMALL_STATE(2171)] = 68133,
  [SMALL_STATE(2172)] = 68171,
  [SMALL_STATE(2173)] = 68203,
  [SMALL_STATE(2174)] = 68229,
  [SMALL_STATE(2175)] = 68261,
  [SMALL_STATE(2176)] = 68289,
  [SMALL_STATE(2177)] = 68324,
  [SMALL_STATE(2178)] = 68345,
  [SMALL_STATE(2179)] = 68366,
  [SMALL_STATE(2180)] = 68387,
  [SMALL_STATE(2181)] = 68422,
  [SMALL_STATE(2182)] = 68457,
  [SMALL_STATE(2183)] = 68492,
  [SMALL_STATE(2184)] = 68527,
  [SMALL_STATE(2185)] = 68562,
  [SMALL_STATE(2186)] = 68597,
  [SMALL_STATE(2187)] = 68632,
  [SMALL_STATE(2188)] = 68667,
  [SMALL_STATE(2189)] = 68702,
  [SMALL_STATE(2190)] = 68737,
  [SMALL_STATE(2191)] = 68772,
  [SMALL_STATE(2192)] = 68807,
  [SMALL_STATE(2193)] = 68842,
  [SMALL_STATE(2194)] = 68877,
  [SMALL_STATE(2195)] = 68912,
  [SMALL_STATE(2196)] = 68947,
  [SMALL_STATE(2197)] = 68982,
  [SMALL_STATE(2198)] = 69017,
  [SMALL_STATE(2199)] = 69052,
  [SMALL_STATE(2200)] = 69087,
  [SMALL_STATE(2201)] = 69122,
  [SMALL_STATE(2202)] = 69147,
  [SMALL_STATE(2203)] = 69182,
  [SMALL_STATE(2204)] = 69207,
  [SMALL_STATE(2205)] = 69242,
  [SMALL_STATE(2206)] = 69277,
  [SMALL_STATE(2207)] = 69306,
  [SMALL_STATE(2208)] = 69327,
  [SMALL_STATE(2209)] = 69348,
  [SMALL_STATE(2210)] = 69383,
  [SMALL_STATE(2211)] = 69418,
  [SMALL_STATE(2212)] = 69451,
  [SMALL_STATE(2213)] = 69486,
  [SMALL_STATE(2214)] = 69511,
  [SMALL_STATE(2215)] = 69546,
  [SMALL_STATE(2216)] = 69581,
  [SMALL_STATE(2217)] = 69614,
  [SMALL_STATE(2218)] = 69649,
  [SMALL_STATE(2219)] = 69684,
  [SMALL_STATE(2220)] = 69719,
  [SMALL_STATE(2221)] = 69746,
  [SMALL_STATE(2222)] = 69779,
  [SMALL_STATE(2223)] = 69812,
  [SMALL_STATE(2224)] = 69833,
  [SMALL_STATE(2225)] = 69868,
  [SMALL_STATE(2226)] = 69903,
  [SMALL_STATE(2227)] = 69938,
  [SMALL_STATE(2228)] = 69973,
  [SMALL_STATE(2229)] = 70008,
  [SMALL_STATE(2230)] = 70043,
  [SMALL_STATE(2231)] = 70076,
  [SMALL_STATE(2232)] = 70111,
  [SMALL_STATE(2233)] = 70137,
  [SMALL_STATE(2234)] = 70163,
  [SMALL_STATE(2235)] = 70193,
  [SMALL_STATE(2236)] = 70223,
  [SMALL_STATE(2237)] = 70253,
  [SMALL_STATE(2238)] = 70283,
  [SMALL_STATE(2239)] = 70311,
  [SMALL_STATE(2240)] = 70343,
  [SMALL_STATE(2241)] = 70365,
  [SMALL_STATE(2242)] = 70397,
  [SMALL_STATE(2243)] = 70429,
  [SMALL_STATE(2244)] = 70461,
  [SMALL_STATE(2245)] = 70493,
  [SMALL_STATE(2246)] = 70525,
  [SMALL_STATE(2247)] = 70557,
  [SMALL_STATE(2248)] = 70589,
  [SMALL_STATE(2249)] = 70621,
  [SMALL_STATE(2250)] = 70651,
  [SMALL_STATE(2251)] = 70681,
  [SMALL_STATE(2252)] = 70713,
  [SMALL_STATE(2253)] = 70745,
  [SMALL_STATE(2254)] = 70777,
  [SMALL_STATE(2255)] = 70809,
  [SMALL_STATE(2256)] = 70841,
  [SMALL_STATE(2257)] = 70873,
  [SMALL_STATE(2258)] = 70901,
  [SMALL_STATE(2259)] = 70933,
  [SMALL_STATE(2260)] = 70965,
  [SMALL_STATE(2261)] = 70997,
  [SMALL_STATE(2262)] = 71027,
  [SMALL_STATE(2263)] = 71057,
  [SMALL_STATE(2264)] = 71089,
  [SMALL_STATE(2265)] = 71119,
  [SMALL_STATE(2266)] = 71149,
  [SMALL_STATE(2267)] = 71171,
  [SMALL_STATE(2268)] = 71203,
  [SMALL_STATE(2269)] = 71235,
  [SMALL_STATE(2270)] = 71267,
  [SMALL_STATE(2271)] = 71295,
  [SMALL_STATE(2272)] = 71327,
  [SMALL_STATE(2273)] = 71349,
  [SMALL_STATE(2274)] = 71381,
  [SMALL_STATE(2275)] = 71413,
  [SMALL_STATE(2276)] = 71445,
  [SMALL_STATE(2277)] = 71477,
  [SMALL_STATE(2278)] = 71509,
  [SMALL_STATE(2279)] = 71541,
  [SMALL_STATE(2280)] = 71573,
  [SMALL_STATE(2281)] = 71605,
  [SMALL_STATE(2282)] = 71633,
  [SMALL_STATE(2283)] = 71659,
  [SMALL_STATE(2284)] = 71681,
  [SMALL_STATE(2285)] = 71709,
  [SMALL_STATE(2286)] = 71735,
  [SMALL_STATE(2287)] = 71767,
  [SMALL_STATE(2288)] = 71789,
  [SMALL_STATE(2289)] = 71811,
  [SMALL_STATE(2290)] = 71843,
  [SMALL_STATE(2291)] = 71872,
  [SMALL_STATE(2292)] = 71901,
  [SMALL_STATE(2293)] = 71922,
  [SMALL_STATE(2294)] = 71951,
  [SMALL_STATE(2295)] = 71980,
  [SMALL_STATE(2296)] = 72009,
  [SMALL_STATE(2297)] = 72038,
  [SMALL_STATE(2298)] = 72067,
  [SMALL_STATE(2299)] = 72096,
  [SMALL_STATE(2300)] = 72117,
  [SMALL_STATE(2301)] = 72146,
  [SMALL_STATE(2302)] = 72175,
  [SMALL_STATE(2303)] = 72198,
  [SMALL_STATE(2304)] = 72227,
  [SMALL_STATE(2305)] = 72252,
  [SMALL_STATE(2306)] = 72279,
  [SMALL_STATE(2307)] = 72308,
  [SMALL_STATE(2308)] = 72337,
  [SMALL_STATE(2309)] = 72366,
  [SMALL_STATE(2310)] = 72395,
  [SMALL_STATE(2311)] = 72424,
  [SMALL_STATE(2312)] = 72447,
  [SMALL_STATE(2313)] = 72476,
  [SMALL_STATE(2314)] = 72505,
  [SMALL_STATE(2315)] = 72534,
  [SMALL_STATE(2316)] = 72555,
  [SMALL_STATE(2317)] = 72584,
  [SMALL_STATE(2318)] = 72613,
  [SMALL_STATE(2319)] = 72642,
  [SMALL_STATE(2320)] = 72665,
  [SMALL_STATE(2321)] = 72684,
  [SMALL_STATE(2322)] = 72713,
  [SMALL_STATE(2323)] = 72742,
  [SMALL_STATE(2324)] = 72771,
  [SMALL_STATE(2325)] = 72800,
  [SMALL_STATE(2326)] = 72829,
  [SMALL_STATE(2327)] = 72858,
  [SMALL_STATE(2328)] = 72887,
  [SMALL_STATE(2329)] = 72916,
  [SMALL_STATE(2330)] = 72945,
  [SMALL_STATE(2331)] = 72974,
  [SMALL_STATE(2332)] = 73003,
  [SMALL_STATE(2333)] = 73032,
  [SMALL_STATE(2334)] = 73061,
  [SMALL_STATE(2335)] = 73090,
  [SMALL_STATE(2336)] = 73119,
  [SMALL_STATE(2337)] = 73142,
  [SMALL_STATE(2338)] = 73169,
  [SMALL_STATE(2339)] = 73198,
  [SMALL_STATE(2340)] = 73227,
  [SMALL_STATE(2341)] = 73246,
  [SMALL_STATE(2342)] = 73269,
  [SMALL_STATE(2343)] = 73294,
  [SMALL_STATE(2344)] = 73323,
  [SMALL_STATE(2345)] = 73344,
  [SMALL_STATE(2346)] = 73373,
  [SMALL_STATE(2347)] = 73402,
  [SMALL_STATE(2348)] = 73431,
  [SMALL_STATE(2349)] = 73458,
  [SMALL_STATE(2350)] = 73487,
  [SMALL_STATE(2351)] = 73516,
  [SMALL_STATE(2352)] = 73545,
  [SMALL_STATE(2353)] = 73574,
  [SMALL_STATE(2354)] = 73603,
  [SMALL_STATE(2355)] = 73630,
  [SMALL_STATE(2356)] = 73659,
  [SMALL_STATE(2357)] = 73682,
  [SMALL_STATE(2358)] = 73711,
  [SMALL_STATE(2359)] = 73740,
  [SMALL_STATE(2360)] = 73769,
  [SMALL_STATE(2361)] = 73790,
  [SMALL_STATE(2362)] = 73811,
  [SMALL_STATE(2363)] = 73832,
  [SMALL_STATE(2364)] = 73853,
  [SMALL_STATE(2365)] = 73882,
  [SMALL_STATE(2366)] = 73905,
  [SMALL_STATE(2367)] = 73934,
  [SMALL_STATE(2368)] = 73963,
  [SMALL_STATE(2369)] = 73992,
  [SMALL_STATE(2370)] = 74021,
  [SMALL_STATE(2371)] = 74050,
  [SMALL_STATE(2372)] = 74077,
  [SMALL_STATE(2373)] = 74102,
  [SMALL_STATE(2374)] = 74131,
  [SMALL_STATE(2375)] = 74156,
  [SMALL_STATE(2376)] = 74185,
  [SMALL_STATE(2377)] = 74214,
  [SMALL_STATE(2378)] = 74241,
  [SMALL_STATE(2379)] = 74270,
  [SMALL_STATE(2380)] = 74293,
  [SMALL_STATE(2381)] = 74316,
  [SMALL_STATE(2382)] = 74345,
  [SMALL_STATE(2383)] = 74368,
  [SMALL_STATE(2384)] = 74397,
  [SMALL_STATE(2385)] = 74420,
  [SMALL_STATE(2386)] = 74443,
  [SMALL_STATE(2387)] = 74466,
  [SMALL_STATE(2388)] = 74489,
  [SMALL_STATE(2389)] = 74518,
  [SMALL_STATE(2390)] = 74544,
  [SMALL_STATE(2391)] = 74570,
  [SMALL_STATE(2392)] = 74594,
  [SMALL_STATE(2393)] = 74618,
  [SMALL_STATE(2394)] = 74644,
  [SMALL_STATE(2395)] = 74670,
  [SMALL_STATE(2396)] = 74696,
  [SMALL_STATE(2397)] = 74720,
  [SMALL_STATE(2398)] = 74746,
  [SMALL_STATE(2399)] = 74772,
  [SMALL_STATE(2400)] = 74798,
  [SMALL_STATE(2401)] = 74822,
  [SMALL_STATE(2402)] = 74848,
  [SMALL_STATE(2403)] = 74874,
  [SMALL_STATE(2404)] = 74892,
  [SMALL_STATE(2405)] = 74918,
  [SMALL_STATE(2406)] = 74944,
  [SMALL_STATE(2407)] = 74964,
  [SMALL_STATE(2408)] = 74986,
  [SMALL_STATE(2409)] = 75012,
  [SMALL_STATE(2410)] = 75038,
  [SMALL_STATE(2411)] = 75064,
  [SMALL_STATE(2412)] = 75090,
  [SMALL_STATE(2413)] = 75116,
  [SMALL_STATE(2414)] = 75142,
  [SMALL_STATE(2415)] = 75168,
  [SMALL_STATE(2416)] = 75194,
  [SMALL_STATE(2417)] = 75212,
  [SMALL_STATE(2418)] = 75230,
  [SMALL_STATE(2419)] = 75248,
  [SMALL_STATE(2420)] = 75274,
  [SMALL_STATE(2421)] = 75300,
  [SMALL_STATE(2422)] = 75320,
  [SMALL_STATE(2423)] = 75346,
  [SMALL_STATE(2424)] = 75372,
  [SMALL_STATE(2425)] = 75394,
  [SMALL_STATE(2426)] = 75420,
  [SMALL_STATE(2427)] = 75446,
  [SMALL_STATE(2428)] = 75470,
  [SMALL_STATE(2429)] = 75492,
  [SMALL_STATE(2430)] = 75518,
  [SMALL_STATE(2431)] = 75542,
  [SMALL_STATE(2432)] = 75568,
  [SMALL_STATE(2433)] = 75594,
  [SMALL_STATE(2434)] = 75618,
  [SMALL_STATE(2435)] = 75644,
  [SMALL_STATE(2436)] = 75662,
  [SMALL_STATE(2437)] = 75688,
  [SMALL_STATE(2438)] = 75714,
  [SMALL_STATE(2439)] = 75736,
  [SMALL_STATE(2440)] = 75754,
  [SMALL_STATE(2441)] = 75778,
  [SMALL_STATE(2442)] = 75804,
  [SMALL_STATE(2443)] = 75822,
  [SMALL_STATE(2444)] = 75840,
  [SMALL_STATE(2445)] = 75858,
  [SMALL_STATE(2446)] = 75884,
  [SMALL_STATE(2447)] = 75902,
  [SMALL_STATE(2448)] = 75928,
  [SMALL_STATE(2449)] = 75946,
  [SMALL_STATE(2450)] = 75964,
  [SMALL_STATE(2451)] = 75990,
  [SMALL_STATE(2452)] = 76016,
  [SMALL_STATE(2453)] = 76034,
  [SMALL_STATE(2454)] = 76052,
  [SMALL_STATE(2455)] = 76070,
  [SMALL_STATE(2456)] = 76088,
  [SMALL_STATE(2457)] = 76106,
  [SMALL_STATE(2458)] = 76132,
  [SMALL_STATE(2459)] = 76154,
  [SMALL_STATE(2460)] = 76180,
  [SMALL_STATE(2461)] = 76204,
  [SMALL_STATE(2462)] = 76222,
  [SMALL_STATE(2463)] = 76244,
  [SMALL_STATE(2464)] = 76262,
  [SMALL_STATE(2465)] = 76288,
  [SMALL_STATE(2466)] = 76314,
  [SMALL_STATE(2467)] = 76340,
  [SMALL_STATE(2468)] = 76366,
  [SMALL_STATE(2469)] = 76390,
  [SMALL_STATE(2470)] = 76414,
  [SMALL_STATE(2471)] = 76432,
  [SMALL_STATE(2472)] = 76456,
  [SMALL_STATE(2473)] = 76474,
  [SMALL_STATE(2474)] = 76498,
  [SMALL_STATE(2475)] = 76524,
  [SMALL_STATE(2476)] = 76546,
  [SMALL_STATE(2477)] = 76568,
  [SMALL_STATE(2478)] = 76586,
  [SMALL_STATE(2479)] = 76604,
  [SMALL_STATE(2480)] = 76622,
  [SMALL_STATE(2481)] = 76642,
  [SMALL_STATE(2482)] = 76666,
  [SMALL_STATE(2483)] = 76690,
  [SMALL_STATE(2484)] = 76716,
  [SMALL_STATE(2485)] = 76742,
  [SMALL_STATE(2486)] = 76768,
  [SMALL_STATE(2487)] = 76794,
  [SMALL_STATE(2488)] = 76816,
  [SMALL_STATE(2489)] = 76838,
  [SMALL_STATE(2490)] = 76864,
  [SMALL_STATE(2491)] = 76890,
  [SMALL_STATE(2492)] = 76916,
  [SMALL_STATE(2493)] = 76942,
  [SMALL_STATE(2494)] = 76960,
  [SMALL_STATE(2495)] = 76981,
  [SMALL_STATE(2496)] = 77004,
  [SMALL_STATE(2497)] = 77025,
  [SMALL_STATE(2498)] = 77048,
  [SMALL_STATE(2499)] = 77071,
  [SMALL_STATE(2500)] = 77094,
  [SMALL_STATE(2501)] = 77117,
  [SMALL_STATE(2502)] = 77140,
  [SMALL_STATE(2503)] = 77163,
  [SMALL_STATE(2504)] = 77186,
  [SMALL_STATE(2505)] = 77209,
  [SMALL_STATE(2506)] = 77232,
  [SMALL_STATE(2507)] = 77255,
  [SMALL_STATE(2508)] = 77278,
  [SMALL_STATE(2509)] = 77297,
  [SMALL_STATE(2510)] = 77320,
  [SMALL_STATE(2511)] = 77339,
  [SMALL_STATE(2512)] = 77362,
  [SMALL_STATE(2513)] = 77385,
  [SMALL_STATE(2514)] = 77408,
  [SMALL_STATE(2515)] = 77431,
  [SMALL_STATE(2516)] = 77454,
  [SMALL_STATE(2517)] = 77473,
  [SMALL_STATE(2518)] = 77496,
  [SMALL_STATE(2519)] = 77519,
  [SMALL_STATE(2520)] = 77542,
  [SMALL_STATE(2521)] = 77563,
  [SMALL_STATE(2522)] = 77586,
  [SMALL_STATE(2523)] = 77609,
  [SMALL_STATE(2524)] = 77632,
  [SMALL_STATE(2525)] = 77655,
  [SMALL_STATE(2526)] = 77678,
  [SMALL_STATE(2527)] = 77701,
  [SMALL_STATE(2528)] = 77722,
  [SMALL_STATE(2529)] = 77743,
  [SMALL_STATE(2530)] = 77764,
  [SMALL_STATE(2531)] = 77787,
  [SMALL_STATE(2532)] = 77810,
  [SMALL_STATE(2533)] = 77833,
  [SMALL_STATE(2534)] = 77850,
  [SMALL_STATE(2535)] = 77873,
  [SMALL_STATE(2536)] = 77894,
  [SMALL_STATE(2537)] = 77917,
  [SMALL_STATE(2538)] = 77938,
  [SMALL_STATE(2539)] = 77961,
  [SMALL_STATE(2540)] = 77984,
  [SMALL_STATE(2541)] = 78007,
  [SMALL_STATE(2542)] = 78030,
  [SMALL_STATE(2543)] = 78053,
  [SMALL_STATE(2544)] = 78076,
  [SMALL_STATE(2545)] = 78099,
  [SMALL_STATE(2546)] = 78122,
  [SMALL_STATE(2547)] = 78139,
  [SMALL_STATE(2548)] = 78162,
  [SMALL_STATE(2549)] = 78185,
  [SMALL_STATE(2550)] = 78204,
  [SMALL_STATE(2551)] = 78223,
  [SMALL_STATE(2552)] = 78242,
  [SMALL_STATE(2553)] = 78259,
  [SMALL_STATE(2554)] = 78282,
  [SMALL_STATE(2555)] = 78305,
  [SMALL_STATE(2556)] = 78328,
  [SMALL_STATE(2557)] = 78351,
  [SMALL_STATE(2558)] = 78374,
  [SMALL_STATE(2559)] = 78397,
  [SMALL_STATE(2560)] = 78420,
  [SMALL_STATE(2561)] = 78443,
  [SMALL_STATE(2562)] = 78466,
  [SMALL_STATE(2563)] = 78489,
  [SMALL_STATE(2564)] = 78510,
  [SMALL_STATE(2565)] = 78531,
  [SMALL_STATE(2566)] = 78550,
  [SMALL_STATE(2567)] = 78573,
  [SMALL_STATE(2568)] = 78596,
  [SMALL_STATE(2569)] = 78619,
  [SMALL_STATE(2570)] = 78638,
  [SMALL_STATE(2571)] = 78661,
  [SMALL_STATE(2572)] = 78684,
  [SMALL_STATE(2573)] = 78707,
  [SMALL_STATE(2574)] = 78730,
  [SMALL_STATE(2575)] = 78753,
  [SMALL_STATE(2576)] = 78774,
  [SMALL_STATE(2577)] = 78797,
  [SMALL_STATE(2578)] = 78820,
  [SMALL_STATE(2579)] = 78843,
  [SMALL_STATE(2580)] = 78866,
  [SMALL_STATE(2581)] = 78889,
  [SMALL_STATE(2582)] = 78908,
  [SMALL_STATE(2583)] = 78931,
  [SMALL_STATE(2584)] = 78954,
  [SMALL_STATE(2585)] = 78975,
  [SMALL_STATE(2586)] = 78998,
  [SMALL_STATE(2587)] = 79021,
  [SMALL_STATE(2588)] = 79040,
  [SMALL_STATE(2589)] = 79061,
  [SMALL_STATE(2590)] = 79080,
  [SMALL_STATE(2591)] = 79103,
  [SMALL_STATE(2592)] = 79126,
  [SMALL_STATE(2593)] = 79149,
  [SMALL_STATE(2594)] = 79172,
  [SMALL_STATE(2595)] = 79195,
  [SMALL_STATE(2596)] = 79216,
  [SMALL_STATE(2597)] = 79239,
  [SMALL_STATE(2598)] = 79262,
  [SMALL_STATE(2599)] = 79285,
  [SMALL_STATE(2600)] = 79308,
  [SMALL_STATE(2601)] = 79331,
  [SMALL_STATE(2602)] = 79354,
  [SMALL_STATE(2603)] = 79377,
  [SMALL_STATE(2604)] = 79400,
  [SMALL_STATE(2605)] = 79417,
  [SMALL_STATE(2606)] = 79438,
  [SMALL_STATE(2607)] = 79455,
  [SMALL_STATE(2608)] = 79478,
  [SMALL_STATE(2609)] = 79501,
  [SMALL_STATE(2610)] = 79524,
  [SMALL_STATE(2611)] = 79547,
  [SMALL_STATE(2612)] = 79570,
  [SMALL_STATE(2613)] = 79593,
  [SMALL_STATE(2614)] = 79616,
  [SMALL_STATE(2615)] = 79639,
  [SMALL_STATE(2616)] = 79662,
  [SMALL_STATE(2617)] = 79685,
  [SMALL_STATE(2618)] = 79706,
  [SMALL_STATE(2619)] = 79729,
  [SMALL_STATE(2620)] = 79752,
  [SMALL_STATE(2621)] = 79775,
  [SMALL_STATE(2622)] = 79798,
  [SMALL_STATE(2623)] = 79817,
  [SMALL_STATE(2624)] = 79838,
  [SMALL_STATE(2625)] = 79861,
  [SMALL_STATE(2626)] = 79884,
  [SMALL_STATE(2627)] = 79907,
  [SMALL_STATE(2628)] = 79930,
  [SMALL_STATE(2629)] = 79953,
  [SMALL_STATE(2630)] = 79976,
  [SMALL_STATE(2631)] = 79997,
  [SMALL_STATE(2632)] = 80020,
  [SMALL_STATE(2633)] = 80041,
  [SMALL_STATE(2634)] = 80064,
  [SMALL_STATE(2635)] = 80085,
  [SMALL_STATE(2636)] = 80108,
  [SMALL_STATE(2637)] = 80131,
  [SMALL_STATE(2638)] = 80154,
  [SMALL_STATE(2639)] = 80177,
  [SMALL_STATE(2640)] = 80200,
  [SMALL_STATE(2641)] = 80223,
  [SMALL_STATE(2642)] = 80244,
  [SMALL_STATE(2643)] = 80265,
  [SMALL_STATE(2644)] = 80288,
  [SMALL_STATE(2645)] = 80311,
  [SMALL_STATE(2646)] = 80334,
  [SMALL_STATE(2647)] = 80357,
  [SMALL_STATE(2648)] = 80380,
  [SMALL_STATE(2649)] = 80403,
  [SMALL_STATE(2650)] = 80426,
  [SMALL_STATE(2651)] = 80449,
  [SMALL_STATE(2652)] = 80472,
  [SMALL_STATE(2653)] = 80495,
  [SMALL_STATE(2654)] = 80518,
  [SMALL_STATE(2655)] = 80541,
  [SMALL_STATE(2656)] = 80564,
  [SMALL_STATE(2657)] = 80587,
  [SMALL_STATE(2658)] = 80610,
  [SMALL_STATE(2659)] = 80633,
  [SMALL_STATE(2660)] = 80656,
  [SMALL_STATE(2661)] = 80679,
  [SMALL_STATE(2662)] = 80698,
  [SMALL_STATE(2663)] = 80715,
  [SMALL_STATE(2664)] = 80736,
  [SMALL_STATE(2665)] = 80755,
  [SMALL_STATE(2666)] = 80778,
  [SMALL_STATE(2667)] = 80797,
  [SMALL_STATE(2668)] = 80816,
  [SMALL_STATE(2669)] = 80839,
  [SMALL_STATE(2670)] = 80862,
  [SMALL_STATE(2671)] = 80881,
  [SMALL_STATE(2672)] = 80904,
  [SMALL_STATE(2673)] = 80927,
  [SMALL_STATE(2674)] = 80950,
  [SMALL_STATE(2675)] = 80973,
  [SMALL_STATE(2676)] = 80996,
  [SMALL_STATE(2677)] = 81019,
  [SMALL_STATE(2678)] = 81042,
  [SMALL_STATE(2679)] = 81065,
  [SMALL_STATE(2680)] = 81084,
  [SMALL_STATE(2681)] = 81103,
  [SMALL_STATE(2682)] = 81120,
  [SMALL_STATE(2683)] = 81139,
  [SMALL_STATE(2684)] = 81162,
  [SMALL_STATE(2685)] = 81185,
  [SMALL_STATE(2686)] = 81208,
  [SMALL_STATE(2687)] = 81231,
  [SMALL_STATE(2688)] = 81254,
  [SMALL_STATE(2689)] = 81275,
  [SMALL_STATE(2690)] = 81298,
  [SMALL_STATE(2691)] = 81321,
  [SMALL_STATE(2692)] = 81340,
  [SMALL_STATE(2693)] = 81357,
  [SMALL_STATE(2694)] = 81380,
  [SMALL_STATE(2695)] = 81403,
  [SMALL_STATE(2696)] = 81426,
  [SMALL_STATE(2697)] = 81445,
  [SMALL_STATE(2698)] = 81468,
  [SMALL_STATE(2699)] = 81491,
  [SMALL_STATE(2700)] = 81514,
  [SMALL_STATE(2701)] = 81537,
  [SMALL_STATE(2702)] = 81560,
  [SMALL_STATE(2703)] = 81583,
  [SMALL_STATE(2704)] = 81606,
  [SMALL_STATE(2705)] = 81629,
  [SMALL_STATE(2706)] = 81652,
  [SMALL_STATE(2707)] = 81675,
  [SMALL_STATE(2708)] = 81696,
  [SMALL_STATE(2709)] = 81717,
  [SMALL_STATE(2710)] = 81740,
  [SMALL_STATE(2711)] = 81763,
  [SMALL_STATE(2712)] = 81784,
  [SMALL_STATE(2713)] = 81807,
  [SMALL_STATE(2714)] = 81828,
  [SMALL_STATE(2715)] = 81851,
  [SMALL_STATE(2716)] = 81874,
  [SMALL_STATE(2717)] = 81893,
  [SMALL_STATE(2718)] = 81916,
  [SMALL_STATE(2719)] = 81935,
  [SMALL_STATE(2720)] = 81958,
  [SMALL_STATE(2721)] = 81981,
  [SMALL_STATE(2722)] = 82004,
  [SMALL_STATE(2723)] = 82027,
  [SMALL_STATE(2724)] = 82046,
  [SMALL_STATE(2725)] = 82069,
  [SMALL_STATE(2726)] = 82092,
  [SMALL_STATE(2727)] = 82111,
  [SMALL_STATE(2728)] = 82134,
  [SMALL_STATE(2729)] = 82157,
  [SMALL_STATE(2730)] = 82180,
  [SMALL_STATE(2731)] = 82203,
  [SMALL_STATE(2732)] = 82219,
  [SMALL_STATE(2733)] = 82239,
  [SMALL_STATE(2734)] = 82259,
  [SMALL_STATE(2735)] = 82279,
  [SMALL_STATE(2736)] = 82299,
  [SMALL_STATE(2737)] = 82319,
  [SMALL_STATE(2738)] = 82339,
  [SMALL_STATE(2739)] = 82359,
  [SMALL_STATE(2740)] = 82379,
  [SMALL_STATE(2741)] = 82395,
  [SMALL_STATE(2742)] = 82415,
  [SMALL_STATE(2743)] = 82435,
  [SMALL_STATE(2744)] = 82455,
  [SMALL_STATE(2745)] = 82475,
  [SMALL_STATE(2746)] = 82495,
  [SMALL_STATE(2747)] = 82511,
  [SMALL_STATE(2748)] = 82531,
  [SMALL_STATE(2749)] = 82549,
  [SMALL_STATE(2750)] = 82567,
  [SMALL_STATE(2751)] = 82585,
  [SMALL_STATE(2752)] = 82605,
  [SMALL_STATE(2753)] = 82625,
  [SMALL_STATE(2754)] = 82645,
  [SMALL_STATE(2755)] = 82663,
  [SMALL_STATE(2756)] = 82683,
  [SMALL_STATE(2757)] = 82699,
  [SMALL_STATE(2758)] = 82719,
  [SMALL_STATE(2759)] = 82739,
  [SMALL_STATE(2760)] = 82755,
  [SMALL_STATE(2761)] = 82773,
  [SMALL_STATE(2762)] = 82789,
  [SMALL_STATE(2763)] = 82809,
  [SMALL_STATE(2764)] = 82827,
  [SMALL_STATE(2765)] = 82847,
  [SMALL_STATE(2766)] = 82865,
  [SMALL_STATE(2767)] = 82881,
  [SMALL_STATE(2768)] = 82901,
  [SMALL_STATE(2769)] = 82919,
  [SMALL_STATE(2770)] = 82937,
  [SMALL_STATE(2771)] = 82957,
  [SMALL_STATE(2772)] = 82977,
  [SMALL_STATE(2773)] = 82997,
  [SMALL_STATE(2774)] = 83017,
  [SMALL_STATE(2775)] = 83037,
  [SMALL_STATE(2776)] = 83057,
  [SMALL_STATE(2777)] = 83073,
  [SMALL_STATE(2778)] = 83093,
  [SMALL_STATE(2779)] = 83113,
  [SMALL_STATE(2780)] = 83129,
  [SMALL_STATE(2781)] = 83149,
  [SMALL_STATE(2782)] = 83169,
  [SMALL_STATE(2783)] = 83189,
  [SMALL_STATE(2784)] = 83209,
  [SMALL_STATE(2785)] = 83229,
  [SMALL_STATE(2786)] = 83245,
  [SMALL_STATE(2787)] = 83265,
  [SMALL_STATE(2788)] = 83285,
  [SMALL_STATE(2789)] = 83305,
  [SMALL_STATE(2790)] = 83325,
  [SMALL_STATE(2791)] = 83345,
  [SMALL_STATE(2792)] = 83365,
  [SMALL_STATE(2793)] = 83385,
  [SMALL_STATE(2794)] = 83405,
  [SMALL_STATE(2795)] = 83421,
  [SMALL_STATE(2796)] = 83441,
  [SMALL_STATE(2797)] = 83459,
  [SMALL_STATE(2798)] = 83475,
  [SMALL_STATE(2799)] = 83495,
  [SMALL_STATE(2800)] = 83513,
  [SMALL_STATE(2801)] = 83529,
  [SMALL_STATE(2802)] = 83549,
  [SMALL_STATE(2803)] = 83565,
  [SMALL_STATE(2804)] = 83581,
  [SMALL_STATE(2805)] = 83599,
  [SMALL_STATE(2806)] = 83619,
  [SMALL_STATE(2807)] = 83639,
  [SMALL_STATE(2808)] = 83657,
  [SMALL_STATE(2809)] = 83677,
  [SMALL_STATE(2810)] = 83697,
  [SMALL_STATE(2811)] = 83717,
  [SMALL_STATE(2812)] = 83737,
  [SMALL_STATE(2813)] = 83757,
  [SMALL_STATE(2814)] = 83777,
  [SMALL_STATE(2815)] = 83797,
  [SMALL_STATE(2816)] = 83817,
  [SMALL_STATE(2817)] = 83837,
  [SMALL_STATE(2818)] = 83857,
  [SMALL_STATE(2819)] = 83877,
  [SMALL_STATE(2820)] = 83897,
  [SMALL_STATE(2821)] = 83913,
  [SMALL_STATE(2822)] = 83933,
  [SMALL_STATE(2823)] = 83953,
  [SMALL_STATE(2824)] = 83971,
  [SMALL_STATE(2825)] = 83991,
  [SMALL_STATE(2826)] = 84011,
  [SMALL_STATE(2827)] = 84031,
  [SMALL_STATE(2828)] = 84049,
  [SMALL_STATE(2829)] = 84069,
  [SMALL_STATE(2830)] = 84089,
  [SMALL_STATE(2831)] = 84109,
  [SMALL_STATE(2832)] = 84127,
  [SMALL_STATE(2833)] = 84147,
  [SMALL_STATE(2834)] = 84167,
  [SMALL_STATE(2835)] = 84187,
  [SMALL_STATE(2836)] = 84207,
  [SMALL_STATE(2837)] = 84227,
  [SMALL_STATE(2838)] = 84245,
  [SMALL_STATE(2839)] = 84265,
  [SMALL_STATE(2840)] = 84285,
  [SMALL_STATE(2841)] = 84305,
  [SMALL_STATE(2842)] = 84321,
  [SMALL_STATE(2843)] = 84337,
  [SMALL_STATE(2844)] = 84353,
  [SMALL_STATE(2845)] = 84371,
  [SMALL_STATE(2846)] = 84387,
  [SMALL_STATE(2847)] = 84407,
  [SMALL_STATE(2848)] = 84425,
  [SMALL_STATE(2849)] = 84441,
  [SMALL_STATE(2850)] = 84461,
  [SMALL_STATE(2851)] = 84481,
  [SMALL_STATE(2852)] = 84501,
  [SMALL_STATE(2853)] = 84521,
  [SMALL_STATE(2854)] = 84541,
  [SMALL_STATE(2855)] = 84561,
  [SMALL_STATE(2856)] = 84581,
  [SMALL_STATE(2857)] = 84601,
  [SMALL_STATE(2858)] = 84621,
  [SMALL_STATE(2859)] = 84637,
  [SMALL_STATE(2860)] = 84657,
  [SMALL_STATE(2861)] = 84675,
  [SMALL_STATE(2862)] = 84691,
  [SMALL_STATE(2863)] = 84711,
  [SMALL_STATE(2864)] = 84729,
  [SMALL_STATE(2865)] = 84749,
  [SMALL_STATE(2866)] = 84769,
  [SMALL_STATE(2867)] = 84789,
  [SMALL_STATE(2868)] = 84809,
  [SMALL_STATE(2869)] = 84827,
  [SMALL_STATE(2870)] = 84847,
  [SMALL_STATE(2871)] = 84867,
  [SMALL_STATE(2872)] = 84883,
  [SMALL_STATE(2873)] = 84903,
  [SMALL_STATE(2874)] = 84923,
  [SMALL_STATE(2875)] = 84941,
  [SMALL_STATE(2876)] = 84961,
  [SMALL_STATE(2877)] = 84981,
  [SMALL_STATE(2878)] = 84997,
  [SMALL_STATE(2879)] = 85013,
  [SMALL_STATE(2880)] = 85033,
  [SMALL_STATE(2881)] = 85051,
  [SMALL_STATE(2882)] = 85071,
  [SMALL_STATE(2883)] = 85087,
  [SMALL_STATE(2884)] = 85107,
  [SMALL_STATE(2885)] = 85127,
  [SMALL_STATE(2886)] = 85147,
  [SMALL_STATE(2887)] = 85167,
  [SMALL_STATE(2888)] = 85185,
  [SMALL_STATE(2889)] = 85201,
  [SMALL_STATE(2890)] = 85217,
  [SMALL_STATE(2891)] = 85237,
  [SMALL_STATE(2892)] = 85257,
  [SMALL_STATE(2893)] = 85277,
  [SMALL_STATE(2894)] = 85297,
  [SMALL_STATE(2895)] = 85313,
  [SMALL_STATE(2896)] = 85329,
  [SMALL_STATE(2897)] = 85347,
  [SMALL_STATE(2898)] = 85363,
  [SMALL_STATE(2899)] = 85383,
  [SMALL_STATE(2900)] = 85399,
  [SMALL_STATE(2901)] = 85419,
  [SMALL_STATE(2902)] = 85439,
  [SMALL_STATE(2903)] = 85459,
  [SMALL_STATE(2904)] = 85479,
  [SMALL_STATE(2905)] = 85499,
  [SMALL_STATE(2906)] = 85519,
  [SMALL_STATE(2907)] = 85539,
  [SMALL_STATE(2908)] = 85559,
  [SMALL_STATE(2909)] = 85579,
  [SMALL_STATE(2910)] = 85599,
  [SMALL_STATE(2911)] = 85619,
  [SMALL_STATE(2912)] = 85639,
  [SMALL_STATE(2913)] = 85655,
  [SMALL_STATE(2914)] = 85673,
  [SMALL_STATE(2915)] = 85693,
  [SMALL_STATE(2916)] = 85711,
  [SMALL_STATE(2917)] = 85731,
  [SMALL_STATE(2918)] = 85751,
  [SMALL_STATE(2919)] = 85771,
  [SMALL_STATE(2920)] = 85791,
  [SMALL_STATE(2921)] = 85809,
  [SMALL_STATE(2922)] = 85829,
  [SMALL_STATE(2923)] = 85847,
  [SMALL_STATE(2924)] = 85863,
  [SMALL_STATE(2925)] = 85881,
  [SMALL_STATE(2926)] = 85901,
  [SMALL_STATE(2927)] = 85917,
  [SMALL_STATE(2928)] = 85935,
  [SMALL_STATE(2929)] = 85953,
  [SMALL_STATE(2930)] = 85973,
  [SMALL_STATE(2931)] = 85991,
  [SMALL_STATE(2932)] = 86009,
  [SMALL_STATE(2933)] = 86029,
  [SMALL_STATE(2934)] = 86049,
  [SMALL_STATE(2935)] = 86069,
  [SMALL_STATE(2936)] = 86089,
  [SMALL_STATE(2937)] = 86109,
  [SMALL_STATE(2938)] = 86129,
  [SMALL_STATE(2939)] = 86147,
  [SMALL_STATE(2940)] = 86167,
  [SMALL_STATE(2941)] = 86183,
  [SMALL_STATE(2942)] = 86203,
  [SMALL_STATE(2943)] = 86223,
  [SMALL_STATE(2944)] = 86243,
  [SMALL_STATE(2945)] = 86263,
  [SMALL_STATE(2946)] = 86281,
  [SMALL_STATE(2947)] = 86301,
  [SMALL_STATE(2948)] = 86321,
  [SMALL_STATE(2949)] = 86339,
  [SMALL_STATE(2950)] = 86355,
  [SMALL_STATE(2951)] = 86375,
  [SMALL_STATE(2952)] = 86395,
  [SMALL_STATE(2953)] = 86415,
  [SMALL_STATE(2954)] = 86431,
  [SMALL_STATE(2955)] = 86447,
  [SMALL_STATE(2956)] = 86467,
  [SMALL_STATE(2957)] = 86487,
  [SMALL_STATE(2958)] = 86507,
  [SMALL_STATE(2959)] = 86523,
  [SMALL_STATE(2960)] = 86543,
  [SMALL_STATE(2961)] = 86563,
  [SMALL_STATE(2962)] = 86583,
  [SMALL_STATE(2963)] = 86599,
  [SMALL_STATE(2964)] = 86619,
  [SMALL_STATE(2965)] = 86635,
  [SMALL_STATE(2966)] = 86653,
  [SMALL_STATE(2967)] = 86669,
  [SMALL_STATE(2968)] = 86689,
  [SMALL_STATE(2969)] = 86709,
  [SMALL_STATE(2970)] = 86729,
  [SMALL_STATE(2971)] = 86749,
  [SMALL_STATE(2972)] = 86765,
  [SMALL_STATE(2973)] = 86785,
  [SMALL_STATE(2974)] = 86801,
  [SMALL_STATE(2975)] = 86817,
  [SMALL_STATE(2976)] = 86837,
  [SMALL_STATE(2977)] = 86857,
  [SMALL_STATE(2978)] = 86873,
  [SMALL_STATE(2979)] = 86889,
  [SMALL_STATE(2980)] = 86909,
  [SMALL_STATE(2981)] = 86929,
  [SMALL_STATE(2982)] = 86949,
  [SMALL_STATE(2983)] = 86969,
  [SMALL_STATE(2984)] = 86985,
  [SMALL_STATE(2985)] = 87005,
  [SMALL_STATE(2986)] = 87025,
  [SMALL_STATE(2987)] = 87045,
  [SMALL_STATE(2988)] = 87063,
  [SMALL_STATE(2989)] = 87079,
  [SMALL_STATE(2990)] = 87099,
  [SMALL_STATE(2991)] = 87115,
  [SMALL_STATE(2992)] = 87135,
  [SMALL_STATE(2993)] = 87155,
  [SMALL_STATE(2994)] = 87175,
  [SMALL_STATE(2995)] = 87195,
  [SMALL_STATE(2996)] = 87211,
  [SMALL_STATE(2997)] = 87231,
  [SMALL_STATE(2998)] = 87251,
  [SMALL_STATE(2999)] = 87267,
  [SMALL_STATE(3000)] = 87287,
  [SMALL_STATE(3001)] = 87303,
  [SMALL_STATE(3002)] = 87323,
  [SMALL_STATE(3003)] = 87343,
  [SMALL_STATE(3004)] = 87363,
  [SMALL_STATE(3005)] = 87383,
  [SMALL_STATE(3006)] = 87403,
  [SMALL_STATE(3007)] = 87421,
  [SMALL_STATE(3008)] = 87441,
  [SMALL_STATE(3009)] = 87459,
  [SMALL_STATE(3010)] = 87479,
  [SMALL_STATE(3011)] = 87499,
  [SMALL_STATE(3012)] = 87519,
  [SMALL_STATE(3013)] = 87539,
  [SMALL_STATE(3014)] = 87559,
  [SMALL_STATE(3015)] = 87577,
  [SMALL_STATE(3016)] = 87597,
  [SMALL_STATE(3017)] = 87613,
  [SMALL_STATE(3018)] = 87633,
  [SMALL_STATE(3019)] = 87653,
  [SMALL_STATE(3020)] = 87673,
  [SMALL_STATE(3021)] = 87693,
  [SMALL_STATE(3022)] = 87713,
  [SMALL_STATE(3023)] = 87733,
  [SMALL_STATE(3024)] = 87753,
  [SMALL_STATE(3025)] = 87773,
  [SMALL_STATE(3026)] = 87793,
  [SMALL_STATE(3027)] = 87811,
  [SMALL_STATE(3028)] = 87831,
  [SMALL_STATE(3029)] = 87851,
  [SMALL_STATE(3030)] = 87871,
  [SMALL_STATE(3031)] = 87891,
  [SMALL_STATE(3032)] = 87911,
  [SMALL_STATE(3033)] = 87927,
  [SMALL_STATE(3034)] = 87942,
  [SMALL_STATE(3035)] = 87959,
  [SMALL_STATE(3036)] = 87976,
  [SMALL_STATE(3037)] = 87991,
  [SMALL_STATE(3038)] = 88008,
  [SMALL_STATE(3039)] = 88025,
  [SMALL_STATE(3040)] = 88040,
  [SMALL_STATE(3041)] = 88057,
  [SMALL_STATE(3042)] = 88072,
  [SMALL_STATE(3043)] = 88089,
  [SMALL_STATE(3044)] = 88106,
  [SMALL_STATE(3045)] = 88123,
  [SMALL_STATE(3046)] = 88140,
  [SMALL_STATE(3047)] = 88157,
  [SMALL_STATE(3048)] = 88174,
  [SMALL_STATE(3049)] = 88191,
  [SMALL_STATE(3050)] = 88206,
  [SMALL_STATE(3051)] = 88223,
  [SMALL_STATE(3052)] = 88240,
  [SMALL_STATE(3053)] = 88257,
  [SMALL_STATE(3054)] = 88274,
  [SMALL_STATE(3055)] = 88291,
  [SMALL_STATE(3056)] = 88306,
  [SMALL_STATE(3057)] = 88323,
  [SMALL_STATE(3058)] = 88340,
  [SMALL_STATE(3059)] = 88357,
  [SMALL_STATE(3060)] = 88374,
  [SMALL_STATE(3061)] = 88391,
  [SMALL_STATE(3062)] = 88408,
  [SMALL_STATE(3063)] = 88425,
  [SMALL_STATE(3064)] = 88440,
  [SMALL_STATE(3065)] = 88457,
  [SMALL_STATE(3066)] = 88472,
  [SMALL_STATE(3067)] = 88489,
  [SMALL_STATE(3068)] = 88506,
  [SMALL_STATE(3069)] = 88523,
  [SMALL_STATE(3070)] = 88540,
  [SMALL_STATE(3071)] = 88557,
  [SMALL_STATE(3072)] = 88574,
  [SMALL_STATE(3073)] = 88591,
  [SMALL_STATE(3074)] = 88606,
  [SMALL_STATE(3075)] = 88623,
  [SMALL_STATE(3076)] = 88640,
  [SMALL_STATE(3077)] = 88655,
  [SMALL_STATE(3078)] = 88670,
  [SMALL_STATE(3079)] = 88685,
  [SMALL_STATE(3080)] = 88702,
  [SMALL_STATE(3081)] = 88719,
  [SMALL_STATE(3082)] = 88736,
  [SMALL_STATE(3083)] = 88751,
  [SMALL_STATE(3084)] = 88768,
  [SMALL_STATE(3085)] = 88783,
  [SMALL_STATE(3086)] = 88800,
  [SMALL_STATE(3087)] = 88817,
  [SMALL_STATE(3088)] = 88834,
  [SMALL_STATE(3089)] = 88849,
  [SMALL_STATE(3090)] = 88864,
  [SMALL_STATE(3091)] = 88881,
  [SMALL_STATE(3092)] = 88898,
  [SMALL_STATE(3093)] = 88915,
  [SMALL_STATE(3094)] = 88932,
  [SMALL_STATE(3095)] = 88949,
  [SMALL_STATE(3096)] = 88966,
  [SMALL_STATE(3097)] = 88983,
  [SMALL_STATE(3098)] = 89000,
  [SMALL_STATE(3099)] = 89017,
  [SMALL_STATE(3100)] = 89034,
  [SMALL_STATE(3101)] = 89051,
  [SMALL_STATE(3102)] = 89068,
  [SMALL_STATE(3103)] = 89085,
  [SMALL_STATE(3104)] = 89102,
  [SMALL_STATE(3105)] = 89119,
  [SMALL_STATE(3106)] = 89136,
  [SMALL_STATE(3107)] = 89153,
  [SMALL_STATE(3108)] = 89170,
  [SMALL_STATE(3109)] = 89187,
  [SMALL_STATE(3110)] = 89202,
  [SMALL_STATE(3111)] = 89219,
  [SMALL_STATE(3112)] = 89236,
  [SMALL_STATE(3113)] = 89253,
  [SMALL_STATE(3114)] = 89270,
  [SMALL_STATE(3115)] = 89287,
  [SMALL_STATE(3116)] = 89304,
  [SMALL_STATE(3117)] = 89321,
  [SMALL_STATE(3118)] = 89338,
  [SMALL_STATE(3119)] = 89355,
  [SMALL_STATE(3120)] = 89372,
  [SMALL_STATE(3121)] = 89387,
  [SMALL_STATE(3122)] = 89404,
  [SMALL_STATE(3123)] = 89421,
  [SMALL_STATE(3124)] = 89438,
  [SMALL_STATE(3125)] = 89455,
  [SMALL_STATE(3126)] = 89472,
  [SMALL_STATE(3127)] = 89489,
  [SMALL_STATE(3128)] = 89506,
  [SMALL_STATE(3129)] = 89523,
  [SMALL_STATE(3130)] = 89540,
  [SMALL_STATE(3131)] = 89557,
  [SMALL_STATE(3132)] = 89572,
  [SMALL_STATE(3133)] = 89589,
  [SMALL_STATE(3134)] = 89606,
  [SMALL_STATE(3135)] = 89623,
  [SMALL_STATE(3136)] = 89638,
  [SMALL_STATE(3137)] = 89655,
  [SMALL_STATE(3138)] = 89672,
  [SMALL_STATE(3139)] = 89687,
  [SMALL_STATE(3140)] = 89704,
  [SMALL_STATE(3141)] = 89721,
  [SMALL_STATE(3142)] = 89738,
  [SMALL_STATE(3143)] = 89755,
  [SMALL_STATE(3144)] = 89770,
  [SMALL_STATE(3145)] = 89787,
  [SMALL_STATE(3146)] = 89804,
  [SMALL_STATE(3147)] = 89821,
  [SMALL_STATE(3148)] = 89838,
  [SMALL_STATE(3149)] = 89853,
  [SMALL_STATE(3150)] = 89870,
  [SMALL_STATE(3151)] = 89887,
  [SMALL_STATE(3152)] = 89904,
  [SMALL_STATE(3153)] = 89921,
  [SMALL_STATE(3154)] = 89938,
  [SMALL_STATE(3155)] = 89955,
  [SMALL_STATE(3156)] = 89972,
  [SMALL_STATE(3157)] = 89989,
  [SMALL_STATE(3158)] = 90006,
  [SMALL_STATE(3159)] = 90023,
  [SMALL_STATE(3160)] = 90040,
  [SMALL_STATE(3161)] = 90057,
  [SMALL_STATE(3162)] = 90074,
  [SMALL_STATE(3163)] = 90091,
  [SMALL_STATE(3164)] = 90108,
  [SMALL_STATE(3165)] = 90125,
  [SMALL_STATE(3166)] = 90142,
  [SMALL_STATE(3167)] = 90159,
  [SMALL_STATE(3168)] = 90176,
  [SMALL_STATE(3169)] = 90193,
  [SMALL_STATE(3170)] = 90210,
  [SMALL_STATE(3171)] = 90227,
  [SMALL_STATE(3172)] = 90244,
  [SMALL_STATE(3173)] = 90261,
  [SMALL_STATE(3174)] = 90278,
  [SMALL_STATE(3175)] = 90295,
  [SMALL_STATE(3176)] = 90312,
  [SMALL_STATE(3177)] = 90327,
  [SMALL_STATE(3178)] = 90344,
  [SMALL_STATE(3179)] = 90361,
  [SMALL_STATE(3180)] = 90378,
  [SMALL_STATE(3181)] = 90395,
  [SMALL_STATE(3182)] = 90412,
  [SMALL_STATE(3183)] = 90429,
  [SMALL_STATE(3184)] = 90446,
  [SMALL_STATE(3185)] = 90461,
  [SMALL_STATE(3186)] = 90476,
  [SMALL_STATE(3187)] = 90493,
  [SMALL_STATE(3188)] = 90510,
  [SMALL_STATE(3189)] = 90527,
  [SMALL_STATE(3190)] = 90542,
  [SMALL_STATE(3191)] = 90559,
  [SMALL_STATE(3192)] = 90576,
  [SMALL_STATE(3193)] = 90593,
  [SMALL_STATE(3194)] = 90610,
  [SMALL_STATE(3195)] = 90627,
  [SMALL_STATE(3196)] = 90642,
  [SMALL_STATE(3197)] = 90657,
  [SMALL_STATE(3198)] = 90672,
  [SMALL_STATE(3199)] = 90689,
  [SMALL_STATE(3200)] = 90704,
  [SMALL_STATE(3201)] = 90719,
  [SMALL_STATE(3202)] = 90734,
  [SMALL_STATE(3203)] = 90751,
  [SMALL_STATE(3204)] = 90766,
  [SMALL_STATE(3205)] = 90783,
  [SMALL_STATE(3206)] = 90798,
  [SMALL_STATE(3207)] = 90815,
  [SMALL_STATE(3208)] = 90832,
  [SMALL_STATE(3209)] = 90849,
  [SMALL_STATE(3210)] = 90866,
  [SMALL_STATE(3211)] = 90883,
  [SMALL_STATE(3212)] = 90900,
  [SMALL_STATE(3213)] = 90917,
  [SMALL_STATE(3214)] = 90934,
  [SMALL_STATE(3215)] = 90951,
  [SMALL_STATE(3216)] = 90968,
  [SMALL_STATE(3217)] = 90985,
  [SMALL_STATE(3218)] = 91000,
  [SMALL_STATE(3219)] = 91017,
  [SMALL_STATE(3220)] = 91034,
  [SMALL_STATE(3221)] = 91051,
  [SMALL_STATE(3222)] = 91068,
  [SMALL_STATE(3223)] = 91085,
  [SMALL_STATE(3224)] = 91102,
  [SMALL_STATE(3225)] = 91119,
  [SMALL_STATE(3226)] = 91136,
  [SMALL_STATE(3227)] = 91153,
  [SMALL_STATE(3228)] = 91170,
  [SMALL_STATE(3229)] = 91187,
  [SMALL_STATE(3230)] = 91204,
  [SMALL_STATE(3231)] = 91221,
  [SMALL_STATE(3232)] = 91238,
  [SMALL_STATE(3233)] = 91253,
  [SMALL_STATE(3234)] = 91270,
  [SMALL_STATE(3235)] = 91287,
  [SMALL_STATE(3236)] = 91302,
  [SMALL_STATE(3237)] = 91319,
  [SMALL_STATE(3238)] = 91336,
  [SMALL_STATE(3239)] = 91351,
  [SMALL_STATE(3240)] = 91368,
  [SMALL_STATE(3241)] = 91385,
  [SMALL_STATE(3242)] = 91402,
  [SMALL_STATE(3243)] = 91419,
  [SMALL_STATE(3244)] = 91436,
  [SMALL_STATE(3245)] = 91453,
  [SMALL_STATE(3246)] = 91470,
  [SMALL_STATE(3247)] = 91487,
  [SMALL_STATE(3248)] = 91504,
  [SMALL_STATE(3249)] = 91521,
  [SMALL_STATE(3250)] = 91538,
  [SMALL_STATE(3251)] = 91553,
  [SMALL_STATE(3252)] = 91570,
  [SMALL_STATE(3253)] = 91585,
  [SMALL_STATE(3254)] = 91602,
  [SMALL_STATE(3255)] = 91617,
  [SMALL_STATE(3256)] = 91634,
  [SMALL_STATE(3257)] = 91649,
  [SMALL_STATE(3258)] = 91666,
  [SMALL_STATE(3259)] = 91683,
  [SMALL_STATE(3260)] = 91700,
  [SMALL_STATE(3261)] = 91715,
  [SMALL_STATE(3262)] = 91730,
  [SMALL_STATE(3263)] = 91747,
  [SMALL_STATE(3264)] = 91762,
  [SMALL_STATE(3265)] = 91779,
  [SMALL_STATE(3266)] = 91796,
  [SMALL_STATE(3267)] = 91813,
  [SMALL_STATE(3268)] = 91830,
  [SMALL_STATE(3269)] = 91847,
  [SMALL_STATE(3270)] = 91864,
  [SMALL_STATE(3271)] = 91881,
  [SMALL_STATE(3272)] = 91898,
  [SMALL_STATE(3273)] = 91915,
  [SMALL_STATE(3274)] = 91932,
  [SMALL_STATE(3275)] = 91949,
  [SMALL_STATE(3276)] = 91966,
  [SMALL_STATE(3277)] = 91983,
  [SMALL_STATE(3278)] = 92000,
  [SMALL_STATE(3279)] = 92017,
  [SMALL_STATE(3280)] = 92034,
  [SMALL_STATE(3281)] = 92051,
  [SMALL_STATE(3282)] = 92066,
  [SMALL_STATE(3283)] = 92083,
  [SMALL_STATE(3284)] = 92100,
  [SMALL_STATE(3285)] = 92117,
  [SMALL_STATE(3286)] = 92132,
  [SMALL_STATE(3287)] = 92149,
  [SMALL_STATE(3288)] = 92166,
  [SMALL_STATE(3289)] = 92183,
  [SMALL_STATE(3290)] = 92200,
  [SMALL_STATE(3291)] = 92217,
  [SMALL_STATE(3292)] = 92232,
  [SMALL_STATE(3293)] = 92249,
  [SMALL_STATE(3294)] = 92266,
  [SMALL_STATE(3295)] = 92283,
  [SMALL_STATE(3296)] = 92300,
  [SMALL_STATE(3297)] = 92317,
  [SMALL_STATE(3298)] = 92334,
  [SMALL_STATE(3299)] = 92351,
  [SMALL_STATE(3300)] = 92368,
  [SMALL_STATE(3301)] = 92385,
  [SMALL_STATE(3302)] = 92402,
  [SMALL_STATE(3303)] = 92419,
  [SMALL_STATE(3304)] = 92436,
  [SMALL_STATE(3305)] = 92453,
  [SMALL_STATE(3306)] = 92470,
  [SMALL_STATE(3307)] = 92487,
  [SMALL_STATE(3308)] = 92504,
  [SMALL_STATE(3309)] = 92521,
  [SMALL_STATE(3310)] = 92538,
  [SMALL_STATE(3311)] = 92553,
  [SMALL_STATE(3312)] = 92570,
  [SMALL_STATE(3313)] = 92584,
  [SMALL_STATE(3314)] = 92598,
  [SMALL_STATE(3315)] = 92612,
  [SMALL_STATE(3316)] = 92626,
  [SMALL_STATE(3317)] = 92640,
  [SMALL_STATE(3318)] = 92654,
  [SMALL_STATE(3319)] = 92668,
  [SMALL_STATE(3320)] = 92682,
  [SMALL_STATE(3321)] = 92696,
  [SMALL_STATE(3322)] = 92710,
  [SMALL_STATE(3323)] = 92724,
  [SMALL_STATE(3324)] = 92738,
  [SMALL_STATE(3325)] = 92752,
  [SMALL_STATE(3326)] = 92766,
  [SMALL_STATE(3327)] = 92780,
  [SMALL_STATE(3328)] = 92794,
  [SMALL_STATE(3329)] = 92808,
  [SMALL_STATE(3330)] = 92822,
  [SMALL_STATE(3331)] = 92836,
  [SMALL_STATE(3332)] = 92850,
  [SMALL_STATE(3333)] = 92864,
  [SMALL_STATE(3334)] = 92878,
  [SMALL_STATE(3335)] = 92892,
  [SMALL_STATE(3336)] = 92906,
  [SMALL_STATE(3337)] = 92920,
  [SMALL_STATE(3338)] = 92934,
  [SMALL_STATE(3339)] = 92948,
  [SMALL_STATE(3340)] = 92962,
  [SMALL_STATE(3341)] = 92976,
  [SMALL_STATE(3342)] = 92990,
  [SMALL_STATE(3343)] = 93004,
  [SMALL_STATE(3344)] = 93018,
  [SMALL_STATE(3345)] = 93032,
  [SMALL_STATE(3346)] = 93046,
  [SMALL_STATE(3347)] = 93060,
  [SMALL_STATE(3348)] = 93074,
  [SMALL_STATE(3349)] = 93088,
  [SMALL_STATE(3350)] = 93102,
  [SMALL_STATE(3351)] = 93116,
  [SMALL_STATE(3352)] = 93130,
  [SMALL_STATE(3353)] = 93144,
  [SMALL_STATE(3354)] = 93158,
  [SMALL_STATE(3355)] = 93172,
  [SMALL_STATE(3356)] = 93186,
  [SMALL_STATE(3357)] = 93200,
  [SMALL_STATE(3358)] = 93214,
  [SMALL_STATE(3359)] = 93228,
  [SMALL_STATE(3360)] = 93242,
  [SMALL_STATE(3361)] = 93256,
  [SMALL_STATE(3362)] = 93270,
  [SMALL_STATE(3363)] = 93284,
  [SMALL_STATE(3364)] = 93298,
  [SMALL_STATE(3365)] = 93312,
  [SMALL_STATE(3366)] = 93326,
  [SMALL_STATE(3367)] = 93340,
  [SMALL_STATE(3368)] = 93354,
  [SMALL_STATE(3369)] = 93368,
  [SMALL_STATE(3370)] = 93382,
  [SMALL_STATE(3371)] = 93396,
  [SMALL_STATE(3372)] = 93410,
  [SMALL_STATE(3373)] = 93424,
  [SMALL_STATE(3374)] = 93438,
  [SMALL_STATE(3375)] = 93452,
  [SMALL_STATE(3376)] = 93466,
  [SMALL_STATE(3377)] = 93480,
  [SMALL_STATE(3378)] = 93494,
  [SMALL_STATE(3379)] = 93508,
  [SMALL_STATE(3380)] = 93522,
  [SMALL_STATE(3381)] = 93536,
  [SMALL_STATE(3382)] = 93550,
  [SMALL_STATE(3383)] = 93564,
  [SMALL_STATE(3384)] = 93578,
  [SMALL_STATE(3385)] = 93592,
  [SMALL_STATE(3386)] = 93606,
  [SMALL_STATE(3387)] = 93620,
  [SMALL_STATE(3388)] = 93634,
  [SMALL_STATE(3389)] = 93648,
  [SMALL_STATE(3390)] = 93662,
  [SMALL_STATE(3391)] = 93676,
  [SMALL_STATE(3392)] = 93690,
  [SMALL_STATE(3393)] = 93704,
  [SMALL_STATE(3394)] = 93718,
  [SMALL_STATE(3395)] = 93732,
  [SMALL_STATE(3396)] = 93746,
  [SMALL_STATE(3397)] = 93760,
  [SMALL_STATE(3398)] = 93774,
  [SMALL_STATE(3399)] = 93788,
  [SMALL_STATE(3400)] = 93802,
  [SMALL_STATE(3401)] = 93816,
  [SMALL_STATE(3402)] = 93830,
  [SMALL_STATE(3403)] = 93844,
  [SMALL_STATE(3404)] = 93858,
  [SMALL_STATE(3405)] = 93872,
  [SMALL_STATE(3406)] = 93886,
  [SMALL_STATE(3407)] = 93900,
  [SMALL_STATE(3408)] = 93914,
  [SMALL_STATE(3409)] = 93928,
  [SMALL_STATE(3410)] = 93942,
  [SMALL_STATE(3411)] = 93956,
  [SMALL_STATE(3412)] = 93970,
  [SMALL_STATE(3413)] = 93984,
  [SMALL_STATE(3414)] = 93998,
  [SMALL_STATE(3415)] = 94012,
  [SMALL_STATE(3416)] = 94026,
  [SMALL_STATE(3417)] = 94040,
  [SMALL_STATE(3418)] = 94054,
  [SMALL_STATE(3419)] = 94068,
  [SMALL_STATE(3420)] = 94082,
  [SMALL_STATE(3421)] = 94096,
  [SMALL_STATE(3422)] = 94110,
  [SMALL_STATE(3423)] = 94124,
  [SMALL_STATE(3424)] = 94138,
  [SMALL_STATE(3425)] = 94152,
  [SMALL_STATE(3426)] = 94166,
  [SMALL_STATE(3427)] = 94180,
  [SMALL_STATE(3428)] = 94194,
  [SMALL_STATE(3429)] = 94208,
  [SMALL_STATE(3430)] = 94222,
  [SMALL_STATE(3431)] = 94236,
  [SMALL_STATE(3432)] = 94250,
  [SMALL_STATE(3433)] = 94264,
  [SMALL_STATE(3434)] = 94278,
  [SMALL_STATE(3435)] = 94292,
  [SMALL_STATE(3436)] = 94306,
  [SMALL_STATE(3437)] = 94320,
  [SMALL_STATE(3438)] = 94334,
  [SMALL_STATE(3439)] = 94348,
  [SMALL_STATE(3440)] = 94362,
  [SMALL_STATE(3441)] = 94376,
  [SMALL_STATE(3442)] = 94390,
  [SMALL_STATE(3443)] = 94404,
  [SMALL_STATE(3444)] = 94418,
  [SMALL_STATE(3445)] = 94432,
  [SMALL_STATE(3446)] = 94446,
  [SMALL_STATE(3447)] = 94460,
  [SMALL_STATE(3448)] = 94474,
  [SMALL_STATE(3449)] = 94488,
  [SMALL_STATE(3450)] = 94502,
  [SMALL_STATE(3451)] = 94516,
  [SMALL_STATE(3452)] = 94530,
  [SMALL_STATE(3453)] = 94544,
  [SMALL_STATE(3454)] = 94558,
  [SMALL_STATE(3455)] = 94572,
  [SMALL_STATE(3456)] = 94586,
  [SMALL_STATE(3457)] = 94600,
  [SMALL_STATE(3458)] = 94614,
  [SMALL_STATE(3459)] = 94628,
  [SMALL_STATE(3460)] = 94642,
  [SMALL_STATE(3461)] = 94656,
  [SMALL_STATE(3462)] = 94670,
  [SMALL_STATE(3463)] = 94684,
  [SMALL_STATE(3464)] = 94698,
  [SMALL_STATE(3465)] = 94712,
  [SMALL_STATE(3466)] = 94726,
  [SMALL_STATE(3467)] = 94740,
  [SMALL_STATE(3468)] = 94754,
  [SMALL_STATE(3469)] = 94768,
  [SMALL_STATE(3470)] = 94782,
  [SMALL_STATE(3471)] = 94796,
  [SMALL_STATE(3472)] = 94810,
  [SMALL_STATE(3473)] = 94824,
  [SMALL_STATE(3474)] = 94838,
  [SMALL_STATE(3475)] = 94852,
  [SMALL_STATE(3476)] = 94866,
  [SMALL_STATE(3477)] = 94880,
  [SMALL_STATE(3478)] = 94894,
  [SMALL_STATE(3479)] = 94908,
  [SMALL_STATE(3480)] = 94922,
  [SMALL_STATE(3481)] = 94936,
  [SMALL_STATE(3482)] = 94950,
  [SMALL_STATE(3483)] = 94964,
  [SMALL_STATE(3484)] = 94978,
  [SMALL_STATE(3485)] = 94992,
  [SMALL_STATE(3486)] = 95006,
  [SMALL_STATE(3487)] = 95020,
  [SMALL_STATE(3488)] = 95034,
  [SMALL_STATE(3489)] = 95048,
  [SMALL_STATE(3490)] = 95062,
  [SMALL_STATE(3491)] = 95076,
  [SMALL_STATE(3492)] = 95090,
  [SMALL_STATE(3493)] = 95104,
  [SMALL_STATE(3494)] = 95118,
  [SMALL_STATE(3495)] = 95132,
  [SMALL_STATE(3496)] = 95146,
  [SMALL_STATE(3497)] = 95160,
  [SMALL_STATE(3498)] = 95174,
  [SMALL_STATE(3499)] = 95188,
  [SMALL_STATE(3500)] = 95202,
  [SMALL_STATE(3501)] = 95216,
  [SMALL_STATE(3502)] = 95230,
  [SMALL_STATE(3503)] = 95244,
  [SMALL_STATE(3504)] = 95258,
  [SMALL_STATE(3505)] = 95272,
  [SMALL_STATE(3506)] = 95286,
  [SMALL_STATE(3507)] = 95300,
  [SMALL_STATE(3508)] = 95314,
  [SMALL_STATE(3509)] = 95328,
  [SMALL_STATE(3510)] = 95342,
  [SMALL_STATE(3511)] = 95356,
  [SMALL_STATE(3512)] = 95370,
  [SMALL_STATE(3513)] = 95384,
  [SMALL_STATE(3514)] = 95398,
  [SMALL_STATE(3515)] = 95412,
  [SMALL_STATE(3516)] = 95426,
  [SMALL_STATE(3517)] = 95440,
  [SMALL_STATE(3518)] = 95454,
  [SMALL_STATE(3519)] = 95468,
  [SMALL_STATE(3520)] = 95482,
  [SMALL_STATE(3521)] = 95496,
  [SMALL_STATE(3522)] = 95510,
  [SMALL_STATE(3523)] = 95524,
  [SMALL_STATE(3524)] = 95538,
  [SMALL_STATE(3525)] = 95552,
  [SMALL_STATE(3526)] = 95566,
  [SMALL_STATE(3527)] = 95580,
  [SMALL_STATE(3528)] = 95594,
  [SMALL_STATE(3529)] = 95608,
  [SMALL_STATE(3530)] = 95622,
  [SMALL_STATE(3531)] = 95636,
  [SMALL_STATE(3532)] = 95650,
  [SMALL_STATE(3533)] = 95664,
  [SMALL_STATE(3534)] = 95678,
  [SMALL_STATE(3535)] = 95692,
  [SMALL_STATE(3536)] = 95706,
  [SMALL_STATE(3537)] = 95720,
  [SMALL_STATE(3538)] = 95734,
  [SMALL_STATE(3539)] = 95748,
  [SMALL_STATE(3540)] = 95762,
  [SMALL_STATE(3541)] = 95776,
  [SMALL_STATE(3542)] = 95790,
  [SMALL_STATE(3543)] = 95804,
  [SMALL_STATE(3544)] = 95818,
  [SMALL_STATE(3545)] = 95832,
  [SMALL_STATE(3546)] = 95846,
  [SMALL_STATE(3547)] = 95860,
  [SMALL_STATE(3548)] = 95874,
  [SMALL_STATE(3549)] = 95888,
  [SMALL_STATE(3550)] = 95902,
  [SMALL_STATE(3551)] = 95916,
  [SMALL_STATE(3552)] = 95930,
  [SMALL_STATE(3553)] = 95944,
  [SMALL_STATE(3554)] = 95958,
  [SMALL_STATE(3555)] = 95972,
  [SMALL_STATE(3556)] = 95986,
  [SMALL_STATE(3557)] = 96000,
  [SMALL_STATE(3558)] = 96014,
  [SMALL_STATE(3559)] = 96028,
  [SMALL_STATE(3560)] = 96042,
  [SMALL_STATE(3561)] = 96056,
  [SMALL_STATE(3562)] = 96070,
  [SMALL_STATE(3563)] = 96084,
  [SMALL_STATE(3564)] = 96098,
  [SMALL_STATE(3565)] = 96112,
  [SMALL_STATE(3566)] = 96126,
  [SMALL_STATE(3567)] = 96140,
  [SMALL_STATE(3568)] = 96154,
  [SMALL_STATE(3569)] = 96168,
  [SMALL_STATE(3570)] = 96182,
  [SMALL_STATE(3571)] = 96196,
  [SMALL_STATE(3572)] = 96210,
  [SMALL_STATE(3573)] = 96224,
  [SMALL_STATE(3574)] = 96238,
  [SMALL_STATE(3575)] = 96252,
  [SMALL_STATE(3576)] = 96266,
  [SMALL_STATE(3577)] = 96280,
  [SMALL_STATE(3578)] = 96294,
  [SMALL_STATE(3579)] = 96308,
  [SMALL_STATE(3580)] = 96322,
  [SMALL_STATE(3581)] = 96336,
  [SMALL_STATE(3582)] = 96350,
  [SMALL_STATE(3583)] = 96364,
  [SMALL_STATE(3584)] = 96378,
  [SMALL_STATE(3585)] = 96392,
  [SMALL_STATE(3586)] = 96406,
  [SMALL_STATE(3587)] = 96420,
  [SMALL_STATE(3588)] = 96434,
  [SMALL_STATE(3589)] = 96448,
  [SMALL_STATE(3590)] = 96462,
  [SMALL_STATE(3591)] = 96476,
  [SMALL_STATE(3592)] = 96490,
  [SMALL_STATE(3593)] = 96504,
  [SMALL_STATE(3594)] = 96518,
  [SMALL_STATE(3595)] = 96532,
  [SMALL_STATE(3596)] = 96546,
  [SMALL_STATE(3597)] = 96560,
  [SMALL_STATE(3598)] = 96574,
  [SMALL_STATE(3599)] = 96588,
  [SMALL_STATE(3600)] = 96602,
  [SMALL_STATE(3601)] = 96616,
  [SMALL_STATE(3602)] = 96630,
  [SMALL_STATE(3603)] = 96644,
  [SMALL_STATE(3604)] = 96658,
  [SMALL_STATE(3605)] = 96672,
  [SMALL_STATE(3606)] = 96686,
  [SMALL_STATE(3607)] = 96700,
  [SMALL_STATE(3608)] = 96714,
  [SMALL_STATE(3609)] = 96728,
  [SMALL_STATE(3610)] = 96742,
  [SMALL_STATE(3611)] = 96756,
  [SMALL_STATE(3612)] = 96770,
  [SMALL_STATE(3613)] = 96784,
  [SMALL_STATE(3614)] = 96788,
  [SMALL_STATE(3615)] = 96792,
  [SMALL_STATE(3616)] = 96796,
  [SMALL_STATE(3617)] = 96800,
  [SMALL_STATE(3618)] = 96804,
  [SMALL_STATE(3619)] = 96808,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2286),
  [5] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2483),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3006),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3079),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3121),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3470),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(41),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3497),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3199),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3342),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1964),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(42),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3537),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3558),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3569),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(37),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3052),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1463),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3455),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1, 0, 0),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 2, 0, 0),
  [131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1484),
  [136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(702),
  [139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3006),
  [142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(171),
  [145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(155),
  [148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(5),
  [151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(339),
  [154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1478),
  [157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(247),
  [160] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(783),
  [163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(849),
  [166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(38),
  [169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3079),
  [172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3121),
  [175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3470),
  [178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2063),
  [181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(41),
  [184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2061),
  [187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1045),
  [190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1032),
  [193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3497),
  [196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3199),
  [199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(804),
  [202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(189),
  [205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(845),
  [208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(807),
  [211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2567),
  [214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(370),
  [217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3342),
  [220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1964),
  [223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(42),
  [226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2381),
  [229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3537),
  [232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3558),
  [235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3569),
  [238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1509),
  [241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2026),
  [244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1877),
  [247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(172),
  [250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2064),
  [253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(37),
  [256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3052),
  [259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2609),
  [262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1462),
  [265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(2563),
  [268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1463),
  [271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1475),
  [274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3455),
  [277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1987),
  [280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1475),
  [283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3376),
  [286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_expression, 2, 0, 0),
  [338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2669),
  [342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_expression, 2, 0, 0),
  [344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2489),
  [348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2690),
  [350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2684),
  [358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2972),
  [362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2703),
  [364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2687),
  [368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_expression, 2, 0, 0),
  [370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_expression, 2, 0, 0),
  [372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1, 0, 0),
  [376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_expression, 1, 0, 0),
  [386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_expression, 1, 0, 0),
  [388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_expression, 1, 0, 0),
  [390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_expression, 1, 0, 0),
  [392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3493),
  [394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_expression, 1, 0, 0),
  [396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_expression, 1, 0, 0),
  [398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2714),
  [404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1591),
  [406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2415),
  [412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1548),
  [420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(45),
  [430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2850),
  [432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2586),
  [434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(46),
  [438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3122),
  [440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2616),
  [442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1779),
  [448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3464),
  [452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(65),
  [466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(66),
  [470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2757),
  [472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(54),
  [474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3044),
  [476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3322),
  [480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3360),
  [492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(64),
  [496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2968),
  [502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3094),
  [506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(63),
  [510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(62),
  [514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_token_tree_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(166),
  [517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_token_tree_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(137),
  [520] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_token_tree_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(68),
  [523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_token_tree_pattern_repeat1, 2, 0, 0),
  [525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_token_tree_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(69),
  [528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_token_tree_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(76),
  [531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_token_tree_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(137),
  [534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_token_tree_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(3323),
  [537] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_token_tree_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(156),
  [540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_token_tree_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(2630),
  [543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_token_tree_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(167),
  [546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_token_tree_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(168),
  [549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_token_tree_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(3513),
  [552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3323),
  [568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(157),
  [591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(137),
  [594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(99),
  [597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_token_tree_repeat1, 2, 0, 0),
  [599] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(100),
  [602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(101),
  [605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(137),
  [608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(3474),
  [611] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(156),
  [614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(2630),
  [617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(167),
  [620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(157),
  [623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(3513),
  [626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_delim_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(183),
  [629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_delim_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(208),
  [632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_delim_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(111),
  [635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_delim_token_tree_repeat1, 2, 0, 0),
  [637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_delim_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(112),
  [640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_delim_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(113),
  [643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_delim_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(208),
  [646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_delim_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(183),
  [649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_delim_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(173),
  [652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_delim_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(2584),
  [655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_delim_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(175),
  [658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_delim_token_tree_repeat1, 2, 0, 0), SHIFT_REPEAT(3461),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3461),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3474),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__non_special_token_repeat1, 2, 0, 0),
  [733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__non_special_token_repeat1, 2, 0, 0), SHIFT_REPEAT(137),
  [736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__non_special_token_repeat1, 2, 0, 0),
  [738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__non_special_token_repeat1, 2, 0, 0), SHIFT_REPEAT(137),
  [741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__token_pattern, 1, 0, 0),
  [743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__token_pattern, 1, 0, 0),
  [745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_token_tree_repeat1, 1, 0, 0),
  [747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_token_tree_repeat1, 1, 0, 0),
  [749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__non_special_token_repeat1, 1, 0, 0),
  [751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__non_special_token_repeat1, 1, 0, 0),
  [753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2, 0, 0),
  [755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2, 0, 0),
  [757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_token_tree, 2, 0, 0),
  [759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_token_tree, 2, 0, 0),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 3, 0, 0),
  [769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 3, 0, 0),
  [771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3, 0, 0),
  [773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3, 0, 0),
  [775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_token_tree, 3, 0, 0),
  [777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_token_tree, 3, 0, 0),
  [779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_token_binding_pattern, 3, 0, 197),
  [781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_token_binding_pattern, 3, 0, 197),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(1040),
  [790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(171),
  [793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(155),
  [796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0),
  [798] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(11),
  [801] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(339),
  [804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(1478),
  [807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(247),
  [810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(783),
  [813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(849),
  [816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(38),
  [819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(3079),
  [822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3431),
  [825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(3470),
  [828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(2489),
  [831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(41),
  [834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(2690),
  [837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(1045),
  [840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(1238),
  [843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(825),
  [846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(201),
  [849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(2684),
  [852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(342),
  [855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(42),
  [858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(2972),
  [861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(2703),
  [864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(202),
  [867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(37),
  [870] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(3052),
  [873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(2687),
  [876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(1462),
  [879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(2563),
  [882] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(1463),
  [885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(1475),
  [888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(3455),
  [891] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(1475),
  [894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT(3376),
  [897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_token_repetition_pattern, 4, 0, 0),
  [899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_token_repetition_pattern, 4, 0, 0),
  [901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_token_repetition_pattern, 6, 0, 0),
  [903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_token_repetition_pattern, 6, 0, 0),
  [905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_token_tree_pattern_repeat1, 1, 0, 0),
  [907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_token_tree_pattern_repeat1, 1, 0, 0),
  [909] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__non_special_token_repeat1, 2, 0, 0), SHIFT_REPEAT(208),
  [912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__non_special_token_repeat1, 2, 0, 0), SHIFT_REPEAT(208),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_token_repetition, 4, 0, 0),
  [921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_token_repetition, 4, 0, 0),
  [923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_token_repetition, 5, 0, 0),
  [925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_token_repetition, 5, 0, 0),
  [927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_token_repetition, 6, 0, 0),
  [929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_token_repetition, 6, 0, 0),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__literal, 1, 0, 0),
  [937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__literal, 1, 0, 0),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3347),
  [943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fragment_specifier, 1, 0, 0),
  [945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fragment_specifier, 1, 0, 0),
  [947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__non_delim_token, 1, 0, 0),
  [949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__non_delim_token, 1, 0, 0),
  [951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_token_tree_pattern, 2, 0, 0),
  [953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_token_tree_pattern, 2, 0, 0),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_token_tree_pattern, 3, 0, 0),
  [961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_token_tree_pattern, 3, 0, 0),
  [963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_token_repetition_pattern, 5, 0, 0),
  [965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_token_repetition_pattern, 5, 0, 0),
  [967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_literal, 1, 0, 0),
  [969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_literal, 1, 0, 0),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delim_token_tree, 2, 0, 0),
  [987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delim_token_tree, 2, 0, 0),
  [989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delim_token_tree, 3, 0, 0),
  [991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delim_token_tree, 3, 0, 0),
  [993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__delim_tokens, 1, 0, 0),
  [995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__delim_tokens, 1, 0, 0),
  [997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_delim_token_tree_repeat1, 1, 0, 0),
  [999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_delim_token_tree_repeat1, 1, 0, 0),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(818),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [1037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [1061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1040),
  [1064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(171),
  [1067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0),
  [1069] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(155),
  [1072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(11),
  [1075] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(339),
  [1078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1478),
  [1081] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(247),
  [1084] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(783),
  [1087] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(849),
  [1090] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(38),
  [1093] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(3079),
  [1096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(3470),
  [1099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2489),
  [1102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(41),
  [1105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2690),
  [1108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1045),
  [1111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1238),
  [1114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(825),
  [1117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(201),
  [1120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2684),
  [1123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(342),
  [1126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(42),
  [1129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2972),
  [1132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2703),
  [1135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(202),
  [1138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(37),
  [1141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(3052),
  [1144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2687),
  [1147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1462),
  [1150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2563),
  [1153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1463),
  [1156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1475),
  [1159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(3455),
  [1162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1475),
  [1165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(3376),
  [1168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [1170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [1172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [1174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [1176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [1178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [1180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [1182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [1184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [1186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [1188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [1190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [1192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [1194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 30),
  [1196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 3, 0, 30),
  [1198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2377),
  [1200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [1202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [1204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [1206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 4, 0, 0),
  [1208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 4, 0, 0),
  [1210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [1212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2451),
  [1214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2618),
  [1216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [1218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [1220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2582),
  [1222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [1224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2699),
  [1226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [1228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2583),
  [1230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [1232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 5, 0, 0),
  [1234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 5, 0, 0),
  [1236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 6, 0, 0),
  [1238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 6, 0, 0),
  [1240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3, 0, 0),
  [1242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3, 0, 0),
  [1244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [1246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [1248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1942),
  [1250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [1252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [1254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [1256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3254),
  [1258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [1260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [1262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [1264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [1266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [1268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [1270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2482),
  [1272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2088),
  [1274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [1276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [1278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [1280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [1282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3531),
  [1284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2320),
  [1286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [1288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1936),
  [1290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3207),
  [1292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3439),
  [1294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [1296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [1298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2213),
  [1300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [1302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1491),
  [1304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [1306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [1308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [1310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [1312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [1314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2708),
  [1316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [1318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [1320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_invocation, 3, 0, 39),
  [1322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_invocation, 3, 0, 39),
  [1324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [1326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [1328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [1330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [1332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [1334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2427),
  [1336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [1338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [1340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1981),
  [1342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [1344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2284),
  [1346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2663),
  [1348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [1350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 5, 0, 115),
  [1352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 5, 0, 115),
  [1354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [1358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [1360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [1362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 3, 0, 0),
  [1364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 3, 0, 0),
  [1366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_block, 2, 0, 8),
  [1368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_block, 2, 0, 8),
  [1370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_async_block, 3, 0, 0),
  [1372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_async_block, 3, 0, 0),
  [1374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loop_expression, 2, 0, 8),
  [1376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_loop_expression, 2, 0, 8),
  [1378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 5, 0, 145),
  [1380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 5, 0, 145),
  [1382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unsafe_block, 2, 0, 0),
  [1384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unsafe_block, 2, 0, 0),
  [1386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 75),
  [1388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 4, 0, 75),
  [1390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 4, 0, 0),
  [1392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 4, 0, 0),
  [1394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_block, 2, 0, 0),
  [1396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_block, 2, 0, 0),
  [1398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 3, 0, 33),
  [1400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 3, 0, 33),
  [1402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_async_block, 2, 0, 0),
  [1404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_async_block, 2, 0, 0),
  [1406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [1408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2430),
  [1410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [1412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [1414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1, 0, 0),
  [1416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression_except_range, 1, 0, 0),
  [1418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_except_range, 1, 0, 0),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_block, 2, 0, 0),
  [1422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_block, 2, 0, 0),
  [1424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loop_expression, 4, 0, 98),
  [1426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_loop_expression, 4, 0, 98),
  [1428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 7, 0, 241),
  [1430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 7, 0, 241),
  [1432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement, 1, 0, 0),
  [1434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement, 1, 0, 0),
  [1436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [1438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2471),
  [1440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [1442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_invocation, 3, 0, 28),
  [1444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_invocation, 3, 0, 28),
  [1446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [1448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [1450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 3, 0, 38),
  [1452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 3, 0, 38),
  [1454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [1456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2508),
  [1458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [1460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [1462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [1464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [1466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [1468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [1470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [1472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [1474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [1476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [1478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [1480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [1482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [1484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [1486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2824),
  [1488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [1490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3098),
  [1492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [1494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [1496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2468),
  [1498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2581),
  [1500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2473),
  [1502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2433),
  [1504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1955),
  [1506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [1508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [1510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [1512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [1514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [1516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [1518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1937),
  [1520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [1522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2713),
  [1524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [1526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [1528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [1530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2304),
  [1532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [1534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2342),
  [1536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [1538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2374),
  [1540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [1542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2372),
  [1544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [1546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_label, 2, 0, 0),
  [1548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_label, 2, 0, 0),
  [1550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_closure_parameters, 2, 0, 0),
  [1552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_closure_parameters, 2, 0, 0),
  [1554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_closure_parameters, 3, 0, 0),
  [1556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_closure_parameters, 3, 0, 0),
  [1558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [1560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [1562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [1564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [1566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1952),
  [1568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [1570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [1572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [1574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3335),
  [1576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2124),
  [1578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2613),
  [1580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [1582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3332),
  [1584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [1586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [1588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [1590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [1592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [1594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [1596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [1598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [1600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [1602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2348),
  [1604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [1606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [1608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [1610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [1612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [1614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [1616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [1618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [1620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2877),
  [1622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [1624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [1626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [1628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [1630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [1632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [1634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [1636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [1638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [1640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2360),
  [1642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2707),
  [1644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [1646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [1648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_arm, 4, 0, 116),
  [1650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_arm, 4, 0, 116),
  [1652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [1654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [1656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_arm, 3, 0, 172),
  [1658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_arm, 3, 0, 172),
  [1660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [1662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_item, 3, 0, 29),
  [1664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_item, 3, 0, 29),
  [1666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_definition, 6, 0, 54),
  [1668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_definition, 6, 0, 54),
  [1670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_definition, 6, 0, 6),
  [1672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_definition, 6, 0, 6),
  [1674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_variant_list, 4, 0, 0),
  [1676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_variant_list, 4, 0, 0),
  [1678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature_item, 6, 0, 112),
  [1680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature_item, 6, 0, 112),
  [1682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_item, 6, 0, 156),
  [1684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_item, 6, 0, 156),
  [1686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature_item, 6, 0, 157),
  [1688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature_item, 6, 0, 157),
  [1690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_item, 6, 0, 158),
  [1692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_item, 6, 0, 158),
  [1694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 6, 0, 159),
  [1696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 6, 0, 159),
  [1698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 6, 0, 160),
  [1700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 6, 0, 160),
  [1702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 6, 0, 161),
  [1704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 6, 0, 161),
  [1706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 6, 0, 162),
  [1708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 6, 0, 162),
  [1710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 6, 0, 120),
  [1712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 6, 0, 120),
  [1714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 6, 0, 163),
  [1716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 6, 0, 163),
  [1718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 6, 0, 164),
  [1720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 6, 0, 164),
  [1722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 6, 0, 165),
  [1724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 6, 0, 165),
  [1726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 6, 0, 166),
  [1728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 6, 0, 166),
  [1730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 6, 0, 167),
  [1732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 6, 0, 167),
  [1734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 6, 0, 123),
  [1736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 6, 0, 123),
  [1738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 6, 0, 168),
  [1740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 6, 0, 168),
  [1742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_declaration, 6, 0, 169),
  [1744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_declaration, 6, 0, 169),
  [1746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_declaration, 6, 0, 170),
  [1748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_declaration, 6, 0, 170),
  [1750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_declaration, 6, 0, 171),
  [1752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_declaration, 6, 0, 171),
  [1754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_item, 6, 0, 174),
  [1756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_item, 6, 0, 174),
  [1758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_item, 3, 0, 29),
  [1760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_item, 3, 0, 29),
  [1762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 4, 0, 0),
  [1764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 4, 0, 0),
  [1766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_item, 6, 0, 72),
  [1768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_item, 6, 0, 72),
  [1770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_item, 6, 0, 179),
  [1772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_item, 6, 0, 179),
  [1774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_item, 6, 0, 130),
  [1776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_item, 6, 0, 130),
  [1778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_item, 6, 0, 180),
  [1780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_item, 6, 0, 180),
  [1782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associated_type, 6, 0, 131),
  [1784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_associated_type, 6, 0, 131),
  [1786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 6, 0, 132),
  [1788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 6, 0, 132),
  [1790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 6, 0, 181),
  [1792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 6, 0, 181),
  [1794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_item, 6, 0, 182),
  [1796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_item, 6, 0, 182),
  [1798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_item, 6, 0, 183),
  [1800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_item, 6, 0, 183),
  [1802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_item, 6, 0, 184),
  [1804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_item, 6, 0, 184),
  [1806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extern_crate_declaration, 6, 0, 185),
  [1808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extern_crate_declaration, 6, 0, 185),
  [1810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature_item, 6, 0, 188),
  [1812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature_item, 6, 0, 188),
  [1814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_item, 6, 0, 189),
  [1816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_item, 6, 0, 189),
  [1818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature_item, 6, 0, 140),
  [1820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature_item, 6, 0, 140),
  [1822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_item, 6, 0, 190),
  [1824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_item, 6, 0, 190),
  [1826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_item, 6, 0, 174),
  [1828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_item, 6, 0, 174),
  [1830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_item, 6, 0, 183),
  [1832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_item, 6, 0, 183),
  [1834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_item, 6, 0, 88),
  [1836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_item, 6, 0, 88),
  [1838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_item, 6, 0, 137),
  [1840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_item, 6, 0, 137),
  [1842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_item, 6, 0, 183),
  [1844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_item, 6, 0, 183),
  [1846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_item, 6, 0, 191),
  [1848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_item, 6, 0, 191),
  [1850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_item, 6, 0, 183),
  [1852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_item, 6, 0, 183),
  [1854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_item, 6, 0, 192),
  [1856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_item, 6, 0, 192),
  [1858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_item, 6, 0, 193),
  [1860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_item, 6, 0, 193),
  [1862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_item, 6, 0, 194),
  [1864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_item, 6, 0, 194),
  [1866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature_item, 6, 0, 195),
  [1868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature_item, 6, 0, 195),
  [1870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_item, 6, 0, 196),
  [1872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_item, 6, 0, 196),
  [1874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 3, 0, 22),
  [1876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 3, 0, 22),
  [1878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 3, 0, 31),
  [1880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 3, 0, 31),
  [1882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_declaration, 3, 0, 32),
  [1884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_declaration, 3, 0, 32),
  [1886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_definition, 7, 0, 54),
  [1888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_definition, 7, 0, 54),
  [1890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_definition, 7, 0, 6),
  [1892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_definition, 7, 0, 6),
  [1894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mod_item, 3, 0, 6),
  [1896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mod_item, 3, 0, 6),
  [1898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_item, 7, 0, 201),
  [1900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_item, 7, 0, 201),
  [1902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_variant_list, 5, 0, 0),
  [1904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_variant_list, 5, 0, 0),
  [1906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mod_item, 3, 0, 34),
  [1908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mod_item, 3, 0, 34),
  [1910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature_item, 7, 0, 204),
  [1912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature_item, 7, 0, 204),
  [1914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_item, 7, 0, 205),
  [1916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_item, 7, 0, 205),
  [1918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature_item, 7, 0, 157),
  [1920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature_item, 7, 0, 157),
  [1922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_item, 7, 0, 206),
  [1924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_item, 7, 0, 206),
  [1926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 7, 0, 159),
  [1928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 7, 0, 159),
  [1930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 7, 0, 207),
  [1932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 7, 0, 207),
  [1934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 7, 0, 161),
  [1936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 7, 0, 161),
  [1938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 7, 0, 208),
  [1940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 7, 0, 208),
  [1942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 7, 0, 209),
  [1944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 7, 0, 209),
  [1946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 7, 0, 210),
  [1948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 7, 0, 210),
  [1950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 7, 0, 211),
  [1952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 7, 0, 211),
  [1954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 7, 0, 212),
  [1956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 7, 0, 212),
  [1958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 7, 0, 164),
  [1960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 7, 0, 164),
  [1962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 7, 0, 213),
  [1964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 7, 0, 213),
  [1966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 7, 0, 166),
  [1968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 7, 0, 166),
  [1970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 7, 0, 214),
  [1972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 7, 0, 214),
  [1974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_declaration, 7, 0, 215),
  [1976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_declaration, 7, 0, 215),
  [1978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_declaration, 7, 0, 216),
  [1980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_declaration, 7, 0, 216),
  [1982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_declaration, 7, 0, 217),
  [1984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_declaration, 7, 0, 217),
  [1986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_item, 7, 0, 218),
  [1988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_item, 7, 0, 218),
  [1990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_item, 7, 0, 201),
  [1992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_item, 7, 0, 201),
  [1994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 5, 0, 0),
  [1996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 5, 0, 0),
  [1998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_item, 7, 0, 180),
  [2000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_item, 7, 0, 180),
  [2002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 7, 0, 221),
  [2004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 7, 0, 221),
  [2006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 7, 0, 222),
  [2008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 7, 0, 222),
  [2010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 7, 0, 223),
  [2012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 7, 0, 223),
  [2014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 7, 0, 224),
  [2016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 7, 0, 224),
  [2018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 7, 0, 225),
  [2020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 7, 0, 225),
  [2022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 7, 0, 226),
  [2024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 7, 0, 226),
  [2026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 7, 0, 227),
  [2028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 7, 0, 227),
  [2030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 7, 0, 228),
  [2032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 7, 0, 228),
  [2034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_item, 7, 0, 229),
  [2036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_item, 7, 0, 229),
  [2038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature_item, 7, 0, 188),
  [2040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature_item, 7, 0, 188),
  [2042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_item, 7, 0, 230),
  [2044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_item, 7, 0, 230),
  [2046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature_item, 7, 0, 231),
  [2048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature_item, 7, 0, 231),
  [2050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_item, 7, 0, 232),
  [2052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_item, 7, 0, 232),
  [2054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_item, 7, 0, 137),
  [2056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_item, 7, 0, 137),
  [2058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_item, 7, 0, 191),
  [2060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_item, 7, 0, 191),
  [2062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_item, 7, 0, 233),
  [2064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_item, 7, 0, 233),
  [2066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_item, 7, 0, 234),
  [2068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_item, 7, 0, 234),
  [2070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_item, 7, 0, 235),
  [2072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_item, 7, 0, 235),
  [2074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_item, 7, 0, 236),
  [2076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_item, 7, 0, 236),
  [2078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extern_crate_declaration, 7, 0, 237),
  [2080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extern_crate_declaration, 7, 0, 237),
  [2082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature_item, 7, 0, 238),
  [2084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature_item, 7, 0, 238),
  [2086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_item, 7, 0, 239),
  [2088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_item, 7, 0, 239),
  [2090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature_item, 7, 0, 195),
  [2092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature_item, 7, 0, 195),
  [2094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_item, 7, 0, 240),
  [2096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_item, 7, 0, 240),
  [2098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_item, 3, 0, 7),
  [2100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_item, 3, 0, 7),
  [2102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_variant_list, 6, 0, 0),
  [2104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_variant_list, 6, 0, 0),
  [2106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature_item, 8, 0, 204),
  [2108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature_item, 8, 0, 204),
  [2110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_item, 8, 0, 244),
  [2112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_item, 8, 0, 244),
  [2114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 8, 0, 209),
  [2116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 8, 0, 209),
  [2118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 8, 0, 245),
  [2120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 8, 0, 245),
  [2122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 8, 0, 211),
  [2124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 8, 0, 211),
  [2126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 8, 0, 246),
  [2128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 8, 0, 246),
  [2130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_declaration, 8, 0, 247),
  [2132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_declaration, 8, 0, 247),
  [2134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_declaration, 8, 0, 248),
  [2136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_declaration, 8, 0, 248),
  [2138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_declaration, 8, 0, 249),
  [2140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_declaration, 8, 0, 249),
  [2142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_item, 8, 0, 250),
  [2144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_item, 8, 0, 250),
  [2146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 6, 0, 0),
  [2148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 6, 0, 0),
  [2150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 8, 0, 221),
  [2152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 8, 0, 221),
  [2154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 8, 0, 252),
  [2156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 8, 0, 252),
  [2158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 8, 0, 223),
  [2160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 8, 0, 223),
  [2162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 8, 0, 253),
  [2164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 8, 0, 253),
  [2166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 8, 0, 254),
  [2168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 8, 0, 254),
  [2170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 8, 0, 255),
  [2172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 8, 0, 255),
  [2174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 8, 0, 256),
  [2176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 8, 0, 256),
  [2178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 8, 0, 257),
  [2180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 8, 0, 257),
  [2182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 8, 0, 225),
  [2184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 8, 0, 225),
  [2186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 8, 0, 258),
  [2188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 8, 0, 258),
  [2190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 8, 0, 227),
  [2192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 8, 0, 227),
  [2194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 8, 0, 259),
  [2196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 8, 0, 259),
  [2198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature_item, 8, 0, 260),
  [2200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature_item, 8, 0, 260),
  [2202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_item, 8, 0, 261),
  [2204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_item, 8, 0, 261),
  [2206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature_item, 8, 0, 231),
  [2208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature_item, 8, 0, 231),
  [2210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_item, 8, 0, 262),
  [2212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_item, 8, 0, 262),
  [2214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_item, 8, 0, 250),
  [2216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_item, 8, 0, 250),
  [2218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_item, 8, 0, 263),
  [2220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_item, 8, 0, 263),
  [2222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_item, 8, 0, 233),
  [2224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_item, 8, 0, 233),
  [2226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_item, 8, 0, 264),
  [2228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_item, 8, 0, 264),
  [2230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature_item, 8, 0, 238),
  [2232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature_item, 8, 0, 238),
  [2234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_item, 8, 0, 265),
  [2236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_item, 8, 0, 265),
  [2238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature_item, 8, 0, 266),
  [2240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature_item, 8, 0, 266),
  [2242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_item, 8, 0, 267),
  [2244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_item, 8, 0, 267),
  [2246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_item, 3, 0, 29),
  [2248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_item, 3, 0, 29),
  [2250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_declaration, 9, 0, 268),
  [2252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_declaration, 9, 0, 268),
  [2254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_item, 9, 0, 269),
  [2256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_item, 9, 0, 269),
  [2258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 9, 0, 254),
  [2260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 9, 0, 254),
  [2262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 9, 0, 270),
  [2264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 9, 0, 270),
  [2266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 9, 0, 256),
  [2268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 9, 0, 256),
  [2270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extern_crate_declaration, 5, 0, 144),
  [2272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extern_crate_declaration, 5, 0, 144),
  [2274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature_item, 9, 0, 260),
  [2276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature_item, 9, 0, 260),
  [2278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_item, 9, 0, 272),
  [2280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_item, 9, 0, 272),
  [2282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature_item, 9, 0, 273),
  [2284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature_item, 9, 0, 273),
  [2286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_item, 9, 0, 274),
  [2288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_item, 9, 0, 274),
  [2290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature_item, 9, 0, 266),
  [2292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature_item, 9, 0, 266),
  [2294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_item, 9, 0, 275),
  [2296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_item, 9, 0, 275),
  [2298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associated_type, 3, 0, 7),
  [2300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_associated_type, 3, 0, 7),
  [2302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_declaration, 10, 0, 276),
  [2304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_declaration, 10, 0, 276),
  [2306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_item, 10, 0, 277),
  [2308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_item, 10, 0, 277),
  [2310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature_item, 10, 0, 273),
  [2312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature_item, 10, 0, 273),
  [2314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_item, 10, 0, 278),
  [2316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_item, 10, 0, 278),
  [2318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_item, 3, 0, 29),
  [2320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_item, 3, 0, 29),
  [2322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 3, 0, 37),
  [2324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_declaration, 3, 0, 37),
  [2326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [2328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2, 0, 0),
  [2330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3108),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [2334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3008),
  [2336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [2338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3532),
  [2340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [2342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [2344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2240),
  [2346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [2348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3604),
  [2350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3281),
  [2352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [2354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [2356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3314),
  [2358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2955),
  [2360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3315),
  [2362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3316),
  [2364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3317),
  [2366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2957),
  [2368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [2370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [2372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2068),
  [2374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3324),
  [2376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1982),
  [2378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [2380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreign_mod_item, 3, 0, 0),
  [2382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreign_mod_item, 3, 0, 0),
  [2384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreign_mod_item, 3, 0, 44),
  [2386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreign_mod_item, 3, 0, 44),
  [2388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_definition, 4, 0, 54),
  [2390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_definition, 4, 0, 54),
  [2392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_definition, 4, 0, 6),
  [2394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_definition, 4, 0, 6),
  [2396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 1, 0, 0),
  [2398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 1, 0, 0),
  [2400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreign_mod_item, 2, 0, 0),
  [2402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreign_mod_item, 2, 0, 0),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [2406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreign_mod_item, 2, 0, 8),
  [2408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreign_mod_item, 2, 0, 8),
  [2410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_item, 4, 0, 0),
  [2412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_item, 4, 0, 0),
  [2414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_variant_list, 2, 0, 0),
  [2420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_variant_list, 2, 0, 0),
  [2422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_item, 4, 0, 71),
  [2424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_item, 4, 0, 71),
  [2426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_item, 4, 0, 72),
  [2428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_item, 4, 0, 72),
  [2430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature_item, 4, 0, 73),
  [2432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature_item, 4, 0, 73),
  [2434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_item, 4, 0, 74),
  [2436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_item, 4, 0, 74),
  [2438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 4, 0, 79),
  [2440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 4, 0, 79),
  [2442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 4, 0, 80),
  [2444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 4, 0, 80),
  [2446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 4, 0, 22),
  [2448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 4, 0, 22),
  [2450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 4, 0, 81),
  [2452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 4, 0, 81),
  [2454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_declaration, 4, 0, 82),
  [2456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_declaration, 4, 0, 82),
  [2458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [2460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2, 0, 0),
  [2462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_item, 4, 0, 29),
  [2464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_item, 4, 0, 29),
  [2466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_item, 4, 0, 71),
  [2468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_item, 4, 0, 71),
  [2470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_item, 4, 0, 84),
  [2472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_item, 4, 0, 84),
  [2474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_item, 4, 0, 72),
  [2476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_item, 4, 0, 72),
  [2478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_item, 4, 0, 71),
  [2480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_item, 4, 0, 71),
  [2482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_item, 4, 0, 85),
  [2484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_item, 4, 0, 85),
  [2486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_item, 4, 0, 72),
  [2488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_item, 4, 0, 72),
  [2490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associated_type, 4, 0, 7),
  [2492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_associated_type, 4, 0, 7),
  [2494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associated_type, 4, 0, 86),
  [2496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_associated_type, 4, 0, 86),
  [2498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associated_type, 4, 0, 84),
  [2500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_associated_type, 4, 0, 84),
  [2502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_item, 4, 0, 71),
  [2504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_item, 4, 0, 71),
  [2506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_item, 4, 0, 72),
  [2508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_item, 4, 0, 72),
  [2510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 4, 0, 63),
  [2512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 4, 0, 63),
  [2514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 4, 0, 87),
  [2516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 4, 0, 87),
  [2518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_item, 4, 0, 88),
  [2520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_item, 4, 0, 88),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extern_crate_declaration, 4, 0, 93),
  [2524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extern_crate_declaration, 4, 0, 93),
  [2526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [2528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [2530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3, 0, 0),
  [2532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3108),
  [2535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1374),
  [2538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3008),
  [2541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0),
  [2543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3532),
  [2546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(849),
  [2549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3039),
  [2552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3280),
  [2555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2320),
  [2558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2240),
  [2561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2201),
  [2564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3604),
  [2567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3281),
  [2570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(841),
  [2573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(817),
  [2576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3314),
  [2579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1964),
  [2582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2955),
  [2585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3315),
  [2588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3316),
  [2591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3317),
  [2594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2957),
  [2597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2203),
  [2600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1880),
  [2603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2068),
  [2606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3324),
  [2609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1982),
  [2612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3324),
  [2615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_item, 4, 0, 88),
  [2617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_item, 4, 0, 88),
  [2619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mod_item, 4, 0, 93),
  [2621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mod_item, 4, 0, 93),
  [2623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mod_item, 4, 0, 94),
  [2625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mod_item, 4, 0, 94),
  [2627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_item, 4, 0, 95),
  [2629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_item, 4, 0, 95),
  [2631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_item, 4, 0, 88),
  [2633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_item, 4, 0, 88),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [2637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_item, 4, 0, 88),
  [2639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_item, 4, 0, 88),
  [2641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_declaration, 4, 0, 96),
  [2643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_use_declaration, 4, 0, 96),
  [2645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_definition, 5, 0, 54),
  [2647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_definition, 5, 0, 54),
  [2649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [2651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1, 0, 0),
  [2653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_definition, 5, 0, 6),
  [2655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_definition, 5, 0, 6),
  [2657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inner_attribute_item, 5, 0, 0),
  [2659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inner_attribute_item, 5, 0, 0),
  [2661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_item, 5, 0, 110),
  [2663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_item, 5, 0, 110),
  [2665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_variant_list, 3, 0, 0),
  [2667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_variant_list, 3, 0, 0),
  [2669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_item, 5, 0, 111),
  [2671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_item, 5, 0, 111),
  [2673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature_item, 5, 0, 112),
  [2675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature_item, 5, 0, 112),
  [2677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_item, 5, 0, 113),
  [2679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_item, 5, 0, 113),
  [2681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature_item, 5, 0, 73),
  [2683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature_item, 5, 0, 73),
  [2685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_item, 5, 0, 114),
  [2687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_item, 5, 0, 114),
  [2689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 5, 0, 120),
  [2691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 5, 0, 120),
  [2693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 5, 0, 121),
  [2695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 5, 0, 121),
  [2697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 5, 0, 79),
  [2699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 5, 0, 79),
  [2701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 5, 0, 122),
  [2703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 5, 0, 122),
  [2705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 5, 0, 123),
  [2707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 5, 0, 123),
  [2709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 5, 0, 124),
  [2711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 5, 0, 124),
  [2713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_declaration, 5, 0, 100),
  [2715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_declaration, 5, 0, 100),
  [2717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_declaration, 5, 0, 116),
  [2719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_declaration, 5, 0, 116),
  [2721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_declaration, 5, 0, 125),
  [2723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_declaration, 5, 0, 125),
  [2725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2007),
  [2728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(754),
  [2731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(776),
  [2734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2233),
  [2737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(3131),
  [2740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(820),
  [2743] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(823),
  [2746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(849),
  [2749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2877),
  [2752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2899),
  [2755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(3157),
  [2758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(3298),
  [2761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2585),
  [2764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2117),
  [2767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(821),
  [2770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(824),
  [2773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2299),
  [2776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2617),
  [2779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2360),
  [2782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2707),
  [2785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2707),
  [2788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 2, 0, 0), SHIFT_REPEAT(3494),
  [2791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_item, 5, 0, 110),
  [2793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_item, 5, 0, 110),
  [2795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [2797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3, 0, 0),
  [2799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_item, 5, 0, 29),
  [2801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_item, 5, 0, 29),
  [2803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_item, 5, 0, 72),
  [2805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_item, 5, 0, 72),
  [2807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_item, 5, 0, 111),
  [2809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_item, 5, 0, 111),
  [2811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_item, 5, 0, 128),
  [2813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_item, 5, 0, 128),
  [2815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_item, 5, 0, 111),
  [2817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_item, 5, 0, 111),
  [2819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_item, 5, 0, 129),
  [2821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_item, 5, 0, 129),
  [2823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_item, 5, 0, 130),
  [2825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_item, 5, 0, 130),
  [2827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associated_type, 5, 0, 86),
  [2829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_associated_type, 5, 0, 86),
  [2831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associated_type, 5, 0, 84),
  [2833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_associated_type, 5, 0, 84),
  [2835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_associated_type, 5, 0, 131),
  [2837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_associated_type, 5, 0, 131),
  [2839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_item, 5, 0, 111),
  [2841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_item, 5, 0, 111),
  [2843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 5, 0, 132),
  [2845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 5, 0, 132),
  [2847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 5, 0, 133),
  [2849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 5, 0, 133),
  [2851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 5, 0, 63),
  [2853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 5, 0, 63),
  [2855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 5, 0, 134),
  [2857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 5, 0, 134),
  [2859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_item, 5, 0, 135),
  [2861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_item, 5, 0, 135),
  [2863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_item, 5, 0, 136),
  [2865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_item, 5, 0, 136),
  [2867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_item, 5, 0, 137),
  [2869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_item, 5, 0, 137),
  [2871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_signature_item, 5, 0, 140),
  [2873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_signature_item, 5, 0, 140),
  [2875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_item, 5, 0, 141),
  [2877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_item, 5, 0, 141),
  [2879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_item, 5, 0, 135),
  [2881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_item, 5, 0, 135),
  [2883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_item, 5, 0, 137),
  [2885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_item, 5, 0, 137),
  [2887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_item, 5, 0, 88),
  [2889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_item, 5, 0, 88),
  [2891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_item, 5, 0, 135),
  [2893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_item, 5, 0, 135),
  [2895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_item, 5, 0, 142),
  [2897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_item, 5, 0, 142),
  [2899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_item, 5, 0, 137),
  [2901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_item, 5, 0, 137),
  [2903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_item, 5, 0, 135),
  [2905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_item, 5, 0, 135),
  [2907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_item, 5, 0, 137),
  [2909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_item, 5, 0, 137),
  [2911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_item, 5, 0, 143),
  [2913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trait_item, 5, 0, 143),
  [2915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_impl_item, 9, 0, 271),
  [2917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_impl_item, 9, 0, 271),
  [2919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1910),
  [2921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [2923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [2927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [2935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2697),
  [2937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [2939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2494),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [2953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [2959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2283),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [2963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [2971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [2973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [2989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [3007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [3009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2392),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [3013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [3019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [3021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [3023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [3031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3032),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [3041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [3043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2469),
  [3045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [3047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [3049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [3053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [3055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2754),
  [3057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [3059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1492),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [3065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [3071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [3079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [3081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3054),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [3085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [3087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [3089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [3091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3529),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [3095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [3115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [3117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3149),
  [3119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [3121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2710),
  [3123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [3125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [3127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3514),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [3131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [3139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [3141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [3145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3240),
  [3147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2070),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [3155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [3159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [3161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [3165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [3171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2073),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3184),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [3183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2750),
  [3185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [3189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [3193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2072),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [3197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [3201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0),
  [3203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enum_variant_list_repeat1, 1, 0, 0),
  [3205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat1, 1, 0, 0),
  [3207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_closure_parameters, 4, 0, 0),
  [3209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_closure_parameters, 4, 0, 0),
  [3211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_tuple_expression_repeat1, 2, 0, 0),
  [3213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lifetime, 2, 0, 0),
  [3215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lifetime, 2, 0, 0),
  [3217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [3219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_pattern, 2, 0, 0),
  [3221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_pattern, 2, 0, 0),
  [3223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2041),
  [3225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2046),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [3229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2054),
  [3231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_pattern, 2, 0, 1),
  [3233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_pattern, 2, 0, 1),
  [3235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [3237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [3241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1, 0, 5),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [3245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1, 0, 5),
  [3247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2497),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [3253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_type, 2, 0, 24),
  [3255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_type, 2, 0, 24),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [3259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_type, 2, 0, 24),
  [3261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_type, 2, 0, 24),
  [3263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_type, 4, 0, 104),
  [3265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_type, 4, 0, 104),
  [3267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier, 3, 0, 17),
  [3269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_type_identifier, 3, 0, 17),
  [3271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_identifier, 3, 0, 16),
  [3273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_identifier, 3, 0, 16),
  [3275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier, 3, 0, 46),
  [3277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_type_identifier, 3, 0, 46),
  [3279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_identifier, 3, 0, 45),
  [3281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_identifier, 3, 0, 45),
  [3283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_type, 4, 0, 105),
  [3285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_type, 4, 0, 105),
  [3287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_type, 2, 0, 25),
  [3289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_type, 2, 0, 25),
  [3291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier, 2, 0, 7),
  [3293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_type_identifier, 2, 0, 7),
  [3295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_identifier, 2, 0, 6),
  [3297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_identifier, 2, 0, 6),
  [3299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1, 0, 0),
  [3301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1, 0, 0),
  [3303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_type, 2, 0, 25),
  [3305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_type, 2, 0, 25),
  [3307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier, 3, 0, 41),
  [3309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_type_identifier, 3, 0, 41),
  [3311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_identifier, 3, 0, 40),
  [3313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_identifier, 3, 0, 40),
  [3315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_except_range, 1, 0, 1),
  [3317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression_except_range, 1, 0, 1),
  [3319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2727),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [3323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_modifiers_repeat1, 1, 0, 0),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [3329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_match_arm_repeat1, 2, 0, 0),
  [3331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_arm_repeat1, 2, 0, 0),
  [3333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_arm_repeat1, 2, 0, 0), SHIFT_REPEAT(3298),
  [3336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 4, 0, 0),
  [3338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 4, 0, 0),
  [3340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_expression, 1, 0, 0),
  [3342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_expression, 1, 0, 0),
  [3344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [3346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier_in_expression_position, 3, 0, 41),
  [3348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [3350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [3352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 0, 19),
  [3354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, 0, 19),
  [3356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, 0, 66),
  [3358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, 0, 66),
  [3360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [3362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [3364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [3366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 49),
  [3368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 0, 49),
  [3370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2, 0, 0),
  [3372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 2, 0, 0),
  [3374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [3378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3481),
  [3380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [3382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [3384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3266),
  [3386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2836),
  [3388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3530),
  [3390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [3392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [3394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [3396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [3398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier_in_expression_position, 3, 0, 46),
  [3400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 50),
  [3402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, 0, 50),
  [3404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, 0, 0),
  [3406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, 0, 0),
  [3408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [3410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [3412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 2, 0, 23),
  [3414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 2, 0, 23),
  [3416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [3418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3, 0, 0),
  [3420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 3, 0, 0),
  [3422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [3424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [3426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3312),
  [3428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [3430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [3432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3211),
  [3434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2784),
  [3436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3526),
  [3438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [3440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat1, 2, 0, 0), SHIFT_REPEAT(3536),
  [3443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 5, 0, 0),
  [3445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 5, 0, 0),
  [3447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, 0, 67),
  [3449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, 0, 67),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [3453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [3455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier_in_expression_position, 3, 0, 17),
  [3457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 0, 20),
  [3459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, 0, 20),
  [3461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 6, 0, 0),
  [3463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 6, 0, 0),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [3467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [3469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 0, 21),
  [3471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, 0, 21),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [3475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2423),
  [3477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_where_clause, 3, 0, 0),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [3483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2816),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [3491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2881),
  [3493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3295),
  [3495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3469),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [3499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [3501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3440),
  [3503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [3505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3056),
  [3507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 6, 0, 0),
  [3509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 6, 0, 0),
  [3511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_where_clause, 4, 0, 0),
  [3513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, 0, 64),
  [3515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, 0, 64),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [3519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [3521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 4, 0, 107),
  [3523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 4, 0, 107),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [3527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 2, 0, 27),
  [3529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 2, 0, 27),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [3533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 2, 0, 26),
  [3535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 2, 0, 26),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [3539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier_in_expression_position, 2, 0, 7),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [3543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_function, 3, 0, 42),
  [3545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_function, 3, 0, 42),
  [3547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 4, 0, 0),
  [3549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 4, 0, 0),
  [3551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 4, 0, 0),
  [3553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 4, 0, 0),
  [3555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_closure_expression, 6, 0, 175),
  [3557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_closure_expression, 6, 0, 175),
  [3559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_expression, 2, 0, 10),
  [3561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_expression, 2, 0, 10),
  [3563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 6, 0, 0),
  [3565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 6, 0, 0),
  [3567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [3569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [3571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_expression, 2, 0, 11),
  [3573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_expression, 2, 0, 11),
  [3575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, 0, 12),
  [3577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, 0, 12),
  [3579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_higher_ranked_trait_bound, 3, 0, 79),
  [3581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_higher_ranked_trait_bound, 3, 0, 79),
  [3583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 62),
  [3585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 3, 0, 62),
  [3587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type, 3, 0, 63),
  [3589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type, 3, 0, 63),
  [3591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_type, 3, 0, 63),
  [3593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_type, 3, 0, 63),
  [3595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2718),
  [3597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2716),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [3601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2723),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [3605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 2, 0, 0),
  [3607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 2, 0, 0),
  [3609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 7, 0, 0),
  [3611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 7, 0, 0),
  [3613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 7, 0, 0),
  [3615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 7, 0, 0),
  [3617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2, 0, 0),
  [3619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2, 0, 0),
  [3621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unit_type, 2, 0, 0),
  [3623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unit_type, 2, 0, 0),
  [3625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bounded_type, 3, 0, 0),
  [3627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bounded_type, 3, 0, 0),
  [3629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_removed_trait_bound, 2, 0, 0),
  [3631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_removed_trait_bound, 2, 0, 0),
  [3633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unit_expression, 2, 0, 0),
  [3635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unit_expression, 2, 0, 0),
  [3637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_type, 2, 0, 22),
  [3639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_type, 2, 0, 22),
  [3641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 3, 0, 76),
  [3643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3, 0, 76),
  [3645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 3, 0, 0),
  [3647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3, 0, 0),
  [3649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 3, 0, 0),
  [3651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 3, 0, 0),
  [3653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2717),
  [3655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_arm, 5, 0, 116),
  [3657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_arm, 5, 0, 116),
  [3659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_match_arm, 5, 0, 116),
  [3661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_closure_expression, 4, 0, 83),
  [3663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_closure_expression, 4, 0, 83),
  [3665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 47),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [3669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 47),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [3673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2834),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [3677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 6, 0, 0),
  [3679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 6, 0, 0),
  [3681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 6, 0, 119),
  [3683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 6, 0, 119),
  [3685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 6, 0, 0),
  [3687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 6, 0, 0),
  [3689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 6, 0, 146),
  [3691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 6, 0, 146),
  [3693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 6, 0, 0),
  [3695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 6, 0, 0),
  [3697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 5, 0, 76),
  [3699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 5, 0, 76),
  [3701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 5, 0, 0),
  [3703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 5, 0, 0),
  [3705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 5, 0, 0),
  [3707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_initializer_list, 5, 0, 0),
  [3709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 5, 0, 119),
  [3711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 5, 0, 119),
  [3713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 3, 0, 0),
  [3715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_initializer_list, 3, 0, 0),
  [3717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 2, 0, 0),
  [3719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 2, 0, 0),
  [3721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_arm, 4, 0, 172),
  [3723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_arm, 4, 0, 172),
  [3725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_match_arm, 4, 0, 172),
  [3727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 4, 0, 0),
  [3729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 4, 0, 0),
  [3731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_type, 4, 0, 102),
  [3733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_type, 4, 0, 102),
  [3735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 4, 0, 103),
  [3737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 4, 0, 103),
  [3739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_closure_expression, 3, 0, 35),
  [3741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_closure_expression, 3, 0, 35),
  [3743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 4, 0, 106),
  [3745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 4, 0, 106),
  [3747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3, 0, 0),
  [3749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3, 0, 0),
  [3751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_expression, 4, 0, 0),
  [3753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_expression, 4, 0, 0),
  [3755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2670),
  [3757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2666),
  [3759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2682),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [3763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_closure_expression, 4, 0, 97),
  [3765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_closure_expression, 4, 0, 97),
  [3767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 4, 0, 108),
  [3769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 4, 0, 108),
  [3771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_closure_expression, 2, 0, 13),
  [3773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_closure_expression, 2, 0, 13),
  [3775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_cast_expression, 3, 0, 51),
  [3777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_cast_expression, 3, 0, 51),
  [3779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_expression, 5, 0, 0),
  [3781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_expression, 5, 0, 0),
  [3783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [3785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [3787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 0),
  [3789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 0),
  [3791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 5, 0, 99),
  [3793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 5, 0, 99),
  [3795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 5, 0, 0),
  [3797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 5, 0, 0),
  [3799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 3, 0, 0),
  [3801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 3, 0, 0),
  [3803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_expression, 2, 0, 4),
  [3805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_expression, 2, 0, 4),
  [3807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_expression, 3, 0, 18),
  [3809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_reference_expression, 3, 0, 18),
  [3811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 4, 0, 76),
  [3813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4, 0, 76),
  [3815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 4, 0, 0),
  [3817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4, 0, 0),
  [3819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 4, 0, 119),
  [3821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4, 0, 119),
  [3823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 5, 0, 0),
  [3825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 5, 0, 0),
  [3827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type_with_turbofish, 3, 0, 52),
  [3829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 5, 0, 0),
  [3831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 5, 0, 0),
  [3833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 2, 0, 0),
  [3835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_initializer_list, 2, 0, 0),
  [3837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_closure_expression, 5, 0, 127),
  [3839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_closure_expression, 5, 0, 127),
  [3841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 150),
  [3843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 5, 0, 150),
  [3845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_expression, 2, 0, 0),
  [3847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_expression, 2, 0, 0),
  [3849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 5, 0, 152),
  [3851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 5, 0, 152),
  [3853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 5, 0, 153),
  [3855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 5, 0, 153),
  [3857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 5, 0, 154),
  [3859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 5, 0, 154),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [3863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type_with_turbofish, 3, 0, 43),
  [3865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_never_type, 1, 0, 0),
  [3867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_never_type, 1, 0, 0),
  [3869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 4, 0, 0),
  [3871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_initializer_list, 4, 0, 0),
  [3873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 6, 0, 200),
  [3875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 6, 0, 200),
  [3877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_declaration_list_repeat1, 1, 0, 0),
  [3879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_declaration_list_repeat1, 1, 0, 0),
  [3881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4, 0, 0),
  [3883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4, 0, 0),
  [3885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_match_block_repeat1, 1, 0, 0),
  [3887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_block_repeat1, 1, 0, 0),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [3891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_match_arm_repeat1, 1, 0, 0),
  [3893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_arm_repeat1, 1, 0, 0),
  [3895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_expression, 3, 0, 0),
  [3897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [3899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [3901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [3903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [3905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [3907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [3911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [3913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [3917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [3919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_expression, 3, 0, 0),
  [3921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_expression, 3, 0, 0),
  [3923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(36),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [3927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2521),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [3931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [3933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_expression, 2, 0, 0),
  [3935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_expression, 2, 0, 0),
  [3937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1905),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [3941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [3947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_assignment_expr, 3, 0, 47),
  [3949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_assignment_expr, 3, 0, 47),
  [3951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [3953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3258),
  [3955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [3957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 2, 0, 0),
  [3959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 48),
  [3961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, 0, 48),
  [3963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [3965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3070),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [3973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2364),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [3977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [3979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 1, 0, 0),
  [3981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_visibility_modifier, 1, 0, 0), SHIFT(3247),
  [3984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_visibility_modifier, 1, 0, 0), SHIFT(2667),
  [3987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [3989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [3991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 4, 0, 0),
  [3993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 4, 0, 0),
  [3995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 5, 0, 126),
  [3997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 5, 0, 126),
  [3999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_visibility_modifier, 5, 0, 0),
  [4001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_visibility_modifier, 5, 0, 0),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [4005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(40),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [4009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [4015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2633),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [4019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [4023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [4025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [4027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [4029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [4031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [4035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [4037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [4039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [4041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [4045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [4047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(56),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [4051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [4055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [4059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [4061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [4063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [4067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [4071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [4073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [4075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [4077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3259),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [4081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [4087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [4089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [4091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0),
  [4093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 3, 0, 0),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [4097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2422),
  [4099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3071),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [4103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2405),
  [4105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3101),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3062),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [4129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__let_chain, 3, 0, 0),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [4135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2935),
  [4137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [4139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [4141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [4143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [4145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [4151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [4155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [4159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [4165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [4167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_field_initializer, 2, 0, 0),
  [4169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [4171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_condition, 4, 0, 116),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [4177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3, 0, 138),
  [4179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3, 0, 139),
  [4181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__condition, 1, 0, 0),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [4187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [4189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [4191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [4193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [4195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [4201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [4205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [4209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [4211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(55),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [4215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [4217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_variant, 3, 0, 155),
  [4219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [4221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(61),
  [4223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [4225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [4227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [4229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [4231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [4233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_match_arm, 3, 0, 172),
  [4235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [4237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [4239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [4241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2462),
  [4243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [4245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [4247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2988),
  [4249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2458),
  [4251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [4253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [4255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2476),
  [4257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [4259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [4261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 4, 0, 186),
  [4263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 4, 0, 187),
  [4265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [4267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [4269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [4271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [4273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [4275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [4277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [4279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [4281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [4283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [4285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [4287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_variant, 4, 0, 202),
  [4289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_variant, 4, 0, 203),
  [4291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [4293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [4295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [4297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [4299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_match_arm, 4, 0, 116),
  [4301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [4303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [4305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [4307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [4309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_variant, 5, 0, 243),
  [4311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [4317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 109),
  [4319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 18),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [4323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(49),
  [4325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [4327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [4329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [4335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [4343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [4375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [4379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2728),
  [4381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3454),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [4385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2753),
  [4387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3501),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [4391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2729),
  [4393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2502),
  [4395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2677),
  [4397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2556),
  [4399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2720),
  [4401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2724),
  [4403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2725),
  [4405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_lifetimes, 5, 0, 0),
  [4407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_lifetimes, 5, 0, 0),
  [4409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_lifetimes, 6, 0, 0),
  [4411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_lifetimes, 6, 0, 0),
  [4413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_lifetimes, 4, 0, 0),
  [4415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_lifetimes, 4, 0, 0),
  [4417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2268),
  [4419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [4421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [4423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [4425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3104),
  [4427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3103),
  [4429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [4431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3106),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [4435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3091),
  [4437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3309),
  [4439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3093),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [4445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [4447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [4451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [4453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern, 1, 0, 0),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [4459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern, 1, 0, 0),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [4463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [4469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [4473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [4475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [4477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [4479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [4481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [4483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3459),
  [4485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [4487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [4491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [4493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [4495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [4497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [4499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3285),
  [4501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [4503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [4505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [4507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [4509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [4511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3355),
  [4513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [4515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [4517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [4519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern, 1, 0, 1),
  [4521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern, 1, 0, 1),
  [4523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [4525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [4527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [4529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [4531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [4535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [4537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [4539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [4541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [4543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type, 1, 0, 5), REDUCE(sym__pattern, 1, 0, 0),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3110),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [4580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [4582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [4590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_scoped_identifier, 3, 0, 40), REDUCE(sym_scoped_type_identifier, 3, 0, 41),
  [4593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_scoped_identifier, 3, 0, 16), REDUCE(sym_scoped_type_identifier, 3, 0, 17),
  [4596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__literal_pattern, 1, 0, 0),
  [4598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__literal_pattern, 1, 0, 0),
  [4600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_scoped_identifier, 2, 0, 6), REDUCE(sym_scoped_type_identifier, 2, 0, 7),
  [4603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [4605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [4607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [4609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [4611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [4613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [4615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [4617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_scoped_identifier, 3, 0, 45), REDUCE(sym_scoped_type_identifier, 3, 0, 46),
  [4620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_negative_literal, 2, 0, 0),
  [4622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_negative_literal, 2, 0, 0),
  [4624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2440),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [4628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3399),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [4658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [4664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_pattern, 3, 0, 1),
  [4666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_pattern, 3, 0, 1),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [4670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [4674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_pattern, 3, 0, 59),
  [4676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_pattern, 3, 0, 59),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [4690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_pattern, 3, 0, 0),
  [4692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_pattern, 3, 0, 0),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [4702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extern_modifier, 1, 0, 0),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [4706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2303),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [4710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2306),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [4714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2298),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [4718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2343),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2959),
  [4722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3554),
  [4724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_function_modifiers_repeat1, 1, 0, 0),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [4728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [4734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_pattern, 3, 0, 55),
  [4736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_pattern, 3, 0, 55),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3390),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [4748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2460),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [4752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_pattern, 3, 0, 57),
  [4754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_pattern, 3, 0, 0),
  [4756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 2, 0, 0),
  [4758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_pattern, 3, 0, 0),
  [4760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_struct_pattern, 3, 0, 56),
  [4762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 5, 0, 0),
  [4764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_pattern, 5, 0, 0),
  [4766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_pattern, 2, 0, 0),
  [4768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_captured_pattern, 3, 0, 0),
  [4770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [4772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_remaining_field_pattern, 1, 0, 0),
  [4774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [4780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3595),
  [4782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3485),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [4788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_struct_pattern, 5, 0, 56),
  [4790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_pattern, 2, 0, 0),
  [4792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_struct_pattern, 4, 0, 61),
  [4794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_pattern, 5, 0, 57),
  [4796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 4, 0, 0),
  [4798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_struct_pattern, 3, 0, 61),
  [4800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_struct_pattern, 6, 0, 56),
  [4802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_struct_pattern, 5, 0, 61),
  [4804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ref_pattern, 2, 0, 0),
  [4806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_pattern, 3, 0, 56),
  [4808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_or_pattern, 3, 0, 0),
  [4810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_pattern, 4, 0, 0),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [4814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_pattern, 6, 0, 57),
  [4816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_struct_pattern, 4, 0, 56),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [4822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_struct_pattern, 6, 0, 61),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [4826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_or_pattern, 2, 0, 0),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [4832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_pattern, 6, 0, 56),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3428),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [4840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [4850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_pattern, 4, 0, 56),
  [4852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mut_pattern, 2, 0, 0),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [4856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_pattern, 4, 0, 57),
  [4858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [4860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_pattern, 5, 0, 56),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [4864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [4870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [4872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [4880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type, 1, 0, 0), REDUCE(sym__pattern, 1, 0, 1),
  [4883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [4887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [4889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [4891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [4893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [4901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_bounds, 2, 0, 0),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [4907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [4917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(70),
  [4920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_macro_definition_repeat1, 2, 0, 0),
  [4922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(71),
  [4925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_macro_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(75),
  [4928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_trait_bounds_repeat1, 2, 0, 0),
  [4930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_trait_bounds_repeat1, 2, 0, 0), SHIFT_REPEAT(840),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [4935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [4937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [4945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trait_bounds, 3, 0, 0),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [4963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [4967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [4973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [4975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extern_modifier, 2, 0, 0),
  [4977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [4979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [4983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [4985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [4987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [4991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [4993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [4995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [5003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [5005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [5007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [5009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [5011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [5013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [5015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [5017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [5019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [5021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [5023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [5025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [5027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [5029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [5031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [5033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [5035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_modifiers, 1, 0, 0),
  [5037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [5039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2868),
  [5041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [5043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [5045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3140),
  [5047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3434),
  [5049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [5051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [5053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [5055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [5057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [5059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [5061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [5063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [5065] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2320),
  [5068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_modifiers_repeat1, 2, 0, 0),
  [5070] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2213),
  [5073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [5075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [5077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [5081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [5083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [5085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [5087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [5089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [5091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [5093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [5095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [5097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [5099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [5101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [5103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [5105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [5107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [5109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [5111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_variant, 1, 0, 70),
  [5113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [5115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [5117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3540),
  [5119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [5121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [5123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [5125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [5127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [5129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [5131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [5133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [5135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [5137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [5139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [5141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [5143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [5145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [5147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3382),
  [5149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [5151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_self_parameter, 2, 0, 0),
  [5153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [5155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [5157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [5159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [5161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [5163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [5165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [5167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [5169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [5171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [5173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3331),
  [5175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [5177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [5179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 1),
  [5181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [5183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [5185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, 0, 0),
  [5187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [5189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_variant, 2, 0, 6),
  [5191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [5193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [5195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [5197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [5199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3462),
  [5201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [5203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_self_parameter, 1, 0, 0),
  [5205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [5207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [5209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3318),
  [5211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [5213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [5215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3619),
  [5217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [5219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3502),
  [5221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [5223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3559),
  [5225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [5227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [5229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [5231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [5233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [5235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [5237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [5239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [5241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [5243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [5245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [5247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameters, 2, 0, 0), REDUCE(sym_tuple_struct_pattern, 3, 0, 56),
  [5250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [5252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [5254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [5256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [5258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [5260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [5262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [5264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [5266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameters, 3, 0, 0), REDUCE(sym_tuple_struct_pattern, 4, 0, 56),
  [5269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [5271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [5273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [5275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [5277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [5279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [5281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [5283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [5285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [5287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [5289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [5291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [5293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [5295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [5297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [5299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [5301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [5303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [5305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [5307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [5309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_self_parameter, 3, 0, 0),
  [5311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [5313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [5315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [5317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [5319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [5321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [5323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [5325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [5327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [5329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [5331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [5333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [5335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [5337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [5339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [5341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [5343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [5345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [5347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [5349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [5351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [5353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [5355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [5357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3412),
  [5359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3058),
  [5361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3458),
  [5363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3171),
  [5365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [5367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [5369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [5371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [5373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, 0, 0),
  [5375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [5377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [5379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [5381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [5383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [5385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [5387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [5389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [5391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [5393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ordered_field_declaration_list, 2, 0, 0),
  [5395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [5397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_where_clause_repeat1, 2, 0, 0),
  [5399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_where_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1480),
  [5402] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_unit_type, 2, 0, 0), REDUCE(sym_tuple_pattern, 2, 0, 0),
  [5405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [5407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [5409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [5411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [5413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [5415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [5417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [5419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [5421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [5423] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type, 1, 0, 0), REDUCE(sym__pattern, 1, 0, 0),
  [5426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [5428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [5430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [5432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [5434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [5436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [5438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [5440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [5442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [5444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [5446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [5448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [5450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [5452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [5454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [5456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [5458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ordered_field_declaration_list, 4, 0, 63),
  [5460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [5462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [5464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [5466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_where_clause, 2, 0, 0),
  [5468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [5470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ordered_field_declaration_list, 4, 0, 22),
  [5472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 76),
  [5474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ordered_field_declaration_list, 5, 0, 63),
  [5476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ordered_field_declaration_list, 5, 0, 219),
  [5478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ordered_field_declaration_list, 5, 0, 176),
  [5480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [5482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ordered_field_declaration_list, 4, 0, 176),
  [5484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [5486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [5488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [5490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__use_clause, 1, 0, 1),
  [5492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [5494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3562),
  [5496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [5498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 3, 0, 119),
  [5500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ordered_field_declaration_list, 7, 0, 251),
  [5502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__use_clause, 1, 0, 0),
  [5504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [5506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [5508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [5510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [5512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [5514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [5516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [5518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [5520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [5522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [5524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [5526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ordered_field_declaration_list, 3, 0, 0),
  [5528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [5530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [5532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ordered_field_declaration_list, 3, 0, 22),
  [5534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [5536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [5538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [5540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ordered_field_declaration_list, 6, 0, 219),
  [5542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ordered_field_declaration_list, 6, 0, 102),
  [5544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ordered_field_declaration_list, 6, 0, 251),
  [5546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [5548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2977),
  [5550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__pattern, 1, 0, 0), SHIFT(1946),
  [5553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__pattern, 1, 0, 0), SHIFT(408),
  [5556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [5558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [5560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [5562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [5564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [5566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [5568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [5570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [5572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [5574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [5576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [5578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [5580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [5582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ordered_field_declaration_list, 5, 0, 102),
  [5584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [5586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [5588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [5590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [5592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [5594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [5596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [5598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [5600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [5602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1909),
  [5604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [5606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [5608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [5610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0),
  [5612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0),
  [5614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(2858),
  [5617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [5619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [5621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [5623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [5625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [5627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [5629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [5631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [5633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [5635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [5637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [5639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [5641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [5643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_rule, 3, 0, 48),
  [5645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [5647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [5649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [5651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [5653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [5655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [5657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2954),
  [5659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [5661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [5663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [5665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [5667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [5669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [5671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [5673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [5675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [5677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [5679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 3, 0, 0),
  [5681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 198),
  [5683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 147),
  [5685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [5687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [5689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [5691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [5693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [5695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [5697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [5699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [5701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [5703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 3, 0, 0),
  [5705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [5707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2940),
  [5709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [5711] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(210),
  [5714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [5716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [5718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [5720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [5722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [5724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1564),
  [5726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [5728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [5730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_where_predicate, 2, 0, 78),
  [5732] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 0), REDUCE(aux_sym_for_lifetimes_repeat1, 2, 0, 0),
  [5735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_where_predicate, 2, 0, 77),
  [5737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [5739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [5741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [5743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [5745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [5747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [5749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [5751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [5753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 100),
  [5755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [5757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [5759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 0),
  [5761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [5763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [5765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [5767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [5769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [5771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [5773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [5775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [5777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [5779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [5781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [5783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [5785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [5787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [5789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [5791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [5793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [5795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2740),
  [5797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [5799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 3, 0, 60),
  [5801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [5803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [5805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3552),
  [5807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [5809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [5811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [5813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [5815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [5817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [5819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [5821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [5823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [5825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [5827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [5829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [5831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [5833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [5835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_slice_pattern_repeat1, 2, 0, 0),
  [5837] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_slice_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(797),
  [5840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [5842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [5844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [5846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2731),
  [5848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [5850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [5852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [5854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [5856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [5858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [5860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [5862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [5864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [5866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [5868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [5870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [5872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [5874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [5876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [5878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [5880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [5882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [5884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [5886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [5888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [5890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [5892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [5894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [5896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [5898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [5900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [5902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [5904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [5906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [5908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [5910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [5912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [5914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [5916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [5918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [5920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [5922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [5924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [5926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrained_type_parameter, 2, 0, 77),
  [5928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [5930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shorthand_field_initializer, 2, 0, 0),
  [5932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [5934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(442),
  [5937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_self_parameter, 4, 0, 0),
  [5939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [5941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3289),
  [5943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [5945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3057),
  [5947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [5949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [5951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_wildcard, 3, 0, 0),
  [5953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [5955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [5957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [5959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 3, 0, 148),
  [5961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [5963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [5965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shorthand_field_initializer, 1, 0, 0),
  [5967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [5969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_variant, 2, 0, 11),
  [5971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [5973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [5975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [5977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [5979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [5981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_use_list, 3, 0, 91),
  [5983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 5, 0, 0),
  [5985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [5987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [5989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [5991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3592),
  [5993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3246),
  [5995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3367),
  [5997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [5999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [6001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [6003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [6005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [6007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [6009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [6011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [6013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [6015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(411),
  [6018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0),
  [6020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [6022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat2, 2, 0, 0),
  [6024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat2, 2, 0, 0), SHIFT_REPEAT(2210),
  [6027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [6029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 3, 0, 149),
  [6031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [6033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [6035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [6037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [6039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [6041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [6043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [6045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [6047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [6049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [6051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [6053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 2, 0, 0),
  [6055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [6057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [6059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [6061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [6063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [6065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 2, 0, 101),
  [6067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [6069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [6071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [6073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_variant, 3, 0, 34),
  [6075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [6077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [6079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [6081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [6083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [6085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [6087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [6089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [6091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [6093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter, 3, 0, 117),
  [6095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [6097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [6099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [6101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 3, 0, 92),
  [6103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 4, 0, 0),
  [6105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_struct_pattern_repeat1, 2, 0, 0),
  [6107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_struct_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(2337),
  [6110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [6112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_list, 3, 0, 0),
  [6114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [6116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [6118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [6120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [6122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [6124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [6126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [6128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [6130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [6132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 1, 0, 0),
  [6134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [6136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(2060),
  [6139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [6141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter, 3, 0, 118),
  [6143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [6145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [6147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [6149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [6151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 1, 0, 58),
  [6153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [6155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [6157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [6159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [6161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [6163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ordered_field_declaration_list_repeat1, 3, 0, 63),
  [6165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [6167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [6169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0), SHIFT_REPEAT(916),
  [6172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [6174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [6176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__condition, 1, 0, 9),
  [6178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrained_type_parameter, 2, 0, 78),
  [6180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_use_list, 2, 0, 36),
  [6182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [6184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [6186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [6188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [6190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [6192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 220),
  [6194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [6196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [6198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [6200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [6202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [6204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [6206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [6208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [6210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [6212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [6214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [6216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [6218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [6220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [6222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [6224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [6226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [6228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [6230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [6232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ordered_field_declaration_list_repeat1, 2, 0, 22),
  [6234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [6236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_closure_parameters_repeat1, 2, 0, 0),
  [6238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [6240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [6242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_pattern, 1, 0, 0),
  [6244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [6246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [6248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0),
  [6250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_use_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1879),
  [6253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [6255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ordered_field_declaration_list_repeat1, 2, 0, 177),
  [6257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_ordered_field_declaration_list_repeat1, 2, 0, 177), SHIFT_REPEAT(777),
  [6260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_closure_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(780),
  [6263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [6265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 178),
  [6267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_pattern_repeat1, 2, 0, 0),
  [6269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [6271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_parameter, 4, 0, 110),
  [6273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_list_repeat1, 2, 0, 0),
  [6275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2209),
  [6278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [6280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [6282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [6284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [6286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [6288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [6290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1666),
  [6292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [6294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [6296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [6298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [6300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(762),
  [6303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [6305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [6307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [6309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [6311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [6313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [6315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [6317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [6319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_lifetimes_repeat1, 2, 0, 0),
  [6321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_lifetimes_repeat1, 2, 0, 0), SHIFT_REPEAT(3075),
  [6324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [6326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [6328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [6330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [6332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [6334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3545),
  [6336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3304),
  [6338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3596),
  [6340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [6342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [6344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [6346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [6348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 5, 0, 242),
  [6350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [6352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [6354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [6356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [6358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [6360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [6362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [6364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_wildcard, 3, 0, 1),
  [6366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [6368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [6370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [6372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [6374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [6376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [6378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [6380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [6382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ordered_field_declaration_list_repeat1, 4, 0, 102),
  [6384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_wildcard, 1, 0, 0),
  [6386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [6388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [6390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [6392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [6394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [6396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [6398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [6400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [6402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_use_list, 3, 0, 89),
  [6404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [6406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [6408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [6410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [6412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2835),
  [6414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2741),
  [6416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [6418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2904),
  [6420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2903),
  [6422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [6424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [6426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [6428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [6430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 4, 0, 199),
  [6432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [6434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [6436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_use_as_clause, 3, 0, 90),
  [6438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [6440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [6442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [6444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [6446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [6448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [6450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [6452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [6454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [6456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [6458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2, 0, 0),
  [6460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2129),
  [6463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [6465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3555),
  [6467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3308),
  [6469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3602),
  [6471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [6473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [6475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [6477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [6479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [6481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [6483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [6485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [6487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [6489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [6491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_doc_comment_marker, 1, 0, 3),
  [6493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [6495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [6497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [6499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [6501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [6503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [6505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [6507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [6509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 4, 0, 32),
  [6511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [6513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [6515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [6517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1929),
  [6519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1912),
  [6521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [6523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__block_doc_comment_marker, 1, 0, 2),
  [6525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [6527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [6529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [6531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_variant_list_repeat2, 3, 0, 0),
  [6533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [6535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [6537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [6539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [6541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [6543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1527),
  [6545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [6547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [6549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [6551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [6553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [6555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [6557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [6559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [6561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [6563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [6565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [6567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [6569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [6571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [6573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1906),
  [6575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [6577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [6579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [6581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [6583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 2, 0, 0),
  [6585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [6587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [6589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2827),
  [6591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3356),
  [6593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [6595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [6597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2013),
  [6599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [6601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [6603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [6605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [6607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [6609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [6611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [6613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [6615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2012),
  [6617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2015),
  [6619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2016),
  [6621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [6623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [6625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [6627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [6629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 3, 0, 151),
  [6631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [6633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_list_repeat1, 3, 0, 0),
  [6635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [6637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [6639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [6641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [6643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [6645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [6647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [6649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [6651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [6653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [6655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [6657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3433),
  [6659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3435),
  [6661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3566),
  [6663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [6665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 3, 0, 0),
  [6667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 1, 0, 0),
  [6669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [6671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [6673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [6675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [6677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [6679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [6681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [6683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [6685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [6687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [6689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [6691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [6693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type, 3, 0, 65),
  [6695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [6697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [6699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [6701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [6703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [6705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [6707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [6709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [6711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [6713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [6715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [6717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [6719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [6721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [6723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [6725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [6727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3565),
  [6729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3607),
  [6731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [6733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [6735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [6737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [6739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [6741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [6743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__line_doc_comment_marker, 1, 0, 2),
  [6745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [6747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [6749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [6751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [6753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [6755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [6757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [6759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [6761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [6763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [6765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [6767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [6769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [6771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [6773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3068),
  [6775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__line_doc_comment_marker, 1, 0, 3),
  [6777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [6779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [6781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [6783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bracketed_type, 3, 0, 0),
  [6785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [6787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [6789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [6791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3034),
  [6793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [6795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [6797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [6799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [6801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [6803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [6805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [6807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [6809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [6811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [6813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [6815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [6817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [6819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [6821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [6823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2627),
  [6825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [6827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [6829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [6831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [6833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [6835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [6837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [6839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [6841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [6843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [6845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [6847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [6849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [6851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [6853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [6855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [6857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [6859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [6861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [6863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [6865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [6867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [6869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [6871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [6873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [6875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3613),
  [6877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [6879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [6881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3036),
  [6883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [6885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [6887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [6889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [6891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [6893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [6895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [6897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 69),
  [6899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [6901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [6903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [6905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [6907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [6909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [6911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [6913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [6915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [6917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [6919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [6921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [6923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [6925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [6927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [6929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [6931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [6933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [6935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [6937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [6939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [6941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [6943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [6945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [6947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [6949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [6951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3592),
  [6953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [6955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [6957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3451),
  [6959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [6961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [6963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [6965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [6967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [6969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [6971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [6973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [6975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [6977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [6979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [6981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [6983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [6985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [6987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [6989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2651),
  [6991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [6993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [6995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [6997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [6999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [7001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inner_line_doc_comment_marker, 1, 0, 0),
  [7003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 68),
  [7005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [7007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [7009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [7011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [7013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [7015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [7017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [7019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [7021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [7023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__outer_line_doc_comment_marker, 1, 0, 0),
  [7025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [7027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [7029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [7031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [7033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [7035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [7037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [7039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [7041] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [7043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3380),
  [7045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [7047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [7049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [7051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [7053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [7055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [7057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [7059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [7061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [7063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [7065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [7067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [7069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [7071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [7073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [7075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [7077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [7079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [7081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [7083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [7085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [7087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [7089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2755),
  [7091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [7093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [7095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [7097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [7099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [7101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [7103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [7105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [7107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [7109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [7111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [7113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [7115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3016),
  [7117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [7119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [7121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3588),
  [7123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [7125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [7127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [7129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [7131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [7133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [7135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [7137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [7139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [7141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [7143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [7145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [7147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [7149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [7151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [7153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [7155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [7157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [7159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [7161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [7163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [7165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_pattern, 3, 0, 173),
  [7167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [7169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [7171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [7173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [7175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [7177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [7179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [7181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [7183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [7185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [7187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [7189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [7191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [7193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_line_comment, 3, 0, 0),
  [7195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_comment, 2, 0, 0),
  [7197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_comment, 4, 0, 53),
  [7199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_comment, 3, 0, 15),
  [7201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_comment, 3, 0, 0),
  [7203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_line_comment, 3, 0, 14),
  [7205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_line_comment, 2, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_string_content = 0,
  ts_external_token__raw_string_literal_start = 1,
  ts_external_token_raw_string_literal_content = 2,
  ts_external_token__raw_string_literal_end = 3,
  ts_external_token_float_literal = 4,
  ts_external_token__outer_block_doc_comment_marker = 5,
  ts_external_token__inner_block_doc_comment_marker = 6,
  ts_external_token__block_comment_content = 7,
  ts_external_token__line_doc_content = 8,
  ts_external_token__error_sentinel = 9,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_string_content] = sym_string_content,
  [ts_external_token__raw_string_literal_start] = sym__raw_string_literal_start,
  [ts_external_token_raw_string_literal_content] = sym_raw_string_literal_content,
  [ts_external_token__raw_string_literal_end] = sym__raw_string_literal_end,
  [ts_external_token_float_literal] = sym_float_literal,
  [ts_external_token__outer_block_doc_comment_marker] = sym__outer_block_doc_comment_marker,
  [ts_external_token__inner_block_doc_comment_marker] = sym__inner_block_doc_comment_marker,
  [ts_external_token__block_comment_content] = sym__block_comment_content,
  [ts_external_token__line_doc_content] = sym__line_doc_content,
  [ts_external_token__error_sentinel] = sym__error_sentinel,
};

static const bool ts_external_scanner_states[10][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_string_content] = true,
    [ts_external_token__raw_string_literal_start] = true,
    [ts_external_token_raw_string_literal_content] = true,
    [ts_external_token__raw_string_literal_end] = true,
    [ts_external_token_float_literal] = true,
    [ts_external_token__outer_block_doc_comment_marker] = true,
    [ts_external_token__inner_block_doc_comment_marker] = true,
    [ts_external_token__block_comment_content] = true,
    [ts_external_token__line_doc_content] = true,
    [ts_external_token__error_sentinel] = true,
  },
  [2] = {
    [ts_external_token__raw_string_literal_start] = true,
    [ts_external_token_float_literal] = true,
  },
  [3] = {
    [ts_external_token__outer_block_doc_comment_marker] = true,
    [ts_external_token__inner_block_doc_comment_marker] = true,
    [ts_external_token__block_comment_content] = true,
  },
  [4] = {
    [ts_external_token_string_content] = true,
  },
  [5] = {
    [ts_external_token__block_comment_content] = true,
  },
  [6] = {
    [ts_external_token_float_literal] = true,
  },
  [7] = {
    [ts_external_token__line_doc_content] = true,
  },
  [8] = {
    [ts_external_token_raw_string_literal_content] = true,
  },
  [9] = {
    [ts_external_token__raw_string_literal_end] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_rust_external_scanner_create(void);
void tree_sitter_rust_external_scanner_destroy(void *);
bool tree_sitter_rust_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_rust_external_scanner_serialize(void *, char *);
void tree_sitter_rust_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_rust(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_rust_external_scanner_create,
      tree_sitter_rust_external_scanner_destroy,
      tree_sitter_rust_external_scanner_scan,
      tree_sitter_rust_external_scanner_serialize,
      tree_sitter_rust_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
